Welcome to FFF3PP
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Welcome to Furcadia Frame Work for Third Party Programs.

Furcadia Framework is intended to help the community develop Third Party Applications using the .NET Framework. This library includes all the basic functionality for working with the Furcadia Client, associated programs, and services.

Copies of this document will be included as a Compiled Help File (*.chm) in each release of the SDK. All current documentation will be stored at our GitHub Repository. Alternatively, you can download this document in a Compiled Help File format here.

Project Description

We're Currently working on a ProxySession Class in the Furcadia Framework Library. This Class is intended to be a drop in replacement for NetProxy and will include the bells and whistles for basic operation. To assist us in further development of the library, we have under taken a mission to document all aspects of Furcadia that we can. From file specificifications and configurations to items lists and patch information, this project intends to capture it all for both legacy and modern Furcadia.

Anyone is welcome to contribute to this project. Our aim is to support the community in any area we can. This often requires updating older documentation in the depths of the internet and bringing it to one community supported arena.

  1. Client to Server Queue Manager(Furcadia.Net.UtilsServerQue ) This will Absorb all the SendToServer instructions and spoon feed them to the game server without overloading the Servers' Buffer. In here we'll handle Throat-Tired Syndrome and NoEndurance.

  2. Dream Patron List Manager(Furcadia.Net.Dream) This will maintain a list of players in the current dream and keep track of basic stats such as current player position, costume settings, taking advantage of DragonSpeak Parameters.

  3. Pounce Connection(Furcadia.Net.Pounce) Player online detection.

  4. Account Log-on Directly connecting to the Furcadia API using character .INI files for legacy support.

  5. Server to Client Instruction Handling(Furcadia.Net.Utils.ServerParser) Parsing Server data for basic Proxy operation with events leading out for custom code links. The events will return Server Data and EventArgs. This will apply to Text channel parsing as well.

  6. SSL/TLS Connection Handling of game server Security Certificates for an encrypted connection.

See Also

Other Resources

BugTraq (Bug Reports)
About
VersionHistory
Send comments on this topic to Lead Developer Gerolkae


About
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Furcadia© is a game created by Dragon's Eye Productions© and Catnip Studios© . Its a 2d isometric MMOG. Visit Furcadia© for more information.

Furcadia Framework for Third Party Programs is not supported by Furcadia, Dragon's Eye Productions or Catnip Studios. We are independent.

Optional section title

Furcadia Framework is a SDK (Software Development Kit) library for third party developers. Developed in .NET it can be used with any .NET language (c#,vb.net,cpp,boo,etc). Intended for use on multiple platforms.

Features:

  1. NetProxy: Connect to the Game server

  2. Drawing: Work with patch and map files

  3. ServerParser: Process Server to Client Instructions

  4. PhoenixSpeak: Process interactions with the game server to manage a dreams Phoenix Speak Database.


Project Credits
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Furcadia Framework For Third Party Programs could not have been made possible with out the help of the community. We owe our thanks to everyone who has made contributions of various kinds.

Credits

Many thanks go out to

  • Tokota (Constantly Breaking things and giving support)

  • Kylix (Familiarizing me with System.Net and His intimate knowledge of Furcadia image formats.

  • Dream Dancer (Bug Hunter extraordinaire!)

  • Lothus Marque (Delphi geek, but still helped with conceptual design)

  • Artex (A human operating system. 1tb RAM, 5.0thz Processor)

  • Squizzle for starting this well thought out project and passing the torch on

  • Team Dragon (Catnip Studios and Dragons Eye Productions) for providing your server protocol to nerds like us.


Contribute
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

We value your input. There are several ways the community can contribute to this project.

Methods to Contribute.

  • File a Bug report or send us Comments and/or suggestions BugTraq (Bug Reports)

  • Join us at the Github site , Clone the repository and push your changes to us.

  • Send an E-Mail to Lead Developer Gerolkae. the link is at the bottom.

  • Login Furcadia and send Gerolkae a Whisper.

See Also

Other Resources

BugTraq (Bug Reports)


Bibilography
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Required introduction

Optional section title

Add one or more sections with content


BugTraq (Bug Reports)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Optional summary abstract

BugTraq - Bug reports

Steps to report a bug or to make a comment or suggestion

  • Send an E-Mail to Lead Developer Gerolkae with the subject Submit Bug Report. We'll set up an account on BugTraq for you and send an activation link for you to set your password. The E-Mail link is at the bottom.

  • One the Account is setup, File a new report under the Furcadia Framework For Third Party Programs group.

See Also

Other Resources

BugTraq on Ts Projects


Appendix
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Appendix

FFF3PP Example Projects

  1. Silver Monkey The crazy love-able Furcadia bot every one loves.

  2. Dragon Speak Extended Editor the Precursor to the Monkey Speak Editor included on the Silver Monkey package

Resource Links

These are resource links that were used in the development of this library. We are not necessarily affiliated with any of these entities.

  • BugTraq on TsProjects Our Bug tracking software.

  • Furcadia Forums: Third Party Development Original topic thread for this project.

  • Furcadia Frame Work on Codeplex Original development site for this project (No longer maintained)

  • GitHub site Current repository for this project

  • Furcadia Dev Docs General Information released to the community by Dragon's Eye Productions

  • Furcadia Technical Resources They have the furcadia protocol broken down into its components. The page it self is outdated but none the less still very useful.


NetProxy ctor
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Starting a proxy is simple.

C#
VB
C++
F#
Copy
 1            using BugProxy.Net;
 2            using Furcadia.Net.Options;
 3            using Furcadia.Net.Proxy;
 4            using System;
 5
 6            namespace BugConsole
 7            {
 8            internal class Program
 9            {
10+Private Fields10-            #region Private Fields
11
12             private static ProxySession proxy;
13             private static ProxySessionOptions ProxyOptions;
14
15             #endregion Private Fields
16
17+Private Methods17-            #region Private Methods
18
19             private static void Main(string[] args)
20             {
21             while (true)
22             {
23             Console.WriteLine("type connect when ready");
24             string cmd = Console.ReadLine();
25
26             if (cmd.ToLower() == "connect")
27             {
28             if (proxy is null)
29             {
30             ProxyOptions = new ProxySessionOptions();
31             proxy = new ProxySession(ProxyOptions);
32             proxy.ClientData2 += onClientDataReceived;
33             proxy.ServerData2 += onServerDataReceived;
34             // We need a Character.ini file to work with -Gerolkae
35             proxy.Connect();
36             }
37             else if (!proxy.IsServerConnected)
38             {
39             proxy.Connect();
40             }
41             }
42             }
43             }
44
45             static private void onClientDataReceived(string data)
46             {
47             Console.WriteLine("C>: " + data);
48             proxy.SendToServer(data);
49         }
50
51         static private void onServerDataReceived(string data)
52         {
53             Console.WriteLine("S>: " + data);
54             proxy.SendToClient(data);
55         }
56
57         #endregion Private Methods
58    }
59}
 1Dim proxy As New NetProxy()
 2
 3proxy.ServerData += Sub(data As String)
 4Console.WriteLine(Convert.ToString("SERVER: ") & data)
 5Return data
 6
 7End Sub
 8
 9proxy.ClientExited += Sub()
10Console.WriteLine("Client exited.")
11proxy.Kill()
12
13End Sub
14proxy.[Error] += Sub(e As Exception) Console.WriteLine(e.Message)
15proxy.Connect()

No code example is currently available or this language may not be supported.

No code example is currently available or this language may not be supported.

Optional section title

Add one or more sections with content


ProxySession
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Required introduction

ProxySession Class Example

C#
Copy
 1using BugProxy.Net;
 2using Furcadia.Net.Options;
 3using Furcadia.Net.Proxy;
 4using System;
 5
 6namespace BugConsole
 7{
 8internal class Program
 9{
10+Private Fields10-#region Private Fields
11
12 private static ProxySession proxy;
13 private static ProxySessionOptions ProxyOptions;
14
15 #endregion Private Fields
16
17+Private Methods17-#region Private Methods
18
19 private static void Main(string[] args)
20 {
21 while (true)
22 {
23 Console.WriteLine("type connect when ready");
24 string cmd = Console.ReadLine();
25
26 if (cmd.ToLower() == "connect")
27 {
28 if (proxy is null)
29 {
30 ProxyOptions = new ProxySessionOptions();
31 proxy = new ProxySession(ProxyOptions);
32 proxy.ClientData2 += onClientDataReceived;
33 proxy.ServerData2 += onServerDataReceived;
34 // We need a Character.ini file to work with -Gerolkae
35 proxy.Connect();
36 }
37 else if (!proxy.IsServerConnected)
38 {
39 proxy.Connect();
40 }
41 }
42 }
43 }
44
45 static private void onClientDataReceived(string data)
46 {
47 Console.WriteLine("C>: " + data);
48 proxy.SendToServer(data);
49 }
50
51 static private void onServerDataReceived(string data)
52 {
53 Console.WriteLine("S>: " + data);
54 proxy.SendToClient(data);
55 }
56
57 #endregion Private Methods
58}
59}


FFF3PP Reference
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Reference material

Stuff like Furcadia Channels as understood by furcadia framework

Add one or more sections with content

See Also

Other Resources

BugTraq (Bug Reports)


Furcadia Text Channels
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Required introduction

Optional section title

Add one or more sections with content


Furcadia Specifications
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Dragons Eye Productions is swapped with updating the software that they openly neglect to document stuff for the community. As a result many players have posted what they know and that information is scattered across the inter-net. Much of that stuff is old and out dated.

This documentation is an attempt to fill the void of documentation and update what we can to current standards and bring stuff together in one area.

None of the Source code we have is official from Dragons Eye Productions and catnip Studios. It's all derived from documentation already one the Internet or from people like us asking about how things work.

Optional section title

Add one or more sections with content

See Also

Other Resources

Official Furcadia Dev Docs
Official Furcadia Knowledge Base


Modern Color-Code
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Required introduction

Optional section title

Add one or more sections with content

See Also

Reference

ColorString


Furcadia Terms
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Group #1

Group #1

A | B | C | D | E | F | G | H | I | J | K | L | M | N | O | P | Q | R | S | T | U | V | W | X | Y | Z

F

Furcadia Name String

Character names consist of 2-64 Alpha-Numeric Characters


Server To Client Instructions (Game Server)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Server to Client Instructions (Furcadia V31)

Server to Client Instructions (Furcadia V31)

A | B | C | D | E | F | G | H | I | J | K | L | M | N | O | P | Q | R | S | T | U | V | W | X | Y | Z

]- Prefix Text[*], Prefix the following text line

This instruction is commonly used in its two forms: ]-#A and ]-#B that perpend a specitag/beekin badge to the next text line shown by the instruction.

In essence, this instruction can pretty much perpend any desired string to the next text line if specified.

Credits:

Furcadia Technical Resources

See Also: Prefix Specitag, Prefix With Beekin Badge
]-#BLast byte of badge tag[1], Prefix With Beekin Badge

This instruction is used with the text output instruction to display a specitag of whoever sent the following message. It is a sub-instruction to ]-.

Credits:

Furcadia Technical Resources

See Also: Prefix Specitag, Prefix the following text line

D

( Text, Display Text

Formatted text to display in the chatbox (markup and tags like #SA included)

Credits:

Furcadia Technical Resources

P

]-#AColors[14 - 30], Prefix Specitag

This instruction is used with the text output instruction to display a specitag of whoever sent the following message. It is a sub-instruction to ]-.

Credits:

Furcadia Technical Resources

See Also: Prefix the following text line, Prefix With Beekin Badge

S

<, Spawn Avatar (Furcadia 0.27c)

< User ID[4]Position X[2]Position Y[2]Avatar Shape #[2]Name[3 - 65]Partial Color Code[10]Flags[1]AFK Time[4]

Visually spawns an avatar at the target coordinates and updates the user list accordingly, depending on flags. The Flags[1] set is zero, or any combination of the following flags:

CHAR_FLAG_HAS_PROFILE = 1 (Character has an online profile - NOT YET [2009] IN USE)

CHAR_FLAG_SET_VISIBLE = 2

CHAR_FLAG_NEW_AVATAR = 4 (Avatar has just entered the dream)

The AFK Time[4] argument is the time in seconds since the character was set as being AFK.

CHAR_FLAG_NEW_AVATAR + CHAR_FLAG_SET_VISIBLE = 6 = ')'b220

When a furre joins a dream, They're new and visible by default. The visible flag can be changed by Dragon speak later on. Poxssibly with local species 0.

CHAR_FLAG_NEW_AVATAR will never appear by itself, It'll allways be accompined by another flag.

Credits

Furcadia Dev Docs (Furcadia v23)

Furcadia Dev Docs (Furcadia v27)

Furcadia Technical Resources

See Also:
]S#, SSL/TLS

Secure Socket Layer/ Transport Layer Security

SSL is initiated by the `starttls command, valid at any point in the connection, but recommended before `connect/`account/`token.

]S0 - SSL is disabled, show the user a warning

]S1 - SSL is enabled, proceed

]S2 - SSL is disabled, do NOT show the user a warning

]S3 - reserved

]S4 - SSL is enabled, but fall back on insecure connection without warning


Spawn Avatar (Furcadia v31c)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

< User ID[4]Position X[2]Position Y[2]Direction[1]Pose[1]Name[3 - 65]Partial Color Code[10-30]Flags[1]AFK Time[4]KitterSize[1]]

Optional section title
Spawn Avatar Systax
Name | Type | Size (bytes) | Description
Furre ID | b220 integer | 4 | Unique User ID
X Coordinate | b220 integer | 2 | Map X Position
Y Coordinate | b220 integer | 2 | Map Y Position
Direction | b220 integer | 1 | Direction the Furre is facing
Pose | b220 integer | 1 | Furre's Pose. Standing, Laying, Sitting, Walking phase
Name | b220 string | 2+ | Character name with a b220 prefix indicating string length Please see Furcadia Official Documentation Base 220 for Base 220 Strings
Color Code | b220 integers | 11-30 | Avatar Color Code in Short Form
Spawn Flags | b220 Integer | 1 | Kitter Size Character Spawn Flags (Furcadia v31c)
AFK time | b220 Integer | 4 | Time in seconds
Kitter Size (scale) | b220 Integer | 1 | Size as a % ( number / 100)
See Also

Other Resources

Character Spawn Flags (Furcadia v31c)
Furcadia Official Documentation Movement
Furcadia Official Documentation Base 220


Character Spawn Flags (Furcadia v31c)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Required introduction

Furcadia Spawn Avatar Flags
Name | Decimal | b220 Integer | Binary | Description
CHAR_FLAG_HAS_PROFILE | 1 | $ | 001 | (Character has an online profile - NOT YET [2009] IN USE)
CHAR_FLAG_SET_VISIBLE | 2 | % | 010 |
CHAR_FLAG_NEW_AVATAR | 4 | ' | 100 | CHAR_FLAG_NEW_AVATAR + CHAR_FLAG_SET_VISIBLE = 6 = ')'b220 When a furre joins a dream, They're new and visible by default. The visible flag can be changed by Dragon speak later on. Poxssibly with local species 0. CHAR_FLAG_NEW_AVATAR will never appear by itself, It'll allways be accompined by another flag.
See Also

Reference

SpawnAvatar

Other Resources

Ice Realm Number Calculator
Furcadia Technical Resources
Furcadia Official Documentation Base 220
Official Furcadia Docs v27 Movememnt
Official Furcadia Docs v23 Movememnt


Join Dream Event
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Join Dream Event

Optional section title

]q Map-Name crc Mode(modern/legacy?)

this instruction triggers the furcadia client to down load the dream data to the temporary dream folder. The Client responds with "vascodagama" when the down load is complete.


Furcadia Markup Language (FML)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Group #1

Group #1

A | B | C | D | E | F | G | H | I | J | K | L | M | N | O | P | Q | R | S | T | U | V | W | X | Y | Z

1

1st term, Other term (if any)

The definition of the term(s)


Furcadia Popup Dialogs
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

TODO: Move introduction text here

Popup Dialog Types
Type | Style | Description
0 | Ok Only |
1 | Ok Only |
2 | Ok Only |
3 | OK/Cancel |
4 | OK/Cancel |
5 | OK/Cancel |
6 | OK/Cancel |
7 | OK/Retry |
8 | OK/Retry |
9 | OK/Retry |
10 | Yes/No |
11 | Yes/No |
12 | Yes/No |
13 | Yes/No |
14 | Yes/No/Cancel |
15 | Yes/No/Cancel |
16 | Yes/No/Cancel |
17 | Yes/No/Cancel |
Popup Dialog Button Responces
Responce | Type | Description
0 | Unknown |
1 | Cancel | Same as Clicking the n"Cancel" button in the Furcadia Client
2 | Ok | Same as Clicking the "Ok" button in the Furcadia Client
3 | No | Same as Clicking the "No" button in the Furcadia Client
4 | Yes | Same as Clicking the "Yes" button in the Furcadia Client
5 | Retry | Same as Clicking the "Retry" button in the Furcadia Client


Pounce Speciifications
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Required introduction

Parameter reference
Optional section title

Add one or more sections with content


Furcadia File Paths
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Furcadia File Paths

These are subject to change. As of Furcadia V31c

Credits:

  • Author: Artex Ice Realm (Furcadia Technical Resources)

  • Edited by: Gerolkae

Windows 95/98/98SE/ME FAT/FAT32 File Systems (No longer supported by Furcadia)

Win16/32bit platforms. Path separator is the back-back slash "\" character.

  • Install Path: c:\Program Files\Furcadia\

  • Personal: c:\My Documents\Furcadia\

  • Cache: c:\Program Files\Furcadia\tmp\

    c:\Program Files\Furcadia\portraits\

    c:\Program Files\Furcadia\maps\

Windows 2k, XP, XPsp1, XPsp2, XPsp3 NTFS File System (No longer supported by Furcadia)

32bit platforms. there is a x64 version of XP. The path separator is the back-back slash "\" character.

  • Install path: c:\Program Files\Furcadia\

    Windows x64 Platform (XP): c:\Program Files (x86)\Furcadia\

  • Personal: c:\Documents and Settings\username\My Documents\Furcadia\

    %USERPROFILE%\My Documents\Furcadia\

  • Settings: c:\Documents and Settings\username\Local Settings\Application Data\Dragon's Eye Productions\Furcadia\

    Cache: c:\Documents and Settings\All Users\Application Data\Dragon's Eye Productions\Furcadia\

  • %USERPROFILE%\Local Settings\Application Data\Dragon's Eye Productions\Furcadia\

Windows Vista, 7, 7sp1, 8, 8.1, 10 NTFS File System User With Access Control Lists

  • Install path: c:\Program Files\Furcadia\

    Windows x64 Platform: c:\Program Files (x86)\Furcadia\

  • Personal: c:\Documents and Settings\username\My Documents\Furcadia\

    %USERPROFILE%\My Documents\Furcadia\

  • Settings: c:\Users\username\AppData\Local\Dragon's Eye Productions\Furcadia\

  • %USERPROFILE%\Local Settings\Application Data\Dragon's Eye Productions\Furcadia\

  • Cache: c:\Documents and Settings\All Users\Application Data\Dragon's Eye Productions\Furcadia\

    %USERPROFILE%\AppData\Local\Dragon's Eye Productions\Furcadia\

  • Temporary Filess: %PROGRAMDATA%\Dragon's Eye Productions\Furcadia

    C:\ProgramData\Dragon's Eye Productions\Furcadia

Wine (UNIX/Linux/...)

NOTE: The following paths were used by default for the past years. However, due to wine's flexibility, your setup could be different!

Linux is different then Microsoft windows. Windows uses a back slash "\" as a path separator. Linux uses a forward slash "/" as a path separator. Some characters need to be escaped. The Back Slash "\" is the escape character to make special characters usable. Special characters are [space] " ", double-quote ["], single-quote ['], back-tick [`]. The escaped characters look like "\ " (thats back slash and a space character).

In recent editions of Microsoft windows, There is the forward-slash "/" character adopted for Linux compatibility. This came out with the .Net Framework for cross system compatibility.

  • Install path: ~/.wine/drive_c/Program\ Files/Furcadia/

  • Personal: ~/.wine/drive_c/windows/profiles/$USER/My\ Documents/Furcadia/

    • ASSUMING My Documents MAPPED TO $HOME: ~/Furcadia/

  • Settings: ~/.wine/drive_c/windows/profiles/$USER/Local\ Settings/Application\ Data/Dragon\'s\ Eye\ Productions/Furcadia/

  • Cache: ~/.wine/drive_c/windows/profiles/All\ Users/Application\ Data/Dragon\'s\ Eye\ Productions/Furcadia/

See Also

Reference

Furcadia.IOPaths

Other Resources

localdir.ini
DSC File Paths
Credits: Furcadia Forums
Furcadia Flash install (localdir.ini)
Furcadia Diagnostic Tools


localdir.ini
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Furcadia allows custome install methods by using localdir.ini. This makes things easy to install furcadia out side the normal Progame Files or Program Files(x86) folders. in thios configuration the Windows registry should remain untouched.

There are two mode of operation. The first is a blank localdir.ini. This configuration resembles the Windows XP and earlier style folders.

Blank localdir.ini

Add one or more sections with content

See Also

Reference

Furcadia.IOPaths

Other Resources

Furcadia Flash install (localdir.ini)
Furcadia Diagnostic Tools


DragonSpeak Constructor
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

DragonSpeak Constructor is a script-editting program originally created by Mercenary Enclave Productions. It's overwhelming popularity among dreamweavers and additional features over the original DragonSpeak Editor make it an excellent choice for scripting your creations. Since its creation as a third party tool, DSC has been included in the Furcadia installer as the default DS editor.

See Also

Other Resources

Official Furcadia DragonSpeak Constructor Tutorial
DSC Development Thread (Furcadia Forums)
Mercenary Enclave Productions (DSC's Original Home Page)


DSC Hot Keys
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Required introduction

Optional section title

Add one or more sections with content


DSC File Paths
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Required introduction

Credits:

  • Author: Gerolkae

Dragon Speak Constructor

User Configuration

%USERPROFILE%\Local Settings\Application Data\MEP\DSConstructor

C:\Users\UserName\AppData\Local\MEP\DSConstructor

Install Path

Windows x86: c:\Program Files\Furcadia\

Windows x64: c:\Program Files (x86)\Furcadia\

DS Template

%USERPROFILE%\My Documents\Furcadia\Templates

c:\Documents and Settings\username\My Documents\Furcadia\Templates

DS Wizard Scripts

%USERPROFILE%\My Documents\Furcadia\Scripts

c:\Documents and Settings\username\My Documents\Furcadia\Scripts

Add one or more sections with content

See Also

Reference

Furcadia.IOPaths

Other Resources

Furcadia File Paths
Furcadia Flash install (localdir.ini)
Furcadia Diagnostic Tools


Configuration Files
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The configuration for DragonSpeak Constructor is saved in a series of files that are stored in your Furcadia Install Directory. Although DSC was originally developed as a third party application, it was later integrated into the Furcadia installation package.

See Also

Other Resources

Official Furcadia DragonSpeak Constructor Tutorial
DSC Development Thread (Furcadia Forums)
Mercenary Enclave Productions (DSC's Original Home Page)


Keys.ini
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Credits:

  • Author: Iced

  • Edited by: Gerolkae

File Elements

[Ver] ‐ Recommend no Change

This section is mostly for its namesake, Versioning. It helps developers sync the DragonSpeak Constructor version up with the Furcadia Client version. When new lines of DS are added to Furcadia, a developer would update this file to include them, and would then want to update the versioning information. Recommended not to change.

[C‐General] ‐ Some modification OK

This section determines how your default Untitled document would be set up. You might have noticed that your document has a header, footer, and a default comment area for the author. It also specifies that for a new user, the default DS level is 0 (Cause/Effect). Additional Levels can be added by increasing the number.

H0 = Line 002, the first header line

H1 = Line 003, the second header line, the author line by default

H# = add additional lines by adding additional H tags with Numbers. Useful for customizing the DS file with personal scripts.

InitLineSpaces = Line 004 ‐ Line 009, how many blank lines should be included for a new file

[Levels] – Recommend no Changes

This populates the Levels menu drop down. Numbers correspond to DS lines, which we will see in later sections.

[Indent‐Lookup] ‐ Recommend no Changes

Indexing information for Edit -> Fix Indentation. Does not change the # of spaces preceding a line.

[C‐Indents] ‐ Some modification OK

Specifies how many spaces should precede a line of DS. When you go to Edit -> Fix Indentation, this is read and lines are spaced accordingly. Modify if you prefer your lines indented in a particular fashion.

[Init‐Types] ‐ Recommend no Changes

Specifies what sort of lines exist. Changing these values changes the tab titles, but may cause lines not to load in the toolbox.

See Also

Other Resources

Iced's Maintained Keys.ini Copy
Iced's Thread DS Suggestions (Furcadia Forums)
Official Furcadia DragonSpeak Constructor Tutorial
DSC Development Thread (Furcadia Forums)


DSCUrls.ini
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The Dragonspeak Constructor contains several help links to assist in your Dreamweaving endevours.

Credits:

  • Author: Iced

File Elements

[URLs] Some modification OK

This section contains a list of online help links that are visible from DSC's Help Menu. Additional links can be added to the menu for your convenience.

  • Dragonspeak Reference
  • Dragonspeak Parameters
  • PhoenixSpeak Alpha Docs
  • Walls Reference
  • DS Buttons Reference
  • String DS Reference
  • Furcadia Forums

See Also

Other Resources

PhoenixSpeak Alpha
Official Furcadia DragonSpeak Constructor Tutorial
DSC Development Thread (Furcadia Forums)
Iced's Thread DS Suggestions (Furcadia Forums)


DSC.ini
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

This file can be found at %USERPROFILE%\Local Settings\Application Data\MEP\DSConstructor

[Main]

DSLevel=5

SidebarWidth=185

BaseWidth=140

[FileList]

1=

2=

3=

4=

5=

6=

7=

8=

See Also

Other Resources

DSC.ini
Send comments on this topic to Lead Developer Gerolkae


FileTypes
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Required introduction

Optional section title

Add one or more sections with content


Draconic Magician (DS Wizard) Script format
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Required introduction

Credits:

  • Authors Lothus Marque & Gerolkae

    a joint collaboration project

Optional section title

Add one or more sections with content

See Also

Other Resources

Furcadia Forums (DSC Development Thread)


DS File
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Required introduction

Optional section title

Add one or more sections with content


DS Template
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

require introduction

Optional section title

Add one or more sections with content


Legacy Material
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

There's a lot of dreams still out there that were built with the legacy tools. The material remains here for compatibility reasons.

Optional section title

Add one or more sections with content


File Types
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Required introduction

Optional section title

Add one or more sections with content


Character.ini
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Character .ini files are legacy files for storing character information. These files are insecure as they contain plain-text passwords, making personal character information available to anyone with access to the files. This login method also requires that you have an .ini file present for all characters on all devices you wish to access Furcadia with. The account system rectifies both of these problems.

It is possible to retrieve existing Character .ini files. For new accounts in the post "The Second Dreaming" erra, One needs to establish a "character" bassed password and then download the Character .ini.

NOTICE: Using ini files will override the Last Logged in Character Costume in FurEd Tean Dragon plans to do away with this system in future Releases.

Credits:

  • Author: Iced

  • Edited by: Gerolkae

File Elements

[Colors] ‐ OK to Change

This is your characters color code.

[Name] ‐ Recommend no Changes

This is your characters name. Changing it isn't recommended, as you won't be able to login unless the character has been created and you have a valid password.

[Password] ‐ Recommend no Changes

This is your characters password in plain text. This is extremely insecure. Your password is visible to everyone who has access to this file.

[Desc] ‐ OK to Change

This is your characters description. It's what other people will see when they click your character.

[Logins] ‐ Recommend no Changes

The number of times you have logged in to this character.

[LastLogin] ‐ Recommend no Changes

A number representing the last time you logged in to this character.

[AutoResponse] ‐ OK to Change

This is a boolean (true/false) field that states if you will automatically reply to whispers with the configured [AutoResponseMessage].

[AutoResponseMessage] ‐ OK to Change

This is what you will automatically whisper as a reply, regardless of whether you are marked AFK, if you have AutoResponse turned on. Supports keywords.

[AFKTime] ‐ OK to Change

The idle time, in minutes, before your character is marked as being AFK (Away From Keyboard).

[AFKMessage] ‐ OK to Change

This is what you will automatically whisper as a reply if your character has been marked AFK. Supports keywords.

[AFKDescription] ‐ OK to Change

This is your characters description when you have been marked AFK. Supports keywords.

[AFKPortrait] ‐ OK to Change

This is the portrait number that will display when you have been marked AFK.

[AFKPortrait] ‐ OK to Change

This is your default portrait when you login to Furcadia.

[AFKDisconnectTime] ‐ OK to Change

The idle time, in minutes, before your character is disconnected from Furcadia.

See Also

Reference

Character
ColorString

Other Resources

FurEd
Character Password link
Furcadia Character .ini retrieval service
Modern Color-Code


DS Template
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Required introduction

Optional section title

Add one or more sections with content


Modern Mode
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Required introduction

Optional section title

Add one or more sections with content


Registry Paths
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Required introduction

Optional section title

Add one or more sections with content


Internet Servers
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Required introduction

Optional section title

Game Server

File Server Old

File Server New

Web Server

Account Login Server/API


VersionHistory
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The topics in this section describe the various changes made to the [TODO: Project Title] over the life of the project.

Version History

Select a version below to see a description of its changes.

  • Version 2.1.x

See Also

Other Resources

Welcome to FFF3PP


Version 2.1.x
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Welcome to the resurrection of Furcadia Frame Work for Third Party Programs. We're hitting the ground running with a massive update. In version 2.1.x we are drastically changing the Proxy and Server Connection systems. The goal is to provide a fully functional engine to aid in Third Party Development for Furcadia.

Our dream is to build the most complete Furcadia SDK (Software Development Kit) for your .Net programming needs.

Version 2.1.x (Back to Basics)

Changes in this Update.

New ProxySession


Furcadia Frame Work SDK
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Namespaces
Namespace | Description
( Default Namespace ) |
Extentions |
Furcadia |


( Default Namespace ) Namespace
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Classes
 | Class | Description
Public class | ArrayExtensions |
Public class | StringExtensions |


ArrayExtensions Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "T:ArrayExtensions"]

Inheritance Hierarchy
SystemObject
(Default Namespace)ArrayExtensions

Namespace: (Default Namespace)
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static class ArrayExtensions
<ExtensionAttribute>
Public NotInheritable Class ArrayExtensions

You do not need to declare an instance of a static class in order to access its members.
[ExtensionAttribute]
public ref class ArrayExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type ArrayExtensions =  class end
Methods
Name | Description
ToStringT(T, Char) |
ToStringT(T, String) | Returns a String that represents this instance.
ToStringK, V(IDictionaryK, V, Char) | Returns a String that represents this instance.
Top
See Also

Reference

(Default Namespace) Namespace


ArrayExtensions Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Methods
Name | Description
ToStringT(T, Char) |
ToStringT(T, String) | Returns a String that represents this instance.
ToStringK, V(IDictionaryK, V, Char) | Returns a String that represents this instance.
Top
See Also

Reference

ArrayExtensions Class
(Default Namespace) Namespace


ArrayExtensions.ToString Method

Furcadia Framework For Third Party Programs

ArrayExtensionsToString Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
Name | Description
ToStringK, V(IDictionaryK, V, Char) | Returns a String that represents this instance.
ToStringT(T, Char) |
ToStringT(T, String) | Returns a String that represents this instance.
Top
See Also

Reference

ArrayExtensions Class
(Default Namespace) Namespace


ArrayExtensions.ToString(K, V) Method (IDictionary(K, V), Char)

ArrayExtensionsToStringK, V Method (IDictionaryK, V, Char)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Returns a String that represents this instance.

Namespace: (Default Namespace)
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static string ToString<K, V>(
    this IDictionary<K, V> arr,
    char seperator = ','
)

<ExtensionAttribute>
Public Shared Function ToString(Of K, V) (
    arr As IDictionary(Of K, V),
    Optional seperator As Char = ","C
) As String

Dim arr As IDictionary(Of K, V)
Dim seperator As Char
Dim returnValue As String

returnValue = arr.ToString(seperator)
public:
[ExtensionAttribute]
generic<typename K, typename V>
static String^ ToString(
    IDictionary<K, V>^ arr,
    wchar_t seperator = L','
)
[<ExtensionAttribute>]
static member ToString :
        arr : IDictionary<'K, 'V> *
        ?seperator : char
(* Defaults:
        let _seperator = defaultArg seperator ','
*)
-> string

Parameters

arr
Type: System.Collections.GenericIDictionary K, V
The arr.
seperator (Optional)
Type: SystemChar
The seperator.

Type Parameters

K
V

Return Value

Type: String
A String that represents this instance.

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IDictionary K, V. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

ArrayExtensions Class
ToString Overload
(Default Namespace) Namespace


ArrayExtensions.ToString(T) Method (T[], Char)

ArrayExtensionsToStringT Method (T, Char)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "M:ArrayExtensions.ToString``1(``0[],System.Char)"]

Namespace: (Default Namespace)
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static string ToString<T>(
    this T[] arr,
    char seperator = ','
)

<ExtensionAttribute>
Public Shared Function ToString(Of T) (
    arr As T(),
    Optional seperator As Char = ","C
) As String

Dim arr As T()
Dim seperator As Char
Dim returnValue As String

returnValue = arr.ToString(seperator)
public:
[ExtensionAttribute]
generic<typename T>
static String^ ToString(
    array<T>^ arr,
    wchar_t seperator = L','
)
[<ExtensionAttribute>]
static member ToString :
        arr : 'T[] *
        ?seperator : char
(* Defaults:
        let _seperator = defaultArg seperator ','
*)
-> string

Parameters

arr
Type: T

[Missing <param name="arr"/> documentation for "M:ArrayExtensions.ToString``1(``0[],System.Char)"]

seperator (Optional)
Type: SystemChar

[Missing <param name="seperator"/> documentation for "M:ArrayExtensions.ToString``1(``0[],System.Char)"]

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ArrayExtensions.ToString``1(``0[],System.Char)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ArrayExtensions.ToString``1(``0[],System.Char)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type . When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

ArrayExtensions Class
ToString Overload
(Default Namespace) Namespace


ArrayExtensions.ToString(T) Method (T[], String)

ArrayExtensionsToStringT Method (T, String)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Returns a String that represents this instance.

Namespace: (Default Namespace)
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static string ToString<T>(
    this T[] arr,
    string seperator = ", "
)

<ExtensionAttribute>
Public Shared Function ToString(Of T) (
    arr As T(),
    Optional seperator As String = ", "
) As String

Dim arr As T()
Dim seperator As String
Dim returnValue As String

returnValue = arr.ToString(seperator)
public:
[ExtensionAttribute]
generic<typename T>
static String^ ToString(
    array<T>^ arr,
    String^ seperator = L", "
)
[<ExtensionAttribute>]
static member ToString :
        arr : 'T[] *
        ?seperator : string
(* Defaults:
        let _seperator = defaultArg seperator ", "
*)
-> string

Parameters

arr
Type: T
The arr.
seperator (Optional)
Type: SystemString
The seperator.

Type Parameters

T

Return Value

Type: String
A String that represents this instance.

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type . When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

ArrayExtensions Class
ToString Overload
(Default Namespace) Namespace


StringExtensions Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "T:StringExtensions"]

Inheritance Hierarchy
SystemObject
(Default Namespace)StringExtensions

Namespace: (Default Namespace)
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static class StringExtensions
<ExtensionAttribute>
Public NotInheritable Class StringExtensions

You do not need to declare an instance of a static class in order to access its members.
[ExtensionAttribute]
public ref class StringExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type StringExtensions =  class end

The StringExtensions type exposes the following members.

Methods
Name | Description
EscapeForCSharp(Char) | Escapes for c sharp.
EscapeForCSharp(String) | Escapes for c sharp.
IsNullOrBlank | Determines whether [is null or blank].
ToFurcadiaShortName | To the short name of the furcadia.
ToStrippedFurcadiaMarkupString | To the stripped furcadia markup string.
Top
See Also

Reference

(Default Namespace) Namespace


StringExtensions Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The StringExtensions type exposes the following members.

Methods
Name | Description
EscapeForCSharp(Char) | Escapes for c sharp.
EscapeForCSharp(String) | Escapes for c sharp.
IsNullOrBlank | Determines whether [is null or blank].
ToFurcadiaShortName | To the short name of the furcadia.
ToStrippedFurcadiaMarkupString | To the stripped furcadia markup string.
Top
See Also

Reference

StringExtensions Class
(Default Namespace) Namespace


StringExtensions.EscapeForCSharp Method

StringExtensionsEscapeForCSharp Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
Name | Description
EscapeForCSharp(Char) | Escapes for c sharp.
EscapeForCSharp(String) | Escapes for c sharp.
Top
See Also

Reference

StringExtensions Class
(Default Namespace) Namespace


StringExtensions.EscapeForCSharp Method (Char)

StringExtensionsEscapeForCSharp Method (Char)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Escapes for c sharp.

Namespace: (Default Namespace)
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static string EscapeForCSharp(
    this char chr
)
<ExtensionAttribute>
Public Shared Function EscapeForCSharp (
    chr As Char
) As String

Dim chr As Char
Dim returnValue As String

returnValue = chr.EscapeForCSharp()
public:
[ExtensionAttribute]
static String^ EscapeForCSharp(
    wchar_t chr
)
[<ExtensionAttribute>]
static member EscapeForCSharp :
        chr : char -> string

Parameters

chr
Type: SystemChar
The character.

Return Value

Type: String

[Missing <returns> documentation for "M:StringExtensions.EscapeForCSharp(System.Char)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Char. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

StringExtensions Class
EscapeForCSharp Overload
(Default Namespace) Namespace


StringExtensions.EscapeForCSharp Method (String)

StringExtensionsEscapeForCSharp Method (String)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Escapes for c sharp.

Namespace: (Default Namespace)
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static string EscapeForCSharp(
    this string str
)
<ExtensionAttribute>
Public Shared Function EscapeForCSharp (
    str As String
) As String

Dim str As String
Dim returnValue As String

returnValue = str.EscapeForCSharp()
public:
[ExtensionAttribute]
static String^ EscapeForCSharp(
    String^ str
)
[<ExtensionAttribute>]
static member EscapeForCSharp :
        str : string -> string

Parameters

str
Type: SystemString
The string.

Return Value

Type: String

[Missing <returns> documentation for "M:StringExtensions.EscapeForCSharp(System.String)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type String. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

StringExtensions Class
EscapeForCSharp Overload
(Default Namespace) Namespace


StringExtensions.IsNullOrBlank Method

StringExtensionsIsNullOrBlank Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Determines whether [is null or blank].

Namespace: (Default Namespace)
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static bool IsNullOrBlank(
    this string str
)
<ExtensionAttribute>
Public Shared Function IsNullOrBlank (
    str As String
) As Boolean

Dim str As String
Dim returnValue As Boolean

returnValue = str.IsNullOrBlank()
public:
[ExtensionAttribute]
static bool IsNullOrBlank(
    String^ str
)
[<ExtensionAttribute>]
static member IsNullOrBlank :
        str : string -> bool

Parameters

str
Type: SystemString
The string.

Return Value

Type: Boolean
true if [is null or blank] [the specified string]; otherwise, false.

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type String. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

StringExtensions Class
(Default Namespace) Namespace


StringExtensions.ToFurcadiaShortName Method

StringExtensionsToFurcadiaShortName Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

To the short name of the furcadia.

Namespace: (Default Namespace)
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static string ToFurcadiaShortName(
    this string name
)
<ExtensionAttribute>
Public Shared Function ToFurcadiaShortName (
    name As String
) As String

Dim name As String
Dim returnValue As String

returnValue = name.ToFurcadiaShortName()
public:
[ExtensionAttribute]
static String^ ToFurcadiaShortName(
    String^ name
)
[<ExtensionAttribute>]
static member ToFurcadiaShortName :
        name : string -> string

Parameters

name
Type: SystemString
The name.

Return Value

Type: String

[Missing <returns> documentation for "M:StringExtensions.ToFurcadiaShortName(System.String)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type String. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

StringExtensions Class
(Default Namespace) Namespace


StringExtensions.ToStrippedFurcadiaMarkupString Method

StringExtensionsToStrippedFurcadiaMarkupString Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

To the stripped furcadia markup string.

Namespace: (Default Namespace)
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static string ToStrippedFurcadiaMarkupString(
    this string Text
)
<ExtensionAttribute>
Public Shared Function ToStrippedFurcadiaMarkupString (
    Text As String
) As String

Dim Text As String
Dim returnValue As String

returnValue = Text.ToStrippedFurcadiaMarkupString()
public:
[ExtensionAttribute]
static String^ ToStrippedFurcadiaMarkupString(
    String^ Text
)
[<ExtensionAttribute>]
static member ToStrippedFurcadiaMarkupString :
        Text : string -> string

Parameters

Text
Type: SystemString
The text.

Return Value

Type: String

[Missing <returns> documentation for "M:StringExtensions.ToStrippedFurcadiaMarkupString(System.String)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type String. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

StringExtensions Class
(Default Namespace) Namespace


Extentions Namespace
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Classes
 | Class | Description
Public class | ExceptionExtensions |
Public class | MathExtensions | Simple Math Extensions


ExceptionExtensions Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "T:Extentions.ExceptionExtensions"]

Inheritance Hierarchy
SystemObject
ExtentionsExceptionExtensions

Namespace: Extentions
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static class ExceptionExtensions
<ExtensionAttribute>
Public NotInheritable Class ExceptionExtensions

You do not need to declare an instance of a static class in order to access its members.
[ExtensionAttribute]
public ref class ExceptionExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type ExceptionExtensions =  class end

The ExceptionExtensions type exposes the following members.

Methods
Name | Description
Flatten | Flattens the specified exception.
Log(Exception, Level, String) | Logs the specified level.
LogT(Exception, Level, String) | Logs the specified level.
LogMessage(Exception, Level, String) | Logs the message.
LogMessageT(Exception, Level, String) | Logs the message.
Top
See Also

Reference

Extentions Namespace


ExceptionExtensions Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The ExceptionExtensions type exposes the following members.

Methods
Name | Description
Flatten | Flattens the specified exception.
Log(Exception, Level, String) | Logs the specified level.
LogT(Exception, Level, String) | Logs the specified level.
LogMessage(Exception, Level, String) | Logs the message.
LogMessageT(Exception, Level, String) | Logs the message.
Top
See Also

Reference

ExceptionExtensions Class
Extentions Namespace


ExceptionExtensions.Flatten Method

ExceptionExtensionsFlatten Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Flattens the specified exception.

Namespace: Extentions
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static string Flatten(
    this Exception exception
)
<ExtensionAttribute>
Public Shared Function Flatten (
    exception As Exception
) As String

Dim exception As Exception
Dim returnValue As String

returnValue = exception.Flatten()
public:
[ExtensionAttribute]
static String^ Flatten(
    Exception^ exception
)
[<ExtensionAttribute>]
static member Flatten :
        exception : Exception -> string

Parameters

exception
Type: SystemException
The exception.

Return Value

Type: String

[Missing <returns> documentation for "M:Extentions.ExceptionExtensions.Flatten(System.Exception)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Exception. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

ExceptionExtensions Class
Extentions Namespace


ExceptionExtensions.Log Method

ExceptionExtensionsLog Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
Name | Description
Log(Exception, Level, String) | Logs the specified level.
LogT(Exception, Level, String) | Logs the specified level.
Top
See Also

Reference

ExceptionExtensions Class
Extentions Namespace


ExceptionExtensions.Log Method (Exception, Level, String)

ExceptionExtensionsLog Method (Exception, Level, String)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Logs the specified level.

Namespace: Extentions
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static void Log(
    this Exception ex,
    Level level = Level.Debug,
    [CallerMemberNameAttribute] string memberName = ""
)
<ExtensionAttribute>
Public Shared Sub Log (
    ex As Exception,
    Optional level As Level = Level.Debug,
    <CallerMemberNameAttribute> Optional memberName As String = ""
)

Dim ex As Exception
Dim level As Level
Dim memberName As String

ex.Log(level, memberName)
public:
[ExtensionAttribute]
static void Log(
    Exception^ ex,
    Level level = Level::Debug,
    [CallerMemberNameAttribute] String^ memberName = L""
)
[<ExtensionAttribute>]
static member Log :
        ex : Exception *
        ?level : Level *
        [<CallerMemberNameAttribute>] ?memberName : string
(* Defaults:
        let _level = defaultArg level Level.Debug
        let _memberName = defaultArg memberName ""
*)
-> unit

Parameters

ex
Type: SystemException
The ex.
level (Optional)
Type: Level
The level.
memberName (Optional)
Type: SystemString
Name of the member.

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Exception. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

ExceptionExtensions Class
Log Overload
Extentions Namespace


ExceptionExtensions.Log(T) Method (Exception, Level, String)

ExceptionExtensionsLogT Method (Exception, Level, String)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Logs the specified level.

Namespace: Extentions
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static void Log<T>(
    this Exception ex,
    Level level = Level.Debug,
    [CallerMemberNameAttribute] string memberName = ""
)

<ExtensionAttribute>
Public Shared Sub Log(Of T) (
    ex As Exception,
    Optional level As Level = Level.Debug,
    <CallerMemberNameAttribute> Optional memberName As String = ""
)

Dim ex As Exception
Dim level As Level
Dim memberName As String

ex.Log(level, memberName)
public:
[ExtensionAttribute]
generic<typename T>
static void Log(
    Exception^ ex,
    Level level = Level::Debug,
    [CallerMemberNameAttribute] String^ memberName = L""
)
[<ExtensionAttribute>]
static member Log :
        ex : Exception *
        ?level : Level *
        [<CallerMemberNameAttribute>] ?memberName : string
(* Defaults:
        let _level = defaultArg level Level.Debug
        let _memberName = defaultArg memberName ""
*)
-> unit

Parameters

ex
Type: SystemException
The ex.
level (Optional)
Type: Level
The level.
memberName (Optional)
Type: SystemString
Name of the member.

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:Extentions.ExceptionExtensions.Log``1(System.Exception,Furcadia.Logging.Level,System.String)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Exception. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

ExceptionExtensions Class
Log Overload
Extentions Namespace


ExceptionExtensions.LogMessage Method

ExceptionExtensionsLogMessage Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
Name | Description
LogMessage(Exception, Level, String) | Logs the message.
LogMessageT(Exception, Level, String) | Logs the message.
Top
See Also

Reference

ExceptionExtensions Class
Extentions Namespace


ExceptionExtensions.LogMessage Method (Exception, Level, String)

ExceptionExtensionsLogMessage Method (Exception, Level, String)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Logs the message.

Namespace: Extentions
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static void LogMessage(
    this Exception ex,
    Level level = Level.Debug,
    [CallerMemberNameAttribute] string memberName = ""
)
<ExtensionAttribute>
Public Shared Sub LogMessage (
    ex As Exception,
    Optional level As Level = Level.Debug,
    <CallerMemberNameAttribute> Optional memberName As String = ""
)

Dim ex As Exception
Dim level As Level
Dim memberName As String

ex.LogMessage(level, memberName)
public:
[ExtensionAttribute]
static void LogMessage(
    Exception^ ex,
    Level level = Level::Debug,
    [CallerMemberNameAttribute] String^ memberName = L""
)
[<ExtensionAttribute>]
static member LogMessage :
        ex : Exception *
        ?level : Level *
        [<CallerMemberNameAttribute>] ?memberName : string
(* Defaults:
        let _level = defaultArg level Level.Debug
        let _memberName = defaultArg memberName ""
*)
-> unit

Parameters

ex
Type: SystemException
The ex.
level (Optional)
Type: Level
The level.
memberName (Optional)
Type: SystemString
Name of the member.

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Exception. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

ExceptionExtensions Class
LogMessage Overload
Extentions Namespace


ExceptionExtensions.LogMessage(T) Method (Exception, Level, String)

ExceptionExtensionsLogMessageT Method (Exception, Level, String)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Logs the message.

Namespace: Extentions
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static void LogMessage<T>(
    this Exception ex,
    Level level = Level.Debug,
    [CallerMemberNameAttribute] string memberName = ""
)

<ExtensionAttribute>
Public Shared Sub LogMessage(Of T) (
    ex As Exception,
    Optional level As Level = Level.Debug,
    <CallerMemberNameAttribute> Optional memberName As String = ""
)

Dim ex As Exception
Dim level As Level
Dim memberName As String

ex.LogMessage(level, memberName)
public:
[ExtensionAttribute]
generic<typename T>
static void LogMessage(
    Exception^ ex,
    Level level = Level::Debug,
    [CallerMemberNameAttribute] String^ memberName = L""
)
[<ExtensionAttribute>]
static member LogMessage :
        ex : Exception *
        ?level : Level *
        [<CallerMemberNameAttribute>] ?memberName : string
(* Defaults:
        let _level = defaultArg level Level.Debug
        let _memberName = defaultArg memberName ""
*)
-> unit

Parameters

ex
Type: SystemException
The ex.
level (Optional)
Type: Level
The level.
memberName (Optional)
Type: SystemString
Name of the member.

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:Extentions.ExceptionExtensions.LogMessage``1(System.Exception,Furcadia.Logging.Level,System.String)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Exception. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

ExceptionExtensions Class
LogMessage Overload
Extentions Namespace


MathExtensions Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Simple Math Extensions
Inheritance Hierarchy
SystemObject
ExtentionsMathExtensions

Namespace: Extentions
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static class MathExtensions
Public NotInheritable Class MathExtensions

You do not need to declare an instance of a static class in order to access its members.
public ref class MathExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
type MathExtensions =  class end

The MathExtensions type exposes the following members.

Methods
Name | Description
IsEven | Determines whether the specified value is even.
IsOdd(Double) | Determines whether the specified value is odd.
IsOdd(Int32) | Determines whether the specified value is odd.
IsOdd(UInt32) | Determines whether the specified value is odd.
IsOdd(Base220) | Determines whether the specified value is odd.
Top
See Also

Reference

Extentions Namespace


MathExtensions Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The MathExtensions type exposes the following members.

Methods
Name | Description
IsEven | Determines whether the specified value is even.
IsOdd(Double) | Determines whether the specified value is odd.
IsOdd(Int32) | Determines whether the specified value is odd.
IsOdd(UInt32) | Determines whether the specified value is odd.
IsOdd(Base220) | Determines whether the specified value is odd.
Top
See Also

Reference

MathExtensions Class
Extentions Namespace


MathExtensions.IsEven Method

MathExtensionsIsEven Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Determines whether the specified value is even.

Namespace: Extentions
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static bool IsEven(
    int value
)
Public Shared Function IsEven (
    value As Integer
) As Boolean

Dim value As Integer
Dim returnValue As Boolean

returnValue = MathExtensions.IsEven(value)
public:
static bool IsEven(
    int value
)
static member IsEven :
        value : int -> bool

Parameters

value
Type: SystemInt32
The value.

Return Value

Type: Boolean
true if the specified value is even; otherwise, false.
See Also

Reference

MathExtensions Class
Extentions Namespace


MathExtensions.IsOdd Method

MathExtensionsIsOdd Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
Name | Description
IsOdd(Double) | Determines whether the specified value is odd.
IsOdd(Int32) | Determines whether the specified value is odd.
IsOdd(UInt32) | Determines whether the specified value is odd.
IsOdd(Base220) | Determines whether the specified value is odd.
Top
See Also

Reference

MathExtensions Class
Extentions Namespace


MathExtensions.IsOdd Method (Double)

MathExtensionsIsOdd Method (Double)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Determines whether the specified value is odd.

Namespace: Extentions
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static bool IsOdd(
    double value
)
Public Shared Function IsOdd (
    value As Double
) As Boolean

Dim value As Double
Dim returnValue As Boolean

returnValue = MathExtensions.IsOdd(value)
public:
static bool IsOdd(
    double value
)
static member IsOdd :
        value : float -> bool

Parameters

value
Type: SystemDouble
The value.

Return Value

Type: Boolean
true if the specified value is odd; otherwise, false.
See Also

Reference

MathExtensions Class
IsOdd Overload
Extentions Namespace


MathExtensions.IsOdd Method (Int32)

MathExtensionsIsOdd Method (Int32)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Determines whether the specified value is odd.

Namespace: Extentions
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static bool IsOdd(
    int value
)
Public Shared Function IsOdd (
    value As Integer
) As Boolean

Dim value As Integer
Dim returnValue As Boolean

returnValue = MathExtensions.IsOdd(value)
public:
static bool IsOdd(
    int value
)
static member IsOdd :
        value : int -> bool

Parameters

value
Type: SystemInt32
The value.

Return Value

Type: Boolean
true if the specified value is odd; otherwise, false.
See Also

Reference

MathExtensions Class
IsOdd Overload
Extentions Namespace


MathExtensions.IsOdd Method (UInt32)

MathExtensionsIsOdd Method (UInt32)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Determines whether the specified value is odd.

Namespace: Extentions
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
[CLSCompliantAttribute(false)]
public static bool IsOdd(
    uint value
)
<CLSCompliantAttribute(false)>
Public Shared Function IsOdd (
    value As UInteger
) As Boolean

Dim value As UInteger
Dim returnValue As Boolean

returnValue = MathExtensions.IsOdd(value)
public:
[CLSCompliantAttribute(false)]
static bool IsOdd(
    unsigned int value
)
[<CLSCompliantAttribute(false)>]
static member IsOdd :
        value : uint32 -> bool

Parameters

value
Type: SystemUInt32
The value.

Return Value

Type: Boolean
true if the specified value is odd; otherwise, false.
See Also

Reference

MathExtensions Class
IsOdd Overload
Extentions Namespace


MathExtensions.IsOdd Method (Base220)

MathExtensionsIsOdd Method (Base220)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Determines whether the specified value is odd.

Namespace: Extentions
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static bool IsOdd(
    Base220 value
)
Public Shared Function IsOdd (
    value As Base220
) As Boolean

Dim value As Base220
Dim returnValue As Boolean

returnValue = MathExtensions.IsOdd(value)
public:
static bool IsOdd(
    Base220^ value
)
static member IsOdd :
        value : Base220 -> bool

Parameters

value
Type: Furcadia.TextBase220
The value.

Return Value

Type: Boolean
true if the specified value is odd; otherwise, false.
See Also

Reference

MathExtensions Class
IsOdd Overload
Extentions Namespace


Furcadia Namespaces
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Namespaces
Namespace | Description
Furcadia.Drawing |
Furcadia.Extensions |
Furcadia.FurcMap |
Furcadia.IO |
Furcadia.Logging |
Furcadia.Movement |
Furcadia.Net |
Furcadia.Text |
Furcadia.Utils |


Furcadia.Drawing Namespaces
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Namespaces
Namespace | Description
Furcadia.Drawing |
Furcadia.Drawing.Graphics |


Furcadia.Drawing Namespace
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Classes
 | Class | Description
Public class | FurrePosition | Furcadia Isometric Corrdinates
Public class | Helper |
Public class | ViewArea | Visible are a Furre can see


FurrePosition Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Furcadia Isometric Corrdinates
Inheritance Hierarchy
SystemObject
Furcadia.DrawingFurrePosition

Namespace: Furcadia.Drawing
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public class FurrePosition
Public Class FurrePosition

Dim instance As FurrePosition
public ref class FurrePosition
type FurrePosition =  class end

The FurrePosition type exposes the following members.

Constructors
 | Name | Description
Public method | FurrePosition | Initializes a new instance of the FurrePosition class.
Public method | FurrePosition(String) | Takes a B220 encoded string representing the x,y coordinates and convert them to Furcadia (X,Y) coordinates
Public method | FurrePosition(Double, Double) | Initializes a new instance of the FurrePosition class.
Public method | FurrePosition(Base220, Base220) | Initializes a new instance of the FurrePosition class.
Top
Properties
 | Name | Description
Public property | X | x coordinate
Public property | Y | y coordinate
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified Object, is equal to this instance. (Overrides ObjectEquals(Object).)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Returns a hash code for this instance. (Overrides ObjectGetHashCode.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a String that represents this instance. (Overrides ObjectToString.)
Top
Operators
Name | Description
Equality | Implements the operator ==.
Inequality | Implements the operator !=.
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Furcadia.Drawing Namespace


FurrePosition Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
 | Name | Description
Public method | FurrePosition | Initializes a new instance of the FurrePosition class.
Public method | FurrePosition(String) | Takes a B220 encoded string representing the x,y coordinates and convert them to Furcadia (X,Y) coordinates
Public method | FurrePosition(Double, Double) | Initializes a new instance of the FurrePosition class.
Public method | FurrePosition(Base220, Base220) | Initializes a new instance of the FurrePosition class.
Top
See Also

Reference

FurrePosition Class
Furcadia.Drawing Namespace


FurrePosition Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the FurrePosition class.

Namespace: Furcadia.Drawing
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public FurrePosition()
Public Sub New

Dim instance As New FurrePosition()
public:
FurrePosition()
new : unit -> FurrePosition
See Also

Reference

FurrePosition Class
FurrePosition Overload
Furcadia.Drawing Namespace


FurrePosition Constructor (String)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Takes a B220 encoded string representing the x,y coordinates and convert them to Furcadia (X,Y) coordinates

Namespace: Furcadia.Drawing
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public FurrePosition(
    string b220EncodedString
)
Public Sub New (
    b220EncodedString As String
)

Dim b220EncodedString As String

Dim instance As New FurrePosition(b220EncodedString)
public:
FurrePosition(
    String^ b220EncodedString
)
new :
        b220EncodedString : string -> FurrePosition

Parameters

b220EncodedString
Type: SystemString
4 byte string
See Also

Reference

FurrePosition Class
FurrePosition Overload
Furcadia.Drawing Namespace


FurrePosition Constructor (Double, Double)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the FurrePosition class.

Namespace: Furcadia.Drawing
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public FurrePosition(
    double X,
    double Y
)
Public Sub New (
    X As Double,
    Y As Double
)

Dim X As Double
Dim Y As Double

Dim instance As New FurrePosition(X, Y)
public:
FurrePosition(
    double X,
    double Y
)
new :
        X : float *
        Y : float -> FurrePosition

Parameters

X
Type: SystemDouble
The x coordinate.
Y
Type: SystemDouble
The y coordinate.
See Also

Reference

FurrePosition Class
FurrePosition Overload
Furcadia.Drawing Namespace


FurrePosition Constructor (Base220, Base220)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the FurrePosition class.

Namespace: Furcadia.Drawing
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public FurrePosition(
    Base220 X,
    Base220 Y
)
Public Sub New (
    X As Base220,
    Y As Base220
)

Dim X As Base220
Dim Y As Base220

Dim instance As New FurrePosition(X, Y)
public:
FurrePosition(
    Base220^ X,
    Base220^ Y
)
new :
        X : Base220 *
        Y : Base220 -> FurrePosition

Parameters

X
Type: Furcadia.TextBase220
The x coordinate.
Y
Type: Furcadia.TextBase220
The y coordinate.
See Also

Reference

FurrePosition Class
FurrePosition Overload
Furcadia.Drawing Namespace


FurrePosition Properties
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The FurrePosition type exposes the following members.

Properties
 | Name | Description
Public property | X | x coordinate
Public property | Y | y coordinate
Top
See Also

Reference

FurrePosition Class
Furcadia.Drawing Namespace


FurrePosition.X Property

FurrePositionX Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

x coordinate

Namespace: Furcadia.Drawing
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public Base220 X { get; set; }
Public Property X As Base220
    Get
    Set

Dim instance As FurrePosition
Dim value As Base220

value = instance.X

instance.X = value
public:
property Base220^ X {
    Base220^ get ();
    void set (Base220^ value);
}
member X : Base220 with get, set

Property Value

Type: Base220
See Also

Reference

FurrePosition Class
Furcadia.Drawing Namespace


FurrePosition.Y Property

FurrePositionY Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

y coordinate

Namespace: Furcadia.Drawing
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public Base220 Y { get; set; }
Public Property Y As Base220
    Get
    Set

Dim instance As FurrePosition
Dim value As Base220

value = instance.Y

instance.Y = value
public:
property Base220^ Y {
    Base220^ get ();
    void set (Base220^ value);
}
member Y : Base220 with get, set

Property Value

Type: Base220
See Also

Reference

FurrePosition Class
Furcadia.Drawing Namespace


FurrePosition Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The FurrePosition type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified Object, is equal to this instance. (Overrides ObjectEquals(Object).)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Returns a hash code for this instance. (Overrides ObjectGetHashCode.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a String that represents this instance. (Overrides ObjectToString.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

FurrePosition Class
Furcadia.Drawing Namespace


FurrePosition.Equals Method

FurrePositionEquals Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Determines whether the specified Object, is equal to this instance.

Namespace: Furcadia.Drawing
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public override bool Equals(
    Object obj
)
Public Overrides Function Equals (
    obj As Object
) As Boolean

Dim instance As FurrePosition
Dim obj As Object
Dim returnValue As Boolean

returnValue = instance.Equals(obj)
public:
virtual bool Equals(
    Object^ obj
) override
abstract Equals :
        obj : Object -> bool
override Equals :
        obj : Object -> bool

Parameters

obj
Type: SystemObject
The Object to compare with this instance.

Return Value

Type: Boolean
true if the specified Object is equal to this instance; otherwise, false.
See Also

Reference

FurrePosition Class
Furcadia.Drawing Namespace


FurrePosition.GetHashCode Method

FurrePositionGetHashCode Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Returns a hash code for this instance.

Namespace: Furcadia.Drawing
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public override int GetHashCode()
Public Overrides Function GetHashCode As Integer

Dim instance As FurrePosition
Dim returnValue As Integer

returnValue = instance.GetHashCode()
public:
virtual int GetHashCode() override
abstract GetHashCode : unit -> int
override GetHashCode : unit -> int

Return Value

Type: Int32
A hash code for this instance, suitable for use in hashing algorithms and data structures like a hash table.
See Also

Reference

FurrePosition Class
Furcadia.Drawing Namespace


FurrePosition.ToString Method

FurrePositionToString Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Returns a String that represents this instance.

Namespace: Furcadia.Drawing
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public override string ToString()
Public Overrides Function ToString As String

Dim instance As FurrePosition
Dim returnValue As String

returnValue = instance.ToString()
public:
virtual String^ ToString() override
abstract ToString : unit -> string
override ToString : unit -> string

Return Value

Type: String
A String that represents this instance.
See Also

Reference

FurrePosition Class
Furcadia.Drawing Namespace


FurrePosition Operators
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The FurrePosition type exposes the following members.

Operators
Name | Description
Equality | Implements the operator ==.
Inequality | Implements the operator !=.
Top
See Also

Reference

FurrePosition Class
Furcadia.Drawing Namespace


FurrePosition.Equality Operator

FurrePositionEquality Operator

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Implements the operator ==.

Namespace: Furcadia.Drawing
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static bool operator ==(
    FurrePosition obj1,
    FurrePosition obj2
)
Public Shared Operator = (
    obj1 As FurrePosition,
    obj2 As FurrePosition
) As Boolean

Dim obj1 As FurrePosition
Dim obj2 As FurrePosition
Dim returnValue As Boolean

returnValue = (obj1 = obj2)
public:
static bool operator ==(
    FurrePosition^ obj1,
    FurrePosition^ obj2
)
static let inline (=)
        obj1 : FurrePosition *
        obj2 : FurrePosition  : bool

Parameters

obj1
Type: Furcadia.DrawingFurrePosition
The obj1.
obj2
Type: Furcadia.DrawingFurrePosition
The obj2.

Return Value

Type: Boolean
The result of the operator.
See Also

Reference

FurrePosition Class
Furcadia.Drawing Namespace


FurrePosition.Inequality Operator

FurrePositionInequality Operator

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Implements the operator !=.

Namespace: Furcadia.Drawing
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static bool operator !=(
    FurrePosition obj1,
    FurrePosition obj2
)
Public Shared Operator <> (
    obj1 As FurrePosition,
    obj2 As FurrePosition
) As Boolean

Dim obj1 As FurrePosition
Dim obj2 As FurrePosition
Dim returnValue As Boolean

returnValue = (obj1 <> obj2)
public:
static bool operator !=(
    FurrePosition^ obj1,
    FurrePosition^ obj2
)
static let inline (<>)
        obj1 : FurrePosition *
        obj2 : FurrePosition  : bool

Parameters

obj1
Type: Furcadia.DrawingFurrePosition
The obj1.
obj2
Type: Furcadia.DrawingFurrePosition
The obj2.

Return Value

Type: Boolean
The result of the operator.
See Also

Reference

FurrePosition Class
Furcadia.Drawing Namespace


Helper Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "T:Furcadia.Drawing.Helper"]

Inheritance Hierarchy
SystemObject
Furcadia.DrawingHelper

Namespace: Furcadia.Drawing
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static class Helper
Public NotInheritable Class Helper

You do not need to declare an instance of a static class in order to access its members.
public ref class Helper abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
type Helper =  class end

The Helper type exposes the following members.

Methods
Name | Description
CharToDescTag | Converts a Char to Desc Tag
Top
See Also

Reference

Furcadia.Drawing Namespace


Helper Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The Helper type exposes the following members.

Methods
Name | Description
CharToDescTag | Converts a Char to Desc Tag
Top
See Also

Reference

Helper Class
Furcadia.Drawing Namespace


Helper.CharToDescTag Method

HelperCharToDescTag Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Converts a Char to Desc Tag

Namespace: Furcadia.Drawing
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static int CharToDescTag(
    char c
)
Public Shared Function CharToDescTag (
    c As Char
) As Integer

Dim c As Char
Dim returnValue As Integer

returnValue = Helper.CharToDescTag(c)
public:
static int CharToDescTag(
    wchar_t c
)
static member CharToDescTag :
        c : char -> int

Parameters

c
Type: SystemChar

[Missing <param name="c"/> documentation for "M:Furcadia.Drawing.Helper.CharToDescTag(System.Char)"]

Return Value

Type: Int32

[Missing <returns> documentation for "M:Furcadia.Drawing.Helper.CharToDescTag(System.Char)"]

See Also

Reference

Helper Class
Furcadia.Drawing Namespace


ViewArea Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Visible are a Furre can see
Inheritance Hierarchy
SystemObject
Furcadia.DrawingViewArea

Namespace: Furcadia.Drawing
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public class ViewArea
Public Class ViewArea

Dim instance As ViewArea
public ref class ViewArea
type ViewArea =  class end

The ViewArea type exposes the following members.

Constructors
 | Name | Description
Public method | ViewArea | Initializes a new instance of the ViewArea class.
Public method | ViewArea(FurrePosition) | Initializes a new instance of the ViewArea class.
Public method | ViewArea(Base220, Base220) | Initializes a new instance of the ViewArea class
Top
Properties
 | Name | Description
Public property | EndLocation | Lower right corner where the map drawing of the rectangle ends
Public property | FurreLocation | Gets or sets the furre location in the center of the View rectangle.
Public property | StartLocation | Upper Left corner where map drawing begins.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | InRange | Target location is in our viewable rectangle?
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | SetPosition | Initialize from center point usually a furre position
Public method | ToString | (Overrides ObjectToString.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Furcadia.Drawing Namespace


ViewArea Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
 | Name | Description
Public method | ViewArea | Initializes a new instance of the ViewArea class.
Public method | ViewArea(FurrePosition) | Initializes a new instance of the ViewArea class.
Public method | ViewArea(Base220, Base220) | Initializes a new instance of the ViewArea class
Top
See Also

Reference

ViewArea Class
Furcadia.Drawing Namespace


ViewArea Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the ViewArea class.

Namespace: Furcadia.Drawing
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public ViewArea()
Public Sub New

Dim instance As New ViewArea()
public:
ViewArea()
new : unit -> ViewArea
See Also

Reference

ViewArea Class
ViewArea Overload
Furcadia.Drawing Namespace


ViewArea Constructor (FurrePosition)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the ViewArea class.

Namespace: Furcadia.Drawing
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public ViewArea(
    FurrePosition location
)
Public Sub New (
    location As FurrePosition
)

Dim location As FurrePosition

Dim instance As New ViewArea(location)
public:
ViewArea(
    FurrePosition^ location
)
new :
        location : FurrePosition -> ViewArea

Parameters

location
Type: Furcadia.DrawingFurrePosition
The location.
See Also

Reference

ViewArea Class
ViewArea Overload
Furcadia.Drawing Namespace


ViewArea Constructor (Base220, Base220)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the ViewArea class

Namespace: Furcadia.Drawing
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public ViewArea(
    Base220 x,
    Base220 y
)
Public Sub New (
    x As Base220,
    y As Base220
)

Dim x As Base220
Dim y As Base220

Dim instance As New ViewArea(x, y)
public:
ViewArea(
    Base220^ x,
    Base220^ y
)
new :
        x : Base220 *
        y : Base220 -> ViewArea

Parameters

x
Type: Furcadia.TextBase220

[Missing <param name="x"/> documentation for "M:Furcadia.Drawing.ViewArea.#ctor(Furcadia.Text.Base220,Furcadia.Text.Base220)"]

y
Type: Furcadia.TextBase220

[Missing <param name="y"/> documentation for "M:Furcadia.Drawing.ViewArea.#ctor(Furcadia.Text.Base220,Furcadia.Text.Base220)"]

See Also

Reference

ViewArea Class
ViewArea Overload
Furcadia.Drawing Namespace


ViewArea Properties
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The ViewArea type exposes the following members.

Properties
 | Name | Description
Public property | EndLocation | Lower right corner where the map drawing of the rectangle ends
Public property | FurreLocation | Gets or sets the furre location in the center of the View rectangle.
Public property | StartLocation | Upper Left corner where map drawing begins.
Top
See Also

Reference

ViewArea Class
Furcadia.Drawing Namespace


ViewArea.EndLocation Property

ViewAreaEndLocation Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Lower right corner where the map drawing of the rectangle ends

Namespace: Furcadia.Drawing
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public FurrePosition EndLocation { get; }
Public ReadOnly Property EndLocation As FurrePosition
    Get

Dim instance As ViewArea
Dim value As FurrePosition

value = instance.EndLocation

public:
property FurrePosition^ EndLocation {
    FurrePosition^ get ();
}
member EndLocation : FurrePosition with get

Property Value

Type: FurrePosition
See Also

Reference

ViewArea Class
Furcadia.Drawing Namespace


ViewArea.FurreLocation Property

ViewAreaFurreLocation Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets or sets the furre location in the center of the View rectangle.

Namespace: Furcadia.Drawing
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public FurrePosition FurreLocation { get; set; }
Public Property FurreLocation As FurrePosition
    Get
    Set

Dim instance As ViewArea
Dim value As FurrePosition

value = instance.FurreLocation

instance.FurreLocation = value
public:
property FurrePosition^ FurreLocation {
    FurrePosition^ get ();
    void set (FurrePosition^ value);
}
member FurreLocation : FurrePosition with get, set

Property Value

Type: FurrePosition
The furre location.
See Also

Reference

ViewArea Class
Furcadia.Drawing Namespace


ViewArea.StartLocation Property

ViewAreaStartLocation Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Upper Left corner where map drawing begins.

Namespace: Furcadia.Drawing
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public FurrePosition StartLocation { get; }
Public ReadOnly Property StartLocation As FurrePosition
    Get

Dim instance As ViewArea
Dim value As FurrePosition

value = instance.StartLocation

public:
property FurrePosition^ StartLocation {
    FurrePosition^ get ();
}
member StartLocation : FurrePosition with get

Property Value

Type: FurrePosition
The start location.
See Also

Reference

ViewArea Class
Furcadia.Drawing Namespace


ViewArea Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The ViewArea type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | InRange | Target location is in our viewable rectangle?
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | SetPosition | Initialize from center point usually a furre position
Public method | ToString | (Overrides ObjectToString.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

ViewArea Class
Furcadia.Drawing Namespace


ViewArea.InRange Method

ViewAreaInRange Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Target location is in our viewable rectangle?

Namespace: Furcadia.Drawing
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool InRange(
    FurrePosition TargetLocation
)
Public Function InRange (
    TargetLocation As FurrePosition
) As Boolean

Dim instance As ViewArea
Dim TargetLocation As FurrePosition
Dim returnValue As Boolean

returnValue = instance.InRange(TargetLocation)
public:
bool InRange(
    FurrePosition^ TargetLocation
)
member InRange :
        TargetLocation : FurrePosition -> bool

Parameters

TargetLocation
Type: Furcadia.DrawingFurrePosition
The location.

Return Value

Type: Boolean

[Missing <returns> documentation for "M:Furcadia.Drawing.ViewArea.InRange(Furcadia.Drawing.FurrePosition)"]

See Also

Reference

ViewArea Class
Furcadia.Drawing Namespace


ViewArea.SetPosition Method

ViewAreaSetPosition Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initialize from center point usually a furre position

Namespace: Furcadia.Drawing
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public void SetPosition(
    Base220 x,
    Base220 y
)
Public Sub SetPosition (
    x As Base220,
    y As Base220
)

Dim instance As ViewArea
Dim x As Base220
Dim y As Base220

instance.SetPosition(x, y)
public:
void SetPosition(
    Base220^ x,
    Base220^ y
)
member SetPosition :
        x : Base220 *
        y : Base220 -> unit

Parameters

x
Type: Furcadia.TextBase220

[Missing <param name="x"/> documentation for "M:Furcadia.Drawing.ViewArea.SetPosition(Furcadia.Text.Base220,Furcadia.Text.Base220)"]

y
Type: Furcadia.TextBase220

[Missing <param name="y"/> documentation for "M:Furcadia.Drawing.ViewArea.SetPosition(Furcadia.Text.Base220,Furcadia.Text.Base220)"]

See Also

Reference

ViewArea Class
Furcadia.Drawing Namespace


ViewArea.ToString Method

ViewAreaToString Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "M:Furcadia.Drawing.ViewArea.ToString"]

Namespace: Furcadia.Drawing
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public override string ToString()
Public Overrides Function ToString As String

Dim instance As ViewArea
Dim returnValue As String

returnValue = instance.ToString()
public:
virtual String^ ToString() override
abstract ToString : unit -> string
override ToString : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:Furcadia.Drawing.ViewArea.ToString"]

See Also

Reference

ViewArea Class
Furcadia.Drawing Namespace


Furcadia.Drawing.Graphics Namespace
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Classes
 | Class | Description
Public class | FurcadiaPaletteException |
Public class | FurcadiaShapes |
Public class | FurcadiaShapesException |
Public class | Palette |
Public class | Remapper | Remap colors
Structures
 | Structure | Description
Public structure | Frame |
Public structure | FramePos |
Public structure | Shape |
Public structure | StepBlock |
Enumerations
 | Enumeration | Description
Public enumeration | FrameFrameFormats |
Public enumeration | ShapeShapeFlags |
Public enumeration | StepBlockStepBlockStepTypes |


Frame Structure
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "T:Furcadia.Drawing.Graphics.Frame"]

Namespace: Furcadia.Drawing.Graphics
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
[CLSCompliantAttribute(false)]
public struct Frame
<CLSCompliantAttribute(false)>
Public Structure Frame

Dim instance As Frame
[CLSCompliantAttribute(false)]
public value class Frame
[<SealedAttribute>]
[<CLSCompliantAttribute(false)>]
type Frame =  struct end

The Frame type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Indicates whether this instance and a specified object are equal. (Inherited from ValueType.)
Public method | GetHashCode | Returns the hash code for this instance. (Inherited from ValueType.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | ToString | Returns the fully qualified type name of this instance. (Inherited from ValueType.)
Top
Fields
 | Name | Description
Public field | FrameFormat | The frame format
Public field | FramePos | The frame position
Public field | FurrePos | The furre position
Public field | Height | The height
Public field | ImageData | The image data
Public field | ImageDataSize | The image data size
Public field | Width | The width
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Furcadia.Drawing.Graphics Namespace


Frame Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The Frame type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Indicates whether this instance and a specified object are equal. (Inherited from ValueType.)
Public method | GetHashCode | Returns the hash code for this instance. (Inherited from ValueType.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | ToString | Returns the fully qualified type name of this instance. (Inherited from ValueType.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Frame Structure
Furcadia.Drawing.Graphics Namespace


Frame Fields
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The Frame type exposes the following members.

Fields
 | Name | Description
Public field | FrameFormat | The frame format
Public field | FramePos | The frame position
Public field | FurrePos | The furre position
Public field | Height | The height
Public field | ImageData | The image data
Public field | ImageDataSize | The image data size
Public field | Width | The width
Top
See Also

Reference

Frame Structure
Furcadia.Drawing.Graphics Namespace


Frame.FrameFormat Field

FrameFrameFormat Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The frame format

Namespace: Furcadia.Drawing.Graphics
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public FrameFrameFormats FrameFormat
Public FrameFormat As FrameFrameFormats

Dim instance As Frame
Dim value As FrameFrameFormats

value = instance.FrameFormat

instance.FrameFormat = value
public:
FrameFrameFormats FrameFormat
val mutable FrameFormat: FrameFrameFormats

Field Value

Type: FrameFrameFormats
See Also

Reference

Frame Structure
Furcadia.Drawing.Graphics Namespace


Frame.FramePos Field

FrameFramePos Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The frame position

Namespace: Furcadia.Drawing.Graphics
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public FramePos FramePos
Public FramePos As FramePos

Dim instance As Frame
Dim value As FramePos

value = instance.FramePos

instance.FramePos = value
public:
FramePos FramePos
val mutable FramePos: FramePos

Field Value

Type: FramePos
See Also

Reference

Frame Structure
Furcadia.Drawing.Graphics Namespace


Frame.FurrePos Field

FrameFurrePos Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The furre position

Namespace: Furcadia.Drawing.Graphics
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public FramePos FurrePos
Public FurrePos As FramePos

Dim instance As Frame
Dim value As FramePos

value = instance.FurrePos

instance.FurrePos = value
public:
FramePos FurrePos
val mutable FurrePos: FramePos

Field Value

Type: FramePos
See Also

Reference

Frame Structure
Furcadia.Drawing.Graphics Namespace


Frame.Height Field

FrameHeight Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The height

Namespace: Furcadia.Drawing.Graphics
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
[CLSCompliantAttribute(false)]
public ushort Height
<CLSCompliantAttribute(false)>
Public Height As UShort

Dim instance As Frame
Dim value As UShort

value = instance.Height

instance.Height = value
public:
[CLSCompliantAttribute(false)]
unsigned short Height
[<CLSCompliantAttribute(false)>]
val mutable Height: uint16

Field Value

Type: UInt16
See Also

Reference

Frame Structure
Furcadia.Drawing.Graphics Namespace


Frame.ImageData Field

FrameImageData Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The image data

Namespace: Furcadia.Drawing.Graphics
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public byte[] ImageData
Public ImageData As Byte()

Dim instance As Frame
Dim value As Byte()

value = instance.ImageData

instance.ImageData = value
public:
array<unsigned char>^ ImageData
val mutable ImageData: byte[]

Field Value

Type: Byte
See Also

Reference

Frame Structure
Furcadia.Drawing.Graphics Namespace


Frame.ImageDataSize Field

FrameImageDataSize Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The image data size

Namespace: Furcadia.Drawing.Graphics
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public uint ImageDataSize
Public ImageDataSize As UInteger

Dim instance As Frame
Dim value As UInteger

value = instance.ImageDataSize

instance.ImageDataSize = value
public:
unsigned int ImageDataSize
val mutable ImageDataSize: uint32

Field Value

Type: UInt32
See Also

Reference

Frame Structure
Furcadia.Drawing.Graphics Namespace


Frame.Width Field

FrameWidth Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The width

Namespace: Furcadia.Drawing.Graphics
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public ushort Width
Public Width As UShort

Dim instance As Frame
Dim value As UShort

value = instance.Width

instance.Width = value
public:
unsigned short Width
val mutable Width: uint16

Field Value

Type: UInt16
See Also

Reference

Frame Structure
Furcadia.Drawing.Graphics Namespace


Frame.FrameFormats Enumeration

FrameFrameFormats Enumeration
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "T:Furcadia.Drawing.Graphics.Frame.FrameFormats"]

Namespace: Furcadia.Drawing.Graphics
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
[FlagsAttribute]
public enum FrameFormats
<FlagsAttribute>
Public Enumeration FrameFormats

Dim instance As Frame.FrameFormats
[FlagsAttribute]
public enum class FrameFormats
[<FlagsAttribute>]
type FrameFormats
Members
Member name | Value | Description
Format8Bit | 1 | The format8 bit
FormatRGB | 2 | The format RGB
See Also

Reference

Furcadia.Drawing.Graphics Namespace


Frame.Pos Structure

FramePos Structure
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "T:Furcadia.Drawing.Graphics.Frame.Pos"]

Namespace: Furcadia.Drawing.Graphics
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public struct Pos
Public Structure Pos

Dim instance As Frame.Pos
public value class Pos
[<SealedAttribute>]
type Pos =  struct end

The FramePos type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Indicates whether this instance and a specified object are equal. (Inherited from ValueType.)
Public method | GetHashCode | Returns the hash code for this instance. (Inherited from ValueType.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | ToString | Returns the fully qualified type name of this instance. (Inherited from ValueType.)
Top
Fields
 | Name | Description
Public field | X | The x
Public field | Y | The y
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Furcadia.Drawing.Graphics Namespace


Pos Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The FramePos type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Indicates whether this instance and a specified object are equal. (Inherited from ValueType.)
Public method | GetHashCode | Returns the hash code for this instance. (Inherited from ValueType.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | ToString | Returns the fully qualified type name of this instance. (Inherited from ValueType.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

FramePos Structure
Furcadia.Drawing.Graphics Namespace


Pos Fields
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The FramePos type exposes the following members.

Fields
 | Name | Description
Public field | X | The x
Public field | Y | The y
Top
See Also

Reference

FramePos Structure
Furcadia.Drawing.Graphics Namespace


Frame.Pos.X Field

FramePosX Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The x

Namespace: Furcadia.Drawing.Graphics
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public short X
Public X As Short

Dim instance As FramePos
Dim value As Short

value = instance.X

instance.X = value
public:
short X
val mutable X: int16

Field Value

Type: Int16
See Also

Reference

FramePos Structure
Furcadia.Drawing.Graphics Namespace


Frame.Pos.Y Field

FramePosY Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The y

Namespace: Furcadia.Drawing.Graphics
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public short Y
Public Y As Short

Dim instance As FramePos
Dim value As Short

value = instance.Y

instance.Y = value
public:
short Y
val mutable Y: int16

Field Value

Type: Int16
See Also

Reference

FramePos Structure
Furcadia.Drawing.Graphics Namespace


FurcadiaPaletteException Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "T:Furcadia.Drawing.Graphics.FurcadiaPaletteException"]

Inheritance Hierarchy
SystemObject
SystemException
SystemApplicationException
Furcadia.Drawing.GraphicsFurcadiaPaletteException

Namespace: Furcadia.Drawing.Graphics
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public class FurcadiaPaletteException : ApplicationException
Public Class FurcadiaPaletteException
    Inherits ApplicationException

Dim instance As FurcadiaPaletteException
public ref class FurcadiaPaletteException : public ApplicationException
type FurcadiaPaletteException =
    class
        inherit ApplicationException
    end

The FurcadiaPaletteException type exposes the following members.

Constructors
 | Name | Description
Public method | FurcadiaPaletteException | Initializes a new instance of the FurcadiaPaletteException class.
Top
Properties
 | Name | Description
Public property | Data | Gets a collection of key/value pairs that provide additional user-defined information about the exception. (Inherited from Exception.)
Public property | HelpLink | Gets or sets a link to the help file associated with this exception. (Inherited from Exception.)
Public property | HResult | Gets or sets HRESULT, a coded numerical value that is assigned to a specific exception. (Inherited from Exception.)
Public property | InnerException | Gets the Exception instance that caused the current exception. (Inherited from Exception.)
Public property | Message | Gets a message that describes the current exception. (Inherited from Exception.)
Public property | Source | Gets or sets the name of the application or the object that causes the error. (Inherited from Exception.)
Public property | StackTrace | Gets a string representation of the immediate frames on the call stack. (Inherited from Exception.)
Public property | TargetSite | Gets the method that throws the current exception. (Inherited from Exception.)
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetBaseException | When overridden in a derived class, returns the Exception that is the root cause of one or more subsequent exceptions. (Inherited from Exception.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetObjectData | When overridden in a derived class, sets the SerializationInfo with information about the exception. (Inherited from Exception.)
Public method | GetType | Gets the runtime type of the current instance. (Inherited from Exception.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Creates and returns a string representation of the current exception. (Inherited from Exception.)
Top
Events
 | Name | Description
Protected event | SerializeObjectState | Occurs when an exception is serialized to create an exception state object that contains serialized data about the exception. (Inherited from Exception.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Public Extension Method | Flatten | Flattens the specified exception. (Defined by ExceptionExtensions.)
Public Extension Method | Log(Level, String) | Overloaded. Logs the specified level. (Defined by ExceptionExtensions.)
Public Extension Method | LogT(Level, String) | Overloaded. Logs the specified level. (Defined by ExceptionExtensions.)
Public Extension Method | LogMessage(Level, String) | Overloaded. Logs the message. (Defined by ExceptionExtensions.)
Public Extension Method | LogMessageT(Level, String) | Overloaded. Logs the message. (Defined by ExceptionExtensions.)
Top
See Also

Reference

Furcadia.Drawing.Graphics Namespace
SystemApplicationException


FurcadiaPaletteException Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the FurcadiaPaletteException class.

Namespace: Furcadia.Drawing.Graphics
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public FurcadiaPaletteException(
    string msg
)
Public Sub New (
    msg As String
)

Dim msg As String

Dim instance As New FurcadiaPaletteException(msg)
public:
FurcadiaPaletteException(
    String^ msg
)
new :
        msg : string -> FurcadiaPaletteException

Parameters

msg
Type: SystemString
The MSG.
See Also

Reference

FurcadiaPaletteException Class
Furcadia.Drawing.Graphics Namespace


FurcadiaPaletteException Properties
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The FurcadiaPaletteException type exposes the following members.

Properties
 | Name | Description
Public property | Data | Gets a collection of key/value pairs that provide additional user-defined information about the exception. (Inherited from Exception.)
Public property | HelpLink | Gets or sets a link to the help file associated with this exception. (Inherited from Exception.)
Public property | HResult | Gets or sets HRESULT, a coded numerical value that is assigned to a specific exception. (Inherited from Exception.)
Public property | InnerException | Gets the Exception instance that caused the current exception. (Inherited from Exception.)
Public property | Message | Gets a message that describes the current exception. (Inherited from Exception.)
Public property | Source | Gets or sets the name of the application or the object that causes the error. (Inherited from Exception.)
Public property | StackTrace | Gets a string representation of the immediate frames on the call stack. (Inherited from Exception.)
Public property | TargetSite | Gets the method that throws the current exception. (Inherited from Exception.)
Top
See Also

Reference

FurcadiaPaletteException Class
Furcadia.Drawing.Graphics Namespace


FurcadiaPaletteException Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The FurcadiaPaletteException type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetBaseException | When overridden in a derived class, returns the Exception that is the root cause of one or more subsequent exceptions. (Inherited from Exception.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetObjectData | When overridden in a derived class, sets the SerializationInfo with information about the exception. (Inherited from Exception.)
Public method | GetType | Gets the runtime type of the current instance. (Inherited from Exception.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Creates and returns a string representation of the current exception. (Inherited from Exception.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Public Extension Method | Flatten | Flattens the specified exception. (Defined by ExceptionExtensions.)
Public Extension Method | Log(Level, String) | Overloaded. Logs the specified level. (Defined by ExceptionExtensions.)
Public Extension Method | LogT(Level, String) | Overloaded. Logs the specified level. (Defined by ExceptionExtensions.)
Public Extension Method | LogMessage(Level, String) | Overloaded. Logs the message. (Defined by ExceptionExtensions.)
Public Extension Method | LogMessageT(Level, String) | Overloaded. Logs the message. (Defined by ExceptionExtensions.)
Top
See Also

Reference

FurcadiaPaletteException Class
Furcadia.Drawing.Graphics Namespace


FurcadiaPaletteException Events
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The FurcadiaPaletteException type exposes the following members.

Events
 | Name | Description
Protected event | SerializeObjectState | Occurs when an exception is serialized to create an exception state object that contains serialized data about the exception. (Inherited from Exception.)
Top
See Also

Reference

FurcadiaPaletteException Class
Furcadia.Drawing.Graphics Namespace


FurcadiaShapes Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "T:Furcadia.Drawing.Graphics.FurcadiaShapes"]

Inheritance Hierarchy
SystemObject
Furcadia.Drawing.GraphicsFurcadiaShapes

Namespace: Furcadia.Drawing.Graphics
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public class FurcadiaShapes
Public Class FurcadiaShapes

Dim instance As FurcadiaShapes
public ref class FurcadiaShapes
type FurcadiaShapes =  class end

The FurcadiaShapes type exposes the following members.

Constructors
 | Name | Description
Public method | FurcadiaShapes | Initializes a new instance of the FurcadiaShapes class.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToBitmap | To the bitmap.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Fields
 | Name | Description
Public field | Encryption | The encryption
Public field | Generator | The generator
Public field | Header | The header
Public field | NumShapes | The number shapes
Public field | Reserved1 | The reserved1
Public field | Reserved2 | The reserved2
Public field | Shapes | The shapes
Public field | Version | The version
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Furcadia.Drawing.Graphics Namespace


FurcadiaShapes Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the FurcadiaShapes class.

Namespace: Furcadia.Drawing.Graphics
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public FurcadiaShapes(
    string path
)
Public Sub New (
    path As String
)

Dim path As String

Dim instance As New FurcadiaShapes(path)
public:
FurcadiaShapes(
    String^ path
)
new :
        path : string -> FurcadiaShapes

Parameters

path
Type: SystemString
The path.
See Also

Reference

FurcadiaShapes Class
Furcadia.Drawing.Graphics Namespace


FurcadiaShapes Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The FurcadiaShapes type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToBitmap | To the bitmap.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

FurcadiaShapes Class
Furcadia.Drawing.Graphics Namespace


FurcadiaShapes.ToBitmap Method

FurcadiaShapesToBitmap Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

To the bitmap.

Namespace: Furcadia.Drawing.Graphics
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
[CLSCompliantAttribute(false)]
public Bitmap ToBitmap(
    Frame frame,
    Palette pal
)
<CLSCompliantAttribute(false)>
Public Function ToBitmap (
    frame As Frame,
    pal As Palette
) As Bitmap

Dim instance As FurcadiaShapes
Dim frame As Frame
Dim pal As Palette
Dim returnValue As Bitmap

returnValue = instance.ToBitmap(frame,
    pal)
public:
[CLSCompliantAttribute(false)]
Bitmap^ ToBitmap(
    Frame frame,
    Palette^ pal
)
[<CLSCompliantAttribute(false)>]
member ToBitmap :
        frame : Frame *
        pal : Palette -> Bitmap

Parameters

frame
Type: Furcadia.Drawing.GraphicsFrame
The frame.
pal
Type: Furcadia.Drawing.GraphicsPalette
The pal.

Return Value

Type: Bitmap

[Missing <returns> documentation for "M:Furcadia.Drawing.Graphics.FurcadiaShapes.ToBitmap(Furcadia.Drawing.Graphics.Frame,Furcadia.Drawing.Graphics.Palette)"]

See Also

Reference

FurcadiaShapes Class
Furcadia.Drawing.Graphics Namespace


FurcadiaShapes Fields
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The FurcadiaShapes type exposes the following members.

Fields
 | Name | Description
Public field | Encryption | The encryption
Public field | Generator | The generator
Public field | Header | The header
Public field | NumShapes | The number shapes
Public field | Reserved1 | The reserved1
Public field | Reserved2 | The reserved2
Public field | Shapes | The shapes
Public field | Version | The version
Top
See Also

Reference

FurcadiaShapes Class
Furcadia.Drawing.Graphics Namespace


FurcadiaShapes.Encryption Field

FurcadiaShapesEncryption Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The encryption

Namespace: Furcadia.Drawing.Graphics
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public int Encryption
Public Encryption As Integer

Dim instance As FurcadiaShapes
Dim value As Integer

value = instance.Encryption

instance.Encryption = value
public:
int Encryption
val mutable Encryption: int

Field Value

Type: Int32
See Also

Reference

FurcadiaShapes Class
Furcadia.Drawing.Graphics Namespace


FurcadiaShapes.Generator Field

FurcadiaShapesGenerator Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The generator

Namespace: Furcadia.Drawing.Graphics
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public int Generator
Public Generator As Integer

Dim instance As FurcadiaShapes
Dim value As Integer

value = instance.Generator

instance.Generator = value
public:
int Generator
val mutable Generator: int

Field Value

Type: Int32
See Also

Reference

FurcadiaShapes Class
Furcadia.Drawing.Graphics Namespace


FurcadiaShapes.Header Field

FurcadiaShapesHeader Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The header

Namespace: Furcadia.Drawing.Graphics
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string Header
Public Header As String

Dim instance As FurcadiaShapes
Dim value As String

value = instance.Header

instance.Header = value
public:
String^ Header
val mutable Header: string

Field Value

Type: String
See Also

Reference

FurcadiaShapes Class
Furcadia.Drawing.Graphics Namespace


FurcadiaShapes.NumShapes Field

FurcadiaShapesNumShapes Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The number shapes

Namespace: Furcadia.Drawing.Graphics
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public int NumShapes
Public NumShapes As Integer

Dim instance As FurcadiaShapes
Dim value As Integer

value = instance.NumShapes

instance.NumShapes = value
public:
int NumShapes
val mutable NumShapes: int

Field Value

Type: Int32
See Also

Reference

FurcadiaShapes Class
Furcadia.Drawing.Graphics Namespace


FurcadiaShapes.Reserved1 Field

FurcadiaShapesReserved1 Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The reserved1

Namespace: Furcadia.Drawing.Graphics
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public int Reserved1
Public Reserved1 As Integer

Dim instance As FurcadiaShapes
Dim value As Integer

value = instance.Reserved1

instance.Reserved1 = value
public:
int Reserved1
val mutable Reserved1: int

Field Value

Type: Int32
See Also

Reference

FurcadiaShapes Class
Furcadia.Drawing.Graphics Namespace


FurcadiaShapes.Reserved2 Field

FurcadiaShapesReserved2 Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The reserved2

Namespace: Furcadia.Drawing.Graphics
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public int Reserved2
Public Reserved2 As Integer

Dim instance As FurcadiaShapes
Dim value As Integer

value = instance.Reserved2

instance.Reserved2 = value
public:
int Reserved2
val mutable Reserved2: int

Field Value

Type: Int32
See Also

Reference

FurcadiaShapes Class
Furcadia.Drawing.Graphics Namespace


FurcadiaShapes.Shapes Field

FurcadiaShapesShapes Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The shapes

Namespace: Furcadia.Drawing.Graphics
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public Shape[] Shapes
Public Shapes As Shape()

Dim instance As FurcadiaShapes
Dim value As Shape()

value = instance.Shapes

instance.Shapes = value
public:
array<Shape>^ Shapes
val mutable Shapes: Shape[]

Field Value

Type: Shape
See Also

Reference

FurcadiaShapes Class
Furcadia.Drawing.Graphics Namespace


FurcadiaShapes.Version Field

FurcadiaShapesVersion Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The version

Namespace: Furcadia.Drawing.Graphics
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public int Version
Public Version As Integer

Dim instance As FurcadiaShapes
Dim value As Integer

value = instance.Version

instance.Version = value
public:
int Version
val mutable Version: int

Field Value

Type: Int32
See Also

Reference

FurcadiaShapes Class
Furcadia.Drawing.Graphics Namespace


FurcadiaShapesException Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "T:Furcadia.Drawing.Graphics.FurcadiaShapesException"]

Inheritance Hierarchy
SystemObject
SystemException
SystemApplicationException
Furcadia.Drawing.GraphicsFurcadiaShapesException

Namespace: Furcadia.Drawing.Graphics
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public class FurcadiaShapesException : ApplicationException
Public Class FurcadiaShapesException
    Inherits ApplicationException

Dim instance As FurcadiaShapesException
public ref class FurcadiaShapesException : public ApplicationException
type FurcadiaShapesException =
    class
        inherit ApplicationException
    end

The FurcadiaShapesException type exposes the following members.

Constructors
 | Name | Description
Public method | FurcadiaShapesException | Initializes a new instance of the FurcadiaShapesException class.
Top
Properties
 | Name | Description
Public property | Data | Gets a collection of key/value pairs that provide additional user-defined information about the exception. (Inherited from Exception.)
Public property | HelpLink | Gets or sets a link to the help file associated with this exception. (Inherited from Exception.)
Public property | HResult | Gets or sets HRESULT, a coded numerical value that is assigned to a specific exception. (Inherited from Exception.)
Public property | InnerException | Gets the Exception instance that caused the current exception. (Inherited from Exception.)
Public property | Message | Gets a message that describes the current exception. (Inherited from Exception.)
Public property | Source | Gets or sets the name of the application or the object that causes the error. (Inherited from Exception.)
Public property | StackTrace | Gets a string representation of the immediate frames on the call stack. (Inherited from Exception.)
Public property | TargetSite | Gets the method that throws the current exception. (Inherited from Exception.)
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetBaseException | When overridden in a derived class, returns the Exception that is the root cause of one or more subsequent exceptions. (Inherited from Exception.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetObjectData | When overridden in a derived class, sets the SerializationInfo with information about the exception. (Inherited from Exception.)
Public method | GetType | Gets the runtime type of the current instance. (Inherited from Exception.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Creates and returns a string representation of the current exception. (Inherited from Exception.)
Top
Events
 | Name | Description
Protected event | SerializeObjectState | Occurs when an exception is serialized to create an exception state object that contains serialized data about the exception. (Inherited from Exception.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Public Extension Method | Flatten | Flattens the specified exception. (Defined by ExceptionExtensions.)
Public Extension Method | Log(Level, String) | Overloaded. Logs the specified level. (Defined by ExceptionExtensions.)
Public Extension Method | LogT(Level, String) | Overloaded. Logs the specified level. (Defined by ExceptionExtensions.)
Public Extension Method | LogMessage(Level, String) | Overloaded. Logs the message. (Defined by ExceptionExtensions.)
Public Extension Method | LogMessageT(Level, String) | Overloaded. Logs the message. (Defined by ExceptionExtensions.)
Top
See Also

Reference

Furcadia.Drawing.Graphics Namespace
SystemApplicationException


FurcadiaShapesException Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the FurcadiaShapesException class.

Namespace: Furcadia.Drawing.Graphics
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public FurcadiaShapesException(
    string msg
)
Public Sub New (
    msg As String
)

Dim msg As String

Dim instance As New FurcadiaShapesException(msg)
public:
FurcadiaShapesException(
    String^ msg
)
new :
        msg : string -> FurcadiaShapesException

Parameters

msg
Type: SystemString
The MSG.
See Also

Reference

FurcadiaShapesException Class
Furcadia.Drawing.Graphics Namespace


FurcadiaShapesException Properties
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The FurcadiaShapesException type exposes the following members.

Properties
 | Name | Description
Public property | Data | Gets a collection of key/value pairs that provide additional user-defined information about the exception. (Inherited from Exception.)
Public property | HelpLink | Gets or sets a link to the help file associated with this exception. (Inherited from Exception.)
Public property | HResult | Gets or sets HRESULT, a coded numerical value that is assigned to a specific exception. (Inherited from Exception.)
Public property | InnerException | Gets the Exception instance that caused the current exception. (Inherited from Exception.)
Public property | Message | Gets a message that describes the current exception. (Inherited from Exception.)
Public property | Source | Gets or sets the name of the application or the object that causes the error. (Inherited from Exception.)
Public property | StackTrace | Gets a string representation of the immediate frames on the call stack. (Inherited from Exception.)
Public property | TargetSite | Gets the method that throws the current exception. (Inherited from Exception.)
Top
See Also

Reference

FurcadiaShapesException Class
Furcadia.Drawing.Graphics Namespace


FurcadiaShapesException Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The FurcadiaShapesException type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetBaseException | When overridden in a derived class, returns the Exception that is the root cause of one or more subsequent exceptions. (Inherited from Exception.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetObjectData | When overridden in a derived class, sets the SerializationInfo with information about the exception. (Inherited from Exception.)
Public method | GetType | Gets the runtime type of the current instance. (Inherited from Exception.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Creates and returns a string representation of the current exception. (Inherited from Exception.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Public Extension Method | Flatten | Flattens the specified exception. (Defined by ExceptionExtensions.)
Public Extension Method | Log(Level, String) | Overloaded. Logs the specified level. (Defined by ExceptionExtensions.)
Public Extension Method | LogT(Level, String) | Overloaded. Logs the specified level. (Defined by ExceptionExtensions.)
Public Extension Method | LogMessage(Level, String) | Overloaded. Logs the message. (Defined by ExceptionExtensions.)
Public Extension Method | LogMessageT(Level, String) | Overloaded. Logs the message. (Defined by ExceptionExtensions.)
Top
See Also

Reference

FurcadiaShapesException Class
Furcadia.Drawing.Graphics Namespace


FurcadiaShapesException Events
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The FurcadiaShapesException type exposes the following members.

Events
 | Name | Description
Protected event | SerializeObjectState | Occurs when an exception is serialized to create an exception state object that contains serialized data about the exception. (Inherited from Exception.)
Top
See Also

Reference

FurcadiaShapesException Class
Furcadia.Drawing.Graphics Namespace


Palette Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "T:Furcadia.Drawing.Graphics.Palette"]

Inheritance Hierarchy
SystemObject
Furcadia.Drawing.GraphicsPalette

Namespace: Furcadia.Drawing.Graphics
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public class Palette
Public Class Palette

Dim instance As Palette
public ref class Palette
type Palette =  class end

The Palette type exposes the following members.

Constructors
 | Name | Description
Public method | Palette(String) | Initializes a new instance of the Palette class.
Public method | Palette(String, String) | Initializes a new instance of the Palette class.
Top
Properties
Name | Description
Default | title261.pcx
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Fields
 | Name | Description
Public field | Colors | The colors
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Furcadia.Drawing.Graphics Namespace


Palette Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
 | Name | Description
Public method | Palette(String) | Initializes a new instance of the Palette class.
Public method | Palette(String, String) | Initializes a new instance of the Palette class.
Top
See Also

Reference

Palette Class
Furcadia.Drawing.Graphics Namespace


Palette Constructor (String)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the Palette class.

Namespace: Furcadia.Drawing.Graphics
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public Palette(
    string pcxPath
)
Public Sub New (
    pcxPath As String
)

Dim pcxPath As String

Dim instance As New Palette(pcxPath)
public:
Palette(
    String^ pcxPath
)
new :
        pcxPath : string -> Palette

Parameters

pcxPath
Type: SystemString
The PCX path.
Exceptions
Exception | Condition
FurcadiaPaletteException | A 256-color palette was not found in file (" + pcxPath + ").
See Also

Reference

Palette Class
Palette Overload
Furcadia.Drawing.Graphics Namespace


Palette Constructor (String, String)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the Palette class.

Namespace: Furcadia.Drawing.Graphics
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public Palette(
    string pcxPath,
    string fpath
)
Public Sub New (
    pcxPath As String,
    fpath As String
)

Dim pcxPath As String
Dim fpath As String

Dim instance As New Palette(pcxPath,
    fpath)
public:
Palette(
    String^ pcxPath,
    String^ fpath
)
new :
        pcxPath : string *
        fpath : string -> Palette

Parameters

pcxPath
Type: SystemString
The PCX path.
fpath
Type: SystemString
The fpath.
Exceptions
Exception | Condition
FurcadiaPaletteException | A 256-color palette was not found in file (" + pcxPath + ").
See Also

Reference

Palette Class
Palette Overload
Furcadia.Drawing.Graphics Namespace


Palette Properties
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The Palette type exposes the following members.

Properties
Name | Description
Default | title261.pcx
Top
See Also

Reference

Palette Class
Furcadia.Drawing.Graphics Namespace


Palette.Default Property

PaletteDefault Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

title261.pcx

Namespace: Furcadia.Drawing.Graphics
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static Palette Default { get; }
Public Shared ReadOnly Property Default As Palette
    Get

Dim value As Palette

value = Palette.Default

public:
static property Palette^ Default {
    Palette^ get ();
}
static member Default : Palette with get

Property Value

Type: Palette
See Also

Reference

Palette Class
Furcadia.Drawing.Graphics Namespace


Palette Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The Palette type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Palette Class
Furcadia.Drawing.Graphics Namespace


Palette Fields
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The Palette type exposes the following members.

Fields
 | Name | Description
Public field | Colors | The colors
Top
See Also

Reference

Palette Class
Furcadia.Drawing.Graphics Namespace


Palette.Colors Field

PaletteColors Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The colors

Namespace: Furcadia.Drawing.Graphics
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public readonly Color[] Colors
Public ReadOnly Colors As Color()

Dim instance As Palette
Dim value As Color()

value = instance.Colors

public:
initonly array<Color>^ Colors
val Colors: Color[]

Field Value

Type: Color
See Also

Reference

Palette Class
Furcadia.Drawing.Graphics Namespace


Remapper Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Remap colors
Inheritance Hierarchy
SystemObject
Furcadia.Drawing.GraphicsRemapper

Namespace: Furcadia.Drawing.Graphics
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static class Remapper
Public NotInheritable Class Remapper

You do not need to declare an instance of a static class in order to access its members.
public ref class Remapper abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
type Remapper =  class end

The Remapper type exposes the following members.

Methods
Name | Description
Remap | Remaps the specified source.
Top
Fields
Name | Description
BadgeRemap | The badge remap
BootRemap | The boot remap
BracersRemap | The bracers remap
CapeRemap | The cape remap
EyeRemap | The eye remap
FurRemap | The fur remap
HairRemap | The hair remap
MarkingsRemap | The markings remap
Palette | The palette
PalLoaded | The pal loaded
TrousersRemap | The trousers remap
VestRemap | The vest remap
Top
See Also

Reference

Furcadia.Drawing.Graphics Namespace


Remapper Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The Remapper type exposes the following members.

Methods
Name | Description
Remap | Remaps the specified source.
Top
See Also

Reference

Remapper Class
Furcadia.Drawing.Graphics Namespace


Remapper.Remap Method

RemapperRemap Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Remaps the specified source.

Namespace: Furcadia.Drawing.Graphics
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static Bitmap Remap(
    byte[] source,
    int width,
    int height,
    string colourcode,
    int highlight
)
Public Shared Function Remap (
    source As Byte(),
    width As Integer,
    height As Integer,
    colourcode As String,
    highlight As Integer
) As Bitmap

Dim source As Byte()
Dim width As Integer
Dim height As Integer
Dim colourcode As String
Dim highlight As Integer
Dim returnValue As Bitmap

returnValue = Remapper.Remap(source,
    width, height, colourcode, highlight)
public:
static Bitmap^ Remap(
    array<unsigned char>^ source,
    int width,
    int height,
    String^ colourcode,
    int highlight
)
static member Remap :
        source : byte[] *
        width : int *
        height : int *
        colourcode : string *
        highlight : int -> Bitmap

Parameters

source
Type: SystemByte
The source.
width
Type: SystemInt32
The width.
height
Type: SystemInt32
The height.
colourcode
Type: SystemString
The colourcode.
highlight
Type: SystemInt32
The highlight.

Return Value

Type: Bitmap

[Missing <returns> documentation for "M:Furcadia.Drawing.Graphics.Remapper.Remap(System.Byte[],System.Int32,System.Int32,System.String,System.Int32)"]

See Also

Reference

Remapper Class
Furcadia.Drawing.Graphics Namespace


Remapper Fields
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The Remapper type exposes the following members.

Fields
Name | Description
BadgeRemap | The badge remap
BootRemap | The boot remap
BracersRemap | The bracers remap
CapeRemap | The cape remap
EyeRemap | The eye remap
FurRemap | The fur remap
HairRemap | The hair remap
MarkingsRemap | The markings remap
Palette | The palette
PalLoaded | The pal loaded
TrousersRemap | The trousers remap
VestRemap | The vest remap
Top
See Also

Reference

Remapper Class
Furcadia.Drawing.Graphics Namespace


Remapper.BadgeRemap Field

RemapperBadgeRemap Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The badge remap

Namespace: Furcadia.Drawing.Graphics
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static byte[] BadgeRemap
Public Shared BadgeRemap As Byte()

Dim value As Byte()

value = Remapper.BadgeRemap

Remapper.BadgeRemap = value
public:
static array<unsigned char>^ BadgeRemap
static val mutable BadgeRemap: byte[]

Field Value

Type: Byte
See Also

Reference

Remapper Class
Furcadia.Drawing.Graphics Namespace


Remapper.BootRemap Field

RemapperBootRemap Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The boot remap

Namespace: Furcadia.Drawing.Graphics
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static byte[][] BootRemap
Public Shared BootRemap As Byte()()

Dim value As Byte()()

value = Remapper.BootRemap

Remapper.BootRemap = value
public:
static array<array<unsigned char>^>^ BootRemap
static val mutable BootRemap: byte[][]

Field Value

Type: Byte
See Also

Reference

Remapper Class
Furcadia.Drawing.Graphics Namespace


Remapper.BracersRemap Field

RemapperBracersRemap Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The bracers remap

Namespace: Furcadia.Drawing.Graphics
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static byte[][] BracersRemap
Public Shared BracersRemap As Byte()()

Dim value As Byte()()

value = Remapper.BracersRemap

Remapper.BracersRemap = value
public:
static array<array<unsigned char>^>^ BracersRemap
static val mutable BracersRemap: byte[][]

Field Value

Type: Byte
See Also

Reference

Remapper Class
Furcadia.Drawing.Graphics Namespace


Remapper.CapeRemap Field

RemapperCapeRemap Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The cape remap

Namespace: Furcadia.Drawing.Graphics
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static byte[][] CapeRemap
Public Shared CapeRemap As Byte()()

Dim value As Byte()()

value = Remapper.CapeRemap

Remapper.CapeRemap = value
public:
static array<array<unsigned char>^>^ CapeRemap
static val mutable CapeRemap: byte[][]

Field Value

Type: Byte
See Also

Reference

Remapper Class
Furcadia.Drawing.Graphics Namespace


Remapper.EyeRemap Field

RemapperEyeRemap Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The eye remap

Namespace: Furcadia.Drawing.Graphics
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static byte[] EyeRemap
Public Shared EyeRemap As Byte()

Dim value As Byte()

value = Remapper.EyeRemap

Remapper.EyeRemap = value
public:
static array<unsigned char>^ EyeRemap
static val mutable EyeRemap: byte[]

Field Value

Type: Byte
See Also

Reference

Remapper Class
Furcadia.Drawing.Graphics Namespace


Remapper.FurRemap Field

RemapperFurRemap Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The fur remap

Namespace: Furcadia.Drawing.Graphics
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static byte[][] FurRemap
Public Shared FurRemap As Byte()()

Dim value As Byte()()

value = Remapper.FurRemap

Remapper.FurRemap = value
public:
static array<array<unsigned char>^>^ FurRemap
static val mutable FurRemap: byte[][]

Field Value

Type: Byte
See Also

Reference

Remapper Class
Furcadia.Drawing.Graphics Namespace


Remapper.HairRemap Field

RemapperHairRemap Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The hair remap

Namespace: Furcadia.Drawing.Graphics
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static byte[][] HairRemap
Public Shared HairRemap As Byte()()

Dim value As Byte()()

value = Remapper.HairRemap

Remapper.HairRemap = value
public:
static array<array<unsigned char>^>^ HairRemap
static val mutable HairRemap: byte[][]

Field Value

Type: Byte
See Also

Reference

Remapper Class
Furcadia.Drawing.Graphics Namespace


Remapper.MarkingsRemap Field

RemapperMarkingsRemap Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The markings remap

Namespace: Furcadia.Drawing.Graphics
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static byte[][] MarkingsRemap
Public Shared MarkingsRemap As Byte()()

Dim value As Byte()()

value = Remapper.MarkingsRemap

Remapper.MarkingsRemap = value
public:
static array<array<unsigned char>^>^ MarkingsRemap
static val mutable MarkingsRemap: byte[][]

Field Value

Type: Byte
See Also

Reference

Remapper Class
Furcadia.Drawing.Graphics Namespace


Remapper.Palette Field

RemapperPalette Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The palette

Namespace: Furcadia.Drawing.Graphics
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static Color[] Palette
Public Shared Palette As Color()

Dim value As Color()

value = Remapper.Palette

Remapper.Palette = value
public:
static array<Color>^ Palette
static val mutable Palette: Color[]

Field Value

Type: Color
See Also

Reference

Remapper Class
Furcadia.Drawing.Graphics Namespace


Remapper.PalLoaded Field

RemapperPalLoaded Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The pal loaded

Namespace: Furcadia.Drawing.Graphics
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static bool PalLoaded
Public Shared PalLoaded As Boolean

Dim value As Boolean

value = Remapper.PalLoaded

Remapper.PalLoaded = value
public:
static bool PalLoaded
static val mutable PalLoaded: bool

Field Value

Type: Boolean
See Also

Reference

Remapper Class
Furcadia.Drawing.Graphics Namespace


Remapper.TrousersRemap Field

RemapperTrousersRemap Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The trousers remap

Namespace: Furcadia.Drawing.Graphics
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static byte[][] TrousersRemap
Public Shared TrousersRemap As Byte()()

Dim value As Byte()()

value = Remapper.TrousersRemap

Remapper.TrousersRemap = value
public:
static array<array<unsigned char>^>^ TrousersRemap
static val mutable TrousersRemap: byte[][]

Field Value

Type: Byte
See Also

Reference

Remapper Class
Furcadia.Drawing.Graphics Namespace


Remapper.VestRemap Field

RemapperVestRemap Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The vest remap

Namespace: Furcadia.Drawing.Graphics
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static byte[][] VestRemap
Public Shared VestRemap As Byte()()

Dim value As Byte()()

value = Remapper.VestRemap

Remapper.VestRemap = value
public:
static array<array<unsigned char>^>^ VestRemap
static val mutable VestRemap: byte[][]

Field Value

Type: Byte
See Also

Reference

Remapper Class
Furcadia.Drawing.Graphics Namespace


Shape Structure
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "T:Furcadia.Drawing.Graphics.Shape"]

Namespace: Furcadia.Drawing.Graphics
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public struct Shape
Public Structure Shape

Dim instance As Shape
public value class Shape
[<SealedAttribute>]
type Shape =  struct end

The Shape type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Indicates whether this instance and a specified object are equal. (Inherited from ValueType.)
Public method | GetHashCode | Returns the hash code for this instance. (Inherited from ValueType.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | ToString | Returns the fully qualified type name of this instance. (Inherited from ValueType.)
Top
Fields
 | Name | Description
Public field | Flags | The flags
Public field | Frames | The frames
Public field | KitterSpeak | The kitter speak
Public field | NumFrames | The number frames
Public field | NumSteps | The number steps
Public field | ShapeNum | The shape number
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Furcadia.Drawing.Graphics Namespace


Shape Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The Shape type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Indicates whether this instance and a specified object are equal. (Inherited from ValueType.)
Public method | GetHashCode | Returns the hash code for this instance. (Inherited from ValueType.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | ToString | Returns the fully qualified type name of this instance. (Inherited from ValueType.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Shape Structure
Furcadia.Drawing.Graphics Namespace


Shape Fields
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The Shape type exposes the following members.

Fields
 | Name | Description
Public field | Flags | The flags
Public field | Frames | The frames
Public field | KitterSpeak | The kitter speak
Public field | NumFrames | The number frames
Public field | NumSteps | The number steps
Public field | ShapeNum | The shape number
Top
See Also

Reference

Shape Structure
Furcadia.Drawing.Graphics Namespace


Shape.Flags Field

ShapeFlags Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The flags

Namespace: Furcadia.Drawing.Graphics
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
[CLSCompliantAttribute(false)]
public ShapeShapeFlags Flags
<CLSCompliantAttribute(false)>
Public Flags As ShapeShapeFlags

Dim instance As Shape
Dim value As ShapeShapeFlags

value = instance.Flags

instance.Flags = value
public:
[CLSCompliantAttribute(false)]
ShapeShapeFlags Flags
[<CLSCompliantAttribute(false)>]
val mutable Flags: ShapeShapeFlags

Field Value

Type: ShapeShapeFlags
See Also

Reference

Shape Structure
Furcadia.Drawing.Graphics Namespace


Shape.Frames Field

ShapeFrames Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The frames

Namespace: Furcadia.Drawing.Graphics
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
[CLSCompliantAttribute(false)]
public Frame[] Frames
<CLSCompliantAttribute(false)>
Public Frames As Frame()

Dim instance As Shape
Dim value As Frame()

value = instance.Frames

instance.Frames = value
public:
[CLSCompliantAttribute(false)]
array<Frame>^ Frames
[<CLSCompliantAttribute(false)>]
val mutable Frames: Frame[]

Field Value

Type: Frame
See Also

Reference

Shape Structure
Furcadia.Drawing.Graphics Namespace


Shape.KitterSpeak Field

ShapeKitterSpeak Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The kitter speak

Namespace: Furcadia.Drawing.Graphics
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public StepBlock[] KitterSpeak
Public KitterSpeak As StepBlock()

Dim instance As Shape
Dim value As StepBlock()

value = instance.KitterSpeak

instance.KitterSpeak = value
public:
array<StepBlock>^ KitterSpeak
val mutable KitterSpeak: StepBlock[]

Field Value

Type: StepBlock
See Also

Reference

Shape Structure
Furcadia.Drawing.Graphics Namespace


Shape.NumFrames Field

ShapeNumFrames Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The number frames

Namespace: Furcadia.Drawing.Graphics
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
[CLSCompliantAttribute(false)]
public ushort NumFrames
<CLSCompliantAttribute(false)>
Public NumFrames As UShort

Dim instance As Shape
Dim value As UShort

value = instance.NumFrames

instance.NumFrames = value
public:
[CLSCompliantAttribute(false)]
unsigned short NumFrames
[<CLSCompliantAttribute(false)>]
val mutable NumFrames: uint16

Field Value

Type: UInt16
See Also

Reference

Shape Structure
Furcadia.Drawing.Graphics Namespace


Shape.NumSteps Field

ShapeNumSteps Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The number steps

Namespace: Furcadia.Drawing.Graphics
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
[CLSCompliantAttribute(false)]
public ushort NumSteps
<CLSCompliantAttribute(false)>
Public NumSteps As UShort

Dim instance As Shape
Dim value As UShort

value = instance.NumSteps

instance.NumSteps = value
public:
[CLSCompliantAttribute(false)]
unsigned short NumSteps
[<CLSCompliantAttribute(false)>]
val mutable NumSteps: uint16

Field Value

Type: UInt16
See Also

Reference

Shape Structure
Furcadia.Drawing.Graphics Namespace


Shape.ShapeNum Field

ShapeShapeNum Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The shape number

Namespace: Furcadia.Drawing.Graphics
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public short ShapeNum
Public ShapeNum As Short

Dim instance As Shape
Dim value As Short

value = instance.ShapeNum

instance.ShapeNum = value
public:
short ShapeNum
val mutable ShapeNum: int16

Field Value

Type: Int16
See Also

Reference

Shape Structure
Furcadia.Drawing.Graphics Namespace


Shape.ShapeFlags Enumeration

ShapeShapeFlags Enumeration
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "T:Furcadia.Drawing.Graphics.Shape.ShapeFlags"]

Namespace: Furcadia.Drawing.Graphics
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
[FlagsAttribute]
[CLSCompliantAttribute(false)]
public enum ShapeFlags
<FlagsAttribute>
<CLSCompliantAttribute(false)>
Public Enumeration ShapeFlags

Dim instance As Shape.ShapeFlags
[FlagsAttribute]
[CLSCompliantAttribute(false)]
public enum class ShapeFlags
[<FlagsAttribute>]
[<CLSCompliantAttribute(false)>]
type ShapeFlags
Members
Member name | Value | Description
Walkable | 1 | The walkable
Gettable | 2 | The gettable
Sittable | 3 | The sittable
See Also

Reference

Furcadia.Drawing.Graphics Namespace


StepBlock Structure
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "T:Furcadia.Drawing.Graphics.StepBlock"]

Namespace: Furcadia.Drawing.Graphics
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public struct StepBlock
Public Structure StepBlock

Dim instance As StepBlock
public value class StepBlock
[<SealedAttribute>]
type StepBlock =  struct end

The StepBlock type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Indicates whether this instance and a specified object are equal. (Inherited from ValueType.)
Public method | GetHashCode | Returns the hash code for this instance. (Inherited from ValueType.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | ToString | Returns the fully qualified type name of this instance. (Inherited from ValueType.)
Top
Fields
 | Name | Description
Public field | CounterMax | The counter maximum
Public field | StepType | The step type
Public field | Value | The value
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Furcadia.Drawing.Graphics Namespace


StepBlock Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The StepBlock type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Indicates whether this instance and a specified object are equal. (Inherited from ValueType.)
Public method | GetHashCode | Returns the hash code for this instance. (Inherited from ValueType.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | ToString | Returns the fully qualified type name of this instance. (Inherited from ValueType.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

StepBlock Structure
Furcadia.Drawing.Graphics Namespace


StepBlock Fields
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The StepBlock type exposes the following members.

Fields
 | Name | Description
Public field | CounterMax | The counter maximum
Public field | StepType | The step type
Public field | Value | The value
Top
See Also

Reference

StepBlock Structure
Furcadia.Drawing.Graphics Namespace


StepBlock.CounterMax Field

StepBlockCounterMax Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The counter maximum

Namespace: Furcadia.Drawing.Graphics
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public short CounterMax
Public CounterMax As Short

Dim instance As StepBlock
Dim value As Short

value = instance.CounterMax

instance.CounterMax = value
public:
short CounterMax
val mutable CounterMax: int16

Field Value

Type: Int16
See Also

Reference

StepBlock Structure
Furcadia.Drawing.Graphics Namespace


StepBlock.StepType Field

StepBlockStepType Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The step type

Namespace: Furcadia.Drawing.Graphics
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
[CLSCompliantAttribute(false)]
public StepBlockStepBlockStepTypes StepType
<CLSCompliantAttribute(false)>
Public StepType As StepBlockStepBlockStepTypes

Dim instance As StepBlock
Dim value As StepBlockStepBlockStepTypes

value = instance.StepType

instance.StepType = value
public:
[CLSCompliantAttribute(false)]
StepBlockStepBlockStepTypes StepType
[<CLSCompliantAttribute(false)>]
val mutable StepType: StepBlockStepBlockStepTypes

Field Value

Type: StepBlockStepBlockStepTypes
See Also

Reference

StepBlock Structure
Furcadia.Drawing.Graphics Namespace


StepBlock.Value Field

StepBlockValue Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The value

Namespace: Furcadia.Drawing.Graphics
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public short Value
Public Value As Short

Dim instance As StepBlock
Dim value As Short

value = instance.Value

instance.Value = value
public:
short Value
val mutable Value: int16

Field Value

Type: Int16
See Also

Reference

StepBlock Structure
Furcadia.Drawing.Graphics Namespace


StepBlock.StepBlockStepTypes Enumeration

StepBlockStepBlockStepTypes Enumeration
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "T:Furcadia.Drawing.Graphics.StepBlock.StepBlockStepTypes"]

Namespace: Furcadia.Drawing.Graphics
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
[CLSCompliantAttribute(false)]
public enum StepBlockStepTypes
<CLSCompliantAttribute(false)>
Public Enumeration StepBlockStepTypes

Dim instance As StepBlock.StepBlockStepTypes
[CLSCompliantAttribute(false)]
public enum class StepBlockStepTypes
[<CLSCompliantAttribute(false)>]
type StepBlockStepTypes
Members
Member name | Value | Description
Frame | 1 | The frame
Delay | 2 | The delay
Loop | 3 | The loop
Jump | 4 | The jump
PosX | 5 | The position x
PosY | 6 | The position y
FurreX | 7 | The furre x
FurreY | 8 | The furre y
DrawFront | 9 | The draw front
DrawBehind | 10 | The draw behind
AutoFrameDelay | 11 | The automatic frame delay
Stop | 12 | The stop
CameraState | 13 | The camera state
See Also

Reference

Furcadia.Drawing.Graphics Namespace


Furcadia.Extensions Namespace
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Classes
 | Class | Description
Public class | ObjectExtensions |


ObjectExtensions Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "T:Furcadia.Extensions.ObjectExtensions"]

Inheritance Hierarchy
SystemObject
Furcadia.ExtensionsObjectExtensions

Namespace: Furcadia.Extensions
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static class ObjectExtensions
<ExtensionAttribute>
Public NotInheritable Class ObjectExtensions

You do not need to declare an instance of a static class in order to access its members.
[ExtensionAttribute]
public ref class ObjectExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type ObjectExtensions =  class end

The ObjectExtensions type exposes the following members.

Methods
Name | Description
AsDouble | Ases the double.
AsInt16 | converts an object to 16 bit integer
AsInt32 | Ases the int32.
AsInt64 | Ases the int64.
AsString | Ases the string.
Top
See Also

Reference

Furcadia.Extensions Namespace


ObjectExtensions Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The ObjectExtensions type exposes the following members.

Methods
Name | Description
AsDouble | Ases the double.
AsInt16 | converts an object to 16 bit integer
AsInt32 | Ases the int32.
AsInt64 | Ases the int64.
AsString | Ases the string.
Top
See Also

Reference

ObjectExtensions Class
Furcadia.Extensions Namespace


ObjectExtensions.AsDouble Method

ObjectExtensionsAsDouble Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Ases the double.

Namespace: Furcadia.Extensions
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static double AsDouble(
    this Object obj,
    double default = -1
)
<ExtensionAttribute>
Public Shared Function AsDouble (
    obj As Object,
    Optional default As Double = -1
) As Double

Dim obj As Object
Dim default As Double
Dim returnValue As Double

returnValue = obj.AsDouble(default)
public:
[ExtensionAttribute]
static double AsDouble(
    Object^ obj,
    double default = -1
)
[<ExtensionAttribute>]
static member AsDouble :
        obj : Object *
        ?default : float
(* Defaults:
        let _default = defaultArg default -1
*)
-> float

Parameters

obj
Type: SystemObject
The object.
default (Optional)
Type: SystemDouble
The default.

Return Value

Type: Double

[Missing <returns> documentation for "M:Furcadia.Extensions.ObjectExtensions.AsDouble(System.Object,System.Double)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Object. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

ObjectExtensions Class
Furcadia.Extensions Namespace


ObjectExtensions.AsInt16 Method

ObjectExtensionsAsInt16 Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

converts an object to 16 bit integer

Namespace: Furcadia.Extensions
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static short AsInt16(
    this Object obj,
    short default = -1
)
<ExtensionAttribute>
Public Shared Function AsInt16 (
    obj As Object,
    Optional default As Short = -1
) As Short

Dim obj As Object
Dim default As Short
Dim returnValue As Short

returnValue = obj.AsInt16(default)
public:
[ExtensionAttribute]
static short AsInt16(
    Object^ obj,
    short default = -1
)
[<ExtensionAttribute>]
static member AsInt16 :
        obj : Object *
        ?default : int16
(* Defaults:
        let _default = defaultArg default -1
*)
-> int16

Parameters

obj
Type: SystemObject
The object.
default (Optional)
Type: SystemInt16
The default.

Return Value

Type: Int16

[Missing <returns> documentation for "M:Furcadia.Extensions.ObjectExtensions.AsInt16(System.Object,System.Int16)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Object. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

ObjectExtensions Class
Furcadia.Extensions Namespace


ObjectExtensions.AsInt32 Method

ObjectExtensionsAsInt32 Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Ases the int32.

Namespace: Furcadia.Extensions
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static int AsInt32(
    this Object obj,
    int default = -1
)
<ExtensionAttribute>
Public Shared Function AsInt32 (
    obj As Object,
    Optional default As Integer = -1
) As Integer

Dim obj As Object
Dim default As Integer
Dim returnValue As Integer

returnValue = obj.AsInt32(default)
public:
[ExtensionAttribute]
static int AsInt32(
    Object^ obj,
    int default = -1
)
[<ExtensionAttribute>]
static member AsInt32 :
        obj : Object *
        ?default : int
(* Defaults:
        let _default = defaultArg default -1
*)
-> int

Parameters

obj
Type: SystemObject
The object.
default (Optional)
Type: SystemInt32
The default.

Return Value

Type: Int32

[Missing <returns> documentation for "M:Furcadia.Extensions.ObjectExtensions.AsInt32(System.Object,System.Int32)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Object. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

ObjectExtensions Class
Furcadia.Extensions Namespace


ObjectExtensions.AsInt64 Method

ObjectExtensionsAsInt64 Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Ases the int64.

Namespace: Furcadia.Extensions
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static long AsInt64(
    this Object obj,
    long default = -1
)
<ExtensionAttribute>
Public Shared Function AsInt64 (
    obj As Object,
    Optional default As Long = -1
) As Long

Dim obj As Object
Dim default As Long
Dim returnValue As Long

returnValue = obj.AsInt64(default)
public:
[ExtensionAttribute]
static long long AsInt64(
    Object^ obj,
    long long default = -1
)
[<ExtensionAttribute>]
static member AsInt64 :
        obj : Object *
        ?default : int64
(* Defaults:
        let _default = defaultArg default -1
*)
-> int64

Parameters

obj
Type: SystemObject
The object.
default (Optional)
Type: SystemInt64
The default.

Return Value

Type: Int64

[Missing <returns> documentation for "M:Furcadia.Extensions.ObjectExtensions.AsInt64(System.Object,System.Int64)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Object. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

ObjectExtensions Class
Furcadia.Extensions Namespace


ObjectExtensions.AsString Method

ObjectExtensionsAsString Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Ases the string.

Namespace: Furcadia.Extensions
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static string AsString(
    this Object obj,
    string default = null
)
<ExtensionAttribute>
Public Shared Function AsString (
    obj As Object,
    Optional default As String = Nothing
) As String

Dim obj As Object
Dim default As String
Dim returnValue As String

returnValue = obj.AsString(default)
public:
[ExtensionAttribute]
static String^ AsString(
    Object^ obj,
    String^ default = nullptr
)
[<ExtensionAttribute>]
static member AsString :
        obj : Object *
        ?default : string
(* Defaults:
        let _default = defaultArg default null
*)
-> string

Parameters

obj
Type: SystemObject
The object.
default (Optional)
Type: SystemString
The default.

Return Value

Type: String

[Missing <returns> documentation for "M:Furcadia.Extensions.ObjectExtensions.AsString(System.Object,System.String)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Object. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

ObjectExtensions Class
Furcadia.Extensions Namespace


Furcadia.FurcMap Namespace
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Classes
 | Class | Description
Public class | Map |
Public class | MapPosition | tile data
Public class | MapRating |
Public class | MapTile | Map objects position information


Map Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "T:Furcadia.FurcMap.Map"]

Inheritance Hierarchy
SystemObject
Furcadia.FurcMapMap

Namespace: Furcadia.FurcMap
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public class Map
Public Class Map

Dim instance As Map
public ref class Map
type Map =  class end

The Map type exposes the following members.

Constructors
 | Name | Description
Public method | Map | Creates a new empty map with the specified width and height
Top
Properties
 | Name | Description
Public property | AllowDreamURL | Allow furres to enter via the Dream URL?
Public property | AllowJoinSummon | Allow Furres to Sommon and join each other in this dream?
Public property | AllowLargeDreamSize | Allow Dream Pack sizes?
Public property | AllowLeadFollow | Allow Lead and Follow commands in the dream?
Public property | AllowShouting | Allow Furres to use the shout channel in the dream?
Public property | EncodeDream | Encrypt the dream?
Public property | EnforceParentalControls | enforce parental controls
Public property | ForceSitting | force sitting ?
Public property | Height | The actual height of the map (READ-ONLY)
Public property | Name | Name of the dream. Dream Title?
Public property | PatchArchive | Link to the Patch archive
Public property | PreventPlayerListing | prevent F4 to see the player list?
Public property | PreventSeasonalAvatars | Allow Seasonal Avatars in the dream?
Public property | PreventTabListing | prevent Tab from showing furre names
Public property | Rating | Dream Rating
Public property | Revision | revision?
Public property | UsePatch | type of dream patch to use
Public property | UseSwearFilter | Swear Filter
Public property | Width | The actual width of the map (READ-ONLY)
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetEffectAt | Get the effect number from a tile
Public method | GetFloorAt | Get the floor number from a tile
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetMapPos | Get a MapPosition object from the position specified by x & y
Public method | GetMapTile | Get a MapTile object from the position specified by x & y
Public method | GetObjectAt | Get the object number from a tile
Public method | GetRegionAt | Get the region number from a tile
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | GetWallAt | Get the wall number from a tile
 | LoadFrom | Loads a map from a file
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | Save | Save the map to a file
Public method | SetEffectAt | Set the effect number at a tile specified by x & y
Public method | SetFloorAt | Set the floor number at a tile specified by x and y
Public method | SetObjectAt | Set the object number at a tile specified by x & y
Public method | SetRegionAt | Set the region number at a tile specified by x & y
Public method | SetWallAt | Set the wall number at a tile specified by x & y
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Furcadia.FurcMap Namespace


Map Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Creates a new empty map with the specified width and height

Namespace: Furcadia.FurcMap
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public Map(
    int width,
    int height
)
Public Sub New (
    width As Integer,
    height As Integer
)

Dim width As Integer
Dim height As Integer

Dim instance As New Map(width, height)
public:
Map(
    int width,
    int height
)
new :
        width : int *
        height : int -> Map

Parameters

width
Type: SystemInt32
The width of the map
height
Type: SystemInt32
The height of the map
See Also

Reference

Map Class
Furcadia.FurcMap Namespace


Map Properties
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The Map type exposes the following members.

Properties
 | Name | Description
Public property | AllowDreamURL | Allow furres to enter via the Dream URL?
Public property | AllowJoinSummon | Allow Furres to Sommon and join each other in this dream?
Public property | AllowLargeDreamSize | Allow Dream Pack sizes?
Public property | AllowLeadFollow | Allow Lead and Follow commands in the dream?
Public property | AllowShouting | Allow Furres to use the shout channel in the dream?
Public property | EncodeDream | Encrypt the dream?
Public property | EnforceParentalControls | enforce parental controls
Public property | ForceSitting | force sitting ?
Public property | Height | The actual height of the map (READ-ONLY)
Public property | Name | Name of the dream. Dream Title?
Public property | PatchArchive | Link to the Patch archive
Public property | PreventPlayerListing | prevent F4 to see the player list?
Public property | PreventSeasonalAvatars | Allow Seasonal Avatars in the dream?
Public property | PreventTabListing | prevent Tab from showing furre names
Public property | Rating | Dream Rating
Public property | Revision | revision?
Public property | UsePatch | type of dream patch to use
Public property | UseSwearFilter | Swear Filter
Public property | Width | The actual width of the map (READ-ONLY)
Top
See Also

Reference

Map Class
Furcadia.FurcMap Namespace


Map.AllowDreamURL Property

MapAllowDreamURL Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Allow furres to enter via the Dream URL?

Namespace: Furcadia.FurcMap
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool AllowDreamURL { get; set; }
Public Property AllowDreamURL As Boolean
    Get
    Set

Dim instance As Map
Dim value As Boolean

value = instance.AllowDreamURL

instance.AllowDreamURL = value
public:
property bool AllowDreamURL {
    bool get ();
    void set (bool value);
}
member AllowDreamURL : bool with get, set

Property Value

Type: Boolean
See Also

Reference

Map Class
Furcadia.FurcMap Namespace


Map.AllowJoinSummon Property

MapAllowJoinSummon Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Allow Furres to Sommon and join each other in this dream?

Namespace: Furcadia.FurcMap
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool AllowJoinSummon { get; set; }
Public Property AllowJoinSummon As Boolean
    Get
    Set

Dim instance As Map
Dim value As Boolean

value = instance.AllowJoinSummon

instance.AllowJoinSummon = value
public:
property bool AllowJoinSummon {
    bool get ();
    void set (bool value);
}
member AllowJoinSummon : bool with get, set

Property Value

Type: Boolean
See Also

Reference

Map Class
Furcadia.FurcMap Namespace


Map.AllowLargeDreamSize Property

MapAllowLargeDreamSize Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Allow Dream Pack sizes?

Namespace: Furcadia.FurcMap
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool AllowLargeDreamSize { get; set; }
Public Property AllowLargeDreamSize As Boolean
    Get
    Set

Dim instance As Map
Dim value As Boolean

value = instance.AllowLargeDreamSize

instance.AllowLargeDreamSize = value
public:
property bool AllowLargeDreamSize {
    bool get ();
    void set (bool value);
}
member AllowLargeDreamSize : bool with get, set

Property Value

Type: Boolean
See Also

Reference

Map Class
Furcadia.FurcMap Namespace


Map.AllowLeadFollow Property

MapAllowLeadFollow Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Allow Lead and Follow commands in the dream?

Namespace: Furcadia.FurcMap
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool AllowLeadFollow { get; set; }
Public Property AllowLeadFollow As Boolean
    Get
    Set

Dim instance As Map
Dim value As Boolean

value = instance.AllowLeadFollow

instance.AllowLeadFollow = value
public:
property bool AllowLeadFollow {
    bool get ();
    void set (bool value);
}
member AllowLeadFollow : bool with get, set

Property Value

Type: Boolean
See Also

Reference

Map Class
Furcadia.FurcMap Namespace


Map.AllowShouting Property

MapAllowShouting Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Allow Furres to use the shout channel in the dream?

Namespace: Furcadia.FurcMap
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool AllowShouting { get; set; }
Public Property AllowShouting As Boolean
    Get
    Set

Dim instance As Map
Dim value As Boolean

value = instance.AllowShouting

instance.AllowShouting = value
public:
property bool AllowShouting {
    bool get ();
    void set (bool value);
}
member AllowShouting : bool with get, set

Property Value

Type: Boolean
See Also

Reference

Map Class
Furcadia.FurcMap Namespace


Map.EncodeDream Property

MapEncodeDream Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Encrypt the dream?

Namespace: Furcadia.FurcMap
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool EncodeDream { get; set; }
Public Property EncodeDream As Boolean
    Get
    Set

Dim instance As Map
Dim value As Boolean

value = instance.EncodeDream

instance.EncodeDream = value
public:
property bool EncodeDream {
    bool get ();
    void set (bool value);
}
member EncodeDream : bool with get, set

Property Value

Type: Boolean
See Also

Reference

Map Class
Furcadia.FurcMap Namespace


Map.EnforceParentalControls Property

MapEnforceParentalControls Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

enforce parental controls

Namespace: Furcadia.FurcMap
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool EnforceParentalControls { get; set; }
Public Property EnforceParentalControls As Boolean
    Get
    Set

Dim instance As Map
Dim value As Boolean

value = instance.EnforceParentalControls

instance.EnforceParentalControls = value
public:
property bool EnforceParentalControls {
    bool get ();
    void set (bool value);
}
member EnforceParentalControls : bool with get, set

Property Value

Type: Boolean
See Also

Reference

Map Class
Furcadia.FurcMap Namespace


Map.ForceSitting Property

MapForceSitting Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

force sitting ?

Namespace: Furcadia.FurcMap
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool ForceSitting { get; set; }
Public Property ForceSitting As Boolean
    Get
    Set

Dim instance As Map
Dim value As Boolean

value = instance.ForceSitting

instance.ForceSitting = value
public:
property bool ForceSitting {
    bool get ();
    void set (bool value);
}
member ForceSitting : bool with get, set

Property Value

Type: Boolean
See Also

Reference

Map Class
Furcadia.FurcMap Namespace


Map.Height Property

MapHeight Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The actual height of the map (READ-ONLY)

Namespace: Furcadia.FurcMap
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public int Height { get; }
Public ReadOnly Property Height As Integer
    Get

Dim instance As Map
Dim value As Integer

value = instance.Height

public:
property int Height {
    int get ();
}
member Height : int with get

Property Value

Type: Int32
See Also

Reference

Map Class
Furcadia.FurcMap Namespace


Map.Name Property

MapName Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Name of the dream. Dream Title?

Namespace: Furcadia.FurcMap
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string Name { get; set; }
Public Property Name As String
    Get
    Set

Dim instance As Map
Dim value As String

value = instance.Name

instance.Name = value
public:
property String^ Name {
    String^ get ();
    void set (String^ value);
}
member Name : string with get, set

Property Value

Type: String
See Also

Reference

Map Class
Furcadia.FurcMap Namespace


Map.PatchArchive Property

MapPatchArchive Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Link to the Patch archive

Namespace: Furcadia.FurcMap
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string PatchArchive { get; set; }
Public Property PatchArchive As String
    Get
    Set

Dim instance As Map
Dim value As String

value = instance.PatchArchive

instance.PatchArchive = value
public:
property String^ PatchArchive {
    String^ get ();
    void set (String^ value);
}
member PatchArchive : string with get, set

Property Value

Type: String
See Also

Reference

Map Class
Furcadia.FurcMap Namespace


Map.PreventPlayerListing Property

MapPreventPlayerListing Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

prevent F4 to see the player list?

Namespace: Furcadia.FurcMap
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool PreventPlayerListing { get; set; }
Public Property PreventPlayerListing As Boolean
    Get
    Set

Dim instance As Map
Dim value As Boolean

value = instance.PreventPlayerListing

instance.PreventPlayerListing = value
public:
property bool PreventPlayerListing {
    bool get ();
    void set (bool value);
}
member PreventPlayerListing : bool with get, set

Property Value

Type: Boolean
See Also

Reference

Map Class
Furcadia.FurcMap Namespace


Map.PreventSeasonalAvatars Property

MapPreventSeasonalAvatars Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Allow Seasonal Avatars in the dream?

Namespace: Furcadia.FurcMap
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool PreventSeasonalAvatars { get; set; }
Public Property PreventSeasonalAvatars As Boolean
    Get
    Set

Dim instance As Map
Dim value As Boolean

value = instance.PreventSeasonalAvatars

instance.PreventSeasonalAvatars = value
public:
property bool PreventSeasonalAvatars {
    bool get ();
    void set (bool value);
}
member PreventSeasonalAvatars : bool with get, set

Property Value

Type: Boolean
See Also

Reference

Map Class
Furcadia.FurcMap Namespace


Map.PreventTabListing Property

MapPreventTabListing Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

prevent Tab from showing furre names

Namespace: Furcadia.FurcMap
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool PreventTabListing { get; set; }
Public Property PreventTabListing As Boolean
    Get
    Set

Dim instance As Map
Dim value As Boolean

value = instance.PreventTabListing

instance.PreventTabListing = value
public:
property bool PreventTabListing {
    bool get ();
    void set (bool value);
}
member PreventTabListing : bool with get, set

Property Value

Type: Boolean
See Also

Reference

Map Class
Furcadia.FurcMap Namespace


Map.Rating Property

MapRating Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Dream Rating

Namespace: Furcadia.FurcMap
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string Rating { get; set; }
Public Property Rating As String
    Get
    Set

Dim instance As Map
Dim value As String

value = instance.Rating

instance.Rating = value
public:
property String^ Rating {
    String^ get ();
    void set (String^ value);
}
member Rating : string with get, set

Property Value

Type: String
See Also

Reference

Map Class
Furcadia.FurcMap Namespace


Map.Revision Property

MapRevision Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

revision?

Namespace: Furcadia.FurcMap
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public int Revision { get; set; }
Public Property Revision As Integer
    Get
    Set

Dim instance As Map
Dim value As Integer

value = instance.Revision

instance.Revision = value
public:
property int Revision {
    int get ();
    void set (int value);
}
member Revision : int with get, set

Property Value

Type: Int32
See Also

Reference

Map Class
Furcadia.FurcMap Namespace


Map.UsePatch Property

MapUsePatch Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

type of dream patch to use

Namespace: Furcadia.FurcMap
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public int UsePatch { get; set; }
Public Property UsePatch As Integer
    Get
    Set

Dim instance As Map
Dim value As Integer

value = instance.UsePatch

instance.UsePatch = value
public:
property int UsePatch {
    int get ();
    void set (int value);
}
member UsePatch : int with get, set

Property Value

Type: Int32
See Also

Reference

Map Class
Furcadia.FurcMap Namespace


Map.UseSwearFilter Property

MapUseSwearFilter Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Swear Filter

Namespace: Furcadia.FurcMap
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool UseSwearFilter { get; set; }
Public Property UseSwearFilter As Boolean
    Get
    Set

Dim instance As Map
Dim value As Boolean

value = instance.UseSwearFilter

instance.UseSwearFilter = value
public:
property bool UseSwearFilter {
    bool get ();
    void set (bool value);
}
member UseSwearFilter : bool with get, set

Property Value

Type: Boolean
See Also

Reference

Map Class
Furcadia.FurcMap Namespace


Map.Width Property

MapWidth Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The actual width of the map (READ-ONLY)

Namespace: Furcadia.FurcMap
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public int Width { get; }
Public ReadOnly Property Width As Integer
    Get

Dim instance As Map
Dim value As Integer

value = instance.Width

public:
property int Width {
    int get ();
}
member Width : int with get

Property Value

Type: Int32
See Also

Reference

Map Class
Furcadia.FurcMap Namespace


Map Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The Map type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetEffectAt | Get the effect number from a tile
Public method | GetFloorAt | Get the floor number from a tile
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetMapPos | Get a MapPosition object from the position specified by x & y
Public method | GetMapTile | Get a MapTile object from the position specified by x & y
Public method | GetObjectAt | Get the object number from a tile
Public method | GetRegionAt | Get the region number from a tile
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | GetWallAt | Get the wall number from a tile
 | LoadFrom | Loads a map from a file
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | Save | Save the map to a file
Public method | SetEffectAt | Set the effect number at a tile specified by x & y
Public method | SetFloorAt | Set the floor number at a tile specified by x and y
Public method | SetObjectAt | Set the object number at a tile specified by x & y
Public method | SetRegionAt | Set the region number at a tile specified by x & y
Public method | SetWallAt | Set the wall number at a tile specified by x & y
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Map Class
Furcadia.FurcMap Namespace


Map.GetEffectAt Method

MapGetEffectAt Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Get the effect number from a tile

Namespace: Furcadia.FurcMap
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public int GetEffectAt(
    int x,
    int y
)
Public Function GetEffectAt (
    x As Integer,
    y As Integer
) As Integer

Dim instance As Map
Dim x As Integer
Dim y As Integer
Dim returnValue As Integer

returnValue = instance.GetEffectAt(x,
    y)
public:
int GetEffectAt(
    int x,
    int y
)
member GetEffectAt :
        x : int *
        y : int -> int

Parameters

x
Type: SystemInt32
x coordinate
y
Type: SystemInt32
Y coordinate

Return Value

Type: Int32
The effect number
See Also

Reference

Map Class
Furcadia.FurcMap Namespace


Map.GetFloorAt Method

MapGetFloorAt Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Get the floor number from a tile

Namespace: Furcadia.FurcMap
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public int GetFloorAt(
    int x,
    int y
)
Public Function GetFloorAt (
    x As Integer,
    y As Integer
) As Integer

Dim instance As Map
Dim x As Integer
Dim y As Integer
Dim returnValue As Integer

returnValue = instance.GetFloorAt(x, y)
public:
int GetFloorAt(
    int x,
    int y
)
member GetFloorAt :
        x : int *
        y : int -> int

Parameters

x
Type: SystemInt32
x coordinate
y
Type: SystemInt32
Y coordinate

Return Value

Type: Int32
The floor number
See Also

Reference

Map Class
Furcadia.FurcMap Namespace


Map.GetMapPos Method

MapGetMapPos Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Get a MapPosition object from the position specified by x & y

Namespace: Furcadia.FurcMap
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public MapPosition GetMapPos(
    int x,
    int y
)
Public Function GetMapPos (
    x As Integer,
    y As Integer
) As MapPosition

Dim instance As Map
Dim x As Integer
Dim y As Integer
Dim returnValue As MapPosition

returnValue = instance.GetMapPos(x, y)
public:
MapPosition^ GetMapPos(
    int x,
    int y
)
member GetMapPos :
        x : int *
        y : int -> MapPosition

Parameters

x
Type: SystemInt32
X Coordinate
y
Type: SystemInt32
Y Coordinate

Return Value

Type: MapPosition

[Missing <returns> documentation for "M:Furcadia.FurcMap.Map.GetMapPos(System.Int32,System.Int32)"]

See Also

Reference

Map Class
Furcadia.FurcMap Namespace


Map.GetMapTile Method

MapGetMapTile Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Get a MapTile object from the position specified by x & y

Namespace: Furcadia.FurcMap
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public MapTile GetMapTile(
    int x,
    int y
)
Public Function GetMapTile (
    x As Integer,
    y As Integer
) As MapTile

Dim instance As Map
Dim x As Integer
Dim y As Integer
Dim returnValue As MapTile

returnValue = instance.GetMapTile(x, y)
public:
MapTile^ GetMapTile(
    int x,
    int y
)
member GetMapTile :
        x : int *
        y : int -> MapTile

Parameters

x
Type: SystemInt32
x coordinate
y
Type: SystemInt32
Y coordinate

Return Value

Type: MapTile
the Tile data
See Also

Reference

Map Class
Furcadia.FurcMap Namespace


Map.GetObjectAt Method

MapGetObjectAt Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Get the object number from a tile

Namespace: Furcadia.FurcMap
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public int GetObjectAt(
    int x,
    int y
)
Public Function GetObjectAt (
    x As Integer,
    y As Integer
) As Integer

Dim instance As Map
Dim x As Integer
Dim y As Integer
Dim returnValue As Integer

returnValue = instance.GetObjectAt(x,
    y)
public:
int GetObjectAt(
    int x,
    int y
)
member GetObjectAt :
        x : int *
        y : int -> int

Parameters

x
Type: SystemInt32
x coordinate
y
Type: SystemInt32
Y coordinate

Return Value

Type: Int32
The object number
See Also

Reference

Map Class
Furcadia.FurcMap Namespace


Map.GetRegionAt Method

MapGetRegionAt Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Get the region number from a tile

Namespace: Furcadia.FurcMap
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public int GetRegionAt(
    int x,
    int y
)
Public Function GetRegionAt (
    x As Integer,
    y As Integer
) As Integer

Dim instance As Map
Dim x As Integer
Dim y As Integer
Dim returnValue As Integer

returnValue = instance.GetRegionAt(x,
    y)
public:
int GetRegionAt(
    int x,
    int y
)
member GetRegionAt :
        x : int *
        y : int -> int

Parameters

x
Type: SystemInt32
x coordinate
y
Type: SystemInt32
Y coordinate

Return Value

Type: Int32
The region number
See Also

Reference

Map Class
Furcadia.FurcMap Namespace


Map.GetWallAt Method

MapGetWallAt Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Get the wall number from a tile

Namespace: Furcadia.FurcMap
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public int GetWallAt(
    int x,
    int y
)
Public Function GetWallAt (
    x As Integer,
    y As Integer
) As Integer

Dim instance As Map
Dim x As Integer
Dim y As Integer
Dim returnValue As Integer

returnValue = instance.GetWallAt(x, y)
public:
int GetWallAt(
    int x,
    int y
)
member GetWallAt :
        x : int *
        y : int -> int

Parameters

x
Type: SystemInt32
x coordinate
y
Type: SystemInt32
Y coordinate

Return Value

Type: Int32
The wall number
See Also

Reference

Map Class
Furcadia.FurcMap Namespace


Map.LoadFrom Method

MapLoadFrom Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Loads a map from a file

Namespace: Furcadia.FurcMap
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static Map LoadFrom(
    string filename
)
Public Shared Function LoadFrom (
    filename As String
) As Map

Dim filename As String
Dim returnValue As Map

returnValue = Map.LoadFrom(filename)
public:
static Map^ LoadFrom(
    String^ filename
)
static member LoadFrom :
        filename : string -> Map

Parameters

filename
Type: SystemString
The file to load the map from

Return Value

Type: Map
The map
Exceptions
Exception | Condition
InvalidDataException | Thrown if the width and height of the map is not known (corrupt file)
See Also

Reference

Map Class
Furcadia.FurcMap Namespace


Map.Save Method

MapSave Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Save the map to a file

Namespace: Furcadia.FurcMap
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool Save(
    string filename,
    bool overwrite = true
)
Public Function Save (
    filename As String,
    Optional overwrite As Boolean = true
) As Boolean

Dim instance As Map
Dim filename As String
Dim overwrite As Boolean
Dim returnValue As Boolean

returnValue = instance.Save(filename,
    overwrite)
public:
bool Save(
    String^ filename,
    bool overwrite = true
)
member Save :
        filename : string *
        ?overwrite : bool
(* Defaults:
        let _overwrite = defaultArg overwrite true
*)
-> bool

Parameters

filename
Type: SystemString
The filename to save to
overwrite (Optional)
Type: SystemBoolean
If a file with that name already exist, should we overwrite it?

Return Value

Type: Boolean
True if the save was a success, False if not
See Also

Reference

Map Class
Furcadia.FurcMap Namespace


Map.SetEffectAt Method

MapSetEffectAt Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Set the effect number at a tile specified by x & y

Namespace: Furcadia.FurcMap
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public void SetEffectAt(
    int x,
    int y,
    int effectNumber
)
Public Sub SetEffectAt (
    x As Integer,
    y As Integer,
    effectNumber As Integer
)

Dim instance As Map
Dim x As Integer
Dim y As Integer
Dim effectNumber As Integer

instance.SetEffectAt(x, y, effectNumber)
public:
void SetEffectAt(
    int x,
    int y,
    int effectNumber
)
member SetEffectAt :
        x : int *
        y : int *
        effectNumber : int -> unit

Parameters

x
Type: SystemInt32
x coordinate
y
Type: SystemInt32
Y coordinate
effectNumber
Type: SystemInt32

[Missing <param name="effectNumber"/> documentation for "M:Furcadia.FurcMap.Map.SetEffectAt(System.Int32,System.Int32,System.Int32)"]

See Also

Reference

Map Class
Furcadia.FurcMap Namespace


Map.SetFloorAt Method

MapSetFloorAt Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Set the floor number at a tile specified by x and y

Namespace: Furcadia.FurcMap
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public void SetFloorAt(
    int x,
    int y,
    int floorNumber
)
Public Sub SetFloorAt (
    x As Integer,
    y As Integer,
    floorNumber As Integer
)

Dim instance As Map
Dim x As Integer
Dim y As Integer
Dim floorNumber As Integer

instance.SetFloorAt(x, y, floorNumber)
public:
void SetFloorAt(
    int x,
    int y,
    int floorNumber
)
member SetFloorAt :
        x : int *
        y : int *
        floorNumber : int -> unit

Parameters

x
Type: SystemInt32
x coordinate
y
Type: SystemInt32
Y coordinate
floorNumber
Type: SystemInt32

[Missing <param name="floorNumber"/> documentation for "M:Furcadia.FurcMap.Map.SetFloorAt(System.Int32,System.Int32,System.Int32)"]

See Also

Reference

Map Class
Furcadia.FurcMap Namespace


Map.SetObjectAt Method

MapSetObjectAt Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Set the object number at a tile specified by x & y

Namespace: Furcadia.FurcMap
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public void SetObjectAt(
    int x,
    int y,
    int objectNumber
)
Public Sub SetObjectAt (
    x As Integer,
    y As Integer,
    objectNumber As Integer
)

Dim instance As Map
Dim x As Integer
Dim y As Integer
Dim objectNumber As Integer

instance.SetObjectAt(x, y, objectNumber)
public:
void SetObjectAt(
    int x,
    int y,
    int objectNumber
)
member SetObjectAt :
        x : int *
        y : int *
        objectNumber : int -> unit

Parameters

x
Type: SystemInt32
x coordinate
y
Type: SystemInt32
Y coordinate
objectNumber
Type: SystemInt32

[Missing <param name="objectNumber"/> documentation for "M:Furcadia.FurcMap.Map.SetObjectAt(System.Int32,System.Int32,System.Int32)"]

See Also

Reference

Map Class
Furcadia.FurcMap Namespace


Map.SetRegionAt Method

MapSetRegionAt Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Set the region number at a tile specified by x & y

Namespace: Furcadia.FurcMap
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public void SetRegionAt(
    int x,
    int y,
    int regionNumber
)
Public Sub SetRegionAt (
    x As Integer,
    y As Integer,
    regionNumber As Integer
)

Dim instance As Map
Dim x As Integer
Dim y As Integer
Dim regionNumber As Integer

instance.SetRegionAt(x, y, regionNumber)
public:
void SetRegionAt(
    int x,
    int y,
    int regionNumber
)
member SetRegionAt :
        x : int *
        y : int *
        regionNumber : int -> unit

Parameters

x
Type: SystemInt32
x coordinate
y
Type: SystemInt32
Y coordinate
regionNumber
Type: SystemInt32

[Missing <param name="regionNumber"/> documentation for "M:Furcadia.FurcMap.Map.SetRegionAt(System.Int32,System.Int32,System.Int32)"]

See Also

Reference

Map Class
Furcadia.FurcMap Namespace


Map.SetWallAt Method

MapSetWallAt Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Set the wall number at a tile specified by x & y

Namespace: Furcadia.FurcMap
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public void SetWallAt(
    int x,
    int y,
    int wallNumber
)
Public Sub SetWallAt (
    x As Integer,
    y As Integer,
    wallNumber As Integer
)

Dim instance As Map
Dim x As Integer
Dim y As Integer
Dim wallNumber As Integer

instance.SetWallAt(x, y, wallNumber)
public:
void SetWallAt(
    int x,
    int y,
    int wallNumber
)
member SetWallAt :
        x : int *
        y : int *
        wallNumber : int -> unit

Parameters

x
Type: SystemInt32
x coordinate
y
Type: SystemInt32

[Missing <param name="y"/> documentation for "M:Furcadia.FurcMap.Map.SetWallAt(System.Int32,System.Int32,System.Int32)"]

wallNumber
Type: SystemInt32

[Missing <param name="wallNumber"/> documentation for "M:Furcadia.FurcMap.Map.SetWallAt(System.Int32,System.Int32,System.Int32)"]

See Also

Reference

Map Class
Furcadia.FurcMap Namespace


MapPosition Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

tile data
Inheritance Hierarchy
SystemObject
Furcadia.FurcMapMapPosition

Namespace: Furcadia.FurcMap
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
[CLSCompliantAttribute(true)]
public class MapPosition
<CLSCompliantAttribute(true)>
Public Class MapPosition

Dim instance As MapPosition
[CLSCompliantAttribute(true)]
public ref class MapPosition
[<CLSCompliantAttribute(true)>]
type MapPosition =  class end

The MapPosition type exposes the following members.

Constructors
 | Name | Description
Public method | MapPosition(Int32, Int32) | Initializes a new instance of the MapPosition class
Public method | MapPosition(Int32, Int32, Map) | Initializes a new instance of the MapPosition class
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Fields
 | Name | Description
Public field | effectNumber | objects
Public field | floorNumber | objects
Public field | objectNumber | objects
Public field | regionNumber | objects
Public field | wallNumber | objects
Public field | x | Coordinates
Public field | y | Coordinates
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Furcadia.FurcMap Namespace


MapPosition Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
 | Name | Description
Public method | MapPosition(Int32, Int32) | Initializes a new instance of the MapPosition class
Public method | MapPosition(Int32, Int32, Map) | Initializes a new instance of the MapPosition class
Top
See Also

Reference

MapPosition Class
Furcadia.FurcMap Namespace


MapPosition Constructor (Int32, Int32)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the MapPosition class

Namespace: Furcadia.FurcMap
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public MapPosition(
    int x,
    int y
)
Public Sub New (
    x As Integer,
    y As Integer
)

Dim x As Integer
Dim y As Integer

Dim instance As New MapPosition(x, y)
public:
MapPosition(
    int x,
    int y
)
new :
        x : int *
        y : int -> MapPosition

Parameters

x
Type: SystemInt32

[Missing <param name="x"/> documentation for "M:Furcadia.FurcMap.MapPosition.#ctor(System.Int32,System.Int32)"]

y
Type: SystemInt32

[Missing <param name="y"/> documentation for "M:Furcadia.FurcMap.MapPosition.#ctor(System.Int32,System.Int32)"]

See Also

Reference

MapPosition Class
MapPosition Overload
Furcadia.FurcMap Namespace


MapPosition Constructor (Int32, Int32, Map)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the MapPosition class

Namespace: Furcadia.FurcMap
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public MapPosition(
    int x,
    int y,
    Map map
)
Public Sub New (
    x As Integer,
    y As Integer,
    map As Map
)

Dim x As Integer
Dim y As Integer
Dim map As Map

Dim instance As New MapPosition(x, y, map)
public:
MapPosition(
    int x,
    int y,
    Map^ map
)
new :
        x : int *
        y : int *
        map : Map -> MapPosition

Parameters

x
Type: SystemInt32

[Missing <param name="x"/> documentation for "M:Furcadia.FurcMap.MapPosition.#ctor(System.Int32,System.Int32,Furcadia.FurcMap.Map)"]

y
Type: SystemInt32

[Missing <param name="y"/> documentation for "M:Furcadia.FurcMap.MapPosition.#ctor(System.Int32,System.Int32,Furcadia.FurcMap.Map)"]

map
Type: Furcadia.FurcMapMap

[Missing <param name="map"/> documentation for "M:Furcadia.FurcMap.MapPosition.#ctor(System.Int32,System.Int32,Furcadia.FurcMap.Map)"]

See Also

Reference

MapPosition Class
MapPosition Overload
Furcadia.FurcMap Namespace


MapPosition Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The MapPosition type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

MapPosition Class
Furcadia.FurcMap Namespace


MapPosition Fields
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The MapPosition type exposes the following members.

Fields
 | Name | Description
Public field | effectNumber | objects
Public field | floorNumber | objects
Public field | objectNumber | objects
Public field | regionNumber | objects
Public field | wallNumber | objects
Public field | x | Coordinates
Public field | y | Coordinates
Top
See Also

Reference

MapPosition Class
Furcadia.FurcMap Namespace


MapPosition.effectNumber Field

MapPositioneffectNumber Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

objects

Namespace: Furcadia.FurcMap
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public int effectNumber
Public effectNumber As Integer

Dim instance As MapPosition
Dim value As Integer

value = instance.effectNumber

instance.effectNumber = value
public:
int effectNumber
val mutable effectNumber: int

Field Value

Type: Int32
See Also

Reference

MapPosition Class
Furcadia.FurcMap Namespace


MapPosition.floorNumber Field

MapPositionfloorNumber Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

objects

Namespace: Furcadia.FurcMap
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public int floorNumber
Public floorNumber As Integer

Dim instance As MapPosition
Dim value As Integer

value = instance.floorNumber

instance.floorNumber = value
public:
int floorNumber
val mutable floorNumber: int

Field Value

Type: Int32
See Also

Reference

MapPosition Class
Furcadia.FurcMap Namespace


MapPosition.objectNumber Field

MapPositionobjectNumber Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

objects

Namespace: Furcadia.FurcMap
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public int objectNumber
Public objectNumber As Integer

Dim instance As MapPosition
Dim value As Integer

value = instance.objectNumber

instance.objectNumber = value
public:
int objectNumber
val mutable objectNumber: int

Field Value

Type: Int32
See Also

Reference

MapPosition Class
Furcadia.FurcMap Namespace


MapPosition.regionNumber Field

MapPositionregionNumber Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

objects

Namespace: Furcadia.FurcMap
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public int regionNumber
Public regionNumber As Integer

Dim instance As MapPosition
Dim value As Integer

value = instance.regionNumber

instance.regionNumber = value
public:
int regionNumber
val mutable regionNumber: int

Field Value

Type: Int32
See Also

Reference

MapPosition Class
Furcadia.FurcMap Namespace


MapPosition.wallNumber Field

MapPositionwallNumber Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

objects

Namespace: Furcadia.FurcMap
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public int wallNumber
Public wallNumber As Integer

Dim instance As MapPosition
Dim value As Integer

value = instance.wallNumber

instance.wallNumber = value
public:
int wallNumber
val mutable wallNumber: int

Field Value

Type: Int32
See Also

Reference

MapPosition Class
Furcadia.FurcMap Namespace


MapPosition.x Field

MapPositionx Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Coordinates

Namespace: Furcadia.FurcMap
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public int x
Public x As Integer

Dim instance As MapPosition
Dim value As Integer

value = instance.x

instance.x = value
public:
int x
val mutable x: int

Field Value

Type: Int32
See Also

Reference

MapPosition Class
Furcadia.FurcMap Namespace


MapPosition.y Field

MapPositiony Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Coordinates

Namespace: Furcadia.FurcMap
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public int y
Public y As Integer

Dim instance As MapPosition
Dim value As Integer

value = instance.y

instance.y = value
public:
int y
val mutable y: int

Field Value

Type: Int32
See Also

Reference

MapPosition Class
Furcadia.FurcMap Namespace


MapRating Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "T:Furcadia.FurcMap.MapRating"]

Inheritance Hierarchy
SystemObject
Furcadia.FurcMapMapRating

Namespace: Furcadia.FurcMap
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static class MapRating
Public NotInheritable Class MapRating

You do not need to declare an instance of a static class in order to access its members.
public ref class MapRating abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
type MapRating =  class end

The MapRating type exposes the following members.

Fields
Name | Description
Adult |
Top
See Also

Reference

Furcadia.FurcMap Namespace


MapRating Fields
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The MapRating type exposes the following members.

Fields
Name | Description
Adult |
Top
See Also

Reference

MapRating Class
Furcadia.FurcMap Namespace


MapRating.Adult Field

MapRatingAdult Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "F:Furcadia.FurcMap.MapRating.Adult"]

Namespace: Furcadia.FurcMap
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public const string Adult = "Adult 18+"
Public Const Adult As String = "Adult 18+"

Dim value As String

value = MapRating.Adult

public:
literal String^ Adult = "Adult 18+"
static val mutable Adult: string

Field Value

Type: String
See Also

Reference

MapRating Class
Furcadia.FurcMap Namespace


MapTile Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Map objects position information
Inheritance Hierarchy
SystemObject
Furcadia.FurcMapMapTile

Namespace: Furcadia.FurcMap
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public class MapTile
Public Class MapTile

Dim instance As MapTile
public ref class MapTile
type MapTile =  class end

The MapTile type exposes the following members.

Constructors
 | Name | Description
Public method | MapTile(Int32, Int32) | Initializes a new instance of the MapTile class.
Public method | MapTile(Int32, Int32, Map) | Initializes a new instance of the MapTile class.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Fields
 | Name | Description
Public field | effectNumber |
Public field | floorNumber |
Public field | objectNumber |
Public field | regionNumber |
Public field | wallNENumber |
Public field | wallNWNumber |
Public field | x |
Public field | y |
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Furcadia.FurcMap Namespace


MapTile Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
 | Name | Description
Public method | MapTile(Int32, Int32) | Initializes a new instance of the MapTile class.
Public method | MapTile(Int32, Int32, Map) | Initializes a new instance of the MapTile class.
Top
See Also

Reference

MapTile Class
Furcadia.FurcMap Namespace


MapTile Constructor (Int32, Int32)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the MapTile class.

Namespace: Furcadia.FurcMap
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public MapTile(
    int x,
    int y
)
Public Sub New (
    x As Integer,
    y As Integer
)

Dim x As Integer
Dim y As Integer

Dim instance As New MapTile(x, y)
public:
MapTile(
    int x,
    int y
)
new :
        x : int *
        y : int -> MapTile

Parameters

x
Type: SystemInt32
The x.
y
Type: SystemInt32
The y.
See Also

Reference

MapTile Class
MapTile Overload
Furcadia.FurcMap Namespace


MapTile Constructor (Int32, Int32, Map)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the MapTile class.

Namespace: Furcadia.FurcMap
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public MapTile(
    int x,
    int y,
    Map map
)
Public Sub New (
    x As Integer,
    y As Integer,
    map As Map
)

Dim x As Integer
Dim y As Integer
Dim map As Map

Dim instance As New MapTile(x, y, map)
public:
MapTile(
    int x,
    int y,
    Map^ map
)
new :
        x : int *
        y : int *
        map : Map -> MapTile

Parameters

x
Type: SystemInt32
The x.
y
Type: SystemInt32
The y.
map
Type: Furcadia.FurcMapMap
The map.
See Also

Reference

MapTile Class
MapTile Overload
Furcadia.FurcMap Namespace


MapTile Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The MapTile type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

MapTile Class
Furcadia.FurcMap Namespace


MapTile Fields
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The MapTile type exposes the following members.

Fields
 | Name | Description
Public field | effectNumber |
Public field | floorNumber |
Public field | objectNumber |
Public field | regionNumber |
Public field | wallNENumber |
Public field | wallNWNumber |
Public field | x |
Public field | y |
Top
See Also

Reference

MapTile Class
Furcadia.FurcMap Namespace


MapTile.effectNumber Field

MapTileeffectNumber Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "F:Furcadia.FurcMap.MapTile.effectNumber"]

Namespace: Furcadia.FurcMap
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public int effectNumber
Public effectNumber As Integer

Dim instance As MapTile
Dim value As Integer

value = instance.effectNumber

instance.effectNumber = value
public:
int effectNumber
val mutable effectNumber: int

Field Value

Type: Int32
See Also

Reference

MapTile Class
Furcadia.FurcMap Namespace


MapTile.floorNumber Field

MapTilefloorNumber Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "F:Furcadia.FurcMap.MapTile.floorNumber"]

Namespace: Furcadia.FurcMap
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public int floorNumber
Public floorNumber As Integer

Dim instance As MapTile
Dim value As Integer

value = instance.floorNumber

instance.floorNumber = value
public:
int floorNumber
val mutable floorNumber: int

Field Value

Type: Int32
See Also

Reference

MapTile Class
Furcadia.FurcMap Namespace


MapTile.objectNumber Field

MapTileobjectNumber Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "F:Furcadia.FurcMap.MapTile.objectNumber"]

Namespace: Furcadia.FurcMap
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public int objectNumber
Public objectNumber As Integer

Dim instance As MapTile
Dim value As Integer

value = instance.objectNumber

instance.objectNumber = value
public:
int objectNumber
val mutable objectNumber: int

Field Value

Type: Int32
See Also

Reference

MapTile Class
Furcadia.FurcMap Namespace


MapTile.regionNumber Field

MapTileregionNumber Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "F:Furcadia.FurcMap.MapTile.regionNumber"]

Namespace: Furcadia.FurcMap
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public int regionNumber
Public regionNumber As Integer

Dim instance As MapTile
Dim value As Integer

value = instance.regionNumber

instance.regionNumber = value
public:
int regionNumber
val mutable regionNumber: int

Field Value

Type: Int32
See Also

Reference

MapTile Class
Furcadia.FurcMap Namespace


MapTile.wallNENumber Field

MapTilewallNENumber Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "F:Furcadia.FurcMap.MapTile.wallNENumber"]

Namespace: Furcadia.FurcMap
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public int wallNENumber
Public wallNENumber As Integer

Dim instance As MapTile
Dim value As Integer

value = instance.wallNENumber

instance.wallNENumber = value
public:
int wallNENumber
val mutable wallNENumber: int

Field Value

Type: Int32
See Also

Reference

MapTile Class
Furcadia.FurcMap Namespace


MapTile.wallNWNumber Field

MapTilewallNWNumber Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "F:Furcadia.FurcMap.MapTile.wallNWNumber"]

Namespace: Furcadia.FurcMap
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public int wallNWNumber
Public wallNWNumber As Integer

Dim instance As MapTile
Dim value As Integer

value = instance.wallNWNumber

instance.wallNWNumber = value
public:
int wallNWNumber
val mutable wallNWNumber: int

Field Value

Type: Int32
See Also

Reference

MapTile Class
Furcadia.FurcMap Namespace


MapTile.x Field

MapTilex Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "F:Furcadia.FurcMap.MapTile.x"]

Namespace: Furcadia.FurcMap
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public int x
Public x As Integer

Dim instance As MapTile
Dim value As Integer

value = instance.x

instance.x = value
public:
int x
val mutable x: int

Field Value

Type: Int32
See Also

Reference

MapTile Class
Furcadia.FurcMap Namespace


MapTile.y Field

MapTiley Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "F:Furcadia.FurcMap.MapTile.y"]

Namespace: Furcadia.FurcMap
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public int y
Public y As Integer

Dim instance As MapTile
Dim value As Integer

value = instance.y

instance.y = value
public:
int y
val mutable y: int

Field Value

Type: Int32
See Also

Reference

MapTile Class
Furcadia.FurcMap Namespace


Furcadia.IO Namespace
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Classes
 | Class | Description
Public class | IniFile | IniFile class used to read and write ini files by loading the file into memory
Public class | IniFileIniSection | IniSection class
Public class | IniFileIniSectionIniKey | IniKey class
Public class | Paths | This class contains all the paths related to the users furcadia installation. ***NOTICE: DO NOT REMOVE*** Credits go to Artex for helping me fix Path issues and contributing his code. ***NOTICE: DO NOT REMOVE.*** Log Header Format: (date,Version) AuthorName, Changes. (Mar 12,2014,0.2.12) Gerolkae, Adapted Paths to work with a Supplied path (June 1, 2016) Gerolkae, Added possible missing Registry Paths for x86/x64 Windows and Mono Support. Wine Support also contains these corrections.


IniFile Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

IniFile class used to read and write ini files by loading the file into memory
Inheritance Hierarchy
SystemObject
Furcadia.IOIniFile

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
[CLSCompliantAttribute(true)]
public class IniFile
<CLSCompliantAttribute(true)>
Public Class IniFile

Dim instance As IniFile
[CLSCompliantAttribute(true)]
public ref class IniFile
[<CLSCompliantAttribute(true)>]
type IniFile =  class end

The IniFile type exposes the following members.

Constructors
 | Name | Description
Public method | IniFile | Initializes a new instance of the IniFile class.
Top
Properties
 | Name | Description
Public property | Code | If a Code section is detected, It's the last section in the ini file and all lines are read into here. this is for DSC systyle wizard scripts
Public property | Sections | Gets the sections.
Top
Methods
 | Name | Description
Public method | AddSection | Adds a section to the IniFile object, returns a IniSection object to the new or existing object
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetKeyValue | Gets the key value.
Public method | GetSection | Gets the section.
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | Load | Loads the Reads the data in the ini file into the IniFile object
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | RemoveAllSections | Removes all existing sections, returns trus on success
Public method | RemoveKey | Remove a key by section name and key name
Public method | RemoveSection(String) | Removes a section by its name sSection, returns trus on success
Public method | RemoveSection(IniFileIniSection) | Removes section by object, returns trus on success
Public method | RenameKey | Renames an existing key returns true on success, false if the key didn't exist or there was another section with the same sNewKey
Public method | RenameSection | Renames an existing section returns true on success, false if the section didn't exist or there was another section with the same sNewSection
Public method | Save | Used to save the data back to the file or your choice
Public method | SetKeyValue | Sets a KeyValuePair in a certain section
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Furcadia.IO Namespace


IniFile Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the IniFile class.

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public IniFile()
Public Sub New

Dim instance As New IniFile()
public:
IniFile()
new : unit -> IniFile
See Also

Reference

IniFile Class
Furcadia.IO Namespace


IniFile Properties
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The IniFile type exposes the following members.

Properties
 | Name | Description
Public property | Code | If a Code section is detected, It's the last section in the ini file and all lines are read into here. this is for DSC systyle wizard scripts
Public property | Sections | Gets the sections.
Top
See Also

Reference

IniFile Class
Furcadia.IO Namespace


IniFile.Code Property

IniFileCode Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

If a Code section is detected, It's the last section in the ini file and all lines are read into here.

this is for DSC systyle wizard scripts

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string Code { get; }
Public ReadOnly Property Code As String
    Get

Dim instance As IniFile
Dim value As String

value = instance.Code

public:
property String^ Code {
    String^ get ();
}
member Code : string with get

Property Value

Type: String
The code.
See Also

Reference

IniFile Class
Furcadia.IO Namespace


IniFile.Sections Property

IniFileSections Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets the sections.

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public ICollection Sections { get; }
Public ReadOnly Property Sections As ICollection
    Get

Dim instance As IniFile
Dim value As ICollection

value = instance.Sections

public:
property ICollection^ Sections {
    ICollection^ get ();
}
member Sections : ICollection with get

Property Value

Type: ICollection
The sections.
See Also

Reference

IniFile Class
Furcadia.IO Namespace


IniFile Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The IniFile type exposes the following members.

Methods
 | Name | Description
Public method | AddSection | Adds a section to the IniFile object, returns a IniSection object to the new or existing object
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetKeyValue | Gets the key value.
Public method | GetSection | Gets the section.
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | Load | Loads the Reads the data in the ini file into the IniFile object
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | RemoveAllSections | Removes all existing sections, returns trus on success
Public method | RemoveKey | Remove a key by section name and key name
Public method | RemoveSection(String) | Removes a section by its name sSection, returns trus on success
Public method | RemoveSection(IniFileIniSection) | Removes section by object, returns trus on success
Public method | RenameKey | Renames an existing key returns true on success, false if the key didn't exist or there was another section with the same sNewKey
Public method | RenameSection | Renames an existing section returns true on success, false if the section didn't exist or there was another section with the same sNewSection
Public method | Save | Used to save the data back to the file or your choice
Public method | SetKeyValue | Sets a KeyValuePair in a certain section
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

IniFile Class
Furcadia.IO Namespace


IniFile.AddSection Method

IniFileAddSection Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Adds a section to the IniFile object, returns a IniSection object to the new or existing object

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public IniFileIniSection AddSection(
    string sSection
)
Public Function AddSection (
    sSection As String
) As IniFileIniSection

Dim instance As IniFile
Dim sSection As String
Dim returnValue As IniFileIniSection

returnValue = instance.AddSection(sSection)
public:
IniFileIniSection^ AddSection(
    String^ sSection
)
member AddSection :
        sSection : string -> IniFileIniSection

Parameters

sSection
Type: SystemString
The s section.

Return Value

Type: IniFileIniSection

[Missing <returns> documentation for "M:Furcadia.IO.IniFile.AddSection(System.String)"]

See Also

Reference

IniFile Class
Furcadia.IO Namespace


IniFile.GetKeyValue Method

IniFileGetKeyValue Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets the key value.

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string GetKeyValue(
    string sSection,
    string sKey
)
Public Function GetKeyValue (
    sSection As String,
    sKey As String
) As String

Dim instance As IniFile
Dim sSection As String
Dim sKey As String
Dim returnValue As String

returnValue = instance.GetKeyValue(sSection,
    sKey)
public:
String^ GetKeyValue(
    String^ sSection,
    String^ sKey
)
member GetKeyValue :
        sSection : string *
        sKey : string -> string

Parameters

sSection
Type: SystemString
The s section.
sKey
Type: SystemString
The s key.

Return Value

Type: String

[Missing <returns> documentation for "M:Furcadia.IO.IniFile.GetKeyValue(System.String,System.String)"]

See Also

Reference

IniFile Class
Furcadia.IO Namespace


IniFile.GetSection Method

IniFileGetSection Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets the section.

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public IniFileIniSection GetSection(
    string sSection
)
Public Function GetSection (
    sSection As String
) As IniFileIniSection

Dim instance As IniFile
Dim sSection As String
Dim returnValue As IniFileIniSection

returnValue = instance.GetSection(sSection)
public:
IniFileIniSection^ GetSection(
    String^ sSection
)
member GetSection :
        sSection : string -> IniFileIniSection

Parameters

sSection
Type: SystemString
The s section.

Return Value

Type: IniFileIniSection

[Missing <returns> documentation for "M:Furcadia.IO.IniFile.GetSection(System.String)"]

See Also

Reference

IniFile Class
Furcadia.IO Namespace


IniFile.Load Method

IniFileLoad Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Loads the Reads the data in the ini file into the IniFile object

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public void Load(
    string sFileName,
    bool bMerge = false
)
Public Sub Load (
    sFileName As String,
    Optional bMerge As Boolean = false
)

Dim instance As IniFile
Dim sFileName As String
Dim bMerge As Boolean

instance.Load(sFileName, bMerge)
public:
void Load(
    String^ sFileName,
    bool bMerge = false
)
member Load :
        sFileName : string *
        ?bMerge : bool
(* Defaults:
        let _bMerge = defaultArg bMerge false
*)
-> unit

Parameters

sFileName
Type: SystemString
Name of the s file.
bMerge (Optional)
Type: SystemBoolean
if set to fase, remove all sections.
See Also

Reference

IniFile Class
Furcadia.IO Namespace


IniFile.RemoveAllSections Method

IniFileRemoveAllSections Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Removes all existing sections, returns trus on success

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool RemoveAllSections()
Public Function RemoveAllSections As Boolean

Dim instance As IniFile
Dim returnValue As Boolean

returnValue = instance.RemoveAllSections()
public:
bool RemoveAllSections()
member RemoveAllSections : unit -> bool

Return Value

Type: Boolean

[Missing <returns> documentation for "M:Furcadia.IO.IniFile.RemoveAllSections"]

See Also

Reference

IniFile Class
Furcadia.IO Namespace


IniFile.RemoveKey Method

IniFileRemoveKey Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Remove a key by section name and key name

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool RemoveKey(
    string sSection,
    string sKey
)
Public Function RemoveKey (
    sSection As String,
    sKey As String
) As Boolean

Dim instance As IniFile
Dim sSection As String
Dim sKey As String
Dim returnValue As Boolean

returnValue = instance.RemoveKey(sSection,
    sKey)
public:
bool RemoveKey(
    String^ sSection,
    String^ sKey
)
member RemoveKey :
        sSection : string *
        sKey : string -> bool

Parameters

sSection
Type: SystemString
The s section.
sKey
Type: SystemString
The s key.

Return Value

Type: Boolean

[Missing <returns> documentation for "M:Furcadia.IO.IniFile.RemoveKey(System.String,System.String)"]

See Also

Reference

IniFile Class
Furcadia.IO Namespace


IniFile.RemoveSection Method

IniFileRemoveSection Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
 | Name | Description
Public method | RemoveSection(String) | Removes a section by its name sSection, returns trus on success
Public method | RemoveSection(IniFileIniSection) | Removes section by object, returns trus on success
Top
See Also

Reference

IniFile Class
Furcadia.IO Namespace


IniFile.RemoveSection Method (String)

IniFileRemoveSection Method (String)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Removes a section by its name sSection, returns trus on success

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool RemoveSection(
    string sSection
)
Public Function RemoveSection (
    sSection As String
) As Boolean

Dim instance As IniFile
Dim sSection As String
Dim returnValue As Boolean

returnValue = instance.RemoveSection(sSection)
public:
bool RemoveSection(
    String^ sSection
)
member RemoveSection :
        sSection : string -> bool

Parameters

sSection
Type: SystemString
The s section.

Return Value

Type: Boolean

[Missing <returns> documentation for "M:Furcadia.IO.IniFile.RemoveSection(System.String)"]

See Also

Reference

IniFile Class
RemoveSection Overload
Furcadia.IO Namespace


IniFile.RemoveSection Method (IniFile.IniSection)

IniFileRemoveSection Method (IniFileIniSection)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Removes section by object, returns trus on success

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool RemoveSection(
    IniFileIniSection Section
)
Public Function RemoveSection (
    Section As IniFileIniSection
) As Boolean

Dim instance As IniFile
Dim Section As IniFileIniSection
Dim returnValue As Boolean

returnValue = instance.RemoveSection(Section)
public:
bool RemoveSection(
    IniFileIniSection^ Section
)
member RemoveSection :
        Section : IniFileIniSection -> bool

Parameters

Section
Type: Furcadia.IOIniFileIniSection
The section.

Return Value

Type: Boolean

[Missing <returns> documentation for "M:Furcadia.IO.IniFile.RemoveSection(Furcadia.IO.IniFile.IniSection)"]

See Also

Reference

IniFile Class
RemoveSection Overload
Furcadia.IO Namespace


IniFile.RenameKey Method

IniFileRenameKey Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Renames an existing key returns true on success, false if the key didn't exist or there was another section with the same sNewKey

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool RenameKey(
    string sSection,
    string sKey,
    string sNewKey
)
Public Function RenameKey (
    sSection As String,
    sKey As String,
    sNewKey As String
) As Boolean

Dim instance As IniFile
Dim sSection As String
Dim sKey As String
Dim sNewKey As String
Dim returnValue As Boolean

returnValue = instance.RenameKey(sSection,
    sKey, sNewKey)
public:
bool RenameKey(
    String^ sSection,
    String^ sKey,
    String^ sNewKey
)
member RenameKey :
        sSection : string *
        sKey : string *
        sNewKey : string -> bool

Parameters

sSection
Type: SystemString
The s section.
sKey
Type: SystemString
The s key.
sNewKey
Type: SystemString
The s new key.

Return Value

Type: Boolean

[Missing <returns> documentation for "M:Furcadia.IO.IniFile.RenameKey(System.String,System.String,System.String)"]

See Also

Reference

IniFile Class
Furcadia.IO Namespace


IniFile.RenameSection Method

IniFileRenameSection Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Renames an existing section returns true on success, false if the section didn't exist or there was another section with the same sNewSection

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool RenameSection(
    string sSection,
    string sNewSection
)
Public Function RenameSection (
    sSection As String,
    sNewSection As String
) As Boolean

Dim instance As IniFile
Dim sSection As String
Dim sNewSection As String
Dim returnValue As Boolean

returnValue = instance.RenameSection(sSection,
    sNewSection)
public:
bool RenameSection(
    String^ sSection,
    String^ sNewSection
)
member RenameSection :
        sSection : string *
        sNewSection : string -> bool

Parameters

sSection
Type: SystemString
The s section.
sNewSection
Type: SystemString
The s new section.

Return Value

Type: Boolean

[Missing <returns> documentation for "M:Furcadia.IO.IniFile.RenameSection(System.String,System.String)"]

See Also

Reference

IniFile Class
Furcadia.IO Namespace


IniFile.Save Method

IniFileSave Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Used to save the data back to the file or your choice

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public void Save(
    string sFileName
)
Public Sub Save (
    sFileName As String
)

Dim instance As IniFile
Dim sFileName As String

instance.Save(sFileName)
public:
void Save(
    String^ sFileName
)
member Save :
        sFileName : string -> unit

Parameters

sFileName
Type: SystemString
Name of the s file.
See Also

Reference

IniFile Class
Furcadia.IO Namespace


IniFile.SetKeyValue Method

IniFileSetKeyValue Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Sets a KeyValuePair in a certain section

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool SetKeyValue(
    string sSection,
    string sKey,
    string sValue
)
Public Function SetKeyValue (
    sSection As String,
    sKey As String,
    sValue As String
) As Boolean

Dim instance As IniFile
Dim sSection As String
Dim sKey As String
Dim sValue As String
Dim returnValue As Boolean

returnValue = instance.SetKeyValue(sSection,
    sKey, sValue)
public:
bool SetKeyValue(
    String^ sSection,
    String^ sKey,
    String^ sValue
)
member SetKeyValue :
        sSection : string *
        sKey : string *
        sValue : string -> bool

Parameters

sSection
Type: SystemString
The s section.
sKey
Type: SystemString
The s key.
sValue
Type: SystemString
The s value.

Return Value

Type: Boolean

[Missing <returns> documentation for "M:Furcadia.IO.IniFile.SetKeyValue(System.String,System.String,System.String)"]

See Also

Reference

IniFile Class
Furcadia.IO Namespace


IniFile.IniSection Class

IniFileIniSection Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

IniSection class
Inheritance Hierarchy
SystemObject
Furcadia.IOIniFileIniSection

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public class IniSection
Public Class IniSection

Dim instance As IniFile.IniSection
public ref class IniSection
type IniSection =  class end

The IniFileIniSection type exposes the following members.

Constructors
 | Name | Description
Protected method | IniFileIniSection | Constuctor so objects are internally managed
Top
Properties
 | Name | Description
Public property | Keys | Returns all the keys in a section
Public property | Name | Returns the section name
Top
Methods
 | Name | Description
Public method | AddKey | Adds a key to the IniSection object, returns a IniKey object to the new or existing object
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetKey | Returns a IniKey object to the key by name, NULL if it was not found
Public method | GetName | Returns the section name
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | RemoveAllKeys | Removes all the keys in the section
Public method | RemoveKey(String) | Removes all the keys in the section
Public method | RemoveKey(IniFileIniSectionIniKey) | Removes a single key by IniKey object
Public method | SetName | Sets the section name, returns true on success, fails if the section name sSection already exists
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Furcadia.IO Namespace


IniFile.IniSection Constructor

IniFileIniSection Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Constuctor so objects are internally managed

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
protected IniSection(
    IniFile parent,
    string sSection
)
Protected Sub New (
    parent As IniFile,
    sSection As String
)

Dim parent As IniFile
Dim sSection As String

Dim instance As New IniFileIniSection(parent,
    sSection)
protected:
IniSection(
    IniFile^ parent,
    String^ sSection
)
new :
        parent : IniFile *
        sSection : string -> IniSection

Parameters

parent
Type: Furcadia.IOIniFile
The parent.
sSection
Type: SystemString
The s section.
See Also

Reference

IniFileIniSection Class
Furcadia.IO Namespace


IniSection Properties
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The IniFileIniSection type exposes the following members.

Properties
 | Name | Description
Public property | Keys | Returns all the keys in a section
Public property | Name | Returns the section name
Top
See Also

Reference

IniFileIniSection Class
Furcadia.IO Namespace


IniFile.IniSection.Keys Property

IniFileIniSectionKeys Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Returns all the keys in a section

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public ICollection Keys { get; }
Public ReadOnly Property Keys As ICollection
    Get

Dim instance As IniFileIniSection
Dim value As ICollection

value = instance.Keys

public:
property ICollection^ Keys {
    ICollection^ get ();
}
member Keys : ICollection with get

Property Value

Type: ICollection
The keys.
See Also

Reference

IniFileIniSection Class
Furcadia.IO Namespace


IniFile.IniSection.Name Property

IniFileIniSectionName Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Returns the section name

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string Name { get; }
Public ReadOnly Property Name As String
    Get

Dim instance As IniFileIniSection
Dim value As String

value = instance.Name

public:
property String^ Name {
    String^ get ();
}
member Name : string with get

Property Value

Type: String
The name.
See Also

Reference

IniFileIniSection Class
Furcadia.IO Namespace


IniSection Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The IniFileIniSection type exposes the following members.

Methods
 | Name | Description
Public method | AddKey | Adds a key to the IniSection object, returns a IniKey object to the new or existing object
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetKey | Returns a IniKey object to the key by name, NULL if it was not found
Public method | GetName | Returns the section name
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | RemoveAllKeys | Removes all the keys in the section
Public method | RemoveKey(String) | Removes all the keys in the section
Public method | RemoveKey(IniFileIniSectionIniKey) | Removes a single key by IniKey object
Public method | SetName | Sets the section name, returns true on success, fails if the section name sSection already exists
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

IniFileIniSection Class
Furcadia.IO Namespace


IniFile.IniSection.AddKey Method

IniFileIniSectionAddKey Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Adds a key to the IniSection object, returns a IniKey object to the new or existing object

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public IniFileIniSectionIniKey AddKey(
    string sKey
)
Public Function AddKey (
    sKey As String
) As IniFileIniSectionIniKey

Dim instance As IniFileIniSection
Dim sKey As String
Dim returnValue As IniFileIniSectionIniKey

returnValue = instance.AddKey(sKey)
public:
IniFileIniSectionIniKey^ AddKey(
    String^ sKey
)
member AddKey :
        sKey : string -> IniFileIniSectionIniKey

Parameters

sKey
Type: SystemString
The s key.

Return Value

Type: IniFileIniSectionIniKey

[Missing <returns> documentation for "M:Furcadia.IO.IniFile.IniSection.AddKey(System.String)"]

See Also

Reference

IniFileIniSection Class
Furcadia.IO Namespace


IniFile.IniSection.GetKey Method

IniFileIniSectionGetKey Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Returns a IniKey object to the key by name, NULL if it was not found

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public IniFileIniSectionIniKey GetKey(
    string sKey
)
Public Function GetKey (
    sKey As String
) As IniFileIniSectionIniKey

Dim instance As IniFileIniSection
Dim sKey As String
Dim returnValue As IniFileIniSectionIniKey

returnValue = instance.GetKey(sKey)
public:
IniFileIniSectionIniKey^ GetKey(
    String^ sKey
)
member GetKey :
        sKey : string -> IniFileIniSectionIniKey

Parameters

sKey
Type: SystemString
The s key.

Return Value

Type: IniFileIniSectionIniKey

[Missing <returns> documentation for "M:Furcadia.IO.IniFile.IniSection.GetKey(System.String)"]

See Also

Reference

IniFileIniSection Class
Furcadia.IO Namespace


IniFile.IniSection.GetName Method

IniFileIniSectionGetName Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Returns the section name

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string GetName()
Public Function GetName As String

Dim instance As IniFileIniSection
Dim returnValue As String

returnValue = instance.GetName()
public:
String^ GetName()
member GetName : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:Furcadia.IO.IniFile.IniSection.GetName"]

See Also

Reference

IniFileIniSection Class
Furcadia.IO Namespace


IniFile.IniSection.RemoveAllKeys Method

IniFileIniSectionRemoveAllKeys Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Removes all the keys in the section

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool RemoveAllKeys()
Public Function RemoveAllKeys As Boolean

Dim instance As IniFileIniSection
Dim returnValue As Boolean

returnValue = instance.RemoveAllKeys()
public:
bool RemoveAllKeys()
member RemoveAllKeys : unit -> bool

Return Value

Type: Boolean

[Missing <returns> documentation for "M:Furcadia.IO.IniFile.IniSection.RemoveAllKeys"]

See Also

Reference

IniFileIniSection Class
Furcadia.IO Namespace


IniSection.RemoveKey Method

IniSectionRemoveKey Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
 | Name | Description
Public method | RemoveKey(String) | Removes all the keys in the section
Public method | RemoveKey(IniFileIniSectionIniKey) | Removes a single key by IniKey object
Top
See Also

Reference

IniFileIniSection Class
Furcadia.IO Namespace


IniFile.IniSection.RemoveKey Method (String)

IniFileIniSectionRemoveKey Method (String)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Removes all the keys in the section

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool RemoveKey(
    string sKey
)
Public Function RemoveKey (
    sKey As String
) As Boolean

Dim instance As IniFileIniSection
Dim sKey As String
Dim returnValue As Boolean

returnValue = instance.RemoveKey(sKey)
public:
bool RemoveKey(
    String^ sKey
)
member RemoveKey :
        sKey : string -> bool

Parameters

sKey
Type: SystemString
The s key.

Return Value

Type: Boolean

[Missing <returns> documentation for "M:Furcadia.IO.IniFile.IniSection.RemoveKey(System.String)"]

See Also

Reference

IniFileIniSection Class
RemoveKey Overload
Furcadia.IO Namespace


IniFile.IniSection.RemoveKey Method (IniFile.IniSection.IniKey)

IniFileIniSectionRemoveKey Method (IniFileIniSectionIniKey)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Removes a single key by IniKey object

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool RemoveKey(
    IniFileIniSectionIniKey Key
)
Public Function RemoveKey (
    Key As IniFileIniSectionIniKey
) As Boolean

Dim instance As IniFileIniSection
Dim Key As IniFileIniSectionIniKey
Dim returnValue As Boolean

returnValue = instance.RemoveKey(Key)
public:
bool RemoveKey(
    IniFileIniSectionIniKey^ Key
)
member RemoveKey :
        Key : IniFileIniSectionIniKey -> bool

Parameters

Key
Type: Furcadia.IOIniFileIniSectionIniKey
The key.

Return Value

Type: Boolean

[Missing <returns> documentation for "M:Furcadia.IO.IniFile.IniSection.RemoveKey(Furcadia.IO.IniFile.IniSection.IniKey)"]

See Also

Reference

IniFileIniSection Class
RemoveKey Overload
Furcadia.IO Namespace


IniFile.IniSection.SetName Method

IniFileIniSectionSetName Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Sets the section name, returns true on success, fails if the section name sSection already exists

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool SetName(
    string sSection
)
Public Function SetName (
    sSection As String
) As Boolean

Dim instance As IniFileIniSection
Dim sSection As String
Dim returnValue As Boolean

returnValue = instance.SetName(sSection)
public:
bool SetName(
    String^ sSection
)
member SetName :
        sSection : string -> bool

Parameters

sSection
Type: SystemString
The s section.

Return Value

Type: Boolean

[Missing <returns> documentation for "M:Furcadia.IO.IniFile.IniSection.SetName(System.String)"]

See Also

Reference

IniFileIniSection Class
Furcadia.IO Namespace


IniFile.IniSection.IniKey Class

IniFileIniSectionIniKey Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

IniKey class
Inheritance Hierarchy
SystemObject
Furcadia.IOIniFileIniSectionIniKey

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public class IniKey
Public Class IniKey

Dim instance As IniFileIniSection.IniKey
public ref class IniKey
type IniKey =  class end

The IniFileIniSectionIniKey type exposes the following members.

Constructors
 | Name | Description
Protected method | IniFileIniSectionIniKey | Constuctor so objects are internally managed
Top
Properties
 | Name | Description
Public property | Name | Returns the name of the Key
Public property | Value | Sets or Gets the value of the key
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetName | Returns the name of the Key
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | GetValue | Returns the value of the Key
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | SetName | Sets the key name Returns true on success, fails if the section name sKey already exists
Public method | SetValue | Sets the value of the key
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Furcadia.IO Namespace


IniFile.IniSection.IniKey Constructor

IniFileIniSectionIniKey Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Constuctor so objects are internally managed

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
protected IniKey(
    IniFileIniSection parent,
    string sKey
)
Protected Sub New (
    parent As IniFileIniSection,
    sKey As String
)

Dim parent As IniFileIniSection
Dim sKey As String

Dim instance As New IniFileIniSectionIniKey(parent,
    sKey)
protected:
IniKey(
    IniFileIniSection^ parent,
    String^ sKey
)
new :
        parent : IniFileIniSection *
        sKey : string -> IniKey

Parameters

parent
Type: Furcadia.IOIniFileIniSection
The parent.
sKey
Type: SystemString
The s key.
See Also

Reference

IniFileIniSectionIniKey Class
Furcadia.IO Namespace


IniKey Properties
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The IniFileIniSectionIniKey type exposes the following members.

Properties
 | Name | Description
Public property | Name | Returns the name of the Key
Public property | Value | Sets or Gets the value of the key
Top
See Also

Reference

IniFileIniSectionIniKey Class
Furcadia.IO Namespace


IniFile.IniSection.IniKey.Name Property

IniFileIniSectionIniKeyName Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Returns the name of the Key

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string Name { get; }
Public ReadOnly Property Name As String
    Get

Dim instance As IniFileIniSectionIniKey
Dim value As String

value = instance.Name

public:
property String^ Name {
    String^ get ();
}
member Name : string with get

Property Value

Type: String
The name.
See Also

Reference

IniFileIniSectionIniKey Class
Furcadia.IO Namespace


IniFile.IniSection.IniKey.Value Property

IniFileIniSectionIniKeyValue Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Sets or Gets the value of the key

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string Value { get; set; }
Public Property Value As String
    Get
    Set

Dim instance As IniFileIniSectionIniKey
Dim value As String

value = instance.Value

instance.Value = value
public:
property String^ Value {
    String^ get ();
    void set (String^ value);
}
member Value : string with get, set

Property Value

Type: String
The value.
See Also

Reference

IniFileIniSectionIniKey Class
Furcadia.IO Namespace


IniKey Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The IniFileIniSectionIniKey type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetName | Returns the name of the Key
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | GetValue | Returns the value of the Key
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | SetName | Sets the key name Returns true on success, fails if the section name sKey already exists
Public method | SetValue | Sets the value of the key
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

IniFileIniSectionIniKey Class
Furcadia.IO Namespace


IniFile.IniSection.IniKey.GetName Method

IniFileIniSectionIniKeyGetName Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Returns the name of the Key

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string GetName()
Public Function GetName As String

Dim instance As IniFileIniSectionIniKey
Dim returnValue As String

returnValue = instance.GetName()
public:
String^ GetName()
member GetName : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:Furcadia.IO.IniFile.IniSection.IniKey.GetName"]

See Also

Reference

IniFileIniSectionIniKey Class
Furcadia.IO Namespace


IniFile.IniSection.IniKey.GetValue Method

IniFileIniSectionIniKeyGetValue Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Returns the value of the Key

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string GetValue()
Public Function GetValue As String

Dim instance As IniFileIniSectionIniKey
Dim returnValue As String

returnValue = instance.GetValue()
public:
String^ GetValue()
member GetValue : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:Furcadia.IO.IniFile.IniSection.IniKey.GetValue"]

See Also

Reference

IniFileIniSectionIniKey Class
Furcadia.IO Namespace


IniFile.IniSection.IniKey.SetName Method

IniFileIniSectionIniKeySetName Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Sets the key name Returns true on success, fails if the section name sKey already exists

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool SetName(
    string sKey
)
Public Function SetName (
    sKey As String
) As Boolean

Dim instance As IniFileIniSectionIniKey
Dim sKey As String
Dim returnValue As Boolean

returnValue = instance.SetName(sKey)
public:
bool SetName(
    String^ sKey
)
member SetName :
        sKey : string -> bool

Parameters

sKey
Type: SystemString
The s key.

Return Value

Type: Boolean

[Missing <returns> documentation for "M:Furcadia.IO.IniFile.IniSection.IniKey.SetName(System.String)"]

See Also

Reference

IniFileIniSectionIniKey Class
Furcadia.IO Namespace


IniFile.IniSection.IniKey.SetValue Method

IniFileIniSectionIniKeySetValue Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Sets the value of the key

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public void SetValue(
    string sValue
)
Public Sub SetValue (
    sValue As String
)

Dim instance As IniFileIniSectionIniKey
Dim sValue As String

instance.SetValue(sValue)
public:
void SetValue(
    String^ sValue
)
member SetValue :
        sValue : string -> unit

Parameters

sValue
Type: SystemString
The s value.
See Also

Reference

IniFileIniSectionIniKey Class
Furcadia.IO Namespace


Paths Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

This class contains all the paths related to the users furcadia installation.

***NOTICE: DO NOT REMOVE***

Credits go to Artex for helping me fix Path issues and contributing his code.

***NOTICE: DO NOT REMOVE.***

Log Header

Format: (date,Version) AuthorName, Changes.

(Mar 12,2014,0.2.12) Gerolkae, Adapted Paths to work with a Supplied path

(June 1, 2016) Gerolkae, Added possible missing Registry Paths for x86/x64 Windows and Mono Support. Wine Support also contains these corrections.

Inheritance Hierarchy
SystemObject
Furcadia.IOPaths

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public class Paths
Public Class Paths

Dim instance As Paths
public ref class Paths
type Paths =  class end

The Paths type exposes the following members.

Constructors
 | Name | Description
Public method | Paths | Load Default Furcadia Paths
Public method | Paths(String) | Load Paths Based on path
Top
Properties
 | Name | Description
Public property | CachePath | Cache path - contains all the Furcadia cache and resides in the global user space. Default: %ALLUSERSPROFILE%\Dragon's Eye Productions\Furcadia
Public property | CharacterPath | Obsolete. Character file path - contains furcadia.ini files with login information for each character. Default: My Documents\Furcadia\Furcadia Characters\
Public property | DefaultCachePath | c:\Program Data\
Public property | DefaultCharacterPath | Obsolete. Default Character Path
Public property | DefaultDreamsPath | Personal Dreams Folder
Public property | DefaultFurcadiaPath | Default Furcadia install folder - this path is used by default to install Furcadia to. Default: c:\Program Files\Furcadia
Public property | DefaultGlobalMapsPath | Main Maps Default path
Public property | DefaultGlobalSkinsPath | default skins
Public property | DefaultLocalSkinsPath | default local skins
Public property | DefaultLogsPath | Obsolete. default personal log folder
Public property | DefaultPatchPath | Path to the default patch (graphics, sounds, layout) folder used to display Furcadia itself, its tools and environment. Default: c:\Program Files\Furcadia\patches\default
Public property | DefaultPermanentMapsCachePath | Default Main Maps
Public property | DefaultPersonalDataPath | Default Documents\Furcadia
Public property | DefaultPortraitCachePath | Portrait cache
Public property | DefaultScreenshotsPath | Furcadia Screen Shots default folder
Public property | DefaultSettingsPath | User App Data Settings
Public property | DefaultTemporaryDreamsPath | Temporary dreams
Public property | DefaultTemporaryFilesPath | Default Temporary Files
Public property | DefaultTemporaryPatchesPath | Temporary patches
Public property | DefaultWhisperLogsPath | Obsolete. Whisper Logs
Public property | DreamsPath | Dreams path - contains Furcadia dreams made by the player. Default: My Documents\Furcadia\Dreams
Public property | FurcadiaLocaldirPath | Furcadia Localdir path - this path (when explicitly set), indicates the whereabouts of the data files used in Furcadia. If localdir.ini is present in the Furcadia folder, Furcadia.exe will load those files from the specific path and not the regular ones. Default: -NONE-
Public property | FurcadiaPath | Furcadia install path - this path corresponds to the path where Furcadia is installed on the current machine. If Furcadia is not found, this property will be null.
Public property | GlobalMapsPath | Path to the global maps, distributed with Furcadia and loadable during game play in some main dreams. Default: c:\Program Files\Furcadia\maps
Public property | GlobalSkinsPath | Path to the global skins that change Furcadia's graphical layout. They are stored in the Furcadia program files folder. Default: c:\Program Files\Furcadia\skins
Public property | LocaldirPath | LocalDir path - a specific path where all the player-specific and cache data is stored in its classic form. Used mainly to retain the classic path structure or to run Furcadia from a removable disk.
Public property | LocalSkinsPath | Local skins path - contains Furcadia skins used locally by each user. Default: My Documents\Furcadia\Skins
Public property | LogsPath | Obsolete. Logs path - contains session logs for each character and a sub-folder with whisper logs, should Pounce be enabled. Default: My Documents\Furcadia\Logs
Public property | PermanentMapsCachePath | Permanent Maps cache path - contains downloaded main maps such as the festival maps or other DEP-specific customized dreams. Default: %ALLUSERSPROFILE%\Dragon's Eye Productions\Furcadia\Permanent Maps
Public property | PersonalDataPath | Personal data path - contains user-specific files such as logs, patches, screen shots and character files. Default: My Documents\Furcadia\
Public property | PortraitCachePath | Portrait cache path - contains downloaded portraits and desctags cache for faster loading and bandwidth optimization. Default: %ALLUSERSPROFILE%\Dragon's Eye Productions\Furcadia\Portrait Cache
Public property | ScreenshotsPath | Screen shots path - contains screen shot files taken by Furcadia with the CTRL+F1 hotkey. At the time of writing, in PNG format. Default: My Documents\Furcadia\Screenshots
Public property | SettingsPath | Personal settings path - contains all the Furcadia settings for each user that uses it. Default (VISTA+): %USERPROFILE%\Local\AppData\Dragon's Eye Productions\Furcadia
Public property | TemporaryDreamsPath | Temporary dreams path - contains downloaded player dreams for subsequent loading. Default: %ALLUSERSPROFILE%\Dragon's Eye Productions\Furcadia\Temporary Dreams
Public property | TemporaryFilesPath | Temporary files path - contains downloaded and uploaded files that are either used to upload packages or download them for extraction. Default: %ALLUSERSPROFILE%\Dragon's Eye Productions\Furcadia\Temporary Files
Public property | TemporaryPatchesPath | Temporary patch path - contains downloaded temporary patches. This technology is never in use, yet supported, so this folder is always empty. Default: %ALLUSERSPROFILE%\Dragon's Eye Productions\Furcadia\Temporary Patches
Public property | UsingLocaldir | Has LoclDir.ini been detected?
Public property | WhisperLogsPath | Obsolete. Whisper logs path - contains whisper logs for each character whispered, recorded by Pounce with the whisper windows. Default: My Documents\Furcadia\Logs\Whispers
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetDefaultPatchPath | Find the path to the default patch folder on the current machine.
Public method | GetFurcadiaInstallPath | Find the path to Furcadia data files currently installed on this system.
Public method | GetFurcadiaLocaldirPath | Find the current localdir path where data files would be stored on the current machine.
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
Remarks
Theory check all known default paths

check localdir.ini

then check each registry hives for active CPU type

Then check each give for default 32bit path(Non wow6432node)

then check Wine variants(C++ Win32 client)

then check Mono Versions for before mentioned(C#? Client)

then check default drive folder paths

If all Fail... Throw FurcadiaNotFoundException exception

Clients Should check for this error and then ask the user where to manually locate Furccadia

See Also

Reference

Furcadia.IO Namespace


Paths Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
 | Name | Description
Public method | Paths | Load Default Furcadia Paths
Public method | Paths(String) | Load Paths Based on path
Top
See Also

Reference

Paths Class
Furcadia.IO Namespace


Paths Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Load Default Furcadia Paths

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public Paths()
Public Sub New

Dim instance As New Paths()
public:
Paths()
new : unit -> Paths
See Also

Reference

Paths Class
Paths Overload
Furcadia.IO Namespace


Paths Constructor (String)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Load Paths Based on path

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public Paths(
    string path
)
Public Sub New (
    path As String
)

Dim path As String

Dim instance As New Paths(path)
public:
Paths(
    String^ path
)
new :
        path : string -> Paths

Parameters

path
Type: SystemString
Specified directory to look for a nonstandard Furcadia install
See Also

Reference

Paths Class
Paths Overload
Furcadia.IO Namespace


Paths Properties
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The Paths type exposes the following members.

Properties
 | Name | Description
Public property | CachePath | Cache path - contains all the Furcadia cache and resides in the global user space. Default: %ALLUSERSPROFILE%\Dragon's Eye Productions\Furcadia
Public property | CharacterPath | Obsolete. Character file path - contains furcadia.ini files with login information for each character. Default: My Documents\Furcadia\Furcadia Characters\
Public property | DefaultCachePath | c:\Program Data\
Public property | DefaultCharacterPath | Obsolete. Default Character Path
Public property | DefaultDreamsPath | Personal Dreams Folder
Public property | DefaultFurcadiaPath | Default Furcadia install folder - this path is used by default to install Furcadia to. Default: c:\Program Files\Furcadia
Public property | DefaultGlobalMapsPath | Main Maps Default path
Public property | DefaultGlobalSkinsPath | default skins
Public property | DefaultLocalSkinsPath | default local skins
Public property | DefaultLogsPath | Obsolete. default personal log folder
Public property | DefaultPatchPath | Path to the default patch (graphics, sounds, layout) folder used to display Furcadia itself, its tools and environment. Default: c:\Program Files\Furcadia\patches\default
Public property | DefaultPermanentMapsCachePath | Default Main Maps
Public property | DefaultPersonalDataPath | Default Documents\Furcadia
Public property | DefaultPortraitCachePath | Portrait cache
Public property | DefaultScreenshotsPath | Furcadia Screen Shots default folder
Public property | DefaultSettingsPath | User App Data Settings
Public property | DefaultTemporaryDreamsPath | Temporary dreams
Public property | DefaultTemporaryFilesPath | Default Temporary Files
Public property | DefaultTemporaryPatchesPath | Temporary patches
Public property | DefaultWhisperLogsPath | Obsolete. Whisper Logs
Public property | DreamsPath | Dreams path - contains Furcadia dreams made by the player. Default: My Documents\Furcadia\Dreams
Public property | FurcadiaLocaldirPath | Furcadia Localdir path - this path (when explicitly set), indicates the whereabouts of the data files used in Furcadia. If localdir.ini is present in the Furcadia folder, Furcadia.exe will load those files from the specific path and not the regular ones. Default: -NONE-
Public property | FurcadiaPath | Furcadia install path - this path corresponds to the path where Furcadia is installed on the current machine. If Furcadia is not found, this property will be null.
Public property | GlobalMapsPath | Path to the global maps, distributed with Furcadia and loadable during game play in some main dreams. Default: c:\Program Files\Furcadia\maps
Public property | GlobalSkinsPath | Path to the global skins that change Furcadia's graphical layout. They are stored in the Furcadia program files folder. Default: c:\Program Files\Furcadia\skins
Public property | LocaldirPath | LocalDir path - a specific path where all the player-specific and cache data is stored in its classic form. Used mainly to retain the classic path structure or to run Furcadia from a removable disk.
Public property | LocalSkinsPath | Local skins path - contains Furcadia skins used locally by each user. Default: My Documents\Furcadia\Skins
Public property | LogsPath | Obsolete. Logs path - contains session logs for each character and a sub-folder with whisper logs, should Pounce be enabled. Default: My Documents\Furcadia\Logs
Public property | PermanentMapsCachePath | Permanent Maps cache path - contains downloaded main maps such as the festival maps or other DEP-specific customized dreams. Default: %ALLUSERSPROFILE%\Dragon's Eye Productions\Furcadia\Permanent Maps
Public property | PersonalDataPath | Personal data path - contains user-specific files such as logs, patches, screen shots and character files. Default: My Documents\Furcadia\
Public property | PortraitCachePath | Portrait cache path - contains downloaded portraits and desctags cache for faster loading and bandwidth optimization. Default: %ALLUSERSPROFILE%\Dragon's Eye Productions\Furcadia\Portrait Cache
Public property | ScreenshotsPath | Screen shots path - contains screen shot files taken by Furcadia with the CTRL+F1 hotkey. At the time of writing, in PNG format. Default: My Documents\Furcadia\Screenshots
Public property | SettingsPath | Personal settings path - contains all the Furcadia settings for each user that uses it. Default (VISTA+): %USERPROFILE%\Local\AppData\Dragon's Eye Productions\Furcadia
Public property | TemporaryDreamsPath | Temporary dreams path - contains downloaded player dreams for subsequent loading. Default: %ALLUSERSPROFILE%\Dragon's Eye Productions\Furcadia\Temporary Dreams
Public property | TemporaryFilesPath | Temporary files path - contains downloaded and uploaded files that are either used to upload packages or download them for extraction. Default: %ALLUSERSPROFILE%\Dragon's Eye Productions\Furcadia\Temporary Files
Public property | TemporaryPatchesPath | Temporary patch path - contains downloaded temporary patches. This technology is never in use, yet supported, so this folder is always empty. Default: %ALLUSERSPROFILE%\Dragon's Eye Productions\Furcadia\Temporary Patches
Public property | UsingLocaldir | Has LoclDir.ini been detected?
Public property | WhisperLogsPath | Obsolete. Whisper logs path - contains whisper logs for each character whispered, recorded by Pounce with the whisper windows. Default: My Documents\Furcadia\Logs\Whispers
Top
See Also

Reference

Paths Class
Furcadia.IO Namespace


Paths.CachePath Property

PathsCachePath Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Cache path - contains all the Furcadia cache and resides in the global user space.

Default: %ALLUSERSPROFILE%\Dragon's Eye Productions\Furcadia

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string CachePath { get; }
Public ReadOnly Property CachePath As String
    Get

Dim instance As Paths
Dim value As String

value = instance.CachePath

public:
property String^ CachePath {
    String^ get ();
}
member CachePath : string with get

Property Value

Type: String
See Also

Reference

Paths Class
Furcadia.IO Namespace


Paths.CharacterPath Property

PathsCharacterPath Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Note: This API is now obsolete.

Character file path - contains furcadia.ini files with login information for each character.

Default: My Documents\Furcadia\Furcadia Characters\

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
[ObsoleteAttribute("As of The Second Dreaming, Tis is now legacy")]
public string CharacterPath { get; }
<ObsoleteAttribute("As of The Second Dreaming, Tis is now legacy")>
Public ReadOnly Property CharacterPath As String
    Get

Dim instance As Paths
Dim value As String

value = instance.CharacterPath

public:
[ObsoleteAttribute(L"As of The Second Dreaming, Tis is now legacy")]
property String^ CharacterPath {
    String^ get ();
}
[<ObsoleteAttribute("As of The Second Dreaming, Tis is now legacy")>]
member CharacterPath : string with get

Property Value

Type: String
See Also

Reference

Paths Class
Furcadia.IO Namespace


Paths.DefaultCachePath Property

PathsDefaultCachePath Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

c:\Program Data\

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string DefaultCachePath { get; }
Public ReadOnly Property DefaultCachePath As String
    Get

Dim instance As Paths
Dim value As String

value = instance.DefaultCachePath

public:
property String^ DefaultCachePath {
    String^ get ();
}
member DefaultCachePath : string with get

Property Value

Type: String
See Also

Reference

Paths Class
Furcadia.IO Namespace


Paths.DefaultCharacterPath Property

PathsDefaultCharacterPath Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Note: This API is now obsolete.

Default Character Path

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
[ObsoleteAttribute("As of The Second Dreaming, Tis is now legacy")]
public string DefaultCharacterPath { get; }
<ObsoleteAttribute("As of The Second Dreaming, Tis is now legacy")>
Public ReadOnly Property DefaultCharacterPath As String
    Get

Dim instance As Paths
Dim value As String

value = instance.DefaultCharacterPath

public:
[ObsoleteAttribute(L"As of The Second Dreaming, Tis is now legacy")]
property String^ DefaultCharacterPath {
    String^ get ();
}
[<ObsoleteAttribute("As of The Second Dreaming, Tis is now legacy")>]
member DefaultCharacterPath : string with get

Property Value

Type: String
See Also

Reference

Paths Class
Furcadia.IO Namespace


Paths.DefaultDreamsPath Property

PathsDefaultDreamsPath Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Personal Dreams Folder

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string DefaultDreamsPath { get; }
Public ReadOnly Property DefaultDreamsPath As String
    Get

Dim instance As Paths
Dim value As String

value = instance.DefaultDreamsPath

public:
property String^ DefaultDreamsPath {
    String^ get ();
}
member DefaultDreamsPath : string with get

Property Value

Type: String
See Also

Reference

Paths Class
Furcadia.IO Namespace


Paths.DefaultFurcadiaPath Property

PathsDefaultFurcadiaPath Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Default Furcadia install folder - this path is used by default to install Furcadia to.

Default: c:\Program Files\Furcadia

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string DefaultFurcadiaPath { get; }
Public ReadOnly Property DefaultFurcadiaPath As String
    Get

Dim instance As Paths
Dim value As String

value = instance.DefaultFurcadiaPath

public:
property String^ DefaultFurcadiaPath {
    String^ get ();
}
member DefaultFurcadiaPath : string with get

Property Value

Type: String
See Also

Reference

Paths Class
Furcadia.IO Namespace


Paths.DefaultGlobalMapsPath Property

PathsDefaultGlobalMapsPath Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Main Maps Default path

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string DefaultGlobalMapsPath { get; }
Public ReadOnly Property DefaultGlobalMapsPath As String
    Get

Dim instance As Paths
Dim value As String

value = instance.DefaultGlobalMapsPath

public:
property String^ DefaultGlobalMapsPath {
    String^ get ();
}
member DefaultGlobalMapsPath : string with get

Property Value

Type: String
See Also

Reference

Paths Class
Furcadia.IO Namespace


Paths.DefaultGlobalSkinsPath Property

PathsDefaultGlobalSkinsPath Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

default skins

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string DefaultGlobalSkinsPath { get; }
Public ReadOnly Property DefaultGlobalSkinsPath As String
    Get

Dim instance As Paths
Dim value As String

value = instance.DefaultGlobalSkinsPath

public:
property String^ DefaultGlobalSkinsPath {
    String^ get ();
}
member DefaultGlobalSkinsPath : string with get

Property Value

Type: String
See Also

Reference

Paths Class
Furcadia.IO Namespace


Paths.DefaultLocalSkinsPath Property

PathsDefaultLocalSkinsPath Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

default local skins

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string DefaultLocalSkinsPath { get; }
Public ReadOnly Property DefaultLocalSkinsPath As String
    Get

Dim instance As Paths
Dim value As String

value = instance.DefaultLocalSkinsPath

public:
property String^ DefaultLocalSkinsPath {
    String^ get ();
}
member DefaultLocalSkinsPath : string with get

Property Value

Type: String
See Also

Reference

Paths Class
Furcadia.IO Namespace


Paths.DefaultLogsPath Property

PathsDefaultLogsPath Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Note: This API is now obsolete.

default personal log folder

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
[ObsoleteAttribute("As of The Second Dreaming, Tis is now legacy")]
public string DefaultLogsPath { get; }
<ObsoleteAttribute("As of The Second Dreaming, Tis is now legacy")>
Public ReadOnly Property DefaultLogsPath As String
    Get

Dim instance As Paths
Dim value As String

value = instance.DefaultLogsPath

public:
[ObsoleteAttribute(L"As of The Second Dreaming, Tis is now legacy")]
property String^ DefaultLogsPath {
    String^ get ();
}
[<ObsoleteAttribute("As of The Second Dreaming, Tis is now legacy")>]
member DefaultLogsPath : string with get

Property Value

Type: String
See Also

Reference

Paths Class
Furcadia.IO Namespace


Paths.DefaultPatchPath Property

PathsDefaultPatchPath Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Path to the default patch (graphics, sounds, layout) folder used to display Furcadia itself, its tools and environment.

Default: c:\Program Files\Furcadia\patches\default

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string DefaultPatchPath { get; }
Public ReadOnly Property DefaultPatchPath As String
    Get

Dim instance As Paths
Dim value As String

value = instance.DefaultPatchPath

public:
property String^ DefaultPatchPath {
    String^ get ();
}
member DefaultPatchPath : string with get

Property Value

Type: String
See Also

Reference

Paths Class
Furcadia.IO Namespace


Paths.DefaultPermanentMapsCachePath Property

PathsDefaultPermanentMapsCachePath Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Default Main Maps

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string DefaultPermanentMapsCachePath { get; }
Public ReadOnly Property DefaultPermanentMapsCachePath As String
    Get

Dim instance As Paths
Dim value As String

value = instance.DefaultPermanentMapsCachePath

public:
property String^ DefaultPermanentMapsCachePath {
    String^ get ();
}
member DefaultPermanentMapsCachePath : string with get

Property Value

Type: String
See Also

Reference

Paths Class
Furcadia.IO Namespace


Paths.DefaultPersonalDataPath Property

PathsDefaultPersonalDataPath Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Default Documents\Furcadia

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string DefaultPersonalDataPath { get; }
Public ReadOnly Property DefaultPersonalDataPath As String
    Get

Dim instance As Paths
Dim value As String

value = instance.DefaultPersonalDataPath

public:
property String^ DefaultPersonalDataPath {
    String^ get ();
}
member DefaultPersonalDataPath : string with get

Property Value

Type: String
See Also

Reference

Paths Class
Furcadia.IO Namespace


Paths.DefaultPortraitCachePath Property

PathsDefaultPortraitCachePath Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Portrait cache

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string DefaultPortraitCachePath { get; }
Public ReadOnly Property DefaultPortraitCachePath As String
    Get

Dim instance As Paths
Dim value As String

value = instance.DefaultPortraitCachePath

public:
property String^ DefaultPortraitCachePath {
    String^ get ();
}
member DefaultPortraitCachePath : string with get

Property Value

Type: String
See Also

Reference

Paths Class
Furcadia.IO Namespace


Paths.DefaultScreenshotsPath Property

PathsDefaultScreenshotsPath Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Furcadia Screen Shots default folder

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string DefaultScreenshotsPath { get; }
Public ReadOnly Property DefaultScreenshotsPath As String
    Get

Dim instance As Paths
Dim value As String

value = instance.DefaultScreenshotsPath

public:
property String^ DefaultScreenshotsPath {
    String^ get ();
}
member DefaultScreenshotsPath : string with get

Property Value

Type: String
See Also

Reference

Paths Class
Furcadia.IO Namespace


Paths.DefaultSettingsPath Property

PathsDefaultSettingsPath Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

User App Data Settings

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string DefaultSettingsPath { get; }
Public ReadOnly Property DefaultSettingsPath As String
    Get

Dim instance As Paths
Dim value As String

value = instance.DefaultSettingsPath

public:
property String^ DefaultSettingsPath {
    String^ get ();
}
member DefaultSettingsPath : string with get

Property Value

Type: String
See Also

Reference

Paths Class
Furcadia.IO Namespace


Paths.DefaultTemporaryDreamsPath Property

PathsDefaultTemporaryDreamsPath Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Temporary dreams

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string DefaultTemporaryDreamsPath { get; }
Public ReadOnly Property DefaultTemporaryDreamsPath As String
    Get

Dim instance As Paths
Dim value As String

value = instance.DefaultTemporaryDreamsPath

public:
property String^ DefaultTemporaryDreamsPath {
    String^ get ();
}
member DefaultTemporaryDreamsPath : string with get

Property Value

Type: String
See Also

Reference

Paths Class
Furcadia.IO Namespace


Paths.DefaultTemporaryFilesPath Property

PathsDefaultTemporaryFilesPath Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Default Temporary Files

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string DefaultTemporaryFilesPath { get; }
Public ReadOnly Property DefaultTemporaryFilesPath As String
    Get

Dim instance As Paths
Dim value As String

value = instance.DefaultTemporaryFilesPath

public:
property String^ DefaultTemporaryFilesPath {
    String^ get ();
}
member DefaultTemporaryFilesPath : string with get

Property Value

Type: String
See Also

Reference

Paths Class
Furcadia.IO Namespace


Paths.DefaultTemporaryPatchesPath Property

PathsDefaultTemporaryPatchesPath Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Temporary patches

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string DefaultTemporaryPatchesPath { get; }
Public ReadOnly Property DefaultTemporaryPatchesPath As String
    Get

Dim instance As Paths
Dim value As String

value = instance.DefaultTemporaryPatchesPath

public:
property String^ DefaultTemporaryPatchesPath {
    String^ get ();
}
member DefaultTemporaryPatchesPath : string with get

Property Value

Type: String
See Also

Reference

Paths Class
Furcadia.IO Namespace


Paths.DefaultWhisperLogsPath Property

PathsDefaultWhisperLogsPath Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Note: This API is now obsolete.

Whisper Logs

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
[ObsoleteAttribute("As of The Second Dreaming, Tis is now legacy")]
public string DefaultWhisperLogsPath { get; }
<ObsoleteAttribute("As of The Second Dreaming, Tis is now legacy")>
Public ReadOnly Property DefaultWhisperLogsPath As String
    Get

Dim instance As Paths
Dim value As String

value = instance.DefaultWhisperLogsPath

public:
[ObsoleteAttribute(L"As of The Second Dreaming, Tis is now legacy")]
property String^ DefaultWhisperLogsPath {
    String^ get ();
}
[<ObsoleteAttribute("As of The Second Dreaming, Tis is now legacy")>]
member DefaultWhisperLogsPath : string with get

Property Value

Type: String
See Also

Reference

Paths Class
Furcadia.IO Namespace


Paths.DreamsPath Property

PathsDreamsPath Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Dreams path - contains Furcadia dreams made by the player. Default: My Documents\Furcadia\Dreams

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string DreamsPath { get; }
Public ReadOnly Property DreamsPath As String
    Get

Dim instance As Paths
Dim value As String

value = instance.DreamsPath

public:
property String^ DreamsPath {
    String^ get ();
}
member DreamsPath : string with get

Property Value

Type: String
See Also

Reference

Paths Class
Furcadia.IO Namespace


Paths.FurcadiaLocaldirPath Property

PathsFurcadiaLocaldirPath Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Furcadia Localdir path - this path (when explicitly set), indicates the whereabouts of the data files used in Furcadia. If localdir.ini is present in the Furcadia folder, Furcadia.exe will load those files from the specific path and not the regular ones. Default: -NONE-

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string FurcadiaLocaldirPath { get; }
Public ReadOnly Property FurcadiaLocaldirPath As String
    Get

Dim instance As Paths
Dim value As String

value = instance.FurcadiaLocaldirPath

public:
property String^ FurcadiaLocaldirPath {
    String^ get ();
}
member FurcadiaLocaldirPath : string with get

Property Value

Type: String
See Also

Reference

Paths Class
Furcadia.IO Namespace


Paths.FurcadiaPath Property

PathsFurcadiaPath Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Furcadia install path - this path corresponds to the path where Furcadia is installed on the current machine. If Furcadia is not found, this property will be null.

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string FurcadiaPath { get; }
Public ReadOnly Property FurcadiaPath As String
    Get

Dim instance As Paths
Dim value As String

value = instance.FurcadiaPath

public:
property String^ FurcadiaPath {
    String^ get ();
}
member FurcadiaPath : string with get

Property Value

Type: String
See Also

Reference

Paths Class
Furcadia.IO Namespace


Paths.GlobalMapsPath Property

PathsGlobalMapsPath Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Path to the global maps, distributed with Furcadia and loadable during game play in some main dreams.

Default: c:\Program Files\Furcadia\maps

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string GlobalMapsPath { get; }
Public ReadOnly Property GlobalMapsPath As String
    Get

Dim instance As Paths
Dim value As String

value = instance.GlobalMapsPath

public:
property String^ GlobalMapsPath {
    String^ get ();
}
member GlobalMapsPath : string with get

Property Value

Type: String
See Also

Reference

Paths Class
Furcadia.IO Namespace


Paths.GlobalSkinsPath Property

PathsGlobalSkinsPath Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Path to the global skins that change Furcadia's graphical layout. They are stored in the Furcadia program files folder.

Default: c:\Program Files\Furcadia\skins

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string GlobalSkinsPath { get; }
Public ReadOnly Property GlobalSkinsPath As String
    Get

Dim instance As Paths
Dim value As String

value = instance.GlobalSkinsPath

public:
property String^ GlobalSkinsPath {
    String^ get ();
}
member GlobalSkinsPath : string with get

Property Value

Type: String
See Also

Reference

Paths Class
Furcadia.IO Namespace


Paths.LocaldirPath Property

PathsLocaldirPath Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

LocalDir path - a specific path where all the player-specific and cache data is stored in its classic form. Used mainly to retain the classic path structure or to run Furcadia from a removable disk.

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string LocaldirPath { get; }
Public ReadOnly Property LocaldirPath As String
    Get

Dim instance As Paths
Dim value As String

value = instance.LocaldirPath

public:
property String^ LocaldirPath {
    String^ get ();
}
member LocaldirPath : string with get

Property Value

Type: String
See Also

Reference

Paths Class
Furcadia.IO Namespace


Paths.LocalSkinsPath Property

PathsLocalSkinsPath Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Local skins path - contains Furcadia skins used locally by each user.

Default: My Documents\Furcadia\Skins

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string LocalSkinsPath { get; }
Public ReadOnly Property LocalSkinsPath As String
    Get

Dim instance As Paths
Dim value As String

value = instance.LocalSkinsPath

public:
property String^ LocalSkinsPath {
    String^ get ();
}
member LocalSkinsPath : string with get

Property Value

Type: String
See Also

Reference

Paths Class
Furcadia.IO Namespace


Paths.LogsPath Property

PathsLogsPath Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Note: This API is now obsolete.

Logs path - contains session logs for each character and a sub-folder with whisper logs, should Pounce be enabled.

Default: My Documents\Furcadia\Logs

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
[ObsoleteAttribute("As of The Second Dreaming, Tis is now legacy")]
public string LogsPath { get; }
<ObsoleteAttribute("As of The Second Dreaming, Tis is now legacy")>
Public ReadOnly Property LogsPath As String
    Get

Dim instance As Paths
Dim value As String

value = instance.LogsPath

public:
[ObsoleteAttribute(L"As of The Second Dreaming, Tis is now legacy")]
property String^ LogsPath {
    String^ get ();
}
[<ObsoleteAttribute("As of The Second Dreaming, Tis is now legacy")>]
member LogsPath : string with get

Property Value

Type: String
See Also

Reference

Paths Class
Furcadia.IO Namespace


Paths.PermanentMapsCachePath Property

PathsPermanentMapsCachePath Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Permanent Maps cache path - contains downloaded main maps such as the festival maps or other DEP-specific customized dreams.

Default: %ALLUSERSPROFILE%\Dragon's Eye Productions\Furcadia\Permanent Maps

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string PermanentMapsCachePath { get; }
Public ReadOnly Property PermanentMapsCachePath As String
    Get

Dim instance As Paths
Dim value As String

value = instance.PermanentMapsCachePath

public:
property String^ PermanentMapsCachePath {
    String^ get ();
}
member PermanentMapsCachePath : string with get

Property Value

Type: String
See Also

Reference

Paths Class
Furcadia.IO Namespace


Paths.PersonalDataPath Property

PathsPersonalDataPath Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Personal data path - contains user-specific files such as logs, patches, screen shots and character files.

Default: My Documents\Furcadia\

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string PersonalDataPath { get; }
Public ReadOnly Property PersonalDataPath As String
    Get

Dim instance As Paths
Dim value As String

value = instance.PersonalDataPath

public:
property String^ PersonalDataPath {
    String^ get ();
}
member PersonalDataPath : string with get

Property Value

Type: String
See Also

Reference

Paths Class
Furcadia.IO Namespace


Paths.PortraitCachePath Property

PathsPortraitCachePath Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Portrait cache path - contains downloaded portraits and desctags cache for faster loading and bandwidth optimization.

Default: %ALLUSERSPROFILE%\Dragon's Eye Productions\Furcadia\Portrait Cache

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string PortraitCachePath { get; }
Public ReadOnly Property PortraitCachePath As String
    Get

Dim instance As Paths
Dim value As String

value = instance.PortraitCachePath

public:
property String^ PortraitCachePath {
    String^ get ();
}
member PortraitCachePath : string with get

Property Value

Type: String
See Also

Reference

Paths Class
Furcadia.IO Namespace


Paths.ScreenshotsPath Property

PathsScreenshotsPath Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Screen shots path - contains screen shot files taken by Furcadia with the CTRL+F1 hotkey. At the time of writing, in PNG format.

Default: My Documents\Furcadia\Screenshots

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string ScreenshotsPath { get; }
Public ReadOnly Property ScreenshotsPath As String
    Get

Dim instance As Paths
Dim value As String

value = instance.ScreenshotsPath

public:
property String^ ScreenshotsPath {
    String^ get ();
}
member ScreenshotsPath : string with get

Property Value

Type: String
See Also

Reference

Paths Class
Furcadia.IO Namespace


Paths.SettingsPath Property

PathsSettingsPath Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Personal settings path - contains all the Furcadia settings for each user that uses it.

Default (VISTA+): %USERPROFILE%\Local\AppData\Dragon's Eye Productions\Furcadia

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string SettingsPath { get; }
Public ReadOnly Property SettingsPath As String
    Get

Dim instance As Paths
Dim value As String

value = instance.SettingsPath

public:
property String^ SettingsPath {
    String^ get ();
}
member SettingsPath : string with get

Property Value

Type: String
See Also

Reference

Paths Class
Furcadia.IO Namespace


Paths.TemporaryDreamsPath Property

PathsTemporaryDreamsPath Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Temporary dreams path - contains downloaded player dreams for subsequent loading.

Default: %ALLUSERSPROFILE%\Dragon's Eye Productions\Furcadia\Temporary Dreams

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string TemporaryDreamsPath { get; }
Public ReadOnly Property TemporaryDreamsPath As String
    Get

Dim instance As Paths
Dim value As String

value = instance.TemporaryDreamsPath

public:
property String^ TemporaryDreamsPath {
    String^ get ();
}
member TemporaryDreamsPath : string with get

Property Value

Type: String
See Also

Reference

Paths Class
Furcadia.IO Namespace


Paths.TemporaryFilesPath Property

PathsTemporaryFilesPath Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Temporary files path - contains downloaded and uploaded files that are either used to upload packages or download them for extraction.

Default: %ALLUSERSPROFILE%\Dragon's Eye Productions\Furcadia\Temporary Files

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string TemporaryFilesPath { get; }
Public ReadOnly Property TemporaryFilesPath As String
    Get

Dim instance As Paths
Dim value As String

value = instance.TemporaryFilesPath

public:
property String^ TemporaryFilesPath {
    String^ get ();
}
member TemporaryFilesPath : string with get

Property Value

Type: String
See Also

Reference

Paths Class
Furcadia.IO Namespace


Paths.TemporaryPatchesPath Property

PathsTemporaryPatchesPath Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Temporary patch path - contains downloaded temporary patches. This technology is never in use, yet supported, so this folder is always empty.

Default: %ALLUSERSPROFILE%\Dragon's Eye Productions\Furcadia\Temporary Patches

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string TemporaryPatchesPath { get; }
Public ReadOnly Property TemporaryPatchesPath As String
    Get

Dim instance As Paths
Dim value As String

value = instance.TemporaryPatchesPath

public:
property String^ TemporaryPatchesPath {
    String^ get ();
}
member TemporaryPatchesPath : string with get

Property Value

Type: String
See Also

Reference

Paths Class
Furcadia.IO Namespace


Paths.UsingLocaldir Property

PathsUsingLocaldir Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Has LoclDir.ini been detected?

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool UsingLocaldir { get; }
Public ReadOnly Property UsingLocaldir As Boolean
    Get

Dim instance As Paths
Dim value As Boolean

value = instance.UsingLocaldir

public:
property bool UsingLocaldir {
    bool get ();
}
member UsingLocaldir : bool with get

Property Value

Type: Boolean
See Also

Reference

Paths Class
Furcadia.IO Namespace


Paths.WhisperLogsPath Property

PathsWhisperLogsPath Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Note: This API is now obsolete.

Whisper logs path - contains whisper logs for each character whispered, recorded by Pounce with the whisper windows. Default: My Documents\Furcadia\Logs\Whispers

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
[ObsoleteAttribute("As of The Second Dreaming, Tis is now legacy")]
public string WhisperLogsPath { get; }
<ObsoleteAttribute("As of The Second Dreaming, Tis is now legacy")>
Public ReadOnly Property WhisperLogsPath As String
    Get

Dim instance As Paths
Dim value As String

value = instance.WhisperLogsPath

public:
[ObsoleteAttribute(L"As of The Second Dreaming, Tis is now legacy")]
property String^ WhisperLogsPath {
    String^ get ();
}
[<ObsoleteAttribute("As of The Second Dreaming, Tis is now legacy")>]
member WhisperLogsPath : string with get

Property Value

Type: String
See Also

Reference

Paths Class
Furcadia.IO Namespace


Paths Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The Paths type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetDefaultPatchPath | Find the path to the default patch folder on the current machine.
Public method | GetFurcadiaInstallPath | Find the path to Furcadia data files currently installed on this system.
Public method | GetFurcadiaLocaldirPath | Find the current localdir path where data files would be stored on the current machine.
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Paths Class
Furcadia.IO Namespace


Paths.GetDefaultPatchPath Method

PathsGetDefaultPatchPath Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Find the path to the default patch folder on the current machine.

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string GetDefaultPatchPath()
Public Function GetDefaultPatchPath As String

Dim instance As Paths
Dim returnValue As String

returnValue = instance.GetDefaultPatchPath()
public:
String^ GetDefaultPatchPath()
member GetDefaultPatchPath : unit -> string

Return Value

Type: String
Path to the default patch folder or null if not found.
See Also

Reference

Paths Class
Furcadia.IO Namespace


Paths.GetFurcadiaInstallPath Method

PathsGetFurcadiaInstallPath Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Find the path to Furcadia data files currently installed on this system.

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string GetFurcadiaInstallPath()
Public Function GetFurcadiaInstallPath As String

Dim instance As Paths
Dim returnValue As String

returnValue = instance.GetFurcadiaInstallPath()
public:
String^ GetFurcadiaInstallPath()
member GetFurcadiaInstallPath : unit -> string

Return Value

Type: String
Path to the Furcadia program folder or null if not found/not installed.
See Also

Reference

Paths Class
Furcadia.IO Namespace


Paths.GetFurcadiaLocaldirPath Method

PathsGetFurcadiaLocaldirPath Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Find the current localdir path where data files would be stored on the current machine.

Namespace: Furcadia.IO
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string GetFurcadiaLocaldirPath()
Public Function GetFurcadiaLocaldirPath As String

Dim instance As Paths
Dim returnValue As String

returnValue = instance.GetFurcadiaLocaldirPath()
public:
String^ GetFurcadiaLocaldirPath()
member GetFurcadiaLocaldirPath : unit -> string

Return Value

Type: String
Path to the data folder from localdir.ini or null if not found.
See Also

Reference

Paths Class
Furcadia.IO Namespace


Furcadia.Logging Namespace
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Classes
 | Class | Description
Public class | ConsoleLogOutput |
Public class | FileLogOutput |
Public class | Logger |
Public class | MultiLogOutput | Multi log output
Structures
 | Structure | Description
Public structure | LogMessage |
Interfaces
 | Interface | Description
Public interface | ILogOutput |


ConsoleLogOutput Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "T:Furcadia.Logging.ConsoleLogOutput"]

Inheritance Hierarchy
SystemObject
Furcadia.LoggingConsoleLogOutput

Namespace: Furcadia.Logging
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public class ConsoleLogOutput : ILogOutput
Public Class ConsoleLogOutput
    Implements ILogOutput

Dim instance As ConsoleLogOutput
public ref class ConsoleLogOutput : ILogOutput
type ConsoleLogOutput =
    class
        interface ILogOutput
    end

The ConsoleLogOutput type exposes the following members.

Constructors
 | Name | Description
Public method | ConsoleLogOutput | Initializes a new instance of the ConsoleLogOutput class.
Top
Methods
 | Name | Description
Protected method | BuildMessage | Builds the message.
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | Log | Logs the specified log MSG.
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Furcadia.Logging Namespace
Furcadia.LoggingILogOutput


ConsoleLogOutput Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the ConsoleLogOutput class.

Namespace: Furcadia.Logging
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public ConsoleLogOutput()
Public Sub New

Dim instance As New ConsoleLogOutput()
public:
ConsoleLogOutput()
new : unit -> ConsoleLogOutput
See Also

Reference

ConsoleLogOutput Class
Furcadia.Logging Namespace


ConsoleLogOutput Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The ConsoleLogOutput type exposes the following members.

Methods
 | Name | Description
Protected method | BuildMessage | Builds the message.
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | Log | Logs the specified log MSG.
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

ConsoleLogOutput Class
Furcadia.Logging Namespace


ConsoleLogOutput.BuildMessage Method

ConsoleLogOutputBuildMessage Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Builds the message.

Namespace: Furcadia.Logging
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
protected LogMessage BuildMessage(
    ref LogMessage msg
)
Protected Function BuildMessage (
    ByRef msg As LogMessage
) As LogMessage

Dim msg As LogMessage
Dim returnValue As LogMessage

returnValue = Me.BuildMessage(msg)
protected:
LogMessage BuildMessage(
    LogMessage% msg
)
member BuildMessage :
        msg : LogMessage byref -> LogMessage

Parameters

msg
Type: Furcadia.LoggingLogMessage
The MSG.

Return Value

Type: LogMessage

[Missing <returns> documentation for "M:Furcadia.Logging.ConsoleLogOutput.BuildMessage(Furcadia.Logging.LogMessage@)"]

See Also

Reference

ConsoleLogOutput Class
Furcadia.Logging Namespace


ConsoleLogOutput.Log Method

ConsoleLogOutputLog Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Logs the specified log MSG.

Namespace: Furcadia.Logging
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public virtual void Log(
    LogMessage logMsg
)
Public Overridable Sub Log (
    logMsg As LogMessage
)

Dim instance As ConsoleLogOutput
Dim logMsg As LogMessage

instance.Log(logMsg)
public:
virtual void Log(
    LogMessage logMsg
)
abstract Log :
        logMsg : LogMessage -> unit
override Log :
        logMsg : LogMessage -> unit

Parameters

logMsg
Type: Furcadia.LoggingLogMessage
The log MSG.

Implements

ILogOutputLog(LogMessage)
See Also

Reference

ConsoleLogOutput Class
Furcadia.Logging Namespace


FileLogOutput Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "T:Furcadia.Logging.FileLogOutput"]

Inheritance Hierarchy
SystemObject
Furcadia.LoggingFileLogOutput

Namespace: Furcadia.Logging
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public class FileLogOutput : ILogOutput,
    IEquatable<FileLogOutput>
Public Class FileLogOutput
    Implements ILogOutput, IEquatable(Of FileLogOutput)

Dim instance As FileLogOutput
public ref class FileLogOutput : ILogOutput,
    IEquatable<FileLogOutput^>
type FileLogOutput =
    class
        interface ILogOutput
        interface IEquatable<FileLogOutput>
    end

The FileLogOutput type exposes the following members.

Constructors
 | Name | Description
Public method | FileLogOutput | Initializes a new instance of the FileLogOutput class.
Top
Methods
 | Name | Description
Protected method | BuildMessage | Builds the message.
Public method | Equals(Object) | Determines whether the specified Object, is equal to this instance. (Overrides ObjectEquals(Object).)
Public method | Equals(FileLogOutput) | Indicates whether the current object is equal to another object of the same type.
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Returns a hash code for this instance. (Overrides ObjectGetHashCode.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | Log | Logs the specified log message to the file.
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Furcadia.Logging Namespace
Furcadia.LoggingILogOutput


FileLogOutput Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the FileLogOutput class.

Namespace: Furcadia.Logging
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public FileLogOutput(
    string rootFolder,
    Level level = Level.Error
)
Public Sub New (
    rootFolder As String,
    Optional level As Level = Level.Error
)

Dim rootFolder As String
Dim level As Level

Dim instance As New FileLogOutput(rootFolder,
    level)
public:
FileLogOutput(
    String^ rootFolder,
    Level level = Level::Error
)
new :
        rootFolder : string *
        ?level : Level
(* Defaults:
        let _level = defaultArg level Level.Error
*)
-> FileLogOutput

Parameters

rootFolder
Type: SystemString
The root folder.
level (Optional)
Type: Level
The level.
See Also

Reference

FileLogOutput Class
Furcadia.Logging Namespace


FileLogOutput Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The FileLogOutput type exposes the following members.

Methods
 | Name | Description
Protected method | BuildMessage | Builds the message.
Public method | Equals(Object) | Determines whether the specified Object, is equal to this instance. (Overrides ObjectEquals(Object).)
Public method | Equals(FileLogOutput) | Indicates whether the current object is equal to another object of the same type.
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Returns a hash code for this instance. (Overrides ObjectGetHashCode.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | Log | Logs the specified log message to the file.
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

FileLogOutput Class
Furcadia.Logging Namespace


FileLogOutput.BuildMessage Method

FileLogOutputBuildMessage Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Builds the message.

Namespace: Furcadia.Logging
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
protected LogMessage BuildMessage(
    ref LogMessage msg
)
Protected Function BuildMessage (
    ByRef msg As LogMessage
) As LogMessage

Dim msg As LogMessage
Dim returnValue As LogMessage

returnValue = Me.BuildMessage(msg)
protected:
LogMessage BuildMessage(
    LogMessage% msg
)
member BuildMessage :
        msg : LogMessage byref -> LogMessage

Parameters

msg
Type: Furcadia.LoggingLogMessage
The MSG.

Return Value

Type: LogMessage

[Missing <returns> documentation for "M:Furcadia.Logging.FileLogOutput.BuildMessage(Furcadia.Logging.LogMessage@)"]

See Also

Reference

FileLogOutput Class
Furcadia.Logging Namespace


FileLogOutput.Equals Method

FileLogOutputEquals Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
 | Name | Description
Public method | Equals(Object) | Determines whether the specified Object, is equal to this instance. (Overrides ObjectEquals(Object).)
Public method | Equals(FileLogOutput) | Indicates whether the current object is equal to another object of the same type.
Top
See Also

Reference

FileLogOutput Class
Furcadia.Logging Namespace


FileLogOutput.Equals Method (Object)

FileLogOutputEquals Method (Object)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Determines whether the specified Object, is equal to this instance.

Namespace: Furcadia.Logging
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public override bool Equals(
    Object obj
)
Public Overrides Function Equals (
    obj As Object
) As Boolean

Dim instance As FileLogOutput
Dim obj As Object
Dim returnValue As Boolean

returnValue = instance.Equals(obj)
public:
virtual bool Equals(
    Object^ obj
) override
abstract Equals :
        obj : Object -> bool
override Equals :
        obj : Object -> bool

Parameters

obj
Type: SystemObject
The Object to compare with this instance.

Return Value

Type: Boolean
true if the specified Object is equal to this instance; otherwise, false.
See Also

Reference

FileLogOutput Class
Equals Overload
Furcadia.Logging Namespace


FileLogOutput.Equals Method (FileLogOutput)

FileLogOutputEquals Method (FileLogOutput)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Indicates whether the current object is equal to another object of the same type.

Namespace: Furcadia.Logging
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool Equals(
    FileLogOutput other
)
Public Function Equals (
    other As FileLogOutput
) As Boolean

Dim instance As FileLogOutput
Dim other As FileLogOutput
Dim returnValue As Boolean

returnValue = instance.Equals(other)
public:
virtual bool Equals(
    FileLogOutput^ other
) sealed
abstract Equals :
        other : FileLogOutput -> bool
override Equals :
        other : FileLogOutput -> bool

Parameters

other
Type: Furcadia.LoggingFileLogOutput
An object to compare with this object.

Return Value

Type: Boolean
true if the current object is equal to the other parameter; otherwise, false.

Implements

IEquatableTEquals(T)
See Also

Reference

FileLogOutput Class
Equals Overload
Furcadia.Logging Namespace


FileLogOutput.GetHashCode Method

FileLogOutputGetHashCode Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Returns a hash code for this instance.

Namespace: Furcadia.Logging
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public override int GetHashCode()
Public Overrides Function GetHashCode As Integer

Dim instance As FileLogOutput
Dim returnValue As Integer

returnValue = instance.GetHashCode()
public:
virtual int GetHashCode() override
abstract GetHashCode : unit -> int
override GetHashCode : unit -> int

Return Value

Type: Int32
A hash code for this instance, suitable for use in hashing algorithms and data structures like a hash table.
See Also

Reference

FileLogOutput Class
Furcadia.Logging Namespace


FileLogOutput.Log Method

FileLogOutputLog Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Logs the specified log message to the file.

Namespace: Furcadia.Logging
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public void Log(
    LogMessage logMsg
)
Public Sub Log (
    logMsg As LogMessage
)

Dim instance As FileLogOutput
Dim logMsg As LogMessage

instance.Log(logMsg)
public:
virtual void Log(
    LogMessage logMsg
) sealed
abstract Log :
        logMsg : LogMessage -> unit
override Log :
        logMsg : LogMessage -> unit

Parameters

logMsg
Type: Furcadia.LoggingLogMessage
The log MSG.

Implements

ILogOutputLog(LogMessage)
See Also

Reference

FileLogOutput Class
Furcadia.Logging Namespace


ILogOutput Interface
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "T:Furcadia.Logging.ILogOutput"]

Namespace: Furcadia.Logging
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public interface ILogOutput
Public Interface ILogOutput

Dim instance As ILogOutput
public interface class ILogOutput
type ILogOutput =  interface end

The ILogOutput type exposes the following members.

Methods
 | Name | Description
Public method | Log | Logs the specified log MSG.
Top
See Also

Reference

Furcadia.Logging Namespace


ILogOutput Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The ILogOutput type exposes the following members.

Methods
 | Name | Description
Public method | Log | Logs the specified log MSG.
Top
See Also

Reference

ILogOutput Interface
Furcadia.Logging Namespace


ILogOutput.Log Method

ILogOutputLog Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Logs the specified log MSG.

Namespace: Furcadia.Logging
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
void Log(
    LogMessage logMsg
)
Sub Log (
    logMsg As LogMessage
)

Dim instance As ILogOutput
Dim logMsg As LogMessage

instance.Log(logMsg)
void Log(
    LogMessage logMsg
)
abstract Log :
        logMsg : LogMessage -> unit

Parameters

logMsg
Type: Furcadia.LoggingLogMessage
The log MSG.
See Also

Reference

ILogOutput Interface
Furcadia.Logging Namespace


Logger Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "T:Furcadia.Logging.Logger"]

Inheritance Hierarchy
SystemObject
Furcadia.LoggingLogger

Namespace: Furcadia.Logging
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static class Logger
Public NotInheritable Class Logger

You do not need to declare an instance of a static class in order to access its members.
public ref class Logger abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
type Logger =  class end

The Logger type exposes the following members.

Properties
Name | Description
LogOutput | Sets the ILogOutput.
MessagesExpire | Gets or sets the messages expire time limit. Messages that have expired are removed from history. This property used in conjunction with SupressSpam = true prevents too much memory from being used over time
SingleThreaded | Gets or sets a value indicating whether [single threaded].
Top
Methods
Name | Description
DisableT | Disables logging for the specified type.
Top
See Also

Reference

Furcadia.Logging Namespace


Logger Properties
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The Logger type exposes the following members.

Properties
Name | Description
LogOutput | Sets the ILogOutput.
MessagesExpire | Gets or sets the messages expire time limit. Messages that have expired are removed from history. This property used in conjunction with SupressSpam = true prevents too much memory from being used over time
SingleThreaded | Gets or sets a value indicating whether [single threaded].
Top
See Also

Reference

Logger Class
Furcadia.Logging Namespace


Logger.LogOutput Property

LoggerLogOutput Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Sets the ILogOutput.

Namespace: Furcadia.Logging
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static ILogOutput LogOutput { get; set; }
Public Shared Property LogOutput As ILogOutput
    Get
    Set

Dim value As ILogOutput

value = Logger.LogOutput

Logger.LogOutput = value
public:
static property ILogOutput^ LogOutput {
    ILogOutput^ get ();
    void set (ILogOutput^ value);
}
static member LogOutput : ILogOutput with get, set

Property Value

Type: ILogOutput
Exceptions
Exception | Condition
ArgumentNullException | output
See Also

Reference

Logger Class
Furcadia.Logging Namespace


Logger.MessagesExpire Property

LoggerMessagesExpire Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets or sets the messages expire time limit. Messages that have expired are removed from history. This property used in conjunction with SupressSpam = true prevents too much memory from being used over time

Namespace: Furcadia.Logging
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static TimeSpan MessagesExpire { get; set; }
Public Shared Property MessagesExpire As TimeSpan
    Get
    Set

Dim value As TimeSpan

value = Logger.MessagesExpire

Logger.MessagesExpire = value
public:
static property TimeSpan MessagesExpire {
    TimeSpan get ();
    void set (TimeSpan value);
}
static member MessagesExpire : TimeSpan with get, set

Property Value

Type: TimeSpan
The messages expire time limit.
See Also

Reference

Logger Class
Furcadia.Logging Namespace


Logger.SingleThreaded Property

LoggerSingleThreaded Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets or sets a value indicating whether [single threaded].

Namespace: Furcadia.Logging
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static bool SingleThreaded { get; set; }
Public Shared Property SingleThreaded As Boolean
    Get
    Set

Dim value As Boolean

value = Logger.SingleThreaded

Logger.SingleThreaded = value
public:
static property bool SingleThreaded {
    bool get ();
    void set (bool value);
}
static member SingleThreaded : bool with get, set

Property Value

Type: Boolean
true if [single threaded]; otherwise, false.
See Also

Reference

Logger Class
Furcadia.Logging Namespace


Logger Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The Logger type exposes the following members.

Methods
Name | Description
DisableT | Disables logging for the specified type.
Top
See Also

Reference

Logger Class
Furcadia.Logging Namespace


Logger.Disable(T) Method

LoggerDisableT Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Disables logging for the specified type.

Namespace: Furcadia.Logging
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static void Disable<T>()

Public Shared Sub Disable(Of T)

Logger.Disable()
public:
generic<typename T>
static void Disable()
static member Disable : unit -> unit

Type Parameters

T
the type
See Also

Reference

Logger Class
Furcadia.Logging Namespace


LogMessage Structure
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "T:Furcadia.Logging.LogMessage"]

Namespace: Furcadia.Logging
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public struct LogMessage : IEquatable<LogMessage>
Public Structure LogMessage
    Implements IEquatable(Of LogMessage)

Dim instance As LogMessage
public value class LogMessage : IEquatable<LogMessage>
[<SealedAttribute>]
type LogMessage =
    struct
        interface IEquatable<LogMessage>
    end

The LogMessage type exposes the following members.

Methods
 | Name | Description
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | ToString | Returns a String that represents this instance. (Overrides ValueTypeToString.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Furcadia.Logging Namespace


LogMessage Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The LogMessage type exposes the following members.

Methods
 | Name | Description
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | ToString | Returns a String that represents this instance. (Overrides ValueTypeToString.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

LogMessage Structure
Furcadia.Logging Namespace


LogMessage.ToString Method

LogMessageToString Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Returns a String that represents this instance.

Namespace: Furcadia.Logging
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public override string ToString()
Public Overrides Function ToString As String

Dim instance As LogMessage
Dim returnValue As String

returnValue = instance.ToString()
public:
virtual String^ ToString() override
abstract ToString : unit -> string
override ToString : unit -> string

Return Value

Type: String
A String that represents this instance.
See Also

Reference

LogMessage Structure
Furcadia.Logging Namespace


MultiLogOutput Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Multi log output
Inheritance Hierarchy
SystemObject
Furcadia.LoggingMultiLogOutput

Namespace: Furcadia.Logging
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public class MultiLogOutput : ILogOutput
Public Class MultiLogOutput
    Implements ILogOutput

Dim instance As MultiLogOutput
public ref class MultiLogOutput : ILogOutput
type MultiLogOutput =
    class
        interface ILogOutput
    end

The MultiLogOutput type exposes the following members.

Constructors
 | Name | Description
Public method | MultiLogOutput | Initializes a new instance of the MultiLogOutput class.
Top
Properties
 | Name | Description
Public property | Outputs | Gets the outputs.
Top
Methods
 | Name | Description
Public method | Add | Adds the specified outputs.
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | Log | Logs the specified log MSG.
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | Remove | Removes the specified output.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Furcadia.Logging Namespace
Furcadia.LoggingILogOutput


MultiLogOutput Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the MultiLogOutput class.

Namespace: Furcadia.Logging
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public MultiLogOutput(
    params ILogOutput[] outputs
)
Public Sub New (
    ParamArray outputs As ILogOutput()
)

Dim outputs As ILogOutput()

Dim instance As New MultiLogOutput(outputs)
public:
MultiLogOutput(
    ... array<ILogOutput^>^ outputs
)
new :
        outputs : ILogOutput[] -> MultiLogOutput

Parameters

outputs
Type: Furcadia.LoggingILogOutput
The outputs.
See Also

Reference

MultiLogOutput Class
Furcadia.Logging Namespace


MultiLogOutput Properties
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The MultiLogOutput type exposes the following members.

Properties
 | Name | Description
Public property | Outputs | Gets the outputs.
Top
See Also

Reference

MultiLogOutput Class
Furcadia.Logging Namespace


MultiLogOutput.Outputs Property

MultiLogOutputOutputs Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets the outputs.

Namespace: Furcadia.Logging
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<ILogOutput> Outputs { get; }
Public ReadOnly Property Outputs As IEnumerable(Of ILogOutput)
    Get

Dim instance As MultiLogOutput
Dim value As IEnumerable(Of ILogOutput)

value = instance.Outputs

public:
property IEnumerable<ILogOutput^>^ Outputs {
    IEnumerable<ILogOutput^>^ get ();
}
member Outputs : IEnumerable<ILogOutput> with get

Property Value

Type: IEnumerable ILogOutput
The outputs.
See Also

Reference

MultiLogOutput Class
Furcadia.Logging Namespace


MultiLogOutput Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The MultiLogOutput type exposes the following members.

Methods
 | Name | Description
Public method | Add | Adds the specified outputs.
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | Log | Logs the specified log MSG.
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | Remove | Removes the specified output.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

MultiLogOutput Class
Furcadia.Logging Namespace


MultiLogOutput.Add Method

MultiLogOutputAdd Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Adds the specified outputs.

Namespace: Furcadia.Logging
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public void Add(
    params ILogOutput[] outputs
)
Public Sub Add (
    ParamArray outputs As ILogOutput()
)

Dim instance As MultiLogOutput
Dim outputs As ILogOutput()

instance.Add(outputs)
public:
void Add(
    ... array<ILogOutput^>^ outputs
)
member Add :
        outputs : ILogOutput[] -> unit

Parameters

outputs
Type: Furcadia.LoggingILogOutput
The outputs.
See Also

Reference

MultiLogOutput Class
Furcadia.Logging Namespace


MultiLogOutput.Log Method

MultiLogOutputLog Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Logs the specified log MSG.

Namespace: Furcadia.Logging
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public void Log(
    LogMessage logMsg
)
Public Sub Log (
    logMsg As LogMessage
)

Dim instance As MultiLogOutput
Dim logMsg As LogMessage

instance.Log(logMsg)
public:
virtual void Log(
    LogMessage logMsg
) sealed
abstract Log :
        logMsg : LogMessage -> unit
override Log :
        logMsg : LogMessage -> unit

Parameters

logMsg
Type: Furcadia.LoggingLogMessage
The log MSG.

Implements

ILogOutputLog(LogMessage)
See Also

Reference

MultiLogOutput Class
Furcadia.Logging Namespace


MultiLogOutput.Remove Method

MultiLogOutputRemove Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Removes the specified output.

Namespace: Furcadia.Logging
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public void Remove(
    ILogOutput output
)
Public Sub Remove (
    output As ILogOutput
)

Dim instance As MultiLogOutput
Dim output As ILogOutput

instance.Remove(output)
public:
void Remove(
    ILogOutput^ output
)
member Remove :
        output : ILogOutput -> unit

Parameters

output
Type: Furcadia.LoggingILogOutput
The output.
See Also

Reference

MultiLogOutput Class
Furcadia.Logging Namespace


Furcadia.Movement Namespace
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Classes
 | Class | Description
Public class | CharacterFlags | Furcadia reconmended Material to support thier Protocol Standards
Public class | ColorString | Furcadia (v31) Color string format.


CharacterFlags Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Furcadia reconmended Material to support thier Protocol Standards
Inheritance Hierarchy
SystemObject
Furcadia.MovementCharacterFlags

Namespace: Furcadia.Movement
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public class CharacterFlags
Public Class CharacterFlags

Dim instance As CharacterFlags
public ref class CharacterFlags
type CharacterFlags =  class end

The CharacterFlags type exposes the following members.

Constructors
 | Name | Description
Public method | CharacterFlags | Build Flags with Base220 string
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | HasFlag | Does the triggering furre have flags set?
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Fields
Name | Description
CHAR_FLAG_HAS_PROFILE | Character has a Web Profile page. As of Furcadia V31 This is not yet used
CHAR_FLAG_NEW_AVATAR | Shown for new arrivals to the dream
CHAR_FLAG_NONE | Character has no Flags set
CHAR_FLAG_SET_VISIBLE | Set Character Visable
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Furcadia.Movement Namespace


CharacterFlags Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Build Flags with Base220 string

Namespace: Furcadia.Movement
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public CharacterFlags(
    char flags
)
Public Sub New (
    flags As Char
)

Dim flags As Char

Dim instance As New CharacterFlags(flags)
public:
CharacterFlags(
    wchar_t flags
)
new :
        flags : char -> CharacterFlags

Parameters

flags
Type: SystemChar
Base220 String
See Also

Reference

CharacterFlags Class
Furcadia.Movement Namespace


CharacterFlags Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The CharacterFlags type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | HasFlag | Does the triggering furre have flags set?
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

CharacterFlags Class
Furcadia.Movement Namespace


CharacterFlags.HasFlag Method

CharacterFlagsHasFlag Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Does the triggering furre have flags set?

Namespace: Furcadia.Movement
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool HasFlag(
    int FlagToCheck
)
Public Function HasFlag (
    FlagToCheck As Integer
) As Boolean

Dim instance As CharacterFlags
Dim FlagToCheck As Integer
Dim returnValue As Boolean

returnValue = instance.HasFlag(FlagToCheck)
public:
bool HasFlag(
    int FlagToCheck
)
member HasFlag :
        FlagToCheck : int -> bool

Parameters

FlagToCheck
Type: SystemInt32
Any one of the CHAR_FLAG_ set

Return Value

Type: Boolean
true if the flag is set
See Also

Reference

CharacterFlags Class
Furcadia.Movement Namespace


CharacterFlags Fields
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The CharacterFlags type exposes the following members.

Fields
Name | Description
CHAR_FLAG_HAS_PROFILE | Character has a Web Profile page. As of Furcadia V31 This is not yet used
CHAR_FLAG_NEW_AVATAR | Shown for new arrivals to the dream
CHAR_FLAG_NONE | Character has no Flags set
CHAR_FLAG_SET_VISIBLE | Set Character Visable
Top
See Also

Reference

CharacterFlags Class
Furcadia.Movement Namespace


CharacterFlags.CHAR_FLAG_HAS_PROFILE Field

CharacterFlagsCHAR_FLAG_HAS_PROFILE Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Character has a Web Profile page.

As of Furcadia V31 This is not yet used

Namespace: Furcadia.Movement
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public const int CHAR_FLAG_HAS_PROFILE = 1
Public Const CHAR_FLAG_HAS_PROFILE As Integer = 1

Dim value As Integer

value = CharacterFlags.CHAR_FLAG_HAS_PROFILE

public:
literal int CHAR_FLAG_HAS_PROFILE = 1
static val mutable CHAR_FLAG_HAS_PROFILE: int

Field Value

Type: Int32
See Also

Reference

CharacterFlags Class
Furcadia.Movement Namespace


CharacterFlags.CHAR_FLAG_NEW_AVATAR Field

CharacterFlagsCHAR_FLAG_NEW_AVATAR Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Shown for new arrivals to the dream

Namespace: Furcadia.Movement
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public const int CHAR_FLAG_NEW_AVATAR = 4
Public Const CHAR_FLAG_NEW_AVATAR As Integer = 4

Dim value As Integer

value = CharacterFlags.CHAR_FLAG_NEW_AVATAR

public:
literal int CHAR_FLAG_NEW_AVATAR = 4
static val mutable CHAR_FLAG_NEW_AVATAR: int

Field Value

Type: Int32
See Also

Reference

CharacterFlags Class
Furcadia.Movement Namespace


CharacterFlags.CHAR_FLAG_NONE Field

CharacterFlagsCHAR_FLAG_NONE Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Character has no Flags set

Namespace: Furcadia.Movement
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public const int CHAR_FLAG_NONE = 0
Public Const CHAR_FLAG_NONE As Integer = 0

Dim value As Integer

value = CharacterFlags.CHAR_FLAG_NONE

public:
literal int CHAR_FLAG_NONE = 0
static val mutable CHAR_FLAG_NONE: int

Field Value

Type: Int32
See Also

Reference

CharacterFlags Class
Furcadia.Movement Namespace


CharacterFlags.CHAR_FLAG_SET_VISIBLE Field

CharacterFlagsCHAR_FLAG_SET_VISIBLE Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Set Character Visable

Namespace: Furcadia.Movement
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public const int CHAR_FLAG_SET_VISIBLE = 2
Public Const CHAR_FLAG_SET_VISIBLE As Integer = 2

Dim value As Integer

value = CharacterFlags.CHAR_FLAG_SET_VISIBLE

public:
literal int CHAR_FLAG_SET_VISIBLE = 2
static val mutable CHAR_FLAG_SET_VISIBLE: int

Field Value

Type: Int32
See Also

Reference

CharacterFlags Class
Furcadia.Movement Namespace


ColorString Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Furcadia (v31) Color string format.
Inheritance Hierarchy
SystemObject
Furcadia.MovementColorString

Namespace: Furcadia.Movement
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public class ColorString
Public Class ColorString

Dim instance As ColorString
public ref class ColorString
type ColorString =  class end

The ColorString type exposes the following members.

Constructors
 | Name | Description
Public method | ColorString | Default Construtor
Public method | ColorString(String) | Constructor with Base220 encoded ColorStrinhg
Top
Properties
 | Name | Description
Public property | Accent | Acccent
Public property | Avatar | Avatar
Public property | Badge | Badge Color
Public property | Boots | Boots Color
Public property | Bracers | Bracers color
Public property | Cape | cape color
Public property | Eye | Eye color
Public property | Fur | Fur color
Public property | Gender | Avatar Gender
Public property | Hair | Hair color
Public property | Length | ColorString String Lengeth
Public property | Markings | Markings color
Public property | Special | Obsolete. Gets or sets the special.
Public property | Species | Avatar Species
Public property | Trousers | Trousers color
Public property | Vest | /Vest Color
Public property | Wings | Wings
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Output the Base220 encoded color string (Overrides ObjectToString.)
Public method | Update | Update the Furre's color-code
Top
Operators
Name | Description
(String to ColorString) | Performs an implicit conversion from String to ColorString.
Top
Fields
Name | Description
ColorStringSize | wide format ("w") String size
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
Remarks
This is derived content from the Furcadia Dev Docs and Furcadia Technical Resources

Update 23 Avatar Moement http://dev.furcadia.com/docs/023_new_movement.pdf

Update 27 Movement http://dev.furcadia.com/docs/027_movement.html

FTR http://ftr.icerealm.org/ref-instructions/

See Also

Reference

Furcadia.Movement Namespace


ColorString Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
 | Name | Description
Public method | ColorString | Default Construtor
Public method | ColorString(String) | Constructor with Base220 encoded ColorStrinhg
Top
See Also

Reference

ColorString Class
Furcadia.Movement Namespace


ColorString Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Default Construtor

Namespace: Furcadia.Movement
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public ColorString()
Public Sub New

Dim instance As New ColorString()
public:
ColorString()
new : unit -> ColorString
See Also

Reference

ColorString Class
ColorString Overload
Furcadia.Movement Namespace


ColorString Constructor (String)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Constructor with Base220 encoded ColorStrinhg

Namespace: Furcadia.Movement
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public ColorString(
    string Colors
)
Public Sub New (
    Colors As String
)

Dim Colors As String

Dim instance As New ColorString(Colors)
public:
ColorString(
    String^ Colors
)
new :
        Colors : string -> ColorString

Parameters

Colors
Type: SystemString
Color String in legacy "t" format or new "w" format
See Also

Reference

ColorString Class
ColorString Overload
Furcadia.Movement Namespace


ColorString Properties
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The ColorString type exposes the following members.

Properties
 | Name | Description
Public property | Accent | Acccent
Public property | Avatar | Avatar
Public property | Badge | Badge Color
Public property | Boots | Boots Color
Public property | Bracers | Bracers color
Public property | Cape | cape color
Public property | Eye | Eye color
Public property | Fur | Fur color
Public property | Gender | Avatar Gender
Public property | Hair | Hair color
Public property | Length | ColorString String Lengeth
Public property | Markings | Markings color
Public property | Special | Obsolete. Gets or sets the special.
Public property | Species | Avatar Species
Public property | Trousers | Trousers color
Public property | Vest | /Vest Color
Public property | Wings | Wings
Top
See Also

Reference

ColorString Class
Furcadia.Movement Namespace


ColorString.Accent Property

ColorStringAccent Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Acccent

Namespace: Furcadia.Movement
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public Base220 Accent { get; set; }
Public Property Accent As Base220
    Get
    Set

Dim instance As ColorString
Dim value As Base220

value = instance.Accent

instance.Accent = value
public:
property Base220^ Accent {
    Base220^ get ();
    void set (Base220^ value);
}
member Accent : Base220 with get, set

Property Value

Type: Base220
See Also

Reference

ColorString Class
Furcadia.Movement Namespace


ColorString.Avatar Property

ColorStringAvatar Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Avatar

Namespace: Furcadia.Movement
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public Base220 Avatar { get; set; }
Public Property Avatar As Base220
    Get
    Set

Dim instance As ColorString
Dim value As Base220

value = instance.Avatar

instance.Avatar = value
public:
property Base220^ Avatar {
    Base220^ get ();
    void set (Base220^ value);
}
member Avatar : Base220 with get, set

Property Value

Type: Base220
See Also

Reference

ColorString Class
Furcadia.Movement Namespace


ColorString.Badge Property

ColorStringBadge Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Badge Color

Namespace: Furcadia.Movement
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public Base220 Badge { get; set; }
Public Property Badge As Base220
    Get
    Set

Dim instance As ColorString
Dim value As Base220

value = instance.Badge

instance.Badge = value
public:
property Base220^ Badge {
    Base220^ get ();
    void set (Base220^ value);
}
member Badge : Base220 with get, set

Property Value

Type: Base220
See Also

Reference

ColorString Class
Furcadia.Movement Namespace


ColorString.Boots Property

ColorStringBoots Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Boots Color

Namespace: Furcadia.Movement
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public Base220 Boots { get; set; }
Public Property Boots As Base220
    Get
    Set

Dim instance As ColorString
Dim value As Base220

value = instance.Boots

instance.Boots = value
public:
property Base220^ Boots {
    Base220^ get ();
    void set (Base220^ value);
}
member Boots : Base220 with get, set

Property Value

Type: Base220
See Also

Reference

ColorString Class
Furcadia.Movement Namespace


ColorString.Bracers Property

ColorStringBracers Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Bracers color

Namespace: Furcadia.Movement
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public Base220 Bracers { get; set; }
Public Property Bracers As Base220
    Get
    Set

Dim instance As ColorString
Dim value As Base220

value = instance.Bracers

instance.Bracers = value
public:
property Base220^ Bracers {
    Base220^ get ();
    void set (Base220^ value);
}
member Bracers : Base220 with get, set

Property Value

Type: Base220
See Also

Reference

ColorString Class
Furcadia.Movement Namespace


ColorString.Cape Property

ColorStringCape Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

cape color

Namespace: Furcadia.Movement
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public Base220 Cape { get; set; }
Public Property Cape As Base220
    Get
    Set

Dim instance As ColorString
Dim value As Base220

value = instance.Cape

instance.Cape = value
public:
property Base220^ Cape {
    Base220^ get ();
    void set (Base220^ value);
}
member Cape : Base220 with get, set

Property Value

Type: Base220
See Also

Reference

ColorString Class
Furcadia.Movement Namespace


ColorString.Eye Property

ColorStringEye Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Eye color

Namespace: Furcadia.Movement
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public Base220 Eye { get; set; }
Public Property Eye As Base220
    Get
    Set

Dim instance As ColorString
Dim value As Base220

value = instance.Eye

instance.Eye = value
public:
property Base220^ Eye {
    Base220^ get ();
    void set (Base220^ value);
}
member Eye : Base220 with get, set

Property Value

Type: Base220
See Also

Reference

ColorString Class
Furcadia.Movement Namespace


ColorString.Fur Property

ColorStringFur Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Fur color

Namespace: Furcadia.Movement
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public Base220 Fur { get; set; }
Public Property Fur As Base220
    Get
    Set

Dim instance As ColorString
Dim value As Base220

value = instance.Fur

instance.Fur = value
public:
property Base220^ Fur {
    Base220^ get ();
    void set (Base220^ value);
}
member Fur : Base220 with get, set

Property Value

Type: Base220
See Also

Reference

ColorString Class
Furcadia.Movement Namespace


ColorString.Gender Property

ColorStringGender Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Avatar Gender

Namespace: Furcadia.Movement
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public Base220 Gender { get; set; }
Public Property Gender As Base220
    Get
    Set

Dim instance As ColorString
Dim value As Base220

value = instance.Gender

instance.Gender = value
public:
property Base220^ Gender {
    Base220^ get ();
    void set (Base220^ value);
}
member Gender : Base220 with get, set

Property Value

Type: Base220
See Also

Reference

ColorString Class
Furcadia.Movement Namespace


ColorString.Hair Property

ColorStringHair Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Hair color

Namespace: Furcadia.Movement
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public Base220 Hair { get; set; }
Public Property Hair As Base220
    Get
    Set

Dim instance As ColorString
Dim value As Base220

value = instance.Hair

instance.Hair = value
public:
property Base220^ Hair {
    Base220^ get ();
    void set (Base220^ value);
}
member Hair : Base220 with get, set

Property Value

Type: Base220
See Also

Reference

ColorString Class
Furcadia.Movement Namespace


ColorString.Length Property

ColorStringLength Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

ColorString String Lengeth

Namespace: Furcadia.Movement
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public int Length { get; }
Public ReadOnly Property Length As Integer
    Get

Dim instance As ColorString
Dim value As Integer

value = instance.Length

public:
property int Length {
    int get ();
}
member Length : int with get

Property Value

Type: Int32
See Also

Reference

ColorString Class
Furcadia.Movement Namespace


ColorString.Markings Property

ColorStringMarkings Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Markings color

Namespace: Furcadia.Movement
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public Base220 Markings { get; set; }
Public Property Markings As Base220
    Get
    Set

Dim instance As ColorString
Dim value As Base220

value = instance.Markings

instance.Markings = value
public:
property Base220^ Markings {
    Base220^ get ();
    void set (Base220^ value);
}
member Markings : Base220 with get, set

Property Value

Type: Base220
See Also

Reference

ColorString Class
Furcadia.Movement Namespace


ColorString.Special Property

ColorStringSpecial Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Note: This API is now obsolete.

Gets or sets the special.

Namespace: Furcadia.Movement
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
[ObsoleteAttribute("Legacy as of Furcadia V31", false)]
public Base220 Special { get; set; }
<ObsoleteAttribute("Legacy as of Furcadia V31", false)>
Public Property Special As Base220
    Get
    Set

Dim instance As ColorString
Dim value As Base220

value = instance.Special

instance.Special = value
public:
[ObsoleteAttribute(L"Legacy as of Furcadia V31", false)]
property Base220^ Special {
    Base220^ get ();
    void set (Base220^ value);
}
[<ObsoleteAttribute("Legacy as of Furcadia V31", false)>]
member Special : Base220 with get, set

Property Value

Type: Base220
The special.
See Also

Reference

ColorString Class
Furcadia.Movement Namespace


ColorString.Species Property

ColorStringSpecies Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Avatar Species

Namespace: Furcadia.Movement
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public Base220 Species { get; set; }
Public Property Species As Base220
    Get
    Set

Dim instance As ColorString
Dim value As Base220

value = instance.Species

instance.Species = value
public:
property Base220^ Species {
    Base220^ get ();
    void set (Base220^ value);
}
member Species : Base220 with get, set

Property Value

Type: Base220
See Also

Reference

ColorString Class
Furcadia.Movement Namespace


ColorString.Trousers Property

ColorStringTrousers Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Trousers color

Namespace: Furcadia.Movement
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public Base220 Trousers { get; set; }
Public Property Trousers As Base220
    Get
    Set

Dim instance As ColorString
Dim value As Base220

value = instance.Trousers

instance.Trousers = value
public:
property Base220^ Trousers {
    Base220^ get ();
    void set (Base220^ value);
}
member Trousers : Base220 with get, set

Property Value

Type: Base220
See Also

Reference

ColorString Class
Furcadia.Movement Namespace


ColorString.Vest Property

ColorStringVest Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

/Vest Color

Namespace: Furcadia.Movement
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public Base220 Vest { get; set; }
Public Property Vest As Base220
    Get
    Set

Dim instance As ColorString
Dim value As Base220

value = instance.Vest

instance.Vest = value
public:
property Base220^ Vest {
    Base220^ get ();
    void set (Base220^ value);
}
member Vest : Base220 with get, set

Property Value

Type: Base220
See Also

Reference

ColorString Class
Furcadia.Movement Namespace


ColorString.Wings Property

ColorStringWings Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Wings

Namespace: Furcadia.Movement
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public Base220 Wings { get; set; }
Public Property Wings As Base220
    Get
    Set

Dim instance As ColorString
Dim value As Base220

value = instance.Wings

instance.Wings = value
public:
property Base220^ Wings {
    Base220^ get ();
    void set (Base220^ value);
}
member Wings : Base220 with get, set

Property Value

Type: Base220
See Also

Reference

ColorString Class
Furcadia.Movement Namespace


ColorString Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The ColorString type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Output the Base220 encoded color string (Overrides ObjectToString.)
Public method | Update | Update the Furre's color-code
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

ColorString Class
Furcadia.Movement Namespace


ColorString.ToString Method

ColorStringToString Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Output the Base220 encoded color string

Namespace: Furcadia.Movement
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public override string ToString()
Public Overrides Function ToString As String

Dim instance As ColorString
Dim returnValue As String

returnValue = instance.ToString()
public:
virtual String^ ToString() override
abstract ToString : unit -> string
override ToString : unit -> string

Return Value

Type: String
Furcadia color-string in modern "w" format
See Also

Reference

ColorString Class
Furcadia.Movement Namespace


ColorString.Update Method

ColorStringUpdate Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Update the Furre's color-code

Namespace: Furcadia.Movement
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public void Update(
    string Colors
)
Public Sub Update (
    Colors As String
)

Dim instance As ColorString
Dim Colors As String

instance.Update(Colors)
public:
void Update(
    String^ Colors
)
member Update :
        Colors : string -> unit

Parameters

Colors
Type: SystemString
Partial Color String
See Also

Reference

ColorString Class
Furcadia.Movement Namespace


ColorString Type Conversions
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The ColorString type exposes the following members.

Operators
Name | Description
(String to ColorString) | Performs an implicit conversion from String to ColorString.
Top
See Also

Reference

ColorString Class
Furcadia.Movement Namespace


ColorString Implicit Conversion (String to ColorString)

ColorString Conversion (String to ColorString)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Performs an implicit conversion from String to ColorString.

Namespace: Furcadia.Movement
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static implicit operator ColorString (
    string colors
)
Public Shared Widening Operator CType (
    colors As String
) As ColorString

Dim input As String
Dim output As ColorString

output = CType(input, ColorString)
static implicit operator ColorString^ (
    String^ colors
)
F# does not support the declaration of new casting operators.

Parameters

colors
Type: SystemString
The colors.

Return Value

Type: ColorString
The result of the conversion.
See Also

Reference

ColorString Class
Furcadia.Movement Namespace


ColorString Fields
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The ColorString type exposes the following members.

Fields
Name | Description
ColorStringSize | wide format ("w") String size
Top
See Also

Reference

ColorString Class
Furcadia.Movement Namespace


ColorString.ColorStringSize Field

ColorStringColorStringSize Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

wide format ("w") String size

Namespace: Furcadia.Movement
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public const int ColorStringSize = 13
Public Const ColorStringSize As Integer = 13

Dim value As Integer

value = ColorString.ColorStringSize

public:
literal int ColorStringSize = 13
static val mutable ColorStringSize: int

Field Value

Type: Int32
See Also

Reference

ColorString Class
Furcadia.Movement Namespace


Furcadia.Net Namespaces
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Namespaces
Namespace | Description
Furcadia.Net |
Furcadia.Net.DirectConnection |
Furcadia.Net.DreamInfo |
Furcadia.Net.Options |
Furcadia.Net.Pounce |
Furcadia.Net.Proxy |
Furcadia.Net.Utils |
Furcadia.Net.Web |


Furcadia.Net Namespace
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Classes
 | Class | Description
Public class | NetChannelEventArgs |
Public class | NetClientEventArgs | Client Status Event Arguments.
Public class | NetMessage | Default.
Public class | NetProxyException | Description of NetProxyException.
Public class | NetServerEventArgs | Game Server Status Event Arguments
Public class | ParseChannelArgs | Parse Server Instruction set
Public class | ParseServerArgs |
Interfaces
 | Interface | Description
Public interface | INetMessage |
Enumerations
 | Enumeration | Description
Public enumeration | ConnectionPhase | Connection Status
Public enumeration | ServerInstructionType | Server to Client Instruction set. (Furcadia v31c) This is the set that FF3PP understands and uses. these can change with each Furcadia update.


ConnectionPhase Enumeration
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Connection Status

Namespace: Furcadia.Net
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
[CLSCompliantAttribute(true)]
public enum ConnectionPhase
<CLSCompliantAttribute(true)>
Public Enumeration ConnectionPhase

Dim instance As ConnectionPhase
[CLSCompliantAttribute(true)]
public enum class ConnectionPhase
[<CLSCompliantAttribute(true)>]
type ConnectionPhase
Members
Member name | Value | Description
error | -1 | Default Error Halt Game Server and Client Connection Procedure
Init | 0 | Initialize Connection
Connecting | 1 | Connection started
MOTD | 2 | Message of the Day IE: Good Morning Dave...
Auth | 3 | Login Account,Password, Character Name
Connected | 4 | Connection established
Disconnected | 5 | Connection lost
Remarks
Credit to Artex for his open source projects use this method

Reference http://dev.furcadia.com/docs/027_movement.html

See Also

Reference

Furcadia.Net Namespace


INetMessage Interface
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "T:Furcadia.Net.INetMessage"]

Namespace: Furcadia.Net
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public interface INetMessage
Public Interface INetMessage

Dim instance As INetMessage
public interface class INetMessage
type INetMessage =  interface end

The INetMessage type exposes the following members.

Methods
 | Name | Description
Public method | GetString | Gets the string.
Public method | Write(Byte) | Writes the specified data.
Public method | Write(String) | Writes the specified data.
Top
See Also

Reference

Furcadia.Net Namespace


INetMessage Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The INetMessage type exposes the following members.

Methods
 | Name | Description
Public method | GetString | Gets the string.
Public method | Write(Byte) | Writes the specified data.
Public method | Write(String) | Writes the specified data.
Top
See Also

Reference

INetMessage Interface
Furcadia.Net Namespace


INetMessage.GetString Method

INetMessageGetString Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets the string.

Namespace: Furcadia.Net
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
string GetString()
Function GetString As String

Dim instance As INetMessage
Dim returnValue As String

returnValue = instance.GetString()
String^ GetString()
abstract GetString : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:Furcadia.Net.INetMessage.GetString"]

See Also

Reference

INetMessage Interface
Furcadia.Net Namespace


INetMessage.Write Method

INetMessageWrite Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
 | Name | Description
Public method | Write(Byte) | Writes the specified data.
Public method | Write(String) | Writes the specified data.
Top
See Also

Reference

INetMessage Interface
Furcadia.Net Namespace


INetMessage.Write Method (Byte[])

INetMessageWrite Method (Byte)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Writes the specified data.

Namespace: Furcadia.Net
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
void Write(
    byte[] data
)
Sub Write (
    data As Byte()
)

Dim instance As INetMessage
Dim data As Byte()

instance.Write(data)
void Write(
    array<unsigned char>^ data
)
abstract Write :
        data : byte[] -> unit

Parameters

data
Type: SystemByte
The data.
See Also

Reference

INetMessage Interface
Write Overload
Furcadia.Net Namespace


INetMessage.Write Method (String)

INetMessageWrite Method (String)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Writes the specified data.

Namespace: Furcadia.Net
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
void Write(
    string data
)
Sub Write (
    data As String
)

Dim instance As INetMessage
Dim data As String

instance.Write(data)
void Write(
    String^ data
)
abstract Write :
        data : string -> unit

Parameters

data
Type: SystemString
The data.
See Also

Reference

INetMessage Interface
Write Overload
Furcadia.Net Namespace


NetChannelEventArgs Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "T:Furcadia.Net.NetChannelEventArgs"]

Inheritance Hierarchy
SystemObject
SystemEventArgs
Furcadia.NetNetServerEventArgs
Furcadia.NetNetChannelEventArgs

Namespace: Furcadia.Net
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public class NetChannelEventArgs : NetServerEventArgs
Public Class NetChannelEventArgs
    Inherits NetServerEventArgs

Dim instance As NetChannelEventArgs
public ref class NetChannelEventArgs : public NetServerEventArgs
type NetChannelEventArgs =
    class
        inherit NetServerEventArgs
    end

The NetChannelEventArgs type exposes the following members.

Constructors
 | Name | Description
Public method | NetChannelEventArgs | Initializes a new instance of the NetChannelEventArgs class
Top
Properties
 | Name | Description
Public property | Channel | Server Text Channel
Public property | ServerInstruction | Server to Client instructions (Inherited from NetServerEventArgs.)
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Fields
 | Name | Description
Public field | ConnectPhase | Status of the Server Connection (Inherited from NetServerEventArgs.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Furcadia.Net Namespace
Furcadia.NetNetServerEventArgs


NetChannelEventArgs Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the NetChannelEventArgs class

Namespace: Furcadia.Net
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public NetChannelEventArgs()
Public Sub New

Dim instance As New NetChannelEventArgs()
public:
NetChannelEventArgs()
new : unit -> NetChannelEventArgs
See Also

Reference

NetChannelEventArgs Class
Furcadia.Net Namespace


NetChannelEventArgs Properties
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The NetChannelEventArgs type exposes the following members.

Properties
 | Name | Description
Public property | Channel | Server Text Channel
Public property | ServerInstruction | Server to Client instructions (Inherited from NetServerEventArgs.)
Top
See Also

Reference

NetChannelEventArgs Class
Furcadia.Net Namespace


NetChannelEventArgs.Channel Property

NetChannelEventArgsChannel Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Server Text Channel

Namespace: Furcadia.Net
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string Channel { get; set; }
Public Property Channel As String
    Get
    Set

Dim instance As NetChannelEventArgs
Dim value As String

value = instance.Channel

instance.Channel = value
public:
property String^ Channel {
    String^ get ();
    void set (String^ value);
}
member Channel : string with get, set

Property Value

Type: String
See Also

Reference

NetChannelEventArgs Class
Furcadia.Net Namespace


NetChannelEventArgs Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The NetChannelEventArgs type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

NetChannelEventArgs Class
Furcadia.Net Namespace


NetChannelEventArgs Fields
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The NetChannelEventArgs type exposes the following members.

Fields
 | Name | Description
Public field | ConnectPhase | Status of the Server Connection (Inherited from NetServerEventArgs.)
Top
See Also

Reference

NetChannelEventArgs Class
Furcadia.Net Namespace


NetClientEventArgs Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Client Status Event Arguments.
Inheritance Hierarchy
SystemObject
SystemEventArgs
Furcadia.NetNetClientEventArgs

Namespace: Furcadia.Net
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
[SerializableAttribute]
public class NetClientEventArgs : EventArgs
<SerializableAttribute>
Public Class NetClientEventArgs
    Inherits EventArgs

Dim instance As NetClientEventArgs
[SerializableAttribute]
public ref class NetClientEventArgs : public EventArgs
[<SerializableAttribute>]
type NetClientEventArgs =
    class
        inherit EventArgs
    end

The NetClientEventArgs type exposes the following members.

Constructors
 | Name | Description
Public method | NetClientEventArgs | Default Constructor error
Public method | NetClientEventArgs(ConnectionPhase, String) | Constructor
Top
Properties
 | Name | Description
Public property | ClientData | optional string message
Public property | ConnectPhase | Status of the Furcadia Client Connection
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Furcadia.Net Namespace


NetClientEventArgs Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
 | Name | Description
Public method | NetClientEventArgs | Default Constructor error
Public method | NetClientEventArgs(ConnectionPhase, String) | Constructor
Top
See Also

Reference

NetClientEventArgs Class
Furcadia.Net Namespace


NetClientEventArgs Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Default Constructor error

Namespace: Furcadia.Net
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public NetClientEventArgs()
Public Sub New

Dim instance As New NetClientEventArgs()
public:
NetClientEventArgs()
new : unit -> NetClientEventArgs
See Also

Reference

NetClientEventArgs Class
NetClientEventArgs Overload
Furcadia.Net Namespace


NetClientEventArgs Constructor (ConnectionPhase, String)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Constructor

Namespace: Furcadia.Net
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public NetClientEventArgs(
    ConnectionPhase phase,
    string clientdata = null
)
Public Sub New (
    phase As ConnectionPhase,
    Optional clientdata As String = Nothing
)

Dim phase As ConnectionPhase
Dim clientdata As String

Dim instance As New NetClientEventArgs(phase, clientdata)
public:
NetClientEventArgs(
    ConnectionPhase phase,
    String^ clientdata = nullptr
)
new :
        phase : ConnectionPhase *
        ?clientdata : string
(* Defaults:
        let _clientdata = defaultArg clientdata null
*)
-> NetClientEventArgs

Parameters

phase
Type: Furcadia.NetConnectionPhase
Connection Phase
clientdata (Optional)
Type: SystemString
Optional Message
See Also

Reference

NetClientEventArgs Class
NetClientEventArgs Overload
Furcadia.Net Namespace


NetClientEventArgs Properties
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The NetClientEventArgs type exposes the following members.

Properties
 | Name | Description
Public property | ClientData | optional string message
Public property | ConnectPhase | Status of the Furcadia Client Connection
Top
See Also

Reference

NetClientEventArgs Class
Furcadia.Net Namespace


NetClientEventArgs.ClientData Property

NetClientEventArgsClientData Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

optional string message

Namespace: Furcadia.Net
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string ClientData { get; }
Public ReadOnly Property ClientData As String
    Get

Dim instance As NetClientEventArgs
Dim value As String

value = instance.ClientData

public:
property String^ ClientData {
    String^ get ();
}
member ClientData : string with get

Property Value

Type: String
See Also

Reference

NetClientEventArgs Class
Furcadia.Net Namespace


NetClientEventArgs.ConnectPhase Property

NetClientEventArgsConnectPhase Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Status of the Furcadia Client Connection

Namespace: Furcadia.Net
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public ConnectionPhase ConnectPhase { get; }
Public ReadOnly Property ConnectPhase As ConnectionPhase
    Get

Dim instance As NetClientEventArgs
Dim value As ConnectionPhase

value = instance.ConnectPhase

public:
property ConnectionPhase ConnectPhase {
    ConnectionPhase get ();
}
member ConnectPhase : ConnectionPhase with get

Property Value

Type: ConnectionPhase
See Also

Reference

NetClientEventArgs Class
Furcadia.Net Namespace


NetClientEventArgs Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The NetClientEventArgs type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

NetClientEventArgs Class
Furcadia.Net Namespace


NetMessage Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Default.
Inheritance Hierarchy
SystemObject
Furcadia.NetNetMessage

Namespace: Furcadia.Net
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public class NetMessage : INetMessage
Public Class NetMessage
    Implements INetMessage

Dim instance As NetMessage
public ref class NetMessage : INetMessage
type NetMessage =
    class
        interface INetMessage
    end

The NetMessage type exposes the following members.

Constructors
 | Name | Description
Public method | NetMessage | Initializes a new instance of the NetMessage class
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Furcadia.Net Namespace


NetMessage Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the NetMessage class

Namespace: Furcadia.Net
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public NetMessage()
Public Sub New

Dim instance As New NetMessage()
public:
NetMessage()
new : unit -> NetMessage
See Also

Reference

NetMessage Class
Furcadia.Net Namespace


NetMessage Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The NetMessage type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

NetMessage Class
Furcadia.Net Namespace


NetProxyException Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Description of NetProxyException.
Inheritance Hierarchy
SystemObject
SystemException
Furcadia.NetNetProxyException

Namespace: Furcadia.Net
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
[SerializableAttribute]
public class NetProxyException : Exception,
    ISerializable
<SerializableAttribute>
Public Class NetProxyException
    Inherits Exception
    Implements ISerializable

Dim instance As NetProxyException
[SerializableAttribute]
public ref class NetProxyException : public Exception,
    ISerializable
[<SerializableAttribute>]
type NetProxyException =
    class
        inherit Exception
        interface ISerializable
    end

The NetProxyException type exposes the following members.

Constructors
 | Name | Description
Public method | NetProxyException | Initializes a new instance of the NetProxyException class
Public method | NetProxyException(String) | Initializes a new instance of the NetProxyException class
Protected method | NetProxyException(SerializationInfo, StreamingContext) | Initializes a new instance of the NetProxyException class
Public method | NetProxyException(String, Exception) | Initializes a new instance of the NetProxyException class
Top
Properties
 | Name | Description
Public property | Data | Gets a collection of key/value pairs that provide additional user-defined information about the exception. (Inherited from Exception.)
Public property | HelpLink | Gets or sets a link to the help file associated with this exception. (Inherited from Exception.)
Public property | HResult | Gets or sets HRESULT, a coded numerical value that is assigned to a specific exception. (Inherited from Exception.)
Public property | InnerException | Gets the Exception instance that caused the current exception. (Inherited from Exception.)
Public property | Message | Gets a message that describes the current exception. (Inherited from Exception.)
Public property | Source | Gets or sets the name of the application or the object that causes the error. (Inherited from Exception.)
Public property | StackTrace | Gets a string representation of the immediate frames on the call stack. (Inherited from Exception.)
Public property | TargetSite | Gets the method that throws the current exception. (Inherited from Exception.)
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetBaseException | When overridden in a derived class, returns the Exception that is the root cause of one or more subsequent exceptions. (Inherited from Exception.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetObjectData | When overridden in a derived class, sets the SerializationInfo with information about the exception. (Inherited from Exception.)
Public method | GetType | Gets the runtime type of the current instance. (Inherited from Exception.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Creates and returns a string representation of the current exception. (Inherited from Exception.)
Top
Events
 | Name | Description
Protected event | SerializeObjectState | Occurs when an exception is serialized to create an exception state object that contains serialized data about the exception. (Inherited from Exception.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Public Extension Method | Flatten | Flattens the specified exception. (Defined by ExceptionExtensions.)
Public Extension Method | Log(Level, String) | Overloaded. Logs the specified level. (Defined by ExceptionExtensions.)
Public Extension Method | LogT(Level, String) | Overloaded. Logs the specified level. (Defined by ExceptionExtensions.)
Public Extension Method | LogMessage(Level, String) | Overloaded. Logs the message. (Defined by ExceptionExtensions.)
Public Extension Method | LogMessageT(Level, String) | Overloaded. Logs the message. (Defined by ExceptionExtensions.)
Top
See Also

Reference

Furcadia.Net Namespace


NetProxyException Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
 | Name | Description
Public method | NetProxyException | Initializes a new instance of the NetProxyException class
Public method | NetProxyException(String) | Initializes a new instance of the NetProxyException class
Protected method | NetProxyException(SerializationInfo, StreamingContext) | Initializes a new instance of the NetProxyException class
Public method | NetProxyException(String, Exception) | Initializes a new instance of the NetProxyException class
Top
See Also

Reference

NetProxyException Class
Furcadia.Net Namespace


NetProxyException Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the NetProxyException class

Namespace: Furcadia.Net
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public NetProxyException()
Public Sub New

Dim instance As New NetProxyException()
public:
NetProxyException()
new : unit -> NetProxyException
See Also

Reference

NetProxyException Class
NetProxyException Overload
Furcadia.Net Namespace


NetProxyException Constructor (String)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the NetProxyException class

Namespace: Furcadia.Net
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public NetProxyException(
    string message
)
Public Sub New (
    message As String
)

Dim message As String

Dim instance As New NetProxyException(message)
public:
NetProxyException(
    String^ message
)
new :
        message : string -> NetProxyException

Parameters

message
Type: SystemString

[Missing <param name="message"/> documentation for "M:Furcadia.Net.NetProxyException.#ctor(System.String)"]

See Also

Reference

NetProxyException Class
NetProxyException Overload
Furcadia.Net Namespace


NetProxyException Constructor (SerializationInfo, StreamingContext)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the NetProxyException class

Namespace: Furcadia.Net
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
protected NetProxyException(
    SerializationInfo info,
    StreamingContext context
)
Protected Sub New (
    info As SerializationInfo,
    context As StreamingContext
)

Dim info As SerializationInfo
Dim context As StreamingContext

Dim instance As New NetProxyException(info, context)
protected:
NetProxyException(
    SerializationInfo^ info,
    StreamingContext context
)
new :
        info : SerializationInfo *
        context : StreamingContext -> NetProxyException

Parameters

info
Type: System.Runtime.SerializationSerializationInfo

[Missing <param name="info"/> documentation for "M:Furcadia.Net.NetProxyException.#ctor(System.Runtime.Serialization.SerializationInfo,System.Runtime.Serialization.StreamingContext)"]

context
Type: System.Runtime.SerializationStreamingContext

[Missing <param name="context"/> documentation for "M:Furcadia.Net.NetProxyException.#ctor(System.Runtime.Serialization.SerializationInfo,System.Runtime.Serialization.StreamingContext)"]

See Also

Reference

NetProxyException Class
NetProxyException Overload
Furcadia.Net Namespace


NetProxyException Constructor (String, Exception)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the NetProxyException class

Namespace: Furcadia.Net
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public NetProxyException(
    string message,
    Exception innerException
)
Public Sub New (
    message As String,
    innerException As Exception
)

Dim message As String
Dim innerException As Exception

Dim instance As New NetProxyException(message,
    innerException)
public:
NetProxyException(
    String^ message,
    Exception^ innerException
)
new :
        message : string *
        innerException : Exception -> NetProxyException

Parameters

message
Type: SystemString

[Missing <param name="message"/> documentation for "M:Furcadia.Net.NetProxyException.#ctor(System.String,System.Exception)"]

innerException
Type: SystemException

[Missing <param name="innerException"/> documentation for "M:Furcadia.Net.NetProxyException.#ctor(System.String,System.Exception)"]

See Also

Reference

NetProxyException Class
NetProxyException Overload
Furcadia.Net Namespace


NetProxyException Properties
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The NetProxyException type exposes the following members.

Properties
 | Name | Description
Public property | Data | Gets a collection of key/value pairs that provide additional user-defined information about the exception. (Inherited from Exception.)
Public property | HelpLink | Gets or sets a link to the help file associated with this exception. (Inherited from Exception.)
Public property | HResult | Gets or sets HRESULT, a coded numerical value that is assigned to a specific exception. (Inherited from Exception.)
Public property | InnerException | Gets the Exception instance that caused the current exception. (Inherited from Exception.)
Public property | Message | Gets a message that describes the current exception. (Inherited from Exception.)
Public property | Source | Gets or sets the name of the application or the object that causes the error. (Inherited from Exception.)
Public property | StackTrace | Gets a string representation of the immediate frames on the call stack. (Inherited from Exception.)
Public property | TargetSite | Gets the method that throws the current exception. (Inherited from Exception.)
Top
See Also

Reference

NetProxyException Class
Furcadia.Net Namespace


NetProxyException Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The NetProxyException type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetBaseException | When overridden in a derived class, returns the Exception that is the root cause of one or more subsequent exceptions. (Inherited from Exception.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetObjectData | When overridden in a derived class, sets the SerializationInfo with information about the exception. (Inherited from Exception.)
Public method | GetType | Gets the runtime type of the current instance. (Inherited from Exception.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Creates and returns a string representation of the current exception. (Inherited from Exception.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Public Extension Method | Flatten | Flattens the specified exception. (Defined by ExceptionExtensions.)
Public Extension Method | Log(Level, String) | Overloaded. Logs the specified level. (Defined by ExceptionExtensions.)
Public Extension Method | LogT(Level, String) | Overloaded. Logs the specified level. (Defined by ExceptionExtensions.)
Public Extension Method | LogMessage(Level, String) | Overloaded. Logs the message. (Defined by ExceptionExtensions.)
Public Extension Method | LogMessageT(Level, String) | Overloaded. Logs the message. (Defined by ExceptionExtensions.)
Top
See Also

Reference

NetProxyException Class
Furcadia.Net Namespace


NetProxyException Events
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The NetProxyException type exposes the following members.

Events
 | Name | Description
Protected event | SerializeObjectState | Occurs when an exception is serialized to create an exception state object that contains serialized data about the exception. (Inherited from Exception.)
Top
See Also

Reference

NetProxyException Class
Furcadia.Net Namespace


NetServerEventArgs Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Game Server Status Event Arguments
Inheritance Hierarchy
SystemObject
SystemEventArgs
Furcadia.NetNetServerEventArgs
Furcadia.NetNetChannelEventArgs

Namespace: Furcadia.Net
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
[SerializableAttribute]
public class NetServerEventArgs : EventArgs
<SerializableAttribute>
Public Class NetServerEventArgs
    Inherits EventArgs

Dim instance As NetServerEventArgs
[SerializableAttribute]
public ref class NetServerEventArgs : public EventArgs
[<SerializableAttribute>]
type NetServerEventArgs =
    class
        inherit EventArgs
    end

The NetServerEventArgs type exposes the following members.

Constructors
 | Name | Description
Public method | NetServerEventArgs | Initializes a new instance of the NetServerEventArgs class.
Public method | NetServerEventArgs(ConnectionPhase, ServerInstructionType) | Game Server Status Event Arguments
Top
Properties
 | Name | Description
Public property | ServerInstruction | Server to Client instructions
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Fields
 | Name | Description
Public field | ConnectPhase | Status of the Server Connection
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Furcadia.Net Namespace


NetServerEventArgs Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
 | Name | Description
Public method | NetServerEventArgs | Initializes a new instance of the NetServerEventArgs class.
Public method | NetServerEventArgs(ConnectionPhase, ServerInstructionType) | Game Server Status Event Arguments
Top
See Also

Reference

NetServerEventArgs Class
Furcadia.Net Namespace


NetServerEventArgs Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the NetServerEventArgs class.

Namespace: Furcadia.Net
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public NetServerEventArgs()
Public Sub New

Dim instance As New NetServerEventArgs()
public:
NetServerEventArgs()
new : unit -> NetServerEventArgs
See Also

Reference

NetServerEventArgs Class
NetServerEventArgs Overload
Furcadia.Net Namespace


NetServerEventArgs Constructor (ConnectionPhase, ServerInstructionType)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Game Server Status Event Arguments

Namespace: Furcadia.Net
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public NetServerEventArgs(
    ConnectionPhase phase,
    ServerInstructionType Instruction = ServerInstructionType.Unknown
)
Public Sub New (
    phase As ConnectionPhase,
    Optional Instruction As ServerInstructionType = ServerInstructionType.Unknown
)

Dim phase As ConnectionPhase
Dim Instruction As ServerInstructionType

Dim instance As New NetServerEventArgs(phase, Instruction)
public:
NetServerEventArgs(
    ConnectionPhase phase,
    ServerInstructionType Instruction = ServerInstructionType::Unknown
)
new :
        phase : ConnectionPhase *
        ?Instruction : ServerInstructionType
(* Defaults:
        let _Instruction = defaultArg Instruction ServerInstructionType.Unknown
*)
-> NetServerEventArgs

Parameters

phase
Type: Furcadia.NetConnectionPhase
Server ConnectionPhase
Instruction (Optional)
Type: Furcadia.NetServerInstructionType
Game ServerInstructionType to client
See Also

Reference

NetServerEventArgs Class
NetServerEventArgs Overload
Furcadia.Net Namespace


NetServerEventArgs Properties
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The NetServerEventArgs type exposes the following members.

Properties
 | Name | Description
Public property | ServerInstruction | Server to Client instructions
Top
See Also

Reference

NetServerEventArgs Class
Furcadia.Net Namespace


NetServerEventArgs.ServerInstruction Property

NetServerEventArgsServerInstruction Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Server to Client instructions

Namespace: Furcadia.Net
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public ServerInstructionType ServerInstruction { get; set; }
Public Property ServerInstruction As ServerInstructionType
    Get
    Set

Dim instance As NetServerEventArgs
Dim value As ServerInstructionType

value = instance.ServerInstruction

instance.ServerInstruction = value
public:
property ServerInstructionType ServerInstruction {
    ServerInstructionType get ();
    void set (ServerInstructionType value);
}
member ServerInstruction : ServerInstructionType with get, set

Property Value

Type: ServerInstructionType
See Also

Reference

NetServerEventArgs Class
Furcadia.Net Namespace


NetServerEventArgs Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The NetServerEventArgs type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

NetServerEventArgs Class
Furcadia.Net Namespace


NetServerEventArgs Fields
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The NetServerEventArgs type exposes the following members.

Fields
 | Name | Description
Public field | ConnectPhase | Status of the Server Connection
Top
See Also

Reference

NetServerEventArgs Class
Furcadia.Net Namespace


NetServerEventArgs.ConnectPhase Field

NetServerEventArgsConnectPhase Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Status of the Server Connection

Namespace: Furcadia.Net
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public ConnectionPhase ConnectPhase
Public ConnectPhase As ConnectionPhase

Dim instance As NetServerEventArgs
Dim value As ConnectionPhase

value = instance.ConnectPhase

instance.ConnectPhase = value
public:
ConnectionPhase ConnectPhase
val mutable ConnectPhase: ConnectionPhase

Field Value

Type: ConnectionPhase
See Also

Reference

NetServerEventArgs Class
Furcadia.Net Namespace


ParseChannelArgs Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Parse Server Instruction set
Inheritance Hierarchy
SystemObject
SystemEventArgs
Furcadia.NetParseServerArgs
Furcadia.NetParseChannelArgs

Namespace: Furcadia.Net
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
[SerializableAttribute]
public class ParseChannelArgs : ParseServerArgs
<SerializableAttribute>
Public Class ParseChannelArgs
    Inherits ParseServerArgs

Dim instance As ParseChannelArgs
[SerializableAttribute]
public ref class ParseChannelArgs : public ParseServerArgs
[<SerializableAttribute>]
type ParseChannelArgs =
    class
        inherit ParseServerArgs
    end

The ParseChannelArgs type exposes the following members.

Constructors
 | Name | Description
Public method | ParseChannelArgs | Initializes a new instance of the ParseChannelArgs class.
Public method | ParseChannelArgs(String) | Initializes a new instance of the ParseChannelArgs class.
Top
Properties
 | Name | Description
Public property | Channel | Server Text Channel
Public property | ServerConnectedPhase | (Inherited from ParseServerArgs.)
Public property | ServerData | optional string message (Inherited from ParseServerArgs.)
Public property | ServerInstruction | Server to Client Instruction Type (Inherited from ParseServerArgs.)
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a String that represents this instance. (Inherited from ParseServerArgs.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Furcadia.Net Namespace


ParseChannelArgs Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
 | Name | Description
Public method | ParseChannelArgs | Initializes a new instance of the ParseChannelArgs class.
Public method | ParseChannelArgs(String) | Initializes a new instance of the ParseChannelArgs class.
Top
See Also

Reference

ParseChannelArgs Class
Furcadia.Net Namespace


ParseChannelArgs Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the ParseChannelArgs class.

Namespace: Furcadia.Net
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public ParseChannelArgs()
Public Sub New

Dim instance As New ParseChannelArgs()
public:
ParseChannelArgs()
new : unit -> ParseChannelArgs
See Also

Reference

ParseChannelArgs Class
ParseChannelArgs Overload
Furcadia.Net Namespace


ParseChannelArgs Constructor (String)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the ParseChannelArgs class.

Namespace: Furcadia.Net
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public ParseChannelArgs(
    string ServerInstruction
)
Public Sub New (
    ServerInstruction As String
)

Dim ServerInstruction As String

Dim instance As New ParseChannelArgs(ServerInstruction)
public:
ParseChannelArgs(
    String^ ServerInstruction
)
new :
        ServerInstruction : string -> ParseChannelArgs

Parameters

ServerInstruction
Type: SystemString
The server instruction.
See Also

Reference

ParseChannelArgs Class
ParseChannelArgs Overload
Furcadia.Net Namespace


ParseChannelArgs Properties
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The ParseChannelArgs type exposes the following members.

Properties
 | Name | Description
Public property | Channel | Server Text Channel
Public property | ServerConnectedPhase | (Inherited from ParseServerArgs.)
Public property | ServerData | optional string message (Inherited from ParseServerArgs.)
Public property | ServerInstruction | Server to Client Instruction Type (Inherited from ParseServerArgs.)
Top
See Also

Reference

ParseChannelArgs Class
Furcadia.Net Namespace


ParseChannelArgs.Channel Property

ParseChannelArgsChannel Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Server Text Channel

Namespace: Furcadia.Net
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string Channel { get; set; }
Public Property Channel As String
    Get
    Set

Dim instance As ParseChannelArgs
Dim value As String

value = instance.Channel

instance.Channel = value
public:
property String^ Channel {
    String^ get ();
    void set (String^ value);
}
member Channel : string with get, set

Property Value

Type: String
See Also

Reference

ParseChannelArgs Class
Furcadia.Net Namespace


ParseChannelArgs Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The ParseChannelArgs type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a String that represents this instance. (Inherited from ParseServerArgs.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

ParseChannelArgs Class
Furcadia.Net Namespace


ParseServerArgs Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "T:Furcadia.Net.ParseServerArgs"]

Inheritance Hierarchy
SystemObject
SystemEventArgs
Furcadia.NetParseServerArgs
Furcadia.NetParseChannelArgs

Namespace: Furcadia.Net
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
[SerializableAttribute]
public class ParseServerArgs : EventArgs
<SerializableAttribute>
Public Class ParseServerArgs
    Inherits EventArgs

Dim instance As ParseServerArgs
[SerializableAttribute]
public ref class ParseServerArgs : public EventArgs
[<SerializableAttribute>]
type ParseServerArgs =
    class
        inherit EventArgs
    end

The ParseServerArgs type exposes the following members.

Constructors
 | Name | Description
Public method | ParseServerArgs | Default Constructor Unknown because we don't know wich one it is yet
Public method | ParseServerArgs(ServerInstructionType, ConnectionPhase) | Constructor setting the current Server to Client Instruction type
Top
Properties
 | Name | Description
Public property | ServerConnectedPhase |
Public property | ServerData | optional string message
Public property | ServerInstruction | Server to Client Instruction Type
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a String that represents this instance. (Overrides ObjectToString.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Furcadia.Net Namespace
SystemEventArgs


ParseServerArgs Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
 | Name | Description
Public method | ParseServerArgs | Default Constructor Unknown because we don't know wich one it is yet
Public method | ParseServerArgs(ServerInstructionType, ConnectionPhase) | Constructor setting the current Server to Client Instruction type
Top
See Also

Reference

ParseServerArgs Class
Furcadia.Net Namespace


ParseServerArgs Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Default Constructor Unknown because we don't know wich one it is yet

Namespace: Furcadia.Net
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public ParseServerArgs()
Public Sub New

Dim instance As New ParseServerArgs()
public:
ParseServerArgs()
new : unit -> ParseServerArgs
See Also

Reference

ParseServerArgs Class
ParseServerArgs Overload
Furcadia.Net Namespace


ParseServerArgs Constructor (ServerInstructionType, ConnectionPhase)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Constructor setting the current Server to Client Instruction type

Namespace: Furcadia.Net
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public ParseServerArgs(
    ServerInstructionType ServerInstruction,
    ConnectionPhase phase
)
Public Sub New (
    ServerInstruction As ServerInstructionType,
    phase As ConnectionPhase
)

Dim ServerInstruction As ServerInstructionType
Dim phase As ConnectionPhase

Dim instance As New ParseServerArgs(ServerInstruction,
    phase)
public:
ParseServerArgs(
    ServerInstructionType ServerInstruction,
    ConnectionPhase phase
)
new :
        ServerInstruction : ServerInstructionType *
        phase : ConnectionPhase -> ParseServerArgs

Parameters

ServerInstruction
Type: Furcadia.NetServerInstructionType
Current Execuring ServerInstructionType
phase
Type: Furcadia.NetConnectionPhase
See Also

Reference

ParseServerArgs Class
ParseServerArgs Overload
Furcadia.Net Namespace


ParseServerArgs Properties
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The ParseServerArgs type exposes the following members.

Properties
 | Name | Description
Public property | ServerConnectedPhase |
Public property | ServerData | optional string message
Public property | ServerInstruction | Server to Client Instruction Type
Top
See Also

Reference

ParseServerArgs Class
Furcadia.Net Namespace


ParseServerArgs.ServerConnectedPhase Property

ParseServerArgsServerConnectedPhase Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "P:Furcadia.Net.ParseServerArgs.ServerConnectedPhase"]

Namespace: Furcadia.Net
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public ConnectionPhase ServerConnectedPhase { get; }
Public ReadOnly Property ServerConnectedPhase As ConnectionPhase
    Get

Dim instance As ParseServerArgs
Dim value As ConnectionPhase

value = instance.ServerConnectedPhase

public:
property ConnectionPhase ServerConnectedPhase {
    ConnectionPhase get ();
}
member ServerConnectedPhase : ConnectionPhase with get

Property Value

Type: ConnectionPhase
See Also

Reference

ParseServerArgs Class
Furcadia.Net Namespace


ParseServerArgs.ServerData Property

ParseServerArgsServerData Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

optional string message

Namespace: Furcadia.Net
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string ServerData { get; set; }
Public Property ServerData As String
    Get
    Set

Dim instance As ParseServerArgs
Dim value As String

value = instance.ServerData

instance.ServerData = value
public:
property String^ ServerData {
    String^ get ();
    void set (String^ value);
}
member ServerData : string with get, set

Property Value

Type: String
See Also

Reference

ParseServerArgs Class
Furcadia.Net Namespace


ParseServerArgs.ServerInstruction Property

ParseServerArgsServerInstruction Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Server to Client Instruction Type

Namespace: Furcadia.Net
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public ServerInstructionType ServerInstruction { get; set; }
Public Property ServerInstruction As ServerInstructionType
    Get
    Set

Dim instance As ParseServerArgs
Dim value As ServerInstructionType

value = instance.ServerInstruction

instance.ServerInstruction = value
public:
property ServerInstructionType ServerInstruction {
    ServerInstructionType get ();
    void set (ServerInstructionType value);
}
member ServerInstruction : ServerInstructionType with get, set

Property Value

Type: ServerInstructionType
See Also

Reference

ParseServerArgs Class
Furcadia.Net Namespace


ParseServerArgs Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The ParseServerArgs type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a String that represents this instance. (Overrides ObjectToString.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

ParseServerArgs Class
Furcadia.Net Namespace


ParseServerArgs.ToString Method

ParseServerArgsToString Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Returns a String that represents this instance.

Namespace: Furcadia.Net
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public override string ToString()
Public Overrides Function ToString As String

Dim instance As ParseServerArgs
Dim returnValue As String

returnValue = instance.ToString()
public:
virtual String^ ToString() override
abstract ToString : unit -> string
override ToString : unit -> string

Return Value

Type: String
A String that represents this instance.
See Also

Reference

ParseServerArgs Class
Furcadia.Net Namespace


ServerInstructionType Enumeration
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Server to Client Instruction set. (Furcadia v31c)

This is the set that FF3PP understands and uses.

these can change with each Furcadia update.

Namespace: Furcadia.Net
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public enum ServerInstructionType
Public Enumeration ServerInstructionType

Dim instance As ServerInstructionType
public enum class ServerInstructionType
type ServerInstructionType
Members
Member name | Value | Description
Unknown | -1 | Unknown Instruction, Needs further research
None | 0 | No instruction Nessary
RemoveAvatar | 2 | Remove the Avatar from the Dream's Furre list because they have left the dream ')' + user id + linefeed Source: Furcatia Technical Resources sender object is Type RemoveAvatar()
HideAvatar | 3 | Hide Avatar from display (Invisible?)
AnimatedMoveAvatar | 4 | Move and animate the Active Furre to the next location sender object is Type Furre()
MoveAvatar | 5 | Move the current active furre to the next locatiomn sender object is Type Furre
DisplayText | 6 | Display formated Text. Mostly Furcadia Markup but other stuff too
UpdateColorString | 7 | Update the Triggering Furre ColorCode 'B' + user id + shape + color code + linefeed
LoadDreamEvent | 8 | Download Dream Data IE: ]q pmnaiagreen 3318793420 modern respond with client command when furcadia client is not available "vasecodegamma"
UniqueUserId | 9 | Unique User ID ]z UID[*] This instruction is sent as a response to the uid command. The purpose of this is unclear. Credits Artex, FTR
SetOwnId | 10 | Set Own ID ]BUserID[*] This instruction informs the client of which user-name is it logged into. Knowing your own UserID can help you find your own avatar within the dream. Credits Artex, FTR
BookmarkDream | 11 | Dream Book Mark Triggers Pounce to add the dream to the list marked temporary
LookResponse | 12 | received after a look at furre command sender object is Type Furre
EnterDream | 13 | Entering a new dream
See Also

Reference

Furcadia.Net Namespace


Furcadia.Net.DirectConnection Namespace
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Classes
 | Class | Description
Public class | ClientBase | Furcadia base proxy connect between Client and Server. This is a low level class that handles the raw connections and furcadia proxy/firewall settings. We don't have TLS/SSL handling here, so therefore, Furcadia Settings for this are disabled
Public class | IniParser | Read settings from Ini files
Public class | NetConnection | This Instance handles the current Furcadia Connection Session. For Proxy ProxySession Part2: Furcadia connection Controls, In/Out Ports, Host, Character Ini file. Connect, Disconnect, Reconnect Part3: This Class Links loosely to the GUI
Public class | NetConnectionException | Desctiption of NetConnectionException.
Delegates
 | Delegate | Description
Public delegate | ClientBaseActionDelegate |
Public delegate | ClientBaseDataEventHandler |
Public delegate | ClientBaseDataEventHandler2 |
Public delegate | ClientBaseErrorEventHandler |
Public delegate | NetConnectionClientStatusChangedEventHandler |
Public delegate | NetConnectionDataHandler | Send Data to Furcadia Client or Game Server
Public delegate | NetConnectionOnErrorEventHandler |
Public delegate | NetConnectionProcessChannel |
Public delegate | NetConnectionProcessInstruction | Send Server to Client Instruction object to Sub-classed for handling.
Public delegate | NetConnectionServerStatusChangedEventHandler |
Public delegate | NetConnectionThroatTiredEnabled | Throat Tired even handler


ClientBase Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Furcadia base proxy connect between Client and Server. This is a low level class that handles the raw connections and furcadia proxy/firewall settings.

We don't have TLS/SSL handling here, so therefore, Furcadia Settings for this are disabled

Inheritance Hierarchy
SystemObject
Furcadia.Net.DirectConnectionClientBase
Furcadia.Net.ProxyNetProxy

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public class ClientBase : IDisposable
Public Class ClientBase
    Implements IDisposable

Dim instance As ClientBase
public ref class ClientBase : IDisposable
type ClientBase =
    class
        interface IDisposable
    end

The ClientBase type exposes the following members.

Constructors
 | Name | Description
Public method | ClientBase | Connect to game server with default settings
Public method | ClientBase(Int32) | Initializes a new instance of the ClientBase class.
Public method | ClientBase(BaseConnectionOptions) | Initializes a new instance of the ClientBase class.
Public method | ClientBase(String, Int32) | Initializes a new instance of the ClientBase class.
Top
Properties
 | Name | Description
 | BufferCapacity | Gets the buffer capacity.
Public property | CurrentConnectionAttempt | Gets the current connection attempt.
Public property | IsServerSocketConnected | Check our connection status to the game server
Public property | Options | Gets or sets the options.
Top
Methods
 | Name | Description
Public method | Connect | Connects to the Furcadia game server
Public method | Disconnect | Disconnect from the Furcadia game-server and Furcadia client
Public method | Dispose | Performs application-defined tasks associated with freeing, releasing, or resetting unmanaged resources.
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | SendError | send errors to the error handler
Public method | SendToServer(String) | Sends to server.
Public method | SendToServer(INetMessage) | Sends to server.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Events
 | Name | Description
Public event | Error | This is triggered when a handled Exception is thrown.
Public event | ServerConnected | Occurs when [server connected].
Public event | ServerData2 | This is triggered when the Server sends data to the client. Doesn't expect a return value.
Public event | ServerDisconnected | This is triggered when the Server Disconnects
Top
Fields
 | Name | Description
Protected field | FurcadiaUtilities | Furcadia Utilities
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
Remarks
See Also

Reference

Furcadia.Net.DirectConnection Namespace


ClientBase Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
 | Name | Description
Public method | ClientBase | Connect to game server with default settings
Public method | ClientBase(Int32) | Initializes a new instance of the ClientBase class.
Public method | ClientBase(BaseConnectionOptions) | Initializes a new instance of the ClientBase class.
Public method | ClientBase(String, Int32) | Initializes a new instance of the ClientBase class.
Top
See Also

Reference

ClientBase Class
Furcadia.Net.DirectConnection Namespace


ClientBase Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Connect to game server with default settings

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public ClientBase()
Public Sub New

Dim instance As New ClientBase()
public:
ClientBase()
new : unit -> ClientBase
See Also

Reference

ClientBase Class
ClientBase Overload
Furcadia.Net.DirectConnection Namespace


ClientBase Constructor (Int32)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the ClientBase class.

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public ClientBase(
    int port
)
Public Sub New (
    port As Integer
)

Dim port As Integer

Dim instance As New ClientBase(port)
public:
ClientBase(
    int port
)
new :
        port : int -> ClientBase

Parameters

port
Type: SystemInt32
The port.
See Also

Reference

ClientBase Class
ClientBase Overload
Furcadia.Net.DirectConnection Namespace


ClientBase Constructor (BaseConnectionOptions)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the ClientBase class.

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public ClientBase(
    BaseConnectionOptions Options
)
Public Sub New (
    Options As BaseConnectionOptions
)

Dim Options As BaseConnectionOptions

Dim instance As New ClientBase(Options)
public:
ClientBase(
    BaseConnectionOptions^ Options
)
new :
        Options : BaseConnectionOptions -> ClientBase

Parameters

Options
Type: Furcadia.Net.OptionsBaseConnectionOptions
The options.
See Also

Reference

ClientBase Class
ClientBase Overload
Furcadia.Net.DirectConnection Namespace


ClientBase Constructor (String, Int32)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the ClientBase class.

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public ClientBase(
    string host,
    int port
)
Public Sub New (
    host As String,
    port As Integer
)

Dim host As String
Dim port As Integer

Dim instance As New ClientBase(host, port)
public:
ClientBase(
    String^ host,
    int port
)
new :
        host : string *
        port : int -> ClientBase

Parameters

host
Type: SystemString
The host.
port
Type: SystemInt32
The port.
See Also

Reference

ClientBase Class
ClientBase Overload
Furcadia.Net.DirectConnection Namespace


ClientBase Properties
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The ClientBase type exposes the following members.

Properties
 | Name | Description
 | BufferCapacity | Gets the buffer capacity.
Public property | CurrentConnectionAttempt | Gets the current connection attempt.
Public property | IsServerSocketConnected | Check our connection status to the game server
Public property | Options | Gets or sets the options.
Top
See Also

Reference

ClientBase Class
Furcadia.Net.DirectConnection Namespace


ClientBase.BufferCapacity Property

ClientBaseBufferCapacity Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets the buffer capacity.

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static int BufferCapacity { get; }
Public Shared ReadOnly Property BufferCapacity As Integer
    Get

Dim value As Integer

value = ClientBase.BufferCapacity

public:
static property int BufferCapacity {
    int get ();
}
static member BufferCapacity : int with get

Property Value

Type: Int32
The buffer capacity.
See Also

Reference

ClientBase Class
Furcadia.Net.DirectConnection Namespace


ClientBase.CurrentConnectionAttempt Property

ClientBaseCurrentConnectionAttempt Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets the current connection attempt.

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public int CurrentConnectionAttempt { get; }
Public ReadOnly Property CurrentConnectionAttempt As Integer
    Get

Dim instance As ClientBase
Dim value As Integer

value = instance.CurrentConnectionAttempt

public:
property int CurrentConnectionAttempt {
    int get ();
}
member CurrentConnectionAttempt : int with get

Property Value

Type: Int32
The current connection attempt.
See Also

Reference

ClientBase Class
Furcadia.Net.DirectConnection Namespace


ClientBase.IsServerSocketConnected Property

ClientBaseIsServerSocketConnected Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Check our connection status to the game server

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool IsServerSocketConnected { get; }
Public ReadOnly Property IsServerSocketConnected As Boolean
    Get

Dim instance As ClientBase
Dim value As Boolean

value = instance.IsServerSocketConnected

public:
property bool IsServerSocketConnected {
    bool get ();
}
member IsServerSocketConnected : bool with get

Property Value

Type: Boolean
See Also

Reference

ClientBase Class
Furcadia.Net.DirectConnection Namespace


ClientBase.Options Property

ClientBaseOptions Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets or sets the options.

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public virtual BaseConnectionOptions Options { get; set; }
Public Overridable Property Options As BaseConnectionOptions
    Get
    Set

Dim instance As ClientBase
Dim value As BaseConnectionOptions

value = instance.Options

instance.Options = value
public:
virtual property BaseConnectionOptions^ Options {
    BaseConnectionOptions^ get ();
    void set (BaseConnectionOptions^ value);
}
abstract Options : BaseConnectionOptions with get, set
override Options : BaseConnectionOptions with get, set

Property Value

Type: BaseConnectionOptions
The options.
See Also

Reference

ClientBase Class
Furcadia.Net.DirectConnection Namespace


ClientBase Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The ClientBase type exposes the following members.

Methods
 | Name | Description
Public method | Connect | Connects to the Furcadia game server
Public method | Disconnect | Disconnect from the Furcadia game-server and Furcadia client
Public method | Dispose | Performs application-defined tasks associated with freeing, releasing, or resetting unmanaged resources.
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | SendError | send errors to the error handler
Public method | SendToServer(String) | Sends to server.
Public method | SendToServer(INetMessage) | Sends to server.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

ClientBase Class
Furcadia.Net.DirectConnection Namespace


ClientBase.Connect Method

ClientBaseConnect Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Connects to the Furcadia game server

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public virtual void Connect()
Public Overridable Sub Connect

Dim instance As ClientBase

instance.Connect()
public:
virtual void Connect()
abstract Connect : unit -> unit
override Connect : unit -> unit
Exceptions
Exception | Condition
NetConnectionException |
See Also

Reference

ClientBase Class
Furcadia.Net.DirectConnection Namespace


ClientBase.Disconnect Method

ClientBaseDisconnect Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Disconnect from the Furcadia game-server and Furcadia client

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public virtual void Disconnect()
Public Overridable Sub Disconnect

Dim instance As ClientBase

instance.Disconnect()
public:
virtual void Disconnect()
abstract Disconnect : unit -> unit
override Disconnect : unit -> unit
See Also

Reference

ClientBase Class
Furcadia.Net.DirectConnection Namespace


ClientBase.Dispose Method

ClientBaseDispose Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Performs application-defined tasks associated with freeing, releasing, or resetting unmanaged resources.

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public virtual void Dispose()
Public Overridable Sub Dispose

Dim instance As ClientBase

instance.Dispose()
public:
virtual void Dispose()
abstract Dispose : unit -> unit
override Dispose : unit -> unit

Implements

IDisposableDispose
See Also

Reference

ClientBase Class
Furcadia.Net.DirectConnection Namespace


ClientBase.SendError Method

ClientBaseSendError Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

send errors to the error handler

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public virtual void SendError(
    Exception e,
    Object o
)
Public Overridable Sub SendError (
    e As Exception,
    o As Object
)

Dim instance As ClientBase
Dim e As Exception
Dim o As Object

instance.SendError(e, o)
public:
virtual void SendError(
    Exception^ e,
    Object^ o
)
abstract SendError :
        e : Exception *
        o : Object -> unit
override SendError :
        e : Exception *
        o : Object -> unit

Parameters

e
Type: SystemException

[Missing <param name="e"/> documentation for "M:Furcadia.Net.DirectConnection.ClientBase.SendError(System.Exception,System.Object)"]

o
Type: SystemObject

[Missing <param name="o"/> documentation for "M:Furcadia.Net.DirectConnection.ClientBase.SendError(System.Exception,System.Object)"]

See Also

Reference

ClientBase Class
Furcadia.Net.DirectConnection Namespace


ClientBase.SendToServer Method

ClientBaseSendToServer Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
 | Name | Description
Public method | SendToServer(String) | Sends to server.
Public method | SendToServer(INetMessage) | Sends to server.
Top
See Also

Reference

ClientBase Class
Furcadia.Net.DirectConnection Namespace


ClientBase.SendToServer Method (String)

ClientBaseSendToServer Method (String)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Sends to server.

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public virtual void SendToServer(
    string message
)
Public Overridable Sub SendToServer (
    message As String
)

Dim instance As ClientBase
Dim message As String

instance.SendToServer(message)
public:
virtual void SendToServer(
    String^ message
)
abstract SendToServer :
        message : string -> unit
override SendToServer :
        message : string -> unit

Parameters

message
Type: SystemString
The message.
See Also

Reference

ClientBase Class
SendToServer Overload
Furcadia.Net.DirectConnection Namespace


ClientBase.SendToServer Method (INetMessage)

ClientBaseSendToServer Method (INetMessage)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Sends to server.

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public virtual void SendToServer(
    INetMessage message
)
Public Overridable Sub SendToServer (
    message As INetMessage
)

Dim instance As ClientBase
Dim message As INetMessage

instance.SendToServer(message)
public:
virtual void SendToServer(
    INetMessage^ message
)
abstract SendToServer :
        message : INetMessage -> unit
override SendToServer :
        message : INetMessage -> unit

Parameters

message
Type: Furcadia.NetINetMessage
The message.
See Also

Reference

ClientBase Class
SendToServer Overload
Furcadia.Net.DirectConnection Namespace


ClientBase Events
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The ClientBase type exposes the following members.

Events
 | Name | Description
Public event | Error | This is triggered when a handled Exception is thrown.
Public event | ServerConnected | Occurs when [server connected].
Public event | ServerData2 | This is triggered when the Server sends data to the client. Doesn't expect a return value.
Public event | ServerDisconnected | This is triggered when the Server Disconnects
Top
See Also

Reference

ClientBase Class
Furcadia.Net.DirectConnection Namespace


ClientBase.Error Event

ClientBaseError Event
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

This is triggered when a handled Exception is thrown.

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public event ClientBaseErrorEventHandler Error
Public Event Error As ClientBaseErrorEventHandler

Dim instance As ClientBase
Dim handler As ClientBaseErrorEventHandler

AddHandler instance.Error, handler

public:
 event ClientBaseErrorEventHandler^ Error {
    void add (ClientBaseErrorEventHandler^ value);
    void remove (ClientBaseErrorEventHandler^ value);
}
member Error : IEvent<ClientBaseErrorEventHandler,
    EventArgs>

Value

Type: Furcadia.Net.DirectConnectionClientBaseErrorEventHandler
See Also

Reference

ClientBase Class
Furcadia.Net.DirectConnection Namespace


ClientBase.ServerConnected Event

ClientBaseServerConnected Event
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Occurs when [server connected].

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public virtual event ClientBaseActionDelegate ServerConnected
Public Overridable Event ServerConnected As ClientBaseActionDelegate

Dim instance As ClientBase
Dim handler As ClientBaseActionDelegate

AddHandler instance.ServerConnected, handler

public:
virtual  event ClientBaseActionDelegate^ ServerConnected {
    void add (ClientBaseActionDelegate^ value);
    void remove (ClientBaseActionDelegate^ value);
}
abstract ServerConnected : IEvent<ClientBaseActionDelegate,
    EventArgs>
override ServerConnected : IEvent<ClientBaseActionDelegate,
    EventArgs>

Value

Type: Furcadia.Net.DirectConnectionClientBaseActionDelegate
See Also

Reference

ClientBase Class
Furcadia.Net.DirectConnection Namespace


ClientBase.ServerData2 Event

ClientBaseServerData2 Event
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

This is triggered when the Server sends data to the client. Doesn't expect a return value.

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public virtual event ClientBaseDataEventHandler2 ServerData2
Public Overridable Event ServerData2 As ClientBaseDataEventHandler2

Dim instance As ClientBase
Dim handler As ClientBaseDataEventHandler2

AddHandler instance.ServerData2, handler

public:
virtual  event ClientBaseDataEventHandler2^ ServerData2 {
    void add (ClientBaseDataEventHandler2^ value);
    void remove (ClientBaseDataEventHandler2^ value);
}
abstract ServerData2 : IEvent<ClientBaseDataEventHandler2,
    EventArgs>
override ServerData2 : IEvent<ClientBaseDataEventHandler2,
    EventArgs>

Value

Type: Furcadia.Net.DirectConnectionClientBaseDataEventHandler2
See Also

Reference

ClientBase Class
Furcadia.Net.DirectConnection Namespace


ClientBase.ServerDisconnected Event

ClientBaseServerDisconnected Event
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

This is triggered when the Server Disconnects

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public virtual event ClientBaseActionDelegate ServerDisconnected
Public Overridable Event ServerDisconnected As ClientBaseActionDelegate

Dim instance As ClientBase
Dim handler As ClientBaseActionDelegate

AddHandler instance.ServerDisconnected, handler

public:
virtual  event ClientBaseActionDelegate^ ServerDisconnected {
    void add (ClientBaseActionDelegate^ value);
    void remove (ClientBaseActionDelegate^ value);
}
abstract ServerDisconnected : IEvent<ClientBaseActionDelegate,
    EventArgs>
override ServerDisconnected : IEvent<ClientBaseActionDelegate,
    EventArgs>

Value

Type: Furcadia.Net.DirectConnectionClientBaseActionDelegate
See Also

Reference

ClientBase Class
Furcadia.Net.DirectConnection Namespace


ClientBase Fields
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The ClientBase type exposes the following members.

Fields
 | Name | Description
Protected field | FurcadiaUtilities | Furcadia Utilities
Top
See Also

Reference

ClientBase Class
Furcadia.Net.DirectConnection Namespace


ClientBase.FurcadiaUtilities Field

ClientBaseFurcadiaUtilities Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Furcadia Utilities

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
protected Utilities FurcadiaUtilities
Protected FurcadiaUtilities As Utilities

Dim value As Utilities

value = Me.FurcadiaUtilities

Me.FurcadiaUtilities = value
protected:
Utilities^ FurcadiaUtilities
val mutable FurcadiaUtilities: Utilities

Field Value

Type: Utilities
See Also

Reference

ClientBase Class
Furcadia.Net.DirectConnection Namespace


ClientBase.ActionDelegate Delegate

ClientBaseActionDelegate Delegate
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "T:Furcadia.Net.DirectConnection.ClientBase.ActionDelegate"]

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public delegate void ActionDelegate()
Public Delegate Sub ActionDelegate

Dim instance As New ActionDelegate(AddressOf HandlerMethod)
public delegate void ActionDelegate()
type ActionDelegate =
    delegate of unit -> unit
See Also

Reference

Furcadia.Net.DirectConnection Namespace


ClientBase.DataEventHandler Delegate

ClientBaseDataEventHandler Delegate
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "T:Furcadia.Net.DirectConnection.ClientBase.DataEventHandler"]

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public delegate string DataEventHandler(
    ref string data
)
Public Delegate Function DataEventHandler (
    ByRef data As String
) As String

Dim instance As New DataEventHandler(AddressOf HandlerMethod)
public delegate String^ DataEventHandler(
    String^% data
)
type DataEventHandler =
    delegate of
        data : string byref -> string

Parameters

data
Type: SystemString

Return Value

Type: String
See Also

Reference

Furcadia.Net.DirectConnection Namespace


ClientBase.DataEventHandler2 Delegate

ClientBaseDataEventHandler2 Delegate
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "T:Furcadia.Net.DirectConnection.ClientBase.DataEventHandler2"]

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public delegate void DataEventHandler2(
    string data
)
Public Delegate Sub DataEventHandler2 (
    data As String
)

Dim instance As New DataEventHandler2(AddressOf HandlerMethod)
public delegate void DataEventHandler2(
    String^ data
)
type DataEventHandler2 =
    delegate of
        data : string -> unit

Parameters

data
Type: SystemString
See Also

Reference

Furcadia.Net.DirectConnection Namespace


ClientBase.ErrorEventHandler Delegate

ClientBaseErrorEventHandler Delegate
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "T:Furcadia.Net.DirectConnection.ClientBase.ErrorEventHandler"]

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public delegate void ErrorEventHandler(
    Exception e,
    Object o
)
Public Delegate Sub ErrorEventHandler (
    e As Exception,
    o As Object
)

Dim instance As New ErrorEventHandler(AddressOf HandlerMethod)
public delegate void ErrorEventHandler(
    Exception^ e,
    Object^ o
)
type ErrorEventHandler =
    delegate of
        e : Exception *
        o : Object -> unit

Parameters

e
Type: SystemException
The e.
o
Type: SystemObject
The o.
See Also

Reference

Furcadia.Net.DirectConnection Namespace


IniParser Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Read settings from Ini files
Inheritance Hierarchy
SystemObject
Furcadia.Net.DirectConnectionIniParser

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public class IniParser
Public Class IniParser

Dim instance As IniParser
public ref class IniParser
type IniParser =  class end

The IniParser type exposes the following members.

Constructors
 | Name | Description
Public method | IniParser | Initializes a new instance of the IniParser class.
Top
Properties
 | Name | Description
Public property | Options | Gets or sets the options.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | LoadOptionsFromIni | Loads the options from ini.
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Furcadia.Net.DirectConnection Namespace


IniParser Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the IniParser class.

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public IniParser()
Public Sub New

Dim instance As New IniParser()
public:
IniParser()
new : unit -> IniParser
See Also

Reference

IniParser Class
Furcadia.Net.DirectConnection Namespace


IniParser Properties
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The IniParser type exposes the following members.

Properties
 | Name | Description
Public property | Options | Gets or sets the options.
Top
See Also

Reference

IniParser Class
Furcadia.Net.DirectConnection Namespace


IniParser.Options Property

IniParserOptions Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets or sets the options.

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public ClientOptions Options { get; set; }
Public Property Options As ClientOptions
    Get
    Set

Dim instance As IniParser
Dim value As ClientOptions

value = instance.Options

instance.Options = value
public:
property ClientOptions^ Options {
    ClientOptions^ get ();
    void set (ClientOptions^ value);
}
member Options : ClientOptions with get, set

Property Value

Type: ClientOptions
The options.
See Also

Reference

IniParser Class
Furcadia.Net.DirectConnection Namespace


IniParser Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The IniParser type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | LoadOptionsFromIni | Loads the options from ini.
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

IniParser Class
Furcadia.Net.DirectConnection Namespace


IniParser.LoadOptionsFromIni Method

IniParserLoadOptionsFromIni Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Loads the options from ini.

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public ClientOptions LoadOptionsFromIni(
    string IniFile
)
Public Function LoadOptionsFromIni (
    IniFile As String
) As ClientOptions

Dim instance As IniParser
Dim IniFile As String
Dim returnValue As ClientOptions

returnValue = instance.LoadOptionsFromIni(IniFile)
public:
ClientOptions^ LoadOptionsFromIni(
    String^ IniFile
)
member LoadOptionsFromIni :
        IniFile : string -> ClientOptions

Parameters

IniFile
Type: SystemString
The ini file.

Return Value

Type: ClientOptions

[Missing <returns> documentation for "M:Furcadia.Net.DirectConnection.IniParser.LoadOptionsFromIni(System.String)"]

See Also

Reference

IniParser Class
Furcadia.Net.DirectConnection Namespace


NetConnection Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

This Instance handles the current Furcadia Connection Session. For Proxy ProxySession

Part2: Furcadia connection Controls, In/Out Ports, Host, Character Ini file. Connect, Disconnect, Reconnect

Part3: This Class Links loosely to the GUI

Inheritance Hierarchy
SystemObject
Furcadia.Net.DirectConnectionNetConnection

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public class NetConnection : IDisposable
Public Class NetConnection
    Implements IDisposable

Dim instance As NetConnection
public ref class NetConnection : IDisposable
type NetConnection =
    class
        interface IDisposable
    end

The NetConnection type exposes the following members.

Constructors
 | Name | Description
Public method | NetConnection | Initializes a new instance of the NetConnection class
Public method | NetConnection(ClientOptions) | Initializes a new instance of the NetConnection class
Top
Properties
 | Name | Description
Public property | BanishList | Gets the banish list.
Public property | BanishName | Current Name for Banish Operations We mirror Furcadia's Banish system for efficiency
Public property | ConnectedFurre | Connected Furre (Who we are)
Public property | ConnectedFurreId | Gets or sets the connected furre identifier.
Public property | ConnectedFurreName | Gets or sets the name of the connected furre.
Public property | Dream | Current Dream Information with Furre List
Public property | Furres | Gets or sets the furres.
Public property | HasShare | We have Dream Share or We are Dream owner
Public property | InDream |
Public property | IsServerSocketConnected | Gets a value indicating whether this instance is server socket connected.
Public property | Player | Current Triggering player
Public property | ServerConnectPhase | Current server connection phase
Public property | ServerStatus | Server Connection status
Public property | ThroatTired | ServerQueue Throat Tired Mode When set, a Timer is created to make us wait till the time is clear to resume.
Top
Methods
 | Name | Description
Public method | Connect | Connect the Proxy to the Furcadia Game server
Public method | Disconnect | Disconnects this instance.
Public method | Dispose | implementation of Dispose pattern callable by consumers.
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetEnumIntT |
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | IsConnectedCharacter | Are we the current executing character?
Public method | IsConnectedCharacter(IFurre) | Is the target furre the connected characyer?
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | OnThroatTiredTrigger | Called when [throat tired trigger].
Public method | ParseServerChannel | Parse Channel Data
Public method | ParseServerData | Parse Server Data
Public method | SendError | send errors to the error handler
Public method | SendFormattedTextToServer | Format basic furcadia commands and send to server We also mirror the client to server banish system. This maybe a good place to place Proxy/Bot commands for controls default to say or "normal spoken command"
Public method | SendToServer | Send a raw instruction to Server through the Load Balancer
Public method | TextToServer | Text Channel Prefixes (shout,whisper emote, Raw Server command) default to say or "normal spoken command"
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Events
 | Name | Description
Public event | Error | This is triggered when a handled Exception is thrown.
Public event | ProcessServerChannelData | Process Display Text and Channels
Public event | ProcessServerInstruction |
Public event | ServerConnected | Occurs when [server connected].
Public event | ServerData2 | Occurs when [server data2].
Public event | ServerDisconnected | This is triggered when the Server Disconnects
Public event | ServerStatusChanged | Track the Server Status
Top
Fields
 | Name | Description
Public field | Repq |
Public field | TroatTiredEventHandler | The troat tired event handler
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Furcadia.Net.DirectConnection Namespace


NetConnection Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
 | Name | Description
Public method | NetConnection | Initializes a new instance of the NetConnection class
Public method | NetConnection(ClientOptions) | Initializes a new instance of the NetConnection class
Top
See Also

Reference

NetConnection Class
Furcadia.Net.DirectConnection Namespace


NetConnection Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the NetConnection class

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public NetConnection()
Public Sub New

Dim instance As New NetConnection()
public:
NetConnection()
new : unit -> NetConnection
See Also

Reference

NetConnection Class
NetConnection Overload
Furcadia.Net.DirectConnection Namespace


NetConnection Constructor (ClientOptions)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the NetConnection class

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public NetConnection(
    ClientOptions Options
)
Public Sub New (
    Options As ClientOptions
)

Dim Options As ClientOptions

Dim instance As New NetConnection(Options)
public:
NetConnection(
    ClientOptions^ Options
)
new :
        Options : ClientOptions -> NetConnection

Parameters

Options
Type: Furcadia.Net.OptionsClientOptions
NetConnection Options
See Also

Reference

NetConnection Class
NetConnection Overload
Furcadia.Net.DirectConnection Namespace


NetConnection Properties
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The NetConnection type exposes the following members.

Properties
 | Name | Description
Public property | BanishList | Gets the banish list.
Public property | BanishName | Current Name for Banish Operations We mirror Furcadia's Banish system for efficiency
Public property | ConnectedFurre | Connected Furre (Who we are)
Public property | ConnectedFurreId | Gets or sets the connected furre identifier.
Public property | ConnectedFurreName | Gets or sets the name of the connected furre.
Public property | Dream | Current Dream Information with Furre List
Public property | Furres | Gets or sets the furres.
Public property | HasShare | We have Dream Share or We are Dream owner
Public property | InDream |
Public property | IsServerSocketConnected | Gets a value indicating whether this instance is server socket connected.
Public property | Player | Current Triggering player
Public property | ServerConnectPhase | Current server connection phase
Public property | ServerStatus | Server Connection status
Public property | ThroatTired | ServerQueue Throat Tired Mode When set, a Timer is created to make us wait till the time is clear to resume.
Top
See Also

Reference

NetConnection Class
Furcadia.Net.DirectConnection Namespace


NetConnection.BanishList Property

NetConnectionBanishList Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets the banish list.

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public List<string> BanishList { get; }
Public ReadOnly Property BanishList As List(Of String)
    Get

Dim instance As NetConnection
Dim value As List(Of String)

value = instance.BanishList

public:
property List<String^>^ BanishList {
    List<String^>^ get ();
}
member BanishList : List<string> with get

Property Value

Type: List String
The banish list.
See Also

Reference

NetConnection Class
Furcadia.Net.DirectConnection Namespace


NetConnection.BanishName Property

NetConnectionBanishName Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Current Name for Banish Operations

We mirror Furcadia's Banish system for efficiency

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string BanishName { get; }
Public ReadOnly Property BanishName As String
    Get

Dim instance As NetConnection
Dim value As String

value = instance.BanishName

public:
property String^ BanishName {
    String^ get ();
}
member BanishName : string with get

Property Value

Type: String
See Also

Reference

NetConnection Class
Furcadia.Net.DirectConnection Namespace


NetConnection.ConnectedFurre Property

NetConnectionConnectedFurre Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Connected Furre (Who we are)

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public Furre ConnectedFurre { get; }
Public ReadOnly Property ConnectedFurre As Furre
    Get

Dim instance As NetConnection
Dim value As Furre

value = instance.ConnectedFurre

public:
property Furre^ ConnectedFurre {
    Furre^ get ();
}
member ConnectedFurre : Furre with get

Property Value

Type: Furre
See Also

Reference

NetConnection Class
Furcadia.Net.DirectConnection Namespace


NetConnection.ConnectedFurreId Property

NetConnectionConnectedFurreId Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets or sets the connected furre identifier.

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public int ConnectedFurreId { get; set; }
Public Property ConnectedFurreId As Integer
    Get
    Set

Dim instance As NetConnection
Dim value As Integer

value = instance.ConnectedFurreId

instance.ConnectedFurreId = value
public:
property int ConnectedFurreId {
    int get ();
    void set (int value);
}
member ConnectedFurreId : int with get, set

Property Value

Type: Int32
The connected furre identifier.
See Also

Reference

NetConnection Class
Furcadia.Net.DirectConnection Namespace


NetConnection.ConnectedFurreName Property

NetConnectionConnectedFurreName Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets or sets the name of the connected furre.

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string ConnectedFurreName { get; set; }
Public Property ConnectedFurreName As String
    Get
    Set

Dim instance As NetConnection
Dim value As String

value = instance.ConnectedFurreName

instance.ConnectedFurreName = value
public:
property String^ ConnectedFurreName {
    String^ get ();
    void set (String^ value);
}
member ConnectedFurreName : string with get, set

Property Value

Type: String
The name of the connected furre.
See Also

Reference

NetConnection Class
Furcadia.Net.DirectConnection Namespace


NetConnection.Dream Property

NetConnectionDream Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Current Dream Information with Furre List

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public Dream Dream { get; }
Public ReadOnly Property Dream As Dream
    Get

Dim instance As NetConnection
Dim value As Dream

value = instance.Dream

public:
property Dream^ Dream {
    Dream^ get ();
}
member Dream : Dream with get

Property Value

Type: Dream
See Also

Reference

NetConnection Class
Furcadia.Net.DirectConnection Namespace


NetConnection.Furres Property

NetConnectionFurres Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets or sets the furres.

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public FurreList Furres { get; set; }
Public Property Furres As FurreList
    Get
    Set

Dim instance As NetConnection
Dim value As FurreList

value = instance.Furres

instance.Furres = value
public:
property FurreList^ Furres {
    FurreList^ get ();
    void set (FurreList^ value);
}
member Furres : FurreList with get, set

Property Value

Type: FurreList
The furres.
See Also

Reference

NetConnection Class
Furcadia.Net.DirectConnection Namespace


NetConnection.HasShare Property

NetConnectionHasShare Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

We have Dream Share or We are Dream owner

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool HasShare { get; }
Public ReadOnly Property HasShare As Boolean
    Get

Dim instance As NetConnection
Dim value As Boolean

value = instance.HasShare

public:
property bool HasShare {
    bool get ();
}
member HasShare : bool with get

Property Value

Type: Boolean
See Also

Reference

NetConnection Class
Furcadia.Net.DirectConnection Namespace


NetConnection.InDream Property

NetConnectionInDream Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "P:Furcadia.Net.DirectConnection.NetConnection.InDream"]

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool InDream { get; }
Public ReadOnly Property InDream As Boolean
    Get

Dim instance As NetConnection
Dim value As Boolean

value = instance.InDream

public:
property bool InDream {
    bool get ();
}
member InDream : bool with get

Property Value

Type: Boolean
See Also

Reference

NetConnection Class
Furcadia.Net.DirectConnection Namespace


NetConnection.IsServerSocketConnected Property

NetConnectionIsServerSocketConnected Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets a value indicating whether this instance is server socket connected.

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool IsServerSocketConnected { get; }
Public ReadOnly Property IsServerSocketConnected As Boolean
    Get

Dim instance As NetConnection
Dim value As Boolean

value = instance.IsServerSocketConnected

public:
property bool IsServerSocketConnected {
    bool get ();
}
member IsServerSocketConnected : bool with get

Property Value

Type: Boolean
true if this instance is server socket connected; otherwise, false.
See Also

Reference

NetConnection Class
Furcadia.Net.DirectConnection Namespace


NetConnection.Player Property

NetConnectionPlayer Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Current Triggering player

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public Furre Player { get; }
Public ReadOnly Property Player As Furre
    Get

Dim instance As NetConnection
Dim value As Furre

value = instance.Player

public:
property Furre^ Player {
    Furre^ get ();
}
member Player : Furre with get

Property Value

Type: Furre
See Also

Reference

NetConnection Class
Furcadia.Net.DirectConnection Namespace


NetConnection.ServerConnectPhase Property

NetConnectionServerConnectPhase Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Current server connection phase

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public ConnectionPhase ServerConnectPhase { get; }
Public ReadOnly Property ServerConnectPhase As ConnectionPhase
    Get

Dim instance As NetConnection
Dim value As ConnectionPhase

value = instance.ServerConnectPhase

public:
property ConnectionPhase ServerConnectPhase {
    ConnectionPhase get ();
}
member ServerConnectPhase : ConnectionPhase with get

Property Value

Type: ConnectionPhase
See Also

Reference

NetConnection Class
Furcadia.Net.DirectConnection Namespace


NetConnection.ServerStatus Property

NetConnectionServerStatus Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Server Connection status

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public ConnectionPhase ServerStatus { get; }
Public ReadOnly Property ServerStatus As ConnectionPhase
    Get

Dim instance As NetConnection
Dim value As ConnectionPhase

value = instance.ServerStatus

public:
property ConnectionPhase ServerStatus {
    ConnectionPhase get ();
}
member ServerStatus : ConnectionPhase with get

Return Value

Type: ConnectionPhase
Status of the Furcadia Game server
See Also

Reference

NetConnection Class
Furcadia.Net.DirectConnection Namespace


NetConnection.ThroatTired Property

NetConnectionThroatTired Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

ServerQueue Throat Tired Mode

When set, a Timer is created to make us wait till the time is clear to resume.

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool ThroatTired { get; set; }
Public Property ThroatTired As Boolean
    Get
    Set

Dim instance As NetConnection
Dim value As Boolean

value = instance.ThroatTired

instance.ThroatTired = value
public:
property bool ThroatTired {
    bool get ();
    void set (bool value);
}
member ThroatTired : bool with get, set

Return Value

Type: Boolean
State ThroatTired
See Also

Reference

NetConnection Class
Furcadia.Net.DirectConnection Namespace


NetConnection Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The NetConnection type exposes the following members.

Methods
 | Name | Description
Public method | Connect | Connect the Proxy to the Furcadia Game server
Public method | Disconnect | Disconnects this instance.
Public method | Dispose | implementation of Dispose pattern callable by consumers.
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetEnumIntT |
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | IsConnectedCharacter | Are we the current executing character?
Public method | IsConnectedCharacter(IFurre) | Is the target furre the connected characyer?
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | OnThroatTiredTrigger | Called when [throat tired trigger].
Public method | ParseServerChannel | Parse Channel Data
Public method | ParseServerData | Parse Server Data
Public method | SendError | send errors to the error handler
Public method | SendFormattedTextToServer | Format basic furcadia commands and send to server We also mirror the client to server banish system. This maybe a good place to place Proxy/Bot commands for controls default to say or "normal spoken command"
Public method | SendToServer | Send a raw instruction to Server through the Load Balancer
Public method | TextToServer | Text Channel Prefixes (shout,whisper emote, Raw Server command) default to say or "normal spoken command"
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

NetConnection Class
Furcadia.Net.DirectConnection Namespace


NetConnection.Connect Method

NetConnectionConnect Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Connect the Proxy to the Furcadia Game server

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public void Connect()
Public Sub Connect

Dim instance As NetConnection

instance.Connect()
public:
void Connect()
member Connect : unit -> unit
See Also

Reference

NetConnection Class
Furcadia.Net.DirectConnection Namespace


NetConnection.Disconnect Method

NetConnectionDisconnect Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Disconnects this instance.

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public void Disconnect()
Public Sub Disconnect

Dim instance As NetConnection

instance.Disconnect()
public:
void Disconnect()
member Disconnect : unit -> unit
See Also

Reference

NetConnection Class
Furcadia.Net.DirectConnection Namespace


NetConnection.Dispose Method

NetConnectionDispose Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

implementation of Dispose pattern callable by consumers.

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public void Dispose()
Public Sub Dispose

Dim instance As NetConnection

instance.Dispose()
public:
virtual void Dispose() sealed
abstract Dispose : unit -> unit
override Dispose : unit -> unit

Implements

IDisposableDispose
See Also

Reference

NetConnection Class
Furcadia.Net.DirectConnection Namespace


NetConnection.GetEnumInt(T) Method

NetConnectionGetEnumIntT Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "M:Furcadia.Net.DirectConnection.NetConnection.GetEnumInt``1(``0)"]

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public int GetEnumInt<T>(
    T enumVal
)

Public Function GetEnumInt(Of T) (
    enumVal As T
) As Integer

Dim instance As NetConnection
Dim enumVal As T
Dim returnValue As Integer

returnValue = instance.GetEnumInt(enumVal)
public:
generic<typename T>
int GetEnumInt(
    T enumVal
)
member GetEnumInt :
        enumVal : 'T -> int

Parameters

enumVal
Type: T

Type Parameters

T

Return Value

Type: Int32

[Missing <returns> documentation for "M:Furcadia.Net.DirectConnection.NetConnection.GetEnumInt``1(``0)"]

See Also

Reference

NetConnection Class
Furcadia.Net.DirectConnection Namespace


NetConnection.IsConnectedCharacter Method

NetConnectionIsConnectedCharacter Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
 | Name | Description
Public method | IsConnectedCharacter | Are we the current executing character?
Public method | IsConnectedCharacter(IFurre) | Is the target furre the connected characyer?
Top
See Also

Reference

NetConnection Class
Furcadia.Net.DirectConnection Namespace


NetConnection.IsConnectedCharacter Method

NetConnectionIsConnectedCharacter Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Are we the current executing character?

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool IsConnectedCharacter()
Public Function IsConnectedCharacter As Boolean

Dim instance As NetConnection
Dim returnValue As Boolean

returnValue = instance.IsConnectedCharacter()
public:
bool IsConnectedCharacter()
member IsConnectedCharacter : unit -> bool

Return Value

Type: Boolean

[Missing <returns> documentation for "M:Furcadia.Net.DirectConnection.NetConnection.IsConnectedCharacter"]

See Also

Reference

NetConnection Class
IsConnectedCharacter Overload
Furcadia.Net.DirectConnection Namespace


NetConnection.IsConnectedCharacter Method (IFurre)

NetConnectionIsConnectedCharacter Method (IFurre)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Is the target furre the connected characyer?

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool IsConnectedCharacter(
    IFurre Fur
)
Public Function IsConnectedCharacter (
    Fur As IFurre
) As Boolean

Dim instance As NetConnection
Dim Fur As IFurre
Dim returnValue As Boolean

returnValue = instance.IsConnectedCharacter(Fur)
public:
bool IsConnectedCharacter(
    IFurre^ Fur
)
member IsConnectedCharacter :
        Fur : IFurre -> bool

Parameters

Fur
Type: Furcadia.Net.DreamInfoIFurre
Furre

Return Value

Type: Boolean
True if Fur is the Connected Furre
See Also

Reference

NetConnection Class
IsConnectedCharacter Overload
Furcadia.Net.DirectConnection Namespace


NetConnection.OnThroatTiredTrigger Method

NetConnectionOnThroatTiredTrigger Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Called when [throat tired trigger].

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public void OnThroatTiredTrigger(
    bool stat
)
Public Sub OnThroatTiredTrigger (
    stat As Boolean
)

Dim instance As NetConnection
Dim stat As Boolean

instance.OnThroatTiredTrigger(stat)
public:
void OnThroatTiredTrigger(
    bool stat
)
member OnThroatTiredTrigger :
        stat : bool -> unit

Parameters

stat
Type: SystemBoolean
if set to true [stat].
See Also

Reference

NetConnection Class
Furcadia.Net.DirectConnection Namespace


NetConnection.ParseServerChannel Method

NetConnectionParseServerChannel Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Parse Channel Data

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public void ParseServerChannel(
    string data,
    bool Handled
)
Public Sub ParseServerChannel (
    data As String,
    Handled As Boolean
)

Dim instance As NetConnection
Dim data As String
Dim Handled As Boolean

instance.ParseServerChannel(data, Handled)
public:
void ParseServerChannel(
    String^ data,
    bool Handled
)
member ParseServerChannel :
        data : string *
        Handled : bool -> unit

Parameters

data
Type: SystemString
Raw Game Server to Client instruction
Handled
Type: SystemBoolean
Is this data already handled?
Remarks
This is derived content from the Furcadia Dev Docs and Furcadia Technical Resources

Update 23 Avatar Movement http://dev.furcadia.com/docs/023_new_movement.pdf

Update 27 Movement http://dev.furcadia.com/docs/027_movement.html

FTR http://ftr.icerealm.org/ref-instructions/

See Also

Reference

NetConnection Class
Furcadia.Net.DirectConnection Namespace


NetConnection.ParseServerData Method

NetConnectionParseServerData Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Parse Server Data

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public void ParseServerData(
    string data,
    ref bool Handled
)
Public Sub ParseServerData (
    data As String,
    ByRef Handled As Boolean
)

Dim instance As NetConnection
Dim data As String
Dim Handled As Boolean

instance.ParseServerData(data, Handled)
public:
void ParseServerData(
    String^ data,
    bool% Handled
)
member ParseServerData :
        data : string *
        Handled : bool byref -> unit

Parameters

data
Type: SystemString
Handled
Type: SystemBoolean
Remarks
This is derived content from the Furcadia Dev Docs and Furcadia Technical Resources

Update 23 Avatar Movement http://dev.furcadia.com/docs/023_new_movement.pdf

Update 27 Movement http://dev.furcadia.com/docs/027_movement.html

FTR http://ftr.icerealm.org/ref-instructions/

See Also

Reference

NetConnection Class
Furcadia.Net.DirectConnection Namespace


NetConnection.SendError Method

NetConnectionSendError Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

send errors to the error handler

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public virtual void SendError(
    Exception e,
    Object o
)
Public Overridable Sub SendError (
    e As Exception,
    o As Object
)

Dim instance As NetConnection
Dim e As Exception
Dim o As Object

instance.SendError(e, o)
public:
virtual void SendError(
    Exception^ e,
    Object^ o
)
abstract SendError :
        e : Exception *
        o : Object -> unit
override SendError :
        e : Exception *
        o : Object -> unit

Parameters

e
Type: SystemException
o
Type: SystemObject
See Also

Reference

NetConnection Class
Furcadia.Net.DirectConnection Namespace


NetConnection.SendFormattedTextToServer Method

NetConnectionSendFormattedTextToServer Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Format basic furcadia commands and send to server

We also mirror the client to server banish system.

This maybe a good place to place Proxy/Bot commands for controls

default to say or "normal spoken command"

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public virtual void SendFormattedTextToServer(
    string data
)
Public Overridable Sub SendFormattedTextToServer (
    data As String
)

Dim instance As NetConnection
Dim data As String

instance.SendFormattedTextToServer(data)
public:
virtual void SendFormattedTextToServer(
    String^ data
)
abstract SendFormattedTextToServer :
        data : string -> unit
override SendFormattedTextToServer :
        data : string -> unit

Parameters

data
Type: SystemString
Raw Client to Server instruction
See Also

Reference

NetConnection Class
Furcadia.Net.DirectConnection Namespace


NetConnection.SendToServer Method

NetConnectionSendToServer Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Send a raw instruction to Server through the Load Balancer

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public void SendToServer(
    string message
)
Public Sub SendToServer (
    message As String
)

Dim instance As NetConnection
Dim message As String

instance.SendToServer(message)
public:
void SendToServer(
    String^ message
)
member SendToServer :
        message : string -> unit

Parameters

message
Type: SystemString
Client to server Instruction
See Also

Reference

NetConnection Class
Furcadia.Net.DirectConnection Namespace


NetConnection.TextToServer Method

NetConnectionTextToServer Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Text Channel Prefixes (shout,whisper emote, Raw Server command)

default to say or "normal spoken command"

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public void TextToServer(
    ref string data
)
Public Sub TextToServer (
    ByRef data As String
)

Dim instance As NetConnection
Dim data As String

instance.TextToServer(data)
public:
void TextToServer(
    String^% data
)
member TextToServer :
        data : string byref -> unit

Parameters

data
Type: SystemString
See Also

Reference

NetConnection Class
Furcadia.Net.DirectConnection Namespace


NetConnection Events
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The NetConnection type exposes the following members.

Events
 | Name | Description
Public event | Error | This is triggered when a handled Exception is thrown.
Public event | ProcessServerChannelData | Process Display Text and Channels
Public event | ProcessServerInstruction |
Public event | ServerConnected | Occurs when [server connected].
Public event | ServerData2 | Occurs when [server data2].
Public event | ServerDisconnected | This is triggered when the Server Disconnects
Public event | ServerStatusChanged | Track the Server Status
Top
See Also

Reference

NetConnection Class
Furcadia.Net.DirectConnection Namespace


NetConnection.Error Event

NetConnectionError Event
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

This is triggered when a handled Exception is thrown.

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public event ClientBaseErrorEventHandler Error
Public Event Error As ClientBaseErrorEventHandler

Dim instance As NetConnection
Dim handler As ClientBaseErrorEventHandler

AddHandler instance.Error, handler

public:
 event ClientBaseErrorEventHandler^ Error {
    void add (ClientBaseErrorEventHandler^ value);
    void remove (ClientBaseErrorEventHandler^ value);
}
member Error : IEvent<ClientBaseErrorEventHandler,
    EventArgs>

Value

Type: Furcadia.Net.DirectConnectionClientBaseErrorEventHandler
See Also

Reference

NetConnection Class
Furcadia.Net.DirectConnection Namespace


NetConnection.ProcessServerChannelData Event

NetConnectionProcessServerChannelData Event
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Process Display Text and Channels

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public event NetConnectionProcessChannel ProcessServerChannelData
Public Event ProcessServerChannelData As NetConnectionProcessChannel

Dim instance As NetConnection
Dim handler As NetConnectionProcessChannel

AddHandler instance.ProcessServerChannelData, handler

public:
 event NetConnectionProcessChannel^ ProcessServerChannelData {
    void add (NetConnectionProcessChannel^ value);
    void remove (NetConnectionProcessChannel^ value);
}
member ProcessServerChannelData : IEvent<NetConnectionProcessChannel,
    ParseChannelArgs>

Value

Type: Furcadia.Net.DirectConnectionNetConnectionProcessChannel
See Also

Reference

NetConnection Class
Furcadia.Net.DirectConnection Namespace


NetConnection.ProcessServerInstruction Event

NetConnectionProcessServerInstruction Event
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "E:Furcadia.Net.DirectConnection.NetConnection.ProcessServerInstruction"]

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public event NetConnectionProcessInstruction ProcessServerInstruction
Public Event ProcessServerInstruction As NetConnectionProcessInstruction

Dim instance As NetConnection
Dim handler As NetConnectionProcessInstruction

AddHandler instance.ProcessServerInstruction, handler

public:
 event NetConnectionProcessInstruction^ ProcessServerInstruction {
    void add (NetConnectionProcessInstruction^ value);
    void remove (NetConnectionProcessInstruction^ value);
}
member ProcessServerInstruction : IEvent<NetConnectionProcessInstruction,
    ParseServerArgs>

Value

Type: Furcadia.Net.DirectConnectionNetConnectionProcessInstruction
See Also

Reference

NetConnection Class
Furcadia.Net.DirectConnection Namespace


NetConnection.ServerConnected Event

NetConnectionServerConnected Event
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Occurs when [server connected].

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public event ClientBaseActionDelegate ServerConnected
Public Event ServerConnected As ClientBaseActionDelegate

Dim instance As NetConnection
Dim handler As ClientBaseActionDelegate

AddHandler instance.ServerConnected, handler

public:
 event ClientBaseActionDelegate^ ServerConnected {
    void add (ClientBaseActionDelegate^ value);
    void remove (ClientBaseActionDelegate^ value);
}
member ServerConnected : IEvent<ClientBaseActionDelegate,
    EventArgs>

Value

Type: Furcadia.Net.DirectConnectionClientBaseActionDelegate
See Also

Reference

NetConnection Class
Furcadia.Net.DirectConnection Namespace


NetConnection.ServerData2 Event

NetConnectionServerData2 Event
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Occurs when [server data2].

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public event ClientBaseDataEventHandler2 ServerData2
Public Event ServerData2 As ClientBaseDataEventHandler2

Dim instance As NetConnection
Dim handler As ClientBaseDataEventHandler2

AddHandler instance.ServerData2, handler

public:
 event ClientBaseDataEventHandler2^ ServerData2 {
    void add (ClientBaseDataEventHandler2^ value);
    void remove (ClientBaseDataEventHandler2^ value);
}
member ServerData2 : IEvent<ClientBaseDataEventHandler2,
    EventArgs>

Value

Type: Furcadia.Net.DirectConnectionClientBaseDataEventHandler2
See Also

Reference

NetConnection Class
Furcadia.Net.DirectConnection Namespace


NetConnection.ServerDisconnected Event

NetConnectionServerDisconnected Event
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

This is triggered when the Server Disconnects

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public event ClientBaseActionDelegate ServerDisconnected
Public Event ServerDisconnected As ClientBaseActionDelegate

Dim instance As NetConnection
Dim handler As ClientBaseActionDelegate

AddHandler instance.ServerDisconnected, handler

public:
 event ClientBaseActionDelegate^ ServerDisconnected {
    void add (ClientBaseActionDelegate^ value);
    void remove (ClientBaseActionDelegate^ value);
}
member ServerDisconnected : IEvent<ClientBaseActionDelegate,
    EventArgs>

Value

Type: Furcadia.Net.DirectConnectionClientBaseActionDelegate
See Also

Reference

NetConnection Class
Furcadia.Net.DirectConnection Namespace


NetConnection.ServerStatusChanged Event

NetConnectionServerStatusChanged Event
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Track the Server Status

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public event NetConnectionServerStatusChangedEventHandler ServerStatusChanged
Public Event ServerStatusChanged As NetConnectionServerStatusChangedEventHandler

Dim instance As NetConnection
Dim handler As NetConnectionServerStatusChangedEventHandler

AddHandler instance.ServerStatusChanged, handler

public:
 event NetConnectionServerStatusChangedEventHandler^ ServerStatusChanged {
    void add (NetConnectionServerStatusChangedEventHandler^ value);
    void remove (NetConnectionServerStatusChangedEventHandler^ value);
}
member ServerStatusChanged : IEvent<NetConnectionServerStatusChangedEventHandler,
    NetServerEventArgs>

Value

Type: Furcadia.Net.DirectConnectionNetConnectionServerStatusChangedEventHandler
See Also

Reference

NetConnection Class
Furcadia.Net.DirectConnection Namespace


NetConnection Fields
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The NetConnection type exposes the following members.

Fields
 | Name | Description
Public field | Repq |
Public field | TroatTiredEventHandler | The troat tired event handler
Top
See Also

Reference

NetConnection Class
Furcadia.Net.DirectConnection Namespace


NetConnection.Repq Field

NetConnectionRepq Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "F:Furcadia.Net.DirectConnection.NetConnection.Repq"]

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public Queue<Rep> Repq
Public Repq As Queue(Of Rep)

Dim instance As NetConnection
Dim value As Queue(Of Rep)

value = instance.Repq

instance.Repq = value
public:
Queue<Rep>^ Repq
val mutable Repq: Queue<Rep>

Field Value

Type: Queue Rep
See Also

Reference

NetConnection Class
Furcadia.Net.DirectConnection Namespace


NetConnection.TroatTiredEventHandler Field

NetConnectionTroatTiredEventHandler Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The troat tired event handler

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public NetConnectionThroatTiredEnabled TroatTiredEventHandler
Public TroatTiredEventHandler As NetConnectionThroatTiredEnabled

Dim instance As NetConnection
Dim value As NetConnectionThroatTiredEnabled

value = instance.TroatTiredEventHandler

instance.TroatTiredEventHandler = value
public:
NetConnectionThroatTiredEnabled^ TroatTiredEventHandler
val mutable TroatTiredEventHandler: NetConnectionThroatTiredEnabled

Field Value

Type: NetConnectionThroatTiredEnabled
See Also

Reference

NetConnection Class
Furcadia.Net.DirectConnection Namespace


NetConnection.ClientStatusChangedEventHandler Delegate

NetConnectionClientStatusChangedEventHandler Delegate
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "T:Furcadia.Net.DirectConnection.NetConnection.ClientStatusChangedEventHandler"]

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public delegate void ClientStatusChangedEventHandler(
    Object Sender,
    NetClientEventArgs e
)
Public Delegate Sub ClientStatusChangedEventHandler (
    Sender As Object,
    e As NetClientEventArgs
)

Dim instance As New ClientStatusChangedEventHandler(AddressOf HandlerMethod)
public delegate void ClientStatusChangedEventHandler(
    Object^ Sender,
    NetClientEventArgs^ e
)
type ClientStatusChangedEventHandler =
    delegate of
        Sender : Object *
        e : NetClientEventArgs -> unit

Parameters

Sender
Type: SystemObject
e
Type: Furcadia.NetNetClientEventArgs
See Also

Reference

Furcadia.Net.DirectConnection Namespace


NetConnection.DataHandler Delegate

NetConnectionDataHandler Delegate
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Send Data to Furcadia Client or Game Server

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public delegate void DataHandler(
    string Message,
    EventArgs e
)
Public Delegate Sub DataHandler (
    Message As String,
    e As EventArgs
)

Dim instance As New DataHandler(AddressOf HandlerMethod)
public delegate void DataHandler(
    String^ Message,
    EventArgs^ e
)
type DataHandler =
    delegate of
        Message : string *
        e : EventArgs -> unit

Parameters

Message
Type: SystemString
Raw instruction to send
e
Type: SystemEventArgs
Client or Server Event Arguments with Instruction type
See Also

Reference

Furcadia.Net.DirectConnection Namespace


NetConnection.OnErrorEventHandler Delegate

NetConnectionOnErrorEventHandler Delegate
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "T:Furcadia.Net.DirectConnection.NetConnection.OnErrorEventHandler"]

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public delegate void OnErrorEventHandler(
    Object sender,
    EventArgs e
)
Public Delegate Sub OnErrorEventHandler (
    sender As Object,
    e As EventArgs
)

Dim instance As New OnErrorEventHandler(AddressOf HandlerMethod)
public delegate void OnErrorEventHandler(
    Object^ sender,
    EventArgs^ e
)
type OnErrorEventHandler =
    delegate of
        sender : Object *
        e : EventArgs -> unit

Parameters

sender
Type: SystemObject
e
Type: SystemEventArgs
See Also

Reference

Furcadia.Net.DirectConnection Namespace


NetConnection.ProcessChannel Delegate

NetConnectionProcessChannel Delegate
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "T:Furcadia.Net.DirectConnection.NetConnection.ProcessChannel"]

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public delegate void ProcessChannel(
    Object sender,
    ParseChannelArgs Args
)
Public Delegate Sub ProcessChannel (
    sender As Object,
    Args As ParseChannelArgs
)

Dim instance As New ProcessChannel(AddressOf HandlerMethod)
public delegate void ProcessChannel(
    Object^ sender,
    ParseChannelArgs^ Args
)
type ProcessChannel =
    delegate of
        sender : Object *
        Args : ParseChannelArgs -> unit

Parameters

sender
Type: SystemObject
ChannelObject
Args
Type: Furcadia.NetParseChannelArgs
See Also

Reference

Furcadia.Net.DirectConnection Namespace


NetConnection.ProcessInstruction Delegate

NetConnectionProcessInstruction Delegate
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Send Server to Client Instruction object to Sub-classed for handling.

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public delegate void ProcessInstruction(
    Object sender,
    ParseServerArgs Args
)
Public Delegate Sub ProcessInstruction (
    sender As Object,
    Args As ParseServerArgs
)

Dim instance As New ProcessInstruction(AddressOf HandlerMethod)
public delegate void ProcessInstruction(
    Object^ sender,
    ParseServerArgs^ Args
)
type ProcessInstruction =
    delegate of
        sender : Object *
        Args : ParseServerArgs -> unit

Parameters

sender
Type: SystemObject
Server Instruction Object
Args
Type: Furcadia.NetParseServerArgs
See Also

Reference

Furcadia.Net.DirectConnection Namespace


NetConnection.ServerStatusChangedEventHandler Delegate

NetConnectionServerStatusChangedEventHandler Delegate
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "T:Furcadia.Net.DirectConnection.NetConnection.ServerStatusChangedEventHandler"]

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public delegate void ServerStatusChangedEventHandler(
    Object Sender,
    NetServerEventArgs e
)
Public Delegate Sub ServerStatusChangedEventHandler (
    Sender As Object,
    e As NetServerEventArgs
)

Dim instance As New ServerStatusChangedEventHandler(AddressOf HandlerMethod)
public delegate void ServerStatusChangedEventHandler(
    Object^ Sender,
    NetServerEventArgs^ e
)
type ServerStatusChangedEventHandler =
    delegate of
        Sender : Object *
        e : NetServerEventArgs -> unit

Parameters

Sender
Type: SystemObject
e
Type: Furcadia.NetNetServerEventArgs
See Also

Reference

Furcadia.Net.DirectConnection Namespace


NetConnection.ThroatTiredEnabled Delegate

NetConnectionThroatTiredEnabled Delegate
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Throat Tired even handler

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public delegate void ThroatTiredEnabled(
    bool enable
)
Public Delegate Sub ThroatTiredEnabled (
    enable As Boolean
)

Dim instance As New ThroatTiredEnabled(AddressOf HandlerMethod)
public delegate void ThroatTiredEnabled(
    bool enable
)
type ThroatTiredEnabled =
    delegate of
        enable : bool -> unit

Parameters

enable
Type: SystemBoolean
if set to true [enable].
See Also

Reference

Furcadia.Net.DirectConnection Namespace


NetConnectionException Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Desctiption of NetConnectionException.
Inheritance Hierarchy
SystemObject
SystemException
Furcadia.Net.DirectConnectionNetConnectionException

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
[SerializableAttribute]
public class NetConnectionException : Exception,
    ISerializable
<SerializableAttribute>
Public Class NetConnectionException
    Inherits Exception
    Implements ISerializable

Dim instance As NetConnectionException
[SerializableAttribute]
public ref class NetConnectionException : public Exception,
    ISerializable
[<SerializableAttribute>]
type NetConnectionException =
    class
        inherit Exception
        interface ISerializable
    end

The NetConnectionException type exposes the following members.

Constructors
 | Name | Description
Public method | NetConnectionException | Initializes a new instance of the NetConnectionException class
Public method | NetConnectionException(String) | Initializes a new instance of the NetConnectionException class
Protected method | NetConnectionException(SerializationInfo, StreamingContext) | Initializes a new instance of the NetConnectionException class
Public method | NetConnectionException(String, Exception) | Initializes a new instance of the NetConnectionException class
Top
Properties
 | Name | Description
Public property | Data | Gets a collection of key/value pairs that provide additional user-defined information about the exception. (Inherited from Exception.)
Public property | HelpLink | Gets or sets a link to the help file associated with this exception. (Inherited from Exception.)
Public property | HResult | Gets or sets HRESULT, a coded numerical value that is assigned to a specific exception. (Inherited from Exception.)
Public property | InnerException | Gets the Exception instance that caused the current exception. (Inherited from Exception.)
Public property | Message | Gets a message that describes the current exception. (Inherited from Exception.)
Public property | Source | Gets or sets the name of the application or the object that causes the error. (Inherited from Exception.)
Public property | StackTrace | Gets a string representation of the immediate frames on the call stack. (Inherited from Exception.)
Public property | TargetSite | Gets the method that throws the current exception. (Inherited from Exception.)
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetBaseException | When overridden in a derived class, returns the Exception that is the root cause of one or more subsequent exceptions. (Inherited from Exception.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetObjectData | When overridden in a derived class, sets the SerializationInfo with information about the exception. (Inherited from Exception.)
Public method | GetType | Gets the runtime type of the current instance. (Inherited from Exception.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Creates and returns a string representation of the current exception. (Inherited from Exception.)
Top
Events
 | Name | Description
Protected event | SerializeObjectState | Occurs when an exception is serialized to create an exception state object that contains serialized data about the exception. (Inherited from Exception.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Public Extension Method | Flatten | Flattens the specified exception. (Defined by ExceptionExtensions.)
Public Extension Method | Log(Level, String) | Overloaded. Logs the specified level. (Defined by ExceptionExtensions.)
Public Extension Method | LogT(Level, String) | Overloaded. Logs the specified level. (Defined by ExceptionExtensions.)
Public Extension Method | LogMessage(Level, String) | Overloaded. Logs the message. (Defined by ExceptionExtensions.)
Public Extension Method | LogMessageT(Level, String) | Overloaded. Logs the message. (Defined by ExceptionExtensions.)
Top
See Also

Reference

Furcadia.Net.DirectConnection Namespace


NetConnectionException Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
 | Name | Description
Public method | NetConnectionException | Initializes a new instance of the NetConnectionException class
Public method | NetConnectionException(String) | Initializes a new instance of the NetConnectionException class
Protected method | NetConnectionException(SerializationInfo, StreamingContext) | Initializes a new instance of the NetConnectionException class
Public method | NetConnectionException(String, Exception) | Initializes a new instance of the NetConnectionException class
Top
See Also

Reference

NetConnectionException Class
Furcadia.Net.DirectConnection Namespace


NetConnectionException Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the NetConnectionException class

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public NetConnectionException()
Public Sub New

Dim instance As New NetConnectionException()
public:
NetConnectionException()
new : unit -> NetConnectionException
See Also

Reference

NetConnectionException Class
NetConnectionException Overload
Furcadia.Net.DirectConnection Namespace


NetConnectionException Constructor (String)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the NetConnectionException class

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public NetConnectionException(
    string message
)
Public Sub New (
    message As String
)

Dim message As String

Dim instance As New NetConnectionException(message)
public:
NetConnectionException(
    String^ message
)
new :
        message : string -> NetConnectionException

Parameters

message
Type: SystemString

[Missing <param name="message"/> documentation for "M:Furcadia.Net.DirectConnection.NetConnectionException.#ctor(System.String)"]

See Also

Reference

NetConnectionException Class
NetConnectionException Overload
Furcadia.Net.DirectConnection Namespace


NetConnectionException Constructor (SerializationInfo, StreamingContext)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the NetConnectionException class

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
protected NetConnectionException(
    SerializationInfo info,
    StreamingContext context
)
Protected Sub New (
    info As SerializationInfo,
    context As StreamingContext
)

Dim info As SerializationInfo
Dim context As StreamingContext

Dim instance As New NetConnectionException(info, context)
protected:
NetConnectionException(
    SerializationInfo^ info,
    StreamingContext context
)
new :
        info : SerializationInfo *
        context : StreamingContext -> NetConnectionException

Parameters

info
Type: System.Runtime.SerializationSerializationInfo

[Missing <param name="info"/> documentation for "M:Furcadia.Net.DirectConnection.NetConnectionException.#ctor(System.Runtime.Serialization.SerializationInfo,System.Runtime.Serialization.StreamingContext)"]

context
Type: System.Runtime.SerializationStreamingContext

[Missing <param name="context"/> documentation for "M:Furcadia.Net.DirectConnection.NetConnectionException.#ctor(System.Runtime.Serialization.SerializationInfo,System.Runtime.Serialization.StreamingContext)"]

See Also

Reference

NetConnectionException Class
NetConnectionException Overload
Furcadia.Net.DirectConnection Namespace


NetConnectionException Constructor (String, Exception)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the NetConnectionException class

Namespace: Furcadia.Net.DirectConnection
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public NetConnectionException(
    string message,
    Exception innerException
)
Public Sub New (
    message As String,
    innerException As Exception
)

Dim message As String
Dim innerException As Exception

Dim instance As New NetConnectionException(message,
    innerException)
public:
NetConnectionException(
    String^ message,
    Exception^ innerException
)
new :
        message : string *
        innerException : Exception -> NetConnectionException

Parameters

message
Type: SystemString

[Missing <param name="message"/> documentation for "M:Furcadia.Net.DirectConnection.NetConnectionException.#ctor(System.String,System.Exception)"]

innerException
Type: SystemException

[Missing <param name="innerException"/> documentation for "M:Furcadia.Net.DirectConnection.NetConnectionException.#ctor(System.String,System.Exception)"]

See Also

Reference

NetConnectionException Class
NetConnectionException Overload
Furcadia.Net.DirectConnection Namespace


NetConnectionException Properties
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The NetConnectionException type exposes the following members.

Properties
 | Name | Description
Public property | Data | Gets a collection of key/value pairs that provide additional user-defined information about the exception. (Inherited from Exception.)
Public property | HelpLink | Gets or sets a link to the help file associated with this exception. (Inherited from Exception.)
Public property | HResult | Gets or sets HRESULT, a coded numerical value that is assigned to a specific exception. (Inherited from Exception.)
Public property | InnerException | Gets the Exception instance that caused the current exception. (Inherited from Exception.)
Public property | Message | Gets a message that describes the current exception. (Inherited from Exception.)
Public property | Source | Gets or sets the name of the application or the object that causes the error. (Inherited from Exception.)
Public property | StackTrace | Gets a string representation of the immediate frames on the call stack. (Inherited from Exception.)
Public property | TargetSite | Gets the method that throws the current exception. (Inherited from Exception.)
Top
See Also

Reference

NetConnectionException Class
Furcadia.Net.DirectConnection Namespace


NetConnectionException Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The NetConnectionException type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetBaseException | When overridden in a derived class, returns the Exception that is the root cause of one or more subsequent exceptions. (Inherited from Exception.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetObjectData | When overridden in a derived class, sets the SerializationInfo with information about the exception. (Inherited from Exception.)
Public method | GetType | Gets the runtime type of the current instance. (Inherited from Exception.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Creates and returns a string representation of the current exception. (Inherited from Exception.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Public Extension Method | Flatten | Flattens the specified exception. (Defined by ExceptionExtensions.)
Public Extension Method | Log(Level, String) | Overloaded. Logs the specified level. (Defined by ExceptionExtensions.)
Public Extension Method | LogT(Level, String) | Overloaded. Logs the specified level. (Defined by ExceptionExtensions.)
Public Extension Method | LogMessage(Level, String) | Overloaded. Logs the message. (Defined by ExceptionExtensions.)
Public Extension Method | LogMessageT(Level, String) | Overloaded. Logs the message. (Defined by ExceptionExtensions.)
Top
See Also

Reference

NetConnectionException Class
Furcadia.Net.DirectConnection Namespace


NetConnectionException Events
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The NetConnectionException type exposes the following members.

Events
 | Name | Description
Protected event | SerializeObjectState | Occurs when an exception is serialized to create an exception state object that contains serialized data about the exception. (Inherited from Exception.)
Top
See Also

Reference

NetConnectionException Class
Furcadia.Net.DirectConnection Namespace


Furcadia.Net.DreamInfo Namespace
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Classes
 | Class | Description
Public class | Avatar | Legacy Furre Avatar information
Public class | Badges | Beekin Badges
Public class | Dream | Current Dream information
Public class | Furre | Class for Proxies and bots to use Furrre Data provided by the game server.
Public class | FurreList | Furre List information for a Furcadia Dream Implements List
Structures
 | Structure | Description
Public structure | AvatarFrame |
Interfaces
 | Interface | Description
Public interface | IDream |
Public interface | IFurre | Furre Class Interface
Enumerations
 | Enumeration | Description
Public enumeration | AvatarAvatarDirection |
Public enumeration | AvatarAvatarPose | Avatar pose
Public enumeration | AvatarFurrePose | Furre Poses


Avatar Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Legacy Furre Avatar information
Inheritance Hierarchy
SystemObject
Furcadia.Net.DreamInfoAvatar

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public class Avatar
Public Class Avatar

Dim instance As Avatar
public ref class Avatar
type Avatar =  class end

The Avatar type exposes the following members.

Constructors
 | Name | Description
Public method | Avatar | Initializes a new instance of the Avatar class
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
 | PrimeTable | Primes the table.
 | SpecNum | Specs the number.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Furcadia.Net.DreamInfo Namespace


Avatar Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the Avatar class

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public Avatar()
Public Sub New

Dim instance As New Avatar()
public:
Avatar()
new : unit -> Avatar
See Also

Reference

Avatar Class
Furcadia.Net.DreamInfo Namespace


Avatar Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The Avatar type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
 | PrimeTable | Primes the table.
 | SpecNum | Specs the number.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Avatar Class
Furcadia.Net.DreamInfo Namespace


Avatar.PrimeTable Method

AvatarPrimeTable Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Primes the table.

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static void PrimeTable()
Public Shared Sub PrimeTable

Avatar.PrimeTable()
public:
static void PrimeTable()
static member PrimeTable : unit -> unit
See Also

Reference

Avatar Class
Furcadia.Net.DreamInfo Namespace


Avatar.SpecNum Method

AvatarSpecNum Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Specs the number.

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static AvatarFrame SpecNum(
    int Frame
)
Public Shared Function SpecNum (
    Frame As Integer
) As AvatarFrame

Dim Frame As Integer
Dim returnValue As AvatarFrame

returnValue = Avatar.SpecNum(Frame)
public:
static AvatarFrame SpecNum(
    int Frame
)
static member SpecNum :
        Frame : int -> AvatarFrame

Parameters

Frame
Type: SystemInt32
The frame.

Return Value

Type: AvatarFrame

[Missing <returns> documentation for "M:Furcadia.Net.DreamInfo.Avatar.SpecNum(System.Int32)"]

See Also

Reference

Avatar Class
Furcadia.Net.DreamInfo Namespace


Avatar.AvatarDirection Enumeration

AvatarAvatarDirection Enumeration
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "T:Furcadia.Net.DreamInfo.Avatar.AvatarDirection"]

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public enum AvatarDirection
Public Enumeration AvatarDirection

Dim instance As Avatar.AvatarDirection
public enum class AvatarDirection
type AvatarDirection
Members
Member name | Value | Description
SW | 0 | South West
SE | 1 | South East
NW | 2 | The nwNorth West
NE | 3 | North East
See Also

Reference

Furcadia.Net.DreamInfo Namespace


Avatar.AvatarPose Enumeration

AvatarAvatarPose Enumeration
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Avatar pose

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public enum AvatarPose
Public Enumeration AvatarPose

Dim instance As Avatar.AvatarPose
public enum class AvatarPose
type AvatarPose
Members
Member name | Value | Description
AVPOSE_SIT | 0 | Sit
AVPOSE_WALK0 | 1 | Walk 0
AVPOSE_STAND | 2 | Stand
AVPOSE_WALK1 | 3 | Walk 1
AVPOSE_LIE | 4 | Lie
See Also

Reference

Furcadia.Net.DreamInfo Namespace


Avatar.Frame Structure

AvatarFrame Structure
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "T:Furcadia.Net.DreamInfo.Avatar.Frame"]

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public struct Frame
Public Structure Frame

Dim instance As Avatar.Frame
public value class Frame
[<SealedAttribute>]
type Frame =  struct end

The AvatarFrame type exposes the following members.

Methods
 | Name | Description
Public method | Clear | Clears this instance.
Public method | Equals | Indicates whether this instance and a specified object are equal. (Inherited from ValueType.)
Public method | GetHashCode | Returns the hash code for this instance. (Inherited from ValueType.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | ToString | Returns the fully qualified type name of this instance. (Inherited from ValueType.)
Top
Fields
 | Name | Description
Public field | dir | The dir
Public field | DS_Number | The ds number
Public field | gender | The gender
Public field | pose | The pose
Public field | Spec | The spec
Public field | Wings | The wings
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Furcadia.Net.DreamInfo Namespace


Frame Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The AvatarFrame type exposes the following members.

Methods
 | Name | Description
Public method | Clear | Clears this instance.
Public method | Equals | Indicates whether this instance and a specified object are equal. (Inherited from ValueType.)
Public method | GetHashCode | Returns the hash code for this instance. (Inherited from ValueType.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | ToString | Returns the fully qualified type name of this instance. (Inherited from ValueType.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

AvatarFrame Structure
Furcadia.Net.DreamInfo Namespace


Avatar.Frame.Clear Method

AvatarFrameClear Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Clears this instance.

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public void Clear()
Public Sub Clear

Dim instance As AvatarFrame

instance.Clear()
public:
void Clear()
member Clear : unit -> unit
See Also

Reference

AvatarFrame Structure
Furcadia.Net.DreamInfo Namespace


Frame Fields
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The AvatarFrame type exposes the following members.

Fields
 | Name | Description
Public field | dir | The dir
Public field | DS_Number | The ds number
Public field | gender | The gender
Public field | pose | The pose
Public field | Spec | The spec
Public field | Wings | The wings
Top
See Also

Reference

AvatarFrame Structure
Furcadia.Net.DreamInfo Namespace


Avatar.Frame.dir Field

AvatarFramedir Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The dir

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public Base220 dir
Public dir As Base220

Dim instance As AvatarFrame
Dim value As Base220

value = instance.dir

instance.dir = value
public:
Base220^ dir
val mutable dir: Base220

Field Value

Type: Base220
See Also

Reference

AvatarFrame Structure
Furcadia.Net.DreamInfo Namespace


Avatar.Frame.DS_Number Field

AvatarFrameDS_Number Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The ds number

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public int DS_Number
Public DS_Number As Integer

Dim instance As AvatarFrame
Dim value As Integer

value = instance.DS_Number

instance.DS_Number = value
public:
int DS_Number
val mutable DS_Number: int

Field Value

Type: Int32
See Also

Reference

AvatarFrame Structure
Furcadia.Net.DreamInfo Namespace


Avatar.Frame.gender Field

AvatarFramegender Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The gender

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public int gender
Public gender As Integer

Dim instance As AvatarFrame
Dim value As Integer

value = instance.gender

instance.gender = value
public:
int gender
val mutable gender: int

Field Value

Type: Int32
See Also

Reference

AvatarFrame Structure
Furcadia.Net.DreamInfo Namespace


Avatar.Frame.pose Field

AvatarFramepose Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The pose

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public Base220 pose
Public pose As Base220

Dim instance As AvatarFrame
Dim value As Base220

value = instance.pose

instance.pose = value
public:
Base220^ pose
val mutable pose: Base220

Field Value

Type: Base220
See Also

Reference

AvatarFrame Structure
Furcadia.Net.DreamInfo Namespace


Avatar.Frame.Spec Field

AvatarFrameSpec Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The spec

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public Base220 Spec
Public Spec As Base220

Dim instance As AvatarFrame
Dim value As Base220

value = instance.Spec

instance.Spec = value
public:
Base220^ Spec
val mutable Spec: Base220

Field Value

Type: Base220
See Also

Reference

AvatarFrame Structure
Furcadia.Net.DreamInfo Namespace


Avatar.Frame.Wings Field

AvatarFrameWings Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The wings

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public int Wings
Public Wings As Integer

Dim instance As AvatarFrame
Dim value As Integer

value = instance.Wings

instance.Wings = value
public:
int Wings
val mutable Wings: int

Field Value

Type: Int32
See Also

Reference

AvatarFrame Structure
Furcadia.Net.DreamInfo Namespace


Avatar.FurrePose Enumeration

AvatarFurrePose Enumeration
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Furre Poses

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
[FlagsAttribute]
public enum FurrePose
<FlagsAttribute>
Public Enumeration FurrePose

Dim instance As Avatar.FurrePose
[FlagsAttribute]
public enum class FurrePose
[<FlagsAttribute>]
type FurrePose
Members
Member name | Value | Description
None | 0 | The none
Walk1 | 1 | The walk1
Stand1 | 2 | The stand1
Walk2 | 3 | The walk2
Stand2 | 4 | The stand2
Sit | 5 | The sit
LieDown | 6 | The lie down
See Also

Reference

Furcadia.Net.DreamInfo Namespace


Badges Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Beekin Badges
Inheritance Hierarchy
SystemObject
Furcadia.Net.DreamInfoBadges

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public class Badges
Public Class Badges

Dim instance As Badges
public ref class Badges
type Badges =  class end

The Badges type exposes the following members.

Constructors
 | Name | Description
Public method | Badges | Initializes a new instance of the Badges class
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
 | GetGroup | Gets the group.
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
 | GetLevel | Gets the level.
 | GetTag | Gets the tag.
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
 | NumToEnumT |
 | PrimeTable | Preload the badge table
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Furcadia.Net.DreamInfo Namespace


Badges Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the Badges class

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public Badges()
Public Sub New

Dim instance As New Badges()
public:
Badges()
new : unit -> Badges
See Also

Reference

Badges Class
Furcadia.Net.DreamInfo Namespace


Badges Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The Badges type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
 | GetGroup | Gets the group.
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
 | GetLevel | Gets the level.
 | GetTag | Gets the tag.
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
 | NumToEnumT |
 | PrimeTable | Preload the badge table
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Badges Class
Furcadia.Net.DreamInfo Namespace


Badges.GetGroup Method

BadgesGetGroup Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets the group.

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static int GetGroup(
    string tag
)
Public Shared Function GetGroup (
    tag As String
) As Integer

Dim tag As String
Dim returnValue As Integer

returnValue = Badges.GetGroup(tag)
public:
static int GetGroup(
    String^ tag
)
static member GetGroup :
        tag : string -> int

Parameters

tag
Type: SystemString
The tag.

Return Value

Type: Int32

[Missing <returns> documentation for "M:Furcadia.Net.DreamInfo.Badges.GetGroup(System.String)"]

See Also

Reference

Badges Class
Furcadia.Net.DreamInfo Namespace


Badges.GetLevel Method

BadgesGetLevel Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets the level.

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static int GetLevel(
    string tag
)
Public Shared Function GetLevel (
    tag As String
) As Integer

Dim tag As String
Dim returnValue As Integer

returnValue = Badges.GetLevel(tag)
public:
static int GetLevel(
    String^ tag
)
static member GetLevel :
        tag : string -> int

Parameters

tag
Type: SystemString
The tag.

Return Value

Type: Int32

[Missing <returns> documentation for "M:Furcadia.Net.DreamInfo.Badges.GetLevel(System.String)"]

See Also

Reference

Badges Class
Furcadia.Net.DreamInfo Namespace


Badges.GetTag Method

BadgesGetTag Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets the tag.

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static string GetTag(
    string tag
)
Public Shared Function GetTag (
    tag As String
) As String

Dim tag As String
Dim returnValue As String

returnValue = Badges.GetTag(tag)
public:
static String^ GetTag(
    String^ tag
)
static member GetTag :
        tag : string -> string

Parameters

tag
Type: SystemString
The tag.

Return Value

Type: String

[Missing <returns> documentation for "M:Furcadia.Net.DreamInfo.Badges.GetTag(System.String)"]

See Also

Reference

Badges Class
Furcadia.Net.DreamInfo Namespace


Badges.NumToEnum(T) Method

BadgesNumToEnumT Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "M:Furcadia.Net.DreamInfo.Badges.NumToEnum``1(System.Int32)"]

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static T NumToEnum<T>(
    int number
)

Public Shared Function NumToEnum(Of T) (
    number As Integer
) As T

Dim number As Integer
Dim returnValue As T

returnValue = Badges.NumToEnum(number)
public:
generic<typename T>
static T NumToEnum(
    int number
)
static member NumToEnum :
        number : int -> 'T

Parameters

number
Type: SystemInt32

[Missing <param name="number"/> documentation for "M:Furcadia.Net.DreamInfo.Badges.NumToEnum``1(System.Int32)"]

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:Furcadia.Net.DreamInfo.Badges.NumToEnum``1(System.Int32)"]

Return Value

Type: T

[Missing <returns> documentation for "M:Furcadia.Net.DreamInfo.Badges.NumToEnum``1(System.Int32)"]

See Also

Reference

Badges Class
Furcadia.Net.DreamInfo Namespace


Badges.PrimeTable Method

BadgesPrimeTable Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Preload the badge table

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static void PrimeTable()
Public Shared Sub PrimeTable

Badges.PrimeTable()
public:
static void PrimeTable()
static member PrimeTable : unit -> unit
See Also

Reference

Badges Class
Furcadia.Net.DreamInfo Namespace


Dream Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Current Dream information
Inheritance Hierarchy
SystemObject
Furcadia.Net.DreamInfoDream

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
[CLSCompliantAttribute(true)]
public class Dream : IDream
<CLSCompliantAttribute(true)>
Public Class Dream
    Implements IDream

Dim instance As Dream
[CLSCompliantAttribute(true)]
public ref class Dream : IDream
[<CLSCompliantAttribute(true)>]
type Dream =
    class
        interface IDream
    end

The Dream type exposes the following members.

Constructors
 | Name | Description
Public method | Dream | Initializes a new instance of the Dream class.
Public method | Dream(String) | Initializes a new instance of the Dream class.
Top
Properties
 | Name | Description
Public property | BookMark | Gets or sets the book make.
Public property | DreamOwner | Dreams uploader character
Public property | DreamUrl | Dreams full Furcadia Drean URL IE: 'fdl furc://DreamOwner:DreamTitle/EntryCode#
Public property | FileName | File name for the dream cache stored on disk
Public property | IsModern | Is this dream Modern Mode?
Public property | IsPermanent | Gets a value indicating whether this dream is permament.
Public property | JustArrived | Gets or sets a value indicating whether Bot has just arrived in a new dream;.
Public property | Lines | Number of DS Lines
Public property | Name | Name of the dream
Public property | Rating | Furcadia Dream rating
Public property | Title | Dream title
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified Object, is equal to this instance. (Overrides ObjectEquals(Object).)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Returns a hash code for this instance. (Overrides ObjectGetHashCode.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | Load | Loads the specified dream information from a LoadDream event.
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a String that represents this instance. (Overrides ObjectToString.)
Top
Operators
Name | Description
Equality | Implements the operator ==.
Inequality | Implements the operator !=.
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Furcadia.Net.DreamInfo Namespace


Dream Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
 | Name | Description
Public method | Dream | Initializes a new instance of the Dream class.
Public method | Dream(String) | Initializes a new instance of the Dream class.
Top
See Also

Reference

Dream Class
Furcadia.Net.DreamInfo Namespace


Dream Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the Dream class.

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public Dream()
Public Sub New

Dim instance As New Dream()
public:
Dream()
new : unit -> Dream
See Also

Reference

Dream Class
Dream Overload
Furcadia.Net.DreamInfo Namespace


Dream Constructor (String)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the Dream class.

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public Dream(
    string DreamOwner
)
Public Sub New (
    DreamOwner As String
)

Dim DreamOwner As String

Dim instance As New Dream(DreamOwner)
public:
Dream(
    String^ DreamOwner
)
new :
        DreamOwner : string -> Dream

Parameters

DreamOwner
Type: SystemString
The dream owner.
See Also

Reference

Dream Class
Dream Overload
Furcadia.Net.DreamInfo Namespace


Dream Properties
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The Dream type exposes the following members.

Properties
 | Name | Description
Public property | BookMark | Gets or sets the book make.
Public property | DreamOwner | Dreams uploader character
Public property | DreamUrl | Dreams full Furcadia Drean URL IE: 'fdl furc://DreamOwner:DreamTitle/EntryCode#
Public property | FileName | File name for the dream cache stored on disk
Public property | IsModern | Is this dream Modern Mode?
Public property | IsPermanent | Gets a value indicating whether this dream is permament.
Public property | JustArrived | Gets or sets a value indicating whether Bot has just arrived in a new dream;.
Public property | Lines | Number of DS Lines
Public property | Name | Name of the dream
Public property | Rating | Furcadia Dream rating
Public property | Title | Dream title
Top
See Also

Reference

Dream Class
Furcadia.Net.DreamInfo Namespace


Dream.BookMark Property

DreamBookMark Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets or sets the book make.

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public DreamBookmark BookMark { set; }
Public WriteOnly Property BookMark As DreamBookmark
    Set

Dim instance As Dream
Dim value As DreamBookmark

instance.BookMark = value
public:
property DreamBookmark^ BookMark {
    void set (DreamBookmark^ value);
}
member BookMark : DreamBookmark with set

Property Value

Type: DreamBookmark
The book make.
See Also

Reference

Dream Class
Furcadia.Net.DreamInfo Namespace


Dream.DreamOwner Property

DreamDreamOwner Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Dreams uploader character

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string DreamOwner { get; set; }
Public Property DreamOwner As String
    Get
    Set

Dim instance As Dream
Dim value As String

value = instance.DreamOwner

instance.DreamOwner = value
public:
property String^ DreamOwner {
    String^ get ();
    void set (String^ value);
}
member DreamOwner : string with get, set

Property Value

Type: String
See Also

Reference

Dream Class
Furcadia.Net.DreamInfo Namespace


Dream.DreamUrl Property

DreamDreamUrl Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Dreams full Furcadia Drean URL

IE: 'fdl furc://DreamOwner:DreamTitle/EntryCode#

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string DreamUrl { get; }
Public ReadOnly Property DreamUrl As String
    Get

Dim instance As Dream
Dim value As String

value = instance.DreamUrl

public:
property String^ DreamUrl {
    String^ get ();
}
member DreamUrl : string with get

Property Value

Type: String
See Also

Reference

Dream Class
Furcadia.Net.DreamInfo Namespace


Dream.FileName Property

DreamFileName Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

File name for the dream cache stored on disk

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string FileName { get; set; }
Public Property FileName As String
    Get
    Set

Dim instance As Dream
Dim value As String

value = instance.FileName

instance.FileName = value
public:
property String^ FileName {
    String^ get ();
    void set (String^ value);
}
member FileName : string with get, set

Property Value

Type: String
The name of the file.
See Also

Reference

Dream Class
Furcadia.Net.DreamInfo Namespace


Dream.IsModern Property

DreamIsModern Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Is this dream Modern Mode?

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool IsModern { get; }
Public ReadOnly Property IsModern As Boolean
    Get

Dim instance As Dream
Dim value As Boolean

value = instance.IsModern

public:
virtual property bool IsModern {
    bool get () sealed;
}
abstract IsModern : bool with get
override IsModern : bool with get

Property Value

Type: Boolean

Implements

IDreamIsModern
See Also

Reference

Dream Class
Furcadia.Net.DreamInfo Namespace


Dream.IsPermanent Property

DreamIsPermanent Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets a value indicating whether this dream is permament.

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool IsPermanent { get; }
Public ReadOnly Property IsPermanent As Boolean
    Get

Dim instance As Dream
Dim value As Boolean

value = instance.IsPermanent

public:
property bool IsPermanent {
    bool get ();
}
member IsPermanent : bool with get

Property Value

Type: Boolean
true if this dream is permament; otherwise, false.
See Also

Reference

Dream Class
Furcadia.Net.DreamInfo Namespace


Dream.JustArrived Property

DreamJustArrived Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets or sets a value indicating whether Bot has just arrived in a new dream;.

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool JustArrived { get; set; }
Public Property JustArrived As Boolean
    Get
    Set

Dim instance As Dream
Dim value As Boolean

value = instance.JustArrived

instance.JustArrived = value
public:
property bool JustArrived {
    bool get ();
    void set (bool value);
}
member JustArrived : bool with get, set

Property Value

Type: Boolean
true if [just arrived]; otherwise, false.
See Also

Reference

Dream Class
Furcadia.Net.DreamInfo Namespace


Dream.Lines Property

DreamLines Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Number of DS Lines

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public int Lines { get; set; }
Public Property Lines As Integer
    Get
    Set

Dim instance As Dream
Dim value As Integer

value = instance.Lines

instance.Lines = value
public:
property int Lines {
    int get ();
    void set (int value);
}
member Lines : int with get, set

Property Value

Type: Int32
See Also

Reference

Dream Class
Furcadia.Net.DreamInfo Namespace


Dream.Name Property

DreamName Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Name of the dream

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string Name { get; }
Public ReadOnly Property Name As String
    Get

Dim instance As Dream
Dim value As String

value = instance.Name

public:
virtual property String^ Name {
    String^ get () sealed;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

IDreamName
See Also

Reference

Dream Class
Furcadia.Net.DreamInfo Namespace


Dream.Rating Property

DreamRating Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Furcadia Dream rating

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string Rating { get; set; }
Public Property Rating As String
    Get
    Set

Dim instance As Dream
Dim value As String

value = instance.Rating

instance.Rating = value
public:
property String^ Rating {
    String^ get ();
    void set (String^ value);
}
member Rating : string with get, set

Property Value

Type: String
See Also

Reference

Dream Class
Furcadia.Net.DreamInfo Namespace


Dream.Title Property

DreamTitle Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Dream title

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string Title { get; set; }
Public Property Title As String
    Get
    Set

Dim instance As Dream
Dim value As String

value = instance.Title

instance.Title = value
public:
property String^ Title {
    String^ get ();
    void set (String^ value);
}
member Title : string with get, set

Property Value

Type: String
See Also

Reference

Dream Class
Furcadia.Net.DreamInfo Namespace


Dream Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The Dream type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified Object, is equal to this instance. (Overrides ObjectEquals(Object).)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Returns a hash code for this instance. (Overrides ObjectGetHashCode.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | Load | Loads the specified dream information from a LoadDream event.
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a String that represents this instance. (Overrides ObjectToString.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Dream Class
Furcadia.Net.DreamInfo Namespace


Dream.Equals Method

DreamEquals Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Determines whether the specified Object, is equal to this instance.

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public override bool Equals(
    Object obj
)
Public Overrides Function Equals (
    obj As Object
) As Boolean

Dim instance As Dream
Dim obj As Object
Dim returnValue As Boolean

returnValue = instance.Equals(obj)
public:
virtual bool Equals(
    Object^ obj
) override
abstract Equals :
        obj : Object -> bool
override Equals :
        obj : Object -> bool

Parameters

obj
Type: SystemObject
The Object to compare with this instance.

Return Value

Type: Boolean
true if the specified Object is equal to this instance; otherwise, false.
See Also

Reference

Dream Class
Furcadia.Net.DreamInfo Namespace


Dream.GetHashCode Method

DreamGetHashCode Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Returns a hash code for this instance.

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public override int GetHashCode()
Public Overrides Function GetHashCode As Integer

Dim instance As Dream
Dim returnValue As Integer

returnValue = instance.GetHashCode()
public:
virtual int GetHashCode() override
abstract GetHashCode : unit -> int
override GetHashCode : unit -> int

Return Value

Type: Int32
A hash code for this instance, suitable for use in hashing algorithms and data structures like a hash table.
See Also

Reference

Dream Class
Furcadia.Net.DreamInfo Namespace


Dream.Load Method

DreamLoad Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Loads the specified dream information from a LoadDream event.

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public void Load(
    LoadDream DreamInfo
)
Public Sub Load (
    DreamInfo As LoadDream
)

Dim instance As Dream
Dim DreamInfo As LoadDream

instance.Load(DreamInfo)
public:
void Load(
    LoadDream^ DreamInfo
)
member Load :
        DreamInfo : LoadDream -> unit

Parameters

DreamInfo
Type: Furcadia.Net.Utils.ServerParserLoadDream
The dream information.
See Also

Reference

Dream Class
Furcadia.Net.DreamInfo Namespace


Dream.ToString Method

DreamToString Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Returns a String that represents this instance.

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public override string ToString()
Public Overrides Function ToString As String

Dim instance As Dream
Dim returnValue As String

returnValue = instance.ToString()
public:
virtual String^ ToString() override
abstract ToString : unit -> string
override ToString : unit -> string

Return Value

Type: String
A String that represents this instance.
See Also

Reference

Dream Class
Furcadia.Net.DreamInfo Namespace


Dream Operators
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The Dream type exposes the following members.

Operators
Name | Description
Equality | Implements the operator ==.
Inequality | Implements the operator !=.
Top
See Also

Reference

Dream Class
Furcadia.Net.DreamInfo Namespace


Dream.Equality Operator

DreamEquality Operator

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Implements the operator ==.

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static bool operator ==(
    Dream dreamA,
    IDream dreamB
)
Public Shared Operator = (
    dreamA As Dream,
    dreamB As IDream
) As Boolean

Dim dreamA As Dream
Dim dreamB As IDream
Dim returnValue As Boolean

returnValue = (dreamA = dreamB)
public:
static bool operator ==(
    Dream^ dreamA,
    IDream^ dreamB
)
static let inline (=)
        dreamA : Dream *
        dreamB : IDream  : bool

Parameters

dreamA
Type: Furcadia.Net.DreamInfoDream
The dream a.
dreamB
Type: Furcadia.Net.DreamInfoIDream
The dream b.

Return Value

Type: Boolean
The result of the operator.
See Also

Reference

Dream Class
Furcadia.Net.DreamInfo Namespace


Dream.Inequality Operator

DreamInequality Operator

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Implements the operator !=.

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static bool operator !=(
    Dream dreamA,
    IDream DreamB
)
Public Shared Operator <> (
    dreamA As Dream,
    DreamB As IDream
) As Boolean

Dim dreamA As Dream
Dim DreamB As IDream
Dim returnValue As Boolean

returnValue = (dreamA <> DreamB)
public:
static bool operator !=(
    Dream^ dreamA,
    IDream^ DreamB
)
static let inline (<>)
        dreamA : Dream *
        DreamB : IDream  : bool

Parameters

dreamA
Type: Furcadia.Net.DreamInfoDream
The dream a.
DreamB
Type: Furcadia.Net.DreamInfoIDream
The dream b.

Return Value

Type: Boolean
The result of the operator.
See Also

Reference

Dream Class
Furcadia.Net.DreamInfo Namespace


Furre Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Class for Proxies and bots to use Furrre Data provided by the game server.
Inheritance Hierarchy
SystemObject
Furcadia.Net.DreamInfoFurre

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
[SerializableAttribute]
public class Furre : IFurre
<SerializableAttribute>
Public Class Furre
    Implements IFurre

Dim instance As Furre
[SerializableAttribute]
public ref class Furre : IFurre
[<SerializableAttribute>]
type Furre =
    class
        interface IFurre
    end

The Furre type exposes the following members.

Constructors
 | Name | Description
Public method | Furre | Initializes a new instance of the Furre class.
Public method | Furre(String) | Furre Constructor with Name
Public method | Furre(Base220) | Initializes a new instance of the Furre class.
Public method | Furre(Base220, String) | Initializes a new instance of the Furre class.
Top
Properties
 | Name | Description
Public property | AfkTime | Away from keyboard time
Public property | BeekinBadge | Gets or sets the beekin badge.
Public property | Direction | Gets or sets the direction.
Public property | FloorObjectCurrent | Gets or sets the floor object current.
Public property | FloorObjectOld | Gets or sets the floor object old.
Public property | FurreColors | Furcadia Color Code (v31c)
Public property | FurreDescription | Furcadia Description
Public property | FurreID | Furre ID
Public property | Group | Gets the group.
Public property | GroupLevel | Gets the level.
Public property | HasEnteredRange | Gets a value indicating whether this furre has left the bots view.
Public property | HasLeftRange | Gets a value indicating whether this furre has left the bots view.
Public property | InRange | Gets or sets a value indicating whether this Furre is inRange.
Public property | LastPosition | The Position the Furre Moved from
Public property | LastStat | Gets the last stat.
Public property | Location | Current position where the Furre is standing
Public property | Message | Last Message Furre had
Public property | Name | Furcadia Name
Public property | PawObjectCurrent | Gets or sets the paw object current.
Public property | PawObjectOld | Gets or sets the paw object old.
Public property | Pose | Furre Pose
Public property | ShortName | Furcadia Short-name format for Furre Name
Public property | Visible | Gets a value indicating whether this Furre is visible.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified Object, is equal to this instance. (Overrides ObjectEquals(Object).)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Returns a hash code for this instance. (Overrides ObjectGetHashCode.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToFurcadiaID | To the furcadia identifier.
Public method | ToFurcadiaID(FuncIFurre, Int32) | To the furcadia identifier.
Public method | ToString | Returns a String that represents this instance. (Overrides ObjectToString.)
Public method | ToString(FuncIFurre, String) | Returns a String that represents this instance.
Top
Operators
Name | Description
Equality | Implements the operator ==.
Inequality | Implements the operator !=.
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
Remarks
Furre ID is provided by the Furcadia game
See Also

Reference

Furcadia.Net.DreamInfo Namespace


Furre Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
 | Name | Description
Public method | Furre | Initializes a new instance of the Furre class.
Public method | Furre(String) | Furre Constructor with Name
Public method | Furre(Base220) | Initializes a new instance of the Furre class.
Public method | Furre(Base220, String) | Initializes a new instance of the Furre class.
Top
See Also

Reference

Furre Class
Furcadia.Net.DreamInfo Namespace


Furre Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the Furre class.

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public Furre()
Public Sub New

Dim instance As New Furre()
public:
Furre()
new : unit -> Furre
See Also

Reference

Furre Class
Furre Overload
Furcadia.Net.DreamInfo Namespace


Furre Constructor (String)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Furre Constructor with Name

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public Furre(
    string Name
)
Public Sub New (
    Name As String
)

Dim Name As String

Dim instance As New Furre(Name)
public:
Furre(
    String^ Name
)
new :
        Name : string -> Furre

Parameters

Name
Type: SystemString

[Missing <param name="Name"/> documentation for "M:Furcadia.Net.DreamInfo.Furre.#ctor(System.String)"]

See Also

Reference

Furre Class
Furre Overload
Furcadia.Net.DreamInfo Namespace


Furre Constructor (Base220)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the Furre class.

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public Furre(
    Base220 FurreID
)
Public Sub New (
    FurreID As Base220
)

Dim FurreID As Base220

Dim instance As New Furre(FurreID)
public:
Furre(
    Base220^ FurreID
)
new :
        FurreID : Base220 -> Furre

Parameters

FurreID
Type: Furcadia.TextBase220
The furre identifier.
See Also

Reference

Furre Class
Furre Overload
Furcadia.Net.DreamInfo Namespace


Furre Constructor (Base220, String)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the Furre class.

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public Furre(
    Base220 FurreID,
    string Name
)
Public Sub New (
    FurreID As Base220,
    Name As String
)

Dim FurreID As Base220
Dim Name As String

Dim instance As New Furre(FurreID,
    Name)
public:
Furre(
    Base220^ FurreID,
    String^ Name
)
new :
        FurreID : Base220 *
        Name : string -> Furre

Parameters

FurreID
Type: Furcadia.TextBase220
The furre identifier.
Name
Type: SystemString
The name.
See Also

Reference

Furre Class
Furre Overload
Furcadia.Net.DreamInfo Namespace


Furre Properties
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The Furre type exposes the following members.

Properties
 | Name | Description
Public property | AfkTime | Away from keyboard time
Public property | BeekinBadge | Gets or sets the beekin badge.
Public property | Direction | Gets or sets the direction.
Public property | FloorObjectCurrent | Gets or sets the floor object current.
Public property | FloorObjectOld | Gets or sets the floor object old.
Public property | FurreColors | Furcadia Color Code (v31c)
Public property | FurreDescription | Furcadia Description
Public property | FurreID | Furre ID
Public property | Group | Gets the group.
Public property | GroupLevel | Gets the level.
Public property | HasEnteredRange | Gets a value indicating whether this furre has left the bots view.
Public property | HasLeftRange | Gets a value indicating whether this furre has left the bots view.
Public property | InRange | Gets or sets a value indicating whether this Furre is inRange.
Public property | LastPosition | The Position the Furre Moved from
Public property | LastStat | Gets the last stat.
Public property | Location | Current position where the Furre is standing
Public property | Message | Last Message Furre had
Public property | Name | Furcadia Name
Public property | PawObjectCurrent | Gets or sets the paw object current.
Public property | PawObjectOld | Gets or sets the paw object old.
Public property | Pose | Furre Pose
Public property | ShortName | Furcadia Short-name format for Furre Name
Public property | Visible | Gets a value indicating whether this Furre is visible.
Top
See Also

Reference

Furre Class
Furcadia.Net.DreamInfo Namespace


Furre.AfkTime Property

FurreAfkTime Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Away from keyboard time

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public int AfkTime { get; set; }
Public Property AfkTime As Integer
    Get
    Set

Dim instance As Furre
Dim value As Integer

value = instance.AfkTime

instance.AfkTime = value
public:
property int AfkTime {
    int get ();
    void set (int value);
}
member AfkTime : int with get, set

Property Value

Type: Int32
See Also

Reference

Furre Class
Furcadia.Net.DreamInfo Namespace


Furre.BeekinBadge Property

FurreBeekinBadge Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets or sets the beekin badge.

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string BeekinBadge { get; set; }
Public Property BeekinBadge As String
    Get
    Set

Dim instance As Furre
Dim value As String

value = instance.BeekinBadge

instance.BeekinBadge = value
public:
property String^ BeekinBadge {
    String^ get ();
    void set (String^ value);
}
member BeekinBadge : string with get, set

Property Value

Type: String
The beekin badge.
See Also

Reference

Furre Class
Furcadia.Net.DreamInfo Namespace


Furre.Direction Property

FurreDirection Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets or sets the direction.

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public AvatarAvatarDirection Direction { get; set; }
Public Property Direction As AvatarAvatarDirection
    Get
    Set

Dim instance As Furre
Dim value As AvatarAvatarDirection

value = instance.Direction

instance.Direction = value
public:
property AvatarAvatarDirection Direction {
    AvatarAvatarDirection get ();
    void set (AvatarAvatarDirection value);
}
member Direction : AvatarAvatarDirection with get, set

Property Value

Type: AvatarAvatarDirection
The direction.
See Also

Reference

Furre Class
Furcadia.Net.DreamInfo Namespace


Furre.FloorObjectCurrent Property

FurreFloorObjectCurrent Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets or sets the floor object current.

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
[CLSCompliantAttribute(false)]
public uint FloorObjectCurrent { get; set; }
<CLSCompliantAttribute(false)>
Public Property FloorObjectCurrent As UInteger
    Get
    Set

Dim instance As Furre
Dim value As UInteger

value = instance.FloorObjectCurrent

instance.FloorObjectCurrent = value
public:
[CLSCompliantAttribute(false)]
property unsigned int FloorObjectCurrent {
    unsigned int get ();
    void set (unsigned int value);
}
[<CLSCompliantAttribute(false)>]
member FloorObjectCurrent : uint32 with get, set

Property Value

Type: UInt32
The floor object current.
See Also

Reference

Furre Class
Furcadia.Net.DreamInfo Namespace


Furre.FloorObjectOld Property

FurreFloorObjectOld Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets or sets the floor object old.

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
[CLSCompliantAttribute(false)]
public uint FloorObjectOld { get; set; }
<CLSCompliantAttribute(false)>
Public Property FloorObjectOld As UInteger
    Get
    Set

Dim instance As Furre
Dim value As UInteger

value = instance.FloorObjectOld

instance.FloorObjectOld = value
public:
[CLSCompliantAttribute(false)]
property unsigned int FloorObjectOld {
    unsigned int get ();
    void set (unsigned int value);
}
[<CLSCompliantAttribute(false)>]
member FloorObjectOld : uint32 with get, set

Property Value

Type: UInt32
The floor object old.
See Also

Reference

Furre Class
Furcadia.Net.DreamInfo Namespace


Furre.FurreColors Property

FurreFurreColors Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Furcadia Color Code (v31c)

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public ColorString FurreColors { get; set; }
Public Property FurreColors As ColorString
    Get
    Set

Dim instance As Furre
Dim value As ColorString

value = instance.FurreColors

instance.FurreColors = value
public:
property ColorString^ FurreColors {
    ColorString^ get ();
    void set (ColorString^ value);
}
member FurreColors : ColorString with get, set

Property Value

Type: ColorString
See Also

Reference

Furre Class
Furcadia.Net.DreamInfo Namespace


Furre.FurreDescription Property

FurreFurreDescription Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Furcadia Description

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string FurreDescription { get; set; }
Public Property FurreDescription As String
    Get
    Set

Dim instance As Furre
Dim value As String

value = instance.FurreDescription

instance.FurreDescription = value
public:
property String^ FurreDescription {
    String^ get ();
    void set (String^ value);
}
member FurreDescription : string with get, set

Property Value

Type: String
See Also

Reference

Furre Class
Furcadia.Net.DreamInfo Namespace


Furre.FurreID Property

FurreFurreID Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Furre ID

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public Base220 FurreID { get; set; }
Public Property FurreID As Base220
    Get
    Set

Dim instance As Furre
Dim value As Base220

value = instance.FurreID

instance.FurreID = value
public:
virtual property Base220^ FurreID {
    Base220^ get () sealed;
    void set (Base220^ value) sealed;
}
abstract FurreID : Base220 with get, set
override FurreID : Base220 with get, set

Property Value

Type: Base220

Implements

IFurreFurreID
See Also

Reference

Furre Class
Furcadia.Net.DreamInfo Namespace


Furre.Group Property

FurreGroup Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets the group.

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public int Group { get; }
Public ReadOnly Property Group As Integer
    Get

Dim instance As Furre
Dim value As Integer

value = instance.Group

public:
property int Group {
    int get ();
}
member Group : int with get

Property Value

Type: Int32
The group.
See Also

Reference

Furre Class
Furcadia.Net.DreamInfo Namespace


Furre.GroupLevel Property

FurreGroupLevel Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets the level.

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public int GroupLevel { get; }
Public ReadOnly Property GroupLevel As Integer
    Get

Dim instance As Furre
Dim value As Integer

value = instance.GroupLevel

public:
property int GroupLevel {
    int get ();
}
member GroupLevel : int with get

Property Value

Type: Int32
The level.
See Also

Reference

Furre Class
Furcadia.Net.DreamInfo Namespace


Furre.HasEnteredRange Property

FurreHasEnteredRange Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets a value indicating whether this furre has left the bots view.

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool HasEnteredRange { get; }
Public ReadOnly Property HasEnteredRange As Boolean
    Get

Dim instance As Furre
Dim value As Boolean

value = instance.HasEnteredRange

public:
property bool HasEnteredRange {
    bool get ();
}
member HasEnteredRange : bool with get

Property Value

Type: Boolean
true if this instance has left range; otherwise, false.
See Also

Reference

Furre Class
Furcadia.Net.DreamInfo Namespace


Furre.HasLeftRange Property

FurreHasLeftRange Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets a value indicating whether this furre has left the bots view.

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool HasLeftRange { get; }
Public ReadOnly Property HasLeftRange As Boolean
    Get

Dim instance As Furre
Dim value As Boolean

value = instance.HasLeftRange

public:
property bool HasLeftRange {
    bool get ();
}
member HasLeftRange : bool with get

Property Value

Type: Boolean
true if this instance has left range; otherwise, false.
See Also

Reference

Furre Class
Furcadia.Net.DreamInfo Namespace


Furre.InRange Property

FurreInRange Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets or sets a value indicating whether this Furre is inRange.

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool InRange { get; set; }
Public Property InRange As Boolean
    Get
    Set

Dim instance As Furre
Dim value As Boolean

value = instance.InRange

instance.InRange = value
public:
property bool InRange {
    bool get ();
    void set (bool value);
}
member InRange : bool with get, set

Property Value

Type: Boolean
true if inRange; otherwise, false.
See Also

Reference

Furre Class
Furcadia.Net.DreamInfo Namespace


Furre.LastPosition Property

FurreLastPosition Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The Position the Furre Moved from

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public FurrePosition LastPosition { get; set; }
Public Property LastPosition As FurrePosition
    Get
    Set

Dim instance As Furre
Dim value As FurrePosition

value = instance.LastPosition

instance.LastPosition = value
public:
property FurrePosition^ LastPosition {
    FurrePosition^ get ();
    void set (FurrePosition^ value);
}
member LastPosition : FurrePosition with get, set

Property Value

Type: FurrePosition
See Also

Reference

Furre Class
Furcadia.Net.DreamInfo Namespace


Furre.LastStat Property

FurreLastStat Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets the last stat.

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public int LastStat { get; }
Public ReadOnly Property LastStat As Integer
    Get

Dim instance As Furre
Dim value As Integer

value = instance.LastStat

public:
property int LastStat {
    int get ();
}
member LastStat : int with get

Property Value

Type: Int32
The last stat.
See Also

Reference

Furre Class
Furcadia.Net.DreamInfo Namespace


Furre.Location Property

FurreLocation Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Current position where the Furre is standing

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public FurrePosition Location { get; set; }
Public Property Location As FurrePosition
    Get
    Set

Dim instance As Furre
Dim value As FurrePosition

value = instance.Location

instance.Location = value
public:
property FurrePosition^ Location {
    FurrePosition^ get ();
    void set (FurrePosition^ value);
}
member Location : FurrePosition with get, set

Property Value

Type: FurrePosition
See Also

Reference

Furre Class
Furcadia.Net.DreamInfo Namespace


Furre.Message Property

FurreMessage Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Last Message Furre had

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string Message { get; set; }
Public Property Message As String
    Get
    Set

Dim instance As Furre
Dim value As String

value = instance.Message

instance.Message = value
public:
virtual property String^ Message {
    String^ get () sealed;
    void set (String^ value) sealed;
}
abstract Message : string with get, set
override Message : string with get, set

Property Value

Type: String

Implements

IFurreMessage
See Also

Reference

Furre Class
Furcadia.Net.DreamInfo Namespace


Furre.Name Property

FurreName Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Furcadia Name

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string Name { get; set; }
Public Property Name As String
    Get
    Set

Dim instance As Furre
Dim value As String

value = instance.Name

instance.Name = value
public:
virtual property String^ Name {
    String^ get () sealed;
    void set (String^ value) sealed;
}
abstract Name : string with get, set
override Name : string with get, set

Property Value

Type: String

Implements

IFurreName
See Also

Reference

Furre Class
Furcadia.Net.DreamInfo Namespace


Furre.PawObjectCurrent Property

FurrePawObjectCurrent Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets or sets the paw object current.

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
[CLSCompliantAttribute(false)]
public uint PawObjectCurrent { get; set; }
<CLSCompliantAttribute(false)>
Public Property PawObjectCurrent As UInteger
    Get
    Set

Dim instance As Furre
Dim value As UInteger

value = instance.PawObjectCurrent

instance.PawObjectCurrent = value
public:
[CLSCompliantAttribute(false)]
property unsigned int PawObjectCurrent {
    unsigned int get ();
    void set (unsigned int value);
}
[<CLSCompliantAttribute(false)>]
member PawObjectCurrent : uint32 with get, set

Property Value

Type: UInt32
The paw object current.
See Also

Reference

Furre Class
Furcadia.Net.DreamInfo Namespace


Furre.PawObjectOld Property

FurrePawObjectOld Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets or sets the paw object old.

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
[CLSCompliantAttribute(false)]
public uint PawObjectOld { get; set; }
<CLSCompliantAttribute(false)>
Public Property PawObjectOld As UInteger
    Get
    Set

Dim instance As Furre
Dim value As UInteger

value = instance.PawObjectOld

instance.PawObjectOld = value
public:
[CLSCompliantAttribute(false)]
property unsigned int PawObjectOld {
    unsigned int get ();
    void set (unsigned int value);
}
[<CLSCompliantAttribute(false)>]
member PawObjectOld : uint32 with get, set

Property Value

Type: UInt32
The paw object old.
See Also

Reference

Furre Class
Furcadia.Net.DreamInfo Namespace


Furre.Pose Property

FurrePose Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Furre Pose

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public AvatarFurrePose Pose { get; set; }
Public Property Pose As AvatarFurrePose
    Get
    Set

Dim instance As Furre
Dim value As AvatarFurrePose

value = instance.Pose

instance.Pose = value
public:
property AvatarFurrePose Pose {
    AvatarFurrePose get ();
    void set (AvatarFurrePose value);
}
member Pose : AvatarFurrePose with get, set

Property Value

Type: AvatarFurrePose
See Also

Reference

Furre Class
Furcadia.Net.DreamInfo Namespace


Furre.ShortName Property

FurreShortName Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Furcadia Short-name format for Furre Name

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string ShortName { get; }
Public ReadOnly Property ShortName As String
    Get

Dim instance As Furre
Dim value As String

value = instance.ShortName

public:
virtual property String^ ShortName {
    String^ get () sealed;
}
abstract ShortName : string with get
override ShortName : string with get

Property Value

Type: String

Implements

IFurreShortName
See Also

Reference

Furre Class
Furcadia.Net.DreamInfo Namespace


Furre.Visible Property

FurreVisible Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets a value indicating whether this Furre is visible.

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool Visible { get; }
Public ReadOnly Property Visible As Boolean
    Get

Dim instance As Furre
Dim value As Boolean

value = instance.Visible

public:
property bool Visible {
    bool get ();
}
member Visible : bool with get

Property Value

Type: Boolean
true if visible; otherwise, false.
See Also

Reference

Furre Class
Furcadia.Net.DreamInfo Namespace


Furre Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The Furre type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified Object, is equal to this instance. (Overrides ObjectEquals(Object).)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Returns a hash code for this instance. (Overrides ObjectGetHashCode.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToFurcadiaID | To the furcadia identifier.
Public method | ToFurcadiaID(FuncIFurre, Int32) | To the furcadia identifier.
Public method | ToString | Returns a String that represents this instance. (Overrides ObjectToString.)
Public method | ToString(FuncIFurre, String) | Returns a String that represents this instance.
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Furre Class
Furcadia.Net.DreamInfo Namespace


Furre.Equals Method

FurreEquals Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Determines whether the specified Object, is equal to this instance.

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public override bool Equals(
    Object obj
)
Public Overrides Function Equals (
    obj As Object
) As Boolean

Dim instance As Furre
Dim obj As Object
Dim returnValue As Boolean

returnValue = instance.Equals(obj)
public:
virtual bool Equals(
    Object^ obj
) override
abstract Equals :
        obj : Object -> bool
override Equals :
        obj : Object -> bool

Parameters

obj
Type: SystemObject
The Object to compare with this instance.

Return Value

Type: Boolean
true if the specified Object is equal to this instance; otherwise, false.
See Also

Reference

Furre Class
Furcadia.Net.DreamInfo Namespace


Furre.GetHashCode Method

FurreGetHashCode Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Returns a hash code for this instance.

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public override int GetHashCode()
Public Overrides Function GetHashCode As Integer

Dim instance As Furre
Dim returnValue As Integer

returnValue = instance.GetHashCode()
public:
virtual int GetHashCode() override
abstract GetHashCode : unit -> int
override GetHashCode : unit -> int

Return Value

Type: Int32
A hash code for this instance, suitable for use in hashing algorithms and data structures like a hash table.
See Also

Reference

Furre Class
Furcadia.Net.DreamInfo Namespace


Furre.ToFurcadiaID Method

FurreToFurcadiaID Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
 | Name | Description
Public method | ToFurcadiaID | To the furcadia identifier.
Public method | ToFurcadiaID(FuncIFurre, Int32) | To the furcadia identifier.
Top
See Also

Reference

Furre Class
Furcadia.Net.DreamInfo Namespace


Furre.ToFurcadiaID Method

FurreToFurcadiaID Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

To the furcadia identifier.

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public int ToFurcadiaID()
Public Function ToFurcadiaID As Integer

Dim instance As Furre
Dim returnValue As Integer

returnValue = instance.ToFurcadiaID()
public:
int ToFurcadiaID()
member ToFurcadiaID : unit -> int

Return Value

Type: Int32

[Missing <returns> documentation for "M:Furcadia.Net.DreamInfo.Furre.ToFurcadiaID"]

See Also

Reference

Furre Class
ToFurcadiaID Overload
Furcadia.Net.DreamInfo Namespace


Furre.ToFurcadiaID Method (Func(IFurre, Int32))

FurreToFurcadiaID Method (FuncIFurre, Int32)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

To the furcadia identifier.

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public int ToFurcadiaID(
    Func<IFurre, int> format
)
Public Function ToFurcadiaID (
    format As Func(Of IFurre, Integer)
) As Integer

Dim instance As Furre
Dim format As Func(Of IFurre, Integer)
Dim returnValue As Integer

returnValue = instance.ToFurcadiaID(format)
public:
int ToFurcadiaID(
    Func<IFurre^, int>^ format
)
member ToFurcadiaID :
        format : Func<IFurre, int> -> int

Parameters

format
Type: SystemFunc IFurre, Int32
The format.

Return Value

Type: Int32

[Missing <returns> documentation for "M:Furcadia.Net.DreamInfo.Furre.ToFurcadiaID(System.Func{Furcadia.Net.DreamInfo.IFurre,System.Int32})"]

See Also

Reference

Furre Class
ToFurcadiaID Overload
Furcadia.Net.DreamInfo Namespace


Furre.ToString Method

FurreToString Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
 | Name | Description
Public method | ToString | Returns a String that represents this instance. (Overrides ObjectToString.)
Public method | ToString(FuncIFurre, String) | Returns a String that represents this instance.
Top
See Also

Reference

Furre Class
Furcadia.Net.DreamInfo Namespace


Furre.ToString Method

FurreToString Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Returns a String that represents this instance.

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public override string ToString()
Public Overrides Function ToString As String

Dim instance As Furre
Dim returnValue As String

returnValue = instance.ToString()
public:
virtual String^ ToString() override
abstract ToString : unit -> string
override ToString : unit -> string

Return Value

Type: String
A String that represents this instance.
See Also

Reference

Furre Class
ToString Overload
Furcadia.Net.DreamInfo Namespace


Furre.ToString Method (Func(IFurre, String))

FurreToString Method (FuncIFurre, String)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Returns a String that represents this instance.

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string ToString(
    Func<IFurre, string> format
)
Public Function ToString (
    format As Func(Of IFurre, String)
) As String

Dim instance As Furre
Dim format As Func(Of IFurre, String)
Dim returnValue As String

returnValue = instance.ToString(format)
public:
String^ ToString(
    Func<IFurre^, String^>^ format
)
member ToString :
        format : Func<IFurre, string> -> string

Parameters

format
Type: SystemFunc IFurre, String
The format.

Return Value

Type: String
A String that represents this instance.
See Also

Reference

Furre Class
ToString Overload
Furcadia.Net.DreamInfo Namespace


Furre Operators
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The Furre type exposes the following members.

Operators
Name | Description
Equality | Implements the operator ==.
Inequality | Implements the operator !=.
Top
See Also

Reference

Furre Class
Furcadia.Net.DreamInfo Namespace


Furre.Equality Operator

FurreEquality Operator

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Implements the operator ==.

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static bool operator ==(
    Furre a,
    IFurre b
)
Public Shared Operator = (
    a As Furre,
    b As IFurre
) As Boolean

Dim a As Furre
Dim b As IFurre
Dim returnValue As Boolean

returnValue = (a = b)
public:
static bool operator ==(
    Furre^ a,
    IFurre^ b
)
static let inline (=)
        a : Furre *
        b : IFurre  : bool

Parameters

a
Type: Furcadia.Net.DreamInfoFurre
a.
b
Type: Furcadia.Net.DreamInfoIFurre
The b.

Return Value

Type: Boolean
The result of the operator.
See Also

Reference

Furre Class
Furcadia.Net.DreamInfo Namespace


Furre.Inequality Operator

FurreInequality Operator

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Implements the operator !=.

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static bool operator !=(
    Furre a,
    IFurre b
)
Public Shared Operator <> (
    a As Furre,
    b As IFurre
) As Boolean

Dim a As Furre
Dim b As IFurre
Dim returnValue As Boolean

returnValue = (a <> b)
public:
static bool operator !=(
    Furre^ a,
    IFurre^ b
)
static let inline (<>)
        a : Furre *
        b : IFurre  : bool

Parameters

a
Type: Furcadia.Net.DreamInfoFurre
a.
b
Type: Furcadia.Net.DreamInfoIFurre
The b.

Return Value

Type: Boolean
The result of the operator.
See Also

Reference

Furre Class
Furcadia.Net.DreamInfo Namespace


FurreList Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Furre List information for a Furcadia Dream

Implements List

Inheritance Hierarchy
SystemObject
System.Collections.GenericList Furre
Furcadia.Net.DreamInfoFurreList

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public class FurreList : List<Furre>,
    ICollection, IEnumerable
Public Class FurreList
    Inherits List(Of Furre)
    Implements ICollection, IEnumerable

Dim instance As FurreList
public ref class FurreList : public List<Furre^>,
    ICollection, IEnumerable
type FurreList =
    class
        inherit List<Furre>
        interface ICollection
        interface IEnumerable
    end

The FurreList type exposes the following members.

Constructors
 | Name | Description
Public method | FurreList | Initializes a new instance of the FurreList class.
Public method | FurreList(Int32) | Initializes a new instance of the FurreList class.
Public method | FurreList(IEnumerableFurre) | Initializes a new instance of the FurreList class.
Top
Properties
 | Name | Description
Public property | Capacity | Gets or sets the total number of elements the internal data structure can hold without resizing. (Inherited from List Furre .)
Public property | Count | Gets the number of elements contained in the ListT. (Inherited from List Furre .)
Public property | IsSynchronized | Gets a value indicating whether access to the ICollection is synchronized (thread safe).
Public property | ItemInt32 | Gets or sets the element at the specified index. (Inherited from List Furre .)
Public property | ItemFurre | Gets or set the Furre at index of fur
Public property | SyncRoot | Gets an object that can be used to synchronize access to the ICollection.
Top
Methods
 | Name | Description
Public method | Add | Adds an object to the end of the ListT. (Inherited from List Furre .)
Public method | AddRange | Adds the elements of the specified collection to the end of the ListT. (Inherited from List Furre .)
Public method | AsReadOnly | Returns a read-only IListT wrapper for the current collection. (Inherited from List Furre .)
Public method | BinarySearch(T) | Searches the entire sorted ListT for an element using the default comparer and returns the zero-based index of the element. (Inherited from List Furre .)
Public method | BinarySearch(T, IComparerT) | Searches the entire sorted ListT for an element using the specified comparer and returns the zero-based index of the element. (Inherited from List Furre .)
Public method | BinarySearch(Int32, Int32, T, IComparerT) | Searches a range of elements in the sorted ListT for an element using the specified comparer and returns the zero-based index of the element. (Inherited from List Furre .)
Public method | Clear | Removes all elements from the ListT. (Inherited from List Furre .)
Public method | Contains(String) | Determines whether [contains] [the specified furre name].
Public method | Contains(Base220) | Determines whether [contains] [the specified furre identifier].
Public method | Contains(T) | Determines whether an element is in the ListT. (Inherited from List Furre .)
Public method | ConvertAllTOutput | Converts the elements in the current ListT to another type, and returns a list containing the converted elements. (Inherited from List Furre .)
Public method | CopyTo(T) | Copies the entire ListT to a compatible one-dimensional array, starting at the beginning of the target array. (Inherited from List Furre .)
Public method | CopyTo(Array, Int32) |
Public method | CopyTo(T, Int32) | Copies the entire ListT to a compatible one-dimensional array, starting at the specified index of the target array. (Inherited from List Furre .)
Public method | CopyTo(Int32, T, Int32, Int32) | Copies a range of elements from the ListT to a compatible one-dimensional array, starting at the specified index of the target array. (Inherited from List Furre .)
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Public method | Exists | Determines whether the ListT contains elements that match the conditions defined by the specified predicate. (Inherited from List Furre .)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | Find | Searches for an element that matches the conditions defined by the specified predicate, and returns the first occurrence within the entire ListT. (Inherited from List Furre .)
Public method | FindAll | Retrieves all the elements that match the conditions defined by the specified predicate. (Inherited from List Furre .)
Public method | FindIndex(PredicateT) | Searches for an element that matches the conditions defined by the specified predicate, and returns the zero-based index of the first occurrence within the entire ListT. (Inherited from List Furre .)
Public method | FindIndex(Int32, PredicateT) | Searches for an element that matches the conditions defined by the specified predicate, and returns the zero-based index of the first occurrence within the range of elements in the ListT that extends from the specified index to the last element. (Inherited from List Furre .)
Public method | FindIndex(Int32, Int32, PredicateT) | Searches for an element that matches the conditions defined by the specified predicate, and returns the zero-based index of the first occurrence within the range of elements in the ListT that starts at the specified index and contains the specified number of elements. (Inherited from List Furre .)
Public method | FindLast | Searches for an element that matches the conditions defined by the specified predicate, and returns the last occurrence within the entire ListT. (Inherited from List Furre .)
Public method | FindLastIndex(PredicateT) | Searches for an element that matches the conditions defined by the specified predicate, and returns the zero-based index of the last occurrence within the entire ListT. (Inherited from List Furre .)
Public method | FindLastIndex(Int32, PredicateT) | Searches for an element that matches the conditions defined by the specified predicate, and returns the zero-based index of the last occurrence within the range of elements in the ListT that extends from the first element to the specified index. (Inherited from List Furre .)
Public method | FindLastIndex(Int32, Int32, PredicateT) | Searches for an element that matches the conditions defined by the specified predicate, and returns the zero-based index of the last occurrence within the range of elements in the ListT that contains the specified number of elements and ends at the specified index. (Inherited from List Furre .)
Public method | ForEach | Performs the specified action on each element of the ListT. (Inherited from List Furre .)
Public method | GetEnumerator | Returns an enumerator that iterates through the ListT. (Inherited from List Furre .)
Public method | GetFurreByID | Get's a Furre from the Dream List bu it's ID
Public method | GetFurreByName | Gets the furre by name.
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetRange | Creates a shallow copy of a range of elements in the source ListT. (Inherited from List Furre .)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | IndexOf(T) | Searches for the specified object and returns the zero-based index of the first occurrence within the entire ListT. (Inherited from List Furre .)
Public method | IndexOf(T, Int32) | Searches for the specified object and returns the zero-based index of the first occurrence within the range of elements in the ListT that extends from the specified index to the last element. (Inherited from List Furre .)
Public method | IndexOf(T, Int32, Int32) | Searches for the specified object and returns the zero-based index of the first occurrence within the range of elements in the ListT that starts at the specified index and contains the specified number of elements. (Inherited from List Furre .)
Public method | Insert | Inserts an element into the ListT at the specified index. (Inherited from List Furre .)
Public method | InsertRange | Inserts the elements of a collection into the ListT at the specified index. (Inherited from List Furre .)
Public method | LastIndexOf(T) | Searches for the specified object and returns the zero-based index of the last occurrence within the entire ListT. (Inherited from List Furre .)
Public method | LastIndexOf(T, Int32) | Searches for the specified object and returns the zero-based index of the last occurrence within the range of elements in the ListT that extends from the first element to the specified index. (Inherited from List Furre .)
Public method | LastIndexOf(T, Int32, Int32) | Searches for the specified object and returns the zero-based index of the last occurrence within the range of elements in the ListT that contains the specified number of elements and ends at the specified index. (Inherited from List Furre .)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | Remove(Base220) | Removes a Furre based on their Furre ID
Public method | Remove(T) | Removes the first occurrence of a specific object from the ListT. (Inherited from List Furre .)
Public method | RemoveAll | Removes all the elements that match the conditions defined by the specified predicate. (Inherited from List Furre .)
Public method | RemoveAt | Removes the element at the specified index of the ListT. (Inherited from List Furre .)
Public method | RemoveRange | Removes a range of elements from the ListT. (Inherited from List Furre .)
Public method | Reverse | Reverses the order of the elements in the entire ListT. (Inherited from List Furre .)
Public method | Reverse(Int32, Int32) | Reverses the order of the elements in the specified range. (Inherited from List Furre .)
Public method | Sort | Sorts the elements in the entire ListT using the default comparer. (Inherited from List Furre .)
Public method | Sort(IComparerT) | Sorts the elements in the entire ListT using the specified comparer. (Inherited from List Furre .)
Public method | Sort(ComparisonT) | Sorts the elements in the entire ListT using the specified ComparisonT. (Inherited from List Furre .)
Public method | Sort(Int32, Int32, IComparerT) | Sorts the elements in a range of elements in ListT using the specified comparer. (Inherited from List Furre .)
Public method | ToArray | Copies the elements of the ListT to a new array. (Inherited from List Furre .)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Public method | TrimExcess | Sets the capacity to the actual number of elements in the ListT, if that number is less than a threshold value. (Inherited from List Furre .)
Public method | TrueForAll | Determines whether every element in the ListT matches the conditions defined by the specified predicate. (Inherited from List Furre .)
Public method | Update | Updates the specified furre in the list.
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Furcadia.Net.DreamInfo Namespace


FurreList Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
 | Name | Description
Public method | FurreList | Initializes a new instance of the FurreList class.
Public method | FurreList(Int32) | Initializes a new instance of the FurreList class.
Public method | FurreList(IEnumerableFurre) | Initializes a new instance of the FurreList class.
Top
See Also

Reference

FurreList Class
Furcadia.Net.DreamInfo Namespace


FurreList Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the FurreList class.

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public FurreList()
Public Sub New

Dim instance As New FurreList()
public:
FurreList()
new : unit -> FurreList
See Also

Reference

FurreList Class
FurreList Overload
Furcadia.Net.DreamInfo Namespace


FurreList Constructor (Int32)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the FurreList class.

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public FurreList(
    int capacity
)
Public Sub New (
    capacity As Integer
)

Dim capacity As Integer

Dim instance As New FurreList(capacity)
public:
FurreList(
    int capacity
)
new :
        capacity : int -> FurreList

Parameters

capacity
Type: SystemInt32
The number of elements that the new list can initially store.
See Also

Reference

FurreList Class
FurreList Overload
Furcadia.Net.DreamInfo Namespace


FurreList Constructor (IEnumerable(Furre))

FurreList Constructor (IEnumerableFurre)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the FurreList class.

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public FurreList(
    IEnumerable<Furre> ie
)
Public Sub New (
    ie As IEnumerable(Of Furre)
)

Dim ie As IEnumerable(Of Furre)

Dim instance As New FurreList(ie)
public:
FurreList(
    IEnumerable<Furre^>^ ie
)
new :
        ie : IEnumerable<Furre> -> FurreList

Parameters

ie
Type: System.Collections.GenericIEnumerable Furre
The ie.
See Also

Reference

FurreList Class
FurreList Overload
Furcadia.Net.DreamInfo Namespace


FurreList Properties
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The FurreList type exposes the following members.

Properties
 | Name | Description
Public property | Capacity | Gets or sets the total number of elements the internal data structure can hold without resizing. (Inherited from List Furre .)
Public property | Count | Gets the number of elements contained in the ListT. (Inherited from List Furre .)
Public property | IsSynchronized | Gets a value indicating whether access to the ICollection is synchronized (thread safe).
Public property | ItemInt32 | Gets or sets the element at the specified index. (Inherited from List Furre .)
Public property | ItemFurre | Gets or set the Furre at index of fur
Public property | SyncRoot | Gets an object that can be used to synchronize access to the ICollection.
Top
See Also

Reference

FurreList Class
Furcadia.Net.DreamInfo Namespace


FurreList.IsSynchronized Property

FurreListIsSynchronized Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets a value indicating whether access to the ICollection is synchronized (thread safe).

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool IsSynchronized { get; }
Public ReadOnly Property IsSynchronized As Boolean
    Get

Dim instance As FurreList
Dim value As Boolean

value = instance.IsSynchronized

public:
virtual property bool IsSynchronized {
    bool get () sealed;
}
abstract IsSynchronized : bool with get
override IsSynchronized : bool with get

Property Value

Type: Boolean

Implements

ICollectionIsSynchronized
See Also

Reference

FurreList Class
Furcadia.Net.DreamInfo Namespace


FurreList.Item Property

FurreListItem Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
 | Name | Description
Public property | ItemInt32 | Gets or sets the element at the specified index. (Inherited from List Furre .)
Public property | ItemFurre | Gets or set the Furre at index of fur
Top
See Also

Reference

FurreList Class
Furcadia.Net.DreamInfo Namespace


FurreList.Item Property (Furre)

FurreListItem Property (Furre)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets or set the Furre at index of fur

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public Furre this[
    Furre fur
] { get; set; }
Public Default Property Item (
    fur As Furre
) As Furre
    Get
    Set

Dim instance As FurreList
Dim fur As Furre
Dim value As Furre

value = instance(fur)

instance(fur) = value
public:
property Furre^ default[Furre^ fur] {
    Furre^ get (Furre^ fur);
    void set (Furre^ fur, Furre^ value);
}
member Item : Furre with get, set

Parameters

fur
Type: Furcadia.Net.DreamInfoFurre
Furre

Return Value

Type: Furre
See Also

Reference

FurreList Class
Item Overload
Furcadia.Net.DreamInfo Namespace


FurreList.SyncRoot Property

FurreListSyncRoot Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets an object that can be used to synchronize access to the ICollection.

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public Object SyncRoot { get; }
Public ReadOnly Property SyncRoot As Object
    Get

Dim instance As FurreList
Dim value As Object

value = instance.SyncRoot

public:
virtual property Object^ SyncRoot {
    Object^ get () sealed;
}
abstract SyncRoot : Object with get
override SyncRoot : Object with get

Property Value

Type: Object

Implements

ICollectionSyncRoot
See Also

Reference

FurreList Class
Furcadia.Net.DreamInfo Namespace


FurreList Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The FurreList type exposes the following members.

Methods
 | Name | Description
Public method | Add | Adds an object to the end of the ListT. (Inherited from List Furre .)
Public method | AddRange | Adds the elements of the specified collection to the end of the ListT. (Inherited from List Furre .)
Public method | AsReadOnly | Returns a read-only IListT wrapper for the current collection. (Inherited from List Furre .)
Public method | BinarySearch(T) | Searches the entire sorted ListT for an element using the default comparer and returns the zero-based index of the element. (Inherited from List Furre .)
Public method | BinarySearch(T, IComparerT) | Searches the entire sorted ListT for an element using the specified comparer and returns the zero-based index of the element. (Inherited from List Furre .)
Public method | BinarySearch(Int32, Int32, T, IComparerT) | Searches a range of elements in the sorted ListT for an element using the specified comparer and returns the zero-based index of the element. (Inherited from List Furre .)
Public method | Clear | Removes all elements from the ListT. (Inherited from List Furre .)
Public method | Contains(String) | Determines whether [contains] [the specified furre name].
Public method | Contains(Base220) | Determines whether [contains] [the specified furre identifier].
Public method | Contains(T) | Determines whether an element is in the ListT. (Inherited from List Furre .)
Public method | ConvertAllTOutput | Converts the elements in the current ListT to another type, and returns a list containing the converted elements. (Inherited from List Furre .)
Public method | CopyTo(T) | Copies the entire ListT to a compatible one-dimensional array, starting at the beginning of the target array. (Inherited from List Furre .)
Public method | CopyTo(Array, Int32) |
Public method | CopyTo(T, Int32) | Copies the entire ListT to a compatible one-dimensional array, starting at the specified index of the target array. (Inherited from List Furre .)
Public method | CopyTo(Int32, T, Int32, Int32) | Copies a range of elements from the ListT to a compatible one-dimensional array, starting at the specified index of the target array. (Inherited from List Furre .)
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Public method | Exists | Determines whether the ListT contains elements that match the conditions defined by the specified predicate. (Inherited from List Furre .)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | Find | Searches for an element that matches the conditions defined by the specified predicate, and returns the first occurrence within the entire ListT. (Inherited from List Furre .)
Public method | FindAll | Retrieves all the elements that match the conditions defined by the specified predicate. (Inherited from List Furre .)
Public method | FindIndex(PredicateT) | Searches for an element that matches the conditions defined by the specified predicate, and returns the zero-based index of the first occurrence within the entire ListT. (Inherited from List Furre .)
Public method | FindIndex(Int32, PredicateT) | Searches for an element that matches the conditions defined by the specified predicate, and returns the zero-based index of the first occurrence within the range of elements in the ListT that extends from the specified index to the last element. (Inherited from List Furre .)
Public method | FindIndex(Int32, Int32, PredicateT) | Searches for an element that matches the conditions defined by the specified predicate, and returns the zero-based index of the first occurrence within the range of elements in the ListT that starts at the specified index and contains the specified number of elements. (Inherited from List Furre .)
Public method | FindLast | Searches for an element that matches the conditions defined by the specified predicate, and returns the last occurrence within the entire ListT. (Inherited from List Furre .)
Public method | FindLastIndex(PredicateT) | Searches for an element that matches the conditions defined by the specified predicate, and returns the zero-based index of the last occurrence within the entire ListT. (Inherited from List Furre .)
Public method | FindLastIndex(Int32, PredicateT) | Searches for an element that matches the conditions defined by the specified predicate, and returns the zero-based index of the last occurrence within the range of elements in the ListT that extends from the first element to the specified index. (Inherited from List Furre .)
Public method | FindLastIndex(Int32, Int32, PredicateT) | Searches for an element that matches the conditions defined by the specified predicate, and returns the zero-based index of the last occurrence within the range of elements in the ListT that contains the specified number of elements and ends at the specified index. (Inherited from List Furre .)
Public method | ForEach | Performs the specified action on each element of the ListT. (Inherited from List Furre .)
Public method | GetEnumerator | Returns an enumerator that iterates through the ListT. (Inherited from List Furre .)
Public method | GetFurreByID | Get's a Furre from the Dream List bu it's ID
Public method | GetFurreByName | Gets the furre by name.
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetRange | Creates a shallow copy of a range of elements in the source ListT. (Inherited from List Furre .)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | IndexOf(T) | Searches for the specified object and returns the zero-based index of the first occurrence within the entire ListT. (Inherited from List Furre .)
Public method | IndexOf(T, Int32) | Searches for the specified object and returns the zero-based index of the first occurrence within the range of elements in the ListT that extends from the specified index to the last element. (Inherited from List Furre .)
Public method | IndexOf(T, Int32, Int32) | Searches for the specified object and returns the zero-based index of the first occurrence within the range of elements in the ListT that starts at the specified index and contains the specified number of elements. (Inherited from List Furre .)
Public method | Insert | Inserts an element into the ListT at the specified index. (Inherited from List Furre .)
Public method | InsertRange | Inserts the elements of a collection into the ListT at the specified index. (Inherited from List Furre .)
Public method | LastIndexOf(T) | Searches for the specified object and returns the zero-based index of the last occurrence within the entire ListT. (Inherited from List Furre .)
Public method | LastIndexOf(T, Int32) | Searches for the specified object and returns the zero-based index of the last occurrence within the range of elements in the ListT that extends from the first element to the specified index. (Inherited from List Furre .)
Public method | LastIndexOf(T, Int32, Int32) | Searches for the specified object and returns the zero-based index of the last occurrence within the range of elements in the ListT that contains the specified number of elements and ends at the specified index. (Inherited from List Furre .)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | Remove(Base220) | Removes a Furre based on their Furre ID
Public method | Remove(T) | Removes the first occurrence of a specific object from the ListT. (Inherited from List Furre .)
Public method | RemoveAll | Removes all the elements that match the conditions defined by the specified predicate. (Inherited from List Furre .)
Public method | RemoveAt | Removes the element at the specified index of the ListT. (Inherited from List Furre .)
Public method | RemoveRange | Removes a range of elements from the ListT. (Inherited from List Furre .)
Public method | Reverse | Reverses the order of the elements in the entire ListT. (Inherited from List Furre .)
Public method | Reverse(Int32, Int32) | Reverses the order of the elements in the specified range. (Inherited from List Furre .)
Public method | Sort | Sorts the elements in the entire ListT using the default comparer. (Inherited from List Furre .)
Public method | Sort(IComparerT) | Sorts the elements in the entire ListT using the specified comparer. (Inherited from List Furre .)
Public method | Sort(ComparisonT) | Sorts the elements in the entire ListT using the specified ComparisonT. (Inherited from List Furre .)
Public method | Sort(Int32, Int32, IComparerT) | Sorts the elements in a range of elements in ListT using the specified comparer. (Inherited from List Furre .)
Public method | ToArray | Copies the elements of the ListT to a new array. (Inherited from List Furre .)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Public method | TrimExcess | Sets the capacity to the actual number of elements in the ListT, if that number is less than a threshold value. (Inherited from List Furre .)
Public method | TrueForAll | Determines whether every element in the ListT matches the conditions defined by the specified predicate. (Inherited from List Furre .)
Public method | Update | Updates the specified furre in the list.
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

FurreList Class
Furcadia.Net.DreamInfo Namespace


FurreList.Contains Method

FurreListContains Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
 | Name | Description
Public method | Contains(String) | Determines whether [contains] [the specified furre name].
Public method | Contains(Base220) | Determines whether [contains] [the specified furre identifier].
Public method | Contains(T) | Determines whether an element is in the ListT. (Inherited from List Furre .)
Top
See Also

Reference

FurreList Class
Furcadia.Net.DreamInfo Namespace


FurreList.Contains Method (String)

FurreListContains Method (String)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Determines whether [contains] [the specified furre name].

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool Contains(
    string FurreName
)
Public Function Contains (
    FurreName As String
) As Boolean

Dim instance As FurreList
Dim FurreName As String
Dim returnValue As Boolean

returnValue = instance.Contains(FurreName)
public:
bool Contains(
    String^ FurreName
)
member Contains :
        FurreName : string -> bool

Parameters

FurreName
Type: SystemString
Name of the furre.

Return Value

Type: Boolean
true if [contains] [the specified furre name]; otherwise, false.
See Also

Reference

FurreList Class
Contains Overload
Furcadia.Net.DreamInfo Namespace


FurreList.Contains Method (Base220)

FurreListContains Method (Base220)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Determines whether [contains] [the specified furre identifier].

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool Contains(
    Base220 FurreId
)
Public Function Contains (
    FurreId As Base220
) As Boolean

Dim instance As FurreList
Dim FurreId As Base220
Dim returnValue As Boolean

returnValue = instance.Contains(FurreId)
public:
bool Contains(
    Base220^ FurreId
)
member Contains :
        FurreId : Base220 -> bool

Parameters

FurreId
Type: Furcadia.TextBase220
The furre identifier.

Return Value

Type: Boolean
true if [contains] [the specified furre identifier]; otherwise, false.
See Also

Reference

FurreList Class
Contains Overload
Furcadia.Net.DreamInfo Namespace


FurreList.CopyTo Method

FurreListCopyTo Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
 | Name | Description
Public method | CopyTo(T) | Copies the entire ListT to a compatible one-dimensional array, starting at the beginning of the target array. (Inherited from List Furre .)
Public method | CopyTo(Array, Int32) |
Public method | CopyTo(T, Int32) | Copies the entire ListT to a compatible one-dimensional array, starting at the specified index of the target array. (Inherited from List Furre .)
Public method | CopyTo(Int32, T, Int32, Int32) | Copies a range of elements from the ListT to a compatible one-dimensional array, starting at the specified index of the target array. (Inherited from List Furre .)
Top
See Also

Reference

FurreList Class
Furcadia.Net.DreamInfo Namespace


FurreList.CopyTo Method (Array, Int32)

FurreListCopyTo Method (Array, Int32)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "M:Furcadia.Net.DreamInfo.FurreList.CopyTo(System.Array,System.Int32)"]

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public void CopyTo(
    Array array,
    int index
)
Public Sub CopyTo (
    array As Array,
    index As Integer
)

Dim instance As FurreList
Dim array As Array
Dim index As Integer

instance.CopyTo(array, index)
public:
virtual void CopyTo(
    Array^ array,
    int index
) sealed
abstract CopyTo :
        array : Array *
        index : int -> unit
override CopyTo :
        array : Array *
        index : int -> unit

Parameters

array
Type: SystemArray

[Missing <param name="array"/> documentation for "M:Furcadia.Net.DreamInfo.FurreList.CopyTo(System.Array,System.Int32)"]

index
Type: SystemInt32

[Missing <param name="index"/> documentation for "M:Furcadia.Net.DreamInfo.FurreList.CopyTo(System.Array,System.Int32)"]

Implements

ICollectionCopyTo(Array, Int32)
See Also

Reference

FurreList Class
CopyTo Overload
Furcadia.Net.DreamInfo Namespace


FurreList.GetFurreByID Method

FurreListGetFurreByID Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Get's a Furre from the Dream List bu it's ID

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public Furre GetFurreByID(
    Base220 FurreID
)
Public Function GetFurreByID (
    FurreID As Base220
) As Furre

Dim instance As FurreList
Dim FurreID As Base220
Dim returnValue As Furre

returnValue = instance.GetFurreByID(FurreID)
public:
Furre^ GetFurreByID(
    Base220^ FurreID
)
member GetFurreByID :
        FurreID : Base220 -> Furre

Parameters

FurreID
Type: Furcadia.TextBase220
Base220 4 byte string representing the Furre ID

Return Value

Type: Furre

[Missing <returns> documentation for "M:Furcadia.Net.DreamInfo.FurreList.GetFurreByID(Furcadia.Text.Base220)"]

See Also

Reference

FurreList Class
Furcadia.Net.DreamInfo Namespace


FurreList.GetFurreByName Method

FurreListGetFurreByName Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets the furre by name.

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public Furre GetFurreByName(
    string FurreName
)
Public Function GetFurreByName (
    FurreName As String
) As Furre

Dim instance As FurreList
Dim FurreName As String
Dim returnValue As Furre

returnValue = instance.GetFurreByName(FurreName)
public:
Furre^ GetFurreByName(
    String^ FurreName
)
member GetFurreByName :
        FurreName : string -> Furre

Parameters

FurreName
Type: SystemString
Name of the furre.

Return Value

Type: Furre
Furre
Exceptions
Exception | Condition
ArgumentNullException |
See Also

Reference

FurreList Class
Furcadia.Net.DreamInfo Namespace


FurreList.Remove Method

FurreListRemove Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
 | Name | Description
Public method | Remove(Base220) | Removes a Furre based on their Furre ID
Public method | Remove(T) | Removes the first occurrence of a specific object from the ListT. (Inherited from List Furre .)
Top
See Also

Reference

FurreList Class
Furcadia.Net.DreamInfo Namespace


FurreList.Remove Method (Base220)

FurreListRemove Method (Base220)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Removes a Furre based on their Furre ID

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool Remove(
    Base220 FurreID
)
Public Function Remove (
    FurreID As Base220
) As Boolean

Dim instance As FurreList
Dim FurreID As Base220
Dim returnValue As Boolean

returnValue = instance.Remove(FurreID)
public:
bool Remove(
    Base220^ FurreID
)
member Remove :
        FurreID : Base220 -> bool

Parameters

FurreID
Type: Furcadia.TextBase220

[Missing <param name="FurreID"/> documentation for "M:Furcadia.Net.DreamInfo.FurreList.Remove(Furcadia.Text.Base220)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:Furcadia.Net.DreamInfo.FurreList.Remove(Furcadia.Text.Base220)"]

See Also

Reference

FurreList Class
Remove Overload
Furcadia.Net.DreamInfo Namespace


FurreList.Update Method

FurreListUpdate Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Updates the specified furre in the list.

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool Update(
    Furre Furre
)
Public Function Update (
    Furre As Furre
) As Boolean

Dim instance As FurreList
Dim Furre As Furre
Dim returnValue As Boolean

returnValue = instance.Update(Furre)
public:
bool Update(
    Furre^ Furre
)
member Update :
        Furre : Furre -> bool

Parameters

Furre
Type: Furcadia.Net.DreamInfoFurre
The furre.

Return Value

Type: Boolean
True is the specified furre is in the list.
See Also

Reference

FurreList Class
Furcadia.Net.DreamInfo Namespace


IDream Interface
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "T:Furcadia.Net.DreamInfo.IDream"]

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public interface IDream
Public Interface IDream

Dim instance As IDream
public interface class IDream
type IDream =  interface end

The IDream type exposes the following members.

Properties
 | Name | Description
Public property | IsModern | Gets or sets a value indicating whether this instance is modern.
Public property | Name | Gets or sets the name.
Top
See Also

Reference

Furcadia.Net.DreamInfo Namespace


IDream Properties
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The IDream type exposes the following members.

Properties
 | Name | Description
Public property | IsModern | Gets or sets a value indicating whether this instance is modern.
Public property | Name | Gets or sets the name.
Top
See Also

Reference

IDream Interface
Furcadia.Net.DreamInfo Namespace


IDream.IsModern Property

IDreamIsModern Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets or sets a value indicating whether this instance is modern.

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
bool IsModern { get; }
ReadOnly Property IsModern As Boolean
    Get

Dim instance As IDream
Dim value As Boolean

value = instance.IsModern

property bool IsModern {
    bool get ();
}
abstract IsModern : bool with get

Property Value

Type: Boolean
true if this instance is modern; otherwise, false.
See Also

Reference

IDream Interface
Furcadia.Net.DreamInfo Namespace


IDream.Name Property

IDreamName Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets or sets the name.

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
string Name { get; }
ReadOnly Property Name As String
    Get

Dim instance As IDream
Dim value As String

value = instance.Name

property String^ Name {
    String^ get ();
}
abstract Name : string with get

Property Value

Type: String
The name.
See Also

Reference

IDream Interface
Furcadia.Net.DreamInfo Namespace


IFurre Interface
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Furre Class Interface

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public interface IFurre
Public Interface IFurre

Dim instance As IFurre
public interface class IFurre
type IFurre =  interface end

The IFurre type exposes the following members.

Properties
 | Name | Description
Public property | FurreID | Implements the FurreID or unique furre identifyer
Public property | Message | Gets or sets the message.
Public property | Name | implements the Furre;s Name Property
Public property | ShortName | implements the Furre;s Name Property
Top
See Also

Reference

Furcadia.Net.DreamInfo Namespace


IFurre Properties
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The IFurre type exposes the following members.

Properties
 | Name | Description
Public property | FurreID | Implements the FurreID or unique furre identifyer
Public property | Message | Gets or sets the message.
Public property | Name | implements the Furre;s Name Property
Public property | ShortName | implements the Furre;s Name Property
Top
See Also

Reference

IFurre Interface
Furcadia.Net.DreamInfo Namespace


IFurre.FurreID Property

IFurreFurreID Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Implements the FurreID or unique furre identifyer

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
Base220 FurreID { get; set; }
Property FurreID As Base220
    Get
    Set

Dim instance As IFurre
Dim value As Base220

value = instance.FurreID

instance.FurreID = value
property Base220^ FurreID {
    Base220^ get ();
    void set (Base220^ value);
}
abstract FurreID : Base220 with get, set

Property Value

Type: Base220
See Also

Reference

IFurre Interface
Furcadia.Net.DreamInfo Namespace


IFurre.Message Property

IFurreMessage Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets or sets the message.

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
string Message { get; set; }
Property Message As String
    Get
    Set

Dim instance As IFurre
Dim value As String

value = instance.Message

instance.Message = value
property String^ Message {
    String^ get ();
    void set (String^ value);
}
abstract Message : string with get, set

Property Value

Type: String
The message.
See Also

Reference

IFurre Interface
Furcadia.Net.DreamInfo Namespace


IFurre.Name Property

IFurreName Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

implements the Furre;s Name Property

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
string Name { get; set; }
Property Name As String
    Get
    Set

Dim instance As IFurre
Dim value As String

value = instance.Name

instance.Name = value
property String^ Name {
    String^ get ();
    void set (String^ value);
}
abstract Name : string with get, set

Property Value

Type: String
See Also

Reference

IFurre Interface
Furcadia.Net.DreamInfo Namespace


IFurre.ShortName Property

IFurreShortName Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

implements the Furre;s Name Property

Namespace: Furcadia.Net.DreamInfo
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
string ShortName { get; }
ReadOnly Property ShortName As String
    Get

Dim instance As IFurre
Dim value As String

value = instance.ShortName

property String^ ShortName {
    String^ get ();
}
abstract ShortName : string with get

Property Value

Type: String
See Also

Reference

IFurre Interface
Furcadia.Net.DreamInfo Namespace


Furcadia.Net.Options Namespace
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Classes
 | Class | Description
Public class | BaseConnectionOptions | Game server connection settings collection
Public class | ClientOptions | Client options based on Character.ini settings
Public class | ProxyOptions | Configuration options for NetProxy


BaseConnectionOptions Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Game server connection settings collection
Inheritance Hierarchy
SystemObject
Furcadia.Net.OptionsBaseConnectionOptions
Furcadia.Net.OptionsClientOptions
Furcadia.Net.OptionsProxyOptions

Namespace: Furcadia.Net.Options
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public class BaseConnectionOptions
Public Class BaseConnectionOptions

Dim instance As BaseConnectionOptions
public ref class BaseConnectionOptions
type BaseConnectionOptions =  class end

The BaseConnectionOptions type exposes the following members.

Constructors
 | Name | Description
Public method | BaseConnectionOptions | Initializes a new instance of the BaseConnectionOptions class
Protected method | BaseConnectionOptions(String, Int32) | Initializes a new instance of the BaseConnectionOptions class
Top
Properties
 | Name | Description
Public property | ConnectionRetries | Gets or sets the connection retries.
Public property | ConnectionTimeOut | Gets or sets the connection time out.
Public property | GameServerHost | Host name or IP of the game server
Public property | GameServerPort | Game server TCP Port
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Fields
 | Name | Description
Protected field | FurcadiaFilePaths | Furcadia Paths File Path Structure.
Protected field | FurcadiaUtilities | Furcadia Utilities
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Furcadia.Net.Options Namespace


BaseConnectionOptions Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
 | Name | Description
Public method | BaseConnectionOptions | Initializes a new instance of the BaseConnectionOptions class
Protected method | BaseConnectionOptions(String, Int32) | Initializes a new instance of the BaseConnectionOptions class
Top
See Also

Reference

BaseConnectionOptions Class
Furcadia.Net.Options Namespace


BaseConnectionOptions Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the BaseConnectionOptions class

Namespace: Furcadia.Net.Options
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public BaseConnectionOptions()
Public Sub New

Dim instance As New BaseConnectionOptions()
public:
BaseConnectionOptions()
new : unit -> BaseConnectionOptions
See Also

Reference

BaseConnectionOptions Class
BaseConnectionOptions Overload
Furcadia.Net.Options Namespace


BaseConnectionOptions Constructor (String, Int32)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the BaseConnectionOptions class

Namespace: Furcadia.Net.Options
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
protected BaseConnectionOptions(
    string host,
    int port
)
Protected Sub New (
    host As String,
    port As Integer
)

Dim host As String
Dim port As Integer

Dim instance As New BaseConnectionOptions(host, port)
protected:
BaseConnectionOptions(
    String^ host,
    int port
)
new :
        host : string *
        port : int -> BaseConnectionOptions

Parameters

host
Type: SystemString

[Missing <param name="host"/> documentation for "M:Furcadia.Net.Options.BaseConnectionOptions.#ctor(System.String,System.Int32)"]

port
Type: SystemInt32

[Missing <param name="port"/> documentation for "M:Furcadia.Net.Options.BaseConnectionOptions.#ctor(System.String,System.Int32)"]

See Also

Reference

BaseConnectionOptions Class
BaseConnectionOptions Overload
Furcadia.Net.Options Namespace


BaseConnectionOptions Properties
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The BaseConnectionOptions type exposes the following members.

Properties
 | Name | Description
Public property | ConnectionRetries | Gets or sets the connection retries.
Public property | ConnectionTimeOut | Gets or sets the connection time out.
Public property | GameServerHost | Host name or IP of the game server
Public property | GameServerPort | Game server TCP Port
Top
See Also

Reference

BaseConnectionOptions Class
Furcadia.Net.Options Namespace


BaseConnectionOptions.ConnectionRetries Property

BaseConnectionOptionsConnectionRetries Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets or sets the connection retries.

Namespace: Furcadia.Net.Options
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public int ConnectionRetries { get; set; }
Public Property ConnectionRetries As Integer
    Get
    Set

Dim instance As BaseConnectionOptions
Dim value As Integer

value = instance.ConnectionRetries

instance.ConnectionRetries = value
public:
property int ConnectionRetries {
    int get ();
    void set (int value);
}
member ConnectionRetries : int with get, set

Property Value

Type: Int32
Number of reconnection attempts

Default: 5 tries

See Also

Reference

BaseConnectionOptions Class
Furcadia.Net.Options Namespace


BaseConnectionOptions.ConnectionTimeOut Property

BaseConnectionOptionsConnectionTimeOut Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets or sets the connection time out.

Namespace: Furcadia.Net.Options
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public int ConnectionTimeOut { get; set; }
Public Property ConnectionTimeOut As Integer
    Get
    Set

Dim instance As BaseConnectionOptions
Dim value As Integer

value = instance.ConnectionTimeOut

instance.ConnectionTimeOut = value
public:
property int ConnectionTimeOut {
    int get ();
    void set (int value);
}
member ConnectionTimeOut : int with get, set

Property Value

Type: Int32
Time out in seconds

Default: 10 seconds

See Also

Reference

BaseConnectionOptions Class
Furcadia.Net.Options Namespace


BaseConnectionOptions.GameServerHost Property

BaseConnectionOptionsGameServerHost Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Host name or IP of the game server

Namespace: Furcadia.Net.Options
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string GameServerHost { get; set; }
Public Property GameServerHost As String
    Get
    Set

Dim instance As BaseConnectionOptions
Dim value As String

value = instance.GameServerHost

instance.GameServerHost = value
public:
property String^ GameServerHost {
    String^ get ();
    void set (String^ value);
}
member GameServerHost : string with get, set

Property Value

Type: String
See Also

Reference

BaseConnectionOptions Class
Furcadia.Net.Options Namespace


BaseConnectionOptions.GameServerPort Property

BaseConnectionOptionsGameServerPort Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Game server TCP Port

Namespace: Furcadia.Net.Options
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public int GameServerPort { get; set; }
Public Property GameServerPort As Integer
    Get
    Set

Dim instance As BaseConnectionOptions
Dim value As Integer

value = instance.GameServerPort

instance.GameServerPort = value
public:
property int GameServerPort {
    int get ();
    void set (int value);
}
member GameServerPort : int with get, set

Property Value

Type: Int32
See Also

Reference

BaseConnectionOptions Class
Furcadia.Net.Options Namespace


BaseConnectionOptions Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The BaseConnectionOptions type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

BaseConnectionOptions Class
Furcadia.Net.Options Namespace


BaseConnectionOptions Fields
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The BaseConnectionOptions type exposes the following members.

Fields
 | Name | Description
Protected field | FurcadiaFilePaths | Furcadia Paths File Path Structure.
Protected field | FurcadiaUtilities | Furcadia Utilities
Top
See Also

Reference

BaseConnectionOptions Class
Furcadia.Net.Options Namespace


BaseConnectionOptions.FurcadiaFilePaths Field

BaseConnectionOptionsFurcadiaFilePaths Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Furcadia Paths File Path Structure.

Namespace: Furcadia.Net.Options
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
protected Paths FurcadiaFilePaths
Protected FurcadiaFilePaths As Paths

Dim value As Paths

value = Me.FurcadiaFilePaths

Me.FurcadiaFilePaths = value
protected:
Paths^ FurcadiaFilePaths
val mutable FurcadiaFilePaths: Paths

Field Value

Type: Paths
See Also

Reference

BaseConnectionOptions Class
Furcadia.Net.Options Namespace


BaseConnectionOptions.FurcadiaUtilities Field

BaseConnectionOptionsFurcadiaUtilities Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Furcadia Utilities

Namespace: Furcadia.Net.Options
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
protected Utilities FurcadiaUtilities
Protected FurcadiaUtilities As Utilities

Dim value As Utilities

value = Me.FurcadiaUtilities

Me.FurcadiaUtilities = value
protected:
Utilities^ FurcadiaUtilities
val mutable FurcadiaUtilities: Utilities

Field Value

Type: Utilities
See Also

Reference

BaseConnectionOptions Class
Furcadia.Net.Options Namespace


ClientOptions Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Client options based on Character.ini settings
Inheritance Hierarchy
SystemObject
Furcadia.Net.OptionsBaseConnectionOptions
Furcadia.Net.OptionsClientOptions

Namespace: Furcadia.Net.Options
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public class ClientOptions : BaseConnectionOptions
Public Class ClientOptions
    Inherits BaseConnectionOptions

Dim instance As ClientOptions
public ref class ClientOptions : public BaseConnectionOptions
type ClientOptions =
    class
        inherit BaseConnectionOptions
    end

The ClientOptions type exposes the following members.

Constructors
 | Name | Description
Public method | ClientOptions | Initializes a new instance of the ClientOptions class.
Top
Properties
 | Name | Description
Public property | Account | Optional Account E-Mail
Public property | CharacterName | Character Name
Public property | CharacterShortName | Gets the short name of the character.
Public property | Colors | Gets or sets the avatar colors.
Public property | ConnectionRetries | Gets or sets the connection retries. (Inherited from BaseConnectionOptions.)
Public property | ConnectionTimeOut | Gets or sets the connection time out. (Inherited from BaseConnectionOptions.)
Public property | Costume | Costume to use with Selected Character
Public property | Description | Gets or sets the avatar description.
Public property | GameServerHost | Host name or IP of the game server (Inherited from BaseConnectionOptions.)
Public property | GameServerPort | Game server TCP Port (Inherited from BaseConnectionOptions.)
Public property | Password | Gets or sets the password.
Public property | Version | Gets or sets the version.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Fields
 | Name | Description
Protected field | FurcadiaFilePaths | Furcadia Paths File Path Structure. (Inherited from BaseConnectionOptions.)
Protected field | FurcadiaUtilities | Furcadia Utilities (Inherited from BaseConnectionOptions.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Furcadia.Net.Options Namespace


ClientOptions Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the ClientOptions class.

Namespace: Furcadia.Net.Options
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public ClientOptions()
Public Sub New

Dim instance As New ClientOptions()
public:
ClientOptions()
new : unit -> ClientOptions
See Also

Reference

ClientOptions Class
Furcadia.Net.Options Namespace


ClientOptions Properties
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The ClientOptions type exposes the following members.

Properties
 | Name | Description
Public property | Account | Optional Account E-Mail
Public property | CharacterName | Character Name
Public property | CharacterShortName | Gets the short name of the character.
Public property | Colors | Gets or sets the avatar colors.
Public property | ConnectionRetries | Gets or sets the connection retries. (Inherited from BaseConnectionOptions.)
Public property | ConnectionTimeOut | Gets or sets the connection time out. (Inherited from BaseConnectionOptions.)
Public property | Costume | Costume to use with Selected Character
Public property | Description | Gets or sets the avatar description.
Public property | GameServerHost | Host name or IP of the game server (Inherited from BaseConnectionOptions.)
Public property | GameServerPort | Game server TCP Port (Inherited from BaseConnectionOptions.)
Public property | Password | Gets or sets the password.
Public property | Version | Gets or sets the version.
Top
See Also

Reference

ClientOptions Class
Furcadia.Net.Options Namespace


ClientOptions.Account Property

ClientOptionsAccount Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Optional Account E-Mail

Namespace: Furcadia.Net.Options
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string Account { get; set; }
Public Property Account As String
    Get
    Set

Dim instance As ClientOptions
Dim value As String

value = instance.Account

instance.Account = value
public:
property String^ Account {
    String^ get ();
    void set (String^ value);
}
member Account : string with get, set

Property Value

Type: String
See Also

Reference

ClientOptions Class
Furcadia.Net.Options Namespace


ClientOptions.CharacterName Property

ClientOptionsCharacterName Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Character Name

Namespace: Furcadia.Net.Options
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string CharacterName { get; set; }
Public Property CharacterName As String
    Get
    Set

Dim instance As ClientOptions
Dim value As String

value = instance.CharacterName

instance.CharacterName = value
public:
property String^ CharacterName {
    String^ get ();
    void set (String^ value);
}
member CharacterName : string with get, set

Property Value

Type: String
See Also

Reference

ClientOptions Class
Furcadia.Net.Options Namespace


ClientOptions.CharacterShortName Property

ClientOptionsCharacterShortName Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets the short name of the character.

Namespace: Furcadia.Net.Options
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string CharacterShortName { get; }
Public ReadOnly Property CharacterShortName As String
    Get

Dim instance As ClientOptions
Dim value As String

value = instance.CharacterShortName

public:
property String^ CharacterShortName {
    String^ get ();
}
member CharacterShortName : string with get

Property Value

Type: String
The short name of the character.
See Also

Reference

ClientOptions Class
Furcadia.Net.Options Namespace


ClientOptions.Colors Property

ClientOptionsColors Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets or sets the avatar colors.

Namespace: Furcadia.Net.Options
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public ColorString Colors { get; set; }
Public Property Colors As ColorString
    Get
    Set

Dim instance As ClientOptions
Dim value As ColorString

value = instance.Colors

instance.Colors = value
public:
property ColorString^ Colors {
    ColorString^ get ();
    void set (ColorString^ value);
}
member Colors : ColorString with get, set

Property Value

Type: ColorString
The colors.
See Also

Reference

ClientOptions Class
Furcadia.Net.Options Namespace


ClientOptions.Costume Property

ClientOptionsCostume Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Costume to use with Selected Character

Namespace: Furcadia.Net.Options
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string Costume { get; set; }
Public Property Costume As String
    Get
    Set

Dim instance As ClientOptions
Dim value As String

value = instance.Costume

instance.Costume = value
public:
property String^ Costume {
    String^ get ();
    void set (String^ value);
}
member Costume : string with get, set

Property Value

Type: String
See Also

Reference

ClientOptions Class
Furcadia.Net.Options Namespace


ClientOptions.Description Property

ClientOptionsDescription Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets or sets the avatar description.

Namespace: Furcadia.Net.Options
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string Description { get; set; }
Public Property Description As String
    Get
    Set

Dim instance As ClientOptions
Dim value As String

value = instance.Description

instance.Description = value
public:
property String^ Description {
    String^ get ();
    void set (String^ value);
}
member Description : string with get, set

Property Value

Type: String
The description.
See Also

Reference

ClientOptions Class
Furcadia.Net.Options Namespace


ClientOptions.Password Property

ClientOptionsPassword Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets or sets the password.

Namespace: Furcadia.Net.Options
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string Password { get; set; }
Public Property Password As String
    Get
    Set

Dim instance As ClientOptions
Dim value As String

value = instance.Password

instance.Password = value
public:
property String^ Password {
    String^ get ();
    void set (String^ value);
}
member Password : string with get, set

Property Value

Type: String
The password.
See Also

Reference

ClientOptions Class
Furcadia.Net.Options Namespace


ClientOptions.Version Property

ClientOptionsVersion Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets or sets the version.

Namespace: Furcadia.Net.Options
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public double Version { get; set; }
Public Property Version As Double
    Get
    Set

Dim instance As ClientOptions
Dim value As Double

value = instance.Version

instance.Version = value
public:
property double Version {
    double get ();
    void set (double value);
}
member Version : float with get, set

Property Value

Type: Double
The version.
See Also

Reference

ClientOptions Class
Furcadia.Net.Options Namespace


ClientOptions Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The ClientOptions type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

ClientOptions Class
Furcadia.Net.Options Namespace


ClientOptions Fields
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The ClientOptions type exposes the following members.

Fields
 | Name | Description
Protected field | FurcadiaFilePaths | Furcadia Paths File Path Structure. (Inherited from BaseConnectionOptions.)
Protected field | FurcadiaUtilities | Furcadia Utilities (Inherited from BaseConnectionOptions.)
Top
See Also

Reference

ClientOptions Class
Furcadia.Net.Options Namespace


ProxyOptions Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Configuration options for NetProxy
Inheritance Hierarchy
SystemObject
Furcadia.Net.OptionsBaseConnectionOptions
Furcadia.Net.OptionsProxyOptions

Namespace: Furcadia.Net.Options
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public class ProxyOptions : BaseConnectionOptions
Public Class ProxyOptions
    Inherits BaseConnectionOptions

Dim instance As ProxyOptions
public ref class ProxyOptions : public BaseConnectionOptions
type ProxyOptions =
    class
        inherit BaseConnectionOptions
    end

The ProxyOptions type exposes the following members.

Constructors
 | Name | Description
Public method | ProxyOptions | Default settings localhostport = 6700 furcprocess = "Furcadia.exe"
Top
Properties
 | Name | Description
Public property | CharacterIniFile | Character Ini file to connect to the Game server with
Public property | ConnectionRetries | Gets or sets the connection retries. (Inherited from BaseConnectionOptions.)
Public property | ConnectionTimeOut | Gets or sets the connection time out. (Inherited from BaseConnectionOptions.)
Public property | FurcadiaInstallPath | Furcadia working folder path to the Client install we want to use
Public property | FurcadiaProcess | Furcadia Client executable
Public property | GameServerHost | Host name or IP of the game server (Inherited from BaseConnectionOptions.)
Public property | GameServerPort | Game server TCP Port (Inherited from BaseConnectionOptions.)
Public property | LocalhostPort | Localhost TCP port
Public property | ProxyHost | Host name or IP Address for the proxy server Defaults to "localhost'
Public property | ResetSettingTime | time delay to reset furcadia settings when the furcadia client is launched.
Public property | Standalone | Allow the connection to stay open after the client drops?
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Fields
 | Name | Description
Protected field | FurcadiaFilePaths | Furcadia Paths File Path Structure. (Inherited from BaseConnectionOptions.)
Protected field | FurcadiaUtilities | Furcadia Utilities (Inherited from BaseConnectionOptions.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Furcadia.Net.Options Namespace


ProxyOptions Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Default settings

localhostport = 6700

furcprocess = "Furcadia.exe"

Namespace: Furcadia.Net.Options
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public ProxyOptions()
Public Sub New

Dim instance As New ProxyOptions()
public:
ProxyOptions()
new : unit -> ProxyOptions
See Also

Reference

ProxyOptions Class
Furcadia.Net.Options Namespace


ProxyOptions Properties
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The ProxyOptions type exposes the following members.

Properties
 | Name | Description
Public property | CharacterIniFile | Character Ini file to connect to the Game server with
Public property | ConnectionRetries | Gets or sets the connection retries. (Inherited from BaseConnectionOptions.)
Public property | ConnectionTimeOut | Gets or sets the connection time out. (Inherited from BaseConnectionOptions.)
Public property | FurcadiaInstallPath | Furcadia working folder path to the Client install we want to use
Public property | FurcadiaProcess | Furcadia Client executable
Public property | GameServerHost | Host name or IP of the game server (Inherited from BaseConnectionOptions.)
Public property | GameServerPort | Game server TCP Port (Inherited from BaseConnectionOptions.)
Public property | LocalhostPort | Localhost TCP port
Public property | ProxyHost | Host name or IP Address for the proxy server Defaults to "localhost'
Public property | ResetSettingTime | time delay to reset furcadia settings when the furcadia client is launched.
Public property | Standalone | Allow the connection to stay open after the client drops?
Top
See Also

Reference

ProxyOptions Class
Furcadia.Net.Options Namespace


ProxyOptions.CharacterIniFile Property

ProxyOptionsCharacterIniFile Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Character Ini file to connect to the Game server with

Namespace: Furcadia.Net.Options
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string CharacterIniFile { get; set; }
Public Property CharacterIniFile As String
    Get
    Set

Dim instance As ProxyOptions
Dim value As String

value = instance.CharacterIniFile

instance.CharacterIniFile = value
public:
property String^ CharacterIniFile {
    String^ get ();
    void set (String^ value);
}
member CharacterIniFile : string with get, set

Property Value

Type: String
Remarks

Furcadia.Exe Command Line options

If only a Character.ini is Specified then NetProxy will Connect with Legacy Connection.

If NoArguments specified then we'll login with Account Login window

If we use -url="" We can Open the client and the server will select the character for us and bypass the Account Login Screen and the Game News feed

See Also

Reference

ProxyOptions Class
Furcadia.Net.Options Namespace


ProxyOptions.FurcadiaInstallPath Property

ProxyOptionsFurcadiaInstallPath Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Furcadia working folder path to the Client install we want to use

Namespace: Furcadia.Net.Options
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string FurcadiaInstallPath { get; set; }
Public Property FurcadiaInstallPath As String
    Get
    Set

Dim instance As ProxyOptions
Dim value As String

value = instance.FurcadiaInstallPath

instance.FurcadiaInstallPath = value
public:
property String^ FurcadiaInstallPath {
    String^ get ();
    void set (String^ value);
}
member FurcadiaInstallPath : string with get, set

Property Value

Type: String
See Also

Reference

ProxyOptions Class
Furcadia.Net.Options Namespace


ProxyOptions.FurcadiaProcess Property

ProxyOptionsFurcadiaProcess Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Furcadia Client executable

Namespace: Furcadia.Net.Options
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string FurcadiaProcess { get; set; }
Public Property FurcadiaProcess As String
    Get
    Set

Dim instance As ProxyOptions
Dim value As String

value = instance.FurcadiaProcess

instance.FurcadiaProcess = value
public:
property String^ FurcadiaProcess {
    String^ get ();
    void set (String^ value);
}
member FurcadiaProcess : string with get, set

Property Value

Type: String
See Also

Reference

ProxyOptions Class
Furcadia.Net.Options Namespace


ProxyOptions.LocalhostPort Property

ProxyOptionsLocalhostPort Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Localhost TCP port

Namespace: Furcadia.Net.Options
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public int LocalhostPort { get; set; }
Public Property LocalhostPort As Integer
    Get
    Set

Dim instance As ProxyOptions
Dim value As Integer

value = instance.LocalhostPort

instance.LocalhostPort = value
public:
property int LocalhostPort {
    int get ();
    void set (int value);
}
member LocalhostPort : int with get, set

Property Value

Type: Int32
See Also

Reference

ProxyOptions Class
Furcadia.Net.Options Namespace


ProxyOptions.ProxyHost Property

ProxyOptionsProxyHost Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Host name or IP Address for the proxy server

Defaults to "localhost'

Namespace: Furcadia.Net.Options
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string ProxyHost { get; set; }
Public Property ProxyHost As String
    Get
    Set

Dim instance As ProxyOptions
Dim value As String

value = instance.ProxyHost

instance.ProxyHost = value
public:
property String^ ProxyHost {
    String^ get ();
    void set (String^ value);
}
member ProxyHost : string with get, set

Property Value

Type: String
See Also

Reference

ProxyOptions Class
Furcadia.Net.Options Namespace


ProxyOptions.ResetSettingTime Property

ProxyOptionsResetSettingTime Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

time delay to reset furcadia settings when the furcadia client is launched.

Namespace: Furcadia.Net.Options
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public int ResetSettingTime { get; set; }
Public Property ResetSettingTime As Integer
    Get
    Set

Dim instance As ProxyOptions
Dim value As Integer

value = instance.ResetSettingTime

instance.ResetSettingTime = value
public:
property int ResetSettingTime {
    int get ();
    void set (int value);
}
member ResetSettingTime : int with get, set

Property Value

Type: Int32
The reset time in seconds

Defaults to 20 seconds;

See Also

Reference

ProxyOptions Class
Furcadia.Net.Options Namespace


ProxyOptions.Standalone Property

ProxyOptionsStandalone Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Allow the connection to stay open after the client drops?

Namespace: Furcadia.Net.Options
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool Standalone { get; set; }
Public Property Standalone As Boolean
    Get
    Set

Dim instance As ProxyOptions
Dim value As Boolean

value = instance.Standalone

instance.Standalone = value
public:
property bool Standalone {
    bool get ();
    void set (bool value);
}
member Standalone : bool with get, set

Property Value

Type: Boolean
Remarks
if standalone is enabled.. then we can skip, Furcadia Client Login with Firewall/Proxy settings and manage the client triggers ourselves
See Also

Reference

ProxyOptions Class
Furcadia.Net.Options Namespace


ProxyOptions Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The ProxyOptions type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

ProxyOptions Class
Furcadia.Net.Options Namespace


ProxyOptions Fields
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The ProxyOptions type exposes the following members.

Fields
 | Name | Description
Protected field | FurcadiaFilePaths | Furcadia Paths File Path Structure. (Inherited from BaseConnectionOptions.)
Protected field | FurcadiaUtilities | Furcadia Utilities (Inherited from BaseConnectionOptions.)
Top
See Also

Reference

ProxyOptions Class
Furcadia.Net.Options Namespace


Furcadia.Net.Pounce Namespace
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Classes
 | Class | Description
Public class | PounceClient | Generic Class to use the Pounce server
Public class | PounceConnection | Base class for handling the Pounce Server Connections
Public class | PounceFurre | Pounce info for Furre online status
Public class | PounceIni |
Delegates
 | Delegate | Description
Public delegate | PounceConnectionPounceResponse |


PounceClient Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Generic Class to use the Pounce server
Inheritance Hierarchy
SystemObject
Furcadia.Net.PouncePounceConnection
Furcadia.Net.PouncePounceClient

Namespace: Furcadia.Net.Pounce
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public class PounceClient : PounceConnection,
    IDisposable
Public Class PounceClient
    Inherits PounceConnection
    Implements IDisposable

Dim instance As PounceClient
public ref class PounceClient : public PounceConnection,
    IDisposable
type PounceClient =
    class
        inherit PounceConnection
        interface IDisposable
    end

The PounceClient type exposes the following members.

Constructors
 | Name | Description
Public method | PounceClient | Default Constructor Pounce server updates on a 30 second cron-job and returns a list of Furres Currently on-line
Public method | PounceClient(String, String) | Set up the default Pounce Client and Friends List and Dream List Pounce server updates on a 30 second cron-job and returns a list of Furres Currently on-line
Top
Properties
 | Name | Description
Public property | FurreList |
Public property | NumberOfDreamsOnMainMaps | (Inherited from PounceConnection.)
Public property | OnlineList | File path to List of furres to check online status
Public property | RawResponse | When a response from the server is received this property will contain the raw HTTP string. (Inherited from PounceConnection.)
Top
Methods
 | Name | Description
Public method | AddFriend | Adds a friend to a list of friends. Throws a Exception on non alphanumeric string. (Inherited from PounceConnection.)
Public method | CheckFriendName | Checks a friend's name to make sure it is a valid alpha numeric (a-z0-9). Furcadia short-name format is lowercase alpha-numeric strings (Inherited from PounceConnection.)
Public method | CheckFriendNames | Iterates through friend's names to make sure they are valid alpha numeric (a-z0-9). (Inherited from PounceConnection.)
Public method | ClearFriends | Removes everyone from the friends list. (Inherited from PounceConnection.)
Public method | Connect | Connects to the on-line check server and sends a on-line check request (Inherited from PounceConnection.)
Public method | ConnectAsync | Connects asynchronously to the on-line check server and sends a request without affecting the executing thread. (Inherited from PounceConnection.)
Public method | Dispose | Implement IDisposable and Dispose of PounceTimer
Protected method | Dispose(Boolean) | Releases the unmanaged resources used by the PounceClient and optionally releases the managed resources
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | RemoveFriend | Removes specified name from the list (Inherited from PounceConnection.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Events
 | Name | Description
Public event | Response | Called when a on-line check request sends a response. First argument is a list of players on-line. (Inherited from PounceConnection.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Furcadia.Net.Pounce Namespace


PounceClient Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
 | Name | Description
Public method | PounceClient | Default Constructor Pounce server updates on a 30 second cron-job and returns a list of Furres Currently on-line
Public method | PounceClient(String, String) | Set up the default Pounce Client and Friends List and Dream List Pounce server updates on a 30 second cron-job and returns a list of Furres Currently on-line
Top
See Also

Reference

PounceClient Class
Furcadia.Net.Pounce Namespace


PounceClient Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Default Constructor

Pounce server updates on a 30 second cron-job and returns a list of Furres Currently on-line

Namespace: Furcadia.Net.Pounce
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public PounceClient()
Public Sub New

Dim instance As New PounceClient()
public:
PounceClient()
new : unit -> PounceClient
See Also

Reference

PounceClient Class
PounceClient Overload
Furcadia.Net.Pounce Namespace


PounceClient Constructor (String[], String[])

PounceClient Constructor (String, String)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Set up the default Pounce Client and Friends List and Dream List

Pounce server updates on a 30 second cron-job and returns a list of Furres Currently on-line

Namespace: Furcadia.Net.Pounce
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public PounceClient(
    string[] FurreList,
    string[] DreamList
)
Public Sub New (
    FurreList As String(),
    DreamList As String()
)

Dim FurreList As String()
Dim DreamList As String()

Dim instance As New PounceClient(FurreList,
    DreamList)
public:
PounceClient(
    array<String^>^ FurreList,
    array<String^>^ DreamList
)
new :
        FurreList : string[] *
        DreamList : string[] -> PounceClient

Parameters

FurreList
Type: SystemString
Furre List as string array
DreamList
Type: SystemString
dream list as s string array
See Also

Reference

PounceClient Class
PounceClient Overload
Furcadia.Net.Pounce Namespace


PounceClient Properties
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The PounceClient type exposes the following members.

Properties
 | Name | Description
Public property | FurreList |
Public property | NumberOfDreamsOnMainMaps | (Inherited from PounceConnection.)
Public property | OnlineList | File path to List of furres to check online status
Public property | RawResponse | When a response from the server is received this property will contain the raw HTTP string. (Inherited from PounceConnection.)
Top
See Also

Reference

PounceClient Class
Furcadia.Net.Pounce Namespace


PounceClient.FurreList Property

PounceClientFurreList Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "P:Furcadia.Net.Pounce.PounceClient.FurreList"]

Namespace: Furcadia.Net.Pounce
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public List<PounceFurre> FurreList { get; }
Public ReadOnly Property FurreList As List(Of PounceFurre)
    Get

Dim instance As PounceClient
Dim value As List(Of PounceFurre)

value = instance.FurreList

public:
property List<PounceFurre^>^ FurreList {
    List<PounceFurre^>^ get ();
}
member FurreList : List<PounceFurre> with get

Property Value

Type: List PounceFurre
See Also

Reference

PounceClient Class
Furcadia.Net.Pounce Namespace


PounceClient.OnlineList Property

PounceClientOnlineList Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

File path to List of furres to check online status

Namespace: Furcadia.Net.Pounce
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string OnlineList { get; set; }
Public Property OnlineList As String
    Get
    Set

Dim instance As PounceClient
Dim value As String

value = instance.OnlineList

instance.OnlineList = value
public:
property String^ OnlineList {
    String^ get ();
    void set (String^ value);
}
member OnlineList : string with get, set

Property Value

Type: String
See Also

Reference

PounceClient Class
Furcadia.Net.Pounce Namespace


PounceClient Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The PounceClient type exposes the following members.

Methods
 | Name | Description
Public method | AddFriend | Adds a friend to a list of friends. Throws a Exception on non alphanumeric string. (Inherited from PounceConnection.)
Public method | CheckFriendName | Checks a friend's name to make sure it is a valid alpha numeric (a-z0-9). Furcadia short-name format is lowercase alpha-numeric strings (Inherited from PounceConnection.)
Public method | CheckFriendNames | Iterates through friend's names to make sure they are valid alpha numeric (a-z0-9). (Inherited from PounceConnection.)
Public method | ClearFriends | Removes everyone from the friends list. (Inherited from PounceConnection.)
Public method | Connect | Connects to the on-line check server and sends a on-line check request (Inherited from PounceConnection.)
Public method | ConnectAsync | Connects asynchronously to the on-line check server and sends a request without affecting the executing thread. (Inherited from PounceConnection.)
Public method | Dispose | Implement IDisposable and Dispose of PounceTimer
Protected method | Dispose(Boolean) |
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | RemoveFriend | Removes specified name from the list (Inherited from PounceConnection.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

PounceClient Class
Furcadia.Net.Pounce Namespace


PounceClient.Dispose Method

PounceClientDispose Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
 | Name | Description
Public method | Dispose | Implement IDisposable and Dispose of PounceTimer
Protected method | Dispose(Boolean) | Releases the unmanaged resources used by the PounceClient and optionally releases the managed resources
Top
See Also

Reference

PounceClient Class
Furcadia.Net.Pounce Namespace


PounceClient.Dispose Method

PounceClientDispose Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Implement IDisposable and Dispose of PounceTimer

Namespace: Furcadia.Net.Pounce
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public void Dispose()
Public Sub Dispose

Dim instance As PounceClient

instance.Dispose()
public:
virtual void Dispose() sealed
abstract Dispose : unit -> unit
override Dispose : unit -> unit

Implements

IDisposableDispose
See Also

Reference

PounceClient Class
Dispose Overload
Furcadia.Net.Pounce Namespace


PounceClient.Dispose Method (Boolean)

PounceClientDispose Method (Boolean)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Releases the unmanaged resources used by the PounceClient and optionally releases the managed resources

Namespace: Furcadia.Net.Pounce
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
protected virtual void Dispose(
    bool disposing
)
Protected Overridable Sub Dispose (
    disposing As Boolean
)

Dim disposing As Boolean

Me.Dispose(disposing)
protected:
virtual void Dispose(
    bool disposing
)
abstract Dispose :
        disposing : bool -> unit
override Dispose :
        disposing : bool -> unit

Parameters

disposing
Type: SystemBoolean
True to release both managed and unmanaged resources; false to release only unmanaged resources
See Also

Reference

PounceClient Class
Dispose Overload
Furcadia.Net.Pounce Namespace


PounceClient Events
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The PounceClient type exposes the following members.

Events
 | Name | Description
Public event | Response | Called when a on-line check request sends a response. First argument is a list of players on-line. (Inherited from PounceConnection.)
Top
See Also

Reference

PounceClient Class
Furcadia.Net.Pounce Namespace


PounceConnection Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Base class for handling the Pounce Server Connections
Inheritance Hierarchy
SystemObject
Furcadia.Net.PouncePounceConnection
Furcadia.Net.PouncePounceClient

Namespace: Furcadia.Net.Pounce
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public class PounceConnection
Public Class PounceConnection

Dim instance As PounceConnection
public ref class PounceConnection
type PounceConnection =  class end

The PounceConnection type exposes the following members.

Constructors
 | Name | Description
Public method | PounceConnection | default constructor
Public method | PounceConnection(String, String, String) | A HTTP web request
Top
Properties
 | Name | Description
 | EncoderPage | Set the Encoder to Windows 1252 encoding
Public property | NumberOfDreamsOnMainMaps |
Public property | RawResponse | When a response from the server is received this property will contain the raw HTTP string.
 | Status | Pounce HTTP Status
 | TotalFurresOnline | Total on-line Furre count retrieved from an on-line check request
Top
Methods
 | Name | Description
Public method | AddFriend | Adds a friend to a list of friends. Throws a Exception on non alphanumeric string.
Public method | CheckFriendName | Checks a friend's name to make sure it is a valid alpha numeric (a-z0-9). Furcadia short-name format is lowercase alpha-numeric strings
Public method | CheckFriendNames | Iterates through friend's names to make sure they are valid alpha numeric (a-z0-9).
Public method | ClearFriends | Removes everyone from the friends list.
Public method | Connect | Connects to the on-line check server and sends a on-line check request
Public method | ConnectAsync | Connects asynchronously to the on-line check server and sends a request without affecting the executing thread.
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | RemoveFriend | Removes specified name from the list
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Events
 | Name | Description
Public event | Response | Called when a on-line check request sends a response. First argument is a list of players on-line.
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
Remarks
Pounce server returns a list on online objects (Furres,Dreams,Channels?)
See Also

Reference

Furcadia.Net.Pounce Namespace


PounceConnection Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
 | Name | Description
Public method | PounceConnection | default constructor
Public method | PounceConnection(String, String, String) | A HTTP web request
Top
See Also

Reference

PounceConnection Class
Furcadia.Net.Pounce Namespace


PounceConnection Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

default constructor

Namespace: Furcadia.Net.Pounce
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public PounceConnection()
Public Sub New

Dim instance As New PounceConnection()
public:
PounceConnection()
new : unit -> PounceConnection
See Also

Reference

PounceConnection Class
PounceConnection Overload
Furcadia.Net.Pounce Namespace


PounceConnection Constructor (String, String[], String[])

PounceConnection Constructor (String, String, String)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

A HTTP web request

Namespace: Furcadia.Net.Pounce
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public PounceConnection(
    string url,
    string[] shortN_friends,
    string[] Dreams
)
Public Sub New (
    url As String,
    shortN_friends As String(),
    Dreams As String()
)

Dim url As String
Dim shortN_friends As String()
Dim Dreams As String()

Dim instance As New PounceConnection(url, shortN_friends,
    Dreams)
public:
PounceConnection(
    String^ url,
    array<String^>^ shortN_friends,
    array<String^>^ Dreams
)
new :
        url : string *
        shortN_friends : string[] *
        Dreams : string[] -> PounceConnection

Parameters

url
Type: SystemString
Url (i.e http://on.furcadia.com) or if you have a custom on-line check server use that instead
shortN_friends
Type: SystemString
Friends (shortname) (i.e emeraldflame instead of Emerald|Flame)
Dreams
Type: SystemString
String Array of Dreams
See Also

Reference

PounceConnection Class
PounceConnection Overload
Furcadia.Net.Pounce Namespace


PounceConnection Properties
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The PounceConnection type exposes the following members.

Properties
 | Name | Description
 | EncoderPage | Set the Encoder to Windows 1252 encoding
Public property | NumberOfDreamsOnMainMaps |
Public property | RawResponse | When a response from the server is received this property will contain the raw HTTP string.
 | Status | Pounce HTTP Status
 | TotalFurresOnline | Total on-line Furre count retrieved from an on-line check request
Top
See Also

Reference

PounceConnection Class
Furcadia.Net.Pounce Namespace


PounceConnection.EncoderPage Property

PounceConnectionEncoderPage Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Set the Encoder to Windows 1252 encoding

Namespace: Furcadia.Net.Pounce
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static int EncoderPage { get; }
Public Shared ReadOnly Property EncoderPage As Integer
    Get

Dim value As Integer

value = PounceConnection.EncoderPage

public:
static property int EncoderPage {
    int get ();
}
static member EncoderPage : int with get

Property Value

Type: Int32
See Also

Reference

PounceConnection Class
Furcadia.Net.Pounce Namespace


PounceConnection.NumberOfDreamsOnMainMaps Property

PounceConnectionNumberOfDreamsOnMainMaps Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "P:Furcadia.Net.Pounce.PounceConnection.NumberOfDreamsOnMainMaps"]

Namespace: Furcadia.Net.Pounce
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public int NumberOfDreamsOnMainMaps { get; }
Public ReadOnly Property NumberOfDreamsOnMainMaps As Integer
    Get

Dim instance As PounceConnection
Dim value As Integer

value = instance.NumberOfDreamsOnMainMaps

public:
property int NumberOfDreamsOnMainMaps {
    int get ();
}
member NumberOfDreamsOnMainMaps : int with get

Property Value

Type: Int32
See Also

Reference

PounceConnection Class
Furcadia.Net.Pounce Namespace


PounceConnection.RawResponse Property

PounceConnectionRawResponse Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

When a response from the server is received this property will contain the raw HTTP string.

Namespace: Furcadia.Net.Pounce
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string RawResponse { get; }
Public ReadOnly Property RawResponse As String
    Get

Dim instance As PounceConnection
Dim value As String

value = instance.RawResponse

public:
property String^ RawResponse {
    String^ get ();
}
member RawResponse : string with get

Property Value

Type: String
See Also

Reference

PounceConnection Class
Furcadia.Net.Pounce Namespace


PounceConnection.Status Property

PounceConnectionStatus Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Pounce HTTP Status

Namespace: Furcadia.Net.Pounce
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static int Status { get; }
Public Shared ReadOnly Property Status As Integer
    Get

Dim value As Integer

value = PounceConnection.Status

public:
static property int Status {
    int get ();
}
static member Status : int with get

Property Value

Type: Int32
See Also

Reference

PounceConnection Class
Furcadia.Net.Pounce Namespace


PounceConnection.TotalFurresOnline Property

PounceConnectionTotalFurresOnline Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Total on-line Furre count retrieved from an on-line check request

Namespace: Furcadia.Net.Pounce
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static int TotalFurresOnline { get; }
Public Shared ReadOnly Property TotalFurresOnline As Integer
    Get

Dim value As Integer

value = PounceConnection.TotalFurresOnline

public:
static property int TotalFurresOnline {
    int get ();
}
static member TotalFurresOnline : int with get

Property Value

Type: Int32
See Also

Reference

PounceConnection Class
Furcadia.Net.Pounce Namespace


PounceConnection Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The PounceConnection type exposes the following members.

Methods
 | Name | Description
Public method | AddFriend | Adds a friend to a list of friends. Throws a Exception on non alphanumeric string.
Public method | CheckFriendName | Checks a friend's name to make sure it is a valid alpha numeric (a-z0-9). Furcadia short-name format is lowercase alpha-numeric strings
Public method | CheckFriendNames | Iterates through friend's names to make sure they are valid alpha numeric (a-z0-9).
Public method | ClearFriends | Removes everyone from the friends list.
Public method | Connect | Connects to the on-line check server and sends a on-line check request
Public method | ConnectAsync | Connects asynchronously to the on-line check server and sends a request without affecting the executing thread.
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | RemoveFriend | Removes specified name from the list
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

PounceConnection Class
Furcadia.Net.Pounce Namespace


PounceConnection.AddFriend Method

PounceConnectionAddFriend Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Adds a friend to a list of friends. Throws a Exception on non alphanumeric string.

Namespace: Furcadia.Net.Pounce
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool AddFriend(
    string name
)
Public Function AddFriend (
    name As String
) As Boolean

Dim instance As PounceConnection
Dim name As String
Dim returnValue As Boolean

returnValue = instance.AddFriend(name)
public:
bool AddFriend(
    String^ name
)
member AddFriend :
        name : string -> bool

Parameters

name
Type: SystemString
A String

Return Value

Type: Boolean
A Boolean. True if successfully added friend name. False if name already added.
See Also

Reference

PounceConnection Class
Furcadia.Net.Pounce Namespace


PounceConnection.CheckFriendName Method

PounceConnectionCheckFriendName Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Checks a friend's name to make sure it is a valid alpha numeric (a-z0-9).

Furcadia short-name format is lowercase alpha-numeric strings

Namespace: Furcadia.Net.Pounce
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool CheckFriendName(
    string shortNFriend
)
Public Function CheckFriendName (
    shortNFriend As String
) As Boolean

Dim instance As PounceConnection
Dim shortNFriend As String
Dim returnValue As Boolean

returnValue = instance.CheckFriendName(shortNFriend)
public:
bool CheckFriendName(
    String^ shortNFriend
)
member CheckFriendName :
        shortNFriend : string -> bool

Parameters

shortNFriend
Type: SystemString
Name of Friend.

Return Value

Type: Boolean
True: Friend name is fine. False otherwise.
See Also

Reference

PounceConnection Class
Furcadia.Net.Pounce Namespace


PounceConnection.CheckFriendNames Method

PounceConnectionCheckFriendNames Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Iterates through friend's names to make sure they are valid alpha numeric (a-z0-9).

Namespace: Furcadia.Net.Pounce
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool CheckFriendNames()
Public Function CheckFriendNames As Boolean

Dim instance As PounceConnection
Dim returnValue As Boolean

returnValue = instance.CheckFriendNames()
public:
bool CheckFriendNames()
member CheckFriendNames : unit -> bool

Return Value

Type: Boolean
True: All friends names are fine. False otherwise.
See Also

Reference

PounceConnection Class
Furcadia.Net.Pounce Namespace


PounceConnection.ClearFriends Method

PounceConnectionClearFriends Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Removes everyone from the friends list.

Namespace: Furcadia.Net.Pounce
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public void ClearFriends()
Public Sub ClearFriends

Dim instance As PounceConnection

instance.ClearFriends()
public:
void ClearFriends()
member ClearFriends : unit -> unit
See Also

Reference

PounceConnection Class
Furcadia.Net.Pounce Namespace


PounceConnection.Connect Method

PounceConnectionConnect Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Connects to the on-line check server and sends a on-line check request

Namespace: Furcadia.Net.Pounce
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public void Connect()
Public Sub Connect

Dim instance As PounceConnection

instance.Connect()
public:
void Connect()
member Connect : unit -> unit
See Also

Reference

PounceConnection Class
Furcadia.Net.Pounce Namespace


PounceConnection.ConnectAsync Method

PounceConnectionConnectAsync Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Connects asynchronously to the on-line check server and sends a request without affecting the executing thread.

Namespace: Furcadia.Net.Pounce
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public void ConnectAsync()
Public Sub ConnectAsync

Dim instance As PounceConnection

instance.ConnectAsync()
public:
void ConnectAsync()
member ConnectAsync : unit -> unit
See Also

Reference

PounceConnection Class
Furcadia.Net.Pounce Namespace


PounceConnection.RemoveFriend Method

PounceConnectionRemoveFriend Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Removes specified name from the list

Namespace: Furcadia.Net.Pounce
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool RemoveFriend(
    string name
)
Public Function RemoveFriend (
    name As String
) As Boolean

Dim instance As PounceConnection
Dim name As String
Dim returnValue As Boolean

returnValue = instance.RemoveFriend(name)
public:
bool RemoveFriend(
    String^ name
)
member RemoveFriend :
        name : string -> bool

Parameters

name
Type: SystemString
Furre Name

Return Value

Type: Boolean
True on success
See Also

Reference

PounceConnection Class
Furcadia.Net.Pounce Namespace


PounceConnection Events
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The PounceConnection type exposes the following members.

Events
 | Name | Description
Public event | Response | Called when a on-line check request sends a response. First argument is a list of players on-line.
Top
See Also

Reference

PounceConnection Class
Furcadia.Net.Pounce Namespace


PounceConnection.Response Event

PounceConnectionResponse Event
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Called when a on-line check request sends a response. First argument is a list of players on-line.

Namespace: Furcadia.Net.Pounce
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public event PounceConnectionPounceResponse Response
Public Event Response As PounceConnectionPounceResponse

Dim instance As PounceConnection
Dim handler As PounceConnectionPounceResponse

AddHandler instance.Response, handler

public:
 event PounceConnectionPounceResponse^ Response {
    void add (PounceConnectionPounceResponse^ value);
    void remove (PounceConnectionPounceResponse^ value);
}
member Response : IEvent<PounceConnectionPounceResponse,
    EventArgs>

Value

Type: Furcadia.Net.PouncePounceConnectionPounceResponse
See Also

Reference

PounceConnection Class
Furcadia.Net.Pounce Namespace


PounceConnection.PounceResponse Delegate

PounceConnectionPounceResponse Delegate
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "T:Furcadia.Net.Pounce.PounceConnection.PounceResponse"]

Namespace: Furcadia.Net.Pounce
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public delegate void PounceResponse(
    string[] friends,
    string[] dreams
)
Public Delegate Sub PounceResponse (
    friends As String(),
    dreams As String()
)

Dim instance As New PounceResponse(AddressOf HandlerMethod)
public delegate void PounceResponse(
    array<String^>^ friends,
    array<String^>^ dreams
)
type PounceResponse =
    delegate of
        friends : string[] *
        dreams : string[] -> unit

Parameters

friends
Type: SystemString
Friends list
dreams
Type: SystemString
Dream list.
See Also

Reference

Furcadia.Net.Pounce Namespace


PounceFurre Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Pounce info for Furre online status
Inheritance Hierarchy
SystemObject
Furcadia.Net.PouncePounceFurre

Namespace: Furcadia.Net.Pounce
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public class PounceFurre : IFurre
Public Class PounceFurre
    Implements IFurre

Dim instance As PounceFurre
public ref class PounceFurre : IFurre
type PounceFurre =
    class
        interface IFurre
    end

The PounceFurre type exposes the following members.

Constructors
 | Name | Description
Public method | PounceFurre | Initializes a new instance of the PounceFurre class
Top
Properties
 | Name | Description
Public property | FurreID | Implements the FurreID or unique furre identifyer
Public property | Message | Gets or sets the message.
Public property | Name | Furre Name
Public property | Online | Furre Currently online
Public property | ShortName | implements the Furre;s Name Property
Public property | WasOnline | Furre Previous Online State
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Furcadia.Net.Pounce Namespace


PounceFurre Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the PounceFurre class

Namespace: Furcadia.Net.Pounce
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public PounceFurre()
Public Sub New

Dim instance As New PounceFurre()
public:
PounceFurre()
new : unit -> PounceFurre
See Also

Reference

PounceFurre Class
Furcadia.Net.Pounce Namespace


PounceFurre Properties
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The PounceFurre type exposes the following members.

Properties
 | Name | Description
Public property | FurreID | Implements the FurreID or unique furre identifyer
Public property | Message | Gets or sets the message.
Public property | Name | Furre Name
Public property | Online | Furre Currently online
Public property | ShortName | implements the Furre;s Name Property
Public property | WasOnline | Furre Previous Online State
Top
See Also

Reference

PounceFurre Class
Furcadia.Net.Pounce Namespace


PounceFurre.FurreID Property

PounceFurreFurreID Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Implements the FurreID or unique furre identifyer

Namespace: Furcadia.Net.Pounce
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public Base220 FurreID { get; set; }
Public Property FurreID As Base220
    Get
    Set

Dim instance As PounceFurre
Dim value As Base220

value = instance.FurreID

instance.FurreID = value
public:
virtual property Base220^ FurreID {
    Base220^ get () sealed;
    void set (Base220^ value) sealed;
}
abstract FurreID : Base220 with get, set
override FurreID : Base220 with get, set

Property Value

Type: Base220

Implements

IFurreFurreID
See Also

Reference

PounceFurre Class
Furcadia.Net.Pounce Namespace


PounceFurre.Message Property

PounceFurreMessage Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets or sets the message.

Namespace: Furcadia.Net.Pounce
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string Message { get; set; }
Public Property Message As String
    Get
    Set

Dim instance As PounceFurre
Dim value As String

value = instance.Message

instance.Message = value
public:
virtual property String^ Message {
    String^ get () sealed;
    void set (String^ value) sealed;
}
abstract Message : string with get, set
override Message : string with get, set

Property Value

Type: String
The message.

Implements

IFurreMessage
See Also

Reference

PounceFurre Class
Furcadia.Net.Pounce Namespace


PounceFurre.Name Property

PounceFurreName Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Furre Name

Namespace: Furcadia.Net.Pounce
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string Name { get; set; }
Public Property Name As String
    Get
    Set

Dim instance As PounceFurre
Dim value As String

value = instance.Name

instance.Name = value
public:
virtual property String^ Name {
    String^ get () sealed;
    void set (String^ value) sealed;
}
abstract Name : string with get, set
override Name : string with get, set

Property Value

Type: String

Implements

IFurreName
See Also

Reference

PounceFurre Class
Furcadia.Net.Pounce Namespace


PounceFurre.Online Property

PounceFurreOnline Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Furre Currently online

Namespace: Furcadia.Net.Pounce
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool Online { get; set; }
Public Property Online As Boolean
    Get
    Set

Dim instance As PounceFurre
Dim value As Boolean

value = instance.Online

instance.Online = value
public:
property bool Online {
    bool get ();
    void set (bool value);
}
member Online : bool with get, set

Property Value

Type: Boolean
See Also

Reference

PounceFurre Class
Furcadia.Net.Pounce Namespace


PounceFurre.ShortName Property

PounceFurreShortName Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

implements the Furre;s Name Property

Namespace: Furcadia.Net.Pounce
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string ShortName { get; }
Public ReadOnly Property ShortName As String
    Get

Dim instance As PounceFurre
Dim value As String

value = instance.ShortName

public:
virtual property String^ ShortName {
    String^ get () sealed;
}
abstract ShortName : string with get
override ShortName : string with get

Property Value

Type: String

Implements

IFurreShortName
See Also

Reference

PounceFurre Class
Furcadia.Net.Pounce Namespace


PounceFurre.WasOnline Property

PounceFurreWasOnline Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Furre Previous Online State

Namespace: Furcadia.Net.Pounce
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool WasOnline { get; set; }
Public Property WasOnline As Boolean
    Get
    Set

Dim instance As PounceFurre
Dim value As Boolean

value = instance.WasOnline

instance.WasOnline = value
public:
property bool WasOnline {
    bool get ();
    void set (bool value);
}
member WasOnline : bool with get, set

Property Value

Type: Boolean
See Also

Reference

PounceFurre Class
Furcadia.Net.Pounce Namespace


PounceFurre Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The PounceFurre type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

PounceFurre Class
Furcadia.Net.Pounce Namespace


PounceIni Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "T:Furcadia.Net.Pounce.PounceIni"]

Inheritance Hierarchy
SystemObject
Furcadia.Net.PouncePounceIni

Namespace: Furcadia.Net.Pounce
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public class PounceIni
Public Class PounceIni

Dim instance As PounceIni
public ref class PounceIni
type PounceIni =  class end

The PounceIni type exposes the following members.

Constructors
 | Name | Description
Public method | PounceIni | Initializes a new instance of the PounceIni class
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Furcadia.Net.Pounce Namespace


PounceIni Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the PounceIni class

Namespace: Furcadia.Net.Pounce
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public PounceIni()
Public Sub New

Dim instance As New PounceIni()
public:
PounceIni()
new : unit -> PounceIni
See Also

Reference

PounceIni Class
Furcadia.Net.Pounce Namespace


PounceIni Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The PounceIni type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

PounceIni Class
Furcadia.Net.Pounce Namespace


Furcadia.Net.Proxy Namespace
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Classes
 | Class | Description
Public class | NetProxy | Furcadia base proxy connect between Client and Server. This is a low level class that handles the raw connections and furcadia proxy/firewall settings. We don't have TLS/SSL handling here, so therefore, Furcadia Settings for this are disabled
Public class | ProxySession | This Instance handles the current Furcadia Session. Part1: Manage MonkeySpeak Engine Start,Stop,Restart. System Variables, MonkeySpeak Execution Triggers Part2: Furcadia Proxy Controls, In/Out Ports, Host, Character Ini file. Connect, Disconnect, Reconnect Part2a: Proxy Functions do link to Monkey Speak trigger execution Part3: This Class Links loosely to the GUI
Delegates
 | Delegate | Description
Public delegate | ProxySessionClientStatusChangedEventHandler |
Public delegate | ProxySessionDataEventHandler2 |
Public delegate | ProxySessionDataHandler | Send Data to Furcadia Client or Game Server
Public delegate | ProxySessionErrorEventHandler |
Public delegate | ProxySessionOnErrorEventHandler |
Public delegate | ProxySessionProcessChannel |
Public delegate | ProxySessionProcessInstruction | Send Server to Client Instruction object to Sub-classed for handling.
Public delegate | ProxySessionServerStatusChangedEventHandler |
Public delegate | ProxySessionThroatTiredEnabled | Throat Tired even handler


NetProxy Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Furcadia base proxy connect between Client and Server. This is a low level class that handles the raw connections and furcadia proxy/firewall settings.

We don't have TLS/SSL handling here, so therefore, Furcadia Settings for this are disabled

Inheritance Hierarchy
SystemObject
Furcadia.Net.DirectConnectionClientBase
Furcadia.Net.ProxyNetProxy

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public class NetProxy : ClientBase, IDisposable
Public Class NetProxy
    Inherits ClientBase
    Implements IDisposable

Dim instance As NetProxy
public ref class NetProxy : public ClientBase,
    IDisposable
type NetProxy =
    class
        inherit ClientBase
        interface IDisposable
    end

The NetProxy type exposes the following members.

Constructors
 | Name | Description
Public method | NetProxy | Connect to game server with default settings
Public method | NetProxy(Int32) | Initializes a new instance of the NetProxy class
Public method | NetProxy(ProxyOptions) | Connect to Furcadia with Proxy Options
Public method | NetProxy(Int32, Int32) | Initializes a new instance of the NetProxy class
Public method | NetProxy(String, Int32) | Initializes a new instance of the NetProxy class
Public method | NetProxy(String, Int32, Int32) | Connect to the Game serer by Host name to IP address
Top
Properties
 | Name | Description
Public property | CurrentConnectionAttempt | Gets the current connection attempt. (Inherited from ClientBase.)
Public property | FurcadiaClientIsRunning | Gets a value indicating whether [the Furcadia lient is a running process].
Public property | FurcadiaProcessID | Gets the furcadia process identifier.
Public property | IsClientSocketConnected | Gets a value indicating whether this instance is client socket connected.
Public property | IsServerSocketConnected | Check our connection status to the game server (Inherited from ClientBase.)
Public property | Options | Gets or sets the options.
Top
Methods
 | Name | Description
Public method | CloseFurcadiaClient | Disconnects the furcadia client and Closes the application
Public method | Connect | Connects to the Furcadia Server and starts the mini proxy. (Overrides ClientBaseConnect.)
Public method | Disconnect | Disconnect from the Furcadia game-server and Furcadia client (Inherited from ClientBase.)
Public method | DisconnectClientStream | Disconnect from the Furcadia client
Public method | DisconnectServerAndClientStreams | Disconnect from the Furcadia game-server and Furcadia client
Public method | Dispose | Performs application-defined tasks associated with freeing, releasing, or resetting unmanaged resources. (Overrides ClientBaseDispose.)
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | SendError | send errors to the error handler (Inherited from ClientBase.)
Public method | SendToClient(String) |
Public method | SendToClient(INetMessage) |
Public method | SendToServer(String) | Sends to server. (Inherited from ClientBase.)
Public method | SendToServer(INetMessage) | Sends to server. (Inherited from ClientBase.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Events
 | Name | Description
Protected event | ClientConnected | Occurs when [client connected].
Public event | ClientData2 | This is triggered when the Client sends data to the server. Expects a return value.
Protected event | ClientDisconnected | This is triggered when the Client Disconnects
Protected event | ClientExited | Occurs when the furcadia client exits.
Public event | Error | This is triggered when a handled Exception is thrown. (Inherited from ClientBase.)
Public event | ServerConnected | Occurs when [server connected]. (Overrides ClientBaseServerConnected.)
Public event | ServerData2 | This is triggered when the Server sends data to the client. Doesn't expect a return value. (Inherited from ClientBase.)
Public event | ServerDisconnected | This is triggered when the Server Disconnects (Overrides ClientBaseServerDisconnected.)
Top
Fields
 | Name | Description
Protected field | FurcadiaUtilities | Furcadia Utilities (Inherited from ClientBase.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
Remarks
See Also

Reference

Furcadia.Net.Proxy Namespace


NetProxy Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
 | Name | Description
Public method | NetProxy | Connect to game server with default settings
Public method | NetProxy(Int32) | Initializes a new instance of the NetProxy class
Public method | NetProxy(ProxyOptions) | Connect to Furcadia with Proxy Options
Public method | NetProxy(Int32, Int32) | Initializes a new instance of the NetProxy class
Public method | NetProxy(String, Int32) | Initializes a new instance of the NetProxy class
Public method | NetProxy(String, Int32, Int32) | Connect to the Game serer by Host name to IP address
Top
See Also

Reference

NetProxy Class
Furcadia.Net.Proxy Namespace


NetProxy Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Connect to game server with default settings

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public NetProxy()
Public Sub New

Dim instance As New NetProxy()
public:
NetProxy()
new : unit -> NetProxy
See Also

Reference

NetProxy Class
NetProxy Overload
Furcadia.Net.Proxy Namespace


NetProxy Constructor (Int32)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the NetProxy class

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public NetProxy(
    int LocalPort
)
Public Sub New (
    LocalPort As Integer
)

Dim LocalPort As Integer

Dim instance As New NetProxy(LocalPort)
public:
NetProxy(
    int LocalPort
)
new :
        LocalPort : int -> NetProxy

Parameters

LocalPort
Type: SystemInt32

[Missing <param name="LocalPort"/> documentation for "M:Furcadia.Net.Proxy.NetProxy.#ctor(System.Int32)"]

See Also

Reference

NetProxy Class
NetProxy Overload
Furcadia.Net.Proxy Namespace


NetProxy Constructor (ProxyOptions)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Connect to Furcadia with Proxy Options

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public NetProxy(
    ProxyOptions Options
)
Public Sub New (
    Options As ProxyOptions
)

Dim Options As ProxyOptions

Dim instance As New NetProxy(Options)
public:
NetProxy(
    ProxyOptions^ Options
)
new :
        Options : ProxyOptions -> NetProxy

Parameters

Options
Type: Furcadia.Net.OptionsProxyOptions

[Missing <param name="Options"/> documentation for "M:Furcadia.Net.Proxy.NetProxy.#ctor(Furcadia.Net.Options.ProxyOptions)"]

See Also

Reference

NetProxy Class
NetProxy Overload
Furcadia.Net.Proxy Namespace


NetProxy Constructor (Int32, Int32)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the NetProxy class

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public NetProxy(
    int port,
    int lport
)
Public Sub New (
    port As Integer,
    lport As Integer
)

Dim port As Integer
Dim lport As Integer

Dim instance As New NetProxy(port, lport)
public:
NetProxy(
    int port,
    int lport
)
new :
        port : int *
        lport : int -> NetProxy

Parameters

port
Type: SystemInt32
game-server port
lport
Type: SystemInt32
localhost port
See Also

Reference

NetProxy Class
NetProxy Overload
Furcadia.Net.Proxy Namespace


NetProxy Constructor (String, Int32)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the NetProxy class

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public NetProxy(
    string host,
    int port
)
Public Sub New (
    host As String,
    port As Integer
)

Dim host As String
Dim port As Integer

Dim instance As New NetProxy(host, port)
public:
NetProxy(
    String^ host,
    int port
)
new :
        host : string *
        port : int -> NetProxy

Parameters

host
Type: SystemString
Game server host
port
Type: SystemInt32

[Missing <param name="port"/> documentation for "M:Furcadia.Net.Proxy.NetProxy.#ctor(System.String,System.Int32)"]

See Also

Reference

NetProxy Class
NetProxy Overload
Furcadia.Net.Proxy Namespace


NetProxy Constructor (String, Int32, Int32)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Connect to the Game serer by Host name to IP address

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public NetProxy(
    string host,
    int port,
    int lport
)
Public Sub New (
    host As String,
    port As Integer,
    lport As Integer
)

Dim host As String
Dim port As Integer
Dim lport As Integer

Dim instance As New NetProxy(host, port,
    lport)
public:
NetProxy(
    String^ host,
    int port,
    int lport
)
new :
        host : string *
        port : int *
        lport : int -> NetProxy

Parameters

host
Type: SystemString
GameServer IP address or host-name
port
Type: SystemInt32
Game server port
lport
Type: SystemInt32
Localhost port
See Also

Reference

NetProxy Class
NetProxy Overload
Furcadia.Net.Proxy Namespace


NetProxy Properties
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The NetProxy type exposes the following members.

Properties
 | Name | Description
Public property | CurrentConnectionAttempt | Gets the current connection attempt. (Inherited from ClientBase.)
Public property | FurcadiaClientIsRunning | Gets a value indicating whether [the Furcadia lient is a running process].
Public property | FurcadiaProcessID | Gets the furcadia process identifier.
Public property | IsClientSocketConnected | Gets a value indicating whether this instance is client socket connected.
Public property | IsServerSocketConnected | Check our connection status to the game server (Inherited from ClientBase.)
Public property | Options | Gets or sets the options.
Top
See Also

Reference

NetProxy Class
Furcadia.Net.Proxy Namespace


NetProxy.FurcadiaClientIsRunning Property

NetProxyFurcadiaClientIsRunning Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets a value indicating whether [the Furcadia lient is a running process].

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool FurcadiaClientIsRunning { get; }
Public ReadOnly Property FurcadiaClientIsRunning As Boolean
    Get

Dim instance As NetProxy
Dim value As Boolean

value = instance.FurcadiaClientIsRunning

public:
property bool FurcadiaClientIsRunning {
    bool get ();
}
member FurcadiaClientIsRunning : bool with get

Property Value

Type: Boolean
true if [furcadia client is a running process]; otherwise, false.
See Also

Reference

NetProxy Class
Furcadia.Net.Proxy Namespace


NetProxy.FurcadiaProcessID Property

NetProxyFurcadiaProcessID Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets the furcadia process identifier.

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public int FurcadiaProcessID { get; }
Public ReadOnly Property FurcadiaProcessID As Integer
    Get

Dim instance As NetProxy
Dim value As Integer

value = instance.FurcadiaProcessID

public:
property int FurcadiaProcessID {
    int get ();
}
member FurcadiaProcessID : int with get

Property Value

Type: Int32
The furcadia process identifier.
See Also

Reference

NetProxy Class
Furcadia.Net.Proxy Namespace


NetProxy.IsClientSocketConnected Property

NetProxyIsClientSocketConnected Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets a value indicating whether this instance is client socket connected.

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool IsClientSocketConnected { get; }
Public ReadOnly Property IsClientSocketConnected As Boolean
    Get

Dim instance As NetProxy
Dim value As Boolean

value = instance.IsClientSocketConnected

public:
property bool IsClientSocketConnected {
    bool get ();
}
member IsClientSocketConnected : bool with get

Property Value

Type: Boolean
true if this instance is client socket connected; otherwise, false.
See Also

Reference

NetProxy Class
Furcadia.Net.Proxy Namespace


NetProxy.Options Property

NetProxyOptions Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets or sets the options.

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public ProxyOptions Options { get; set; }
Public Property Options As ProxyOptions
    Get
    Set

Dim instance As NetProxy
Dim value As ProxyOptions

value = instance.Options

instance.Options = value
public:
property ProxyOptions^ Options {
    ProxyOptions^ get ();
    void set (ProxyOptions^ value);
}
member Options : ProxyOptions with get, set

Property Value

Type: ProxyOptions
The options.
See Also

Reference

NetProxy Class
Furcadia.Net.Proxy Namespace


NetProxy Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The NetProxy type exposes the following members.

Methods
 | Name | Description
Public method | CloseFurcadiaClient | Disconnects the furcadia client and Closes the application
Public method | Connect | Connects to the Furcadia Server and starts the mini proxy. (Overrides ClientBaseConnect.)
Public method | Disconnect | Disconnect from the Furcadia game-server and Furcadia client (Inherited from ClientBase.)
Public method | DisconnectClientStream | Disconnect from the Furcadia client
Public method | DisconnectServerAndClientStreams | Disconnect from the Furcadia game-server and Furcadia client
Public method | Dispose | Performs application-defined tasks associated with freeing, releasing, or resetting unmanaged resources. (Overrides ClientBaseDispose.)
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | SendError | send errors to the error handler (Inherited from ClientBase.)
Public method | SendToClient(String) |
Public method | SendToClient(INetMessage) |
Public method | SendToServer(String) | Sends to server. (Inherited from ClientBase.)
Public method | SendToServer(INetMessage) | Sends to server. (Inherited from ClientBase.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

NetProxy Class
Furcadia.Net.Proxy Namespace


NetProxy.CloseFurcadiaClient Method

NetProxyCloseFurcadiaClient Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Disconnects the furcadia client and Closes the application

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public void CloseFurcadiaClient()
Public Sub CloseFurcadiaClient

Dim instance As NetProxy

instance.CloseFurcadiaClient()
public:
void CloseFurcadiaClient()
member CloseFurcadiaClient : unit -> unit
Exceptions
Exception | Condition
InvalidOperationException |
See Also

Reference

NetProxy Class
Furcadia.Net.Proxy Namespace


NetProxy.Connect Method

NetProxyConnect Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Connects to the Furcadia Server and starts the mini proxy.

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public override void Connect()
Public Overrides Sub Connect

Dim instance As NetProxy

instance.Connect()
public:
virtual void Connect() override
abstract Connect : unit -> unit
override Connect : unit -> unit
Exceptions
Exception | Condition
NetProxyException | Could not fine available localhost port or there is a problem with the Proxy server or Process path not found. or Client executable '" + options.FurcadiaProcess + "' not found.
See Also

Reference

NetProxy Class
Furcadia.Net.Proxy Namespace


NetProxy.DisconnectClientStream Method

NetProxyDisconnectClientStream Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Disconnect from the Furcadia client

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public void DisconnectClientStream()
Public Sub DisconnectClientStream

Dim instance As NetProxy

instance.DisconnectClientStream()
public:
void DisconnectClientStream()
member DisconnectClientStream : unit -> unit
See Also

Reference

NetProxy Class
Furcadia.Net.Proxy Namespace


NetProxy.DisconnectServerAndClientStreams Method

NetProxyDisconnectServerAndClientStreams Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Disconnect from the Furcadia game-server and Furcadia client

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public virtual void DisconnectServerAndClientStreams()
Public Overridable Sub DisconnectServerAndClientStreams

Dim instance As NetProxy

instance.DisconnectServerAndClientStreams()
public:
virtual void DisconnectServerAndClientStreams()
abstract DisconnectServerAndClientStreams : unit -> unit
override DisconnectServerAndClientStreams : unit -> unit
See Also

Reference

NetProxy Class
Furcadia.Net.Proxy Namespace


NetProxy.Dispose Method

NetProxyDispose Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Performs application-defined tasks associated with freeing, releasing, or resetting unmanaged resources.

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public override void Dispose()
Public Overrides Sub Dispose

Dim instance As NetProxy

instance.Dispose()
public:
virtual void Dispose() override
abstract Dispose : unit -> unit
override Dispose : unit -> unit

Implements

IDisposableDispose
IDisposableDispose
See Also

Reference

NetProxy Class
Furcadia.Net.Proxy Namespace


NetProxy.SendToClient Method

NetProxySendToClient Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
 | Name | Description
Public method | SendToClient(String) |
Public method | SendToClient(INetMessage) |
Top
See Also

Reference

NetProxy Class
Furcadia.Net.Proxy Namespace


NetProxy.SendToClient Method (String)

NetProxySendToClient Method (String)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "M:Furcadia.Net.Proxy.NetProxy.SendToClient(System.String)"]

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public virtual void SendToClient(
    string message
)
Public Overridable Sub SendToClient (
    message As String
)

Dim instance As NetProxy
Dim message As String

instance.SendToClient(message)
public:
virtual void SendToClient(
    String^ message
)
abstract SendToClient :
        message : string -> unit
override SendToClient :
        message : string -> unit

Parameters

message
Type: SystemString

[Missing <param name="message"/> documentation for "M:Furcadia.Net.Proxy.NetProxy.SendToClient(System.String)"]

See Also

Reference

NetProxy Class
SendToClient Overload
Furcadia.Net.Proxy Namespace


NetProxy.SendToClient Method (INetMessage)

NetProxySendToClient Method (INetMessage)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "M:Furcadia.Net.Proxy.NetProxy.SendToClient(Furcadia.Net.INetMessage)"]

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public virtual void SendToClient(
    INetMessage message
)
Public Overridable Sub SendToClient (
    message As INetMessage
)

Dim instance As NetProxy
Dim message As INetMessage

instance.SendToClient(message)
public:
virtual void SendToClient(
    INetMessage^ message
)
abstract SendToClient :
        message : INetMessage -> unit
override SendToClient :
        message : INetMessage -> unit

Parameters

message
Type: Furcadia.NetINetMessage

[Missing <param name="message"/> documentation for "M:Furcadia.Net.Proxy.NetProxy.SendToClient(Furcadia.Net.INetMessage)"]

See Also

Reference

NetProxy Class
SendToClient Overload
Furcadia.Net.Proxy Namespace


NetProxy Events
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The NetProxy type exposes the following members.

Events
 | Name | Description
Protected event | ClientConnected | Occurs when [client connected].
Public event | ClientData2 | This is triggered when the Client sends data to the server. Expects a return value.
Protected event | ClientDisconnected | This is triggered when the Client Disconnects
Protected event | ClientExited | Occurs when the furcadia client exits.
Public event | Error | This is triggered when a handled Exception is thrown. (Inherited from ClientBase.)
Public event | ServerConnected | Occurs when [server connected]. (Overrides ClientBaseServerConnected.)
Public event | ServerData2 | This is triggered when the Server sends data to the client. Doesn't expect a return value. (Inherited from ClientBase.)
Public event | ServerDisconnected | This is triggered when the Server Disconnects (Overrides ClientBaseServerDisconnected.)
Top
See Also

Reference

NetProxy Class
Furcadia.Net.Proxy Namespace


NetProxy.ClientConnected Event

NetProxyClientConnected Event
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Occurs when [client connected].

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
protected event ClientBaseActionDelegate ClientConnected
Protected Event ClientConnected As ClientBaseActionDelegate

Dim handler As ClientBaseActionDelegate

AddHandler Me.ClientConnected, handler

protected:
 event ClientBaseActionDelegate^ ClientConnected {
    void add (ClientBaseActionDelegate^ value);
    void remove (ClientBaseActionDelegate^ value);
}
member ClientConnected : IEvent<ClientBaseActionDelegate,
    EventArgs>

Value

Type: Furcadia.Net.DirectConnectionClientBaseActionDelegate
See Also

Reference

NetProxy Class
Furcadia.Net.Proxy Namespace


NetProxy.ClientData2 Event

NetProxyClientData2 Event
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

This is triggered when the Client sends data to the server. Expects a return value.

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public virtual event ClientBaseDataEventHandler2 ClientData2
Public Overridable Event ClientData2 As ClientBaseDataEventHandler2

Dim instance As NetProxy
Dim handler As ClientBaseDataEventHandler2

AddHandler instance.ClientData2, handler

public:
virtual  event ClientBaseDataEventHandler2^ ClientData2 {
    void add (ClientBaseDataEventHandler2^ value);
    void remove (ClientBaseDataEventHandler2^ value);
}
abstract ClientData2 : IEvent<ClientBaseDataEventHandler2,
    EventArgs>
override ClientData2 : IEvent<ClientBaseDataEventHandler2,
    EventArgs>

Value

Type: Furcadia.Net.DirectConnectionClientBaseDataEventHandler2
See Also

Reference

NetProxy Class
Furcadia.Net.Proxy Namespace


NetProxy.ClientDisconnected Event

NetProxyClientDisconnected Event
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

This is triggered when the Client Disconnects

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
protected event ClientBaseActionDelegate ClientDisconnected
Protected Event ClientDisconnected As ClientBaseActionDelegate

Dim handler As ClientBaseActionDelegate

AddHandler Me.ClientDisconnected, handler

protected:
 event ClientBaseActionDelegate^ ClientDisconnected {
    void add (ClientBaseActionDelegate^ value);
    void remove (ClientBaseActionDelegate^ value);
}
member ClientDisconnected : IEvent<ClientBaseActionDelegate,
    EventArgs>

Value

Type: Furcadia.Net.DirectConnectionClientBaseActionDelegate
See Also

Reference

NetProxy Class
Furcadia.Net.Proxy Namespace


NetProxy.ClientExited Event

NetProxyClientExited Event
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Occurs when the furcadia client exits.

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
protected event EventHandler ClientExited
Protected Event ClientExited As EventHandler

Dim handler As EventHandler

AddHandler Me.ClientExited, handler

protected:
 event EventHandler^ ClientExited {
    void add (EventHandler^ value);
    void remove (EventHandler^ value);
}
member ClientExited : IEvent<EventHandler,
    EventArgs>

Value

Type: SystemEventHandler
See Also

Reference

NetProxy Class
Furcadia.Net.Proxy Namespace


NetProxy.ServerConnected Event

NetProxyServerConnected Event
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Occurs when [server connected].

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public override event ClientBaseActionDelegate ServerConnected
Public Overrides Event ServerConnected As ClientBaseActionDelegate

Dim instance As NetProxy
Dim handler As ClientBaseActionDelegate

AddHandler instance.ServerConnected, handler

public:
virtual  event ClientBaseActionDelegate^ ServerConnected {
    void add (ClientBaseActionDelegate^ value);
    void remove (ClientBaseActionDelegate^ value);
}
abstract ServerConnected : IEvent<ClientBaseActionDelegate,
    EventArgs>
override ServerConnected : IEvent<ClientBaseActionDelegate,
    EventArgs>

Value

Type: Furcadia.Net.DirectConnectionClientBaseActionDelegate
See Also

Reference

NetProxy Class
Furcadia.Net.Proxy Namespace


NetProxy.ServerDisconnected Event

NetProxyServerDisconnected Event
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

This is triggered when the Server Disconnects

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public override event ClientBaseActionDelegate ServerDisconnected
Public Overrides Event ServerDisconnected As ClientBaseActionDelegate

Dim instance As NetProxy
Dim handler As ClientBaseActionDelegate

AddHandler instance.ServerDisconnected, handler

public:
virtual  event ClientBaseActionDelegate^ ServerDisconnected {
    void add (ClientBaseActionDelegate^ value);
    void remove (ClientBaseActionDelegate^ value);
}
abstract ServerDisconnected : IEvent<ClientBaseActionDelegate,
    EventArgs>
override ServerDisconnected : IEvent<ClientBaseActionDelegate,
    EventArgs>

Value

Type: Furcadia.Net.DirectConnectionClientBaseActionDelegate
See Also

Reference

NetProxy Class
Furcadia.Net.Proxy Namespace


NetProxy Fields
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The NetProxy type exposes the following members.

Fields
 | Name | Description
Protected field | FurcadiaUtilities | Furcadia Utilities (Inherited from ClientBase.)
Top
See Also

Reference

NetProxy Class
Furcadia.Net.Proxy Namespace


ProxySession Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

This Instance handles the current Furcadia Session.

Part1: Manage MonkeySpeak Engine Start,Stop,Restart. System Variables, MonkeySpeak Execution Triggers

Part2: Furcadia Proxy Controls, In/Out Ports, Host, Character Ini file. Connect, Disconnect, Reconnect

Part2a: Proxy Functions do link to Monkey Speak trigger execution

Part3: This Class Links loosely to the GUI

Inheritance Hierarchy
SystemObject
Furcadia.Net.ProxyProxySession

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public class ProxySession : IDisposable
Public Class ProxySession
    Implements IDisposable

Dim instance As ProxySession
public ref class ProxySession : IDisposable
type ProxySession =
    class
        interface IDisposable
    end

The ProxySession type exposes the following members.

Constructors
 | Name | Description
Public method | ProxySession | Initializes a new instance of the ProxySession class
Public method | ProxySession(ProxyOptions) | Initializes a new instance of the ProxySession class
Top
Properties
 | Name | Description
Public property | BanishList | Gets the banish list.
Public property | BanishName | Current Name for Banish Operations We mirror Furcadia's Banish system for efficiency
Public property | ClientConnectPhase | Current Connection Phase
Public property | ClientStatus | Client Connection status
Public property | ConnectedFurre | Connected Furre (Who we are)
Public property | ConnectedFurreId | Gets or sets the connected furre identifier.
Public property | ConnectedFurreName | Gets or sets the name of the connected furre.
Public property | Dream | Current Dream Information with Furre List
Public property | FurcadiaClientIsRunning | Gets a value indicating whether [furcadia client is running].
Public property | Furres | Gets the furres.
Public property | HasShare | We have Dream Share or We are Dream owner
Public property | InDream |
Public property | IsClientSocketConnected | Gets a value indicating whether this instance is client socket connected.
Public property | IsServerSocketConnected | Gets a value indicating whether the Proxy socket is connected to the game server
Public property | Options | Gets or sets the options.
Public property | Player | Current Triggering player
Public property | Proxy | Gets the proxy.
Public property | ServerConnectPhase | Current server connection phase
Public property | ServerStatus | Server Connection status
Public property | StandAlone | Allows the Furcadia Client to Disconnect from the session, allowing the session to remain connected to the game server
Public property | ThroatTired | ServerQueue Throat Tired Mode When set, a Timer is created to make us wait till the time is clear to resume.
Top
Methods
 | Name | Description
Public method | CloseFurcadiaClient | Closes the furcadia client.
Public method | Connect | Connect the Proxy to the Furcadia Game server
Public method | Disconnect | Disconnects this instance.
Public method | Dispose | implementation of Dispose pattern callable by consumers.
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | FormatTextToServer | Text Channel Prefixes (shout,whisper emote, Raw Server command) default to say or "normal spoken command"
Public method | GetEnumIntT |
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | IsConnectedCharacter | Are we the current executing character?
Public method | IsConnectedCharacter(IFurre) | Is the target furre the connected characyer?
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | OnThroatTiredTrigger | Called when [throat tired trigger].
Public method | ParseServerChannel | Parse Channel Data
Public method | ParseServerData | Parse Server Data
Public method | SendError | send errors to the error handler
Public method | SendFormattedTextToServer | Format basic furcadia commands and send to server We also mirror the client to server banish system. This maybe a good place to place Proxy/Bot commands for controls default to say or "normal spoken command"
Public method | SendToClient | Send a raw instruction to the client
Public method | SendToServer | Send a raw instruction to Server through the Load Balancer
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Events
 | Name | Description
Public event | ClientData2 | This is triggered when the Client sends data to the server. Expects a return value.
Public event | ClientDisconnected | This is triggered when the Server Disconnects
Public event | ClientStatusChanged | Track the Furcadia Client status
Public event | Error | This is triggered when a handled Exception is thrown.
Public event | ProcessServerChannelData | Process Display chanObject.ChannelText and Channels
Public event | ProcessServerInstruction |
Public event | ServerConnected | Occurs when [server connected].
Public event | ServerData2 | Occurs when [server data2].
Public event | ServerDisconnected | This is triggered when the Server Disconnects
Public event | ServerStatusChanged | Track the Server Status
Top
Fields
 | Name | Description
Public field | Repq |
Public field | TroatTiredEventHandler | The troat tired event handler
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Furcadia.Net.Proxy Namespace


ProxySession Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
 | Name | Description
Public method | ProxySession | Initializes a new instance of the ProxySession class
Public method | ProxySession(ProxyOptions) | Initializes a new instance of the ProxySession class
Top
See Also

Reference

ProxySession Class
Furcadia.Net.Proxy Namespace


ProxySession Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the ProxySession class

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public ProxySession()
Public Sub New

Dim instance As New ProxySession()
public:
ProxySession()
new : unit -> ProxySession
See Also

Reference

ProxySession Class
ProxySession Overload
Furcadia.Net.Proxy Namespace


ProxySession Constructor (ProxyOptions)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the ProxySession class

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public ProxySession(
    ProxyOptions Options
)
Public Sub New (
    Options As ProxyOptions
)

Dim Options As ProxyOptions

Dim instance As New ProxySession(Options)
public:
ProxySession(
    ProxyOptions^ Options
)
new :
        Options : ProxyOptions -> ProxySession

Parameters

Options
Type: Furcadia.Net.OptionsProxyOptions
ProxySession Options
See Also

Reference

ProxySession Class
ProxySession Overload
Furcadia.Net.Proxy Namespace


ProxySession Properties
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The ProxySession type exposes the following members.

Properties
 | Name | Description
Public property | BanishList | Gets the banish list.
Public property | BanishName | Current Name for Banish Operations We mirror Furcadia's Banish system for efficiency
Public property | ClientConnectPhase | Current Connection Phase
Public property | ClientStatus | Client Connection status
Public property | ConnectedFurre | Connected Furre (Who we are)
Public property | ConnectedFurreId | Gets or sets the connected furre identifier.
Public property | ConnectedFurreName | Gets or sets the name of the connected furre.
Public property | Dream | Current Dream Information with Furre List
Public property | FurcadiaClientIsRunning | Gets a value indicating whether [furcadia client is running].
Public property | Furres | Gets the furres.
Public property | HasShare | We have Dream Share or We are Dream owner
Public property | InDream |
Public property | IsClientSocketConnected | Gets a value indicating whether this instance is client socket connected.
Public property | IsServerSocketConnected | Gets a value indicating whether the Proxy socket is connected to the game server
Public property | Options | Gets or sets the options.
Public property | Player | Current Triggering player
Public property | Proxy | Gets the proxy.
Public property | ServerConnectPhase | Current server connection phase
Public property | ServerStatus | Server Connection status
Public property | StandAlone | Allows the Furcadia Client to Disconnect from the session, allowing the session to remain connected to the game server
Public property | ThroatTired | ServerQueue Throat Tired Mode When set, a Timer is created to make us wait till the time is clear to resume.
Top
See Also

Reference

ProxySession Class
Furcadia.Net.Proxy Namespace


ProxySession.BanishList Property

ProxySessionBanishList Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets the banish list.

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public List<string> BanishList { get; }
Public ReadOnly Property BanishList As List(Of String)
    Get

Dim instance As ProxySession
Dim value As List(Of String)

value = instance.BanishList

public:
property List<String^>^ BanishList {
    List<String^>^ get ();
}
member BanishList : List<string> with get

Property Value

Type: List String
The banish list.
See Also

Reference

ProxySession Class
Furcadia.Net.Proxy Namespace


ProxySession.BanishName Property

ProxySessionBanishName Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Current Name for Banish Operations

We mirror Furcadia's Banish system for efficiency

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string BanishName { get; }
Public ReadOnly Property BanishName As String
    Get

Dim instance As ProxySession
Dim value As String

value = instance.BanishName

public:
property String^ BanishName {
    String^ get ();
}
member BanishName : string with get

Property Value

Type: String
See Also

Reference

ProxySession Class
Furcadia.Net.Proxy Namespace


ProxySession.ClientConnectPhase Property

ProxySessionClientConnectPhase Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Current Connection Phase

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public ConnectionPhase ClientConnectPhase { get; }
Public ReadOnly Property ClientConnectPhase As ConnectionPhase
    Get

Dim instance As ProxySession
Dim value As ConnectionPhase

value = instance.ClientConnectPhase

public:
property ConnectionPhase ClientConnectPhase {
    ConnectionPhase get ();
}
member ClientConnectPhase : ConnectionPhase with get

Property Value

Type: ConnectionPhase
See Also

Reference

ProxySession Class
Furcadia.Net.Proxy Namespace


ProxySession.ClientStatus Property

ProxySessionClientStatus Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Client Connection status

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public ConnectionPhase ClientStatus { get; }
Public ReadOnly Property ClientStatus As ConnectionPhase
    Get

Dim instance As ProxySession
Dim value As ConnectionPhase

value = instance.ClientStatus

public:
property ConnectionPhase ClientStatus {
    ConnectionPhase get ();
}
member ClientStatus : ConnectionPhase with get

Return Value

Type: ConnectionPhase
Status tog the Furcadia Client
See Also

Reference

ProxySession Class
Furcadia.Net.Proxy Namespace


ProxySession.ConnectedFurre Property

ProxySessionConnectedFurre Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Connected Furre (Who we are)

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public Furre ConnectedFurre { get; }
Public ReadOnly Property ConnectedFurre As Furre
    Get

Dim instance As ProxySession
Dim value As Furre

value = instance.ConnectedFurre

public:
property Furre^ ConnectedFurre {
    Furre^ get ();
}
member ConnectedFurre : Furre with get

Property Value

Type: Furre
See Also

Reference

ProxySession Class
Furcadia.Net.Proxy Namespace


ProxySession.ConnectedFurreId Property

ProxySessionConnectedFurreId Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets or sets the connected furre identifier.

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public int ConnectedFurreId { get; set; }
Public Property ConnectedFurreId As Integer
    Get
    Set

Dim instance As ProxySession
Dim value As Integer

value = instance.ConnectedFurreId

instance.ConnectedFurreId = value
public:
property int ConnectedFurreId {
    int get ();
    void set (int value);
}
member ConnectedFurreId : int with get, set

Property Value

Type: Int32
The connected furre identifier.
See Also

Reference

ProxySession Class
Furcadia.Net.Proxy Namespace


ProxySession.ConnectedFurreName Property

ProxySessionConnectedFurreName Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets or sets the name of the connected furre.

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string ConnectedFurreName { get; set; }
Public Property ConnectedFurreName As String
    Get
    Set

Dim instance As ProxySession
Dim value As String

value = instance.ConnectedFurreName

instance.ConnectedFurreName = value
public:
property String^ ConnectedFurreName {
    String^ get ();
    void set (String^ value);
}
member ConnectedFurreName : string with get, set

Property Value

Type: String
The name of the connected furre.
See Also

Reference

ProxySession Class
Furcadia.Net.Proxy Namespace


ProxySession.Dream Property

ProxySessionDream Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Current Dream Information with Furre List

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public Dream Dream { get; }
Public ReadOnly Property Dream As Dream
    Get

Dim instance As ProxySession
Dim value As Dream

value = instance.Dream

public:
property Dream^ Dream {
    Dream^ get ();
}
member Dream : Dream with get

Property Value

Type: Dream
See Also

Reference

ProxySession Class
Furcadia.Net.Proxy Namespace


ProxySession.FurcadiaClientIsRunning Property

ProxySessionFurcadiaClientIsRunning Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets a value indicating whether [furcadia client is running].

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool FurcadiaClientIsRunning { get; }
Public ReadOnly Property FurcadiaClientIsRunning As Boolean
    Get

Dim instance As ProxySession
Dim value As Boolean

value = instance.FurcadiaClientIsRunning

public:
property bool FurcadiaClientIsRunning {
    bool get ();
}
member FurcadiaClientIsRunning : bool with get

Property Value

Type: Boolean
true if [furcadia client is running]; otherwise, false.
See Also

Reference

ProxySession Class
Furcadia.Net.Proxy Namespace


ProxySession.Furres Property

ProxySessionFurres Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets the furres.

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public FurreList Furres { get; }
Public ReadOnly Property Furres As FurreList
    Get

Dim instance As ProxySession
Dim value As FurreList

value = instance.Furres

public:
property FurreList^ Furres {
    FurreList^ get ();
}
member Furres : FurreList with get

Property Value

Type: FurreList
The furres.
See Also

Reference

ProxySession Class
Furcadia.Net.Proxy Namespace


ProxySession.HasShare Property

ProxySessionHasShare Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

We have Dream Share or We are Dream owner

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool HasShare { get; }
Public ReadOnly Property HasShare As Boolean
    Get

Dim instance As ProxySession
Dim value As Boolean

value = instance.HasShare

public:
property bool HasShare {
    bool get ();
}
member HasShare : bool with get

Property Value

Type: Boolean
See Also

Reference

ProxySession Class
Furcadia.Net.Proxy Namespace


ProxySession.InDream Property

ProxySessionInDream Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "P:Furcadia.Net.Proxy.ProxySession.InDream"]

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool InDream { get; }
Public ReadOnly Property InDream As Boolean
    Get

Dim instance As ProxySession
Dim value As Boolean

value = instance.InDream

public:
property bool InDream {
    bool get ();
}
member InDream : bool with get

Property Value

Type: Boolean
See Also

Reference

ProxySession Class
Furcadia.Net.Proxy Namespace


ProxySession.IsClientSocketConnected Property

ProxySessionIsClientSocketConnected Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets a value indicating whether this instance is client socket connected.

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool IsClientSocketConnected { get; }
Public ReadOnly Property IsClientSocketConnected As Boolean
    Get

Dim instance As ProxySession
Dim value As Boolean

value = instance.IsClientSocketConnected

public:
property bool IsClientSocketConnected {
    bool get ();
}
member IsClientSocketConnected : bool with get

Property Value

Type: Boolean
true if this instance is client socket connected; otherwise, false.
See Also

Reference

ProxySession Class
Furcadia.Net.Proxy Namespace


ProxySession.IsServerSocketConnected Property

ProxySessionIsServerSocketConnected Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets a value indicating whether the Proxy socket is connected to the game server

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool IsServerSocketConnected { get; }
Public ReadOnly Property IsServerSocketConnected As Boolean
    Get

Dim instance As ProxySession
Dim value As Boolean

value = instance.IsServerSocketConnected

public:
property bool IsServerSocketConnected {
    bool get ();
}
member IsServerSocketConnected : bool with get

Property Value

Type: Boolean
true if this instance is server socket connected; otherwise, false.
See Also

Reference

ProxySession Class
Furcadia.Net.Proxy Namespace


ProxySession.Options Property

ProxySessionOptions Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets or sets the options.

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public ProxyOptions Options { get; set; }
Public Property Options As ProxyOptions
    Get
    Set

Dim instance As ProxySession
Dim value As ProxyOptions

value = instance.Options

instance.Options = value
public:
property ProxyOptions^ Options {
    ProxyOptions^ get ();
    void set (ProxyOptions^ value);
}
member Options : ProxyOptions with get, set

Property Value

Type: ProxyOptions
The options.
See Also

Reference

ProxySession Class
Furcadia.Net.Proxy Namespace


ProxySession.Player Property

ProxySessionPlayer Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Current Triggering player

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public Furre Player { get; }
Public ReadOnly Property Player As Furre
    Get

Dim instance As ProxySession
Dim value As Furre

value = instance.Player

public:
property Furre^ Player {
    Furre^ get ();
}
member Player : Furre with get

Property Value

Type: Furre
See Also

Reference

ProxySession Class
Furcadia.Net.Proxy Namespace


ProxySession.Proxy Property

ProxySessionProxy Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets the proxy.

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public NetProxy Proxy { get; }
Public ReadOnly Property Proxy As NetProxy
    Get

Dim instance As ProxySession
Dim value As NetProxy

value = instance.Proxy

public:
property NetProxy^ Proxy {
    NetProxy^ get ();
}
member Proxy : NetProxy with get

Property Value

Type: NetProxy
The proxy.
See Also

Reference

ProxySession Class
Furcadia.Net.Proxy Namespace


ProxySession.ServerConnectPhase Property

ProxySessionServerConnectPhase Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Current server connection phase

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public ConnectionPhase ServerConnectPhase { get; }
Public ReadOnly Property ServerConnectPhase As ConnectionPhase
    Get

Dim instance As ProxySession
Dim value As ConnectionPhase

value = instance.ServerConnectPhase

public:
property ConnectionPhase ServerConnectPhase {
    ConnectionPhase get ();
}
member ServerConnectPhase : ConnectionPhase with get

Property Value

Type: ConnectionPhase
See Also

Reference

ProxySession Class
Furcadia.Net.Proxy Namespace


ProxySession.ServerStatus Property

ProxySessionServerStatus Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Server Connection status

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public ConnectionPhase ServerStatus { get; }
Public ReadOnly Property ServerStatus As ConnectionPhase
    Get

Dim instance As ProxySession
Dim value As ConnectionPhase

value = instance.ServerStatus

public:
property ConnectionPhase ServerStatus {
    ConnectionPhase get ();
}
member ServerStatus : ConnectionPhase with get

Return Value

Type: ConnectionPhase
Status of the Furcadia Game server
See Also

Reference

ProxySession Class
Furcadia.Net.Proxy Namespace


ProxySession.StandAlone Property

ProxySessionStandAlone Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Allows the Furcadia Client to Disconnect from the session, allowing the session to remain connected to the game server

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool StandAlone { get; set; }
Public Property StandAlone As Boolean
    Get
    Set

Dim instance As ProxySession
Dim value As Boolean

value = instance.StandAlone

instance.StandAlone = value
public:
property bool StandAlone {
    bool get ();
    void set (bool value);
}
member StandAlone : bool with get, set

Property Value

Type: Boolean
See Also

Reference

ProxySession Class
Furcadia.Net.Proxy Namespace


ProxySession.ThroatTired Property

ProxySessionThroatTired Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

ServerQueue Throat Tired Mode

When set, a Timer is created to make us wait till the time is clear to resume.

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool ThroatTired { get; set; }
Public Property ThroatTired As Boolean
    Get
    Set

Dim instance As ProxySession
Dim value As Boolean

value = instance.ThroatTired

instance.ThroatTired = value
public:
property bool ThroatTired {
    bool get ();
    void set (bool value);
}
member ThroatTired : bool with get, set

Return Value

Type: Boolean
State ThroatTired
See Also

Reference

ProxySession Class
Furcadia.Net.Proxy Namespace


ProxySession Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The ProxySession type exposes the following members.

Methods
 | Name | Description
Public method | CloseFurcadiaClient | Closes the furcadia client.
Public method | Connect | Connect the Proxy to the Furcadia Game server
Public method | Disconnect | Disconnects this instance.
Public method | Dispose | implementation of Dispose pattern callable by consumers.
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | FormatTextToServer | Text Channel Prefixes (shout,whisper emote, Raw Server command) default to say or "normal spoken command"
Public method | GetEnumIntT |
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | IsConnectedCharacter | Are we the current executing character?
Public method | IsConnectedCharacter(IFurre) | Is the target furre the connected characyer?
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | OnThroatTiredTrigger | Called when [throat tired trigger].
Public method | ParseServerChannel | Parse Channel Data
Public method | ParseServerData | Parse Server Data
Public method | SendError | send errors to the error handler
Public method | SendFormattedTextToServer | Format basic furcadia commands and send to server We also mirror the client to server banish system. This maybe a good place to place Proxy/Bot commands for controls default to say or "normal spoken command"
Public method | SendToClient | Send a raw instruction to the client
Public method | SendToServer | Send a raw instruction to Server through the Load Balancer
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

ProxySession Class
Furcadia.Net.Proxy Namespace


ProxySession.CloseFurcadiaClient Method

ProxySessionCloseFurcadiaClient Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Closes the furcadia client.

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public void CloseFurcadiaClient()
Public Sub CloseFurcadiaClient

Dim instance As ProxySession

instance.CloseFurcadiaClient()
public:
void CloseFurcadiaClient()
member CloseFurcadiaClient : unit -> unit
See Also

Reference

ProxySession Class
Furcadia.Net.Proxy Namespace


ProxySession.Connect Method

ProxySessionConnect Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Connect the Proxy to the Furcadia Game server

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public void Connect()
Public Sub Connect

Dim instance As ProxySession

instance.Connect()
public:
void Connect()
member Connect : unit -> unit
See Also

Reference

ProxySession Class
Furcadia.Net.Proxy Namespace


ProxySession.Disconnect Method

ProxySessionDisconnect Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Disconnects this instance.

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public void Disconnect()
Public Sub Disconnect

Dim instance As ProxySession

instance.Disconnect()
public:
void Disconnect()
member Disconnect : unit -> unit
See Also

Reference

ProxySession Class
Furcadia.Net.Proxy Namespace


ProxySession.Dispose Method

ProxySessionDispose Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

implementation of Dispose pattern callable by consumers.

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public void Dispose()
Public Sub Dispose

Dim instance As ProxySession

instance.Dispose()
public:
virtual void Dispose() sealed
abstract Dispose : unit -> unit
override Dispose : unit -> unit

Implements

IDisposableDispose
See Also

Reference

ProxySession Class
Furcadia.Net.Proxy Namespace


ProxySession.FormatTextToServer Method

ProxySessionFormatTextToServer Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Text Channel Prefixes (shout,whisper emote, Raw Server command)

default to say or "normal spoken command"

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public void FormatTextToServer(
    ref string data
)
Public Sub FormatTextToServer (
    ByRef data As String
)

Dim instance As ProxySession
Dim data As String

instance.FormatTextToServer(data)
public:
void FormatTextToServer(
    String^% data
)
member FormatTextToServer :
        data : string byref -> unit

Parameters

data
Type: SystemString

[Missing <param name="data"/> documentation for "M:Furcadia.Net.Proxy.ProxySession.FormatTextToServer(System.String@)"]

See Also

Reference

ProxySession Class
Furcadia.Net.Proxy Namespace


ProxySession.GetEnumInt(T) Method

ProxySessionGetEnumIntT Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "M:Furcadia.Net.Proxy.ProxySession.GetEnumInt``1(``0)"]

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public int GetEnumInt<T>(
    T enumVal
)

Public Function GetEnumInt(Of T) (
    enumVal As T
) As Integer

Dim instance As ProxySession
Dim enumVal As T
Dim returnValue As Integer

returnValue = instance.GetEnumInt(enumVal)
public:
generic<typename T>
int GetEnumInt(
    T enumVal
)
member GetEnumInt :
        enumVal : 'T -> int

Parameters

enumVal
Type: T

[Missing <param name="enumVal"/> documentation for "M:Furcadia.Net.Proxy.ProxySession.GetEnumInt``1(``0)"]

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:Furcadia.Net.Proxy.ProxySession.GetEnumInt``1(``0)"]

Return Value

Type: Int32

[Missing <returns> documentation for "M:Furcadia.Net.Proxy.ProxySession.GetEnumInt``1(``0)"]

See Also

Reference

ProxySession Class
Furcadia.Net.Proxy Namespace


ProxySession.IsConnectedCharacter Method

ProxySessionIsConnectedCharacter Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
 | Name | Description
Public method | IsConnectedCharacter | Are we the current executing character?
Public method | IsConnectedCharacter(IFurre) | Is the target furre the connected characyer?
Top
See Also

Reference

ProxySession Class
Furcadia.Net.Proxy Namespace


ProxySession.IsConnectedCharacter Method

ProxySessionIsConnectedCharacter Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Are we the current executing character?

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool IsConnectedCharacter()
Public Function IsConnectedCharacter As Boolean

Dim instance As ProxySession
Dim returnValue As Boolean

returnValue = instance.IsConnectedCharacter()
public:
bool IsConnectedCharacter()
member IsConnectedCharacter : unit -> bool

Return Value

Type: Boolean

[Missing <returns> documentation for "M:Furcadia.Net.Proxy.ProxySession.IsConnectedCharacter"]

See Also

Reference

ProxySession Class
IsConnectedCharacter Overload
Furcadia.Net.Proxy Namespace


ProxySession.IsConnectedCharacter Method (IFurre)

ProxySessionIsConnectedCharacter Method (IFurre)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Is the target furre the connected characyer?

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool IsConnectedCharacter(
    IFurre Fur
)
Public Function IsConnectedCharacter (
    Fur As IFurre
) As Boolean

Dim instance As ProxySession
Dim Fur As IFurre
Dim returnValue As Boolean

returnValue = instance.IsConnectedCharacter(Fur)
public:
bool IsConnectedCharacter(
    IFurre^ Fur
)
member IsConnectedCharacter :
        Fur : IFurre -> bool

Parameters

Fur
Type: Furcadia.Net.DreamInfoIFurre
Furre

Return Value

Type: Boolean
True if Fur is the Connected Furre
See Also

Reference

ProxySession Class
IsConnectedCharacter Overload
Furcadia.Net.Proxy Namespace


ProxySession.OnThroatTiredTrigger Method

ProxySessionOnThroatTiredTrigger Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Called when [throat tired trigger].

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public void OnThroatTiredTrigger(
    bool stat
)
Public Sub OnThroatTiredTrigger (
    stat As Boolean
)

Dim instance As ProxySession
Dim stat As Boolean

instance.OnThroatTiredTrigger(stat)
public:
void OnThroatTiredTrigger(
    bool stat
)
member OnThroatTiredTrigger :
        stat : bool -> unit

Parameters

stat
Type: SystemBoolean
if set to true [stat].
See Also

Reference

ProxySession Class
Furcadia.Net.Proxy Namespace


ProxySession.ParseServerChannel Method

ProxySessionParseServerChannel Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Parse Channel Data

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public void ParseServerChannel(
    string data,
    bool Handled
)
Public Sub ParseServerChannel (
    data As String,
    Handled As Boolean
)

Dim instance As ProxySession
Dim data As String
Dim Handled As Boolean

instance.ParseServerChannel(data, Handled)
public:
void ParseServerChannel(
    String^ data,
    bool Handled
)
member ParseServerChannel :
        data : string *
        Handled : bool -> unit

Parameters

data
Type: SystemString
Raw Game Server to Client instruction
Handled
Type: SystemBoolean
Is this data already handled?
Remarks
This is derived content from the Furcadia Dev Docs and Furcadia Technical Resources

Update 23 Avatar Movement http://dev.furcadia.com/docs/023_new_movement.pdf

Update 27 Movement http://dev.furcadia.com/docs/027_movement.html

FTR http://ftr.icerealm.org/ref-instructions/

See Also

Reference

ProxySession Class
Furcadia.Net.Proxy Namespace


ProxySession.ParseServerData Method

ProxySessionParseServerData Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Parse Server Data

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public void ParseServerData(
    string data,
    ref bool Handled
)
Public Sub ParseServerData (
    data As String,
    ByRef Handled As Boolean
)

Dim instance As ProxySession
Dim data As String
Dim Handled As Boolean

instance.ParseServerData(data, Handled)
public:
void ParseServerData(
    String^ data,
    bool% Handled
)
member ParseServerData :
        data : string *
        Handled : bool byref -> unit

Parameters

data
Type: SystemString

[Missing <param name="data"/> documentation for "M:Furcadia.Net.Proxy.ProxySession.ParseServerData(System.String,System.Boolean@)"]

Handled
Type: SystemBoolean

[Missing <param name="Handled"/> documentation for "M:Furcadia.Net.Proxy.ProxySession.ParseServerData(System.String,System.Boolean@)"]

Remarks
This is derived content from the Furcadia Dev Docs and Furcadia Technical Resources

Update 23 Avatar Movement http://dev.furcadia.com/docs/023_new_movement.pdf

Update 27 Movement http://dev.furcadia.com/docs/027_movement.html

FTR http://ftr.icerealm.org/ref-instructions/

See Also

Reference

ProxySession Class
Furcadia.Net.Proxy Namespace


ProxySession.SendError Method

ProxySessionSendError Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

send errors to the error handler

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public virtual void SendError(
    Exception e,
    Object o
)
Public Overridable Sub SendError (
    e As Exception,
    o As Object
)

Dim instance As ProxySession
Dim e As Exception
Dim o As Object

instance.SendError(e, o)
public:
virtual void SendError(
    Exception^ e,
    Object^ o
)
abstract SendError :
        e : Exception *
        o : Object -> unit
override SendError :
        e : Exception *
        o : Object -> unit

Parameters

e
Type: SystemException

[Missing <param name="e"/> documentation for "M:Furcadia.Net.Proxy.ProxySession.SendError(System.Exception,System.Object)"]

o
Type: SystemObject

[Missing <param name="o"/> documentation for "M:Furcadia.Net.Proxy.ProxySession.SendError(System.Exception,System.Object)"]

See Also

Reference

ProxySession Class
Furcadia.Net.Proxy Namespace


ProxySession.SendFormattedTextToServer Method

ProxySessionSendFormattedTextToServer Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Format basic furcadia commands and send to server

We also mirror the client to server banish system.

This maybe a good place to place Proxy/Bot commands for controls

default to say or "normal spoken command"

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public virtual void SendFormattedTextToServer(
    string data
)
Public Overridable Sub SendFormattedTextToServer (
    data As String
)

Dim instance As ProxySession
Dim data As String

instance.SendFormattedTextToServer(data)
public:
virtual void SendFormattedTextToServer(
    String^ data
)
abstract SendFormattedTextToServer :
        data : string -> unit
override SendFormattedTextToServer :
        data : string -> unit

Parameters

data
Type: SystemString
Raw Client to Server instruction
See Also

Reference

ProxySession Class
Furcadia.Net.Proxy Namespace


ProxySession.SendToClient Method

ProxySessionSendToClient Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Send a raw instruction to the client

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public void SendToClient(
    string data
)
Public Sub SendToClient (
    data As String
)

Dim instance As ProxySession
Dim data As String

instance.SendToClient(data)
public:
void SendToClient(
    String^ data
)
member SendToClient :
        data : string -> unit

Parameters

data
Type: SystemString

[Missing <param name="data"/> documentation for "M:Furcadia.Net.Proxy.ProxySession.SendToClient(System.String)"]

See Also

Reference

ProxySession Class
Furcadia.Net.Proxy Namespace


ProxySession.SendToServer Method

ProxySessionSendToServer Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Send a raw instruction to Server through the Load Balancer

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public void SendToServer(
    string message
)
Public Sub SendToServer (
    message As String
)

Dim instance As ProxySession
Dim message As String

instance.SendToServer(message)
public:
void SendToServer(
    String^ message
)
member SendToServer :
        message : string -> unit

Parameters

message
Type: SystemString
Client to server Instruction
See Also

Reference

ProxySession Class
Furcadia.Net.Proxy Namespace


ProxySession Events
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The ProxySession type exposes the following members.

Events
 | Name | Description
Public event | ClientData2 | This is triggered when the Client sends data to the server. Expects a return value.
Public event | ClientDisconnected | This is triggered when the Server Disconnects
Public event | ClientStatusChanged | Track the Furcadia Client status
Public event | Error | This is triggered when a handled Exception is thrown.
Public event | ProcessServerChannelData | Process Display chanObject.ChannelText and Channels
Public event | ProcessServerInstruction |
Public event | ServerConnected | Occurs when [server connected].
Public event | ServerData2 | Occurs when [server data2].
Public event | ServerDisconnected | This is triggered when the Server Disconnects
Public event | ServerStatusChanged | Track the Server Status
Top
See Also

Reference

ProxySession Class
Furcadia.Net.Proxy Namespace


ProxySession.ClientData2 Event

ProxySessionClientData2 Event
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

This is triggered when the Client sends data to the server. Expects a return value.

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public event ProxySessionDataEventHandler2 ClientData2
Public Event ClientData2 As ProxySessionDataEventHandler2

Dim instance As ProxySession
Dim handler As ProxySessionDataEventHandler2

AddHandler instance.ClientData2, handler

public:
 event ProxySessionDataEventHandler2^ ClientData2 {
    void add (ProxySessionDataEventHandler2^ value);
    void remove (ProxySessionDataEventHandler2^ value);
}
member ClientData2 : IEvent<ProxySessionDataEventHandler2,
    EventArgs>

Value

Type: Furcadia.Net.ProxyProxySessionDataEventHandler2
See Also

Reference

ProxySession Class
Furcadia.Net.Proxy Namespace


ProxySession.ClientDisconnected Event

ProxySessionClientDisconnected Event
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

This is triggered when the Server Disconnects

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public event ClientBaseActionDelegate ClientDisconnected
Public Event ClientDisconnected As ClientBaseActionDelegate

Dim instance As ProxySession
Dim handler As ClientBaseActionDelegate

AddHandler instance.ClientDisconnected, handler

public:
 event ClientBaseActionDelegate^ ClientDisconnected {
    void add (ClientBaseActionDelegate^ value);
    void remove (ClientBaseActionDelegate^ value);
}
member ClientDisconnected : IEvent<ClientBaseActionDelegate,
    EventArgs>

Value

Type: Furcadia.Net.DirectConnectionClientBaseActionDelegate
See Also

Reference

ProxySession Class
Furcadia.Net.Proxy Namespace


ProxySession.ClientStatusChanged Event

ProxySessionClientStatusChanged Event
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Track the Furcadia Client status

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public event ProxySessionClientStatusChangedEventHandler ClientStatusChanged
Public Event ClientStatusChanged As ProxySessionClientStatusChangedEventHandler

Dim instance As ProxySession
Dim handler As ProxySessionClientStatusChangedEventHandler

AddHandler instance.ClientStatusChanged, handler

public:
 event ProxySessionClientStatusChangedEventHandler^ ClientStatusChanged {
    void add (ProxySessionClientStatusChangedEventHandler^ value);
    void remove (ProxySessionClientStatusChangedEventHandler^ value);
}
member ClientStatusChanged : IEvent<ProxySessionClientStatusChangedEventHandler,
    NetClientEventArgs>

Value

Type: Furcadia.Net.ProxyProxySessionClientStatusChangedEventHandler
See Also

Reference

ProxySession Class
Furcadia.Net.Proxy Namespace


ProxySession.Error Event

ProxySessionError Event
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

This is triggered when a handled Exception is thrown.

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public event ProxySessionErrorEventHandler Error
Public Event Error As ProxySessionErrorEventHandler

Dim instance As ProxySession
Dim handler As ProxySessionErrorEventHandler

AddHandler instance.Error, handler

public:
 event ProxySessionErrorEventHandler^ Error {
    void add (ProxySessionErrorEventHandler^ value);
    void remove (ProxySessionErrorEventHandler^ value);
}
member Error : IEvent<ProxySessionErrorEventHandler,
    EventArgs>

Value

Type: Furcadia.Net.ProxyProxySessionErrorEventHandler
See Also

Reference

ProxySession Class
Furcadia.Net.Proxy Namespace


ProxySession.ProcessServerChannelData Event

ProxySessionProcessServerChannelData Event
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Process Display chanObject.ChannelText and Channels

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public event ProxySessionProcessChannel ProcessServerChannelData
Public Event ProcessServerChannelData As ProxySessionProcessChannel

Dim instance As ProxySession
Dim handler As ProxySessionProcessChannel

AddHandler instance.ProcessServerChannelData, handler

public:
 event ProxySessionProcessChannel^ ProcessServerChannelData {
    void add (ProxySessionProcessChannel^ value);
    void remove (ProxySessionProcessChannel^ value);
}
member ProcessServerChannelData : IEvent<ProxySessionProcessChannel,
    ParseChannelArgs>

Value

Type: Furcadia.Net.ProxyProxySessionProcessChannel
See Also

Reference

ProxySession Class
Furcadia.Net.Proxy Namespace


ProxySession.ProcessServerInstruction Event

ProxySessionProcessServerInstruction Event
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "E:Furcadia.Net.Proxy.ProxySession.ProcessServerInstruction"]

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public event ProxySessionProcessInstruction ProcessServerInstruction
Public Event ProcessServerInstruction As ProxySessionProcessInstruction

Dim instance As ProxySession
Dim handler As ProxySessionProcessInstruction

AddHandler instance.ProcessServerInstruction, handler

public:
 event ProxySessionProcessInstruction^ ProcessServerInstruction {
    void add (ProxySessionProcessInstruction^ value);
    void remove (ProxySessionProcessInstruction^ value);
}
member ProcessServerInstruction : IEvent<ProxySessionProcessInstruction,
    ParseServerArgs>

Value

Type: Furcadia.Net.ProxyProxySessionProcessInstruction
See Also

Reference

ProxySession Class
Furcadia.Net.Proxy Namespace


ProxySession.ServerConnected Event

ProxySessionServerConnected Event
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Occurs when [server connected].

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public event ClientBaseActionDelegate ServerConnected
Public Event ServerConnected As ClientBaseActionDelegate

Dim instance As ProxySession
Dim handler As ClientBaseActionDelegate

AddHandler instance.ServerConnected, handler

public:
 event ClientBaseActionDelegate^ ServerConnected {
    void add (ClientBaseActionDelegate^ value);
    void remove (ClientBaseActionDelegate^ value);
}
member ServerConnected : IEvent<ClientBaseActionDelegate,
    EventArgs>

Value

Type: Furcadia.Net.DirectConnectionClientBaseActionDelegate
See Also

Reference

ProxySession Class
Furcadia.Net.Proxy Namespace


ProxySession.ServerData2 Event

ProxySessionServerData2 Event
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Occurs when [server data2].

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public event ProxySessionDataEventHandler2 ServerData2
Public Event ServerData2 As ProxySessionDataEventHandler2

Dim instance As ProxySession
Dim handler As ProxySessionDataEventHandler2

AddHandler instance.ServerData2, handler

public:
 event ProxySessionDataEventHandler2^ ServerData2 {
    void add (ProxySessionDataEventHandler2^ value);
    void remove (ProxySessionDataEventHandler2^ value);
}
member ServerData2 : IEvent<ProxySessionDataEventHandler2,
    EventArgs>

Value

Type: Furcadia.Net.ProxyProxySessionDataEventHandler2
See Also

Reference

ProxySession Class
Furcadia.Net.Proxy Namespace


ProxySession.ServerDisconnected Event

ProxySessionServerDisconnected Event
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

This is triggered when the Server Disconnects

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public event ClientBaseActionDelegate ServerDisconnected
Public Event ServerDisconnected As ClientBaseActionDelegate

Dim instance As ProxySession
Dim handler As ClientBaseActionDelegate

AddHandler instance.ServerDisconnected, handler

public:
 event ClientBaseActionDelegate^ ServerDisconnected {
    void add (ClientBaseActionDelegate^ value);
    void remove (ClientBaseActionDelegate^ value);
}
member ServerDisconnected : IEvent<ClientBaseActionDelegate,
    EventArgs>

Value

Type: Furcadia.Net.DirectConnectionClientBaseActionDelegate
See Also

Reference

ProxySession Class
Furcadia.Net.Proxy Namespace


ProxySession.ServerStatusChanged Event

ProxySessionServerStatusChanged Event
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Track the Server Status

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public event ProxySessionServerStatusChangedEventHandler ServerStatusChanged
Public Event ServerStatusChanged As ProxySessionServerStatusChangedEventHandler

Dim instance As ProxySession
Dim handler As ProxySessionServerStatusChangedEventHandler

AddHandler instance.ServerStatusChanged, handler

public:
 event ProxySessionServerStatusChangedEventHandler^ ServerStatusChanged {
    void add (ProxySessionServerStatusChangedEventHandler^ value);
    void remove (ProxySessionServerStatusChangedEventHandler^ value);
}
member ServerStatusChanged : IEvent<ProxySessionServerStatusChangedEventHandler,
    NetServerEventArgs>

Value

Type: Furcadia.Net.ProxyProxySessionServerStatusChangedEventHandler
See Also

Reference

ProxySession Class
Furcadia.Net.Proxy Namespace


ProxySession Fields
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The ProxySession type exposes the following members.

Fields
 | Name | Description
Public field | Repq |
Public field | TroatTiredEventHandler | The troat tired event handler
Top
See Also

Reference

ProxySession Class
Furcadia.Net.Proxy Namespace


ProxySession.Repq Field

ProxySessionRepq Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "F:Furcadia.Net.Proxy.ProxySession.Repq"]

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public Queue<Rep> Repq
Public Repq As Queue(Of Rep)

Dim instance As ProxySession
Dim value As Queue(Of Rep)

value = instance.Repq

instance.Repq = value
public:
Queue<Rep>^ Repq
val mutable Repq: Queue<Rep>

Field Value

Type: Queue Rep
See Also

Reference

ProxySession Class
Furcadia.Net.Proxy Namespace


ProxySession.TroatTiredEventHandler Field

ProxySessionTroatTiredEventHandler Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The troat tired event handler

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public ProxySessionThroatTiredEnabled TroatTiredEventHandler
Public TroatTiredEventHandler As ProxySessionThroatTiredEnabled

Dim instance As ProxySession
Dim value As ProxySessionThroatTiredEnabled

value = instance.TroatTiredEventHandler

instance.TroatTiredEventHandler = value
public:
ProxySessionThroatTiredEnabled^ TroatTiredEventHandler
val mutable TroatTiredEventHandler: ProxySessionThroatTiredEnabled

Field Value

Type: ProxySessionThroatTiredEnabled
See Also

Reference

ProxySession Class
Furcadia.Net.Proxy Namespace


ProxySession.ClientStatusChangedEventHandler Delegate

ProxySessionClientStatusChangedEventHandler Delegate
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "T:Furcadia.Net.Proxy.ProxySession.ClientStatusChangedEventHandler"]

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public delegate void ClientStatusChangedEventHandler(
    Object Sender,
    NetClientEventArgs e
)
Public Delegate Sub ClientStatusChangedEventHandler (
    Sender As Object,
    e As NetClientEventArgs
)

Dim instance As New ClientStatusChangedEventHandler(AddressOf HandlerMethod)
public delegate void ClientStatusChangedEventHandler(
    Object^ Sender,
    NetClientEventArgs^ e
)
type ClientStatusChangedEventHandler =
    delegate of
        Sender : Object *
        e : NetClientEventArgs -> unit

Parameters

Sender
Type: SystemObject
e
Type: Furcadia.NetNetClientEventArgs
See Also

Reference

Furcadia.Net.Proxy Namespace


ProxySession.DataEventHandler2 Delegate

ProxySessionDataEventHandler2 Delegate
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "T:Furcadia.Net.Proxy.ProxySession.DataEventHandler2"]

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public delegate void DataEventHandler2(
    string data
)
Public Delegate Sub DataEventHandler2 (
    data As String
)

Dim instance As New DataEventHandler2(AddressOf HandlerMethod)
public delegate void DataEventHandler2(
    String^ data
)
type DataEventHandler2 =
    delegate of
        data : string -> unit

Parameters

data
Type: SystemString
See Also

Reference

Furcadia.Net.Proxy Namespace


ProxySession.DataHandler Delegate

ProxySessionDataHandler Delegate
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Send Data to Furcadia Client or Game Server

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public delegate void DataHandler(
    string Message,
    EventArgs e
)
Public Delegate Sub DataHandler (
    Message As String,
    e As EventArgs
)

Dim instance As New DataHandler(AddressOf HandlerMethod)
public delegate void DataHandler(
    String^ Message,
    EventArgs^ e
)
type DataHandler =
    delegate of
        Message : string *
        e : EventArgs -> unit

Parameters

Message
Type: SystemString
Raw instruction to send
e
Type: SystemEventArgs
Client or Server Event Arguments with Instruction type
See Also

Reference

Furcadia.Net.Proxy Namespace


ProxySession.ErrorEventHandler Delegate

ProxySessionErrorEventHandler Delegate
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "T:Furcadia.Net.Proxy.ProxySession.ErrorEventHandler"]

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public delegate void ErrorEventHandler(
    Exception e,
    Object o
)
Public Delegate Sub ErrorEventHandler (
    e As Exception,
    o As Object
)

Dim instance As New ErrorEventHandler(AddressOf HandlerMethod)
public delegate void ErrorEventHandler(
    Exception^ e,
    Object^ o
)
type ErrorEventHandler =
    delegate of
        e : Exception *
        o : Object -> unit

Parameters

e
Type: SystemException
The e.
o
Type: SystemObject
The o.
See Also

Reference

Furcadia.Net.Proxy Namespace


ProxySession.OnErrorEventHandler Delegate

ProxySessionOnErrorEventHandler Delegate
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "T:Furcadia.Net.Proxy.ProxySession.OnErrorEventHandler"]

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public delegate void OnErrorEventHandler(
    Object sender,
    EventArgs e
)
Public Delegate Sub OnErrorEventHandler (
    sender As Object,
    e As EventArgs
)

Dim instance As New OnErrorEventHandler(AddressOf HandlerMethod)
public delegate void OnErrorEventHandler(
    Object^ sender,
    EventArgs^ e
)
type OnErrorEventHandler =
    delegate of
        sender : Object *
        e : EventArgs -> unit

Parameters

sender
Type: SystemObject
e
Type: SystemEventArgs
See Also

Reference

Furcadia.Net.Proxy Namespace


ProxySession.ProcessChannel Delegate

ProxySessionProcessChannel Delegate
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "T:Furcadia.Net.Proxy.ProxySession.ProcessChannel"]

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public delegate void ProcessChannel(
    Object sender,
    ParseChannelArgs Args
)
Public Delegate Sub ProcessChannel (
    sender As Object,
    Args As ParseChannelArgs
)

Dim instance As New ProcessChannel(AddressOf HandlerMethod)
public delegate void ProcessChannel(
    Object^ sender,
    ParseChannelArgs^ Args
)
type ProcessChannel =
    delegate of
        sender : Object *
        Args : ParseChannelArgs -> unit

Parameters

sender
Type: SystemObject
ChannelObject
Args
Type: Furcadia.NetParseChannelArgs
See Also

Reference

Furcadia.Net.Proxy Namespace


ProxySession.ProcessInstruction Delegate

ProxySessionProcessInstruction Delegate
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Send Server to Client Instruction object to Sub-classed for handling.

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public delegate void ProcessInstruction(
    Object sender,
    ParseServerArgs Args
)
Public Delegate Sub ProcessInstruction (
    sender As Object,
    Args As ParseServerArgs
)

Dim instance As New ProcessInstruction(AddressOf HandlerMethod)
public delegate void ProcessInstruction(
    Object^ sender,
    ParseServerArgs^ Args
)
type ProcessInstruction =
    delegate of
        sender : Object *
        Args : ParseServerArgs -> unit

Parameters

sender
Type: SystemObject
Server Instruction Object
Args
Type: Furcadia.NetParseServerArgs
See Also

Reference

Furcadia.Net.Proxy Namespace


ProxySession.ServerStatusChangedEventHandler Delegate

ProxySessionServerStatusChangedEventHandler Delegate
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "T:Furcadia.Net.Proxy.ProxySession.ServerStatusChangedEventHandler"]

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public delegate void ServerStatusChangedEventHandler(
    Object Sender,
    NetServerEventArgs e
)
Public Delegate Sub ServerStatusChangedEventHandler (
    Sender As Object,
    e As NetServerEventArgs
)

Dim instance As New ServerStatusChangedEventHandler(AddressOf HandlerMethod)
public delegate void ServerStatusChangedEventHandler(
    Object^ Sender,
    NetServerEventArgs^ e
)
type ServerStatusChangedEventHandler =
    delegate of
        Sender : Object *
        e : NetServerEventArgs -> unit

Parameters

Sender
Type: SystemObject
e
Type: Furcadia.NetNetServerEventArgs
See Also

Reference

Furcadia.Net.Proxy Namespace


ProxySession.ThroatTiredEnabled Delegate

ProxySessionThroatTiredEnabled Delegate
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Throat Tired even handler

Namespace: Furcadia.Net.Proxy
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public delegate void ThroatTiredEnabled(
    bool enable
)
Public Delegate Sub ThroatTiredEnabled (
    enable As Boolean
)

Dim instance As New ThroatTiredEnabled(AddressOf HandlerMethod)
public delegate void ThroatTiredEnabled(
    bool enable
)
type ThroatTiredEnabled =
    delegate of
        enable : bool -> unit

Parameters

enable
Type: SystemBoolean
if set to true [enable].
See Also

Reference

Furcadia.Net.Proxy Namespace


Furcadia.Net.Utils Namespaces
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Namespaces
Namespace | Description
Furcadia.Net.Utils |
Furcadia.Net.Utils.ChannelObjects |
Furcadia.Net.Utils.ServerObjects |
Furcadia.Net.Utils.ServerParser |


Furcadia.Net.Utils Namespace
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Classes
 | Class | Description
Public class | ServerQue | Balance the load to the server Handles Throat-Tired and No Endurance
Public class | Utilities | Generic Furcadia Network Utilities
Delegates
 | Delegate | Description
Public delegate | ServerQueSendServerEventHandler | Event Handler to notify calling class data has been sent to the game server
Public delegate | ServerQueThroatTiredEnabled | Throat Tired even handler


ServerQue Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Balance the load to the server

Handles Throat-Tired and No Endurance

Inheritance Hierarchy
SystemObject
Furcadia.Net.UtilsServerQue

Namespace: Furcadia.Net.Utils
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public class ServerQue : IDisposable
Public Class ServerQue
    Implements IDisposable

Dim instance As ServerQue
public ref class ServerQue : IDisposable
type ServerQue =
    class
        interface IDisposable
    end

The ServerQue type exposes the following members.

Constructors
 | Name | Description
Public method | ServerQue | Constructor setting Defaults
Public method | ServerQue(Int32, UInt32) | Initializes a new instance of the ServerQue class.
Top
Properties
 | Name | Description
Public property | NoEndurance | Is the connect `noendurance enabled?
Public property | PingDelayTime | Ping the server Time in Seconds
Public property | ThroatTired | If Proxy get "Your throat is tired" Pause for a number of seconds When set, a Timer is created to make us wait till the time is clear to resume.
Public property | ThroatTiredDelayTime | When "Your throat is tired appears, Pause processing of client to server instructions,
Top
Methods
 | Name | Description
Public method | Dispose | This code added to correctly implement the disposable pattern.
Public method | Dispose(Boolean) | Releases the unmanaged resources used by the ServerQue and optionally releases the managed resources
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | SendToServer | Incoming Messages for server processing
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Fields
 | Name | Description
Public field | OnServerSendMessage | Notify subscribers were's sending an instruction to the games server
Public field | TroatTiredEventHandler | The troat tired event handler
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Furcadia.Net.Utils Namespace


ServerQue Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
 | Name | Description
Public method | ServerQue | Constructor setting Defaults
Public method | ServerQue(Int32, UInt32) | Initializes a new instance of the ServerQue class.
Top
See Also

Reference

ServerQue Class
Furcadia.Net.Utils Namespace


ServerQue Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Constructor setting Defaults

Namespace: Furcadia.Net.Utils
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public ServerQue()
Public Sub New

Dim instance As New ServerQue()
public:
ServerQue()
new : unit -> ServerQue
See Also

Reference

ServerQue Class
ServerQue Overload
Furcadia.Net.Utils Namespace


ServerQue Constructor (Int32, UInt32)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the ServerQue class.

Namespace: Furcadia.Net.Utils
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
[CLSCompliantAttribute(false)]
public ServerQue(
    int ThroatTiredTime,
    uint PingTimerTime = 30
)
<CLSCompliantAttribute(false)>
Public Sub New (
    ThroatTiredTime As Integer,
    Optional PingTimerTime As UInteger = 30
)

Dim ThroatTiredTime As Integer
Dim PingTimerTime As UInteger

Dim instance As New ServerQue(ThroatTiredTime,
    PingTimerTime)
public:
[CLSCompliantAttribute(false)]
ServerQue(
    int ThroatTiredTime,
    unsigned int PingTimerTime = 30
)
[<CLSCompliantAttribute(false)>]
new :
        ThroatTiredTime : int *
        ?PingTimerTime : uint32
(* Defaults:
        let _PingTimerTime = defaultArg PingTimerTime 30
*)
-> ServerQue

Parameters

ThroatTiredTime
Type: SystemInt32
The throat tired time.
PingTimerTime (Optional)
Type: SystemUInt32
The ping timer time.
See Also

Reference

ServerQue Class
ServerQue Overload
Furcadia.Net.Utils Namespace


ServerQue Properties
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The ServerQue type exposes the following members.

Properties
 | Name | Description
Public property | NoEndurance | Is the connect `noendurance enabled?
Public property | PingDelayTime | Ping the server Time in Seconds
Public property | ThroatTired | If Proxy get "Your throat is tired" Pause for a number of seconds When set, a Timer is created to make us wait till the time is clear to resume.
Public property | ThroatTiredDelayTime | When "Your throat is tired appears, Pause processing of client to server instructions,
Top
See Also

Reference

ServerQue Class
Furcadia.Net.Utils Namespace


ServerQue.NoEndurance Property

ServerQueNoEndurance Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Is the connect `noendurance enabled?

Namespace: Furcadia.Net.Utils
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool NoEndurance { get; set; }
Public Property NoEndurance As Boolean
    Get
    Set

Dim instance As ServerQue
Dim value As Boolean

value = instance.NoEndurance

instance.NoEndurance = value
public:
property bool NoEndurance {
    bool get ();
    void set (bool value);
}
member NoEndurance : bool with get, set

Property Value

Type: Boolean
See Also

Reference

ServerQue Class
Furcadia.Net.Utils Namespace


ServerQue.PingDelayTime Property

ServerQuePingDelayTime Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Ping the server Time in Seconds

Namespace: Furcadia.Net.Utils
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
[CLSCompliantAttribute(false)]
public uint PingDelayTime { get; set; }
<CLSCompliantAttribute(false)>
Public Property PingDelayTime As UInteger
    Get
    Set

Dim instance As ServerQue
Dim value As UInteger

value = instance.PingDelayTime

instance.PingDelayTime = value
public:
[CLSCompliantAttribute(false)]
property unsigned int PingDelayTime {
    unsigned int get ();
    void set (unsigned int value);
}
[<CLSCompliantAttribute(false)>]
member PingDelayTime : uint32 with get, set

Property Value

Type: UInt32
See Also

Reference

ServerQue Class
Furcadia.Net.Utils Namespace


ServerQue.ThroatTired Property

ServerQueThroatTired Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

If Proxy get "Your throat is tired" Pause for a number of seconds

When set, a Timer is created to make us wait till the time is clear to resume.

Namespace: Furcadia.Net.Utils
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool ThroatTired { get; set; }
Public Property ThroatTired As Boolean
    Get
    Set

Dim instance As ServerQue
Dim value As Boolean

value = instance.ThroatTired

instance.ThroatTired = value
public:
property bool ThroatTired {
    bool get ();
    void set (bool value);
}
member ThroatTired : bool with get, set

Property Value

Type: Boolean
See Also

Reference

ServerQue Class
Furcadia.Net.Utils Namespace


ServerQue.ThroatTiredDelayTime Property

ServerQueThroatTiredDelayTime Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

When "Your throat is tired appears, Pause processing of client to server instructions,

Namespace: Furcadia.Net.Utils
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public int ThroatTiredDelayTime { get; set; }
Public Property ThroatTiredDelayTime As Integer
    Get
    Set

Dim instance As ServerQue
Dim value As Integer

value = instance.ThroatTiredDelayTime

instance.ThroatTiredDelayTime = value
public:
property int ThroatTiredDelayTime {
    int get ();
    void set (int value);
}
member ThroatTiredDelayTime : int with get, set

Property Value

Type: Int32
See Also

Reference

ServerQue Class
Furcadia.Net.Utils Namespace


ServerQue Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The ServerQue type exposes the following members.

Methods
 | Name | Description
Public method | Dispose | This code added to correctly implement the disposable pattern.
Public method | Dispose(Boolean) |
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | SendToServer | Incoming Messages for server processing
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

ServerQue Class
Furcadia.Net.Utils Namespace


ServerQue.Dispose Method

ServerQueDispose Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
 | Name | Description
Public method | Dispose | This code added to correctly implement the disposable pattern.
Public method | Dispose(Boolean) | Releases the unmanaged resources used by the ServerQue and optionally releases the managed resources
Top
See Also

Reference

ServerQue Class
Furcadia.Net.Utils Namespace


ServerQue.Dispose Method

ServerQueDispose Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

This code added to correctly implement the disposable pattern.

Namespace: Furcadia.Net.Utils
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public void Dispose()
Public Sub Dispose

Dim instance As ServerQue

instance.Dispose()
public:
virtual void Dispose() sealed
abstract Dispose : unit -> unit
override Dispose : unit -> unit

Implements

IDisposableDispose
See Also

Reference

ServerQue Class
Dispose Overload
Furcadia.Net.Utils Namespace


ServerQue.Dispose Method (Boolean)

ServerQueDispose Method (Boolean)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Releases the unmanaged resources used by the ServerQue and optionally releases the managed resources

Namespace: Furcadia.Net.Utils
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public virtual void Dispose(
    bool disposing
)
Public Overridable Sub Dispose (
    disposing As Boolean
)

Dim instance As ServerQue
Dim disposing As Boolean

instance.Dispose(disposing)
public:
virtual void Dispose(
    bool disposing
)
abstract Dispose :
        disposing : bool -> unit
override Dispose :
        disposing : bool -> unit

Parameters

disposing
Type: SystemBoolean
True to release both managed and unmanaged resources; false to release only unmanaged resources
See Also

Reference

ServerQue Class
Dispose Overload
Furcadia.Net.Utils Namespace


ServerQue.SendToServer Method

ServerQueSendToServer Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Incoming Messages for server processing

Namespace: Furcadia.Net.Utils
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public void SendToServer(
    string data
)
Public Sub SendToServer (
    data As String
)

Dim instance As ServerQue
Dim data As String

instance.SendToServer(data)
public:
void SendToServer(
    String^ data
)
member SendToServer :
        data : string -> unit

Parameters

data
Type: SystemString
Raw Client to Server Instruction.
See Also

Reference

ServerQue Class
Furcadia.Net.Utils Namespace


ServerQue Fields
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The ServerQue type exposes the following members.

Fields
 | Name | Description
Public field | OnServerSendMessage | Notify subscribers were's sending an instruction to the games server
Public field | TroatTiredEventHandler | The troat tired event handler
Top
See Also

Reference

ServerQue Class
Furcadia.Net.Utils Namespace


ServerQue.OnServerSendMessage Field

ServerQueOnServerSendMessage Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Notify subscribers were's sending an instruction to the games server

Namespace: Furcadia.Net.Utils
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public EventHandler OnServerSendMessage
Public OnServerSendMessage As EventHandler

Dim instance As ServerQue
Dim value As EventHandler

value = instance.OnServerSendMessage

instance.OnServerSendMessage = value
public:
EventHandler^ OnServerSendMessage
val mutable OnServerSendMessage: EventHandler

Field Value

Type: EventHandler
See Also

Reference

ServerQue Class
Furcadia.Net.Utils Namespace


ServerQue.TroatTiredEventHandler Field

ServerQueTroatTiredEventHandler Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The troat tired event handler

Namespace: Furcadia.Net.Utils
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public ServerQueThroatTiredEnabled TroatTiredEventHandler
Public TroatTiredEventHandler As ServerQueThroatTiredEnabled

Dim instance As ServerQue
Dim value As ServerQueThroatTiredEnabled

value = instance.TroatTiredEventHandler

instance.TroatTiredEventHandler = value
public:
ServerQueThroatTiredEnabled^ TroatTiredEventHandler
val mutable TroatTiredEventHandler: ServerQueThroatTiredEnabled

Field Value

Type: ServerQueThroatTiredEnabled
See Also

Reference

ServerQue Class
Furcadia.Net.Utils Namespace


ServerQue.SendServerEventHandler Delegate

ServerQueSendServerEventHandler Delegate
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Event Handler to notify calling class data has been sent to the game server

Namespace: Furcadia.Net.Utils
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public delegate void SendServerEventHandler(
    string message,
    EventArgs args
)
Public Delegate Sub SendServerEventHandler (
    message As String,
    args As EventArgs
)

Dim instance As New SendServerEventHandler(AddressOf HandlerMethod)
public delegate void SendServerEventHandler(
    String^ message,
    EventArgs^ args
)
type SendServerEventHandler =
    delegate of
        message : string *
        args : EventArgs -> unit

Parameters

message
Type: SystemString
raw client to server instruction
args
Type: SystemEventArgs
System.EventArgs. (Unused)
See Also

Reference

Furcadia.Net.Utils Namespace


ServerQue.ThroatTiredEnabled Delegate

ServerQueThroatTiredEnabled Delegate
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Throat Tired even handler

Namespace: Furcadia.Net.Utils
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public delegate void ThroatTiredEnabled(
    bool enable
)
Public Delegate Sub ThroatTiredEnabled (
    enable As Boolean
)

Dim instance As New ThroatTiredEnabled(AddressOf HandlerMethod)
public delegate void ThroatTiredEnabled(
    bool enable
)
type ThroatTiredEnabled =
    delegate of
        enable : bool -> unit

Parameters

enable
Type: SystemBoolean
if set to true [enable].
See Also

Reference

Furcadia.Net.Utils Namespace


Utilities Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Generic Furcadia Network Utilities
Inheritance Hierarchy
SystemObject
Furcadia.Net.UtilsUtilities

Namespace: Furcadia.Net.Utils
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public class Utilities
Public Class Utilities

Dim instance As Utilities
public ref class Utilities
type Utilities =  class end

The Utilities type exposes the following members.

Constructors
 | Name | Description
Public method | Utilities | Furcadia Defaults with optional app.config
Top
Properties
 | Name | Description
Public property | DefaultClient | Furcadia Client Executable Name with extension
Public property | GameServerHost | Gets or sets the Furcadia server host (i.e lightbringer.furcadia.com). (Furcadia v31c)
Public property | GameServerIp | Gets or sets the IP of the Furcadia server. (Furcadia v31c) update to library config file?
Public property | GameServerPort | Default Game Server Port
 | GetEncoding | Master configuration set Encoders to Win 1252 encoding.
Public property | PounceServerHost | Gets or sets the Furcadia Pounce Server host (IE on.furcadia.com). (Furcadia v31c)
Public property | ReggistryPathMono | Mono Registry Path
Public property | ReggistryPathX64 | Windows x64 Registry path
Public property | ReggistryPathX86 | Windows 32 Registry path
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
 | PortOpen | Checks TCP port and scans for an available TCP port on the host system
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Furcadia.Net.Utils Namespace


Utilities Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Furcadia Defaults with optional app.config

Namespace: Furcadia.Net.Utils
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public Utilities()
Public Sub New

Dim instance As New Utilities()
public:
Utilities()
new : unit -> Utilities
See Also

Reference

Utilities Class
Furcadia.Net.Utils Namespace


Utilities Properties
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The Utilities type exposes the following members.

Properties
 | Name | Description
Public property | DefaultClient | Furcadia Client Executable Name with extension
Public property | GameServerHost | Gets or sets the Furcadia server host (i.e lightbringer.furcadia.com). (Furcadia v31c)
Public property | GameServerIp | Gets or sets the IP of the Furcadia server. (Furcadia v31c) update to library config file?
Public property | GameServerPort | Default Game Server Port
 | GetEncoding | Master configuration set Encoders to Win 1252 encoding.
Public property | PounceServerHost | Gets or sets the Furcadia Pounce Server host (IE on.furcadia.com). (Furcadia v31c)
Public property | ReggistryPathMono | Mono Registry Path
Public property | ReggistryPathX64 | Windows x64 Registry path
Public property | ReggistryPathX86 | Windows 32 Registry path
Top
See Also

Reference

Utilities Class
Furcadia.Net.Utils Namespace


Utilities.DefaultClient Property

UtilitiesDefaultClient Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Furcadia Client Executable Name with extension

Namespace: Furcadia.Net.Utils
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string DefaultClient { get; }
Public ReadOnly Property DefaultClient As String
    Get

Dim instance As Utilities
Dim value As String

value = instance.DefaultClient

public:
property String^ DefaultClient {
    String^ get ();
}
member DefaultClient : string with get

Property Value

Type: String
See Also

Reference

Utilities Class
Furcadia.Net.Utils Namespace


Utilities.GameServerHost Property

UtilitiesGameServerHost Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets or sets the Furcadia server host (i.e lightbringer.furcadia.com). (Furcadia v31c)

Namespace: Furcadia.Net.Utils
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string GameServerHost { get; }
Public ReadOnly Property GameServerHost As String
    Get

Dim instance As Utilities
Dim value As String

value = instance.GameServerHost

public:
property String^ GameServerHost {
    String^ get ();
}
member GameServerHost : string with get

Property Value

Type: String
See Also

Reference

Utilities Class
Furcadia.Net.Utils Namespace


Utilities.GameServerIp Property

UtilitiesGameServerIp Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets or sets the IP of the Furcadia server. (Furcadia v31c)

update to library config file?

Namespace: Furcadia.Net.Utils
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public IPAddress GameServerIp { get; }
Public ReadOnly Property GameServerIp As IPAddress
    Get

Dim instance As Utilities
Dim value As IPAddress

value = instance.GameServerIp

public:
property IPAddress^ GameServerIp {
    IPAddress^ get ();
}
member GameServerIp : IPAddress with get

Property Value

Type: IPAddress
See Also

Reference

Utilities Class
Furcadia.Net.Utils Namespace


Utilities.GameServerPort Property

UtilitiesGameServerPort Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Default Game Server Port

Namespace: Furcadia.Net.Utils
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string GameServerPort { get; }
Public ReadOnly Property GameServerPort As String
    Get

Dim instance As Utilities
Dim value As String

value = instance.GameServerPort

public:
property String^ GameServerPort {
    String^ get ();
}
member GameServerPort : string with get

Property Value

Type: String
The game server port.
See Also

Reference

Utilities Class
Furcadia.Net.Utils Namespace


Utilities.GetEncoding Property

UtilitiesGetEncoding Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Master configuration set Encoders to Win 1252 encoding.

Namespace: Furcadia.Net.Utils
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static int GetEncoding { get; }
Public Shared ReadOnly Property GetEncoding As Integer
    Get

Dim value As Integer

value = Utilities.GetEncoding

public:
static property int GetEncoding {
    int get ();
}
static member GetEncoding : int with get

Property Value

Type: Int32
See Also

Reference

Utilities Class
Furcadia.Net.Utils Namespace


Utilities.PounceServerHost Property

UtilitiesPounceServerHost Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets or sets the Furcadia Pounce Server host (IE on.furcadia.com). (Furcadia v31c)

Namespace: Furcadia.Net.Utils
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string PounceServerHost { get; }
Public ReadOnly Property PounceServerHost As String
    Get

Dim instance As Utilities
Dim value As String

value = instance.PounceServerHost

public:
property String^ PounceServerHost {
    String^ get ();
}
member PounceServerHost : string with get

Property Value

Type: String
See Also

Reference

Utilities Class
Furcadia.Net.Utils Namespace


Utilities.ReggistryPathMono Property

UtilitiesReggistryPathMono Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Mono Registry Path

Namespace: Furcadia.Net.Utils
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string ReggistryPathMono { get; }
Public ReadOnly Property ReggistryPathMono As String
    Get

Dim instance As Utilities
Dim value As String

value = instance.ReggistryPathMono

public:
property String^ ReggistryPathMono {
    String^ get ();
}
member ReggistryPathMono : string with get

Property Value

Type: String
See Also

Reference

Utilities Class
Furcadia.Net.Utils Namespace


Utilities.ReggistryPathX64 Property

UtilitiesReggistryPathX64 Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Windows x64 Registry path

Namespace: Furcadia.Net.Utils
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string ReggistryPathX64 { get; }
Public ReadOnly Property ReggistryPathX64 As String
    Get

Dim instance As Utilities
Dim value As String

value = instance.ReggistryPathX64

public:
property String^ ReggistryPathX64 {
    String^ get ();
}
member ReggistryPathX64 : string with get

Property Value

Type: String
See Also

Reference

Utilities Class
Furcadia.Net.Utils Namespace


Utilities.ReggistryPathX86 Property

UtilitiesReggistryPathX86 Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Windows 32 Registry path

Namespace: Furcadia.Net.Utils
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string ReggistryPathX86 { get; }
Public ReadOnly Property ReggistryPathX86 As String
    Get

Dim instance As Utilities
Dim value As String

value = instance.ReggistryPathX86

public:
property String^ ReggistryPathX86 {
    String^ get ();
}
member ReggistryPathX86 : string with get

Property Value

Type: String
See Also

Reference

Utilities Class
Furcadia.Net.Utils Namespace


Utilities Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The Utilities type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
 | PortOpen | Checks TCP port and scans for an available TCP port on the host system
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Utilities Class
Furcadia.Net.Utils Namespace


Utilities.PortOpen Method

UtilitiesPortOpen Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Checks TCP port and scans for an available TCP port on the host system

Namespace: Furcadia.Net.Utils
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static bool PortOpen(
    int port
)
Public Shared Function PortOpen (
    port As Integer
) As Boolean

Dim port As Integer
Dim returnValue As Boolean

returnValue = Utilities.PortOpen(port)
public:
static bool PortOpen(
    int port
)
static member PortOpen :
        port : int -> bool

Parameters

port
Type: SystemInt32
ref TCP Port

Return Value

Type: Boolean
True when a port is found available
Exceptions
Exception | Condition
ArgumentException | Thrown when port is 0
See Also

Reference

Utilities Class
Furcadia.Net.Utils Namespace


Furcadia.Net.Utils.ChannelObjects Namespace
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Classes
 | Class | Description
Public class | QueryChannelObject | Query Commands
Enumerations
 | Enumeration | Description
Public enumeration | QueryType |


QueryChannelObject Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Query Commands
Inheritance Hierarchy
SystemObject
Furcadia.Net.Utils.ServerParserBaseServerInstruction
Furcadia.Net.Utils.ServerParserChannelObject
Furcadia.Net.Utils.ChannelObjectsQueryChannelObject

Namespace: Furcadia.Net.Utils.ChannelObjects
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public class QueryChannelObject : ChannelObject
Public Class QueryChannelObject
    Inherits ChannelObject

Dim instance As QueryChannelObject
public ref class QueryChannelObject : public ChannelObject
type QueryChannelObject =
    class
        inherit ChannelObject
    end

The QueryChannelObject type exposes the following members.

Constructors
 | Name | Description
Public method | QueryChannelObject(String) | Initializes a new instance of the QueryChannelObject class.
Public method | QueryChannelObject(String, Furre) | Initializes a new instance of the QueryChannelObject class.
Top
Properties
 | Name | Description
Public property | ChannelText | Raw unformatted channel text (Inherited from ChannelObject.)
Public property | DynamicChannel | Dynamic Channel filter (Inherited from ChannelObject.)
Public property | FormattedChannelText | returns Clear Text to display in a log (Inherited from ChannelObject.)
Public property | InstructionType | Which Server to Client Instruction are we? (Inherited from BaseServerInstruction.)
Public property | Player | Active Triggering avatar (Inherited from ChannelObject.)
Public property | Query | Gets the query command type.
Public property | RawInstruction | Raw Server to Client instruction (Inherited from BaseServerInstruction.)
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a String that represents this instance. (Overrides BaseServerInstructionToString.)
Top
Fields
 | Name | Description
Protected field | instructionType | (Inherited from BaseServerInstruction.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Furcadia.Net.Utils.ChannelObjects Namespace
Furcadia.Net.Utils.ServerParserChannelObject


QueryChannelObject Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
 | Name | Description
Public method | QueryChannelObject(String) | Initializes a new instance of the QueryChannelObject class.
Public method | QueryChannelObject(String, Furre) | Initializes a new instance of the QueryChannelObject class.
Top
See Also

Reference

QueryChannelObject Class
Furcadia.Net.Utils.ChannelObjects Namespace


QueryChannelObject Constructor (String)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the QueryChannelObject class.

Namespace: Furcadia.Net.Utils.ChannelObjects
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public QueryChannelObject(
    string ServerInstruction
)
Public Sub New (
    ServerInstruction As String
)

Dim ServerInstruction As String

Dim instance As New QueryChannelObject(ServerInstruction)
public:
QueryChannelObject(
    String^ ServerInstruction
)
new :
        ServerInstruction : string -> QueryChannelObject

Parameters

ServerInstruction
Type: SystemString
See Also

Reference

QueryChannelObject Class
QueryChannelObject Overload
Furcadia.Net.Utils.ChannelObjects Namespace


QueryChannelObject Constructor (String, Furre)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the QueryChannelObject class.

Namespace: Furcadia.Net.Utils.ChannelObjects
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public QueryChannelObject(
    string ServerInstruction,
    Furre Furr
)
Public Sub New (
    ServerInstruction As String,
    Furr As Furre
)

Dim ServerInstruction As String
Dim Furr As Furre

Dim instance As New QueryChannelObject(ServerInstruction,
    Furr)
public:
QueryChannelObject(
    String^ ServerInstruction,
    Furre^ Furr
)
new :
        ServerInstruction : string *
        Furr : Furre -> QueryChannelObject

Parameters

ServerInstruction
Type: SystemString
The server instruction.
Furr
Type: Furcadia.Net.DreamInfoFurre
The furr.
See Also

Reference

QueryChannelObject Class
QueryChannelObject Overload
Furcadia.Net.Utils.ChannelObjects Namespace


QueryChannelObject Properties
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The QueryChannelObject type exposes the following members.

Properties
 | Name | Description
Public property | ChannelText | Raw unformatted channel text (Inherited from ChannelObject.)
Public property | DynamicChannel | Dynamic Channel filter (Inherited from ChannelObject.)
Public property | FormattedChannelText | returns Clear Text to display in a log (Inherited from ChannelObject.)
Public property | InstructionType | Which Server to Client Instruction are we? (Inherited from BaseServerInstruction.)
Public property | Player | Active Triggering avatar (Inherited from ChannelObject.)
Public property | Query | Gets the query command type.
Public property | RawInstruction | Raw Server to Client instruction (Inherited from BaseServerInstruction.)
Top
See Also

Reference

QueryChannelObject Class
Furcadia.Net.Utils.ChannelObjects Namespace


QueryChannelObject.Query Property

QueryChannelObjectQuery Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets the query command type.

Namespace: Furcadia.Net.Utils.ChannelObjects
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public QueryType Query { get; }
Public ReadOnly Property Query As QueryType
    Get

Dim instance As QueryChannelObject
Dim value As QueryType

value = instance.Query

public:
property QueryType Query {
    QueryType get ();
}
member Query : QueryType with get

Property Value

Type: QueryType
The query.
See Also

Reference

QueryChannelObject Class
Furcadia.Net.Utils.ChannelObjects Namespace


QueryChannelObject Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The QueryChannelObject type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a String that represents this instance. (Overrides BaseServerInstructionToString.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

QueryChannelObject Class
Furcadia.Net.Utils.ChannelObjects Namespace


QueryChannelObject.ToString Method

QueryChannelObjectToString Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Returns a String that represents this instance.

Namespace: Furcadia.Net.Utils.ChannelObjects
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public override string ToString()
Public Overrides Function ToString As String

Dim instance As QueryChannelObject
Dim returnValue As String

returnValue = instance.ToString()
public:
virtual String^ ToString() override
abstract ToString : unit -> string
override ToString : unit -> string

Return Value

Type: String
A String that represents this instance.
See Also

Reference

QueryChannelObject Class
Furcadia.Net.Utils.ChannelObjects Namespace


QueryChannelObject Fields
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The QueryChannelObject type exposes the following members.

Fields
 | Name | Description
Protected field | instructionType | (Inherited from BaseServerInstruction.)
Top
See Also

Reference

QueryChannelObject Class
Furcadia.Net.Utils.ChannelObjects Namespace


QueryType Enumeration
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "T:Furcadia.Net.Utils.ChannelObjects.QueryType"]

Namespace: Furcadia.Net.Utils.ChannelObjects
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
[FlagsAttribute]
public enum QueryType
<FlagsAttribute>
Public Enumeration QueryType

Dim instance As QueryType
[FlagsAttribute]
public enum class QueryType
[<FlagsAttribute>]
type QueryType
Members
Member name | Value | Description
join | 0 | Join your company
summon | 1 | Summon yo to ...
lead | 2 | yead you too...
follow | 3 | Follow you
cuddle | 4 | cubble with you
See Also

Reference

Furcadia.Net.Utils.ChannelObjects Namespace


Furcadia.Net.Utils.ServerObjects Namespace
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Classes
 | Class | Description
Public class | DataObject | Base object fo sharing custom data for server instructions
Public class | DiceObject | Dice for the @roll channel
Structures
 | Structure | Description
Public structure | Rep |


DataObject Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Base object fo sharing custom data for server instructions
Inheritance Hierarchy
SystemObject
Furcadia.Net.Utils.ServerObjectsDataObject
Furcadia.Net.Utils.ServerObjectsDiceObject

Namespace: Furcadia.Net.Utils.ServerObjects
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public class DataObject
Public Class DataObject

Dim instance As DataObject
public ref class DataObject
type DataObject =  class end

The DataObject type exposes the following members.

Constructors
 | Name | Description
Public method | DataObject | Initializes a new instance of the DataObject class
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Furcadia.Net.Utils.ServerObjects Namespace


DataObject Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the DataObject class

Namespace: Furcadia.Net.Utils.ServerObjects
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public DataObject()
Public Sub New

Dim instance As New DataObject()
public:
DataObject()
new : unit -> DataObject
See Also

Reference

DataObject Class
Furcadia.Net.Utils.ServerObjects Namespace


DataObject Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The DataObject type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

DataObject Class
Furcadia.Net.Utils.ServerObjects Namespace


DiceObject Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Dice for the @roll channel
Inheritance Hierarchy
SystemObject
Furcadia.Net.Utils.ServerObjectsDataObject
Furcadia.Net.Utils.ServerObjectsDiceObject

Namespace: Furcadia.Net.Utils.ServerObjects
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public class DiceObject : DataObject
Public Class DiceObject
    Inherits DataObject

Dim instance As DiceObject
public ref class DiceObject : public DataObject
type DiceObject =
    class
        inherit DataObject
    end

The DiceObject type exposes the following members.

Constructors
 | Name | Description
Public method | DiceObject | Initializes a new instance of the DiceObject class.
Top
Properties
 | Name | Description
Public property | DiceCompnentMatch | + or - Modifyer
Public property | DiceCount | Number of Dice
Public property | DiceModifyer | Die offset +/- n
Public property | DiceResult | Sum of the Dice Result
Public property | DiceSides | Number of sides per Die
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Furcadia.Net.Utils.ServerObjects Namespace


DiceObject Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the DiceObject class.

Namespace: Furcadia.Net.Utils.ServerObjects
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public DiceObject()
Public Sub New

Dim instance As New DiceObject()
public:
DiceObject()
new : unit -> DiceObject
See Also

Reference

DiceObject Class
Furcadia.Net.Utils.ServerObjects Namespace


DiceObject Properties
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The DiceObject type exposes the following members.

Properties
 | Name | Description
Public property | DiceCompnentMatch | + or - Modifyer
Public property | DiceCount | Number of Dice
Public property | DiceModifyer | Die offset +/- n
Public property | DiceResult | Sum of the Dice Result
Public property | DiceSides | Number of sides per Die
Top
See Also

Reference

DiceObject Class
Furcadia.Net.Utils.ServerObjects Namespace


DiceObject.DiceCompnentMatch Property

DiceObjectDiceCompnentMatch Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

+ or - Modifyer

Namespace: Furcadia.Net.Utils.ServerObjects
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public char DiceCompnentMatch { get; set; }
Public Property DiceCompnentMatch As Char
    Get
    Set

Dim instance As DiceObject
Dim value As Char

value = instance.DiceCompnentMatch

instance.DiceCompnentMatch = value
public:
property wchar_t DiceCompnentMatch {
    wchar_t get ();
    void set (wchar_t value);
}
member DiceCompnentMatch : char with get, set

Property Value

Type: Char
See Also

Reference

DiceObject Class
Furcadia.Net.Utils.ServerObjects Namespace


DiceObject.DiceCount Property

DiceObjectDiceCount Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Number of Dice

Namespace: Furcadia.Net.Utils.ServerObjects
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public double DiceCount { get; set; }
Public Property DiceCount As Double
    Get
    Set

Dim instance As DiceObject
Dim value As Double

value = instance.DiceCount

instance.DiceCount = value
public:
property double DiceCount {
    double get ();
    void set (double value);
}
member DiceCount : float with get, set

Property Value

Type: Double
See Also

Reference

DiceObject Class
Furcadia.Net.Utils.ServerObjects Namespace


DiceObject.DiceModifyer Property

DiceObjectDiceModifyer Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Die offset +/- n

Namespace: Furcadia.Net.Utils.ServerObjects
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public double DiceModifyer { get; set; }
Public Property DiceModifyer As Double
    Get
    Set

Dim instance As DiceObject
Dim value As Double

value = instance.DiceModifyer

instance.DiceModifyer = value
public:
property double DiceModifyer {
    double get ();
    void set (double value);
}
member DiceModifyer : float with get, set

Property Value

Type: Double
See Also

Reference

DiceObject Class
Furcadia.Net.Utils.ServerObjects Namespace


DiceObject.DiceResult Property

DiceObjectDiceResult Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Sum of the Dice Result

Namespace: Furcadia.Net.Utils.ServerObjects
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public double DiceResult { get; set; }
Public Property DiceResult As Double
    Get
    Set

Dim instance As DiceObject
Dim value As Double

value = instance.DiceResult

instance.DiceResult = value
public:
property double DiceResult {
    double get ();
    void set (double value);
}
member DiceResult : float with get, set

Property Value

Type: Double
See Also

Reference

DiceObject Class
Furcadia.Net.Utils.ServerObjects Namespace


DiceObject.DiceSides Property

DiceObjectDiceSides Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Number of sides per Die

Namespace: Furcadia.Net.Utils.ServerObjects
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public double DiceSides { get; set; }
Public Property DiceSides As Double
    Get
    Set

Dim instance As DiceObject
Dim value As Double

value = instance.DiceSides

instance.DiceSides = value
public:
property double DiceSides {
    double get ();
    void set (double value);
}
member DiceSides : float with get, set

Property Value

Type: Double
See Also

Reference

DiceObject Class
Furcadia.Net.Utils.ServerObjects Namespace


DiceObject Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The DiceObject type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

DiceObject Class
Furcadia.Net.Utils.ServerObjects Namespace


Rep Structure
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "T:Furcadia.Net.Utils.ServerObjects.Rep"]

Namespace: Furcadia.Net.Utils.ServerObjects
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public struct Rep
Public Structure Rep

Dim instance As Rep
public value class Rep
[<SealedAttribute>]
type Rep =  struct end

The Rep type exposes the following members.

Properties
 | Name | Description
Public property | ID |
Public property | Type |
Top
Methods
 | Name | Description
Public method | Equals | Indicates whether this instance and a specified object are equal. (Inherited from ValueType.)
Public method | GetHashCode | Returns the hash code for this instance. (Inherited from ValueType.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | ToString | Returns the fully qualified type name of this instance. (Inherited from ValueType.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Furcadia.Net.Utils.ServerObjects Namespace


Rep Properties
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The Rep type exposes the following members.

Properties
 | Name | Description
Public property | ID |
Public property | Type |
Top
See Also

Reference

Rep Structure
Furcadia.Net.Utils.ServerObjects Namespace


Rep.ID Property

RepID Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "P:Furcadia.Net.Utils.ServerObjects.Rep.ID"]

Namespace: Furcadia.Net.Utils.ServerObjects
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string ID { get; set; }
Public Property ID As String
    Get
    Set

Dim instance As Rep
Dim value As String

value = instance.ID

instance.ID = value
public:
property String^ ID {
    String^ get ();
    void set (String^ value);
}
member ID : string with get, set

Property Value

Type: String
See Also

Reference

Rep Structure
Furcadia.Net.Utils.ServerObjects Namespace


Rep.Type Property

RepType Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "P:Furcadia.Net.Utils.ServerObjects.Rep.Type"]

Namespace: Furcadia.Net.Utils.ServerObjects
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public int Type { get; set; }
Public Property Type As Integer
    Get
    Set

Dim instance As Rep
Dim value As Integer

value = instance.Type

instance.Type = value
public:
property int Type {
    int get ();
    void set (int value);
}
member Type : int with get, set

Property Value

Type: Int32
See Also

Reference

Rep Structure
Furcadia.Net.Utils.ServerObjects Namespace


Rep Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The Rep type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Indicates whether this instance and a specified object are equal. (Inherited from ValueType.)
Public method | GetHashCode | Returns the hash code for this instance. (Inherited from ValueType.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | ToString | Returns the fully qualified type name of this instance. (Inherited from ValueType.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Rep Structure
Furcadia.Net.Utils.ServerObjects Namespace


Furcadia.Net.Utils.ServerParser Namespace
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Classes
 | Class | Description
Public class | BaseServerInstruction | Server instruction object base class
Public class | ChannelObject | Base Server Instruction object for Channel Processing
Public class | DiceRolls | Parse Dice rolls
Public class | DreamBookmark | Triggered when the connection enters a new dream. This instruction tells the client to download the specified dream data from the file server. Respond with client command when furcadia client is not available "vasecodegamma"
Public class | LoadDream | Triggered when the connection enters a new dream. This instruction tells the client to download the specified dream data from the file server. Respond with client command when furcadia client is not available "vasecodegamma"
Public class | MoveFurre | Animated or noanimated move object
Public class | RemoveAvatar | Remove Avatar Server Instruction Object
Public class | SpawnAvatar | Process the Spaw Avatar Instruction
Public class | UpdateColorString |


BaseServerInstruction Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Server instruction object base class
Inheritance Hierarchy
SystemObject
Furcadia.Net.Utils.ServerParserBaseServerInstruction
More...

Namespace: Furcadia.Net.Utils.ServerParser
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
[CLSCompliantAttribute(true)]
public class BaseServerInstruction
<CLSCompliantAttribute(true)>
Public Class BaseServerInstruction

Dim instance As BaseServerInstruction
[CLSCompliantAttribute(true)]
public ref class BaseServerInstruction
[<CLSCompliantAttribute(true)>]
type BaseServerInstruction =  class end

The BaseServerInstruction type exposes the following members.

Constructors
 | Name | Description
Public method | BaseServerInstruction | Initializes a new instance of the BaseServerInstruction class
Public method | BaseServerInstruction(String) | Reads the raw server instruction and set this object to its settings Default Server instruction type is Unknown
Top
Properties
 | Name | Description
Public property | InstructionType | Which Server to Client Instruction are we?
Public property | RawInstruction | Raw Server to Client instruction
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a String that represents this instance. (Overrides ObjectToString.)
Top
Fields
 | Name | Description
Protected field | instructionType |
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Furcadia.Net.Utils.ServerParser Namespace
Inheritance Hierarchy
SystemObject
Furcadia.Net.Utils.ServerParserBaseServerInstruction
Furcadia.Net.Utils.ServerParserChannelObject
Furcadia.Net.Utils.ServerParserDreamBookmark
Furcadia.Net.Utils.ServerParserLoadDream
Furcadia.Net.Utils.ServerParserMoveFurre
Furcadia.Net.Utils.ServerParserRemoveAvatar
Furcadia.Net.Utils.ServerParserSpawnAvatar
Furcadia.Net.Utils.ServerParserUpdateColorString


BaseServerInstruction Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
 | Name | Description
Public method | BaseServerInstruction | Initializes a new instance of the BaseServerInstruction class
Public method | BaseServerInstruction(String) | Reads the raw server instruction and set this object to its settings Default Server instruction type is Unknown
Top
See Also

Reference

BaseServerInstruction Class
Furcadia.Net.Utils.ServerParser Namespace


BaseServerInstruction Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the BaseServerInstruction class

Namespace: Furcadia.Net.Utils.ServerParser
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public BaseServerInstruction()
Public Sub New

Dim instance As New BaseServerInstruction()
public:
BaseServerInstruction()
new : unit -> BaseServerInstruction
See Also

Reference

BaseServerInstruction Class
BaseServerInstruction Overload
Furcadia.Net.Utils.ServerParser Namespace


BaseServerInstruction Constructor (String)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Reads the raw server instruction and set this object to its settings

Default Server instruction type is Unknown

Namespace: Furcadia.Net.Utils.ServerParser
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public BaseServerInstruction(
    string ServerInstruction
)
Public Sub New (
    ServerInstruction As String
)

Dim ServerInstruction As String

Dim instance As New BaseServerInstruction(ServerInstruction)
public:
BaseServerInstruction(
    String^ ServerInstruction
)
new :
        ServerInstruction : string -> BaseServerInstruction

Parameters

ServerInstruction
Type: SystemString
raw server instruction
See Also

Reference

BaseServerInstruction Class
BaseServerInstruction Overload
Furcadia.Net.Utils.ServerParser Namespace


BaseServerInstruction Properties
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The BaseServerInstruction type exposes the following members.

Properties
 | Name | Description
Public property | InstructionType | Which Server to Client Instruction are we?
Public property | RawInstruction | Raw Server to Client instruction
Top
See Also

Reference

BaseServerInstruction Class
Furcadia.Net.Utils.ServerParser Namespace


BaseServerInstruction.InstructionType Property

BaseServerInstructionInstructionType Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Which Server to Client Instruction are we?

Namespace: Furcadia.Net.Utils.ServerParser
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
[CLSCompliantAttribute(false)]
public ServerInstructionType InstructionType { get; set; }
<CLSCompliantAttribute(false)>
Public Property InstructionType As ServerInstructionType
    Get
    Set

Dim instance As BaseServerInstruction
Dim value As ServerInstructionType

value = instance.InstructionType

instance.InstructionType = value
public:
[CLSCompliantAttribute(false)]
property ServerInstructionType InstructionType {
    ServerInstructionType get ();
    void set (ServerInstructionType value);
}
[<CLSCompliantAttribute(false)>]
member InstructionType : ServerInstructionType with get, set

Property Value

Type: ServerInstructionType
See Also

Reference

BaseServerInstruction Class
Furcadia.Net.Utils.ServerParser Namespace


BaseServerInstruction.RawInstruction Property

BaseServerInstructionRawInstruction Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Raw Server to Client instruction

Namespace: Furcadia.Net.Utils.ServerParser
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string RawInstruction { get; }
Public ReadOnly Property RawInstruction As String
    Get

Dim instance As BaseServerInstruction
Dim value As String

value = instance.RawInstruction

public:
property String^ RawInstruction {
    String^ get ();
}
member RawInstruction : string with get

Property Value

Type: String
See Also

Reference

BaseServerInstruction Class
Furcadia.Net.Utils.ServerParser Namespace


BaseServerInstruction Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The BaseServerInstruction type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a String that represents this instance. (Overrides ObjectToString.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

BaseServerInstruction Class
Furcadia.Net.Utils.ServerParser Namespace


BaseServerInstruction.ToString Method

BaseServerInstructionToString Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Returns a String that represents this instance.

Namespace: Furcadia.Net.Utils.ServerParser
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public override string ToString()
Public Overrides Function ToString As String

Dim instance As BaseServerInstruction
Dim returnValue As String

returnValue = instance.ToString()
public:
virtual String^ ToString() override
abstract ToString : unit -> string
override ToString : unit -> string

Return Value

Type: String
A String that represents this instance.
See Also

Reference

BaseServerInstruction Class
Furcadia.Net.Utils.ServerParser Namespace


BaseServerInstruction Fields
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The BaseServerInstruction type exposes the following members.

Fields
 | Name | Description
Protected field | instructionType |
Top
See Also

Reference

BaseServerInstruction Class
Furcadia.Net.Utils.ServerParser Namespace


BaseServerInstruction.instructionType Field

BaseServerInstructioninstructionType Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "F:Furcadia.Net.Utils.ServerParser.BaseServerInstruction.instructionType"]

Namespace: Furcadia.Net.Utils.ServerParser
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
protected ServerInstructionType instructionType
Protected instructionType As ServerInstructionType

Dim value As ServerInstructionType

value = Me.instructionType

Me.instructionType = value
protected:
ServerInstructionType instructionType
val mutable instructionType: ServerInstructionType

Field Value

Type: ServerInstructionType
See Also

Reference

BaseServerInstruction Class
Furcadia.Net.Utils.ServerParser Namespace


ChannelObject Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Base Server Instruction object for Channel Processing
Inheritance Hierarchy
SystemObject
Furcadia.Net.Utils.ServerParserBaseServerInstruction
Furcadia.Net.Utils.ServerParserChannelObject
Furcadia.Net.Utils.ChannelObjectsQueryChannelObject
Furcadia.Net.Utils.ServerParserDiceRolls

Namespace: Furcadia.Net.Utils.ServerParser
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public class ChannelObject : BaseServerInstruction
Public Class ChannelObject
    Inherits BaseServerInstruction

Dim instance As ChannelObject
public ref class ChannelObject : public BaseServerInstruction
type ChannelObject =
    class
        inherit BaseServerInstruction
    end

The ChannelObject type exposes the following members.

Constructors
 | Name | Description
Public method | ChannelObject(String) | Initializes a new instance of the ChannelObject class
Public method | ChannelObject(String, Furre) | Initializes a new instance of the ChannelObject class.
Top
Properties
 | Name | Description
Public property | ChannelText | Raw unformatted channel text
Public property | DynamicChannel | Dynamic Channel filter
Public property | FormattedChannelText | returns Clear Text to display in a log
Public property | InstructionType | Which Server to Client Instruction are we? (Inherited from BaseServerInstruction.)
Public property | Player | Active Triggering avatar
Public property | RawInstruction | Raw Server to Client instruction (Inherited from BaseServerInstruction.)
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a String that represents this instance. (Inherited from BaseServerInstruction.)
Top
Fields
 | Name | Description
Protected field | instructionType | (Inherited from BaseServerInstruction.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Furcadia.Net.Utils.ServerParser Namespace


ChannelObject Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
 | Name | Description
Public method | ChannelObject(String) | Initializes a new instance of the ChannelObject class
Public method | ChannelObject(String, Furre) | Initializes a new instance of the ChannelObject class.
Top
See Also

Reference

ChannelObject Class
Furcadia.Net.Utils.ServerParser Namespace


ChannelObject Constructor (String)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the ChannelObject class

Namespace: Furcadia.Net.Utils.ServerParser
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public ChannelObject(
    string ServerInstruction
)
Public Sub New (
    ServerInstruction As String
)

Dim ServerInstruction As String

Dim instance As New ChannelObject(ServerInstruction)
public:
ChannelObject(
    String^ ServerInstruction
)
new :
        ServerInstruction : string -> ChannelObject

Parameters

ServerInstruction
Type: SystemString

[Missing <param name="ServerInstruction"/> documentation for "M:Furcadia.Net.Utils.ServerParser.ChannelObject.#ctor(System.String)"]

See Also

Reference

ChannelObject Class
ChannelObject Overload
Furcadia.Net.Utils.ServerParser Namespace


ChannelObject Constructor (String, Furre)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the ChannelObject class.

Namespace: Furcadia.Net.Utils.ServerParser
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public ChannelObject(
    string ServerInstruction,
    Furre Furr
)
Public Sub New (
    ServerInstruction As String,
    Furr As Furre
)

Dim ServerInstruction As String
Dim Furr As Furre

Dim instance As New ChannelObject(ServerInstruction,
    Furr)
public:
ChannelObject(
    String^ ServerInstruction,
    Furre^ Furr
)
new :
        ServerInstruction : string *
        Furr : Furre -> ChannelObject

Parameters

ServerInstruction
Type: SystemString
The server instruction.
Furr
Type: Furcadia.Net.DreamInfoFurre
The furr.
See Also

Reference

ChannelObject Class
ChannelObject Overload
Furcadia.Net.Utils.ServerParser Namespace


ChannelObject Properties
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The ChannelObject type exposes the following members.

Properties
 | Name | Description
Public property | ChannelText | Raw unformatted channel text
Public property | DynamicChannel | Dynamic Channel filter
Public property | FormattedChannelText | returns Clear Text to display in a log
Public property | InstructionType | Which Server to Client Instruction are we? (Inherited from BaseServerInstruction.)
Public property | Player | Active Triggering avatar
Public property | RawInstruction | Raw Server to Client instruction (Inherited from BaseServerInstruction.)
Top
See Also

Reference

ChannelObject Class
Furcadia.Net.Utils.ServerParser Namespace


ChannelObject.ChannelText Property

ChannelObjectChannelText Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Raw unformatted channel text

Namespace: Furcadia.Net.Utils.ServerParser
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string ChannelText { get; }
Public ReadOnly Property ChannelText As String
    Get

Dim instance As ChannelObject
Dim value As String

value = instance.ChannelText

public:
property String^ ChannelText {
    String^ get ();
}
member ChannelText : string with get

Property Value

Type: String
See Also

Reference

ChannelObject Class
Furcadia.Net.Utils.ServerParser Namespace


ChannelObject.DynamicChannel Property

ChannelObjectDynamicChannel Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Dynamic Channel filter

Namespace: Furcadia.Net.Utils.ServerParser
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string DynamicChannel { get; }
Public ReadOnly Property DynamicChannel As String
    Get

Dim instance As ChannelObject
Dim value As String

value = instance.DynamicChannel

public:
property String^ DynamicChannel {
    String^ get ();
}
member DynamicChannel : string with get

Property Value

Type: String
See Also

Reference

ChannelObject Class
Furcadia.Net.Utils.ServerParser Namespace


ChannelObject.FormattedChannelText Property

ChannelObjectFormattedChannelText Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

returns Clear Text to display in a log

Namespace: Furcadia.Net.Utils.ServerParser
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string FormattedChannelText { get; }
Public ReadOnly Property FormattedChannelText As String
    Get

Dim instance As ChannelObject
Dim value As String

value = instance.FormattedChannelText

public:
property String^ FormattedChannelText {
    String^ get ();
}
member FormattedChannelText : string with get

Property Value

Type: String
See Also

Reference

ChannelObject Class
Furcadia.Net.Utils.ServerParser Namespace


ChannelObject.Player Property

ChannelObjectPlayer Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Active Triggering avatar

Namespace: Furcadia.Net.Utils.ServerParser
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public Furre Player { get; }
Public ReadOnly Property Player As Furre
    Get

Dim instance As ChannelObject
Dim value As Furre

value = instance.Player

public:
property Furre^ Player {
    Furre^ get ();
}
member Player : Furre with get

Property Value

Type: Furre
See Also

Reference

ChannelObject Class
Furcadia.Net.Utils.ServerParser Namespace


ChannelObject Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The ChannelObject type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a String that represents this instance. (Inherited from BaseServerInstruction.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

ChannelObject Class
Furcadia.Net.Utils.ServerParser Namespace


ChannelObject Fields
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The ChannelObject type exposes the following members.

Fields
 | Name | Description
Protected field | instructionType | (Inherited from BaseServerInstruction.)
Top
See Also

Reference

ChannelObject Class
Furcadia.Net.Utils.ServerParser Namespace


DiceRolls Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Parse Dice rolls
Inheritance Hierarchy
SystemObject
Furcadia.Net.Utils.ServerParserBaseServerInstruction
Furcadia.Net.Utils.ServerParserChannelObject
Furcadia.Net.Utils.ServerParserDiceRolls

Namespace: Furcadia.Net.Utils.ServerParser
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public class DiceRolls : ChannelObject
Public Class DiceRolls
    Inherits ChannelObject

Dim instance As DiceRolls
public ref class DiceRolls : public ChannelObject
type DiceRolls =
    class
        inherit ChannelObject
    end

The DiceRolls type exposes the following members.

Constructors
 | Name | Description
Public method | DiceRolls | Initializes a new instance of the DiceRolls class
Top
Properties
 | Name | Description
Public property | ChannelText | Raw unformatted channel text (Inherited from ChannelObject.)
Public property | Dice | the Dice Roll result from the game server
Public property | DynamicChannel | Dynamic Channel filter (Inherited from ChannelObject.)
Public property | FormattedChannelText | returns Clear Text to display in a log (Inherited from ChannelObject.)
Public property | InstructionType | Which Server to Client Instruction are we? (Inherited from BaseServerInstruction.)
Public property | Player | Active Triggering avatar (Inherited from ChannelObject.)
Public property | RawInstruction | Raw Server to Client instruction (Inherited from BaseServerInstruction.)
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a String that represents this instance. (Inherited from BaseServerInstruction.)
Top
Fields
 | Name | Description
Protected field | instructionType | (Inherited from BaseServerInstruction.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Furcadia.Net.Utils.ServerParser Namespace


DiceRolls Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the DiceRolls class

Namespace: Furcadia.Net.Utils.ServerParser
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public DiceRolls(
    string ServerInstruction
)
Public Sub New (
    ServerInstruction As String
)

Dim ServerInstruction As String

Dim instance As New DiceRolls(ServerInstruction)
public:
DiceRolls(
    String^ ServerInstruction
)
new :
        ServerInstruction : string -> DiceRolls

Parameters

ServerInstruction
Type: SystemString

[Missing <param name="ServerInstruction"/> documentation for "M:Furcadia.Net.Utils.ServerParser.DiceRolls.#ctor(System.String)"]

See Also

Reference

DiceRolls Class
Furcadia.Net.Utils.ServerParser Namespace


DiceRolls Properties
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The DiceRolls type exposes the following members.

Properties
 | Name | Description
Public property | ChannelText | Raw unformatted channel text (Inherited from ChannelObject.)
Public property | Dice | the Dice Roll result from the game server
Public property | DynamicChannel | Dynamic Channel filter (Inherited from ChannelObject.)
Public property | FormattedChannelText | returns Clear Text to display in a log (Inherited from ChannelObject.)
Public property | InstructionType | Which Server to Client Instruction are we? (Inherited from BaseServerInstruction.)
Public property | Player | Active Triggering avatar (Inherited from ChannelObject.)
Public property | RawInstruction | Raw Server to Client instruction (Inherited from BaseServerInstruction.)
Top
See Also

Reference

DiceRolls Class
Furcadia.Net.Utils.ServerParser Namespace


DiceRolls.Dice Property

DiceRollsDice Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

the Dice Roll result from the game server

Namespace: Furcadia.Net.Utils.ServerParser
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public DiceObject Dice { get; set; }
Public Property Dice As DiceObject
    Get
    Set

Dim instance As DiceRolls
Dim value As DiceObject

value = instance.Dice

instance.Dice = value
public:
property DiceObject^ Dice {
    DiceObject^ get ();
    void set (DiceObject^ value);
}
member Dice : DiceObject with get, set

Property Value

Type: DiceObject
See Also

Reference

DiceRolls Class
Furcadia.Net.Utils.ServerParser Namespace


DiceRolls Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The DiceRolls type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a String that represents this instance. (Inherited from BaseServerInstruction.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

DiceRolls Class
Furcadia.Net.Utils.ServerParser Namespace


DiceRolls Fields
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The DiceRolls type exposes the following members.

Fields
 | Name | Description
Protected field | instructionType | (Inherited from BaseServerInstruction.)
Top
See Also

Reference

DiceRolls Class
Furcadia.Net.Utils.ServerParser Namespace


DreamBookmark Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Triggered when the connection enters a new dream.

This instruction tells the client to download the specified dream data from the file server.

Respond with client command when furcadia client is not available "vasecodegamma"

Inheritance Hierarchy
SystemObject
Furcadia.Net.Utils.ServerParserBaseServerInstruction
Furcadia.Net.Utils.ServerParserDreamBookmark

Namespace: Furcadia.Net.Utils.ServerParser
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public class DreamBookmark : BaseServerInstruction,
    IDream
Public Class DreamBookmark
    Inherits BaseServerInstruction
    Implements IDream

Dim instance As DreamBookmark
public ref class DreamBookmark : public BaseServerInstruction,
    IDream
type DreamBookmark =
    class
        inherit BaseServerInstruction
        interface IDream
    end

The DreamBookmark type exposes the following members.

Constructors
 | Name | Description
Public method | DreamBookmark | Constructor with Dream Data definitions
Top
Properties
 | Name | Description
Public property | DreamOwner | Gets the dream owner.
Public property | DreamType | Dream Type Type 0 = Temporary Type 1 = Regular Type -1 = undefined
Public property | DreamUrl | The Dreams URL
Public property | InstructionType | Which Server to Client Instruction are we? (Inherited from BaseServerInstruction.)
Public property | IsModern | Gets or sets a value indicating whether this instance is modern.
Public property | Name | Gets or sets the name.
Public property | RawInstruction | Raw Server to Client instruction (Inherited from BaseServerInstruction.)
Public property | Title | Dream title
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a String that represents this instance. (Overrides BaseServerInstructionToString.)
Top
Fields
 | Name | Description
Protected field | instructionType | (Inherited from BaseServerInstruction.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
Remarks
]CBookmark Type[1]Dream URL[*]

Type 0 = temporary

Type 1 = Regular (per user requests)

DreamUrl = "furc://uploadername:dreamname/entrycode "

Credits FTR
See Also

Reference

Furcadia.Net.Utils.ServerParser Namespace


DreamBookmark Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Constructor with Dream Data definitions

Namespace: Furcadia.Net.Utils.ServerParser
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public DreamBookmark(
    string ServerInstruction
)
Public Sub New (
    ServerInstruction As String
)

Dim ServerInstruction As String

Dim instance As New DreamBookmark(ServerInstruction)
public:
DreamBookmark(
    String^ ServerInstruction
)
new :
        ServerInstruction : string -> DreamBookmark

Parameters

ServerInstruction
Type: SystemString
Raw server instruction from the game server
See Also

Reference

DreamBookmark Class
Furcadia.Net.Utils.ServerParser Namespace


DreamBookmark Properties
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The DreamBookmark type exposes the following members.

Properties
 | Name | Description
Public property | DreamOwner | Gets the dream owner.
Public property | DreamType | Dream Type Type 0 = Temporary Type 1 = Regular Type -1 = undefined
Public property | DreamUrl | The Dreams URL
Public property | InstructionType | Which Server to Client Instruction are we? (Inherited from BaseServerInstruction.)
Public property | IsModern | Gets or sets a value indicating whether this instance is modern.
Public property | Name | Gets or sets the name.
Public property | RawInstruction | Raw Server to Client instruction (Inherited from BaseServerInstruction.)
Public property | Title | Dream title
Top
See Also

Reference

DreamBookmark Class
Furcadia.Net.Utils.ServerParser Namespace


DreamBookmark.DreamOwner Property

DreamBookmarkDreamOwner Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets the dream owner.

Namespace: Furcadia.Net.Utils.ServerParser
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string DreamOwner { get; }
Public ReadOnly Property DreamOwner As String
    Get

Dim instance As DreamBookmark
Dim value As String

value = instance.DreamOwner

public:
property String^ DreamOwner {
    String^ get ();
}
member DreamOwner : string with get

Property Value

Type: String
The dream owner.
See Also

Reference

DreamBookmark Class
Furcadia.Net.Utils.ServerParser Namespace


DreamBookmark.DreamType Property

DreamBookmarkDreamType Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Dream Type

Type 0 = Temporary

Type 1 = Regular Type -1 = undefined

Namespace: Furcadia.Net.Utils.ServerParser
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public int DreamType { get; }
Public ReadOnly Property DreamType As Integer
    Get

Dim instance As DreamBookmark
Dim value As Integer

value = instance.DreamType

public:
property int DreamType {
    int get ();
}
member DreamType : int with get

Property Value

Type: Int32
See Also

Reference

DreamBookmark Class
Furcadia.Net.Utils.ServerParser Namespace


DreamBookmark.DreamUrl Property

DreamBookmarkDreamUrl Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The Dreams URL

Namespace: Furcadia.Net.Utils.ServerParser
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string DreamUrl { get; }
Public ReadOnly Property DreamUrl As String
    Get

Dim instance As DreamBookmark
Dim value As String

value = instance.DreamUrl

public:
property String^ DreamUrl {
    String^ get ();
}
member DreamUrl : string with get

Property Value

Type: String
See Also

Reference

DreamBookmark Class
Furcadia.Net.Utils.ServerParser Namespace


DreamBookmark.IsModern Property

DreamBookmarkIsModern Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets or sets a value indicating whether this instance is modern.

Namespace: Furcadia.Net.Utils.ServerParser
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool IsModern { get; }
Public ReadOnly Property IsModern As Boolean
    Get

Dim instance As DreamBookmark
Dim value As Boolean

value = instance.IsModern

public:
virtual property bool IsModern {
    bool get () sealed;
}
abstract IsModern : bool with get
override IsModern : bool with get

Property Value

Type: Boolean
true if this instance is modern; otherwise, false.

Implements

IDreamIsModern
Exceptions
Exception | Condition
NotImplementedException |
See Also

Reference

DreamBookmark Class
Furcadia.Net.Utils.ServerParser Namespace


DreamBookmark.Name Property

DreamBookmarkName Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets or sets the name.

Namespace: Furcadia.Net.Utils.ServerParser
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string Name { get; set; }
Public Property Name As String
    Get
    Set

Dim instance As DreamBookmark
Dim value As String

value = instance.Name

instance.Name = value
public:
virtual property String^ Name {
    String^ get () sealed;
    void set (String^ value) sealed;
}
abstract Name : string with get, set
override Name : string with get, set

Property Value

Type: String
The name.

Implements

IDreamName
Exceptions
Exception | Condition
NotImplementedException |
See Also

Reference

DreamBookmark Class
Furcadia.Net.Utils.ServerParser Namespace


DreamBookmark.Title Property

DreamBookmarkTitle Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Dream title

Namespace: Furcadia.Net.Utils.ServerParser
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string Title { get; }
Public ReadOnly Property Title As String
    Get

Dim instance As DreamBookmark
Dim value As String

value = instance.Title

public:
property String^ Title {
    String^ get ();
}
member Title : string with get

Property Value

Type: String
The title.
See Also

Reference

DreamBookmark Class
Furcadia.Net.Utils.ServerParser Namespace


DreamBookmark Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The DreamBookmark type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a String that represents this instance. (Overrides BaseServerInstructionToString.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

DreamBookmark Class
Furcadia.Net.Utils.ServerParser Namespace


DreamBookmark.ToString Method

DreamBookmarkToString Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Returns a String that represents this instance.

Namespace: Furcadia.Net.Utils.ServerParser
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public override string ToString()
Public Overrides Function ToString As String

Dim instance As DreamBookmark
Dim returnValue As String

returnValue = instance.ToString()
public:
virtual String^ ToString() override
abstract ToString : unit -> string
override ToString : unit -> string

Return Value

Type: String
A String that represents this instance.
See Also

Reference

DreamBookmark Class
Furcadia.Net.Utils.ServerParser Namespace


DreamBookmark Fields
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The DreamBookmark type exposes the following members.

Fields
 | Name | Description
Protected field | instructionType | (Inherited from BaseServerInstruction.)
Top
See Also

Reference

DreamBookmark Class
Furcadia.Net.Utils.ServerParser Namespace


LoadDream Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Triggered when the connection enters a new dream.

This instruction tells the client to download the specified dream data from the file server.

Respond with client command when furcadia client is not available "vasecodegamma"

Inheritance Hierarchy
SystemObject
Furcadia.Net.Utils.ServerParserBaseServerInstruction
Furcadia.Net.Utils.ServerParserLoadDream

Namespace: Furcadia.Net.Utils.ServerParser
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public class LoadDream : BaseServerInstruction
Public Class LoadDream
    Inherits BaseServerInstruction

Dim instance As LoadDream
public ref class LoadDream : public BaseServerInstruction
type LoadDream =
    class
        inherit BaseServerInstruction
    end

The LoadDream type exposes the following members.

Constructors
 | Name | Description
Public method | LoadDream | Initializes a new instance of the LoadDream class
Public method | LoadDream(String) | Constructor with Dream Data definitions
Top
Properties
 | Name | Description
Public property | CacheFileName | td (Temporary Dream) or permanent map name
Public property | InstructionType | Which Server to Client Instruction are we? (Inherited from BaseServerInstruction.)
Public property | IsModern | Current dream mode
Public property | IsPermanent | Is the current dream a permanent dream?
Public property | RawInstruction | Raw Server to Client instruction (Inherited from BaseServerInstruction.)
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a String that represents this instance. (Overrides BaseServerInstructionToString.)
Top
Fields
 | Name | Description
Protected field | instructionType | (Inherited from BaseServerInstruction.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Furcadia.Net.Utils.ServerParser Namespace


LoadDream Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
 | Name | Description
Public method | LoadDream | Initializes a new instance of the LoadDream class
Public method | LoadDream(String) | Constructor with Dream Data definitions
Top
See Also

Reference

LoadDream Class
Furcadia.Net.Utils.ServerParser Namespace


LoadDream Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the LoadDream class

Namespace: Furcadia.Net.Utils.ServerParser
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public LoadDream()
Public Sub New

Dim instance As New LoadDream()
public:
LoadDream()
new : unit -> LoadDream
See Also

Reference

LoadDream Class
LoadDream Overload
Furcadia.Net.Utils.ServerParser Namespace


LoadDream Constructor (String)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Constructor with Dream Data definitions

Namespace: Furcadia.Net.Utils.ServerParser
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public LoadDream(
    string ServerInstruction
)
Public Sub New (
    ServerInstruction As String
)

Dim ServerInstruction As String

Dim instance As New LoadDream(ServerInstruction)
public:
LoadDream(
    String^ ServerInstruction
)
new :
        ServerInstruction : string -> LoadDream

Parameters

ServerInstruction
Type: SystemString
Raw server instruction from the game server
See Also

Reference

LoadDream Class
LoadDream Overload
Furcadia.Net.Utils.ServerParser Namespace


LoadDream Properties
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The LoadDream type exposes the following members.

Properties
 | Name | Description
Public property | CacheFileName | td (Temporary Dream) or permanent map name
Public property | InstructionType | Which Server to Client Instruction are we? (Inherited from BaseServerInstruction.)
Public property | IsModern | Current dream mode
Public property | IsPermanent | Is the current dream a permanent dream?
Public property | RawInstruction | Raw Server to Client instruction (Inherited from BaseServerInstruction.)
Top
See Also

Reference

LoadDream Class
Furcadia.Net.Utils.ServerParser Namespace


LoadDream.CacheFileName Property

LoadDreamCacheFileName Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

td (Temporary Dream) or permanent map name

Namespace: Furcadia.Net.Utils.ServerParser
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string CacheFileName { get; set; }
Public Property CacheFileName As String
    Get
    Set

Dim instance As LoadDream
Dim value As String

value = instance.CacheFileName

instance.CacheFileName = value
public:
property String^ CacheFileName {
    String^ get ();
    void set (String^ value);
}
member CacheFileName : string with get, set

Property Value

Type: String
See Also

Reference

LoadDream Class
Furcadia.Net.Utils.ServerParser Namespace


LoadDream.IsModern Property

LoadDreamIsModern Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Current dream mode

Namespace: Furcadia.Net.Utils.ServerParser
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool IsModern { get; }
Public ReadOnly Property IsModern As Boolean
    Get

Dim instance As LoadDream
Dim value As Boolean

value = instance.IsModern

public:
property bool IsModern {
    bool get ();
}
member IsModern : bool with get

Property Value

Type: Boolean
See Also

Reference

LoadDream Class
Furcadia.Net.Utils.ServerParser Namespace


LoadDream.IsPermanent Property

LoadDreamIsPermanent Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Is the current dream a permanent dream?

Namespace: Furcadia.Net.Utils.ServerParser
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool IsPermanent { get; }
Public ReadOnly Property IsPermanent As Boolean
    Get

Dim instance As LoadDream
Dim value As Boolean

value = instance.IsPermanent

public:
property bool IsPermanent {
    bool get ();
}
member IsPermanent : bool with get

Property Value

Type: Boolean
See Also

Reference

LoadDream Class
Furcadia.Net.Utils.ServerParser Namespace


LoadDream Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The LoadDream type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a String that represents this instance. (Overrides BaseServerInstructionToString.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

LoadDream Class
Furcadia.Net.Utils.ServerParser Namespace


LoadDream.ToString Method

LoadDreamToString Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Returns a String that represents this instance.

Namespace: Furcadia.Net.Utils.ServerParser
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public override string ToString()
Public Overrides Function ToString As String

Dim instance As LoadDream
Dim returnValue As String

returnValue = instance.ToString()
public:
virtual String^ ToString() override
abstract ToString : unit -> string
override ToString : unit -> string

Return Value

Type: String
A String that represents this instance.
See Also

Reference

LoadDream Class
Furcadia.Net.Utils.ServerParser Namespace


LoadDream Fields
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The LoadDream type exposes the following members.

Fields
 | Name | Description
Protected field | instructionType | (Inherited from BaseServerInstruction.)
Top
See Also

Reference

LoadDream Class
Furcadia.Net.Utils.ServerParser Namespace


MoveFurre Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Animated or noanimated move object
Inheritance Hierarchy
SystemObject
Furcadia.Net.Utils.ServerParserBaseServerInstruction
Furcadia.Net.Utils.ServerParserMoveFurre

Namespace: Furcadia.Net.Utils.ServerParser
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public class MoveFurre : BaseServerInstruction
Public Class MoveFurre
    Inherits BaseServerInstruction

Dim instance As MoveFurre
public ref class MoveFurre : public BaseServerInstruction
type MoveFurre =
    class
        inherit BaseServerInstruction
    end

The MoveFurre type exposes the following members.

Constructors
 | Name | Description
Public method | MoveFurre(String) | Initializes a new instance of the MoveFurre class.
Public method | MoveFurre(String, Furre) | Initializes a new instance of the MoveFurre class.
Top
Properties
 | Name | Description
Public property | InstructionType | Which Server to Client Instruction are we? (Inherited from BaseServerInstruction.)
Public property | RawInstruction | Raw Server to Client instruction (Inherited from BaseServerInstruction.)
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a String that represents this instance. (Overrides BaseServerInstructionToString.)
Top
Fields
 | Name | Description
Protected field | instructionType | (Inherited from BaseServerInstruction.)
Public field | Player | The active player
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Furcadia.Net.Utils.ServerParser Namespace


MoveFurre Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
 | Name | Description
Public method | MoveFurre(String) | Initializes a new instance of the MoveFurre class.
Public method | MoveFurre(String, Furre) | Initializes a new instance of the MoveFurre class.
Top
See Also

Reference

MoveFurre Class
Furcadia.Net.Utils.ServerParser Namespace


MoveFurre Constructor (String)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the MoveFurre class.

Namespace: Furcadia.Net.Utils.ServerParser
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public MoveFurre(
    string ServerInstruction
)
Public Sub New (
    ServerInstruction As String
)

Dim ServerInstruction As String

Dim instance As New MoveFurre(ServerInstruction)
public:
MoveFurre(
    String^ ServerInstruction
)
new :
        ServerInstruction : string -> MoveFurre

Parameters

ServerInstruction
Type: SystemString
raw server instruction
See Also

Reference

MoveFurre Class
MoveFurre Overload
Furcadia.Net.Utils.ServerParser Namespace


MoveFurre Constructor (String, Furre)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the MoveFurre class.

Namespace: Furcadia.Net.Utils.ServerParser
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public MoveFurre(
    string ServerInstruction,
    ref Furre ActiveFurre
)
Public Sub New (
    ServerInstruction As String,
    ByRef ActiveFurre As Furre
)

Dim ServerInstruction As String
Dim ActiveFurre As Furre

Dim instance As New MoveFurre(ServerInstruction,
    ActiveFurre)
public:
MoveFurre(
    String^ ServerInstruction,
    Furre^% ActiveFurre
)
new :
        ServerInstruction : string *
        ActiveFurre : Furre byref -> MoveFurre

Parameters

ServerInstruction
Type: SystemString
The server instruction.
ActiveFurre
Type: Furcadia.Net.DreamInfoFurre
The active furre.
See Also

Reference

MoveFurre Class
MoveFurre Overload
Furcadia.Net.Utils.ServerParser Namespace


MoveFurre Properties
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The MoveFurre type exposes the following members.

Properties
 | Name | Description
Public property | InstructionType | Which Server to Client Instruction are we? (Inherited from BaseServerInstruction.)
Public property | RawInstruction | Raw Server to Client instruction (Inherited from BaseServerInstruction.)
Top
See Also

Reference

MoveFurre Class
Furcadia.Net.Utils.ServerParser Namespace


MoveFurre Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The MoveFurre type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a String that represents this instance. (Overrides BaseServerInstructionToString.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

MoveFurre Class
Furcadia.Net.Utils.ServerParser Namespace


MoveFurre.ToString Method

MoveFurreToString Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Returns a String that represents this instance.

Namespace: Furcadia.Net.Utils.ServerParser
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public override string ToString()
Public Overrides Function ToString As String

Dim instance As MoveFurre
Dim returnValue As String

returnValue = instance.ToString()
public:
virtual String^ ToString() override
abstract ToString : unit -> string
override ToString : unit -> string

Return Value

Type: String
A String that represents this instance.
See Also

Reference

MoveFurre Class
Furcadia.Net.Utils.ServerParser Namespace


MoveFurre Fields
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The MoveFurre type exposes the following members.

Fields
 | Name | Description
Protected field | instructionType | (Inherited from BaseServerInstruction.)
Public field | Player | The active player
Top
See Also

Reference

MoveFurre Class
Furcadia.Net.Utils.ServerParser Namespace


MoveFurre.Player Field

MoveFurrePlayer Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The active player

Namespace: Furcadia.Net.Utils.ServerParser
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public IFurre Player
Public Player As IFurre

Dim instance As MoveFurre
Dim value As IFurre

value = instance.Player

instance.Player = value
public:
IFurre^ Player
val mutable Player: IFurre

Field Value

Type: IFurre
See Also

Reference

MoveFurre Class
Furcadia.Net.Utils.ServerParser Namespace


RemoveAvatar Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Remove Avatar Server Instruction Object
Inheritance Hierarchy
SystemObject
Furcadia.Net.Utils.ServerParserBaseServerInstruction
Furcadia.Net.Utils.ServerParserRemoveAvatar

Namespace: Furcadia.Net.Utils.ServerParser
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public class RemoveAvatar : BaseServerInstruction
Public Class RemoveAvatar
    Inherits BaseServerInstruction

Dim instance As RemoveAvatar
public ref class RemoveAvatar : public BaseServerInstruction
type RemoveAvatar =
    class
        inherit BaseServerInstruction
    end

The RemoveAvatar type exposes the following members.

Constructors
 | Name | Description
Public method | RemoveAvatar | Remove Avatar from the Dream Furre List by its Furre ID
Top
Properties
 | Name | Description
Public property | InstructionType | Which Server to Client Instruction are we? (Inherited from BaseServerInstruction.)
Public property | Player | Triggering furre being removed
Public property | RawInstruction | Raw Server to Client instruction (Inherited from BaseServerInstruction.)
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a String that represents this instance. (Overrides BaseServerInstructionToString.)
Top
Fields
 | Name | Description
Public field | FurreId | Avatar ID 4 byte Base220 string
Protected field | instructionType | (Inherited from BaseServerInstruction.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Furcadia.Net.Utils.ServerParser Namespace


RemoveAvatar Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Remove Avatar from the Dream Furre List by its Furre ID

Namespace: Furcadia.Net.Utils.ServerParser
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public RemoveAvatar(
    string ServerInstruction
)
Public Sub New (
    ServerInstruction As String
)

Dim ServerInstruction As String

Dim instance As New RemoveAvatar(ServerInstruction)
public:
RemoveAvatar(
    String^ ServerInstruction
)
new :
        ServerInstruction : string -> RemoveAvatar

Parameters

ServerInstruction
Type: SystemString

[Missing <param name="ServerInstruction"/> documentation for "M:Furcadia.Net.Utils.ServerParser.RemoveAvatar.#ctor(System.String)"]

See Also

Reference

RemoveAvatar Class
Furcadia.Net.Utils.ServerParser Namespace


RemoveAvatar Properties
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The RemoveAvatar type exposes the following members.

Properties
 | Name | Description
Public property | InstructionType | Which Server to Client Instruction are we? (Inherited from BaseServerInstruction.)
Public property | Player | Triggering furre being removed
Public property | RawInstruction | Raw Server to Client instruction (Inherited from BaseServerInstruction.)
Top
See Also

Reference

RemoveAvatar Class
Furcadia.Net.Utils.ServerParser Namespace


RemoveAvatar.Player Property

RemoveAvatarPlayer Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Triggering furre being removed

Namespace: Furcadia.Net.Utils.ServerParser
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public Furre Player { get; set; }
Public Property Player As Furre
    Get
    Set

Dim instance As RemoveAvatar
Dim value As Furre

value = instance.Player

instance.Player = value
public:
property Furre^ Player {
    Furre^ get ();
    void set (Furre^ value);
}
member Player : Furre with get, set

Property Value

Type: Furre
Triggering furre.
See Also

Reference

RemoveAvatar Class
Furcadia.Net.Utils.ServerParser Namespace


RemoveAvatar Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The RemoveAvatar type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a String that represents this instance. (Overrides BaseServerInstructionToString.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

RemoveAvatar Class
Furcadia.Net.Utils.ServerParser Namespace


RemoveAvatar.ToString Method

RemoveAvatarToString Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Returns a String that represents this instance.

Namespace: Furcadia.Net.Utils.ServerParser
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public override string ToString()
Public Overrides Function ToString As String

Dim instance As RemoveAvatar
Dim returnValue As String

returnValue = instance.ToString()
public:
virtual String^ ToString() override
abstract ToString : unit -> string
override ToString : unit -> string

Return Value

Type: String
A String that represents this instance.
See Also

Reference

RemoveAvatar Class
Furcadia.Net.Utils.ServerParser Namespace


RemoveAvatar Fields
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The RemoveAvatar type exposes the following members.

Fields
 | Name | Description
Public field | FurreId | Avatar ID 4 byte Base220 string
Protected field | instructionType | (Inherited from BaseServerInstruction.)
Top
See Also

Reference

RemoveAvatar Class
Furcadia.Net.Utils.ServerParser Namespace


RemoveAvatar.FurreId Field

RemoveAvatarFurreId Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Avatar ID

4 byte Base220 string

Namespace: Furcadia.Net.Utils.ServerParser
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public Base220 FurreId
Public FurreId As Base220

Dim instance As RemoveAvatar
Dim value As Base220

value = instance.FurreId

instance.FurreId = value
public:
Base220^ FurreId
val mutable FurreId: Base220

Field Value

Type: Base220
See Also

Reference

RemoveAvatar Class
Furcadia.Net.Utils.ServerParser Namespace


SpawnAvatar Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Process the Spaw Avatar Instruction
Inheritance Hierarchy
SystemObject
Furcadia.Net.Utils.ServerParserBaseServerInstruction
Furcadia.Net.Utils.ServerParserSpawnAvatar

Namespace: Furcadia.Net.Utils.ServerParser
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public class SpawnAvatar : BaseServerInstruction
Public Class SpawnAvatar
    Inherits BaseServerInstruction

Dim instance As SpawnAvatar
public ref class SpawnAvatar : public BaseServerInstruction
type SpawnAvatar =
    class
        inherit BaseServerInstruction
    end

The SpawnAvatar type exposes the following members.

Constructors
 | Name | Description
Public method | SpawnAvatar | Initializes a new instance of the SpawnAvatar class
Top
Properties
 | Name | Description
Public property | InstructionType | Which Server to Client Instruction are we? (Inherited from BaseServerInstruction.)
Public property | Player | the Active Player
Public property | PlayerFlags | Spawing plags
Public property | RawInstruction | Raw Server to Client instruction (Inherited from BaseServerInstruction.)
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a String that represents this instance. (Overrides BaseServerInstructionToString.)
Top
Fields
 | Name | Description
Protected field | instructionType | (Inherited from BaseServerInstruction.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
Remarks
"<" + user id + x + y + shape number + name + color code + flag + linefeed

http://dev.furcadia.com/docs/027_movement.html

See Also

Reference

Furcadia.Net.Utils.ServerParser Namespace


SpawnAvatar Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the SpawnAvatar class

Namespace: Furcadia.Net.Utils.ServerParser
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public SpawnAvatar(
    string ServerInstruction
)
Public Sub New (
    ServerInstruction As String
)

Dim ServerInstruction As String

Dim instance As New SpawnAvatar(ServerInstruction)
public:
SpawnAvatar(
    String^ ServerInstruction
)
new :
        ServerInstruction : string -> SpawnAvatar

Parameters

ServerInstruction
Type: SystemString

[Missing <param name="ServerInstruction"/> documentation for "M:Furcadia.Net.Utils.ServerParser.SpawnAvatar.#ctor(System.String)"]

See Also

Reference

SpawnAvatar Class
Furcadia.Net.Utils.ServerParser Namespace


SpawnAvatar Properties
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The SpawnAvatar type exposes the following members.

Properties
 | Name | Description
Public property | InstructionType | Which Server to Client Instruction are we? (Inherited from BaseServerInstruction.)
Public property | Player | the Active Player
Public property | PlayerFlags | Spawing plags
Public property | RawInstruction | Raw Server to Client instruction (Inherited from BaseServerInstruction.)
Top
See Also

Reference

SpawnAvatar Class
Furcadia.Net.Utils.ServerParser Namespace


SpawnAvatar.Player Property

SpawnAvatarPlayer Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

the Active Player

Namespace: Furcadia.Net.Utils.ServerParser
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public Furre Player { get; }
Public ReadOnly Property Player As Furre
    Get

Dim instance As SpawnAvatar
Dim value As Furre

value = instance.Player

public:
property Furre^ Player {
    Furre^ get ();
}
member Player : Furre with get

Property Value

Type: Furre
See Also

Reference

SpawnAvatar Class
Furcadia.Net.Utils.ServerParser Namespace


SpawnAvatar.PlayerFlags Property

SpawnAvatarPlayerFlags Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Spawing plags

Namespace: Furcadia.Net.Utils.ServerParser
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public CharacterFlags PlayerFlags { get; }
Public ReadOnly Property PlayerFlags As CharacterFlags
    Get

Dim instance As SpawnAvatar
Dim value As CharacterFlags

value = instance.PlayerFlags

public:
property CharacterFlags^ PlayerFlags {
    CharacterFlags^ get ();
}
member PlayerFlags : CharacterFlags with get

Property Value

Type: CharacterFlags
See Also

Reference

SpawnAvatar Class
Furcadia.Net.Utils.ServerParser Namespace


SpawnAvatar Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The SpawnAvatar type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a String that represents this instance. (Overrides BaseServerInstructionToString.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

SpawnAvatar Class
Furcadia.Net.Utils.ServerParser Namespace


SpawnAvatar.ToString Method

SpawnAvatarToString Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Returns a String that represents this instance.

Namespace: Furcadia.Net.Utils.ServerParser
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public override string ToString()
Public Overrides Function ToString As String

Dim instance As SpawnAvatar
Dim returnValue As String

returnValue = instance.ToString()
public:
virtual String^ ToString() override
abstract ToString : unit -> string
override ToString : unit -> string

Return Value

Type: String
A String that represents this instance.
See Also

Reference

SpawnAvatar Class
Furcadia.Net.Utils.ServerParser Namespace


SpawnAvatar Fields
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The SpawnAvatar type exposes the following members.

Fields
 | Name | Description
Protected field | instructionType | (Inherited from BaseServerInstruction.)
Top
See Also

Reference

SpawnAvatar Class
Furcadia.Net.Utils.ServerParser Namespace


UpdateColorString Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "T:Furcadia.Net.Utils.ServerParser.UpdateColorString"]

Inheritance Hierarchy
SystemObject
Furcadia.Net.Utils.ServerParserBaseServerInstruction
Furcadia.Net.Utils.ServerParserUpdateColorString

Namespace: Furcadia.Net.Utils.ServerParser
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public class UpdateColorString : BaseServerInstruction
Public Class UpdateColorString
    Inherits BaseServerInstruction

Dim instance As UpdateColorString
public ref class UpdateColorString : public BaseServerInstruction
type UpdateColorString =
    class
        inherit BaseServerInstruction
    end

The UpdateColorString type exposes the following members.

Constructors
 | Name | Description
Public method | UpdateColorString | Initializes a new instance of the UpdateColorString class
Top
Properties
 | Name | Description
Public property | InstructionType | Which Server to Client Instruction are we? (Inherited from BaseServerInstruction.)
Public property | RawInstruction | Raw Server to Client instruction (Inherited from BaseServerInstruction.)
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a String that represents this instance. (Inherited from BaseServerInstruction.)
Top
Fields
 | Name | Description
Protected field | instructionType | (Inherited from BaseServerInstruction.)
Public field | player | the Active Player
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Furcadia.Net.Utils.ServerParser Namespace


UpdateColorString Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the UpdateColorString class

Namespace: Furcadia.Net.Utils.ServerParser
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public UpdateColorString(
    IFurre Player,
    string ServerInstruction
)
Public Sub New (
    Player As IFurre,
    ServerInstruction As String
)

Dim Player As IFurre
Dim ServerInstruction As String

Dim instance As New UpdateColorString(Player,
    ServerInstruction)
public:
UpdateColorString(
    IFurre^ Player,
    String^ ServerInstruction
)
new :
        Player : IFurre *
        ServerInstruction : string -> UpdateColorString

Parameters

Player
Type: Furcadia.Net.DreamInfoIFurre

[Missing <param name="Player"/> documentation for "M:Furcadia.Net.Utils.ServerParser.UpdateColorString.#ctor(Furcadia.Net.DreamInfo.IFurre,System.String)"]

ServerInstruction
Type: SystemString

[Missing <param name="ServerInstruction"/> documentation for "M:Furcadia.Net.Utils.ServerParser.UpdateColorString.#ctor(Furcadia.Net.DreamInfo.IFurre,System.String)"]

See Also

Reference

UpdateColorString Class
Furcadia.Net.Utils.ServerParser Namespace


UpdateColorString Properties
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The UpdateColorString type exposes the following members.

Properties
 | Name | Description
Public property | InstructionType | Which Server to Client Instruction are we? (Inherited from BaseServerInstruction.)
Public property | RawInstruction | Raw Server to Client instruction (Inherited from BaseServerInstruction.)
Top
See Also

Reference

UpdateColorString Class
Furcadia.Net.Utils.ServerParser Namespace


UpdateColorString Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The UpdateColorString type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a String that represents this instance. (Inherited from BaseServerInstruction.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

UpdateColorString Class
Furcadia.Net.Utils.ServerParser Namespace


UpdateColorString Fields
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The UpdateColorString type exposes the following members.

Fields
 | Name | Description
Protected field | instructionType | (Inherited from BaseServerInstruction.)
Public field | player | the Active Player
Top
See Also

Reference

UpdateColorString Class
Furcadia.Net.Utils.ServerParser Namespace


UpdateColorString.player Field

UpdateColorStringplayer Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

the Active Player

Namespace: Furcadia.Net.Utils.ServerParser
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public IFurre player
Public player As IFurre

Dim instance As UpdateColorString
Dim value As IFurre

value = instance.player

instance.player = value
public:
IFurre^ player
val mutable player: IFurre

Field Value

Type: IFurre
See Also

Reference

UpdateColorString Class
Furcadia.Net.Utils.ServerParser Namespace


Furcadia.Net.Web Namespace
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Classes
 | Class | Description
Public class | Variable |
Public class | VariableEqualityComparer |
Public class | VariableIsConstantException |
Public class | WebRequests |
Public class | WebUtils | General Utility functions for working with web objects
Interfaces
 | Interface | Description
Public interface | IVariable |


IVariable Interface
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "T:Furcadia.Net.Web.IVariable"]

Namespace: Furcadia.Net.Web
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public interface IVariable : IEquatable<IVariable>
Public Interface IVariable
    Inherits IEquatable(Of IVariable)

Dim instance As IVariable
public interface class IVariable : IEquatable<IVariable^>
type IVariable =
    interface
        interface IEquatable<IVariable>
    end

The IVariable type exposes the following members.

Properties
 | Name | Description
Public property | IsConstant | Gets a value indicating whether this instance is constant.
Public property | Name |
Public property | Value | Gets or sets the value.
Top
Methods
 | Name | Description
Public method | Equals | Indicates whether the current object is equal to another object of the same type. (Inherited from IEquatable IVariable.)
Top
See Also

Reference

Furcadia.Net.Web Namespace


IVariable Properties
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The IVariable type exposes the following members.

Properties
 | Name | Description
Public property | IsConstant | Gets a value indicating whether this instance is constant.
Public property | Name |
Public property | Value | Gets or sets the value.
Top
See Also

Reference

IVariable Interface
Furcadia.Net.Web Namespace


IVariable.IsConstant Property

IVariableIsConstant Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets a value indicating whether this instance is constant.

Namespace: Furcadia.Net.Web
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
bool IsConstant { get; }
ReadOnly Property IsConstant As Boolean
    Get

Dim instance As IVariable
Dim value As Boolean

value = instance.IsConstant

property bool IsConstant {
    bool get ();
}
abstract IsConstant : bool with get

Property Value

Type: Boolean
true if this instance is constant; otherwise, false.
See Also

Reference

IVariable Interface
Furcadia.Net.Web Namespace


IVariable.Name Property

IVariableName Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "P:Furcadia.Net.Web.IVariable.Name"]

Namespace: Furcadia.Net.Web
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
string Name { get; }
ReadOnly Property Name As String
    Get

Dim instance As IVariable
Dim value As String

value = instance.Name

property String^ Name {
    String^ get ();
}
abstract Name : string with get

Property Value

Type: String
See Also

Reference

IVariable Interface
Furcadia.Net.Web Namespace


IVariable.Value Property

IVariableValue Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets or sets the value.

Namespace: Furcadia.Net.Web
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
Object Value { get; set; }
Property Value As Object
    Get
    Set

Dim instance As IVariable
Dim value As Object

value = instance.Value

instance.Value = value
property Object^ Value {
    Object^ get ();
    void set (Object^ value);
}
abstract Value : Object with get, set

Property Value

Type: Object
The value.
See Also

Reference

IVariable Interface
Furcadia.Net.Web Namespace


IVariable Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The IVariable type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Indicates whether the current object is equal to another object of the same type. (Inherited from IEquatable IVariable .)
Top
See Also

Reference

IVariable Interface
Furcadia.Net.Web Namespace


Variable Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "T:Furcadia.Net.Web.Variable"]

Inheritance Hierarchy
SystemObject
Furcadia.Net.WebVariable

Namespace: Furcadia.Net.Web
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
[SerializableAttribute]
[CLSCompliantAttribute(false)]
public class Variable : IVariable, IEquatable<IVariable>
<SerializableAttribute>
<CLSCompliantAttribute(false)>
Public Class Variable
    Implements IVariable, IEquatable(Of IVariable)

Dim instance As Variable
[SerializableAttribute]
[CLSCompliantAttribute(false)]
public ref class Variable : IVariable,
    IEquatable<IVariable^>
[<SerializableAttribute>]
[<CLSCompliantAttribute(false)>]
type Variable =
    class
        interface IVariable
        interface IEquatable<IVariable>
    end

The Variable type exposes the following members.

Constructors
 | Name | Description
Public method | Variable(String) | Initializes a new instance of the Variable class.
Public method | Variable(String, Object) | Initializes a new instance of the Variable class.
Top
Properties
 | Name | Description
Public property | IsConstant | Gets a value indicating whether this instance is constant.
Public property | Name |
Public property | Value | Gets or sets the value.
Top
Methods
 | Name | Description
Public method | Clone | Clones this instance.
Public method | Equals(Object) | Determines whether the specified Object, is equal to this instance. (Overrides ObjectEquals(Object).)
Public method | Equals(IVariable) | Indicates whether the current object is equal to another object of the same type.
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Returns the hash code for this instance. (Overrides ObjectGetHashCode.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a const identifier if the variable is constant followed by name, otherwise just the name is returned. (Overrides ObjectToString.)
Top
Operators
Name | Description
Addition(Variable, Double) | Implements the operator +.
Addition(Variable, String) | Implements the operator +.
Division | Implements the operator /.
Equality | Implements the operator ==.
(Variable to String) | Performs an implicit conversion from Variable to String.
(Variable to Double) | Performs an implicit conversion from Variable to Double.
Inequality | Implements the operator !=.
Multiply | Implements the operator *.
Subtraction | Implements the operator -.
Top
Fields
Name | Description
NoValue | The no value
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Furcadia.Net.Web Namespace
Furcadia.Net.WebIVariable


Variable Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
 | Name | Description
Public method | Variable(String) | Initializes a new instance of the Variable class.
Public method | Variable(String, Object) | Initializes a new instance of the Variable class.
Top
See Also

Reference

Variable Class
Furcadia.Net.Web Namespace


Variable Constructor (String)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the Variable class.

Namespace: Furcadia.Net.Web
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public Variable(
    string name
)
Public Sub New (
    name As String
)

Dim name As String

Dim instance As New Variable(name)
public:
Variable(
    String^ name
)
new :
        name : string -> Variable

Parameters

name
Type: SystemString
The name.
See Also

Reference

Variable Class
Variable Overload
Furcadia.Net.Web Namespace


Variable Constructor (String, Object)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the Variable class.

Namespace: Furcadia.Net.Web
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public Variable(
    string name,
    Object value
)
Public Sub New (
    name As String,
    value As Object
)

Dim name As String
Dim value As Object

Dim instance As New Variable(name, value)
public:
Variable(
    String^ name,
    Object^ value
)
new :
        name : string *
        value : Object -> Variable

Parameters

name
Type: SystemString
The name.
value
Type: SystemObject
The value.
See Also

Reference

Variable Class
Variable Overload
Furcadia.Net.Web Namespace


Variable Properties
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The Variable type exposes the following members.

Properties
 | Name | Description
Public property | IsConstant | Gets a value indicating whether this instance is constant.
Public property | Name |
Public property | Value | Gets or sets the value.
Top
See Also

Reference

Variable Class
Furcadia.Net.Web Namespace


Variable.IsConstant Property

VariableIsConstant Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets a value indicating whether this instance is constant.

Namespace: Furcadia.Net.Web
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool IsConstant { get; }
Public ReadOnly Property IsConstant As Boolean
    Get

Dim instance As Variable
Dim value As Boolean

value = instance.IsConstant

public:
virtual property bool IsConstant {
    bool get () sealed;
}
abstract IsConstant : bool with get
override IsConstant : bool with get

Property Value

Type: Boolean
true if this instance is constant; otherwise, false.

Implements

IVariableIsConstant
See Also

Reference

Variable Class
Furcadia.Net.Web Namespace


Variable.Name Property

VariableName Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "P:Furcadia.Net.Web.Variable.Name"]

Namespace: Furcadia.Net.Web
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string Name { get; }
Public ReadOnly Property Name As String
    Get

Dim instance As Variable
Dim value As String

value = instance.Name

public:
virtual property String^ Name {
    String^ get () sealed;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

IVariableName
See Also

Reference

Variable Class
Furcadia.Net.Web Namespace


Variable.Value Property

VariableValue Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets or sets the value.

Namespace: Furcadia.Net.Web
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public Object Value { get; set; }
Public Property Value As Object
    Get
    Set

Dim instance As Variable
Dim value As Object

value = instance.Value

instance.Value = value
public:
virtual property Object^ Value {
    Object^ get () sealed;
    void set (Object^ value) sealed;
}
abstract Value : Object with get, set
override Value : Object with get, set

Property Value

Type: Object
The value.

Implements

IVariableValue
Exceptions
Exception | Condition
TypeNotSupportedException |
VariableIsConstantException |
See Also

Reference

Variable Class
Furcadia.Net.Web Namespace


Variable Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The Variable type exposes the following members.

Methods
 | Name | Description
Public method | Clone | Clones this instance.
Public method | Equals(Object) | Determines whether the specified Object, is equal to this instance. (Overrides ObjectEquals(Object).)
Public method | Equals(IVariable) | Indicates whether the current object is equal to another object of the same type.
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Returns the hash code for this instance. (Overrides ObjectGetHashCode.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a const identifier if the variable is constant followed by name, otherwise just the name is returned. (Overrides ObjectToString.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Variable Class
Furcadia.Net.Web Namespace


Variable.Clone Method

VariableClone Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Clones this instance.

Namespace: Furcadia.Net.Web
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public Variable Clone()
Public Function Clone As Variable

Dim instance As Variable
Dim returnValue As Variable

returnValue = instance.Clone()
public:
Variable^ Clone()
member Clone : unit -> Variable

Return Value

Type: Variable

[Missing <returns> documentation for "M:Furcadia.Net.Web.Variable.Clone"]

See Also

Reference

Variable Class
Furcadia.Net.Web Namespace


Variable.Equals Method

VariableEquals Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
 | Name | Description
Public method | Equals(Object) | Determines whether the specified Object, is equal to this instance. (Overrides ObjectEquals(Object).)
Public method | Equals(IVariable) | Indicates whether the current object is equal to another object of the same type.
Top
See Also

Reference

Variable Class
Furcadia.Net.Web Namespace


Variable.Equals Method (Object)

VariableEquals Method (Object)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Determines whether the specified Object, is equal to this instance.

Namespace: Furcadia.Net.Web
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public override bool Equals(
    Object obj
)
Public Overrides Function Equals (
    obj As Object
) As Boolean

Dim instance As Variable
Dim obj As Object
Dim returnValue As Boolean

returnValue = instance.Equals(obj)
public:
virtual bool Equals(
    Object^ obj
) override
abstract Equals :
        obj : Object -> bool
override Equals :
        obj : Object -> bool

Parameters

obj
Type: SystemObject
The Object to compare with this instance.

Return Value

Type: Boolean
true if the specified Object is equal to this instance; otherwise, false.
See Also

Reference

Variable Class
Equals Overload
Furcadia.Net.Web Namespace


Variable.Equals Method (IVariable)

VariableEquals Method (IVariable)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Indicates whether the current object is equal to another object of the same type.

Namespace: Furcadia.Net.Web
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool Equals(
    IVariable other
)
Public Function Equals (
    other As IVariable
) As Boolean

Dim instance As Variable
Dim other As IVariable
Dim returnValue As Boolean

returnValue = instance.Equals(other)
public:
virtual bool Equals(
    IVariable^ other
) sealed
abstract Equals :
        other : IVariable -> bool
override Equals :
        other : IVariable -> bool

Parameters

other
Type: Furcadia.Net.WebIVariable
An object to compare with this object.

Return Value

Type: Boolean
true if the current object is equal to the other parameter; otherwise, false.

Implements

IEquatableTEquals(T)
See Also

Reference

Variable Class
Equals Overload
Furcadia.Net.Web Namespace


Variable.GetHashCode Method

VariableGetHashCode Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Returns the hash code for this instance.

Namespace: Furcadia.Net.Web
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public override int GetHashCode()
Public Overrides Function GetHashCode As Integer

Dim instance As Variable
Dim returnValue As Integer

returnValue = instance.GetHashCode()
public:
virtual int GetHashCode() override
abstract GetHashCode : unit -> int
override GetHashCode : unit -> int

Return Value

Type: Int32
A 32-bit signed integer that is the hash code for this instance.
See Also

Reference

Variable Class
Furcadia.Net.Web Namespace


Variable.ToString Method

VariableToString Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Returns a const identifier if the variable is constant followed by name,

otherwise just the name is returned.

Namespace: Furcadia.Net.Web
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public override string ToString()
Public Overrides Function ToString As String

Dim instance As Variable
Dim returnValue As String

returnValue = instance.ToString()
public:
virtual String^ ToString() override
abstract ToString : unit -> string
override ToString : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:Furcadia.Net.Web.Variable.ToString"]

See Also

Reference

Variable Class
Furcadia.Net.Web Namespace


Variable Operators and Type Conversions
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The Variable type exposes the following members.

Operators
Name | Description
Addition(Variable, Double) | Implements the operator +.
Addition(Variable, String) | Implements the operator +.
Division | Implements the operator /.
Equality | Implements the operator ==.
(Variable to String) | Performs an implicit conversion from Variable to String.
(Variable to Double) | Performs an implicit conversion from Variable to Double.
Inequality | Implements the operator !=.
Multiply | Implements the operator *.
Subtraction | Implements the operator -.
Top
See Also

Reference

Variable Class
Furcadia.Net.Web Namespace


Variable.Addition Operator

VariableAddition Operator

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
Name | Description
Addition(Variable, Double) | Implements the operator +.
Addition(Variable, String) | Implements the operator +.
Top
See Also

Reference

Variable Class
Furcadia.Net.Web Namespace


Variable.Addition Operator (Variable, Double)

VariableAddition Operator (Variable, Double)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Implements the operator +.

Namespace: Furcadia.Net.Web
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static Variable operator +(
    Variable varA,
    double num
)
Public Shared Operator + (
    varA As Variable,
    num As Double
) As Variable

Dim varA As Variable
Dim num As Double
Dim returnValue As Variable

returnValue = (varA + num)
public:
static Variable^ operator +(
    Variable^ varA,
    double num
)
static let inline (+)
        varA : Variable *
        num : float  : Variable

Parameters

varA
Type: Furcadia.Net.WebVariable
The variable a.
num
Type: SystemDouble
The number.

Return Value

Type: Variable
The result of the operator.
See Also

Reference

Variable Class
Addition Overload
Furcadia.Net.Web Namespace


Variable.Addition Operator (Variable, String)

VariableAddition Operator (Variable, String)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Implements the operator +.

Namespace: Furcadia.Net.Web
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static Variable operator +(
    Variable varA,
    string str
)
Public Shared Operator + (
    varA As Variable,
    str As String
) As Variable

Dim varA As Variable
Dim str As String
Dim returnValue As Variable

returnValue = (varA + str)
public:
static Variable^ operator +(
    Variable^ varA,
    String^ str
)
static let inline (+)
        varA : Variable *
        str : string  : Variable

Parameters

varA
Type: Furcadia.Net.WebVariable
The variable a.
str
Type: SystemString
The string.

Return Value

Type: Variable
The result of the operator.
See Also

Reference

Variable Class
Addition Overload
Furcadia.Net.Web Namespace


Variable.Division Operator

VariableDivision Operator

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Implements the operator /.

Namespace: Furcadia.Net.Web
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static Variable operator /(
    Variable varA,
    double num
)
Public Shared Operator / (
    varA As Variable,
    num As Double
) As Variable

Dim varA As Variable
Dim num As Double
Dim returnValue As Variable

returnValue = (varA / num)
public:
static Variable^ operator /(
    Variable^ varA,
    double num
)
static let inline (/)
        varA : Variable *
        num : float  : Variable

Parameters

varA
Type: Furcadia.Net.WebVariable
The variable a.
num
Type: SystemDouble
The number.

Return Value

Type: Variable
The result of the operator.
See Also

Reference

Variable Class
Furcadia.Net.Web Namespace


Variable.Equality Operator

VariableEquality Operator

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Implements the operator ==.

Namespace: Furcadia.Net.Web
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static bool operator ==(
    Variable varA,
    Variable varB
)
Public Shared Operator = (
    varA As Variable,
    varB As Variable
) As Boolean

Dim varA As Variable
Dim varB As Variable
Dim returnValue As Boolean

returnValue = (varA = varB)
public:
static bool operator ==(
    Variable^ varA,
    Variable^ varB
)
static let inline (=)
        varA : Variable *
        varB : Variable  : bool

Parameters

varA
Type: Furcadia.Net.WebVariable
The variable a.
varB
Type: Furcadia.Net.WebVariable
The variable b.

Return Value

Type: Boolean
The result of the operator.
See Also

Reference

Variable Class
Furcadia.Net.Web Namespace


Variable Implicit Conversion Operators

Variable Conversion Operators
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
Name | Description
(Variable to String) | Performs an implicit conversion from Variable to String.
(Variable to Double) | Performs an implicit conversion from Variable to Double.
Top
See Also

Reference

Variable Class
Furcadia.Net.Web Namespace


Variable Implicit Conversion (Variable to String)

Variable Conversion (Variable to String)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Performs an implicit conversion from Variable to String.

Namespace: Furcadia.Net.Web
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static implicit operator string (
    Variable var
)
Public Shared Widening Operator CType (
    var As Variable
) As String

Dim input As Variable
Dim output As String

output = CType(input, String)
static implicit operator String^ (
    Variable^ var
)
F# does not support the declaration of new casting operators.

Parameters

var
Type: Furcadia.Net.WebVariable
The variable.

Return Value

Type: String
The result of the conversion.
See Also

Reference

Variable Class
Overload
Furcadia.Net.Web Namespace


Variable Implicit Conversion (Variable to Double)

Variable Conversion (Variable to Double)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Performs an implicit conversion from Variable to Double.

Namespace: Furcadia.Net.Web
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static implicit operator double (
    Variable var
)
Public Shared Widening Operator CType (
    var As Variable
) As Double

Dim input As Variable
Dim output As Double

output = CType(input, Double)
static implicit operator double (
    Variable^ var
)
F# does not support the declaration of new casting operators.

Parameters

var
Type: Furcadia.Net.WebVariable
The variable.

Return Value

Type: Double
The result of the conversion.
See Also

Reference

Variable Class
Overload
Furcadia.Net.Web Namespace


Variable.Inequality Operator

VariableInequality Operator

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Implements the operator !=.

Namespace: Furcadia.Net.Web
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static bool operator !=(
    Variable varA,
    Variable varB
)
Public Shared Operator <> (
    varA As Variable,
    varB As Variable
) As Boolean

Dim varA As Variable
Dim varB As Variable
Dim returnValue As Boolean

returnValue = (varA <> varB)
public:
static bool operator !=(
    Variable^ varA,
    Variable^ varB
)
static let inline (<>)
        varA : Variable *
        varB : Variable  : bool

Parameters

varA
Type: Furcadia.Net.WebVariable
The variable a.
varB
Type: Furcadia.Net.WebVariable
The variable b.

Return Value

Type: Boolean
The result of the operator.
See Also

Reference

Variable Class
Furcadia.Net.Web Namespace


Variable.Multiply Operator

VariableMultiply Operator

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Implements the operator *.

Namespace: Furcadia.Net.Web
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static Variable operator *(
    Variable varA,
    double num
)
Public Shared Operator * (
    varA As Variable,
    num As Double
) As Variable

Dim varA As Variable
Dim num As Double
Dim returnValue As Variable

returnValue = (varA * num)
public:
static Variable^ operator *(
    Variable^ varA,
    double num
)
static let inline (*)
        varA : Variable *
        num : float  : Variable

Parameters

varA
Type: Furcadia.Net.WebVariable
The variable a.
num
Type: SystemDouble
The number.

Return Value

Type: Variable
The result of the operator.
See Also

Reference

Variable Class
Furcadia.Net.Web Namespace


Variable.Subtraction Operator

VariableSubtraction Operator

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Implements the operator -.

Namespace: Furcadia.Net.Web
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static Variable operator -(
    Variable varA,
    double num
)
Public Shared Operator - (
    varA As Variable,
    num As Double
) As Variable

Dim varA As Variable
Dim num As Double
Dim returnValue As Variable

returnValue = (varA - num)
public:
static Variable^ operator -(
    Variable^ varA,
    double num
)
static let inline (-)
        varA : Variable *
        num : float  : Variable

Parameters

varA
Type: Furcadia.Net.WebVariable
The variable a.
num
Type: SystemDouble
The number.

Return Value

Type: Variable
The result of the operator.
See Also

Reference

Variable Class
Furcadia.Net.Web Namespace


Variable Fields
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The Variable type exposes the following members.

Fields
Name | Description
NoValue | The no value
Top
See Also

Reference

Variable Class
Furcadia.Net.Web Namespace


Variable.NoValue Field

VariableNoValue Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The no value

Namespace: Furcadia.Net.Web
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static readonly IVariable NoValue
Public Shared ReadOnly NoValue As IVariable

Dim value As IVariable

value = Variable.NoValue

public:
static initonly IVariable^ NoValue
static val NoValue: IVariable

Field Value

Type: IVariable
See Also

Reference

Variable Class
Furcadia.Net.Web Namespace


VariableEqualityComparer Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "T:Furcadia.Net.Web.VariableEqualityComparer"]

Inheritance Hierarchy
SystemObject
Furcadia.Net.WebVariableEqualityComparer

Namespace: Furcadia.Net.Web
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public class VariableEqualityComparer : IEqualityComparer<IVariable>
Public Class VariableEqualityComparer
    Implements IEqualityComparer(Of IVariable)

Dim instance As VariableEqualityComparer
public ref class VariableEqualityComparer : IEqualityComparer<IVariable^>
type VariableEqualityComparer =
    class
        interface IEqualityComparer<IVariable>
    end

The VariableEqualityComparer type exposes the following members.

Constructors
 | Name | Description
Public method | VariableEqualityComparer | Initializes a new instance of the VariableEqualityComparer class
Top
Methods
 | Name | Description
Public method | Equals(Object) | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Public method | Equals(IVariable, IVariable) | Determines whether the specified objects are equal.
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetHashCode(IVariable) | Returns a hash code for this instance.
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Furcadia.Net.Web Namespace


VariableEqualityComparer Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the VariableEqualityComparer class

Namespace: Furcadia.Net.Web
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public VariableEqualityComparer()
Public Sub New

Dim instance As New VariableEqualityComparer()
public:
VariableEqualityComparer()
new : unit -> VariableEqualityComparer
See Also

Reference

VariableEqualityComparer Class
Furcadia.Net.Web Namespace


VariableEqualityComparer Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The VariableEqualityComparer type exposes the following members.

Methods
 | Name | Description
Public method | Equals(Object) | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Public method | Equals(IVariable, IVariable) | Determines whether the specified objects are equal.
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetHashCode(IVariable) | Returns a hash code for this instance.
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

VariableEqualityComparer Class
Furcadia.Net.Web Namespace


VariableEqualityComparer.Equals Method

VariableEqualityComparerEquals Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
 | Name | Description
Public method | Equals(Object) | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Public method | Equals(IVariable, IVariable) | Determines whether the specified objects are equal.
Top
See Also

Reference

VariableEqualityComparer Class
Furcadia.Net.Web Namespace


VariableEqualityComparer.Equals Method (IVariable, IVariable)

VariableEqualityComparerEquals Method (IVariable, IVariable)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Determines whether the specified objects are equal.

Namespace: Furcadia.Net.Web
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool Equals(
    IVariable x,
    IVariable y
)
Public Function Equals (
    x As IVariable,
    y As IVariable
) As Boolean

Dim instance As VariableEqualityComparer
Dim x As IVariable
Dim y As IVariable
Dim returnValue As Boolean

returnValue = instance.Equals(x, y)
public:
virtual bool Equals(
    IVariable^ x,
    IVariable^ y
) sealed
abstract Equals :
        x : IVariable *
        y : IVariable -> bool
override Equals :
        x : IVariable *
        y : IVariable -> bool

Parameters

x
Type: Furcadia.Net.WebIVariable

[Missing <param name="x"/> documentation for "M:Furcadia.Net.Web.VariableEqualityComparer.Equals(Furcadia.Net.Web.IVariable,Furcadia.Net.Web.IVariable)"]

y
Type: Furcadia.Net.WebIVariable

[Missing <param name="y"/> documentation for "M:Furcadia.Net.Web.VariableEqualityComparer.Equals(Furcadia.Net.Web.IVariable,Furcadia.Net.Web.IVariable)"]

Return Value

Type: Boolean
true if the specified objects are equal; otherwise, false.

Implements

IEqualityComparerTEquals(T, T)
See Also

Reference

VariableEqualityComparer Class
Equals Overload
Furcadia.Net.Web Namespace


VariableEqualityComparer.GetHashCode Method

VariableEqualityComparerGetHashCode Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
 | Name | Description
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetHashCode(IVariable) | Returns a hash code for this instance.
Top
See Also

Reference

VariableEqualityComparer Class
Furcadia.Net.Web Namespace


VariableEqualityComparer.GetHashCode Method (IVariable)

VariableEqualityComparerGetHashCode Method (IVariable)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Returns a hash code for this instance.

Namespace: Furcadia.Net.Web
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public int GetHashCode(
    IVariable obj
)
Public Function GetHashCode (
    obj As IVariable
) As Integer

Dim instance As VariableEqualityComparer
Dim obj As IVariable
Dim returnValue As Integer

returnValue = instance.GetHashCode(obj)
public:
virtual int GetHashCode(
    IVariable^ obj
) sealed
abstract GetHashCode :
        obj : IVariable -> int
override GetHashCode :
        obj : IVariable -> int

Parameters

obj
Type: Furcadia.Net.WebIVariable
The object.

Return Value

Type: Int32
A hash code for this instance, suitable for use in hashing algorithms and data structures like a hash table.

Implements

IEqualityComparerTGetHashCode(T)
See Also

Reference

VariableEqualityComparer Class
GetHashCode Overload
Furcadia.Net.Web Namespace


VariableIsConstantException Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "T:Furcadia.Net.Web.VariableIsConstantException"]

Inheritance Hierarchy
SystemObject
SystemException
Furcadia.Net.WebVariableIsConstantException

Namespace: Furcadia.Net.Web
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
[SerializableAttribute]
public class VariableIsConstantException : Exception
<SerializableAttribute>
Public Class VariableIsConstantException
    Inherits Exception

Dim instance As VariableIsConstantException
[SerializableAttribute]
public ref class VariableIsConstantException : public Exception
[<SerializableAttribute>]
type VariableIsConstantException =
    class
        inherit Exception
    end

The VariableIsConstantException type exposes the following members.

Constructors
 | Name | Description
Public method | VariableIsConstantException | Initializes a new instance of the VariableIsConstantException class
Public method | VariableIsConstantException(String) | Initializes a new instance of the VariableIsConstantException class.
Protected method | VariableIsConstantException(SerializationInfo, StreamingContext) | Initializes a new instance of the VariableIsConstantException class.
Public method | VariableIsConstantException(String, Exception) | Initializes a new instance of the VariableIsConstantException class.
Top
Properties
 | Name | Description
Public property | Data | Gets a collection of key/value pairs that provide additional user-defined information about the exception. (Inherited from Exception.)
Public property | HelpLink | Gets or sets a link to the help file associated with this exception. (Inherited from Exception.)
Public property | HResult | Gets or sets HRESULT, a coded numerical value that is assigned to a specific exception. (Inherited from Exception.)
Public property | InnerException | Gets the Exception instance that caused the current exception. (Inherited from Exception.)
Public property | Message | Gets a message that describes the current exception. (Inherited from Exception.)
Public property | Source | Gets or sets the name of the application or the object that causes the error. (Inherited from Exception.)
Public property | StackTrace | Gets a string representation of the immediate frames on the call stack. (Inherited from Exception.)
Public property | TargetSite | Gets the method that throws the current exception. (Inherited from Exception.)
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetBaseException | When overridden in a derived class, returns the Exception that is the root cause of one or more subsequent exceptions. (Inherited from Exception.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetObjectData | When overridden in a derived class, sets the SerializationInfo with information about the exception. (Inherited from Exception.)
Public method | GetType | Gets the runtime type of the current instance. (Inherited from Exception.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Creates and returns a string representation of the current exception. (Inherited from Exception.)
Top
Events
 | Name | Description
Protected event | SerializeObjectState | Occurs when an exception is serialized to create an exception state object that contains serialized data about the exception. (Inherited from Exception.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Public Extension Method | Flatten | Flattens the specified exception. (Defined by ExceptionExtensions.)
Public Extension Method | Log(Level, String) | Overloaded. Logs the specified level. (Defined by ExceptionExtensions.)
Public Extension Method | LogT(Level, String) | Overloaded. Logs the specified level. (Defined by ExceptionExtensions.)
Public Extension Method | LogMessage(Level, String) | Overloaded. Logs the message. (Defined by ExceptionExtensions.)
Public Extension Method | LogMessageT(Level, String) | Overloaded. Logs the message. (Defined by ExceptionExtensions.)
Top
See Also

Reference

Furcadia.Net.Web Namespace
SystemException


VariableIsConstantException Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
 | Name | Description
Public method | VariableIsConstantException | Initializes a new instance of the VariableIsConstantException class
Public method | VariableIsConstantException(String) | Initializes a new instance of the VariableIsConstantException class.
Protected method | VariableIsConstantException(SerializationInfo, StreamingContext) | Initializes a new instance of the VariableIsConstantException class.
Public method | VariableIsConstantException(String, Exception) | Initializes a new instance of the VariableIsConstantException class.
Top
See Also

Reference

VariableIsConstantException Class
Furcadia.Net.Web Namespace


VariableIsConstantException Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the VariableIsConstantException class

Namespace: Furcadia.Net.Web
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public VariableIsConstantException()
Public Sub New

Dim instance As New VariableIsConstantException()
public:
VariableIsConstantException()
new : unit -> VariableIsConstantException
See Also

Reference

VariableIsConstantException Class
VariableIsConstantException Overload
Furcadia.Net.Web Namespace


VariableIsConstantException Constructor (String)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the VariableIsConstantException class.

Namespace: Furcadia.Net.Web
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public VariableIsConstantException(
    string message
)
Public Sub New (
    message As String
)

Dim message As String

Dim instance As New VariableIsConstantException(message)
public:
VariableIsConstantException(
    String^ message
)
new :
        message : string -> VariableIsConstantException

Parameters

message
Type: SystemString
The message that describes the error.
See Also

Reference

VariableIsConstantException Class
VariableIsConstantException Overload
Furcadia.Net.Web Namespace


VariableIsConstantException Constructor (SerializationInfo, StreamingContext)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the VariableIsConstantException class.

Namespace: Furcadia.Net.Web
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
protected VariableIsConstantException(
    SerializationInfo info,
    StreamingContext context
)
Protected Sub New (
    info As SerializationInfo,
    context As StreamingContext
)

Dim info As SerializationInfo
Dim context As StreamingContext

Dim instance As New VariableIsConstantException(info, context)
protected:
VariableIsConstantException(
    SerializationInfo^ info,
    StreamingContext context
)
new :
        info : SerializationInfo *
        context : StreamingContext -> VariableIsConstantException

Parameters

info
Type: System.Runtime.SerializationSerializationInfo
The SerializationInfo that holds the serialized object data about the exception being thrown.
context
Type: System.Runtime.SerializationStreamingContext
The StreamingContext that contains contextual information about the source or destination.
See Also

Reference

VariableIsConstantException Class
VariableIsConstantException Overload
Furcadia.Net.Web Namespace


VariableIsConstantException Constructor (String, Exception)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the VariableIsConstantException class.

Namespace: Furcadia.Net.Web
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public VariableIsConstantException(
    string message,
    Exception inner
)
Public Sub New (
    message As String,
    inner As Exception
)

Dim message As String
Dim inner As Exception

Dim instance As New VariableIsConstantException(message,
    inner)
public:
VariableIsConstantException(
    String^ message,
    Exception^ inner
)
new :
        message : string *
        inner : Exception -> VariableIsConstantException

Parameters

message
Type: SystemString
The message.
inner
Type: SystemException
The inner.
See Also

Reference

VariableIsConstantException Class
VariableIsConstantException Overload
Furcadia.Net.Web Namespace


VariableIsConstantException Properties
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The VariableIsConstantException type exposes the following members.

Properties
 | Name | Description
Public property | Data | Gets a collection of key/value pairs that provide additional user-defined information about the exception. (Inherited from Exception.)
Public property | HelpLink | Gets or sets a link to the help file associated with this exception. (Inherited from Exception.)
Public property | HResult | Gets or sets HRESULT, a coded numerical value that is assigned to a specific exception. (Inherited from Exception.)
Public property | InnerException | Gets the Exception instance that caused the current exception. (Inherited from Exception.)
Public property | Message | Gets a message that describes the current exception. (Inherited from Exception.)
Public property | Source | Gets or sets the name of the application or the object that causes the error. (Inherited from Exception.)
Public property | StackTrace | Gets a string representation of the immediate frames on the call stack. (Inherited from Exception.)
Public property | TargetSite | Gets the method that throws the current exception. (Inherited from Exception.)
Top
See Also

Reference

VariableIsConstantException Class
Furcadia.Net.Web Namespace


VariableIsConstantException Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The VariableIsConstantException type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetBaseException | When overridden in a derived class, returns the Exception that is the root cause of one or more subsequent exceptions. (Inherited from Exception.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetObjectData | When overridden in a derived class, sets the SerializationInfo with information about the exception. (Inherited from Exception.)
Public method | GetType | Gets the runtime type of the current instance. (Inherited from Exception.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Creates and returns a string representation of the current exception. (Inherited from Exception.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Public Extension Method | Flatten | Flattens the specified exception. (Defined by ExceptionExtensions.)
Public Extension Method | Log(Level, String) | Overloaded. Logs the specified level. (Defined by ExceptionExtensions.)
Public Extension Method | LogT(Level, String) | Overloaded. Logs the specified level. (Defined by ExceptionExtensions.)
Public Extension Method | LogMessage(Level, String) | Overloaded. Logs the message. (Defined by ExceptionExtensions.)
Public Extension Method | LogMessageT(Level, String) | Overloaded. Logs the message. (Defined by ExceptionExtensions.)
Top
See Also

Reference

VariableIsConstantException Class
Furcadia.Net.Web Namespace


VariableIsConstantException Events
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The VariableIsConstantException type exposes the following members.

Events
 | Name | Description
Protected event | SerializeObjectState | Occurs when an exception is serialized to create an exception state object that contains serialized data about the exception. (Inherited from Exception.)
Top
See Also

Reference

VariableIsConstantException Class
Furcadia.Net.Web Namespace


WebRequests Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "T:Furcadia.Net.Web.WebRequests"]

Inheritance Hierarchy
SystemObject
Furcadia.Net.WebWebRequests

Namespace: Furcadia.Net.Web
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public class WebRequests
Public Class WebRequests

Dim instance As WebRequests
public ref class WebRequests
type WebRequests =  class end

The WebRequests type exposes the following members.

Constructors
 | Name | Description
Public method | WebRequests | Initializes a new instance of the WebRequests class.
Top
Properties
Name | Description
UserAgent | Gets or sets the user agent.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
 | SendPostRequest | Sends the post data request to a web server.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Furcadia.Net.Web Namespace


WebRequests Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the WebRequests class.

Namespace: Furcadia.Net.Web
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public WebRequests()
Public Sub New

Dim instance As New WebRequests()
public:
WebRequests()
new : unit -> WebRequests
See Also

Reference

WebRequests Class
Furcadia.Net.Web Namespace


WebRequests Properties
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The WebRequests type exposes the following members.

Properties
Name | Description
UserAgent | Gets or sets the user agent.
Top
See Also

Reference

WebRequests Class
Furcadia.Net.Web Namespace


WebRequests.UserAgent Property

WebRequestsUserAgent Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets or sets the user agent.

Namespace: Furcadia.Net.Web
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static string UserAgent { get; set; }
Public Shared Property UserAgent As String
    Get
    Set

Dim value As String

value = WebRequests.UserAgent

WebRequests.UserAgent = value
public:
static property String^ UserAgent {
    String^ get ();
    void set (String^ value);
}
static member UserAgent : string with get, set

Property Value

Type: String
The user agent.
See Also

Reference

WebRequests Class
Furcadia.Net.Web Namespace


WebRequests Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The WebRequests type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
 | SendPostRequest | Sends the post data request to a web server.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

WebRequests Class
Furcadia.Net.Web Namespace


WebRequests.SendPostRequest Method

WebRequestsSendPostRequest Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Sends the post data request to a web server.

Namespace: Furcadia.Net.Web
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static string SendPostRequest(
    string PostData,
    string url
)
Public Shared Function SendPostRequest (
    PostData As String,
    url As String
) As String

Dim PostData As String
Dim url As String
Dim returnValue As String

returnValue = WebRequests.SendPostRequest(PostData,
    url)
public:
static String^ SendPostRequest(
    String^ PostData,
    String^ url
)
static member SendPostRequest :
        PostData : string *
        url : string -> string

Parameters

PostData
Type: SystemString
The post data.
url
Type: SystemString
The URL.

Return Value

Type: String

[Missing <returns> documentation for "M:Furcadia.Net.Web.WebRequests.SendPostRequest(System.String,System.String)"]

See Also

Reference

WebRequests Class
Furcadia.Net.Web Namespace


WebUtils Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

General Utility functions for working with web objects
Inheritance Hierarchy
SystemObject
Furcadia.Net.WebWebUtils

Namespace: Furcadia.Net.Web
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static class WebUtils
Public NotInheritable Class WebUtils

You do not need to declare an instance of a static class in order to access its members.
public ref class WebUtils abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
type WebUtils =  class end

The WebUtils type exposes the following members.

Methods
Name | Description
PrepWebData | Preps the web data.
Top
See Also

Reference

Furcadia.Net.Web Namespace


WebUtils Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The WebUtils type exposes the following members.

Methods
Name | Description
PrepWebData | Preps the web data.
Top
See Also

Reference

WebUtils Class
Furcadia.Net.Web Namespace


WebUtils.PrepWebData Method

WebUtilsPrepWebData Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Preps the web data.

Namespace: Furcadia.Net.Web
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static string PrepWebData(
    List<IVariable> list
)
Public Shared Function PrepWebData (
    list As List(Of IVariable)
) As String

Dim list As List(Of IVariable)
Dim returnValue As String

returnValue = WebUtils.PrepWebData(list)
public:
static String^ PrepWebData(
    List<IVariable^>^ list
)
static member PrepWebData :
        list : List<IVariable> -> string

Parameters

list
Type: System.Collections.GenericList IVariable
The list.

Return Value

Type: String

[Missing <returns> documentation for "M:Furcadia.Net.Web.WebUtils.PrepWebData(System.Collections.Generic.List{Furcadia.Net.Web.IVariable})"]

See Also

Reference

WebUtils Class
Furcadia.Net.Web Namespace


Furcadia.Text Namespace
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Classes
 | Class | Description
Public class | Base220 | Furcadia Base220 Encoding Author: Artex (aka, 1337) Modified by: Gerolkae
Public class | Base95 | Base95 Encoding Author: Artex (aka, 1337) Modified by: Gerolkae
Public class | FurcadiaMarkup | Furcadia Markup Language (FML) REGEX
Public class | IniParser |
Public class | Settings | A simple way to load settings whether from ini or xml.


Base220 Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Furcadia Base220 Encoding

Author: Artex (aka, 1337)

Modified by: Gerolkae

Inheritance Hierarchy
SystemObject
Furcadia.TextBase220

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public class Base220 : IComparable<int>,
    IEquatable<int>
Public Class Base220
    Implements IComparable(Of Integer), IEquatable(Of Integer)

Dim instance As Base220
public ref class Base220 : IComparable<int>,
    IEquatable<int>
type Base220 =
    class
        interface IComparable<int>
        interface IEquatable<int>
    end

The Base220 type exposes the following members.

Constructors
 | Name | Description
Public method | Base220 | Initializes a new instance of the Base220 class.
Public method | Base220(Int32) | Initializes a new instance of the Base220 class.
Public method | Base220(String) | Initializes a new instance of the Base220 class
Top
Properties
 | Name | Description
Public property | Value | Gets the value.
Top
Methods
 | Name | Description
 | Base220StringLengeth | Process Base220 Strings. these are string Prefixed with a Base220 character representing the Length of the string
Public method | CompareTo | Compares the current instance with another object of the same type and returns an integer that indicates whether the current instance precedes, follows, or occurs in the same position in the sort order as the other object.
 | ConvertFromBase220(Char) | Converts from base220.
 | ConvertFromBase220(String) | Converts from base220.
 | ConvertToBase220(Int32) | Converts to base220.
 | ConvertToBase220(Int32, Int32) | Converts to base220.
Public method | Equals(Int32) | Indicates whether the current object is equal to another object of the same type.
Public method | Equals(Object) | Determines whether the specified Object, is equal to this instance. (Overrides ObjectEquals(Object).)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | FromString | Froms the string.
Public method | GetHashCode | Returns a hash code for this instance. (Overrides ObjectGetHashCode.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToByteArray | To the byte array.
Public method | ToByteArray(Int32) | To the byte array.
Public method | ToString | Returns a String that represents this instance. (Overrides ObjectToString.)
Public method | ToString(Int32) | Returns a String that represents this instance.
Top
Operators
Name | Description
Addition | Implements the operator +.
Division | Implements the operator /.
Equality | Implements the operator ==.
(Base220 to Int16) | Performs an explicit conversion from Base220 to Int16.
GreaterThan | Implements the operator >.
(Int16 to Base220) | Performs an implicit conversion from Int16 to Base220.
(Int32 to Base220) | Performs an implicit conversion from Int32 to Base220.
(String to Base220) | Performs an implicit conversion from String to Base220.
(Base220 to Byte) | Performs an implicit conversion from Base220 to Byte.
(Base220 to Int32) | Performs an implicit conversion from Base220 to Int32.
(Base220 to String) | Performs an implicit conversion from Base220 to String.
Inequality | Implements the operator !=.
LessThan | Implements the operator <.
Modulus | Implements the operator %.
Multiply | Implements the operator *.
Subtraction | Implements the operator -.
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
Remarks
Reference http://dev.furcadia.com/docs/base220.pdf
See Also

Reference

Furcadia.Text Namespace


Base220 Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
 | Name | Description
Public method | Base220 | Initializes a new instance of the Base220 class.
Public method | Base220(Int32) | Initializes a new instance of the Base220 class.
Public method | Base220(String) | Initializes a new instance of the Base220 class
Top
See Also

Reference

Base220 Class
Furcadia.Text Namespace


Base220 Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the Base220 class.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public Base220()
Public Sub New

Dim instance As New Base220()
public:
Base220()
new : unit -> Base220
See Also

Reference

Base220 Class
Base220 Overload
Furcadia.Text Namespace


Base220 Constructor (Int32)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the Base220 class.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public Base220(
    int n
)
Public Sub New (
    n As Integer
)

Dim n As Integer

Dim instance As New Base220(n)
public:
Base220(
    int n
)
new :
        n : int -> Base220

Parameters

n
Type: SystemInt32
The n.
See Also

Reference

Base220 Class
Base220 Overload
Furcadia.Text Namespace


Base220 Constructor (String)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the Base220 class

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public Base220(
    string Base220String
)
Public Sub New (
    Base220String As String
)

Dim Base220String As String

Dim instance As New Base220(Base220String)
public:
Base220(
    String^ Base220String
)
new :
        Base220String : string -> Base220

Parameters

Base220String
Type: SystemString

[Missing <param name="Base220String"/> documentation for "M:Furcadia.Text.Base220.#ctor(System.String)"]

See Also

Reference

Base220 Class
Base220 Overload
Furcadia.Text Namespace


Base220 Properties
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The Base220 type exposes the following members.

Properties
 | Name | Description
Public property | Value | Gets the value.
Top
See Also

Reference

Base220 Class
Furcadia.Text Namespace


Base220.Value Property

Base220Value Property

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Gets the value.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public int Value { get; }
Public ReadOnly Property Value As Integer
    Get

Dim instance As Base220
Dim value As Integer

value = instance.Value

public:
property int Value {
    int get ();
}
member Value : int with get

Property Value

Type: Int32
The value.
See Also

Reference

Base220 Class
Furcadia.Text Namespace


Base220 Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The Base220 type exposes the following members.

Methods
 | Name | Description
 | Base220StringLengeth | Process Base220 Strings. these are string Prefixed with a Base220 character representing the Length of the string
Public method | CompareTo | Compares the current instance with another object of the same type and returns an integer that indicates whether the current instance precedes, follows, or occurs in the same position in the sort order as the other object.
 | ConvertFromBase220(Char) | Converts from base220.
 | ConvertFromBase220(String) | Converts from base220.
 | ConvertToBase220(Int32) | Converts to base220.
 | ConvertToBase220(Int32, Int32) | Converts to base220.
Public method | Equals(Int32) | Indicates whether the current object is equal to another object of the same type.
Public method | Equals(Object) | Determines whether the specified Object, is equal to this instance. (Overrides ObjectEquals(Object).)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | FromString | Froms the string.
Public method | GetHashCode | Returns a hash code for this instance. (Overrides ObjectGetHashCode.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToByteArray | To the byte array.
Public method | ToByteArray(Int32) | To the byte array.
Public method | ToString | Returns a String that represents this instance. (Overrides ObjectToString.)
Public method | ToString(Int32) | Returns a String that represents this instance.
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Base220 Class
Furcadia.Text Namespace


Base220.Base220StringLengeth Method

Base220Base220StringLengeth Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Process Base220 Strings.

these are string Prefixed with a Base220 character representing the Length of the string

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static int Base220StringLengeth(
    ref string b220str
)
Public Shared Function Base220StringLengeth (
    ByRef b220str As String
) As Integer

Dim b220str As String
Dim returnValue As Integer

returnValue = Base220.Base220StringLengeth(b220str)
public:
static int Base220StringLengeth(
    String^% b220str
)
static member Base220StringLengeth :
        b220str : string byref -> int

Parameters

b220str
Type: SystemString

[Missing <param name="b220str"/> documentation for "M:Furcadia.Text.Base220.Base220StringLengeth(System.String@)"]

Return Value

Type: Int32

[Missing <returns> documentation for "M:Furcadia.Text.Base220.Base220StringLengeth(System.String@)"]

Remarks
Reference Base 220 Strings http://dev.furcadia.com/docs/base220.pdf
See Also

Reference

Base220 Class
Furcadia.Text Namespace


Base220.CompareTo Method

Base220CompareTo Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Compares the current instance with another object of the same type and returns an integer that indicates whether the current instance precedes, follows, or occurs in the same position in the sort order as the other object.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public int CompareTo(
    int other
)
Public Function CompareTo (
    other As Integer
) As Integer

Dim instance As Base220
Dim other As Integer
Dim returnValue As Integer

returnValue = instance.CompareTo(other)
public:
virtual int CompareTo(
    int other
) sealed
abstract CompareTo :
        other : int -> int
override CompareTo :
        other : int -> int

Parameters

other
Type: SystemInt32
An object to compare with this instance.

Return Value

Type: Int32
A value that indicates the relative order of the objects being compared. The return value has these meanings: Value Meaning Less than zero This instance precedes other in the sort order. Zero This instance occurs in the same position in the sort order as other. Greater than zero This instance follows other in the sort order.

Implements

IComparableTCompareTo(T)
See Also

Reference

Base220 Class
Furcadia.Text Namespace


Base220.ConvertFromBase220 Method

Base220ConvertFromBase220 Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
Name | Description
ConvertFromBase220(Char) | Converts from base220.
ConvertFromBase220(String) | Converts from base220.
Top
See Also

Reference

Base220 Class
Furcadia.Text Namespace


Base220.ConvertFromBase220 Method (Char)

Base220ConvertFromBase220 Method (Char)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Converts from base220.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static int ConvertFromBase220(
    char b220chr
)
Public Shared Function ConvertFromBase220 (
    b220chr As Char
) As Integer

Dim b220chr As Char
Dim returnValue As Integer

returnValue = Base220.ConvertFromBase220(b220chr)
public:
static int ConvertFromBase220(
    wchar_t b220chr
)
static member ConvertFromBase220 :
        b220chr : char -> int

Parameters

b220chr
Type: SystemChar
The B220CHR.

Return Value

Type: Int32

[Missing <returns> documentation for "M:Furcadia.Text.Base220.ConvertFromBase220(System.Char)"]

See Also

Reference

Base220 Class
ConvertFromBase220 Overload
Furcadia.Text Namespace


Base220.ConvertFromBase220 Method (String)

Base220ConvertFromBase220 Method (String)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Converts from base220.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static int ConvertFromBase220(
    string b220str
)
Public Shared Function ConvertFromBase220 (
    b220str As String
) As Integer

Dim b220str As String
Dim returnValue As Integer

returnValue = Base220.ConvertFromBase220(b220str)
public:
static int ConvertFromBase220(
    String^ b220str
)
static member ConvertFromBase220 :
        b220str : string -> int

Parameters

b220str
Type: SystemString
The B220STR.

Return Value

Type: Int32

[Missing <returns> documentation for "M:Furcadia.Text.Base220.ConvertFromBase220(System.String)"]

See Also

Reference

Base220 Class
ConvertFromBase220 Overload
Furcadia.Text Namespace


Base220.ConvertToBase220 Method

Base220ConvertToBase220 Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
Name | Description
ConvertToBase220(Int32) | Converts to base220.
ConvertToBase220(Int32, Int32) | Converts to base220.
Top
See Also

Reference

Base220 Class
Furcadia.Text Namespace


Base220.ConvertToBase220 Method (Int32)

Base220ConvertToBase220 Method (Int32)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Converts to base220.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static string ConvertToBase220(
    int num
)
Public Shared Function ConvertToBase220 (
    num As Integer
) As String

Dim num As Integer
Dim returnValue As String

returnValue = Base220.ConvertToBase220(num)
public:
static String^ ConvertToBase220(
    int num
)
static member ConvertToBase220 :
        num : int -> string

Parameters

num
Type: SystemInt32
The number.

Return Value

Type: String

[Missing <returns> documentation for "M:Furcadia.Text.Base220.ConvertToBase220(System.Int32)"]

See Also

Reference

Base220 Class
ConvertToBase220 Overload
Furcadia.Text Namespace


Base220.ConvertToBase220 Method (Int32, Int32)

Base220ConvertToBase220 Method (Int32, Int32)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Converts to base220.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static string ConvertToBase220(
    int num,
    int nDigits
)
Public Shared Function ConvertToBase220 (
    num As Integer,
    nDigits As Integer
) As String

Dim num As Integer
Dim nDigits As Integer
Dim returnValue As String

returnValue = Base220.ConvertToBase220(num,
    nDigits)
public:
static String^ ConvertToBase220(
    int num,
    int nDigits
)
static member ConvertToBase220 :
        num : int *
        nDigits : int -> string

Parameters

num
Type: SystemInt32
The number.
nDigits
Type: SystemInt32
The n digits.

Return Value

Type: String

[Missing <returns> documentation for "M:Furcadia.Text.Base220.ConvertToBase220(System.Int32,System.Int32)"]

See Also

Reference

Base220 Class
ConvertToBase220 Overload
Furcadia.Text Namespace


Base220.Equals Method

Base220Equals Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
 | Name | Description
Public method | Equals(Int32) | Indicates whether the current object is equal to another object of the same type.
Public method | Equals(Object) | Determines whether the specified Object, is equal to this instance. (Overrides ObjectEquals(Object).)
Top
See Also

Reference

Base220 Class
Furcadia.Text Namespace


Base220.Equals Method (Int32)

Base220Equals Method (Int32)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Indicates whether the current object is equal to another object of the same type.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public bool Equals(
    int other
)
Public Function Equals (
    other As Integer
) As Boolean

Dim instance As Base220
Dim other As Integer
Dim returnValue As Boolean

returnValue = instance.Equals(other)
public:
virtual bool Equals(
    int other
) sealed
abstract Equals :
        other : int -> bool
override Equals :
        other : int -> bool

Parameters

other
Type: SystemInt32
An object to compare with this object.

Return Value

Type: Boolean
true if the current object is equal to the other parameter; otherwise, false.

Implements

IEquatableTEquals(T)
See Also

Reference

Base220 Class
Equals Overload
Furcadia.Text Namespace


Base220.Equals Method (Object)

Base220Equals Method (Object)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Determines whether the specified Object, is equal to this instance.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public override bool Equals(
    Object obj
)
Public Overrides Function Equals (
    obj As Object
) As Boolean

Dim instance As Base220
Dim obj As Object
Dim returnValue As Boolean

returnValue = instance.Equals(obj)
public:
virtual bool Equals(
    Object^ obj
) override
abstract Equals :
        obj : Object -> bool
override Equals :
        obj : Object -> bool

Parameters

obj
Type: SystemObject
The Object to compare with this instance.

Return Value

Type: Boolean
true if the specified Object is equal to this instance; otherwise, false.
See Also

Reference

Base220 Class
Equals Overload
Furcadia.Text Namespace


Base220.FromString Method

Base220FromString Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Froms the string.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public int FromString(
    string s
)
Public Function FromString (
    s As String
) As Integer

Dim instance As Base220
Dim s As String
Dim returnValue As Integer

returnValue = instance.FromString(s)
public:
int FromString(
    String^ s
)
member FromString :
        s : string -> int

Parameters

s
Type: SystemString
The s.

Return Value

Type: Int32

[Missing <returns> documentation for "M:Furcadia.Text.Base220.FromString(System.String)"]

See Also

Reference

Base220 Class
Furcadia.Text Namespace


Base220.GetHashCode Method

Base220GetHashCode Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Returns a hash code for this instance.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public override int GetHashCode()
Public Overrides Function GetHashCode As Integer

Dim instance As Base220
Dim returnValue As Integer

returnValue = instance.GetHashCode()
public:
virtual int GetHashCode() override
abstract GetHashCode : unit -> int
override GetHashCode : unit -> int

Return Value

Type: Int32
A hash code for this instance, suitable for use in hashing algorithms and data structures like a hash table.
See Also

Reference

Base220 Class
Furcadia.Text Namespace


Base220.ToByteArray Method

Base220ToByteArray Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
 | Name | Description
Public method | ToByteArray | To the byte array.
Public method | ToByteArray(Int32) | To the byte array.
Top
See Also

Reference

Base220 Class
Furcadia.Text Namespace


Base220.ToByteArray Method

Base220ToByteArray Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

To the byte array.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public byte[] ToByteArray()
Public Function ToByteArray As Byte()

Dim instance As Base220
Dim returnValue As Byte()

returnValue = instance.ToByteArray()
public:
array<unsigned char>^ ToByteArray()
member ToByteArray : unit -> byte[]

Return Value

Type: Byte

[Missing <returns> documentation for "M:Furcadia.Text.Base220.ToByteArray"]

See Also

Reference

Base220 Class
ToByteArray Overload
Furcadia.Text Namespace


Base220.ToByteArray Method (Int32)

Base220ToByteArray Method (Int32)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

To the byte array.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public byte[] ToByteArray(
    int nDigits
)
Public Function ToByteArray (
    nDigits As Integer
) As Byte()

Dim instance As Base220
Dim nDigits As Integer
Dim returnValue As Byte()

returnValue = instance.ToByteArray(nDigits)
public:
array<unsigned char>^ ToByteArray(
    int nDigits
)
member ToByteArray :
        nDigits : int -> byte[]

Parameters

nDigits
Type: SystemInt32
The n digits.

Return Value

Type: Byte

[Missing <returns> documentation for "M:Furcadia.Text.Base220.ToByteArray(System.Int32)"]

See Also

Reference

Base220 Class
ToByteArray Overload
Furcadia.Text Namespace


Base220.ToString Method

Base220ToString Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
 | Name | Description
Public method | ToString | Returns a String that represents this instance. (Overrides ObjectToString.)
Public method | ToString(Int32) | Returns a String that represents this instance.
Top
See Also

Reference

Base220 Class
Furcadia.Text Namespace


Base220.ToString Method

Base220ToString Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Returns a String that represents this instance.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public override string ToString()
Public Overrides Function ToString As String

Dim instance As Base220
Dim returnValue As String

returnValue = instance.ToString()
public:
virtual String^ ToString() override
abstract ToString : unit -> string
override ToString : unit -> string

Return Value

Type: String
A String that represents this instance.
See Also

Reference

Base220 Class
ToString Overload
Furcadia.Text Namespace


Base220.ToString Method (Int32)

Base220ToString Method (Int32)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Returns a String that represents this instance.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string ToString(
    int nDigits
)
Public Function ToString (
    nDigits As Integer
) As String

Dim instance As Base220
Dim nDigits As Integer
Dim returnValue As String

returnValue = instance.ToString(nDigits)
public:
String^ ToString(
    int nDigits
)
member ToString :
        nDigits : int -> string

Parameters

nDigits
Type: SystemInt32
The n digits.

Return Value

Type: String
A String that represents this instance.
See Also

Reference

Base220 Class
ToString Overload
Furcadia.Text Namespace


Base220 Operators and Type Conversions
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The Base220 type exposes the following members.

Operators
Name | Description
Addition | Implements the operator +.
Division | Implements the operator /.
Equality | Implements the operator ==.
(Base220 to Int16) | Performs an explicit conversion from Base220 to Int16.
GreaterThan | Implements the operator >.
(Int16 to Base220) | Performs an implicit conversion from Int16 to Base220.
(Int32 to Base220) | Performs an implicit conversion from Int32 to Base220.
(String to Base220) | Performs an implicit conversion from String to Base220.
(Base220 to Byte) | Performs an implicit conversion from Base220 to Byte.
(Base220 to Int32) | Performs an implicit conversion from Base220 to Int32.
(Base220 to String) | Performs an implicit conversion from Base220 to String.
Inequality | Implements the operator !=.
LessThan | Implements the operator <.
Modulus | Implements the operator %.
Multiply | Implements the operator *.
Subtraction | Implements the operator -.
Top
See Also

Reference

Base220 Class
Furcadia.Text Namespace


Base220.Addition Operator

Base220Addition Operator

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Implements the operator +.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static Base220 operator +(
    Base220 n1,
    Base220 n2
)
Public Shared Operator + (
    n1 As Base220,
    n2 As Base220
) As Base220

Dim n1 As Base220
Dim n2 As Base220
Dim returnValue As Base220

returnValue = (n1 + n2)
public:
static Base220^ operator +(
    Base220^ n1,
    Base220^ n2
)
static let inline (+)
        n1 : Base220 *
        n2 : Base220  : Base220

Parameters

n1
Type: Furcadia.TextBase220
The n1.
n2
Type: Furcadia.TextBase220
The n2.

Return Value

Type: Base220
The result of the operator.
See Also

Reference

Base220 Class
Furcadia.Text Namespace


Base220.Division Operator

Base220Division Operator

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Implements the operator /.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static Base220 operator /(
    Base220 n1,
    Base220 n2
)
Public Shared Operator / (
    n1 As Base220,
    n2 As Base220
) As Base220

Dim n1 As Base220
Dim n2 As Base220
Dim returnValue As Base220

returnValue = (n1 / n2)
public:
static Base220^ operator /(
    Base220^ n1,
    Base220^ n2
)
static let inline (/)
        n1 : Base220 *
        n2 : Base220  : Base220

Parameters

n1
Type: Furcadia.TextBase220
The n1.
n2
Type: Furcadia.TextBase220
The n2.

Return Value

Type: Base220
The result of the operator.
See Also

Reference

Base220 Class
Furcadia.Text Namespace


Base220.Equality Operator

Base220Equality Operator

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Implements the operator ==.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static bool operator ==(
    Base220 n1,
    Base220 n2
)
Public Shared Operator = (
    n1 As Base220,
    n2 As Base220
) As Boolean

Dim n1 As Base220
Dim n2 As Base220
Dim returnValue As Boolean

returnValue = (n1 = n2)
public:
static bool operator ==(
    Base220^ n1,
    Base220^ n2
)
static let inline (=)
        n1 : Base220 *
        n2 : Base220  : bool

Parameters

n1
Type: Furcadia.TextBase220
The n1.
n2
Type: Furcadia.TextBase220
The n2.

Return Value

Type: Boolean
The result of the operator.
See Also

Reference

Base220 Class
Furcadia.Text Namespace


Base220 Explicit Conversion (Base220 to Int16)

Base220 Conversion (Base220 to Int16)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Performs an explicit conversion from Base220 to Int16.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static explicit operator short (
    Base220 b220n
)
Public Shared Narrowing Operator CType (
    b220n As Base220
) As Short

Dim input As Base220
Dim output As Short

output = CType(input, Short)
static explicit operator short (
    Base220^ b220n
)
F# does not support the declaration of new casting operators.

Parameters

b220n
Type: Furcadia.TextBase220
The B220N.

Return Value

Type: Int16
The result of the conversion.
See Also

Reference

Base220 Class
Furcadia.Text Namespace


Base220.GreaterThan Operator

Base220GreaterThan Operator

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Implements the operator >.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static bool operator >(
    Base220 n1,
    Base220 n2
)
Public Shared Operator > (
    n1 As Base220,
    n2 As Base220
) As Boolean

Dim n1 As Base220
Dim n2 As Base220
Dim returnValue As Boolean

returnValue = (n1 > n2)
public:
static bool operator >(
    Base220^ n1,
    Base220^ n2
)
static let inline (>)
        n1 : Base220 *
        n2 : Base220  : bool

Parameters

n1
Type: Furcadia.TextBase220
The n1.
n2
Type: Furcadia.TextBase220
The n2.

Return Value

Type: Boolean
The result of the operator.
See Also

Reference

Base220 Class
Furcadia.Text Namespace


Base220 Implicit Conversion Operators

Base220 Conversion Operators
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
Name | Description
(Int16 to Base220) | Performs an implicit conversion from Int16 to Base220.
(Int32 to Base220) | Performs an implicit conversion from Int32 to Base220.
(String to Base220) | Performs an implicit conversion from String to Base220.
(Base220 to Byte) | Performs an implicit conversion from Base220 to Byte.
(Base220 to Int32) | Performs an implicit conversion from Base220 to Int32.
(Base220 to String) | Performs an implicit conversion from Base220 to String.
Top
See Also

Reference

Base220 Class
Furcadia.Text Namespace


Base220 Implicit Conversion (Int16 to Base220)

Base220 Conversion (Int16 to Base220)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Performs an implicit conversion from Int16 to Base220.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static implicit operator Base220 (
    short n
)
Public Shared Widening Operator CType (
    n As Short
) As Base220

Dim input As Short
Dim output As Base220

output = CType(input, Base220)
static implicit operator Base220^ (
    short n
)
F# does not support the declaration of new casting operators.

Parameters

n
Type: SystemInt16
The n.

Return Value

Type: Base220
The result of the conversion.
See Also

Reference

Base220 Class
Overload
Furcadia.Text Namespace


Base220 Implicit Conversion (Int32 to Base220)

Base220 Conversion (Int32 to Base220)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Performs an implicit conversion from Int32 to Base220.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static implicit operator Base220 (
    int n
)
Public Shared Widening Operator CType (
    n As Integer
) As Base220

Dim input As Integer
Dim output As Base220

output = CType(input, Base220)
static implicit operator Base220^ (
    int n
)
F# does not support the declaration of new casting operators.

Parameters

n
Type: SystemInt32
The n.

Return Value

Type: Base220
The result of the conversion.
See Also

Reference

Base220 Class
Overload
Furcadia.Text Namespace


Base220 Implicit Conversion (String to Base220)

Base220 Conversion (String to Base220)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Performs an implicit conversion from String to Base220.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static implicit operator Base220 (
    string s
)
Public Shared Widening Operator CType (
    s As String
) As Base220

Dim input As String
Dim output As Base220

output = CType(input, Base220)
static implicit operator Base220^ (
    String^ s
)
F# does not support the declaration of new casting operators.

Parameters

s
Type: SystemString
The s.

Return Value

Type: Base220
The result of the conversion.
See Also

Reference

Base220 Class
Overload
Furcadia.Text Namespace


Base220 Implicit Conversion (Base220 to Byte[])

Base220 Conversion (Base220 to Byte)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Performs an implicit conversion from Base220 to Byte.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static implicit operator byte[] (
    Base220 b220n
)
Public Shared Widening Operator CType (
    b220n As Base220
) As Byte()

Dim input As Base220
Dim output As Byte()

output = CType(input, Byte())
static implicit operator array<unsigned char>^ (
    Base220^ b220n
)
F# does not support the declaration of new casting operators.

Parameters

b220n
Type: Furcadia.TextBase220
The B220N.

Return Value

Type: Byte
The result of the conversion.
See Also

Reference

Base220 Class
Overload
Furcadia.Text Namespace


Base220 Implicit Conversion (Base220 to Int32)

Base220 Conversion (Base220 to Int32)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Performs an implicit conversion from Base220 to Int32.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static implicit operator int (
    Base220 b220n
)
Public Shared Widening Operator CType (
    b220n As Base220
) As Integer

Dim input As Base220
Dim output As Integer

output = CType(input, Integer)
static implicit operator int (
    Base220^ b220n
)
F# does not support the declaration of new casting operators.

Parameters

b220n
Type: Furcadia.TextBase220
The B220N.

Return Value

Type: Int32
The result of the conversion.
See Also

Reference

Base220 Class
Overload
Furcadia.Text Namespace


Base220 Implicit Conversion (Base220 to String)

Base220 Conversion (Base220 to String)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Performs an implicit conversion from Base220 to String.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static implicit operator string (
    Base220 b220n
)
Public Shared Widening Operator CType (
    b220n As Base220
) As String

Dim input As Base220
Dim output As String

output = CType(input, String)
static implicit operator String^ (
    Base220^ b220n
)
F# does not support the declaration of new casting operators.

Parameters

b220n
Type: Furcadia.TextBase220
The B220N.

Return Value

Type: String
The result of the conversion.
See Also

Reference

Base220 Class
Overload
Furcadia.Text Namespace


Base220.Inequality Operator

Base220Inequality Operator

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Implements the operator !=.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static bool operator !=(
    Base220 n1,
    Base220 n2
)
Public Shared Operator <> (
    n1 As Base220,
    n2 As Base220
) As Boolean

Dim n1 As Base220
Dim n2 As Base220
Dim returnValue As Boolean

returnValue = (n1 <> n2)
public:
static bool operator !=(
    Base220^ n1,
    Base220^ n2
)
static let inline (<>)
        n1 : Base220 *
        n2 : Base220  : bool

Parameters

n1
Type: Furcadia.TextBase220
The n1.
n2
Type: Furcadia.TextBase220
The n2.

Return Value

Type: Boolean
The result of the operator.
See Also

Reference

Base220 Class
Furcadia.Text Namespace


Base220.LessThan Operator

Base220LessThan Operator

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Implements the operator <.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static bool operator <(
    Base220 n1,
    Base220 n2
)
Public Shared Operator < (
    n1 As Base220,
    n2 As Base220
) As Boolean

Dim n1 As Base220
Dim n2 As Base220
Dim returnValue As Boolean

returnValue = (n1 < n2)
public:
static bool operator <(
    Base220^ n1,
    Base220^ n2
)
static let inline (<)
        n1 : Base220 *
        n2 : Base220  : bool

Parameters

n1
Type: Furcadia.TextBase220
The n1.
n2
Type: Furcadia.TextBase220
The n2.

Return Value

Type: Boolean
The result of the operator.
See Also

Reference

Base220 Class
Furcadia.Text Namespace


Base220.Modulus Operator

Base220Modulus Operator

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Implements the operator %.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static Base220 operator %(
    Base220 n1,
    Base220 n2
)
Public Shared Operator Mod (
    n1 As Base220,
    n2 As Base220
) As Base220

Dim n1 As Base220
Dim n2 As Base220
Dim returnValue As Base220

returnValue = (n1 Mod n2)
public:
static Base220^ operator %(
    Base220^ n1,
    Base220^ n2
)
static let inline (%)
        n1 : Base220 *
        n2 : Base220  : Base220

Parameters

n1
Type: Furcadia.TextBase220
The n1.
n2
Type: Furcadia.TextBase220
The n2.

Return Value

Type: Base220
The result of the operator.
See Also

Reference

Base220 Class
Furcadia.Text Namespace


Base220.Multiply Operator

Base220Multiply Operator

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Implements the operator *.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static Base220 operator *(
    Base220 n1,
    Base220 n2
)
Public Shared Operator * (
    n1 As Base220,
    n2 As Base220
) As Base220

Dim n1 As Base220
Dim n2 As Base220
Dim returnValue As Base220

returnValue = (n1 * n2)
public:
static Base220^ operator *(
    Base220^ n1,
    Base220^ n2
)
static let inline (*)
        n1 : Base220 *
        n2 : Base220  : Base220

Parameters

n1
Type: Furcadia.TextBase220
The n1.
n2
Type: Furcadia.TextBase220
The n2.

Return Value

Type: Base220
The result of the operator.
See Also

Reference

Base220 Class
Furcadia.Text Namespace


Base220.Subtraction Operator

Base220Subtraction Operator

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Implements the operator -.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static Base220 operator -(
    Base220 n1,
    Base220 n2
)
Public Shared Operator - (
    n1 As Base220,
    n2 As Base220
) As Base220

Dim n1 As Base220
Dim n2 As Base220
Dim returnValue As Base220

returnValue = (n1 - n2)
public:
static Base220^ operator -(
    Base220^ n1,
    Base220^ n2
)
static let inline (-)
        n1 : Base220 *
        n2 : Base220  : Base220

Parameters

n1
Type: Furcadia.TextBase220
The n1.
n2
Type: Furcadia.TextBase220
The n2.

Return Value

Type: Base220
The result of the operator.
See Also

Reference

Base220 Class
Furcadia.Text Namespace


Base95 Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Base95 Encoding

Author: Artex (aka, 1337)

Modified by: Gerolkae

Inheritance Hierarchy
SystemObject
Furcadia.TextBase95

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public class Base95 : IComparable<uint>,
    IEquatable<uint>
Public Class Base95
    Implements IComparable(Of UInteger), IEquatable(Of UInteger)

Dim instance As Base95
public ref class Base95 : IComparable<unsigned int>,
    IEquatable<unsigned int>
type Base95 =
    class
        interface IComparable<uint32>
        interface IEquatable<uint32>
    end

The Base95 type exposes the following members.

Constructors
 | Name | Description
Public method | Base95 | Initializes a new instance of the Base95 class.
Public method | Base95(String) | Initializes a new instance of the Base95 class.
Public method | Base95(UInt32) | Initializes a new instance of the Base95 class.
Top
Methods
 | Name | Description
Public method | CompareTo | Compares the current instance with another object of the same type and returns an integer that indicates whether the current instance precedes, follows, or occurs in the same position in the sort order as the other object.
 | ConvertFromBase95 | Converts from base95.
 | ConvertToBase95(UInt32) | Converts to base95.
 | ConvertToBase95(UInt32, Int32) | Converts to base95.
Public method | Equals(Object) | Determines whether the specified Object, is equal to this instance. (Overrides ObjectEquals(Object).)
Public method | Equals(UInt32) | Indicates whether the current object is equal to another object of the same type.
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | FromString | Froms the string.
Public method | GetHashCode | Returns a hash code for this instance. (Overrides ObjectGetHashCode.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToByteArray | To the byte array.
Public method | ToByteArray(Int32) | To the byte array.
Public method | ToString | Returns a String that represents this instance. (Overrides ObjectToString.)
Public method | ToString(Int32) | Returns a String that represents this instance.
Top
Operators
Name | Description
Addition | Implements the operator +.
Division | Implements the operator /.
Equality | Implements the operator ==.
(Base95 to UInt16) | Performs an explicit conversion from Base95 to UInt16.
GreaterThan | Implements the operator >.
(String to Base95) | Performs an implicit conversion from String to Base95.
(UInt16 to Base95) | Performs an implicit conversion from UInt16 to Base95.
(UInt32 to Base95) | Performs an implicit conversion from UInt32 to Base95.
(Base95 to Byte) | Performs an implicit conversion from Base95 to Byte.
(Base95 to String) | Performs an implicit conversion from Base95 to String.
(Base95 to UInt32) | Performs an implicit conversion from Base95 to UInt32.
Inequality | Implements the operator !=.
LessThan | Implements the operator <.
Modulus | Implements the operator %.
Multiply | Implements the operator *.
Subtraction | Implements the operator -.
Top
Fields
 | Name | Description
 | BASE | The base
 | CHAR_OFFSET | The character offset
Public field | Value | The value
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Furcadia.Text Namespace


Base95 Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
 | Name | Description
Public method | Base95 | Initializes a new instance of the Base95 class.
Public method | Base95(String) | Initializes a new instance of the Base95 class.
Public method | Base95(UInt32) | Initializes a new instance of the Base95 class.
Top
See Also

Reference

Base95 Class
Furcadia.Text Namespace


Base95 Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the Base95 class.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public Base95()
Public Sub New

Dim instance As New Base95()
public:
Base95()
new : unit -> Base95
See Also

Reference

Base95 Class
Base95 Overload
Furcadia.Text Namespace


Base95 Constructor (String)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the Base95 class.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public Base95(
    string s
)
Public Sub New (
    s As String
)

Dim s As String

Dim instance As New Base95(s)
public:
Base95(
    String^ s
)
new :
        s : string -> Base95

Parameters

s
Type: SystemString
The s.
See Also

Reference

Base95 Class
Base95 Overload
Furcadia.Text Namespace


Base95 Constructor (UInt32)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the Base95 class.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
[CLSCompliantAttribute(false)]
public Base95(
    uint n
)
<CLSCompliantAttribute(false)>
Public Sub New (
    n As UInteger
)

Dim n As UInteger

Dim instance As New Base95(n)
public:
[CLSCompliantAttribute(false)]
Base95(
    unsigned int n
)
[<CLSCompliantAttribute(false)>]
new :
        n : uint32 -> Base95

Parameters

n
Type: SystemUInt32
The n.
See Also

Reference

Base95 Class
Base95 Overload
Furcadia.Text Namespace


Base95 Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The Base95 type exposes the following members.

Methods
 | Name | Description
Public method | CompareTo | Compares the current instance with another object of the same type and returns an integer that indicates whether the current instance precedes, follows, or occurs in the same position in the sort order as the other object.
 | ConvertFromBase95 | Converts from base95.
 | ConvertToBase95(UInt32) | Converts to base95.
 | ConvertToBase95(UInt32, Int32) | Converts to base95.
Public method | Equals(Object) | Determines whether the specified Object, is equal to this instance. (Overrides ObjectEquals(Object).)
Public method | Equals(UInt32) | Indicates whether the current object is equal to another object of the same type.
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | FromString | Froms the string.
Public method | GetHashCode | Returns a hash code for this instance. (Overrides ObjectGetHashCode.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToByteArray | To the byte array.
Public method | ToByteArray(Int32) | To the byte array.
Public method | ToString | Returns a String that represents this instance. (Overrides ObjectToString.)
Public method | ToString(Int32) | Returns a String that represents this instance.
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Base95 Class
Furcadia.Text Namespace


Base95.CompareTo Method

Base95CompareTo Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Compares the current instance with another object of the same type and returns an integer that indicates whether the current instance precedes, follows, or occurs in the same position in the sort order as the other object.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
[CLSCompliantAttribute(false)]
public int CompareTo(
    uint other
)
<CLSCompliantAttribute(false)>
Public Function CompareTo (
    other As UInteger
) As Integer

Dim instance As Base95
Dim other As UInteger
Dim returnValue As Integer

returnValue = instance.CompareTo(other)
public:
[CLSCompliantAttribute(false)]
virtual int CompareTo(
    unsigned int other
) sealed
[<CLSCompliantAttribute(false)>]
abstract CompareTo :
        other : uint32 -> int
[<CLSCompliantAttribute(false)>]
override CompareTo :
        other : uint32 -> int

Parameters

other
Type: SystemUInt32
An object to compare with this instance.

Return Value

Type: Int32
A value that indicates the relative order of the objects being compared. The return value has these meanings: Value Meaning Less than zero This instance precedes other in the sort order. Zero This instance occurs in the same position in the sort order as other. Greater than zero This instance follows other in the sort order.

Implements

IComparableTCompareTo(T)
See Also

Reference

Base95 Class
Furcadia.Text Namespace


Base95.ConvertFromBase95 Method

Base95ConvertFromBase95 Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Converts from base95.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
[CLSCompliantAttribute(false)]
public static uint ConvertFromBase95(
    string b95str
)
<CLSCompliantAttribute(false)>
Public Shared Function ConvertFromBase95 (
    b95str As String
) As UInteger

Dim b95str As String
Dim returnValue As UInteger

returnValue = Base95.ConvertFromBase95(b95str)
public:
[CLSCompliantAttribute(false)]
static unsigned int ConvertFromBase95(
    String^ b95str
)
[<CLSCompliantAttribute(false)>]
static member ConvertFromBase95 :
        b95str : string -> uint32

Parameters

b95str
Type: SystemString
The B95STR.

Return Value

Type: UInt32

[Missing <returns> documentation for "M:Furcadia.Text.Base95.ConvertFromBase95(System.String)"]

See Also

Reference

Base95 Class
Furcadia.Text Namespace


Base95.ConvertToBase95 Method

Base95ConvertToBase95 Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
Name | Description
ConvertToBase95(UInt32) | Converts to base95.
ConvertToBase95(UInt32, Int32) | Converts to base95.
Top
See Also

Reference

Base95 Class
Furcadia.Text Namespace


Base95.ConvertToBase95 Method (UInt32)

Base95ConvertToBase95 Method (UInt32)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Converts to base95.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
[CLSCompliantAttribute(false)]
public static string ConvertToBase95(
    uint num
)
<CLSCompliantAttribute(false)>
Public Shared Function ConvertToBase95 (
    num As UInteger
) As String

Dim num As UInteger
Dim returnValue As String

returnValue = Base95.ConvertToBase95(num)
public:
[CLSCompliantAttribute(false)]
static String^ ConvertToBase95(
    unsigned int num
)
[<CLSCompliantAttribute(false)>]
static member ConvertToBase95 :
        num : uint32 -> string

Parameters

num
Type: SystemUInt32
The number.

Return Value

Type: String

[Missing <returns> documentation for "M:Furcadia.Text.Base95.ConvertToBase95(System.UInt32)"]

See Also

Reference

Base95 Class
ConvertToBase95 Overload
Furcadia.Text Namespace


Base95.ConvertToBase95 Method (UInt32, Int32)

Base95ConvertToBase95 Method (UInt32, Int32)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Converts to base95.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
[CLSCompliantAttribute(false)]
public static string ConvertToBase95(
    uint num,
    int nDigits
)
<CLSCompliantAttribute(false)>
Public Shared Function ConvertToBase95 (
    num As UInteger,
    nDigits As Integer
) As String

Dim num As UInteger
Dim nDigits As Integer
Dim returnValue As String

returnValue = Base95.ConvertToBase95(num,
    nDigits)
public:
[CLSCompliantAttribute(false)]
static String^ ConvertToBase95(
    unsigned int num,
    int nDigits
)
[<CLSCompliantAttribute(false)>]
static member ConvertToBase95 :
        num : uint32 *
        nDigits : int -> string

Parameters

num
Type: SystemUInt32
The number.
nDigits
Type: SystemInt32
The n digits.

Return Value

Type: String

[Missing <returns> documentation for "M:Furcadia.Text.Base95.ConvertToBase95(System.UInt32,System.Int32)"]

See Also

Reference

Base95 Class
ConvertToBase95 Overload
Furcadia.Text Namespace


Base95.Equals Method

Base95Equals Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
 | Name | Description
Public method | Equals(Object) | Determines whether the specified Object, is equal to this instance. (Overrides ObjectEquals(Object).)
Public method | Equals(UInt32) | Indicates whether the current object is equal to another object of the same type.
Top
See Also

Reference

Base95 Class
Furcadia.Text Namespace


Base95.Equals Method (Object)

Base95Equals Method (Object)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Determines whether the specified Object, is equal to this instance.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public override bool Equals(
    Object obj
)
Public Overrides Function Equals (
    obj As Object
) As Boolean

Dim instance As Base95
Dim obj As Object
Dim returnValue As Boolean

returnValue = instance.Equals(obj)
public:
virtual bool Equals(
    Object^ obj
) override
abstract Equals :
        obj : Object -> bool
override Equals :
        obj : Object -> bool

Parameters

obj
Type: SystemObject
The Object to compare with this instance.

Return Value

Type: Boolean
true if the specified Object is equal to this instance; otherwise, false.
See Also

Reference

Base95 Class
Equals Overload
Furcadia.Text Namespace


Base95.Equals Method (UInt32)

Base95Equals Method (UInt32)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Indicates whether the current object is equal to another object of the same type.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
[CLSCompliantAttribute(false)]
public bool Equals(
    uint other
)
<CLSCompliantAttribute(false)>
Public Function Equals (
    other As UInteger
) As Boolean

Dim instance As Base95
Dim other As UInteger
Dim returnValue As Boolean

returnValue = instance.Equals(other)
public:
[CLSCompliantAttribute(false)]
virtual bool Equals(
    unsigned int other
) sealed
[<CLSCompliantAttribute(false)>]
abstract Equals :
        other : uint32 -> bool
[<CLSCompliantAttribute(false)>]
override Equals :
        other : uint32 -> bool

Parameters

other
Type: SystemUInt32
An object to compare with this object.

Return Value

Type: Boolean
true if the current object is equal to the other parameter; otherwise, false.

Implements

IEquatableTEquals(T)
See Also

Reference

Base95 Class
Equals Overload
Furcadia.Text Namespace


Base95.FromString Method

Base95FromString Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Froms the string.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
[CLSCompliantAttribute(false)]
public uint FromString(
    string s
)
<CLSCompliantAttribute(false)>
Public Function FromString (
    s As String
) As UInteger

Dim instance As Base95
Dim s As String
Dim returnValue As UInteger

returnValue = instance.FromString(s)
public:
[CLSCompliantAttribute(false)]
unsigned int FromString(
    String^ s
)
[<CLSCompliantAttribute(false)>]
member FromString :
        s : string -> uint32

Parameters

s
Type: SystemString
The s.

Return Value

Type: UInt32

[Missing <returns> documentation for "M:Furcadia.Text.Base95.FromString(System.String)"]

See Also

Reference

Base95 Class
Furcadia.Text Namespace


Base95.GetHashCode Method

Base95GetHashCode Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Returns a hash code for this instance.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public override int GetHashCode()
Public Overrides Function GetHashCode As Integer

Dim instance As Base95
Dim returnValue As Integer

returnValue = instance.GetHashCode()
public:
virtual int GetHashCode() override
abstract GetHashCode : unit -> int
override GetHashCode : unit -> int

Return Value

Type: Int32
A hash code for this instance, suitable for use in hashing algorithms and data structures like a hash table.
See Also

Reference

Base95 Class
Furcadia.Text Namespace


Base95.ToByteArray Method

Base95ToByteArray Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
 | Name | Description
Public method | ToByteArray | To the byte array.
Public method | ToByteArray(Int32) | To the byte array.
Top
See Also

Reference

Base95 Class
Furcadia.Text Namespace


Base95.ToByteArray Method

Base95ToByteArray Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

To the byte array.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public byte[] ToByteArray()
Public Function ToByteArray As Byte()

Dim instance As Base95
Dim returnValue As Byte()

returnValue = instance.ToByteArray()
public:
array<unsigned char>^ ToByteArray()
member ToByteArray : unit -> byte[]

Return Value

Type: Byte

[Missing <returns> documentation for "M:Furcadia.Text.Base95.ToByteArray"]

See Also

Reference

Base95 Class
ToByteArray Overload
Furcadia.Text Namespace


Base95.ToByteArray Method (Int32)

Base95ToByteArray Method (Int32)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

To the byte array.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public byte[] ToByteArray(
    int nDigits
)
Public Function ToByteArray (
    nDigits As Integer
) As Byte()

Dim instance As Base95
Dim nDigits As Integer
Dim returnValue As Byte()

returnValue = instance.ToByteArray(nDigits)
public:
array<unsigned char>^ ToByteArray(
    int nDigits
)
member ToByteArray :
        nDigits : int -> byte[]

Parameters

nDigits
Type: SystemInt32
The n digits.

Return Value

Type: Byte

[Missing <returns> documentation for "M:Furcadia.Text.Base95.ToByteArray(System.Int32)"]

See Also

Reference

Base95 Class
ToByteArray Overload
Furcadia.Text Namespace


Base95.ToString Method

Base95ToString Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
 | Name | Description
Public method | ToString | Returns a String that represents this instance. (Overrides ObjectToString.)
Public method | ToString(Int32) | Returns a String that represents this instance.
Top
See Also

Reference

Base95 Class
Furcadia.Text Namespace


Base95.ToString Method

Base95ToString Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Returns a String that represents this instance.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public override string ToString()
Public Overrides Function ToString As String

Dim instance As Base95
Dim returnValue As String

returnValue = instance.ToString()
public:
virtual String^ ToString() override
abstract ToString : unit -> string
override ToString : unit -> string

Return Value

Type: String
A String that represents this instance.
See Also

Reference

Base95 Class
ToString Overload
Furcadia.Text Namespace


Base95.ToString Method (Int32)

Base95ToString Method (Int32)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Returns a String that represents this instance.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string ToString(
    int nDigits
)
Public Function ToString (
    nDigits As Integer
) As String

Dim instance As Base95
Dim nDigits As Integer
Dim returnValue As String

returnValue = instance.ToString(nDigits)
public:
String^ ToString(
    int nDigits
)
member ToString :
        nDigits : int -> string

Parameters

nDigits
Type: SystemInt32
The n digits.

Return Value

Type: String
A String that represents this instance.
See Also

Reference

Base95 Class
ToString Overload
Furcadia.Text Namespace


Base95 Operators and Type Conversions
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The Base95 type exposes the following members.

Operators
Name | Description
Addition | Implements the operator +.
Division | Implements the operator /.
Equality | Implements the operator ==.
(Base95 to UInt16) | Performs an explicit conversion from Base95 to UInt16.
GreaterThan | Implements the operator >.
(String to Base95) | Performs an implicit conversion from String to Base95.
(UInt16 to Base95) | Performs an implicit conversion from UInt16 to Base95.
(UInt32 to Base95) | Performs an implicit conversion from UInt32 to Base95.
(Base95 to Byte) | Performs an implicit conversion from Base95 to Byte.
(Base95 to String) | Performs an implicit conversion from Base95 to String.
(Base95 to UInt32) | Performs an implicit conversion from Base95 to UInt32.
Inequality | Implements the operator !=.
LessThan | Implements the operator <.
Modulus | Implements the operator %.
Multiply | Implements the operator *.
Subtraction | Implements the operator -.
Top
See Also

Reference

Base95 Class
Furcadia.Text Namespace


Base95.Addition Operator

Base95Addition Operator

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Implements the operator +.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static Base95 operator +(
    Base95 n1,
    Base95 n2
)
Public Shared Operator + (
    n1 As Base95,
    n2 As Base95
) As Base95

Dim n1 As Base95
Dim n2 As Base95
Dim returnValue As Base95

returnValue = (n1 + n2)
public:
static Base95^ operator +(
    Base95^ n1,
    Base95^ n2
)
static let inline (+)
        n1 : Base95 *
        n2 : Base95  : Base95

Parameters

n1
Type: Furcadia.TextBase95
The n1.
n2
Type: Furcadia.TextBase95
The n2.

Return Value

Type: Base95
The result of the operator.
See Also

Reference

Base95 Class
Furcadia.Text Namespace


Base95.Division Operator

Base95Division Operator

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Implements the operator /.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static Base95 operator /(
    Base95 n1,
    Base95 n2
)
Public Shared Operator / (
    n1 As Base95,
    n2 As Base95
) As Base95

Dim n1 As Base95
Dim n2 As Base95
Dim returnValue As Base95

returnValue = (n1 / n2)
public:
static Base95^ operator /(
    Base95^ n1,
    Base95^ n2
)
static let inline (/)
        n1 : Base95 *
        n2 : Base95  : Base95

Parameters

n1
Type: Furcadia.TextBase95
The n1.
n2
Type: Furcadia.TextBase95
The n2.

Return Value

Type: Base95
The result of the operator.
See Also

Reference

Base95 Class
Furcadia.Text Namespace


Base95.Equality Operator

Base95Equality Operator

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Implements the operator ==.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static bool operator ==(
    Base95 n1,
    Base95 n2
)
Public Shared Operator = (
    n1 As Base95,
    n2 As Base95
) As Boolean

Dim n1 As Base95
Dim n2 As Base95
Dim returnValue As Boolean

returnValue = (n1 = n2)
public:
static bool operator ==(
    Base95^ n1,
    Base95^ n2
)
static let inline (=)
        n1 : Base95 *
        n2 : Base95  : bool

Parameters

n1
Type: Furcadia.TextBase95
The n1.
n2
Type: Furcadia.TextBase95
The n2.

Return Value

Type: Boolean
The result of the operator.
See Also

Reference

Base95 Class
Furcadia.Text Namespace


Base95 Explicit Conversion (Base95 to UInt16)

Base95 Conversion (Base95 to UInt16)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Performs an explicit conversion from Base95 to UInt16.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static explicit operator ushort (
    Base95 b95n
)
Public Shared Narrowing Operator CType (
    b95n As Base95
) As UShort

Dim input As Base95
Dim output As UShort

output = CType(input, UShort)
static explicit operator unsigned short (
    Base95^ b95n
)
F# does not support the declaration of new casting operators.

Parameters

b95n
Type: Furcadia.TextBase95
The B95N.

Return Value

Type: UInt16
The result of the conversion.
See Also

Reference

Base95 Class
Furcadia.Text Namespace


Base95.GreaterThan Operator

Base95GreaterThan Operator

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Implements the operator >.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static bool operator >(
    Base95 n1,
    Base95 n2
)
Public Shared Operator > (
    n1 As Base95,
    n2 As Base95
) As Boolean

Dim n1 As Base95
Dim n2 As Base95
Dim returnValue As Boolean

returnValue = (n1 > n2)
public:
static bool operator >(
    Base95^ n1,
    Base95^ n2
)
static let inline (>)
        n1 : Base95 *
        n2 : Base95  : bool

Parameters

n1
Type: Furcadia.TextBase95
The n1.
n2
Type: Furcadia.TextBase95
The n2.

Return Value

Type: Boolean
The result of the operator.
See Also

Reference

Base95 Class
Furcadia.Text Namespace


Base95 Implicit Conversion Operators

Base95 Conversion Operators
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
Name | Description
(String to Base95) | Performs an implicit conversion from String to Base95.
(UInt16 to Base95) | Performs an implicit conversion from UInt16 to Base95.
(UInt32 to Base95) | Performs an implicit conversion from UInt32 to Base95.
(Base95 to Byte) | Performs an implicit conversion from Base95 to Byte.
(Base95 to String) | Performs an implicit conversion from Base95 to String.
(Base95 to UInt32) | Performs an implicit conversion from Base95 to UInt32.
Top
See Also

Reference

Base95 Class
Furcadia.Text Namespace


Base95 Implicit Conversion (String to Base95)

Base95 Conversion (String to Base95)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Performs an implicit conversion from String to Base95.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static implicit operator Base95 (
    string s
)
Public Shared Widening Operator CType (
    s As String
) As Base95

Dim input As String
Dim output As Base95

output = CType(input, Base95)
static implicit operator Base95^ (
    String^ s
)
F# does not support the declaration of new casting operators.

Parameters

s
Type: SystemString
The s.

Return Value

Type: Base95
The result of the conversion.
See Also

Reference

Base95 Class
Overload
Furcadia.Text Namespace


Base95 Implicit Conversion (UInt16 to Base95)

Base95 Conversion (UInt16 to Base95)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Performs an implicit conversion from UInt16 to Base95.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static implicit operator Base95 (
    ushort n
)
Public Shared Widening Operator CType (
    n As UShort
) As Base95

Dim input As UShort
Dim output As Base95

output = CType(input, Base95)
static implicit operator Base95^ (
    unsigned short n
)
F# does not support the declaration of new casting operators.

Parameters

n
Type: SystemUInt16
The n.

Return Value

Type: Base95
The result of the conversion.
See Also

Reference

Base95 Class
Overload
Furcadia.Text Namespace


Base95 Implicit Conversion (UInt32 to Base95)

Base95 Conversion (UInt32 to Base95)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Performs an implicit conversion from UInt32 to Base95.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static implicit operator Base95 (
    uint n
)
Public Shared Widening Operator CType (
    n As UInteger
) As Base95

Dim input As UInteger
Dim output As Base95

output = CType(input, Base95)
static implicit operator Base95^ (
    unsigned int n
)
F# does not support the declaration of new casting operators.

Parameters

n
Type: SystemUInt32
The n.

Return Value

Type: Base95
The result of the conversion.
See Also

Reference

Base95 Class
Overload
Furcadia.Text Namespace


Base95 Implicit Conversion (Base95 to Byte[])

Base95 Conversion (Base95 to Byte)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Performs an implicit conversion from Base95 to Byte.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static implicit operator byte[] (
    Base95 b95n
)
Public Shared Widening Operator CType (
    b95n As Base95
) As Byte()

Dim input As Base95
Dim output As Byte()

output = CType(input, Byte())
static implicit operator array<unsigned char>^ (
    Base95^ b95n
)
F# does not support the declaration of new casting operators.

Parameters

b95n
Type: Furcadia.TextBase95
The B95N.

Return Value

Type: Byte
The result of the conversion.
See Also

Reference

Base95 Class
Overload
Furcadia.Text Namespace


Base95 Implicit Conversion (Base95 to String)

Base95 Conversion (Base95 to String)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Performs an implicit conversion from Base95 to String.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static implicit operator string (
    Base95 b95n
)
Public Shared Widening Operator CType (
    b95n As Base95
) As String

Dim input As Base95
Dim output As String

output = CType(input, String)
static implicit operator String^ (
    Base95^ b95n
)
F# does not support the declaration of new casting operators.

Parameters

b95n
Type: Furcadia.TextBase95
The B95N.

Return Value

Type: String
The result of the conversion.
See Also

Reference

Base95 Class
Overload
Furcadia.Text Namespace


Base95 Implicit Conversion (Base95 to UInt32)

Base95 Conversion (Base95 to UInt32)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Performs an implicit conversion from Base95 to UInt32.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static implicit operator uint (
    Base95 b95n
)
Public Shared Widening Operator CType (
    b95n As Base95
) As UInteger

Dim input As Base95
Dim output As UInteger

output = CType(input, UInteger)
static implicit operator unsigned int (
    Base95^ b95n
)
F# does not support the declaration of new casting operators.

Parameters

b95n
Type: Furcadia.TextBase95
The B95N.

Return Value

Type: UInt32
The result of the conversion.
See Also

Reference

Base95 Class
Overload
Furcadia.Text Namespace


Base95.Inequality Operator

Base95Inequality Operator

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Implements the operator !=.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static bool operator !=(
    Base95 n1,
    Base95 n2
)
Public Shared Operator <> (
    n1 As Base95,
    n2 As Base95
) As Boolean

Dim n1 As Base95
Dim n2 As Base95
Dim returnValue As Boolean

returnValue = (n1 <> n2)
public:
static bool operator !=(
    Base95^ n1,
    Base95^ n2
)
static let inline (<>)
        n1 : Base95 *
        n2 : Base95  : bool

Parameters

n1
Type: Furcadia.TextBase95
The n1.
n2
Type: Furcadia.TextBase95
The n2.

Return Value

Type: Boolean
The result of the operator.
See Also

Reference

Base95 Class
Furcadia.Text Namespace


Base95.LessThan Operator

Base95LessThan Operator

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Implements the operator <.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static bool operator <(
    Base95 n1,
    Base95 n2
)
Public Shared Operator < (
    n1 As Base95,
    n2 As Base95
) As Boolean

Dim n1 As Base95
Dim n2 As Base95
Dim returnValue As Boolean

returnValue = (n1 < n2)
public:
static bool operator <(
    Base95^ n1,
    Base95^ n2
)
static let inline (<)
        n1 : Base95 *
        n2 : Base95  : bool

Parameters

n1
Type: Furcadia.TextBase95
The n1.
n2
Type: Furcadia.TextBase95
The n2.

Return Value

Type: Boolean
The result of the operator.
See Also

Reference

Base95 Class
Furcadia.Text Namespace


Base95.Modulus Operator

Base95Modulus Operator

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Implements the operator %.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static Base95 operator %(
    Base95 n1,
    Base95 n2
)
Public Shared Operator Mod (
    n1 As Base95,
    n2 As Base95
) As Base95

Dim n1 As Base95
Dim n2 As Base95
Dim returnValue As Base95

returnValue = (n1 Mod n2)
public:
static Base95^ operator %(
    Base95^ n1,
    Base95^ n2
)
static let inline (%)
        n1 : Base95 *
        n2 : Base95  : Base95

Parameters

n1
Type: Furcadia.TextBase95
The n1.
n2
Type: Furcadia.TextBase95
The n2.

Return Value

Type: Base95
The result of the operator.
See Also

Reference

Base95 Class
Furcadia.Text Namespace


Base95.Multiply Operator

Base95Multiply Operator

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Implements the operator *.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static Base95 operator *(
    Base95 n1,
    Base95 n2
)
Public Shared Operator * (
    n1 As Base95,
    n2 As Base95
) As Base95

Dim n1 As Base95
Dim n2 As Base95
Dim returnValue As Base95

returnValue = (n1 * n2)
public:
static Base95^ operator *(
    Base95^ n1,
    Base95^ n2
)
static let inline (*)
        n1 : Base95 *
        n2 : Base95  : Base95

Parameters

n1
Type: Furcadia.TextBase95
The n1.
n2
Type: Furcadia.TextBase95
The n2.

Return Value

Type: Base95
The result of the operator.
See Also

Reference

Base95 Class
Furcadia.Text Namespace


Base95.Subtraction Operator

Base95Subtraction Operator

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Implements the operator -.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static Base95 operator -(
    Base95 n1,
    Base95 n2
)
Public Shared Operator - (
    n1 As Base95,
    n2 As Base95
) As Base95

Dim n1 As Base95
Dim n2 As Base95
Dim returnValue As Base95

returnValue = (n1 - n2)
public:
static Base95^ operator -(
    Base95^ n1,
    Base95^ n2
)
static let inline (-)
        n1 : Base95 *
        n2 : Base95  : Base95

Parameters

n1
Type: Furcadia.TextBase95
The n1.
n2
Type: Furcadia.TextBase95
The n2.

Return Value

Type: Base95
The result of the operator.
See Also

Reference

Base95 Class
Furcadia.Text Namespace


Base95 Fields
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The Base95 type exposes the following members.

Fields
 | Name | Description
 | BASE | The base
 | CHAR_OFFSET | The character offset
Public field | Value | The value
Top
See Also

Reference

Base95 Class
Furcadia.Text Namespace


Base95.BASE Field

Base95BASE Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The base

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public const byte BASE = 95
Public Const BASE As Byte = 95

Dim value As Byte

value = Base95.BASE

public:
literal unsigned char BASE = 95
static val mutable BASE: byte

Field Value

Type: Byte
See Also

Reference

Base95 Class
Furcadia.Text Namespace


Base95.CHAR_OFFSET Field

Base95CHAR_OFFSET Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The character offset

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public const byte CHAR_OFFSET = 32
Public Const CHAR_OFFSET As Byte = 32

Dim value As Byte

value = Base95.CHAR_OFFSET

public:
literal unsigned char CHAR_OFFSET = 32
static val mutable CHAR_OFFSET: byte

Field Value

Type: Byte
See Also

Reference

Base95 Class
Furcadia.Text Namespace


Base95.Value Field

Base95Value Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The value

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
[CLSCompliantAttribute(false)]
public uint Value
<CLSCompliantAttribute(false)>
Public Value As UInteger

Dim instance As Base95
Dim value As UInteger

value = instance.Value

instance.Value = value
public:
[CLSCompliantAttribute(false)]
unsigned int Value
[<CLSCompliantAttribute(false)>]
val mutable Value: uint32

Field Value

Type: UInt32
See Also

Reference

Base95 Class
Furcadia.Text Namespace


FurcadiaMarkup Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Furcadia Markup Language (FML) REGEX
Inheritance Hierarchy
SystemObject
Furcadia.TextFurcadiaMarkup

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public sealed class FurcadiaMarkup
Public NotInheritable Class FurcadiaMarkup

Dim instance As FurcadiaMarkup
public ref class FurcadiaMarkup sealed
[<SealedAttribute>]
type FurcadiaMarkup =  class end

The FurcadiaMarkup type exposes the following members.

Constructors
 | Name | Description
Public method | FurcadiaMarkup | Initializes a new instance of the FurcadiaMarkup class
Top
Methods
 | Name | Description
 | ChannelTag | Format Channel Tags <channel name='@channelname' />
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Fields
Name | Description
ChannelNameFilter | Dynamic Channel tags <channel name='@channelName' / >
ChannelRegex | The channel regex
CookieToMeREGEX |
DescFilter | The desc filter
DescTagRegex | Pesky Desc tags filter
DiceFilter | The dice filter
EmoteRegexFilter |
FontChannelFilter | font = 1 system.fhs =2 system alt = 3 Channel Name = 4 Text = 5
Iconfilter |
NameFilter |
NameRegex | Filter the Name Markup
QueryCommand | Queries (join, summon, lead follow, cuddle)
ShoutRegexFilter | The shout regex filter
UrlFilter | Regex for working with HTML URLS
UrlRegex | Dream Urls
URLRegex | Dream Url regex
WhisperRegex |
YouEatCookieFilter | You eat cookie filter
YouSayFilter |
YouShoutFilter | You shout filter
YouWhisperRegex | Whispers Name
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Furcadia.Text Namespace


FurcadiaMarkup Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the FurcadiaMarkup class

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public FurcadiaMarkup()
Public Sub New

Dim instance As New FurcadiaMarkup()
public:
FurcadiaMarkup()
new : unit -> FurcadiaMarkup
See Also

Reference

FurcadiaMarkup Class
Furcadia.Text Namespace


FurcadiaMarkup Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The FurcadiaMarkup type exposes the following members.

Methods
 | Name | Description
 | ChannelTag | Format Channel Tags <channel name='@channelname' />
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

FurcadiaMarkup Class
Furcadia.Text Namespace


FurcadiaMarkup.ChannelTag Method

FurcadiaMarkupChannelTag Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Format Channel Tags

<channel name='@channelname' />

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static bool ChannelTag(
    ref string serverData,
    string replaceText
)
Public Shared Function ChannelTag (
    ByRef serverData As String,
    replaceText As String
) As Boolean

Dim serverData As String
Dim replaceText As String
Dim returnValue As Boolean

returnValue = FurcadiaMarkup.ChannelTag(serverData,
    replaceText)
public:
static bool ChannelTag(
    String^% serverData,
    String^ replaceText
)
static member ChannelTag :
        serverData : string byref *
        replaceText : string -> bool

Parameters

serverData
Type: SystemString
Raw server data string
replaceText
Type: SystemString
Reg ex supported text replacement

Return Value

Type: Boolean
True on a successful match
See Also

Reference

FurcadiaMarkup Class
Furcadia.Text Namespace


FurcadiaMarkup Fields
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The FurcadiaMarkup type exposes the following members.

Fields
Name | Description
ChannelNameFilter | Dynamic Channel tags <channel name='@channelName' / >
ChannelRegex | The channel regex
CookieToMeREGEX |
DescFilter | The desc filter
DescTagRegex | Pesky Desc tags filter
DiceFilter | The dice filter
EmoteRegexFilter |
FontChannelFilter | font = 1 system.fhs =2 system alt = 3 Channel Name = 4 Text = 5
Iconfilter |
NameFilter |
NameRegex | Filter the Name Markup
QueryCommand | Queries (join, summon, lead follow, cuddle)
ShoutRegexFilter | The shout regex filter
UrlFilter | Regex for working with HTML URLS
UrlRegex | Dream Urls
URLRegex | Dream Url regex
WhisperRegex |
YouEatCookieFilter | You eat cookie filter
YouSayFilter |
YouShoutFilter | You shout filter
YouWhisperRegex | Whispers Name
Top
See Also

Reference

FurcadiaMarkup Class
Furcadia.Text Namespace


FurcadiaMarkup.ChannelNameFilter Field

FurcadiaMarkupChannelNameFilter Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Dynamic Channel tags

<channel name='@channelName' / >

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public const string ChannelNameFilter = "<channel name='(.*?)' />"
Public Const ChannelNameFilter As String = "<channel name='(.*?)' />"

Dim value As String

value = FurcadiaMarkup.ChannelNameFilter

public:
literal String^ ChannelNameFilter = "<channel name='(.*?)' />"
static val mutable ChannelNameFilter: string

Field Value

Type: String
See Also

Reference

FurcadiaMarkup Class
Furcadia.Text Namespace


FurcadiaMarkup.ChannelRegex Field

FurcadiaMarkupChannelRegex Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The channel regex

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static Regex ChannelRegex
Public Shared ChannelRegex As Regex

Dim value As Regex

value = FurcadiaMarkup.ChannelRegex

FurcadiaMarkup.ChannelRegex = value
public:
static Regex^ ChannelRegex
static val mutable ChannelRegex: Regex

Field Value

Type: Regex
See Also

Reference

FurcadiaMarkup Class
Furcadia.Text Namespace


FurcadiaMarkup.CookieToMeREGEX Field

FurcadiaMarkupCookieToMeREGEX Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "F:Furcadia.Text.FurcadiaMarkup.CookieToMeREGEX"]

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public const string CookieToMeREGEX = "<name shortname='(.*?)'>(.*?)</name> just gave you"
Public Const CookieToMeREGEX As String = "<name shortname='(.*?)'>(.*?)</name> just gave you"

Dim value As String

value = FurcadiaMarkup.CookieToMeREGEX

public:
literal String^ CookieToMeREGEX = "<name shortname='(.*?)'>(.*?)</name> just gave you"
static val mutable CookieToMeREGEX: string

Field Value

Type: String
See Also

Reference

FurcadiaMarkup Class
Furcadia.Text Namespace


FurcadiaMarkup.DescFilter Field

FurcadiaMarkupDescFilter Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The desc filter

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public const string DescFilter = "<desc shortname='([^']*)' />(.*)"
Public Const DescFilter As String = "<desc shortname='([^']*)' />(.*)"

Dim value As String

value = FurcadiaMarkup.DescFilter

public:
literal String^ DescFilter = "<desc shortname='([^']*)' />(.*)"
static val mutable DescFilter: string

Field Value

Type: String
See Also

Reference

FurcadiaMarkup Class
Furcadia.Text Namespace


FurcadiaMarkup.DescTagRegex Field

FurcadiaMarkupDescTagRegex Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Pesky Desc tags filter

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static Regex DescTagRegex
Public Shared DescTagRegex As Regex

Dim value As Regex

value = FurcadiaMarkup.DescTagRegex

FurcadiaMarkup.DescTagRegex = value
public:
static Regex^ DescTagRegex
static val mutable DescTagRegex: Regex

Field Value

Type: Regex
See Also

Reference

FurcadiaMarkup Class
Furcadia.Text Namespace


FurcadiaMarkup.DiceFilter Field

FurcadiaMarkupDiceFilter Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The dice filter

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public const string DiceFilter = "^<font color='roll'><img src='fsh://system.fsh:101' alt='@roll' /><channel name='(.*?)' /> <name shortname='([^ ]+)'>([^ ]+)</name> rolls (\d+)d(\d+)((-|\+)\d+)? ?(.*) & gets (\d+)\.</font>$"
Public Const DiceFilter As String = "^<font color='roll'><img src='fsh://system.fsh:101' alt='@roll' /><channel name='(.*?)' /> <name shortname='([^ ]+)'>([^ ]+)</name> rolls (\d+)d(\d+)((-|\+)\d+)? ?(.*) & gets (\d+)\.</font>$"

Dim value As String

value = FurcadiaMarkup.DiceFilter

public:
literal String^ DiceFilter = "^<font color='roll'><img src='fsh://system.fsh:101' alt='@roll' /><channel name='(.*?)' /> <name shortname='([^ ]+)'>([^ ]+)</name> rolls (\d+)d(\d+)((-|\+)\d+)? ?(.*) & gets (\d+)\.</font>$"
static val mutable DiceFilter: string

Field Value

Type: String
See Also

Reference

FurcadiaMarkup Class
Furcadia.Text Namespace


FurcadiaMarkup.EmoteRegexFilter Field

FurcadiaMarkupEmoteRegexFilter Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "F:Furcadia.Text.FurcadiaMarkup.EmoteRegexFilter"]

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public const string EmoteRegexFilter = "<font color='(.*?)'><name shortname=('(.*?)'|"(.*?)")>(.*?)</name>(.*?)</font>"
Public Const EmoteRegexFilter As String = "<font color='(.*?)'><name shortname=('(.*?)'|"(.*?)")>(.*?)</name>(.*?)</font>"

Dim value As String

value = FurcadiaMarkup.EmoteRegexFilter

public:
literal String^ EmoteRegexFilter = "<font color='(.*?)'><name shortname=('(.*?)'|"(.*?)")>(.*?)</name>(.*?)</font>"
static val mutable EmoteRegexFilter: string

Field Value

Type: String
See Also

Reference

FurcadiaMarkup Class
Furcadia.Text Namespace


FurcadiaMarkup.FontChannelFilter Field

FurcadiaMarkupFontChannelFilter Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

font = 1

system.fhs =2

system alt = 3

Channel Name = 4

Text = 5

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public const string FontChannelFilter = "^<font color=['|\"](.*?)['|\"]>(<img src='(fsh://system.fsh:([^']*)|http://apollo.furcadia.com/cache/(.*?))' (alt='(.*?)' )?/>)?(<channel name='(.*?)' />)?(.*?)</font>$"
Public Const FontChannelFilter As String = "^<font color=['|\"](.*?)['|\"]>(<img src='(fsh://system.fsh:([^']*)|http://apollo.furcadia.com/cache/(.*?))' (alt='(.*?)' )?/>)?(<channel name='(.*?)' />)?(.*?)</font>$"

Dim value As String

value = FurcadiaMarkup.FontChannelFilter

public:
literal String^ FontChannelFilter = "^<font color=['|\"](.*?)['|\"]>(<img src='(fsh://system.fsh:([^']*)|http://apollo.furcadia.com/cache/(.*?))' (alt='(.*?)' )?/>)?(<channel name='(.*?)' />)?(.*?)</font>$"
static val mutable FontChannelFilter: string

Field Value

Type: String
See Also

Reference

FurcadiaMarkup Class
Furcadia.Text Namespace


FurcadiaMarkup.Iconfilter Field

FurcadiaMarkupIconfilter Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "F:Furcadia.Text.FurcadiaMarkup.Iconfilter"]

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public const string Iconfilter = "<img src='(fsh://system.fsh:([^']*)|http://apollo.furcadia.com/cache/(.*?))' (alt='(.*?)' )?/>"
Public Const Iconfilter As String = "<img src='(fsh://system.fsh:([^']*)|http://apollo.furcadia.com/cache/(.*?))' (alt='(.*?)' )?/>"

Dim value As String

value = FurcadiaMarkup.Iconfilter

public:
literal String^ Iconfilter = "<img src='(fsh://system.fsh:([^']*)|http://apollo.furcadia.com/cache/(.*?))' (alt='(.*?)' )?/>"
static val mutable Iconfilter: string

Field Value

Type: String
See Also

Reference

FurcadiaMarkup Class
Furcadia.Text Namespace


FurcadiaMarkup.NameFilter Field

FurcadiaMarkupNameFilter Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "F:Furcadia.Text.FurcadiaMarkup.NameFilter"]

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public const string NameFilter = "<name shortname=('(.*?)'|"(.*?)") ?>(.*?)</name>"
Public Const NameFilter As String = "<name shortname=('(.*?)'|"(.*?)") ?>(.*?)</name>"

Dim value As String

value = FurcadiaMarkup.NameFilter

public:
literal String^ NameFilter = "<name shortname=('(.*?)'|"(.*?)") ?>(.*?)</name>"
static val mutable NameFilter: string

Field Value

Type: String
See Also

Reference

FurcadiaMarkup Class
Furcadia.Text Namespace


FurcadiaMarkup.NameRegex Field

FurcadiaMarkupNameRegex Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Filter the Name Markup

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static Regex NameRegex
Public Shared NameRegex As Regex

Dim value As Regex

value = FurcadiaMarkup.NameRegex

FurcadiaMarkup.NameRegex = value
public:
static Regex^ NameRegex
static val mutable NameRegex: Regex

Field Value

Type: Regex
See Also

Reference

FurcadiaMarkup Class
Furcadia.Text Namespace


FurcadiaMarkup.QueryCommand Field

FurcadiaMarkupQueryCommand Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Queries (join, summon, lead follow, cuddle)

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static Regex QueryCommand
Public Shared QueryCommand As Regex

Dim value As Regex

value = FurcadiaMarkup.QueryCommand

FurcadiaMarkup.QueryCommand = value
public:
static Regex^ QueryCommand
static val mutable QueryCommand: Regex

Field Value

Type: Regex
See Also

Reference

FurcadiaMarkup Class
Furcadia.Text Namespace


FurcadiaMarkup.ShoutRegexFilter Field

FurcadiaMarkupShoutRegexFilter Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The shout regex filter

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public const string ShoutRegexFilter = "<font color=('(shout)'|"(shout)")>\{S\} <name shortname=('(.*?)'|"(.*?)")>(.*?)</name>(.*)shouts: (.*?)</font>"
Public Const ShoutRegexFilter As String = "<font color=('(shout)'|"(shout)")>\{S\} <name shortname=('(.*?)'|"(.*?)")>(.*?)</name>(.*)shouts: (.*?)</font>"

Dim value As String

value = FurcadiaMarkup.ShoutRegexFilter

public:
literal String^ ShoutRegexFilter = "<font color=('(shout)'|"(shout)")>\{S\} <name shortname=('(.*?)'|"(.*?)")>(.*?)</name>(.*)shouts: (.*?)</font>"
static val mutable ShoutRegexFilter: string

Field Value

Type: String
See Also

Reference

FurcadiaMarkup Class
Furcadia.Text Namespace


FurcadiaMarkup.UrlFilter Field

FurcadiaMarkupUrlFilter Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Regex for working with HTML URLS

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public const string UrlFilter = "<a href='?"?(.*?)'?"?>(.*?)</a>"
Public Const UrlFilter As String = "<a href='?"?(.*?)'?"?>(.*?)</a>"

Dim value As String

value = FurcadiaMarkup.UrlFilter

public:
literal String^ UrlFilter = "<a href='?"?(.*?)'?"?>(.*?)</a>"
static val mutable UrlFilter: string

Field Value

Type: String
See Also

Reference

FurcadiaMarkup Class
Furcadia.Text Namespace


FurcadiaMarkup.URLRegex Field

FurcadiaMarkupURLRegex Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Dream Url regex

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
[CLSCompliantAttribute(false)]
public static Regex URLRegex
<CLSCompliantAttribute(false)>
Public Shared URLRegex As Regex

Dim value As Regex

value = FurcadiaMarkup.URLRegex

FurcadiaMarkup.URLRegex = value
public:
[CLSCompliantAttribute(false)]
static Regex^ URLRegex
[<CLSCompliantAttribute(false)>]
static val mutable URLRegex: Regex

Field Value

Type: Regex
See Also

Reference

FurcadiaMarkup Class
Furcadia.Text Namespace


FurcadiaMarkup.WhisperRegex Field

FurcadiaMarkupWhisperRegex Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "F:Furcadia.Text.FurcadiaMarkup.WhisperRegex"]

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public const string WhisperRegex = "^\<font color=('(whisper)'|"(whisper)")\>\[ \<name shortname=('[a-z0-9]{2,64}'|"[a-z0-9]{2,64}") src=('whisper-from'|"whisper-from")\>(.{2,64})\</name\> whispers, "(?<msg>.+)" to you\. \]\</font\>$"
Public Const WhisperRegex As String = "^\<font color=('(whisper)'|"(whisper)")\>\[ \<name shortname=('[a-z0-9]{2,64}'|"[a-z0-9]{2,64}") src=('whisper-from'|"whisper-from")\>(.{2,64})\</name\> whispers, "(?<msg>.+)" to you\. \]\</font\>$"

Dim value As String

value = FurcadiaMarkup.WhisperRegex

public:
literal String^ WhisperRegex = "^\<font color=('(whisper)'|"(whisper)")\>\[ \<name shortname=('[a-z0-9]{2,64}'|"[a-z0-9]{2,64}") src=('whisper-from'|"whisper-from")\>(.{2,64})\</name\> whispers, "(?<msg>.+)" to you\. \]\</font\>$"
static val mutable WhisperRegex: string

Field Value

Type: String
See Also

Reference

FurcadiaMarkup Class
Furcadia.Text Namespace


FurcadiaMarkup.YouEatCookieFilter Field

FurcadiaMarkupYouEatCookieFilter Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

You eat cookie filter

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public const string YouEatCookieFilter = "<img src='fsh://system.fsh:90' alt='@cookie' /><channel name = '@cookie' /> You eat a cookie.(.*?)"
Public Const YouEatCookieFilter As String = "<img src='fsh://system.fsh:90' alt='@cookie' /><channel name = '@cookie' /> You eat a cookie.(.*?)"

Dim value As String

value = FurcadiaMarkup.YouEatCookieFilter

public:
literal String^ YouEatCookieFilter = "<img src='fsh://system.fsh:90' alt='@cookie' /><channel name = '@cookie' /> You eat a cookie.(.*?)"
static val mutable YouEatCookieFilter: string

Field Value

Type: String
See Also

Reference

FurcadiaMarkup Class
Furcadia.Text Namespace


FurcadiaMarkup.YouSayFilter Field

FurcadiaMarkupYouSayFilter Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "F:Furcadia.Text.FurcadiaMarkup.YouSayFilter"]

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public const string YouSayFilter = "You ([\x21-\x3B\=\x3F-\x7E]+), "([^']*)""
Public Const YouSayFilter As String = "You ([\x21-\x3B\=\x3F-\x7E]+), "([^']*)""

Dim value As String

value = FurcadiaMarkup.YouSayFilter

public:
literal String^ YouSayFilter = "You ([\x21-\x3B\=\x3F-\x7E]+), "([^']*)""
static val mutable YouSayFilter: string

Field Value

Type: String
See Also

Reference

FurcadiaMarkup Class
Furcadia.Text Namespace


FurcadiaMarkup.YouShoutFilter Field

FurcadiaMarkupYouShoutFilter Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

You shout filter

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public const string YouShoutFilter = "<font color=('(shout)'|"(shout)")>You shout, "(.*?)"</font>"
Public Const YouShoutFilter As String = "<font color=('(shout)'|"(shout)")>You shout, "(.*?)"</font>"

Dim value As String

value = FurcadiaMarkup.YouShoutFilter

public:
literal String^ YouShoutFilter = "<font color=('(shout)'|"(shout)")>You shout, "(.*?)"</font>"
static val mutable YouShoutFilter: string

Field Value

Type: String
See Also

Reference

FurcadiaMarkup Class
Furcadia.Text Namespace


FurcadiaMarkup.YouWhisperRegex Field

FurcadiaMarkupYouWhisperRegex Field
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Whispers Name

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public const string YouWhisperRegex = "^<font color=('(whisper)'|"(whisper)")>\[ ?You whisper "(.*?)" to ?<name shortname=('[a-z0-9]{2,64}'|"[a-z0-9]{2,64}") forced(=('forced')|("forced")?) src='whisper-to'>(.*?)</name>\. \]</font>$"
Public Const YouWhisperRegex As String = "^<font color=('(whisper)'|"(whisper)")>\[ ?You whisper "(.*?)" to ?<name shortname=('[a-z0-9]{2,64}'|"[a-z0-9]{2,64}") forced(=('forced')|("forced")?) src='whisper-to'>(.*?)</name>\. \]</font>$"

Dim value As String

value = FurcadiaMarkup.YouWhisperRegex

public:
literal String^ YouWhisperRegex = "^<font color=('(whisper)'|"(whisper)")>\[ ?You whisper "(.*?)" to ?<name shortname=('[a-z0-9]{2,64}'|"[a-z0-9]{2,64}") forced(=('forced')|("forced")?) src='whisper-to'>(.*?)</name>\. \]</font>$"
static val mutable YouWhisperRegex: string

Field Value

Type: String
See Also

Reference

FurcadiaMarkup Class
Furcadia.Text Namespace


IniParser Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "T:Furcadia.Text.IniParser"]

Inheritance Hierarchy
SystemObject
Furcadia.TextIniParser

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public class IniParser
Public Class IniParser

Dim instance As IniParser
public ref class IniParser
type IniParser =  class end

The IniParser type exposes the following members.

Constructors
 | Name | Description
Public method | IniParser | Opens the INI file at the given path and enumerates the values in the IniParser.
Top
Methods
 | Name | Description
Public method | AddSetting(String, String) | Adds or replaces a setting to the table to be saved with a null value.
Public method | AddSetting(String, String, String) | Adds or replaces a setting to the table to be saved.
Public method | DeleteSetting | Remove a setting.
Public method | EnumSection | Enumerates all lines for given section.
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetSetting | Returns the value for the given section, key pair.
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | SaveSettings | Save settings back to ini file.
Public method | SaveSettings(String) | Save settings to new file.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Furcadia.Text Namespace


IniParser Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Opens the INI file at the given path and enumerates the values in the IniParser.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public IniParser(
    string iniPath
)
Public Sub New (
    iniPath As String
)

Dim iniPath As String

Dim instance As New IniParser(iniPath)
public:
IniParser(
    String^ iniPath
)
new :
        iniPath : string -> IniParser

Parameters

iniPath
Type: SystemString
Full path to INI file.
See Also

Reference

IniParser Class
Furcadia.Text Namespace


IniParser Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The IniParser type exposes the following members.

Methods
 | Name | Description
Public method | AddSetting(String, String) | Adds or replaces a setting to the table to be saved with a null value.
Public method | AddSetting(String, String, String) | Adds or replaces a setting to the table to be saved.
Public method | DeleteSetting | Remove a setting.
Public method | EnumSection | Enumerates all lines for given section.
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetSetting | Returns the value for the given section, key pair.
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | SaveSettings | Save settings back to ini file.
Public method | SaveSettings(String) | Save settings to new file.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

IniParser Class
Furcadia.Text Namespace


IniParser.AddSetting Method

IniParserAddSetting Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
 | Name | Description
Public method | AddSetting(String, String) | Adds or replaces a setting to the table to be saved with a null value.
Public method | AddSetting(String, String, String) | Adds or replaces a setting to the table to be saved.
Top
See Also

Reference

IniParser Class
Furcadia.Text Namespace


IniParser.AddSetting Method (String, String)

IniParserAddSetting Method (String, String)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Adds or replaces a setting to the table to be saved with a null value.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public void AddSetting(
    string sectionName,
    string settingName
)
Public Sub AddSetting (
    sectionName As String,
    settingName As String
)

Dim instance As IniParser
Dim sectionName As String
Dim settingName As String

instance.AddSetting(sectionName, settingName)
public:
void AddSetting(
    String^ sectionName,
    String^ settingName
)
member AddSetting :
        sectionName : string *
        settingName : string -> unit

Parameters

sectionName
Type: SystemString
Section to add under.
settingName
Type: SystemString
Key name to add.
See Also

Reference

IniParser Class
AddSetting Overload
Furcadia.Text Namespace


IniParser.AddSetting Method (String, String, String)

IniParserAddSetting Method (String, String, String)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Adds or replaces a setting to the table to be saved.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public void AddSetting(
    string sectionName,
    string settingName,
    string settingValue
)
Public Sub AddSetting (
    sectionName As String,
    settingName As String,
    settingValue As String
)

Dim instance As IniParser
Dim sectionName As String
Dim settingName As String
Dim settingValue As String

instance.AddSetting(sectionName, settingName,
    settingValue)
public:
void AddSetting(
    String^ sectionName,
    String^ settingName,
    String^ settingValue
)
member AddSetting :
        sectionName : string *
        settingName : string *
        settingValue : string -> unit

Parameters

sectionName
Type: SystemString
Section to add under.
settingName
Type: SystemString
Key name to add.
settingValue
Type: SystemString
Value of key.
See Also

Reference

IniParser Class
AddSetting Overload
Furcadia.Text Namespace


IniParser.DeleteSetting Method

IniParserDeleteSetting Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Remove a setting.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public void DeleteSetting(
    string sectionName,
    string settingName
)
Public Sub DeleteSetting (
    sectionName As String,
    settingName As String
)

Dim instance As IniParser
Dim sectionName As String
Dim settingName As String

instance.DeleteSetting(sectionName, settingName)
public:
void DeleteSetting(
    String^ sectionName,
    String^ settingName
)
member DeleteSetting :
        sectionName : string *
        settingName : string -> unit

Parameters

sectionName
Type: SystemString
Section to add under.
settingName
Type: SystemString
Key name to add.
See Also

Reference

IniParser Class
Furcadia.Text Namespace


IniParser.EnumSection Method

IniParserEnumSection Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Enumerates all lines for given section.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string[] EnumSection(
    string sectionName
)
Public Function EnumSection (
    sectionName As String
) As String()

Dim instance As IniParser
Dim sectionName As String
Dim returnValue As String()

returnValue = instance.EnumSection(sectionName)
public:
array<String^>^ EnumSection(
    String^ sectionName
)
member EnumSection :
        sectionName : string -> string[]

Parameters

sectionName
Type: SystemString
Section to enum.

Return Value

Type: String

[Missing <returns> documentation for "M:Furcadia.Text.IniParser.EnumSection(System.String)"]

See Also

Reference

IniParser Class
Furcadia.Text Namespace


IniParser.GetSetting Method

IniParserGetSetting Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Returns the value for the given section, key pair.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public string GetSetting(
    string sectionName,
    string settingName
)
Public Function GetSetting (
    sectionName As String,
    settingName As String
) As String

Dim instance As IniParser
Dim sectionName As String
Dim settingName As String
Dim returnValue As String

returnValue = instance.GetSetting(sectionName,
    settingName)
public:
String^ GetSetting(
    String^ sectionName,
    String^ settingName
)
member GetSetting :
        sectionName : string *
        settingName : string -> string

Parameters

sectionName
Type: SystemString
Section name.
settingName
Type: SystemString
Key name.

Return Value

Type: String

[Missing <returns> documentation for "M:Furcadia.Text.IniParser.GetSetting(System.String,System.String)"]

See Also

Reference

IniParser Class
Furcadia.Text Namespace


IniParser.SaveSettings Method

IniParserSaveSettings Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
 | Name | Description
Public method | SaveSettings | Save settings back to ini file.
Public method | SaveSettings(String) | Save settings to new file.
Top
See Also

Reference

IniParser Class
Furcadia.Text Namespace


IniParser.SaveSettings Method

IniParserSaveSettings Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Save settings back to ini file.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public void SaveSettings()
Public Sub SaveSettings

Dim instance As IniParser

instance.SaveSettings()
public:
void SaveSettings()
member SaveSettings : unit -> unit
See Also

Reference

IniParser Class
SaveSettings Overload
Furcadia.Text Namespace


IniParser.SaveSettings Method (String)

IniParserSaveSettings Method (String)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Save settings to new file.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public void SaveSettings(
    string newFilePath
)
Public Sub SaveSettings (
    newFilePath As String
)

Dim instance As IniParser
Dim newFilePath As String

instance.SaveSettings(newFilePath)
public:
void SaveSettings(
    String^ newFilePath
)
member SaveSettings :
        newFilePath : string -> unit

Parameters

newFilePath
Type: SystemString
New file path.
See Also

Reference

IniParser Class
SaveSettings Overload
Furcadia.Text Namespace


Settings Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

A simple way to load settings whether from ini or xml.
Inheritance Hierarchy
SystemObject
Furcadia.TextSettings

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public class Settings
Public Class Settings

Dim instance As Settings
public ref class Settings
type Settings =  class end

The Settings type exposes the following members.

Constructors
 | Name | Description
Public method | Settings | Initializes a new instance of the Settings class
Public method | Settings(ProxyOptions) | Initializes a new instance of the Settings class
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | InitializeFurcadiaSettings | Lets back up our Proxy/Firewall settings and then set the new settings for the Furcadia Client
Public method | InitializeFurcadiaSettingsAsync | Initializes the furcadia settings asynchronous.
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | RestoreFurcadiaSettings | Restores the furcadia settings.
Public method | RestoreFurcadiaSettingsAsync | Restores the furcadia settings asynchronous.
 | SaveFurcadiaSettings | Save the furcadia configuration to settings.ini
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Furcadia.Text Namespace


Settings Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
 | Name | Description
Public method | Settings | Initializes a new instance of the Settings class
Public method | Settings(ProxyOptions) | Initializes a new instance of the Settings class
Top
See Also

Reference

Settings Class
Furcadia.Text Namespace


Settings Constructor

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the Settings class

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public Settings()
Public Sub New

Dim instance As New Settings()
public:
Settings()
new : unit -> Settings
See Also

Reference

Settings Class
Settings Overload
Furcadia.Text Namespace


Settings Constructor (ProxyOptions)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the Settings class

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public Settings(
    ProxyOptions Options
)
Public Sub New (
    Options As ProxyOptions
)

Dim Options As ProxyOptions

Dim instance As New Settings(Options)
public:
Settings(
    ProxyOptions^ Options
)
new :
        Options : ProxyOptions -> Settings

Parameters

Options
Type: Furcadia.Net.OptionsProxyOptions
Pxoxy Options
See Also

Reference

Settings Class
Settings Overload
Furcadia.Text Namespace


Settings Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

The Settings type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | InitializeFurcadiaSettings | Lets back up our Proxy/Firewall settings and then set the new settings for the Furcadia Client
Public method | InitializeFurcadiaSettingsAsync | Initializes the furcadia settings asynchronous.
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | RestoreFurcadiaSettings | Restores the furcadia settings.
Public method | RestoreFurcadiaSettingsAsync | Restores the furcadia settings asynchronous.
 | SaveFurcadiaSettings | Save the furcadia configuration to settings.ini
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AsDouble | Ases the double. (Defined by ObjectExtensions.)
Public Extension Method | AsInt16 | converts an object to 16 bit integer (Defined by ObjectExtensions.)
Public Extension Method | AsInt32 | Ases the int32. (Defined by ObjectExtensions.)
Public Extension Method | AsInt64 | Ases the int64. (Defined by ObjectExtensions.)
Public Extension Method | AsString | Ases the string. (Defined by ObjectExtensions.)
Top
See Also

Reference

Settings Class
Furcadia.Text Namespace


Settings.InitializeFurcadiaSettings Method

SettingsInitializeFurcadiaSettings Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Lets back up our Proxy/Firewall settings and then set the new settings for the Furcadia Client

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public void InitializeFurcadiaSettings(
    string path = null
)
Public Sub InitializeFurcadiaSettings (
    Optional path As String = Nothing
)

Dim instance As Settings
Dim path As String

instance.InitializeFurcadiaSettings(path)
public:
void InitializeFurcadiaSettings(
    String^ path = nullptr
)
member InitializeFurcadiaSettings :
        ?path : string
(* Defaults:
        let _path = defaultArg path null
*)
-> unit

Parameters

path (Optional)
Type: SystemString
Furcadia Settings.ini path

Return Value

Type:
Backup Settings for restoring later
See Also

Reference

Settings Class
Furcadia.Text Namespace


Settings.InitializeFurcadiaSettingsAsync Method

SettingsInitializeFurcadiaSettingsAsync Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Initializes the furcadia settings asynchronous.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public Task InitializeFurcadiaSettingsAsync(
    string path = null
)
Public Function InitializeFurcadiaSettingsAsync (
    Optional path As String = Nothing
) As Task

Dim instance As Settings
Dim path As String
Dim returnValue As Task

returnValue = instance.InitializeFurcadiaSettingsAsync(path)
public:
Task^ InitializeFurcadiaSettingsAsync(
    String^ path = nullptr
)
member InitializeFurcadiaSettingsAsync :
        ?path : string
(* Defaults:
        let _path = defaultArg path null
*)
-> Task

Parameters

path (Optional)
Type: SystemString
The path.

Return Value

Type: Task

[Missing <returns> documentation for "M:Furcadia.Text.Settings.InitializeFurcadiaSettingsAsync(System.String)"]

See Also

Reference

Settings Class
Furcadia.Text Namespace


Settings.RestoreFurcadiaSettings Method

SettingsRestoreFurcadiaSettings Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Restores the furcadia settings.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public void RestoreFurcadiaSettings()
Public Sub RestoreFurcadiaSettings

Dim instance As Settings

instance.RestoreFurcadiaSettings()
public:
void RestoreFurcadiaSettings()
member RestoreFurcadiaSettings : unit -> unit
See Also

Reference

Settings Class
Furcadia.Text Namespace


Settings.RestoreFurcadiaSettingsAsync Method

SettingsRestoreFurcadiaSettingsAsync Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Restores the furcadia settings asynchronous.

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public Task RestoreFurcadiaSettingsAsync()
Public Function RestoreFurcadiaSettingsAsync As Task

Dim instance As Settings
Dim returnValue As Task

returnValue = instance.RestoreFurcadiaSettingsAsync()
public:
Task^ RestoreFurcadiaSettingsAsync()
member RestoreFurcadiaSettingsAsync : unit -> Task

Return Value

Type: Task

[Missing <returns> documentation for "M:Furcadia.Text.Settings.RestoreFurcadiaSettingsAsync"]

See Also

Reference

Settings Class
Furcadia.Text Namespace


Settings.SaveFurcadiaSettings Method

SettingsSaveFurcadiaSettings Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Save the furcadia configuration to settings.ini

Namespace: Furcadia.Text
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static void SaveFurcadiaSettings(
    string path,
    string file,
    List<string> SettingFile
)
Public Shared Sub SaveFurcadiaSettings (
    path As String,
    file As String,
    SettingFile As List(Of String)
)

Dim path As String
Dim file As String
Dim SettingFile As List(Of String)

Settings.SaveFurcadiaSettings(path,
    file, SettingFile)
public:
static void SaveFurcadiaSettings(
    String^ path,
    String^ file,
    List<String^>^ SettingFile
)
static member SaveFurcadiaSettings :
        path : string *
        file : string *
        SettingFile : List<string> -> unit

Parameters

path
Type: SystemString

[Missing <param name="path"/> documentation for "M:Furcadia.Text.Settings.SaveFurcadiaSettings(System.String,System.String,System.Collections.Generic.List{System.String})"]

file
Type: SystemString

[Missing <param name="file"/> documentation for "M:Furcadia.Text.Settings.SaveFurcadiaSettings(System.String,System.String,System.Collections.Generic.List{System.String})"]

SettingFile
Type: System.Collections.GenericList String

[Missing <param name="SettingFile"/> documentation for "M:Furcadia.Text.Settings.SaveFurcadiaSettings(System.String,System.String,System.Collections.Generic.List{System.String})"]

See Also

Reference

Settings Class
Furcadia.Text Namespace


Furcadia.Utils Namespace
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Classes
 | Class | Description
Public class | IOPermissions |


IOPermissions Class
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "T:Furcadia.Utils.IOPermissions"]

Inheritance Hierarchy
SystemObject
Furcadia.UtilsIOPermissions

Namespace: Furcadia.Utils
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static class IOPermissions
Public NotInheritable Class IOPermissions

You do not need to declare an instance of a static class in order to access its members.
public ref class IOPermissions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
type IOPermissions =  class end
Methods
Name | Description
HasAccess(DirectoryInfo) | Determines whether the specified directory has access.
HasAccess(FileInfo) | Determines whether the specified file has access.
HasAccess(String) | Determines whether the specified directory has access.
Top
See Also

Reference

Furcadia.Utils Namespace


IOPermissions Methods
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Methods
Name | Description
HasAccess(DirectoryInfo) | Determines whether the specified directory has access.
HasAccess(FileInfo) | Determines whether the specified file has access.
HasAccess(String) | Determines whether the specified directory has access.
Top
See Also

Reference

IOPermissions Class
Furcadia.Utils Namespace


IOPermissions.HasAccess Method

IOPermissionsHasAccess Method

This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Overload List
Name | Description
HasAccess(DirectoryInfo) | Determines whether the specified directory has access.
HasAccess(FileInfo) | Determines whether the specified file has access.
HasAccess(String) | Determines whether the specified directory has access.
Top
See Also

Reference

IOPermissions Class
Furcadia.Utils Namespace


IOPermissions.HasAccess Method (DirectoryInfo)

IOPermissionsHasAccess Method (DirectoryInfo)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Determines whether the specified directory has access.

Namespace: Furcadia.Utils
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static bool HasAccess(
    DirectoryInfo directory
)
Public Shared Function HasAccess (
    directory As DirectoryInfo
) As Boolean

Dim directory As DirectoryInfo
Dim returnValue As Boolean

returnValue = IOPermissions.HasAccess(directory)
public:
static bool HasAccess(
    DirectoryInfo^ directory
)
static member HasAccess :
        directory : DirectoryInfo -> bool

Parameters

directory
Type: System.IODirectoryInfo
The directory.

Return Value

Type: Boolean
true if the specified directory has access; otherwise, false.
See Also

Reference

IOPermissions Class
HasAccess Overload
Furcadia.Utils Namespace


IOPermissions.HasAccess Method (FileInfo)

IOPermissionsHasAccess Method (FileInfo)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Determines whether the specified file has access.

Namespace: Furcadia.Utils
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static bool HasAccess(
    FileInfo file
)
Public Shared Function HasAccess (
    file As FileInfo
) As Boolean

Dim file As FileInfo
Dim returnValue As Boolean

returnValue = IOPermissions.HasAccess(file)
public:
static bool HasAccess(
    FileInfo^ file
)
static member HasAccess :
        file : FileInfo -> bool

Parameters

file
Type: System.IOFileInfo
The file.

Return Value

Type: Boolean
true if the specified file has access; otherwise, false.
See Also

Reference

IOPermissions Class
HasAccess Overload
Furcadia.Utils Namespace


IOPermissions.HasAccess Method (String)

IOPermissionsHasAccess Method (String)
This stuff is still in the planning stages. Any questions or Comments are welcome.

[This is preliminary documentation and is subject to change.]

Determines whether the specified directory has access.

Namespace: Furcadia.Utils
Assembly: FurcadiaLib (in FurcadiaLib.dll) Version: 2.19.PreAlpha 59
Syntax
C#
VB
C++
F#
Copy
public static bool HasAccess(
    string directory
)
Public Shared Function HasAccess (
    directory As String
) As Boolean

Dim directory As String
Dim returnValue As Boolean

returnValue = IOPermissions.HasAccess(directory)
public:
static bool HasAccess(
    String^ directory
)
static member HasAccess :
        directory : string -> bool

Parameters

directory
Type: SystemString
The directory.

Return Value

Type: Boolean
true if the specified directory has access; otherwise, false.
See Also

Reference

IOPermissions Class
HasAccess Overload
Furcadia.Utils Namespace